(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("be02e1ae-63de-4c02-9230-889ecaa18840");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'be02e1ae-63de-4c02-9230-889ecaa18840' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"b50dffbc-dc3a-45dc-bf25-f7760e8a3bcf":{"roots":{"references":[{"attributes":{},"id":"c6ce1e3e-407a-45ff-81ae-a8d7ab2f18e8","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"4ee0f1e0-54e7-44c0-834c-53f58fcea9b9","type":"Title"},{"attributes":{"callback":null},"id":"2beefaea-cfdc-450c-b4d2-c87ac87d8be0","type":"DataRange1d"},{"attributes":{},"id":"fc0eaf13-16d5-4b73-8b4f-cfdc13814248","type":"BasicTicker"},{"attributes":{"formatter":{"id":"dc00bc27-ff07-431d-a0e3-8b964d4c085a","type":"BasicTickFormatter"},"plot":{"id":"b50d2343-0511-457a-8dfc-511f856e2ec5","subtype":"Figure","type":"Plot"},"ticker":{"id":"fc0eaf13-16d5-4b73-8b4f-cfdc13814248","type":"BasicTicker"}},"id":"e9fe6504-4919-4505-a470-8b559c794b6b","type":"LinearAxis"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"b751f7ec-62e8-4b58-b125-d433e5d9a994","type":"Line"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"437226e7-5de9-47e8-a529-0e033198ed32","type":"PanTool"},{"id":"552ade57-ba66-4742-9942-f4f0f36a513f","type":"WheelZoomTool"},{"id":"3bc098c8-1dc4-41f9-b0d7-7ea33a19a7f9","type":"BoxZoomTool"},{"id":"704934ee-eac3-429c-963f-ee2a2366b9e6","type":"SaveTool"},{"id":"4486618e-799b-48ee-b645-d7ddd2b2169a","type":"ResetTool"},{"id":"ec4b4432-4234-4b35-b843-3e7884002f96","type":"HelpTool"}]},"id":"199d25e2-5782-4099-8f43-00170df4f946","type":"Toolbar"},{"attributes":{"overlay":{"id":"2b30e84f-1d05-405e-98d9-83158bbe4a21","type":"BoxAnnotation"}},"id":"3bc098c8-1dc4-41f9-b0d7-7ea33a19a7f9","type":"BoxZoomTool"},{"attributes":{},"id":"ec4b4432-4234-4b35-b843-3e7884002f96","type":"HelpTool"},{"attributes":{},"id":"4486618e-799b-48ee-b645-d7ddd2b2169a","type":"ResetTool"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"7b6c2402-5548-4708-9843-884a523af700","type":"Line"},{"attributes":{},"id":"e5c51b5d-f6ee-47d1-ab3d-87fa8a520384","type":"BasicTicker"},{"attributes":{},"id":"dc00bc27-ff07-431d-a0e3-8b964d4c085a","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,"NaN",4,5],"y":[6,7,2,4,4,5]}},"id":"338f28ed-9e96-4414-8893-d9ad75479138","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"c6ce1e3e-407a-45ff-81ae-a8d7ab2f18e8","type":"BasicTickFormatter"},"plot":{"id":"b50d2343-0511-457a-8dfc-511f856e2ec5","subtype":"Figure","type":"Plot"},"ticker":{"id":"e5c51b5d-f6ee-47d1-ab3d-87fa8a520384","type":"BasicTicker"}},"id":"95b825b4-a01f-4842-b9f2-3a6034e5a80b","type":"LinearAxis"},{"attributes":{},"id":"704934ee-eac3-429c-963f-ee2a2366b9e6","type":"SaveTool"},{"attributes":{"callback":null},"id":"52ff5d89-2d7c-4e1d-9eca-f9284cb9bb25","type":"DataRange1d"},{"attributes":{},"id":"35118f14-0462-4d68-b725-f78ad8fe6cd7","type":"LinearScale"},{"attributes":{"plot":{"id":"b50d2343-0511-457a-8dfc-511f856e2ec5","subtype":"Figure","type":"Plot"},"ticker":{"id":"fc0eaf13-16d5-4b73-8b4f-cfdc13814248","type":"BasicTicker"}},"id":"199de8f8-8c44-4d1c-a66e-7622b1b6fda9","type":"Grid"},{"attributes":{"below":[{"id":"e9fe6504-4919-4505-a470-8b559c794b6b","type":"LinearAxis"}],"left":[{"id":"95b825b4-a01f-4842-b9f2-3a6034e5a80b","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"e9fe6504-4919-4505-a470-8b559c794b6b","type":"LinearAxis"},{"id":"199de8f8-8c44-4d1c-a66e-7622b1b6fda9","type":"Grid"},{"id":"95b825b4-a01f-4842-b9f2-3a6034e5a80b","type":"LinearAxis"},{"id":"4ac945c8-76d0-44f4-9f8e-dca007a85c4f","type":"Grid"},{"id":"2b30e84f-1d05-405e-98d9-83158bbe4a21","type":"BoxAnnotation"},{"id":"64316c06-5913-42c5-a364-8989bfe6956d","type":"GlyphRenderer"}],"title":{"id":"4ee0f1e0-54e7-44c0-834c-53f58fcea9b9","type":"Title"},"toolbar":{"id":"199d25e2-5782-4099-8f43-00170df4f946","type":"Toolbar"},"x_range":{"id":"52ff5d89-2d7c-4e1d-9eca-f9284cb9bb25","type":"DataRange1d"},"x_scale":{"id":"0eb8b400-2cef-40e4-9080-899444335f24","type":"LinearScale"},"y_range":{"id":"2beefaea-cfdc-450c-b4d2-c87ac87d8be0","type":"DataRange1d"},"y_scale":{"id":"35118f14-0462-4d68-b725-f78ad8fe6cd7","type":"LinearScale"}},"id":"b50d2343-0511-457a-8dfc-511f856e2ec5","subtype":"Figure","type":"Plot"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"2b30e84f-1d05-405e-98d9-83158bbe4a21","type":"BoxAnnotation"},{"attributes":{},"id":"437226e7-5de9-47e8-a529-0e033198ed32","type":"PanTool"},{"attributes":{"dimension":1,"plot":{"id":"b50d2343-0511-457a-8dfc-511f856e2ec5","subtype":"Figure","type":"Plot"},"ticker":{"id":"e5c51b5d-f6ee-47d1-ab3d-87fa8a520384","type":"BasicTicker"}},"id":"4ac945c8-76d0-44f4-9f8e-dca007a85c4f","type":"Grid"},{"attributes":{"source":{"id":"338f28ed-9e96-4414-8893-d9ad75479138","type":"ColumnDataSource"}},"id":"a5ee37a3-5d4e-48d8-9061-23186526a748","type":"CDSView"},{"attributes":{},"id":"552ade57-ba66-4742-9942-f4f0f36a513f","type":"WheelZoomTool"},{"attributes":{},"id":"0eb8b400-2cef-40e4-9080-899444335f24","type":"LinearScale"},{"attributes":{"data_source":{"id":"338f28ed-9e96-4414-8893-d9ad75479138","type":"ColumnDataSource"},"glyph":{"id":"7b6c2402-5548-4708-9843-884a523af700","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b751f7ec-62e8-4b58-b125-d433e5d9a994","type":"Line"},"selection_glyph":null,"view":{"id":"a5ee37a3-5d4e-48d8-9061-23186526a748","type":"CDSView"}},"id":"64316c06-5913-42c5-a364-8989bfe6956d","type":"GlyphRenderer"}],"root_ids":["b50d2343-0511-457a-8dfc-511f856e2ec5"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"b50dffbc-dc3a-45dc-bf25-f7760e8a3bcf","elementid":"be02e1ae-63de-4c02-9230-889ecaa18840","modelid":"b50d2343-0511-457a-8dfc-511f856e2ec5"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
