(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("29643b1b-e09e-4f4d-ae78-4e8cda327463");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '29643b1b-e09e-4f4d-ae78-4e8cda327463' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"c584be5b-26a0-45a7-980d-a6bef24556a3":{"roots":{"references":[{"attributes":{},"id":"5c87733d-422b-46b4-91c3-da6769cae3c2","type":"HelpTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"10b8c68c-6c00-43cb-b40d-c686829f8de0","type":"BoxAnnotation"},{"attributes":{},"id":"a3a6f539-3fed-4628-9f6e-d3cf3810ebab","type":"BasicTicker"},{"attributes":{},"id":"f66a5fef-b960-44f4-ba55-c47887c6089e","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"72389c27-76ef-463a-914f-2155d377fe48","subtype":"Figure","type":"Plot"},"ticker":{"id":"a3a6f539-3fed-4628-9f6e-d3cf3810ebab","type":"BasicTicker"}},"id":"2b2bef10-1865-419b-9558-b3dfccde21eb","type":"Grid"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"f061786e-8fd2-4ada-967c-ebaa56e7173d","type":"Circle"},{"attributes":{},"id":"e1506b9a-5a06-4dc4-a0df-d515e14d57ac","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"72389c27-76ef-463a-914f-2155d377fe48","subtype":"Figure","type":"Plot"},"ticker":{"id":"2d3c88af-6bd5-40ca-9059-3ac6e3699313","type":"BasicTicker"}},"id":"2a77d41f-829d-4425-908d-952a5a906685","type":"Grid"},{"attributes":{"plot":null,"text":""},"id":"40c19810-232a-4ad1-9277-b5988689815b","type":"Title"},{"attributes":{"overlay":{"id":"10b8c68c-6c00-43cb-b40d-c686829f8de0","type":"BoxAnnotation"}},"id":"b7454972-1a9d-4cf3-a222-09ca88f9cb15","type":"BoxZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,2,4,6,8,10],"y":[6,2,4,10,8,0]}},"id":"38113ec4-7526-47d7-aa50-3548d07d781e","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"e1506b9a-5a06-4dc4-a0df-d515e14d57ac","type":"BasicTickFormatter"},"plot":{"id":"72389c27-76ef-463a-914f-2155d377fe48","subtype":"Figure","type":"Plot"},"ticker":{"id":"2d3c88af-6bd5-40ca-9059-3ac6e3699313","type":"BasicTicker"}},"id":"45d1bcae-bd88-4dbe-99c0-38adb73ebce0","type":"LinearAxis"},{"attributes":{"callback":null},"id":"37a99ede-b97f-4f94-8306-59572ce0a63e","type":"DataRange1d"},{"attributes":{"formatter":{"id":"b37ad241-98b1-4281-b583-96504f00b3c3","type":"FuncTickFormatter"},"plot":{"id":"72389c27-76ef-463a-914f-2155d377fe48","subtype":"Figure","type":"Plot"},"ticker":{"id":"a3a6f539-3fed-4628-9f6e-d3cf3810ebab","type":"BasicTicker"}},"id":"7ca01592-a7d3-4e02-a188-c2f57b8da003","type":"LinearAxis"},{"attributes":{},"id":"627f9896-bd0a-4d17-a54f-fb96789a0e92","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"bf35301d-9445-4566-875d-7ce16b8cc198","type":"Circle"},{"attributes":{"callback":null},"id":"f6204b53-6ea0-4605-825a-cc77e3715b45","type":"DataRange1d"},{"attributes":{"code":"\n    return Math.floor(tick) + \" + \" + (tick % 1).toFixed(2)\n"},"id":"b37ad241-98b1-4281-b583-96504f00b3c3","type":"FuncTickFormatter"},{"attributes":{"source":{"id":"38113ec4-7526-47d7-aa50-3548d07d781e","type":"ColumnDataSource"}},"id":"51b76322-b31e-4e50-ae7f-2920cc9baeed","type":"CDSView"},{"attributes":{},"id":"9bc7f6e1-6ecd-4875-b48f-26517204493b","type":"WheelZoomTool"},{"attributes":{},"id":"c4b70162-264a-467b-b822-b6afaebcc287","type":"SaveTool"},{"attributes":{},"id":"9b19fbb9-23fd-496d-ae8b-4b4f902cdd5f","type":"ResetTool"},{"attributes":{"data_source":{"id":"38113ec4-7526-47d7-aa50-3548d07d781e","type":"ColumnDataSource"},"glyph":{"id":"f061786e-8fd2-4ada-967c-ebaa56e7173d","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"bf35301d-9445-4566-875d-7ce16b8cc198","type":"Circle"},"selection_glyph":null,"view":{"id":"51b76322-b31e-4e50-ae7f-2920cc9baeed","type":"CDSView"}},"id":"fa6be1f3-ce89-4661-8fbd-ec8f21efbf75","type":"GlyphRenderer"},{"attributes":{},"id":"2d3c88af-6bd5-40ca-9059-3ac6e3699313","type":"BasicTicker"},{"attributes":{"below":[{"id":"45d1bcae-bd88-4dbe-99c0-38adb73ebce0","type":"LinearAxis"}],"left":[{"id":"7ca01592-a7d3-4e02-a188-c2f57b8da003","type":"LinearAxis"}],"plot_height":500,"plot_width":500,"renderers":[{"id":"45d1bcae-bd88-4dbe-99c0-38adb73ebce0","type":"LinearAxis"},{"id":"2a77d41f-829d-4425-908d-952a5a906685","type":"Grid"},{"id":"7ca01592-a7d3-4e02-a188-c2f57b8da003","type":"LinearAxis"},{"id":"2b2bef10-1865-419b-9558-b3dfccde21eb","type":"Grid"},{"id":"10b8c68c-6c00-43cb-b40d-c686829f8de0","type":"BoxAnnotation"},{"id":"fa6be1f3-ce89-4661-8fbd-ec8f21efbf75","type":"GlyphRenderer"}],"title":{"id":"40c19810-232a-4ad1-9277-b5988689815b","type":"Title"},"toolbar":{"id":"9480cf5b-671d-4956-a73f-bc4b18b0c15a","type":"Toolbar"},"x_range":{"id":"f6204b53-6ea0-4605-825a-cc77e3715b45","type":"DataRange1d"},"x_scale":{"id":"f66a5fef-b960-44f4-ba55-c47887c6089e","type":"LinearScale"},"y_range":{"id":"37a99ede-b97f-4f94-8306-59572ce0a63e","type":"DataRange1d"},"y_scale":{"id":"627f9896-bd0a-4d17-a54f-fb96789a0e92","type":"LinearScale"}},"id":"72389c27-76ef-463a-914f-2155d377fe48","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"4e55c2e9-3928-459a-b322-4845ea25004e","type":"PanTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"4e55c2e9-3928-459a-b322-4845ea25004e","type":"PanTool"},{"id":"9bc7f6e1-6ecd-4875-b48f-26517204493b","type":"WheelZoomTool"},{"id":"b7454972-1a9d-4cf3-a222-09ca88f9cb15","type":"BoxZoomTool"},{"id":"c4b70162-264a-467b-b822-b6afaebcc287","type":"SaveTool"},{"id":"9b19fbb9-23fd-496d-ae8b-4b4f902cdd5f","type":"ResetTool"},{"id":"5c87733d-422b-46b4-91c3-da6769cae3c2","type":"HelpTool"}]},"id":"9480cf5b-671d-4956-a73f-bc4b18b0c15a","type":"Toolbar"}],"root_ids":["72389c27-76ef-463a-914f-2155d377fe48"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"c584be5b-26a0-45a7-980d-a6bef24556a3","elementid":"29643b1b-e09e-4f4d-ae78-4e8cda327463","modelid":"72389c27-76ef-463a-914f-2155d377fe48"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
