(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("1f1beb1a-03cc-4d3d-bf7b-3f4af699ae35");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '1f1beb1a-03cc-4d3d-bf7b-3f4af699ae35' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d9a495f7-3b2d-48db-af7b-39d1ae37b481":{"roots":{"references":[{"attributes":{},"id":"c0e54666-8714-4787-b632-6cdc88ca5695","type":"BasicTicker"},{"attributes":{"formatter":{"id":"18bcf735-753c-4d05-a425-0be8a09300f0","type":"PrintfTickFormatter"},"plot":{"id":"fdb34387-f818-4f82-8f33-d277f18195bd","subtype":"Figure","type":"Plot"},"ticker":{"id":"c0e54666-8714-4787-b632-6cdc88ca5695","type":"BasicTicker"}},"id":"aa2e75d8-5193-4a57-9a3e-a4c31a9432a2","type":"LinearAxis"},{"attributes":{"overlay":{"id":"8f1eb2dc-405d-4be5-a0b6-ffb7b5138370","type":"BoxAnnotation"}},"id":"b88ee11d-a67d-456b-b16f-fecdee7f9247","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"afe35ac1-ea37-4c5b-979c-e050bac5906e","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"dba3c132-bc3c-4be1-9d59-75db1dbea0de","type":"PanTool"},{"id":"01864072-d13a-4ca1-a086-6d3941297cab","type":"WheelZoomTool"},{"id":"b88ee11d-a67d-456b-b16f-fecdee7f9247","type":"BoxZoomTool"},{"id":"dab1f40a-26a0-40d0-ad16-1b375a87bcf8","type":"SaveTool"},{"id":"a2c05300-da2c-4070-b1c4-c24e2f69dcb6","type":"ResetTool"},{"id":"bb8b6218-b811-4061-a9e2-d2028342bd64","type":"HelpTool"}]},"id":"8a7b79d0-e225-4d4b-9ceb-14bdc950f7ca","type":"Toolbar"},{"attributes":{},"id":"0fb45468-fdab-473d-a355-f560d2034428","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"fdb34387-f818-4f82-8f33-d277f18195bd","subtype":"Figure","type":"Plot"},"ticker":{"id":"0fb45468-fdab-473d-a355-f560d2034428","type":"BasicTicker"}},"id":"3c62726b-560e-414f-85be-4043c19ce0f8","type":"Grid"},{"attributes":{},"id":"46d34ba9-5865-424a-b58e-3bdd4e9c7c3b","type":"LinearScale"},{"attributes":{"below":[{"id":"aa2e75d8-5193-4a57-9a3e-a4c31a9432a2","type":"LinearAxis"}],"left":[{"id":"65d3749f-76f2-40f2-bad3-a129efe08659","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"aa2e75d8-5193-4a57-9a3e-a4c31a9432a2","type":"LinearAxis"},{"id":"f01be29c-f0b7-4eb6-a2ab-3c0f4015f721","type":"Grid"},{"id":"65d3749f-76f2-40f2-bad3-a129efe08659","type":"LinearAxis"},{"id":"3c62726b-560e-414f-85be-4043c19ce0f8","type":"Grid"},{"id":"8f1eb2dc-405d-4be5-a0b6-ffb7b5138370","type":"BoxAnnotation"},{"id":"63739a2b-5d1d-465f-8a78-dbcc9eb2f268","type":"GlyphRenderer"}],"title":{"id":"5db4898f-f2ad-4eba-bc71-0156f22b84b5","type":"Title"},"toolbar":{"id":"8a7b79d0-e225-4d4b-9ceb-14bdc950f7ca","type":"Toolbar"},"x_range":{"id":"6a3818bb-ce11-4a82-af6f-27ba8277a1a6","type":"DataRange1d"},"x_scale":{"id":"464773e2-dde2-4975-809f-f07b0e7a6a8b","type":"LinearScale"},"y_range":{"id":"afe35ac1-ea37-4c5b-979c-e050bac5906e","type":"DataRange1d"},"y_scale":{"id":"46d34ba9-5865-424a-b58e-3bdd4e9c7c3b","type":"LinearScale"}},"id":"fdb34387-f818-4f82-8f33-d277f18195bd","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"bb8b6218-b811-4061-a9e2-d2028342bd64","type":"HelpTool"},{"attributes":{"formatter":{"id":"44361bb5-a8d3-40de-80da-038313717045","type":"PrintfTickFormatter"},"plot":{"id":"fdb34387-f818-4f82-8f33-d277f18195bd","subtype":"Figure","type":"Plot"},"ticker":{"id":"0fb45468-fdab-473d-a355-f560d2034428","type":"BasicTicker"}},"id":"65d3749f-76f2-40f2-bad3-a129efe08659","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"cda8f070-5c48-4bde-b7cd-52d27ab1b9a1","type":"Circle"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"8f025f4b-7960-4a48-a258-071e4e929756","type":"ColumnDataSource"},{"attributes":{"format":"%5.3f mu"},"id":"44361bb5-a8d3-40de-80da-038313717045","type":"PrintfTickFormatter"},{"attributes":{"callback":null},"id":"6a3818bb-ce11-4a82-af6f-27ba8277a1a6","type":"DataRange1d"},{"attributes":{"source":{"id":"8f025f4b-7960-4a48-a258-071e4e929756","type":"ColumnDataSource"}},"id":"5cde0cee-2d71-43da-9286-d5cf98eeb673","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"ec5e4750-b762-41fb-8b5c-73aa8cac29f7","type":"Circle"},{"attributes":{"plot":{"id":"fdb34387-f818-4f82-8f33-d277f18195bd","subtype":"Figure","type":"Plot"},"ticker":{"id":"c0e54666-8714-4787-b632-6cdc88ca5695","type":"BasicTicker"}},"id":"f01be29c-f0b7-4eb6-a2ab-3c0f4015f721","type":"Grid"},{"attributes":{},"id":"dba3c132-bc3c-4be1-9d59-75db1dbea0de","type":"PanTool"},{"attributes":{"format":"%4.1e"},"id":"18bcf735-753c-4d05-a425-0be8a09300f0","type":"PrintfTickFormatter"},{"attributes":{},"id":"01864072-d13a-4ca1-a086-6d3941297cab","type":"WheelZoomTool"},{"attributes":{"plot":null,"text":""},"id":"5db4898f-f2ad-4eba-bc71-0156f22b84b5","type":"Title"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"8f1eb2dc-405d-4be5-a0b6-ffb7b5138370","type":"BoxAnnotation"},{"attributes":{},"id":"a2c05300-da2c-4070-b1c4-c24e2f69dcb6","type":"ResetTool"},{"attributes":{},"id":"dab1f40a-26a0-40d0-ad16-1b375a87bcf8","type":"SaveTool"},{"attributes":{"data_source":{"id":"8f025f4b-7960-4a48-a258-071e4e929756","type":"ColumnDataSource"},"glyph":{"id":"cda8f070-5c48-4bde-b7cd-52d27ab1b9a1","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ec5e4750-b762-41fb-8b5c-73aa8cac29f7","type":"Circle"},"selection_glyph":null,"view":{"id":"5cde0cee-2d71-43da-9286-d5cf98eeb673","type":"CDSView"}},"id":"63739a2b-5d1d-465f-8a78-dbcc9eb2f268","type":"GlyphRenderer"},{"attributes":{},"id":"464773e2-dde2-4975-809f-f07b0e7a6a8b","type":"LinearScale"}],"root_ids":["fdb34387-f818-4f82-8f33-d277f18195bd"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d9a495f7-3b2d-48db-af7b-39d1ae37b481","elementid":"1f1beb1a-03cc-4d3d-bf7b-3f4af699ae35","modelid":"fdb34387-f818-4f82-8f33-d277f18195bd"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
