(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("985647ff-fc64-4401-875e-c7b56c7e0220");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '985647ff-fc64-4401-875e-c7b56c7e0220' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js", "https://cdnjs.cloudflare.com/ajax/libs/ion-rangeslider/2.1.4/js/ion.rangeSlider.js", "https://cdnjs.cloudflare.com/ajax/libs/KaTeX/0.6.0/katex.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          (function(root, factory) {
          //  if(typeof exports === 'object' && typeof module === 'object')
          //    factory(require("Bokeh"));
          //  else if(typeof define === 'function' && define.amd)
          //    define(["Bokeh"], factory);
          //  else if(typeof exports === 'object')
          //    factory(require("Bokeh"));
          //  else
              factory(root["Bokeh"]);
          })(this, function(Bokeh) {
            var define;
            return (function outer(modules, entry) {
            if (Bokeh != null) {
              return Bokeh.register_plugin(modules, {}, entry);
            } else {
              throw new Error("Cannot find Bokeh. You have to load it prior to loading plugins.");
            }
          })
          ({
            "custom/main": function(require, module, exports) {
              var models = {
                "IonRangeSlider": require("custom/bk_script_1cf81d62a9f849bab5d37f007f1be042.ion_range_slider").IonRangeSlider,
          "DrawTool": require("custom/bk_script_a6b7155103794f3a9d6e5b21d8027d12.draw_tool").DrawTool,
          "LatexLabel": require("custom/bk_script_bfb9623b3cb142b39dad9fa1403dc95a.latex_label").LatexLabel,
          "MyFormatter": require("custom/bk_script_de11d510a75f413fb86b6e84959f4258.my_formatter").MyFormatter
              };
              require("base").register_models(models);
              module.exports = models;
            },
            "custom/bk_script_1cf81d62a9f849bab5d37f007f1be042.ion_range_slider": function(require, module, exports) {
          "use strict";
          Object.defineProperty(exports, "__esModule", { value: true });
          var bind = function (fn, me) { return function () { return fn.apply(me, arguments); }; }, extend = function (child, parent) { for (var key in parent) {
              if (hasProp.call(parent, key))
                  child[key] = parent[key];
          } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; }, hasProp = {}.hasOwnProperty;
          var callback_1 = require("core/util/callback");
          var p = require("core/properties");
          var dom_1 = require("core/dom");
          var input_widget_1 = require("models/widgets/input_widget");
          exports.IonRangeSliderView = (function (superClass) {
              extend(IonRangeSliderView, superClass);
              function IonRangeSliderView() {
                  this.slide = bind(this.slide, this);
                  this.slidestop = bind(this.slidestop, this);
                  return IonRangeSliderView.__super__.constructor.apply(this, arguments);
              }
              IonRangeSliderView.prototype._createElement = function () {
                  var el;
                  el = IonRangeSliderView.__super__._createElement.call(this);
                  this.$el = $(el);
                  return el;
              };
              IonRangeSliderView.prototype.template = function () {
                  var title, value;
                  if (this.model.title != null) {
                      if (this.model.title.length !== 0) {
                          title = dom_1.label({
                              "for": this.model.id
                          }, " " + this.model.title + ": ");
                      }
                      value = dom_1.input({
                          type: "text",
                          id: this.model.id,
                          readonly: true
                      });
                  }
                  return dom_1.div({
                      "class": "bk-slider-parent"
                  }, title, value, dom_1.div({
                      "class": "bk-slider-horizontal"
                  }, dom_1.input({
                      type: "text",
                      "class": "slider",
                      id: this.model.id
                  })));
              };
              IonRangeSliderView.prototype.initialize = function (options) {
                  IonRangeSliderView.__super__.initialize.call(this, options);
                  this.connect(this.model.change, this.render);
                  dom_1.empty(this.el);
                  this.el.appendChild(this.template());
                  this.callbackWrapper = null;
                  if (this.model.callback_policy === 'continuous') {
                      this.callbackWrapper = function () {
                          var ref;
                          return (ref = this.model.callback) != null ? ref.execute(this.model) : void 0;
                      };
                  }
                  if (this.model.callback_policy === 'throttle' && this.model.callback) {
                      this.callbackWrapper = callback_1.throttle(function () {
                          var ref;
                          return (ref = this.model.callback) != null ? ref.execute(this.model) : void 0;
                      }, this.model.callback_throttle);
                  }
                  return this.render();
              };
              IonRangeSliderView.prototype.render = function () {
                  var disable, from, grid, max, min, opts, range, slider, step, to;
                  IonRangeSliderView.__super__.render.call(this);
                  max = this.model.end;
                  min = this.model.start;
                  grid = this.model.grid;
                  disable = this.model.disabled;
                  range = this.model.range || [max, min];
                  from = range[0], to = range[1];
                  step = this.model.step || ((max - min) / 50);
                  opts = {
                      type: "double",
                      grid: grid,
                      min: min,
                      max: max,
                      from: from,
                      to: to,
                      step: step,
                      disable: disable,
                      onChange: this.slide,
                      onFinish: this.slidestop
                  };
                  dom_1.input = this.$el.find('.slider')[0];
                  slider = jQuery(dom_1.input).ionRangeSlider(opts);
                  range = [from, to];
                  this.$el.find("#" + this.model.id).val(range.join(' - '));
                  this.$el.find('.bk-slider-parent').height(this.model.height);
                  return this;
              };
              IonRangeSliderView.prototype.slidestop = function (data) {
                  var ref;
                  if (this.model.callback_policy === 'mouseup' || this.model.callback_policy === 'throttle') {
                      return (ref = this.model.callback) != null ? ref.execute(this.model) : void 0;
                  }
              };
              IonRangeSliderView.prototype.slide = function (data) {
                  var range, value;
                  range = [data.from, data.to];
                  value = range.join(' - ');
                  this.$el.find("#" + this.model.id).val(value);
                  this.model.range = range;
                  if (this.callbackWrapper) {
                      return this.callbackWrapper();
                  }
              };
              return IonRangeSliderView;
          })(input_widget_1.InputWidgetView);
          exports.IonRangeSlider = (function (superClass) {
              extend(IonRangeSlider, superClass);
              function IonRangeSlider() {
                  return IonRangeSlider.__super__.constructor.apply(this, arguments);
              }
              IonRangeSlider.prototype.default_view = exports.IonRangeSliderView;
              IonRangeSlider.prototype.type = "IonRangeSlider";
              IonRangeSlider.define({
                  range: [p.Any],
                  start: [p.Number, 0],
                  end: [p.Number, 1],
                  step: [p.Number, 0.1],
                  grid: [p.Bool, true],
                  callback_throttle: [p.Number, 200],
                  callback_policy: [p.String, "throttle"]
              });
              return IonRangeSlider;
          })(input_widget_1.InputWidget);
          
          },
          "custom/bk_script_a6b7155103794f3a9d6e5b21d8027d12.draw_tool": function(require, module, exports) {
          "use strict";
          Object.defineProperty(exports, "__esModule", { value: true });
          var extend = function (child, parent) { for (var key in parent) {
              if (hasProp.call(parent, key))
                  child[key] = parent[key];
          } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; }, hasProp = {}.hasOwnProperty;
          var p = require("core/properties");
          var gesture_tool_1 = require("models/tools/gestures/gesture_tool");
          exports.DrawToolView = (function (superClass) {
              extend(DrawToolView, superClass);
              function DrawToolView() {
                  return DrawToolView.__super__.constructor.apply(this, arguments);
              }
              DrawToolView.prototype._pan_start = function (e) {
                  return this.model.source.data = {
                      x: [],
                      y: []
                  };
              };
              DrawToolView.prototype._pan = function (e) {
                  var canvas, frame, vx, vy, x, y;
                  frame = this.plot_model.frame;
                  canvas = this.plot_view.canvas;
                  vx = canvas.sx_to_vx(e.bokeh.sx);
                  vy = canvas.sy_to_vy(e.bokeh.sy);
                  if (!frame.contains(vx, vy)) {
                      return null;
                  }
                  x = frame.xscales['default'].invert(vx);
                  y = frame.yscales['default'].invert(vy);
                  this.model.source.data.x.push(x);
                  this.model.source.data.y.push(y);
                  return this.model.source.change.emit();
              };
              DrawToolView.prototype._pan_end = function (e) {
                  return null;
              };
              return DrawToolView;
          })(gesture_tool_1.GestureToolView);
          exports.DrawTool = (function (superClass) {
              extend(DrawTool, superClass);
              function DrawTool() {
                  return DrawTool.__super__.constructor.apply(this, arguments);
              }
              DrawTool.prototype.default_view = exports.DrawToolView;
              DrawTool.prototype.type = "DrawTool";
              DrawTool.prototype.tool_name = "Drag Span";
              DrawTool.prototype.icon = "bk-tool-icon-lasso-select";
              DrawTool.prototype.event_type = "pan";
              DrawTool.prototype.default_order = 12;
              DrawTool.define({
                  source: [p.Instance]
              });
              return DrawTool;
          })(gesture_tool_1.GestureTool);
          
          },
          "custom/bk_script_bfb9623b3cb142b39dad9fa1403dc95a.latex_label": function(require, module, exports) {
          "use strict";
          Object.defineProperty(exports, "__esModule", { value: true });
          var extend = function (child, parent) { for (var key in parent) {
              if (hasProp.call(parent, key))
                  child[key] = parent[key];
          } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; }, hasProp = {}.hasOwnProperty;
          var label_1 = require("models/annotations/label");
          exports.LatexLabelView = (function (superClass) {
              extend(LatexLabelView, superClass);
              function LatexLabelView() {
                  return LatexLabelView.__super__.constructor.apply(this, arguments);
              }
              LatexLabelView.prototype.render = function () {
                  var angle, ctx, panel_offset, sx, sy, vx, vy;
                  ctx = this.plot_view.canvas_view.ctx;
                  switch (this.model.angle_units) {
                      case "rad":
                          angle = -1 * this.model.angle;
                          break;
                      case "deg":
                          angle = -1 * this.model.angle * Math.PI / 180.0;
                  }
                  if (this.model.x_units === "data") {
                      vx = this.xscale.compute(this.model.x);
                  }
                  else {
                      vx = this.model.x;
                  }
                  sx = this.canvas.vx_to_sx(vx);
                  if (this.model.y_units === "data") {
                      vy = this.yscale.compute(this.model.y);
                  }
                  else {
                      vy = this.model.y;
                  }
                  sy = this.canvas.vy_to_sy(vy);
                  if (this.model.panel != null) {
                      panel_offset = this._get_panel_offset();
                      sx += panel_offset.x;
                      sy += panel_offset.y;
                  }
                  this._css_text(ctx, "", sx + this.model.x_offset, sy - this.model.y_offset, angle);
                  return katex.render(this.model.text, this.el, {
                      displayMode: true
                  });
              };
              return LatexLabelView;
          })(label_1.LabelView);
          exports.LatexLabel = (function (superClass) {
              extend(LatexLabel, superClass);
              function LatexLabel() {
                  return LatexLabel.__super__.constructor.apply(this, arguments);
              }
              LatexLabel.prototype.type = 'LatexLabel';
              LatexLabel.prototype.default_view = exports.LatexLabelView;
              return LatexLabel;
          })(label_1.Label);
          
          },
          "custom/bk_script_de11d510a75f413fb86b6e84959f4258.my_formatter": function(require, module, exports) {
          "use strict";
          Object.defineProperty(exports, "__esModule", { value: true });
          var extend = function (child, parent) { for (var key in parent) {
              if (hasProp.call(parent, key))
                  child[key] = parent[key];
          } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; }, hasProp = {}.hasOwnProperty;
          var tick_formatter_1 = require("models/formatters/tick_formatter");
          exports.MyFormatter = (function (superClass) {
              extend(MyFormatter, superClass);
              function MyFormatter() {
                  return MyFormatter.__super__.constructor.apply(this, arguments);
              }
              MyFormatter.prototype.type = "MyFormatter";
              MyFormatter.prototype.doFormat = function (ticks) {
                  var formatted, i, j, ref;
                  formatted = ["" + ticks[0]];
                  for (i = j = 1, ref = ticks.length; 1 <= ref ? j < ref : j > ref; i = 1 <= ref ? ++j : --j) {
                      formatted.push("+" + ((ticks[i] - ticks[0]).toPrecision(2)));
                  }
                  return formatted;
              };
              return MyFormatter;
          })(tick_formatter_1.TickFormatter);
          
          }
          }, "custom/main");
          ;
          });
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"7bc6b97b-0e64-4bee-bf43-62cd2adc58ee":{"roots":{"references":[{"attributes":{},"id":"7d37f861-39d9-4288-94af-d9a77973ad5f","type":"SaveTool"},{"attributes":{},"id":"6d8cc3dd-152f-4a08-a54a-71afc2de9985","type":"BasicTicker"},{"attributes":{"source":{"id":"6b6b9057-528a-4dc6-b533-824c3a4034e0","type":"ColumnDataSource"}},"id":"aeceffe5-7ad8-48a1-9e8d-98cb353be8b9","type":"CDSView"},{"attributes":{"data_source":{"id":"6b6b9057-528a-4dc6-b533-824c3a4034e0","type":"ColumnDataSource"},"glyph":{"id":"c76664b6-51f8-4b3a-89e8-e88d88a183f0","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"5a8748ed-797e-4187-94e4-a14cca69d86d","type":"Line"},"selection_glyph":null,"view":{"id":"aeceffe5-7ad8-48a1-9e8d-98cb353be8b9","type":"CDSView"}},"id":"0eab969f-bb50-40a2-ba0a-98a13c860075","type":"GlyphRenderer"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"5a8748ed-797e-4187-94e4-a14cca69d86d","type":"Line"},{"attributes":{},"id":"f4c94215-83b4-4f7a-a641-992837ab411b","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"d7c440db-f493-4487-b3e4-42dad2082d84","subtype":"Figure","type":"Plot"},"ticker":{"id":"6d8cc3dd-152f-4a08-a54a-71afc2de9985","type":"BasicTicker"}},"id":"c44798ba-5744-430f-94ee-05374b847e49","type":"Grid"},{"attributes":{},"id":"5a8c84c1-209c-45bd-ba80-c947b9595dab","type":"HelpTool"},{"attributes":{"below":[{"id":"2a42f579-bdb8-4bad-a69a-86a8c769661c","type":"LinearAxis"}],"left":[{"id":"58dab479-5569-47db-900c-26c3dd5ea0ca","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"2a42f579-bdb8-4bad-a69a-86a8c769661c","type":"LinearAxis"},{"id":"ccbfdf41-dd23-48c8-a38f-8378ea6b64fd","type":"Grid"},{"id":"58dab479-5569-47db-900c-26c3dd5ea0ca","type":"LinearAxis"},{"id":"c44798ba-5744-430f-94ee-05374b847e49","type":"Grid"},{"id":"4b447cef-6183-4904-8f45-c6c0d2b76358","type":"BoxAnnotation"},{"id":"0eab969f-bb50-40a2-ba0a-98a13c860075","type":"GlyphRenderer"}],"title":{"id":"53e29e5b-8824-4e7e-82de-ee578807bad8","type":"Title"},"toolbar":{"id":"2a15be4f-6293-4962-b2a1-2c514d54389d","type":"Toolbar"},"x_range":{"id":"8e1e85e8-94a3-4a62-9dd6-1dcf05f4e1dd","type":"DataRange1d"},"x_scale":{"id":"e01e3a27-56fc-4836-9b68-54f3674ba5a0","type":"LinearScale"},"y_range":{"id":"ba3c813d-2e8f-470d-b171-1f41d68774ad","type":"DataRange1d"},"y_scale":{"id":"75cde049-708a-403e-b51c-ecf0c29407a8","type":"LinearScale"}},"id":"d7c440db-f493-4487-b3e4-42dad2082d84","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"8e1e85e8-94a3-4a62-9dd6-1dcf05f4e1dd","type":"DataRange1d"},{"attributes":{"children":[{"id":"1e2e38e2-d8bb-433d-8784-05fda63dbb5c","type":"Slider"}]},"id":"dcde316b-9b8c-437a-87eb-bf08b6cfeae6","type":"WidgetBox"},{"attributes":{},"id":"1f67afb7-9ac3-47f8-afb2-1efba74ffe9b","type":"PanTool"},{"attributes":{},"id":"e2f70c39-649d-48cf-96ad-a1992768e447","type":"BasicTicker"},{"attributes":{"callback":{"id":"67458cb1-2ab1-4b47-b8f3-c51672283f5e","type":"CustomJS"},"callback_policy":"continuous","end":0.99,"range":[0.01,0.985],"start":0.01,"step":0.01,"title":"Ion Range Slider - Range"},"id":"4afbca39-6349-44e8-aca7-d7a094b450b7","type":"IonRangeSlider"},{"attributes":{"formatter":{"id":"69c35450-d93c-4ea4-83f6-55343b781461","type":"BasicTickFormatter"},"plot":{"id":"d7c440db-f493-4487-b3e4-42dad2082d84","subtype":"Figure","type":"Plot"},"ticker":{"id":"e2f70c39-649d-48cf-96ad-a1992768e447","type":"BasicTicker"}},"id":"2a42f579-bdb8-4bad-a69a-86a8c769661c","type":"LinearAxis"},{"attributes":{},"id":"a408a841-ce43-42fe-a7c3-bb8ffd42e0a2","type":"WheelZoomTool"},{"attributes":{"children":[{"id":"d7c440db-f493-4487-b3e4-42dad2082d84","subtype":"Figure","type":"Plot"},{"id":"dcde316b-9b8c-437a-87eb-bf08b6cfeae6","type":"WidgetBox"},{"id":"1e6ecfd4-4105-4dd6-ae01-c11ca51df90c","type":"WidgetBox"}]},"id":"d55902cc-45be-46cb-a1fd-3ba263e33a2c","type":"Column"},{"attributes":{"children":[{"id":"4afbca39-6349-44e8-aca7-d7a094b450b7","type":"IonRangeSlider"}]},"id":"1e6ecfd4-4105-4dd6-ae01-c11ca51df90c","type":"WidgetBox"},{"attributes":{"formatter":{"id":"f4c94215-83b4-4f7a-a641-992837ab411b","type":"BasicTickFormatter"},"plot":{"id":"d7c440db-f493-4487-b3e4-42dad2082d84","subtype":"Figure","type":"Plot"},"ticker":{"id":"6d8cc3dd-152f-4a08-a54a-71afc2de9985","type":"BasicTicker"}},"id":"58dab479-5569-47db-900c-26c3dd5ea0ca","type":"LinearAxis"},{"attributes":{"plot":null,"text":""},"id":"53e29e5b-8824-4e7e-82de-ee578807bad8","type":"Title"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"1f67afb7-9ac3-47f8-afb2-1efba74ffe9b","type":"PanTool"},{"id":"a408a841-ce43-42fe-a7c3-bb8ffd42e0a2","type":"WheelZoomTool"},{"id":"b27acc32-1602-47a3-a012-7fd2bb9edbf5","type":"BoxZoomTool"},{"id":"7d37f861-39d9-4288-94af-d9a77973ad5f","type":"SaveTool"},{"id":"13049dcb-630c-47b4-9907-c1bf1ece8c13","type":"ResetTool"},{"id":"5a8c84c1-209c-45bd-ba80-c947b9595dab","type":"HelpTool"}]},"id":"2a15be4f-6293-4962-b2a1-2c514d54389d","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985],"y":[0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985]}},"id":"6b6b9057-528a-4dc6-b533-824c3a4034e0","type":"ColumnDataSource"},{"attributes":{"callback":{"id":"f4cd71c9-af04-45bf-a84d-50699c3abaf0","type":"CustomJS"},"end":5,"start":0,"step":0.1,"title":"Bokeh Slider - Power","value":1},"id":"1e2e38e2-d8bb-433d-8784-05fda63dbb5c","type":"Slider"},{"attributes":{"line_alpha":{"value":0.6},"line_color":{"value":"#ed5565"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"c76664b6-51f8-4b3a-89e8-e88d88a183f0","type":"Line"},{"attributes":{"callback":null},"id":"ba3c813d-2e8f-470d-b171-1f41d68774ad","type":"DataRange1d"},{"attributes":{"args":{"source":{"id":"6b6b9057-528a-4dc6-b533-824c3a4034e0","type":"ColumnDataSource"}},"code":"\n        var data = source.data;\n        var f = cb_obj.range\n        x = data['x']\n        y = data['y']\n        pow = (Math.log(y[100])/Math.log(x[100]))\n        console.log(pow)\n        delta = (f[1]-f[0])/x.length\n        for (i = 0; i < x.length; i++) {\n            x[i] = delta*i + f[0]\n            y[i] = Math.pow(x[i], pow)\n        }\n        source.change.emit();\n    "},"id":"67458cb1-2ab1-4b47-b8f3-c51672283f5e","type":"CustomJS"},{"attributes":{},"id":"75cde049-708a-403e-b51c-ecf0c29407a8","type":"LinearScale"},{"attributes":{"plot":{"id":"d7c440db-f493-4487-b3e4-42dad2082d84","subtype":"Figure","type":"Plot"},"ticker":{"id":"e2f70c39-649d-48cf-96ad-a1992768e447","type":"BasicTicker"}},"id":"ccbfdf41-dd23-48c8-a38f-8378ea6b64fd","type":"Grid"},{"attributes":{},"id":"13049dcb-630c-47b4-9907-c1bf1ece8c13","type":"ResetTool"},{"attributes":{},"id":"e01e3a27-56fc-4836-9b68-54f3674ba5a0","type":"LinearScale"},{"attributes":{"overlay":{"id":"4b447cef-6183-4904-8f45-c6c0d2b76358","type":"BoxAnnotation"}},"id":"b27acc32-1602-47a3-a012-7fd2bb9edbf5","type":"BoxZoomTool"},{"attributes":{"args":{"source":{"id":"6b6b9057-528a-4dc6-b533-824c3a4034e0","type":"ColumnDataSource"}},"code":"\n        var data = source.data;\n        var f = cb_obj.value\n        x = data['x']\n        y = data['y']\n        for (i = 0; i < x.length; i++) {\n            y[i] = Math.pow(x[i], f)\n        }\n        source.change.emit();\n    "},"id":"f4cd71c9-af04-45bf-a84d-50699c3abaf0","type":"CustomJS"},{"attributes":{},"id":"69c35450-d93c-4ea4-83f6-55343b781461","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"4b447cef-6183-4904-8f45-c6c0d2b76358","type":"BoxAnnotation"}],"root_ids":["d55902cc-45be-46cb-a1fd-3ba263e33a2c"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"7bc6b97b-0e64-4bee-bf43-62cd2adc58ee","elementid":"985647ff-fc64-4401-875e-c7b56c7e0220","modelid":"d55902cc-45be-46cb-a1fd-3ba263e33a2c"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdnjs.cloudflare.com/ajax/libs/normalize/4.2.0/normalize.css");
          Bokeh.embed.inject_css("https://cdnjs.cloudflare.com/ajax/libs/normalize/4.2.0/normalize.css");
          console.log("Bokeh: injecting CSS: https://cdnjs.cloudflare.com/ajax/libs/ion-rangeslider/2.1.4/css/ion.rangeSlider.css");
          Bokeh.embed.inject_css("https://cdnjs.cloudflare.com/ajax/libs/ion-rangeslider/2.1.4/css/ion.rangeSlider.css");
          console.log("Bokeh: injecting CSS: https://cdnjs.cloudflare.com/ajax/libs/ion-rangeslider/2.1.4/css/ion.rangeSlider.skinFlat.min.css");
          Bokeh.embed.inject_css("https://cdnjs.cloudflare.com/ajax/libs/ion-rangeslider/2.1.4/css/ion.rangeSlider.skinFlat.min.css");
          console.log("Bokeh: injecting CSS: https://cdnjs.cloudflare.com/ajax/libs/ion-rangeslider/2.1.4/img/sprite-skin-flat.png");
          Bokeh.embed.inject_css("https://cdnjs.cloudflare.com/ajax/libs/ion-rangeslider/2.1.4/img/sprite-skin-flat.png");
          console.log("Bokeh: injecting CSS: https://cdnjs.cloudflare.com/ajax/libs/KaTeX/0.6.0/katex.min.css");
          Bokeh.embed.inject_css("https://cdnjs.cloudflare.com/ajax/libs/KaTeX/0.6.0/katex.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
