(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("bd4bbb8f-7a8a-4c5e-9856-a26ec086a6ef");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'bd4bbb8f-7a8a-4c5e-9856-a26ec086a6ef' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"f0b9a087-6c1c-4eb0-9bc6-655bbbc20e97":{"roots":{"references":[{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"935ea9d8-f641-4253-b358-53413a74b478","type":"Triangle"},{"attributes":{"plot":{"id":"02830f5b-dcc1-428b-b3da-e6647e5cc352","subtype":"Figure","type":"Plot"},"ticker":{"id":"1ec268b4-7480-408c-8d75-c2d4f42bdaea","type":"BasicTicker"}},"id":"97b52360-6e0b-477b-8108-326ed114ea52","type":"Grid"},{"attributes":{},"id":"78ab3568-f2f0-4124-a41d-689c50beb32e","type":"HelpTool"},{"attributes":{"children":[{"id":"02830f5b-dcc1-428b-b3da-e6647e5cc352","subtype":"Figure","type":"Plot"},{"id":"0e4c5577-880b-44d2-b0d9-de0beb9c6349","subtype":"Figure","type":"Plot"},{"id":"0a2e31c1-3691-4434-9192-e5e5fe41cbcf","subtype":"Figure","type":"Plot"}]},"id":"f464dcce-405c-4ba3-bdd6-bc2b9da978b2","type":"Row"},{"attributes":{},"id":"cb0d921a-7e8b-4485-9c22-b9ac22f7d502","type":"SaveTool"},{"attributes":{},"id":"cdd9cba4-088c-4cf4-9ff3-4e7732b68eb0","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"firebrick"},"line_alpha":{"value":0.5},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"63f66847-4bda-4fdf-9043-8979412dc1fd","type":"Triangle"},{"attributes":{"data_source":{"id":"69d21fcf-da87-4339-b797-1f6dda586583","type":"ColumnDataSource"},"glyph":{"id":"63f66847-4bda-4fdf-9043-8979412dc1fd","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"935ea9d8-f641-4253-b358-53413a74b478","type":"Triangle"},"selection_glyph":null,"view":{"id":"45335fa3-14c5-44a8-9d0e-a5b61e1eed38","type":"CDSView"}},"id":"39697837-4397-44b6-9e34-fb03b0571e56","type":"GlyphRenderer"},{"attributes":{},"id":"b2e56e09-c7ce-499d-b02e-50f82e4e4270","type":"LinearScale"},{"attributes":{"callback":null},"id":"5e969806-c4f8-4057-99ef-dbb8dfa06514","type":"DataRange1d"},{"attributes":{},"id":"5c53cf11-4650-4711-9b7a-f72012145d47","type":"BasicTickFormatter"},{"attributes":{},"id":"ba1f986b-d25d-4a21-84cb-5c6206a92a5b","type":"WheelZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"b8763bc1-9061-42cb-858d-dbff60d1fe07","type":"BoxAnnotation"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"b6a38231-87ee-43e8-af72-8faf4eb3fc7b","type":"BoxAnnotation"},{"attributes":{},"id":"79a9769e-71b2-477b-a9c8-6f892a988322","type":"BasicTicker"},{"attributes":{"below":[{"id":"fbf5fd04-8f44-4c10-b660-ca37b8e199b3","type":"LinearAxis"}],"left":[{"id":"0fa37395-2745-44ea-b348-2b37edd1d6ce","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"fbf5fd04-8f44-4c10-b660-ca37b8e199b3","type":"LinearAxis"},{"id":"bdf843bf-c843-465c-a313-374633749a8e","type":"Grid"},{"id":"0fa37395-2745-44ea-b348-2b37edd1d6ce","type":"LinearAxis"},{"id":"304ab336-583c-4a72-8f76-d8b4445d060e","type":"Grid"},{"id":"aae408bc-e62b-41cf-bd43-25c7c72f4611","type":"BoxAnnotation"},{"id":"39697837-4397-44b6-9e34-fb03b0571e56","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"6ee0affe-610b-476a-89f2-5d82097e98e4","type":"Toolbar"},"x_range":{"id":"e5e2fc0e-f996-4b80-b1e6-85da5c84e6f9","type":"DataRange1d"},"x_scale":{"id":"573ace10-36b7-456d-8355-2554e1c83096","type":"LinearScale"},"y_range":{"id":"5e969806-c4f8-4057-99ef-dbb8dfa06514","type":"DataRange1d"},"y_scale":{"id":"a1f4414d-8236-4e47-849c-5d9d124e97b1","type":"LinearScale"}},"id":"0e4c5577-880b-44d2-b0d9-de0beb9c6349","subtype":"Figure","type":"Plot"},{"attributes":{"below":[{"id":"0e1f6207-f8d0-41c7-b66b-e014552b45f8","type":"LinearAxis"}],"left":[{"id":"db6a9444-2c23-4967-82fa-a808e7db28f8","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"0e1f6207-f8d0-41c7-b66b-e014552b45f8","type":"LinearAxis"},{"id":"0a688990-8d93-418b-9b07-a6d4c4e05502","type":"Grid"},{"id":"db6a9444-2c23-4967-82fa-a808e7db28f8","type":"LinearAxis"},{"id":"3eac13ea-b3e6-48d7-82c6-79659ef72e4c","type":"Grid"},{"id":"b8763bc1-9061-42cb-858d-dbff60d1fe07","type":"BoxAnnotation"},{"id":"3985b4df-2cc9-483d-b1b6-0c63af80a22c","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"1d265a95-af08-4bd4-a31b-d975d53175eb","type":"Toolbar"},"x_range":{"id":"17b03b43-d807-4458-8e11-73d9477c54d6","type":"DataRange1d"},"x_scale":{"id":"b2e56e09-c7ce-499d-b02e-50f82e4e4270","type":"LinearScale"},"y_range":{"id":"7c38e9f3-f8e7-41e3-a000-727174e5af8e","type":"DataRange1d"},"y_scale":{"id":"79f9c94e-d7d9-4e20-b0e6-2ee03d70318b","type":"LinearScale"}},"id":"0a2e31c1-3691-4434-9192-e5e5fe41cbcf","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[10,9,8,7,6,5,4,3,2,1,0]}},"id":"69d21fcf-da87-4339-b797-1f6dda586583","type":"ColumnDataSource"},{"attributes":{},"id":"c45b5f05-b29f-4d14-96c4-a34c6bba04a6","type":"BasicTicker"},{"attributes":{"source":{"id":"69d21fcf-da87-4339-b797-1f6dda586583","type":"ColumnDataSource"}},"id":"45335fa3-14c5-44a8-9d0e-a5b61e1eed38","type":"CDSView"},{"attributes":{"formatter":{"id":"c4c05a2e-fa39-4709-a5d0-8020dcd32d1c","type":"BasicTickFormatter"},"plot":{"id":"0a2e31c1-3691-4434-9192-e5e5fe41cbcf","subtype":"Figure","type":"Plot"},"ticker":{"id":"c45b5f05-b29f-4d14-96c4-a34c6bba04a6","type":"BasicTicker"}},"id":"db6a9444-2c23-4967-82fa-a808e7db28f8","type":"LinearAxis"},{"attributes":{"plot":{"id":"0e4c5577-880b-44d2-b0d9-de0beb9c6349","subtype":"Figure","type":"Plot"},"ticker":{"id":"100788f5-14da-40e0-9932-da166380d6f2","type":"BasicTicker"}},"id":"bdf843bf-c843-465c-a313-374633749a8e","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"0a2e31c1-3691-4434-9192-e5e5fe41cbcf","subtype":"Figure","type":"Plot"},"ticker":{"id":"c45b5f05-b29f-4d14-96c4-a34c6bba04a6","type":"BasicTicker"}},"id":"3eac13ea-b3e6-48d7-82c6-79659ef72e4c","type":"Grid"},{"attributes":{"plot":{"id":"0a2e31c1-3691-4434-9192-e5e5fe41cbcf","subtype":"Figure","type":"Plot"},"ticker":{"id":"cdd9cba4-088c-4cf4-9ff3-4e7732b68eb0","type":"BasicTicker"}},"id":"0a688990-8d93-418b-9b07-a6d4c4e05502","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"navy"},"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"296f928c-f877-4a66-8aec-d15f8c9c8ac8","type":"Circle"},{"attributes":{"formatter":{"id":"a5e141e4-1f57-4201-a197-4a74f23a3e8a","type":"BasicTickFormatter"},"plot":{"id":"0e4c5577-880b-44d2-b0d9-de0beb9c6349","subtype":"Figure","type":"Plot"},"ticker":{"id":"100788f5-14da-40e0-9932-da166380d6f2","type":"BasicTicker"}},"id":"fbf5fd04-8f44-4c10-b660-ca37b8e199b3","type":"LinearAxis"},{"attributes":{"source":{"id":"84038d6c-fff9-4bf8-9fa3-45f8413b188a","type":"ColumnDataSource"}},"id":"26f48320-67d2-4559-a21f-aa7348801844","type":"CDSView"},{"attributes":{},"id":"a1f4414d-8236-4e47-849c-5d9d124e97b1","type":"LinearScale"},{"attributes":{"overlay":{"id":"b6a38231-87ee-43e8-af72-8faf4eb3fc7b","type":"BoxAnnotation"}},"id":"44e006eb-36f2-4dc1-b4d4-29f71a82900f","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"6629da7f-a405-4541-b15e-2e4a05984fbb","type":"DataRange1d"},{"attributes":{},"id":"168f308a-0bd7-4b4a-b5d2-f9837421aab2","type":"PanTool"},{"attributes":{"source":{"id":"57a767b6-a935-4fb7-a307-3a8737e8d5bf","type":"ColumnDataSource"}},"id":"ee0d3113-bcb1-4c63-abb4-1a8f2e192389","type":"CDSView"},{"attributes":{"formatter":{"id":"fd294674-a0fe-4ced-9566-cb3a25153b1d","type":"BasicTickFormatter"},"plot":{"id":"0e4c5577-880b-44d2-b0d9-de0beb9c6349","subtype":"Figure","type":"Plot"},"ticker":{"id":"785fa7bf-8811-4c87-93ca-3430c1b0e185","type":"BasicTicker"}},"id":"0fa37395-2745-44ea-b348-2b37edd1d6ce","type":"LinearAxis"},{"attributes":{},"id":"b779028f-26aa-4487-9e82-571a07de137b","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"c44c48fb-126e-41f3-aac7-f154690904da","type":"BasicTickFormatter"},"plot":{"id":"02830f5b-dcc1-428b-b3da-e6647e5cc352","subtype":"Figure","type":"Plot"},"ticker":{"id":"79a9769e-71b2-477b-a9c8-6f892a988322","type":"BasicTicker"}},"id":"5347e1b8-982b-475d-9273-11f8ff95ea63","type":"LinearAxis"},{"attributes":{"callback":null},"id":"f5087429-31c0-4dd0-ae36-729e8468df0c","type":"DataRange1d"},{"attributes":{},"id":"9a42e30b-3205-47cc-b9a5-1c61bad9dc17","type":"PanTool"},{"attributes":{},"id":"c90ac4b3-196b-41c7-93e3-5c384bcf077d","type":"ResetTool"},{"attributes":{},"id":"a5e141e4-1f57-4201-a197-4a74f23a3e8a","type":"BasicTickFormatter"},{"attributes":{},"id":"fd294674-a0fe-4ced-9566-cb3a25153b1d","type":"BasicTickFormatter"},{"attributes":{},"id":"785fa7bf-8811-4c87-93ca-3430c1b0e185","type":"BasicTicker"},{"attributes":{"data_source":{"id":"57a767b6-a935-4fb7-a307-3a8737e8d5bf","type":"ColumnDataSource"},"glyph":{"id":"296f928c-f877-4a66-8aec-d15f8c9c8ac8","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"11919e37-0501-43b6-99e2-3d8f146c6d58","type":"Circle"},"selection_glyph":null,"view":{"id":"ee0d3113-bcb1-4c63-abb4-1a8f2e192389","type":"CDSView"}},"id":"24e720b0-8dcc-480b-b851-99f1a5826522","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"52de7381-3f61-4f85-8c0c-9eaa89215cd9","type":"Square"},{"attributes":{},"id":"035cbebc-0ccf-441f-98ec-221f54bc205b","type":"LinearScale"},{"attributes":{},"id":"4730f2ea-fe5f-49db-ba40-04fd6b632749","type":"HelpTool"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"olive"},"line_alpha":{"value":0.5},"line_color":{"value":"olive"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"2403af9f-9211-4525-ac6f-00a4b435c0ee","type":"Square"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"168f308a-0bd7-4b4a-b5d2-f9837421aab2","type":"PanTool"},{"id":"b4b991b0-c76b-4a51-9c7e-f449ecd2a417","type":"WheelZoomTool"},{"id":"de7295c1-6f0b-482e-861b-80e0d3995b23","type":"BoxZoomTool"},{"id":"bdf85f2a-f75c-4d94-b1fb-1e1dd76dd8b7","type":"SaveTool"},{"id":"c90ac4b3-196b-41c7-93e3-5c384bcf077d","type":"ResetTool"},{"id":"f1ed68b9-e3e9-4bab-b3ef-6b07c348254d","type":"HelpTool"}]},"id":"6ee0affe-610b-476a-89f2-5d82097e98e4","type":"Toolbar"},{"attributes":{"callback":null},"id":"17b03b43-d807-4458-8e11-73d9477c54d6","type":"DataRange1d"},{"attributes":{"formatter":{"id":"285221ee-7392-49ce-87b3-f4358291f4e5","type":"BasicTickFormatter"},"plot":{"id":"02830f5b-dcc1-428b-b3da-e6647e5cc352","subtype":"Figure","type":"Plot"},"ticker":{"id":"1ec268b4-7480-408c-8d75-c2d4f42bdaea","type":"BasicTicker"}},"id":"bf163aff-1ac1-4b92-af8f-c4093af27639","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"02830f5b-dcc1-428b-b3da-e6647e5cc352","subtype":"Figure","type":"Plot"},"ticker":{"id":"79a9769e-71b2-477b-a9c8-6f892a988322","type":"BasicTicker"}},"id":"f0878aef-42e6-4c9b-978c-ef6ca3436659","type":"Grid"},{"attributes":{"below":[{"id":"bf163aff-1ac1-4b92-af8f-c4093af27639","type":"LinearAxis"}],"left":[{"id":"5347e1b8-982b-475d-9273-11f8ff95ea63","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"bf163aff-1ac1-4b92-af8f-c4093af27639","type":"LinearAxis"},{"id":"97b52360-6e0b-477b-8108-326ed114ea52","type":"Grid"},{"id":"5347e1b8-982b-475d-9273-11f8ff95ea63","type":"LinearAxis"},{"id":"f0878aef-42e6-4c9b-978c-ef6ca3436659","type":"Grid"},{"id":"b6a38231-87ee-43e8-af72-8faf4eb3fc7b","type":"BoxAnnotation"},{"id":"24e720b0-8dcc-480b-b851-99f1a5826522","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"fab4d36a-058f-449a-aa62-57eac8648052","type":"Toolbar"},"x_range":{"id":"6629da7f-a405-4541-b15e-2e4a05984fbb","type":"DataRange1d"},"x_scale":{"id":"035cbebc-0ccf-441f-98ec-221f54bc205b","type":"LinearScale"},"y_range":{"id":"f5087429-31c0-4dd0-ae36-729e8468df0c","type":"DataRange1d"},"y_scale":{"id":"ccbbe509-4a20-4313-a2fe-2d20548f218e","type":"LinearScale"}},"id":"02830f5b-dcc1-428b-b3da-e6647e5cc352","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"8a908ef0-b0e5-4a69-8898-44028fb252b9","type":"ResetTool"},{"attributes":{"overlay":{"id":"aae408bc-e62b-41cf-bd43-25c7c72f4611","type":"BoxAnnotation"}},"id":"de7295c1-6f0b-482e-861b-80e0d3995b23","type":"BoxZoomTool"},{"attributes":{},"id":"c4c05a2e-fa39-4709-a5d0-8020dcd32d1c","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"11919e37-0501-43b6-99e2-3d8f146c6d58","type":"Circle"},{"attributes":{},"id":"bdf85f2a-f75c-4d94-b1fb-1e1dd76dd8b7","type":"SaveTool"},{"attributes":{},"id":"285221ee-7392-49ce-87b3-f4358291f4e5","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"9a793d4a-0265-4c62-8ad7-19e76722080a","type":"PanTool"},{"id":"ba1f986b-d25d-4a21-84cb-5c6206a92a5b","type":"WheelZoomTool"},{"id":"013361bf-0d73-4595-a9a2-2e9c18580034","type":"BoxZoomTool"},{"id":"cb0d921a-7e8b-4485-9c22-b9ac22f7d502","type":"SaveTool"},{"id":"8a908ef0-b0e5-4a69-8898-44028fb252b9","type":"ResetTool"},{"id":"4730f2ea-fe5f-49db-ba40-04fd6b632749","type":"HelpTool"}]},"id":"1d265a95-af08-4bd4-a31b-d975d53175eb","type":"Toolbar"},{"attributes":{"data_source":{"id":"84038d6c-fff9-4bf8-9fa3-45f8413b188a","type":"ColumnDataSource"},"glyph":{"id":"2403af9f-9211-4525-ac6f-00a4b435c0ee","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"52de7381-3f61-4f85-8c0c-9eaa89215cd9","type":"Square"},"selection_glyph":null,"view":{"id":"26f48320-67d2-4559-a21f-aa7348801844","type":"CDSView"}},"id":"3985b4df-2cc9-483d-b1b6-0c63af80a22c","type":"GlyphRenderer"},{"attributes":{},"id":"b4b991b0-c76b-4a51-9c7e-f449ecd2a417","type":"WheelZoomTool"},{"attributes":{},"id":"ccbbe509-4a20-4313-a2fe-2d20548f218e","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[5,4,3,2,1,0,1,2,3,4,5]}},"id":"84038d6c-fff9-4bf8-9fa3-45f8413b188a","type":"ColumnDataSource"},{"attributes":{},"id":"79f9c94e-d7d9-4e20-b0e6-2ee03d70318b","type":"LinearScale"},{"attributes":{},"id":"9a793d4a-0265-4c62-8ad7-19e76722080a","type":"PanTool"},{"attributes":{"dimension":1,"plot":{"id":"0e4c5577-880b-44d2-b0d9-de0beb9c6349","subtype":"Figure","type":"Plot"},"ticker":{"id":"785fa7bf-8811-4c87-93ca-3430c1b0e185","type":"BasicTicker"}},"id":"304ab336-583c-4a72-8f76-d8b4445d060e","type":"Grid"},{"attributes":{},"id":"1ec268b4-7480-408c-8d75-c2d4f42bdaea","type":"BasicTicker"},{"attributes":{"overlay":{"id":"b8763bc1-9061-42cb-858d-dbff60d1fe07","type":"BoxAnnotation"}},"id":"013361bf-0d73-4595-a9a2-2e9c18580034","type":"BoxZoomTool"},{"attributes":{},"id":"e6c8988f-6dab-4d0c-ba8e-3ea7b1a99d57","type":"SaveTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"aae408bc-e62b-41cf-bd43-25c7c72f4611","type":"BoxAnnotation"},{"attributes":{},"id":"573ace10-36b7-456d-8355-2554e1c83096","type":"LinearScale"},{"attributes":{"formatter":{"id":"5c53cf11-4650-4711-9b7a-f72012145d47","type":"BasicTickFormatter"},"plot":{"id":"0a2e31c1-3691-4434-9192-e5e5fe41cbcf","subtype":"Figure","type":"Plot"},"ticker":{"id":"cdd9cba4-088c-4cf4-9ff3-4e7732b68eb0","type":"BasicTicker"}},"id":"0e1f6207-f8d0-41c7-b66b-e014552b45f8","type":"LinearAxis"},{"attributes":{"callback":null},"id":"e5e2fc0e-f996-4b80-b1e6-85da5c84e6f9","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[0,1,2,3,4,5,6,7,8,9,10]}},"id":"57a767b6-a935-4fb7-a307-3a8737e8d5bf","type":"ColumnDataSource"},{"attributes":{},"id":"f1ed68b9-e3e9-4bab-b3ef-6b07c348254d","type":"HelpTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"9a42e30b-3205-47cc-b9a5-1c61bad9dc17","type":"PanTool"},{"id":"b779028f-26aa-4487-9e82-571a07de137b","type":"WheelZoomTool"},{"id":"44e006eb-36f2-4dc1-b4d4-29f71a82900f","type":"BoxZoomTool"},{"id":"e6c8988f-6dab-4d0c-ba8e-3ea7b1a99d57","type":"SaveTool"},{"id":"a163cbaf-f336-43b9-9fe7-6f3e44b39d32","type":"ResetTool"},{"id":"78ab3568-f2f0-4124-a41d-689c50beb32e","type":"HelpTool"}]},"id":"fab4d36a-058f-449a-aa62-57eac8648052","type":"Toolbar"},{"attributes":{"callback":null},"id":"7c38e9f3-f8e7-41e3-a000-727174e5af8e","type":"DataRange1d"},{"attributes":{},"id":"c44c48fb-126e-41f3-aac7-f154690904da","type":"BasicTickFormatter"},{"attributes":{},"id":"100788f5-14da-40e0-9932-da166380d6f2","type":"BasicTicker"},{"attributes":{},"id":"a163cbaf-f336-43b9-9fe7-6f3e44b39d32","type":"ResetTool"}],"root_ids":["f464dcce-405c-4ba3-bdd6-bc2b9da978b2"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"f0b9a087-6c1c-4eb0-9bc6-655bbbc20e97","elementid":"bd4bbb8f-7a8a-4c5e-9856-a26ec086a6ef","modelid":"f464dcce-405c-4ba3-bdd6-bc2b9da978b2"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
