(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("863abe9a-d26e-4041-9371-87c8c5209bc5");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '863abe9a-d26e-4041-9371-87c8c5209bc5' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"af0f04de-99bc-484b-a18b-c8ee58d926c2":{"roots":{"references":[{"attributes":{"fill_color":{"field":"fruits","transform":{"id":"32d90427-6ade-4b5a-bd68-324a1c73bb5e","type":"CategoricalColorMapper"}},"line_color":{"value":"white"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"88df4d35-f713-42c3-98f1-9b4d060da715","type":"VBar"},{"attributes":{},"id":"77869d46-663e-4828-84d2-bf0d792a604f","type":"CategoricalScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"54a96c2d-193a-469e-9a73-d7ef80e99a50","type":"PanTool"},{"id":"74f1faca-5c07-4067-a186-1b5d74ab0411","type":"WheelZoomTool"},{"id":"6db4b90c-e196-40f8-a123-89cf63b880c2","type":"BoxZoomTool"},{"id":"e6ea3729-6b81-460b-a98e-6aa94306a67e","type":"SaveTool"},{"id":"a0f6b613-af1a-45c3-8bce-ed3701a19a8c","type":"ResetTool"},{"id":"5a9db6db-0107-4997-870d-382b3aee40ab","type":"HelpTool"}]},"id":"30a99498-a21f-47d0-82a6-b2cc082190b4","type":"Toolbar"},{"attributes":{"formatter":{"id":"32d619d0-4c75-4c06-bb33-8033976bf5cf","type":"BasicTickFormatter"},"plot":{"id":"244e5055-687b-461d-a735-e72b3c886e0e","subtype":"Figure","type":"Plot"},"ticker":{"id":"c24b3f7b-a92f-4187-8e4d-ca9f3449675b","type":"BasicTicker"}},"id":"2eb81a59-c424-4edd-97c0-13faa2304707","type":"LinearAxis"},{"attributes":{},"id":"1fade31b-5120-46eb-beef-99612aea44d9","type":"CategoricalTickFormatter"},{"attributes":{"overlay":{"id":"01956156-0abe-402f-9df6-dac06842582c","type":"BoxAnnotation"}},"id":"6db4b90c-e196-40f8-a123-89cf63b880c2","type":"BoxZoomTool"},{"attributes":{},"id":"e6ea3729-6b81-460b-a98e-6aa94306a67e","type":"SaveTool"},{"attributes":{"label":{"field":"fruits"},"renderers":[{"id":"dc013490-7b4e-4003-83be-858b95a9f229","type":"GlyphRenderer"}]},"id":"17ad714f-ef68-4c9d-9682-1c4363d4a344","type":"LegendItem"},{"attributes":{"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"palette":["#3288bd","#99d594","#e6f598","#fee08b","#fc8d59","#d53e4f"]},"id":"32d90427-6ade-4b5a-bd68-324a1c73bb5e","type":"CategoricalColorMapper"},{"attributes":{},"id":"a0f6b613-af1a-45c3-8bce-ed3701a19a8c","type":"ResetTool"},{"attributes":{},"id":"9d92e1fd-8ed3-4352-ae26-72c0579a11f5","type":"CategoricalTicker"},{"attributes":{"source":{"id":"640c4eec-8f3f-45b7-b1be-be38a1de3460","type":"ColumnDataSource"}},"id":"68aa661e-c1f3-4c9b-8aac-09f703419106","type":"CDSView"},{"attributes":{},"id":"54a96c2d-193a-469e-9a73-d7ef80e99a50","type":"PanTool"},{"attributes":{},"id":"5a9db6db-0107-4997-870d-382b3aee40ab","type":"HelpTool"},{"attributes":{},"id":"74f1faca-5c07-4067-a186-1b5d74ab0411","type":"WheelZoomTool"},{"attributes":{"below":[{"id":"8e8928e7-dcb8-4a79-b795-62310f6212fa","type":"CategoricalAxis"}],"left":[{"id":"2eb81a59-c424-4edd-97c0-13faa2304707","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"8e8928e7-dcb8-4a79-b795-62310f6212fa","type":"CategoricalAxis"},{"id":"839d973d-0118-497e-8c5a-aefef3dcd83a","type":"Grid"},{"id":"2eb81a59-c424-4edd-97c0-13faa2304707","type":"LinearAxis"},{"id":"b00f6111-7706-4445-af9f-3d9327fc2cee","type":"Grid"},{"id":"01956156-0abe-402f-9df6-dac06842582c","type":"BoxAnnotation"},{"id":"0f80e17a-f637-406e-9545-e1e2100ca706","type":"Legend"},{"id":"dc013490-7b4e-4003-83be-858b95a9f229","type":"GlyphRenderer"}],"title":{"id":"90c4e9e2-bdd9-4dd6-b922-aa1120f5a165","type":"Title"},"toolbar":{"id":"30a99498-a21f-47d0-82a6-b2cc082190b4","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"f94812b3-b86f-435c-90ac-960c548f8c4d","type":"FactorRange"},"x_scale":{"id":"77869d46-663e-4828-84d2-bf0d792a604f","type":"CategoricalScale"},"y_range":{"id":"83c04da9-b0ff-4b80-ac69-bebd9a92442f","type":"DataRange1d"},"y_scale":{"id":"ff812eea-e13b-4c3b-8e23-900a49da0c0c","type":"LinearScale"}},"id":"244e5055-687b-461d-a735-e72b3c886e0e","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"c24b3f7b-a92f-4187-8e4d-ca9f3449675b","type":"BasicTicker"},{"attributes":{"items":[{"id":"17ad714f-ef68-4c9d-9682-1c4363d4a344","type":"LegendItem"}],"location":"top_center","orientation":"horizontal","plot":{"id":"244e5055-687b-461d-a735-e72b3c886e0e","subtype":"Figure","type":"Plot"}},"id":"0f80e17a-f637-406e-9545-e1e2100ca706","type":"Legend"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"7af50581-65c0-4611-b709-858df810d2d0","type":"VBar"},{"attributes":{"plot":null,"text":"Fruit Counts"},"id":"90c4e9e2-bdd9-4dd6-b922-aa1120f5a165","type":"Title"},{"attributes":{},"id":"ff812eea-e13b-4c3b-8e23-900a49da0c0c","type":"LinearScale"},{"attributes":{"callback":null,"end":9,"start":0},"id":"83c04da9-b0ff-4b80-ac69-bebd9a92442f","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"01956156-0abe-402f-9df6-dac06842582c","type":"BoxAnnotation"},{"attributes":{"callback":null,"column_names":["counts","fruits"],"data":{"counts":[5,3,4,2,4,6],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"640c4eec-8f3f-45b7-b1be-be38a1de3460","type":"ColumnDataSource"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"f94812b3-b86f-435c-90ac-960c548f8c4d","type":"FactorRange"},{"attributes":{},"id":"32d619d0-4c75-4c06-bb33-8033976bf5cf","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"244e5055-687b-461d-a735-e72b3c886e0e","subtype":"Figure","type":"Plot"},"ticker":{"id":"c24b3f7b-a92f-4187-8e4d-ca9f3449675b","type":"BasicTicker"}},"id":"b00f6111-7706-4445-af9f-3d9327fc2cee","type":"Grid"},{"attributes":{"formatter":{"id":"1fade31b-5120-46eb-beef-99612aea44d9","type":"CategoricalTickFormatter"},"plot":{"id":"244e5055-687b-461d-a735-e72b3c886e0e","subtype":"Figure","type":"Plot"},"ticker":{"id":"9d92e1fd-8ed3-4352-ae26-72c0579a11f5","type":"CategoricalTicker"}},"id":"8e8928e7-dcb8-4a79-b795-62310f6212fa","type":"CategoricalAxis"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"244e5055-687b-461d-a735-e72b3c886e0e","subtype":"Figure","type":"Plot"},"ticker":{"id":"9d92e1fd-8ed3-4352-ae26-72c0579a11f5","type":"CategoricalTicker"}},"id":"839d973d-0118-497e-8c5a-aefef3dcd83a","type":"Grid"},{"attributes":{"data_source":{"id":"640c4eec-8f3f-45b7-b1be-be38a1de3460","type":"ColumnDataSource"},"glyph":{"id":"88df4d35-f713-42c3-98f1-9b4d060da715","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7af50581-65c0-4611-b709-858df810d2d0","type":"VBar"},"selection_glyph":null,"view":{"id":"68aa661e-c1f3-4c9b-8aac-09f703419106","type":"CDSView"}},"id":"dc013490-7b4e-4003-83be-858b95a9f229","type":"GlyphRenderer"}],"root_ids":["244e5055-687b-461d-a735-e72b3c886e0e"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"af0f04de-99bc-484b-a18b-c8ee58d926c2","elementid":"863abe9a-d26e-4041-9371-87c8c5209bc5","modelid":"244e5055-687b-461d-a735-e72b3c886e0e"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
