(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("c9036f2d-d240-4642-a33d-13c4e755d8b1");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'c9036f2d-d240-4642-a33d-13c4e755d8b1' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"3c54462f-6578-488e-bc8b-4bde5ca6cd8a":{"roots":{"references":[{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"6cc79124-2373-4eb9-a684-4158040682da","type":"BoxAnnotation"},{"attributes":{},"id":"3444336a-9713-4e87-968d-1161e8fba8ba","type":"LinearScale"},{"attributes":{},"id":"f06914f5-375f-415f-a39e-75782b4269f0","type":"SaveTool"},{"attributes":{},"id":"eab4a967-9f6b-4ec6-baa9-04087fd38d65","type":"BasicTicker"},{"attributes":{},"id":"c6bb855e-9115-4ad4-af1d-765a4216fb89","type":"HelpTool"},{"attributes":{},"id":"45637b09-8cc7-4162-be7e-9efdab5df9f3","type":"BasicTicker"},{"attributes":{"callback":null},"id":"5fa49728-7f26-4d75-8ce2-f0636ad8a50f","type":"DataRange1d"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"580d3947-cca0-41bc-aa9a-4609c667234c","type":"Circle"},{"attributes":{"overlay":{"id":"6cc79124-2373-4eb9-a684-4158040682da","type":"BoxAnnotation"}},"id":"3cb2833f-dbc5-4859-a0bf-6e5fe5cdc87a","type":"BoxZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"4ffee927-7ce6-4d81-96b5-1b83dec9b954","subtype":"Figure","type":"Plot"},"ticker":{"id":"eab4a967-9f6b-4ec6-baa9-04087fd38d65","type":"BasicTicker"}},"id":"89e486d0-993e-47d7-b247-d62ee94a3e1f","type":"Grid"},{"attributes":{"callback":null},"id":"d4bf64ad-c2e9-47b2-b306-83fa7696d4b0","type":"DataRange1d"},{"attributes":{},"id":"75332cbf-f0fc-4b80-b1c9-18e2e6d0ebba","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"75332cbf-f0fc-4b80-b1c9-18e2e6d0ebba","type":"BasicTickFormatter"},"plot":{"id":"4ffee927-7ce6-4d81-96b5-1b83dec9b954","subtype":"Figure","type":"Plot"},"ticker":{"id":"45637b09-8cc7-4162-be7e-9efdab5df9f3","type":"BasicTicker"}},"id":"0c1b99b0-35f3-46c1-a9c3-d560c1613f5a","type":"LinearAxis"},{"attributes":{},"id":"f2294794-8d9c-44ec-bbf9-99c686318023","type":"LinearScale"},{"attributes":{"below":[{"id":"0c1b99b0-35f3-46c1-a9c3-d560c1613f5a","type":"LinearAxis"}],"left":[{"id":"487e04f7-217f-4d1a-b7ff-4d365916b0ce","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"0c1b99b0-35f3-46c1-a9c3-d560c1613f5a","type":"LinearAxis"},{"id":"334f2a7c-5bb1-406d-9955-120718e29b7e","type":"Grid"},{"id":"487e04f7-217f-4d1a-b7ff-4d365916b0ce","type":"LinearAxis"},{"id":"89e486d0-993e-47d7-b247-d62ee94a3e1f","type":"Grid"},{"id":"6cc79124-2373-4eb9-a684-4158040682da","type":"BoxAnnotation"},{"id":"439680a8-382d-4b44-8f92-6e3120f6733a","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"d00cd593-04a5-4b3a-a807-ef5a243137c6","type":"Toolbar"},"toolbar_location":"below","x_range":{"id":"5fa49728-7f26-4d75-8ce2-f0636ad8a50f","type":"DataRange1d"},"x_scale":{"id":"f2294794-8d9c-44ec-bbf9-99c686318023","type":"LinearScale"},"y_range":{"id":"d4bf64ad-c2e9-47b2-b306-83fa7696d4b0","type":"DataRange1d"},"y_scale":{"id":"3444336a-9713-4e87-968d-1161e8fba8ba","type":"LinearScale"}},"id":"4ffee927-7ce6-4d81-96b5-1b83dec9b954","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"df5bf2c9-d011-45ad-a035-9301120b7dc8","type":"ResetTool"},{"attributes":{"plot":{"id":"4ffee927-7ce6-4d81-96b5-1b83dec9b954","subtype":"Figure","type":"Plot"},"ticker":{"id":"45637b09-8cc7-4162-be7e-9efdab5df9f3","type":"BasicTicker"}},"id":"334f2a7c-5bb1-406d-9955-120718e29b7e","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"4a891615-a961-4c46-a1f6-42266aa1d4d9","type":"PanTool"},{"id":"a2b2f16f-05dc-4139-8c7b-9b023ee35a3d","type":"WheelZoomTool"},{"id":"3cb2833f-dbc5-4859-a0bf-6e5fe5cdc87a","type":"BoxZoomTool"},{"id":"f06914f5-375f-415f-a39e-75782b4269f0","type":"SaveTool"},{"id":"df5bf2c9-d011-45ad-a035-9301120b7dc8","type":"ResetTool"},{"id":"c6bb855e-9115-4ad4-af1d-765a4216fb89","type":"HelpTool"}]},"id":"d00cd593-04a5-4b3a-a807-ef5a243137c6","type":"Toolbar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"e51cbdf7-1f48-4e9e-a3cf-ce476766c6e6","type":"Circle"},{"attributes":{},"id":"a2b2f16f-05dc-4139-8c7b-9b023ee35a3d","type":"WheelZoomTool"},{"attributes":{"data_source":{"id":"ffcd7549-4ef0-4f25-b27a-18d50f7b70a7","type":"ColumnDataSource"},"glyph":{"id":"580d3947-cca0-41bc-aa9a-4609c667234c","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e51cbdf7-1f48-4e9e-a3cf-ce476766c6e6","type":"Circle"},"selection_glyph":null,"view":{"id":"0a37853a-909a-445d-a441-94376aa397fa","type":"CDSView"}},"id":"439680a8-382d-4b44-8f92-6e3120f6733a","type":"GlyphRenderer"},{"attributes":{},"id":"4a891615-a961-4c46-a1f6-42266aa1d4d9","type":"PanTool"},{"attributes":{},"id":"d4586071-9eab-43fa-8046-41b92647ff65","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"d4586071-9eab-43fa-8046-41b92647ff65","type":"BasicTickFormatter"},"plot":{"id":"4ffee927-7ce6-4d81-96b5-1b83dec9b954","subtype":"Figure","type":"Plot"},"ticker":{"id":"eab4a967-9f6b-4ec6-baa9-04087fd38d65","type":"BasicTicker"}},"id":"487e04f7-217f-4d1a-b7ff-4d365916b0ce","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"ffcd7549-4ef0-4f25-b27a-18d50f7b70a7","type":"ColumnDataSource"},{"attributes":{"source":{"id":"ffcd7549-4ef0-4f25-b27a-18d50f7b70a7","type":"ColumnDataSource"}},"id":"0a37853a-909a-445d-a441-94376aa397fa","type":"CDSView"}],"root_ids":["4ffee927-7ce6-4d81-96b5-1b83dec9b954"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"3c54462f-6578-488e-bc8b-4bde5ca6cd8a","elementid":"c9036f2d-d240-4642-a33d-13c4e755d8b1","modelid":"4ffee927-7ce6-4d81-96b5-1b83dec9b954"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
