(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("4c062d84-3261-4339-9d2e-e5de9b3e9f92");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '4c062d84-3261-4339-9d2e-e5de9b3e9f92' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"61974058-796e-418c-92fe-d079c128934e":{"roots":{"references":[{"attributes":{},"id":"432c810c-4268-4878-a85a-f82127e4778f","type":"PanTool"},{"attributes":{"data_source":{"id":"a07dbcbe-dcab-4395-9b3e-3751557a3f8f","type":"ColumnDataSource"},"glyph":{"id":"79ae69b7-cc53-4126-8266-4e04adddc688","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"d1ff474a-87a4-431e-b014-3ad985685d3c","type":"Line"},"selection_glyph":null,"view":{"id":"492367e8-47a1-445b-9ce1-e6c232d97807","type":"CDSView"}},"id":"3f9b459d-1219-4894-a86d-8d25533edaab","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"d6b3be25-6226-4f8b-a435-fc904a1df562","type":"DataRange1d"},{"attributes":{"below":[{"id":"f6c3eb30-9cb2-4949-b013-3a0e91eea582","type":"LinearAxis"}],"left":[{"id":"86253f5a-c4b3-4f25-9fdf-f771f1b36df3","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"f6c3eb30-9cb2-4949-b013-3a0e91eea582","type":"LinearAxis"},{"id":"a130dcf2-6a52-4b05-a64c-1ff4090afecb","type":"Grid"},{"id":"86253f5a-c4b3-4f25-9fdf-f771f1b36df3","type":"LinearAxis"},{"id":"9a4ed947-507c-4353-91da-3414ee53289d","type":"Grid"},{"id":"a9e29ae3-053f-40f2-a67c-eb02a59fa144","type":"BoxAnnotation"},{"id":"3f9b459d-1219-4894-a86d-8d25533edaab","type":"GlyphRenderer"}],"title":{"id":"5b522e3e-87d6-4274-a925-be450f1bbcab","type":"Title"},"toolbar":{"id":"4baa87f7-212d-4b41-bb9d-82e9be2ab1d8","type":"Toolbar"},"x_range":{"id":"d6b3be25-6226-4f8b-a435-fc904a1df562","type":"DataRange1d"},"x_scale":{"id":"023238ee-9df1-4703-afc7-b69e7c642aa9","type":"LinearScale"},"y_range":{"id":"bbccc2ac-e021-49d9-b51b-154d510204ef","type":"DataRange1d"},"y_scale":{"id":"16cd9911-cdb8-45de-9ccf-51d7f7302d03","type":"LinearScale"}},"id":"4783b126-7619-44fc-a9aa-cc88a50ee2b1","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"a07dbcbe-dcab-4395-9b3e-3751557a3f8f","type":"ColumnDataSource"},{"attributes":{},"id":"af99aac0-0eae-4d7c-80b3-99f585fcd8d8","type":"ResetTool"},{"attributes":{"overlay":{"id":"a9e29ae3-053f-40f2-a67c-eb02a59fa144","type":"BoxAnnotation"}},"id":"56281d26-df99-4971-819d-dd49e92bd518","type":"BoxZoomTool"},{"attributes":{},"id":"4d1615b5-949e-42ba-abb1-c12fd0d81328","type":"BasicTicker"},{"attributes":{"formatter":{"id":"109a5204-73e3-4057-96ad-6d5af69934e7","type":"BasicTickFormatter"},"plot":{"id":"4783b126-7619-44fc-a9aa-cc88a50ee2b1","subtype":"Figure","type":"Plot"},"ticker":{"id":"4d1615b5-949e-42ba-abb1-c12fd0d81328","type":"BasicTicker"}},"id":"86253f5a-c4b3-4f25-9fdf-f771f1b36df3","type":"LinearAxis"},{"attributes":{},"id":"e1b9deee-9a21-4f09-965b-94b794778b67","type":"HelpTool"},{"attributes":{"source":{"id":"a07dbcbe-dcab-4395-9b3e-3751557a3f8f","type":"ColumnDataSource"}},"id":"492367e8-47a1-445b-9ce1-e6c232d97807","type":"CDSView"},{"attributes":{},"id":"9d4af1b3-b453-45be-bbe0-c43f94e8c4d0","type":"WheelZoomTool"},{"attributes":{},"id":"197225b4-e91e-4b26-8c4c-371f6897e3dd","type":"BasicTicker"},{"attributes":{},"id":"16cd9911-cdb8-45de-9ccf-51d7f7302d03","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"a9e29ae3-053f-40f2-a67c-eb02a59fa144","type":"BoxAnnotation"},{"attributes":{"plot":{"id":"4783b126-7619-44fc-a9aa-cc88a50ee2b1","subtype":"Figure","type":"Plot"},"ticker":{"id":"197225b4-e91e-4b26-8c4c-371f6897e3dd","type":"BasicTicker"}},"id":"a130dcf2-6a52-4b05-a64c-1ff4090afecb","type":"Grid"},{"attributes":{"plot":null,"text":""},"id":"5b522e3e-87d6-4274-a925-be450f1bbcab","type":"Title"},{"attributes":{"dimension":1,"plot":{"id":"4783b126-7619-44fc-a9aa-cc88a50ee2b1","subtype":"Figure","type":"Plot"},"ticker":{"id":"4d1615b5-949e-42ba-abb1-c12fd0d81328","type":"BasicTicker"}},"id":"9a4ed947-507c-4353-91da-3414ee53289d","type":"Grid"},{"attributes":{},"id":"3a705a29-d6a1-47b2-99d5-02c03265c6fc","type":"SaveTool"},{"attributes":{},"id":"1fd22a11-20a6-4168-8388-577bcc409217","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"1fd22a11-20a6-4168-8388-577bcc409217","type":"BasicTickFormatter"},"plot":{"id":"4783b126-7619-44fc-a9aa-cc88a50ee2b1","subtype":"Figure","type":"Plot"},"ticker":{"id":"197225b4-e91e-4b26-8c4c-371f6897e3dd","type":"BasicTicker"}},"id":"f6c3eb30-9cb2-4949-b013-3a0e91eea582","type":"LinearAxis"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"79ae69b7-cc53-4126-8266-4e04adddc688","type":"Line"},{"attributes":{},"id":"109a5204-73e3-4057-96ad-6d5af69934e7","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"bbccc2ac-e021-49d9-b51b-154d510204ef","type":"DataRange1d"},{"attributes":{},"id":"023238ee-9df1-4703-afc7-b69e7c642aa9","type":"LinearScale"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"d1ff474a-87a4-431e-b014-3ad985685d3c","type":"Line"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"432c810c-4268-4878-a85a-f82127e4778f","type":"PanTool"},{"id":"9d4af1b3-b453-45be-bbe0-c43f94e8c4d0","type":"WheelZoomTool"},{"id":"56281d26-df99-4971-819d-dd49e92bd518","type":"BoxZoomTool"},{"id":"3a705a29-d6a1-47b2-99d5-02c03265c6fc","type":"SaveTool"},{"id":"af99aac0-0eae-4d7c-80b3-99f585fcd8d8","type":"ResetTool"},{"id":"e1b9deee-9a21-4f09-965b-94b794778b67","type":"HelpTool"}]},"id":"4baa87f7-212d-4b41-bb9d-82e9be2ab1d8","type":"Toolbar"}],"root_ids":["4783b126-7619-44fc-a9aa-cc88a50ee2b1"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"61974058-796e-418c-92fe-d079c128934e","elementid":"4c062d84-3261-4339-9d2e-e5de9b3e9f92","modelid":"4783b126-7619-44fc-a9aa-cc88a50ee2b1"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
