(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("590a8a15-80cd-4d55-8679-503ccc9d4bb7");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '590a8a15-80cd-4d55-8679-503ccc9d4bb7' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"20f87a47-8faf-4446-ab44-36f2b655bf9e":{"roots":{"references":[{"attributes":{"callback":null},"id":"09e3fed3-ef39-4ed6-8056-bf8a88a649f5","type":"DataRange1d"},{"attributes":{"data_source":{"id":"30c3323a-f38d-4f19-9af7-dc812afa57f4","type":"ColumnDataSource"},"glyph":{"id":"4da32fec-2f2a-4ceb-809d-f9a2d9899ff3","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"27889e2f-2de2-4245-b74b-5316d9426e2b","type":"Line"},"selection_glyph":null,"view":{"id":"4386a201-c65a-4d22-a50a-a7868e744737","type":"CDSView"}},"id":"07eaa39d-8afa-461c-9eb3-e02b01c70ad8","type":"GlyphRenderer"},{"attributes":{},"id":"19686c3f-36c4-4a9f-922c-b8d9432d03f2","type":"PanTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"19686c3f-36c4-4a9f-922c-b8d9432d03f2","type":"PanTool"},{"id":"61b40e13-066f-44f4-ace2-d351d809e0f0","type":"WheelZoomTool"},{"id":"0c7af2d6-a4a9-4585-8cd7-964c35e3b99a","type":"BoxZoomTool"},{"id":"f6f3e963-e36b-4111-9f44-f12bf87f4dba","type":"SaveTool"},{"id":"122a8f82-bbda-4efd-9a67-99683594f07c","type":"ResetTool"},{"id":"1d8d077f-4b86-4fe6-958f-5bc99a69ad15","type":"HelpTool"}]},"id":"a8f394d1-a5de-4ef8-a8a1-26ac557edd43","type":"Toolbar"},{"attributes":{"below":[{"id":"e121dd2a-6a4e-4d13-95fa-cccd0f5de5cd","type":"LinearAxis"}],"left":[{"id":"8134d5a0-db9a-4a0a-b398-8dad4fc19586","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"e121dd2a-6a4e-4d13-95fa-cccd0f5de5cd","type":"LinearAxis"},{"id":"d0f8e922-e910-4d2e-bb30-57741343d57f","type":"Grid"},{"id":"8134d5a0-db9a-4a0a-b398-8dad4fc19586","type":"LinearAxis"},{"id":"150da885-a84b-4158-9cd3-f745ddbabf2d","type":"Grid"},{"id":"b4de450c-54be-47fa-9a08-8b8e8baa64c6","type":"BoxAnnotation"},{"id":"07eaa39d-8afa-461c-9eb3-e02b01c70ad8","type":"GlyphRenderer"}],"title":{"id":"5d79df60-cdf6-43c4-a9ec-803c2a32e6fc","type":"Title"},"toolbar":{"id":"a8f394d1-a5de-4ef8-a8a1-26ac557edd43","type":"Toolbar"},"x_range":{"id":"09e3fed3-ef39-4ed6-8056-bf8a88a649f5","type":"DataRange1d"},"x_scale":{"id":"7f8928b1-7199-4260-af8b-07749a66a702","type":"LinearScale"},"y_range":{"id":"46753fed-9994-4e55-9a1c-8ce07c621a60","type":"DataRange1d"},"y_scale":{"id":"a3ebbd9b-fe85-4585-ac99-b22e5ad2a53e","type":"LinearScale"}},"id":"2e32c97a-4a85-4c3e-9118-11dfb330b5cd","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"a3ebbd9b-fe85-4585-ac99-b22e5ad2a53e","type":"LinearScale"},{"attributes":{"children":[{"id":"c8610efd-b811-48e4-98dc-af48f6cc2fee","type":"WidgetBox"},{"id":"2e32c97a-4a85-4c3e-9118-11dfb330b5cd","subtype":"Figure","type":"Plot"}]},"id":"b07598d6-7462-4a41-bb1d-acbc32c7a4e1","type":"Column"},{"attributes":{"children":[{"id":"ed16b79f-c998-409b-b47d-ea7259d62710","type":"Slider"}]},"id":"c8610efd-b811-48e4-98dc-af48f6cc2fee","type":"WidgetBox"},{"attributes":{"formatter":{"id":"c4435cc6-ccac-492c-8df3-5c701c0167a7","type":"BasicTickFormatter"},"plot":{"id":"2e32c97a-4a85-4c3e-9118-11dfb330b5cd","subtype":"Figure","type":"Plot"},"ticker":{"id":"5a73aa71-904d-4cff-a6ef-cd3fcf2b33f0","type":"BasicTicker"}},"id":"8134d5a0-db9a-4a0a-b398-8dad4fc19586","type":"LinearAxis"},{"attributes":{},"id":"122a8f82-bbda-4efd-9a67-99683594f07c","type":"ResetTool"},{"attributes":{},"id":"5a73aa71-904d-4cff-a6ef-cd3fcf2b33f0","type":"BasicTicker"},{"attributes":{"line_alpha":{"value":0.6},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"4da32fec-2f2a-4ceb-809d-f9a2d9899ff3","type":"Line"},{"attributes":{"plot":null,"text":""},"id":"5d79df60-cdf6-43c4-a9ec-803c2a32e6fc","type":"Title"},{"attributes":{},"id":"7f8928b1-7199-4260-af8b-07749a66a702","type":"LinearScale"},{"attributes":{},"id":"1d8d077f-4b86-4fe6-958f-5bc99a69ad15","type":"HelpTool"},{"attributes":{},"id":"2e1c7ed0-95bb-4886-9a0b-895b7581a78b","type":"BasicTicker"},{"attributes":{"args":{"source":{"id":"30c3323a-f38d-4f19-9af7-dc812afa57f4","type":"ColumnDataSource"}},"code":"\n    var data = source.data;\n    var f = cb_obj.value\n    x = data['x']\n    y = data['y']\n    for (i = 0; i < x.length; i++) {\n        y[i] = Math.pow(x[i], f)\n    }\n    source.change.emit();\n"},"id":"474c1747-281e-4ac1-a589-d043d1792917","type":"CustomJS"},{"attributes":{"dimension":1,"plot":{"id":"2e32c97a-4a85-4c3e-9118-11dfb330b5cd","subtype":"Figure","type":"Plot"},"ticker":{"id":"5a73aa71-904d-4cff-a6ef-cd3fcf2b33f0","type":"BasicTicker"}},"id":"150da885-a84b-4158-9cd3-f745ddbabf2d","type":"Grid"},{"attributes":{},"id":"f6f3e963-e36b-4111-9f44-f12bf87f4dba","type":"SaveTool"},{"attributes":{},"id":"61b40e13-066f-44f4-ace2-d351d809e0f0","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"2e32c97a-4a85-4c3e-9118-11dfb330b5cd","subtype":"Figure","type":"Plot"},"ticker":{"id":"2e1c7ed0-95bb-4886-9a0b-895b7581a78b","type":"BasicTicker"}},"id":"d0f8e922-e910-4d2e-bb30-57741343d57f","type":"Grid"},{"attributes":{},"id":"de748d55-629d-45f2-a43f-8de6e58ddeeb","type":"BasicTickFormatter"},{"attributes":{"callback":null,"end":4,"js_property_callbacks":{"change:value":[{"id":"474c1747-281e-4ac1-a589-d043d1792917","type":"CustomJS"}]},"start":0.1,"step":0.1,"title":"power","value":1},"id":"ed16b79f-c998-409b-b47d-ea7259d62710","type":"Slider"},{"attributes":{},"id":"c4435cc6-ccac-492c-8df3-5c701c0167a7","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"46753fed-9994-4e55-9a1c-8ce07c621a60","type":"DataRange1d"},{"attributes":{"overlay":{"id":"b4de450c-54be-47fa-9a08-8b8e8baa64c6","type":"BoxAnnotation"}},"id":"0c7af2d6-a4a9-4585-8cd7-964c35e3b99a","type":"BoxZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995],"y":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995]}},"id":"30c3323a-f38d-4f19-9af7-dc812afa57f4","type":"ColumnDataSource"},{"attributes":{"source":{"id":"30c3323a-f38d-4f19-9af7-dc812afa57f4","type":"ColumnDataSource"}},"id":"4386a201-c65a-4d22-a50a-a7868e744737","type":"CDSView"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"27889e2f-2de2-4245-b74b-5316d9426e2b","type":"Line"},{"attributes":{"formatter":{"id":"de748d55-629d-45f2-a43f-8de6e58ddeeb","type":"BasicTickFormatter"},"plot":{"id":"2e32c97a-4a85-4c3e-9118-11dfb330b5cd","subtype":"Figure","type":"Plot"},"ticker":{"id":"2e1c7ed0-95bb-4886-9a0b-895b7581a78b","type":"BasicTicker"}},"id":"e121dd2a-6a4e-4d13-95fa-cccd0f5de5cd","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"b4de450c-54be-47fa-9a08-8b8e8baa64c6","type":"BoxAnnotation"}],"root_ids":["b07598d6-7462-4a41-bb1d-acbc32c7a4e1"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"20f87a47-8faf-4446-ab44-36f2b655bf9e","elementid":"590a8a15-80cd-4d55-8679-503ccc9d4bb7","modelid":"b07598d6-7462-4a41-bb1d-acbc32c7a4e1"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
