(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("443581f5-0797-4aed-bb3f-28214a4f92ef");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '443581f5-0797-4aed-bb3f-28214a4f92ef' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a4a847fd-9c01-4977-8c42-958a7abf2ecf":{"roots":{"references":[{"attributes":{"source":{"id":"e9d26535-d40d-49bd-8a76-5c48b477b306","type":"ColumnDataSource"}},"id":"45a90cd2-4b98-4cfb-a926-8653a3f93b1b","type":"CDSView"},{"attributes":{"callback":null},"id":"84b74e5b-cf60-48a9-a8b8-fb406cf33184","type":"DataRange1d"},{"attributes":{"fill_color":{"value":"firebrick"},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":50},"x":{"field":"x"},"y":{"field":"y"}},"id":"d69d8e19-ce81-4af5-a8da-69a839a62c5f","type":"Circle"},{"attributes":{},"id":"ce4f3332-f301-48c1-aca3-79b6d04a477a","type":"BasicTickFormatter"},{"attributes":{},"id":"c80ec301-b3cc-4a29-ac5e-ecd35e1f52f3","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":50},"x":{"field":"x"},"y":{"field":"y"}},"id":"96687d64-045c-4513-99d4-f0d10a161033","type":"Circle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"b21f342c-1cf2-4535-935f-ac8fdde42788","type":"TapTool"}]},"id":"393d46cc-ee57-4bff-b7c7-ffc941201279","type":"Toolbar"},{"attributes":{"callback":null},"id":"b21f342c-1cf2-4535-935f-ac8fdde42788","type":"TapTool"},{"attributes":{"below":[{"id":"abac8914-b273-4c0b-b300-567621beb1ee","type":"LinearAxis"}],"left":[{"id":"0fb8d088-abf2-4280-b868-6fdab0175c83","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"abac8914-b273-4c0b-b300-567621beb1ee","type":"LinearAxis"},{"id":"9b8a7f1a-9f3b-4bb6-8545-90ce13822446","type":"Grid"},{"id":"0fb8d088-abf2-4280-b868-6fdab0175c83","type":"LinearAxis"},{"id":"dd02e66a-0a5e-4718-a31c-6f8a40203bcb","type":"Grid"},{"id":"0205e105-e766-480a-9c0b-4a62c3227fee","type":"GlyphRenderer"}],"title":{"id":"ce311ffc-3b85-4c43-9ab9-84aa5f97bad0","type":"Title"},"toolbar":{"id":"393d46cc-ee57-4bff-b7c7-ffc941201279","type":"Toolbar"},"x_range":{"id":"25a5e379-5db6-48d4-8f40-b4263a8af540","type":"DataRange1d"},"x_scale":{"id":"da4adafa-ad5e-4d65-a190-538adbc30128","type":"LinearScale"},"y_range":{"id":"84b74e5b-cf60-48a9-a8b8-fb406cf33184","type":"DataRange1d"},"y_scale":{"id":"5d261cd9-2dc9-45ca-86d4-b838d6e7397c","type":"LinearScale"}},"id":"3b2cc5f0-d212-4c97-aa45-d3a433b87831","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"da4adafa-ad5e-4d65-a190-538adbc30128","type":"LinearScale"},{"attributes":{},"id":"5d261cd9-2dc9-45ca-86d4-b838d6e7397c","type":"LinearScale"},{"attributes":{"callback":null},"id":"25a5e379-5db6-48d4-8f40-b4263a8af540","type":"DataRange1d"},{"attributes":{},"id":"32933a98-9e06-49ff-85eb-e1326dce60f5","type":"BasicTicker"},{"attributes":{"data_source":{"id":"e9d26535-d40d-49bd-8a76-5c48b477b306","type":"ColumnDataSource"},"glyph":{"id":"96687d64-045c-4513-99d4-f0d10a161033","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ecdd29d1-9714-4040-82a8-012e211879bc","type":"Circle"},"selection_glyph":{"id":"d69d8e19-ce81-4af5-a8da-69a839a62c5f","type":"Circle"},"view":{"id":"45a90cd2-4b98-4cfb-a926-8653a3f93b1b","type":"CDSView"}},"id":"0205e105-e766-480a-9c0b-4a62c3227fee","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.2},"fill_color":{"value":"blue"},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":50},"x":{"field":"x"},"y":{"field":"y"}},"id":"ecdd29d1-9714-4040-82a8-012e211879bc","type":"Circle"},{"attributes":{"dimension":1,"plot":{"id":"3b2cc5f0-d212-4c97-aa45-d3a433b87831","subtype":"Figure","type":"Plot"},"ticker":{"id":"32933a98-9e06-49ff-85eb-e1326dce60f5","type":"BasicTicker"}},"id":"dd02e66a-0a5e-4718-a31c-6f8a40203bcb","type":"Grid"},{"attributes":{"plot":null,"text":"Select a circle"},"id":"ce311ffc-3b85-4c43-9ab9-84aa5f97bad0","type":"Title"},{"attributes":{"plot":{"id":"3b2cc5f0-d212-4c97-aa45-d3a433b87831","subtype":"Figure","type":"Plot"},"ticker":{"id":"2e54f5c9-84b4-47f7-8472-64aea71210de","type":"BasicTicker"}},"id":"9b8a7f1a-9f3b-4bb6-8545-90ce13822446","type":"Grid"},{"attributes":{"formatter":{"id":"ce4f3332-f301-48c1-aca3-79b6d04a477a","type":"BasicTickFormatter"},"plot":{"id":"3b2cc5f0-d212-4c97-aa45-d3a433b87831","subtype":"Figure","type":"Plot"},"ticker":{"id":"32933a98-9e06-49ff-85eb-e1326dce60f5","type":"BasicTicker"}},"id":"0fb8d088-abf2-4280-b868-6fdab0175c83","type":"LinearAxis"},{"attributes":{},"id":"2e54f5c9-84b4-47f7-8472-64aea71210de","type":"BasicTicker"},{"attributes":{"formatter":{"id":"c80ec301-b3cc-4a29-ac5e-ecd35e1f52f3","type":"BasicTickFormatter"},"plot":{"id":"3b2cc5f0-d212-4c97-aa45-d3a433b87831","subtype":"Figure","type":"Plot"},"ticker":{"id":"2e54f5c9-84b4-47f7-8472-64aea71210de","type":"BasicTicker"}},"id":"abac8914-b273-4c0b-b300-567621beb1ee","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"e9d26535-d40d-49bd-8a76-5c48b477b306","type":"ColumnDataSource"}],"root_ids":["3b2cc5f0-d212-4c97-aa45-d3a433b87831"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a4a847fd-9c01-4977-8c42-958a7abf2ecf","elementid":"443581f5-0797-4aed-bb3f-28214a4f92ef","modelid":"3b2cc5f0-d212-4c97-aa45-d3a433b87831"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
