(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("8fb32bd7-c8ce-4821-889f-2595fb3762f1");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '8fb32bd7-c8ce-4821-889f-2595fb3762f1' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"de562638-fca0-40ef-8cbe-0b7a4911ee45":{"roots":{"references":[{"attributes":{"children":[{"id":"01986e9a-7c2e-402d-bd4f-924fc9c64ef3","subtype":"Figure","type":"Plot"},{"id":"54286157-d264-491f-b8ca-55bbfe48aa39","subtype":"Figure","type":"Plot"}],"sizing_mode":"scale_width"},"id":"d0dbc00a-5437-4ee8-bc55-e4b9b218ba3b","type":"Row"},{"attributes":{"plot":null,"text":"Categorical Dot Plot"},"id":"b5f30c97-1452-4044-b46f-e36d19c280e3","type":"Title"},{"attributes":{"formatter":{"id":"f3e5a0d0-8c67-43c0-a1e0-f1b61c588c0b","type":"CategoricalTickFormatter"},"plot":{"id":"01986e9a-7c2e-402d-bd4f-924fc9c64ef3","subtype":"Figure","type":"Plot"},"ticker":{"id":"d03f40f2-215f-4a06-9815-7c4106be8f46","type":"CategoricalTicker"}},"id":"d8d6fe16-8ff1-4b1f-b6e3-dc5bcfe48ea6","type":"CategoricalAxis"},{"attributes":{"plot":{"id":"01986e9a-7c2e-402d-bd4f-924fc9c64ef3","subtype":"Figure","type":"Plot"},"ticker":{"id":"d03f40f2-215f-4a06-9815-7c4106be8f46","type":"CategoricalTicker"}},"id":"efc344bf-8449-42da-9ca7-bfe2868440ed","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"01986e9a-7c2e-402d-bd4f-924fc9c64ef3","subtype":"Figure","type":"Plot"},"ticker":{"id":"408e9537-6da1-418e-b111-6c560ecefb1d","type":"CategoricalTicker"}},"id":"a6d76fa0-f840-4c34-afc0-7320c611d98d","type":"Grid"},{"attributes":{},"id":"0f9e92df-7f44-4ef0-9e34-261ca96de428","type":"CategoricalTicker"},{"attributes":{"callback":null,"column_names":["y","x","line_color","fill_color"],"data":{"fill_color":["#0B486B","#79BD9A","#CFF09E","#79BD9A","#0B486B","#79BD9A","#CFF09E","#79BD9A","#0B486B"],"line_color":["#0B486B","#79BD9A","#CFF09E","#79BD9A","#0B486B","#79BD9A","#CFF09E","#79BD9A","#0B486B"],"x":["foo 123","foo 123","foo 123","bar:0.2","bar:0.2","bar:0.2","baz-10","baz-10","baz-10"],"y":["foo 123","bar:0.2","baz-10","foo 123","bar:0.2","baz-10","foo 123","bar:0.2","baz-10"]}},"id":"d2ffc3b7-0c3a-42c9-8ff3-cab786855c89","type":"ColumnDataSource"},{"attributes":{},"id":"2c09d773-4182-4f74-87eb-28f5c24c8d33","type":"BasicTicker"},{"attributes":{"below":[{"id":"3b1788eb-1bf0-4054-a49e-7e61c9a0458c","type":"LinearAxis"}],"left":[{"id":"258f9322-d7a5-4547-bead-be07e066f79d","type":"CategoricalAxis"}],"renderers":[{"id":"3b1788eb-1bf0-4054-a49e-7e61c9a0458c","type":"LinearAxis"},{"id":"a60854b7-a62d-417d-8caf-168689a6ce2b","type":"Grid"},{"id":"258f9322-d7a5-4547-bead-be07e066f79d","type":"CategoricalAxis"},{"id":"80acd7bc-0f86-4f74-a9a6-75a8f038b58a","type":"Grid"},{"id":"7303d242-4b0a-443d-891e-2d32d6035a6a","type":"GlyphRenderer"},{"id":"e958c6c5-d331-48c5-a48e-e5a495368551","type":"GlyphRenderer"}],"sizing_mode":"scale_width","title":{"id":"b5f30c97-1452-4044-b46f-e36d19c280e3","type":"Title"},"toolbar":{"id":"96572e4b-bcc0-49cf-beaa-bf7ffe570f7c","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"eb732626-6f45-4843-be72-5906bd52e463","type":"Range1d"},"x_scale":{"id":"98deaa79-52d7-42a1-9745-e5b2f3fb3f9c","type":"LinearScale"},"y_range":{"id":"d8b3fd94-fbea-4877-b18d-61210ab055ce","type":"FactorRange"},"y_scale":{"id":"b9054d96-5daa-4a45-8424-4b04943bde3a","type":"CategoricalScale"}},"id":"54286157-d264-491f-b8ca-55bbfe48aa39","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"c780574b-7663-468d-9417-b221669ab512","type":"HoverTool"},{"attributes":{"callback":null,"factors":["foo 123","bar:0.2","baz-10"]},"id":"fe7d5487-5c4a-461a-afb9-2fb008d7fd6e","type":"FactorRange"},{"attributes":{"formatter":{"id":"ab05f44a-33c7-457c-b211-b3058be3a3d3","type":"CategoricalTickFormatter"},"plot":{"id":"54286157-d264-491f-b8ca-55bbfe48aa39","subtype":"Figure","type":"Plot"},"ticker":{"id":"0f9e92df-7f44-4ef0-9e34-261ca96de428","type":"CategoricalTicker"}},"id":"258f9322-d7a5-4547-bead-be07e066f79d","type":"CategoricalAxis"},{"attributes":{"fill_color":{"value":"orange"},"line_color":{"value":"green"},"line_width":{"value":3},"size":{"units":"screen","value":15},"x":{"field":"x"},"y":{"field":"y"}},"id":"18994b85-164e-4345-8daf-705c28a3255c","type":"Circle"},{"attributes":{},"id":"d03f40f2-215f-4a06-9815-7c4106be8f46","type":"CategoricalTicker"},{"attributes":{},"id":"408e9537-6da1-418e-b111-6c560ecefb1d","type":"CategoricalTicker"},{"attributes":{"dimension":1,"plot":{"id":"54286157-d264-491f-b8ca-55bbfe48aa39","subtype":"Figure","type":"Plot"},"ticker":{"id":"0f9e92df-7f44-4ef0-9e34-261ca96de428","type":"CategoricalTicker"}},"id":"80acd7bc-0f86-4f74-a9a6-75a8f038b58a","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"size":{"units":"screen","value":15},"x":{"field":"x"},"y":{"field":"y"}},"id":"4876acf7-f997-486d-9ce4-ce2aaaa862de","type":"Circle"},{"attributes":{"fill_color":{"field":"fill_color"},"height":{"units":"data","value":1},"line_color":{"field":"line_color"},"width":{"units":"data","value":1},"x":{"field":"x"},"y":{"field":"y"}},"id":"45850a38-869a-4ef8-8ca3-3c40ffa34bf7","type":"Rect"},{"attributes":{"data_source":{"id":"d2ffc3b7-0c3a-42c9-8ff3-cab786855c89","type":"ColumnDataSource"},"glyph":{"id":"45850a38-869a-4ef8-8ca3-3c40ffa34bf7","type":"Rect"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"f7477ddd-f8f3-44c8-b5da-6cc244559aef","type":"Rect"},"selection_glyph":null,"view":{"id":"714a1cf8-ba7e-43c5-9c91-1456c26d8bb4","type":"CDSView"}},"id":"e6421516-d0ce-4afc-81be-1eb215f4d9e3","type":"GlyphRenderer"},{"attributes":{"callback":null,"end":100},"id":"eb732626-6f45-4843-be72-5906bd52e463","type":"Range1d"},{"attributes":{},"id":"9661e401-e293-481a-a6b3-6b55bfee0954","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"96572e4b-bcc0-49cf-beaa-bf7ffe570f7c","type":"Toolbar"},{"attributes":{"callback":null,"factors":["a","b","c","d","e","f","g","h"]},"id":"d8b3fd94-fbea-4877-b18d-61210ab055ce","type":"FactorRange"},{"attributes":{"source":{"id":"3b13140a-c267-49fb-a099-48b2095da80a","type":"ColumnDataSource"}},"id":"d6ef9b26-114c-4bd0-831a-5641e5a42d4b","type":"CDSView"},{"attributes":{},"id":"22f8b90a-b8ef-447d-bb56-1493cd2f02f2","type":"CategoricalScale"},{"attributes":{},"id":"98deaa79-52d7-42a1-9745-e5b2f3fb3f9c","type":"LinearScale"},{"attributes":{},"id":"ab05f44a-33c7-457c-b211-b3058be3a3d3","type":"CategoricalTickFormatter"},{"attributes":{"data_source":{"id":"c048a701-a1b9-4489-aeb6-d68d077b9232","type":"ColumnDataSource"},"glyph":{"id":"18994b85-164e-4345-8daf-705c28a3255c","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"4876acf7-f997-486d-9ce4-ce2aaaa862de","type":"Circle"},"selection_glyph":null,"view":{"id":"97428c5e-89f4-49d9-8203-d19eceac280c","type":"CDSView"}},"id":"e958c6c5-d331-48c5-a48e-e5a495368551","type":"GlyphRenderer"},{"attributes":{"plot":null,"text":"Categorical Heatmap"},"id":"dbb81fb7-fdaf-4cbf-9adf-89732bfb8800","type":"Title"},{"attributes":{"formatter":{"id":"93366235-1dc1-4a59-a20b-545a947dcee5","type":"CategoricalTickFormatter"},"plot":{"id":"01986e9a-7c2e-402d-bd4f-924fc9c64ef3","subtype":"Figure","type":"Plot"},"ticker":{"id":"408e9537-6da1-418e-b111-6c560ecefb1d","type":"CategoricalTicker"}},"id":"e74b63db-63d9-49ad-8899-dde41f8605d7","type":"CategoricalAxis"},{"attributes":{"data_source":{"id":"3b13140a-c267-49fb-a099-48b2095da80a","type":"ColumnDataSource"},"glyph":{"id":"5e5789ca-5c8e-44e0-9781-36239046d33f","type":"Segment"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c0ac224d-e96d-41c9-b328-65ef0d3fb3a3","type":"Segment"},"selection_glyph":null,"view":{"id":"d6ef9b26-114c-4bd0-831a-5641e5a42d4b","type":"CDSView"}},"id":"7303d242-4b0a-443d-891e-2d32d6035a6a","type":"GlyphRenderer"},{"attributes":{"source":{"id":"d2ffc3b7-0c3a-42c9-8ff3-cab786855c89","type":"ColumnDataSource"}},"id":"714a1cf8-ba7e-43c5-9c91-1456c26d8bb4","type":"CDSView"},{"attributes":{},"id":"f3e5a0d0-8c67-43c0-a1e0-f1b61c588c0b","type":"CategoricalTickFormatter"},{"attributes":{"plot":{"id":"54286157-d264-491f-b8ca-55bbfe48aa39","subtype":"Figure","type":"Plot"},"ticker":{"id":"2c09d773-4182-4f74-87eb-28f5c24c8d33","type":"BasicTicker"}},"id":"a60854b7-a62d-417d-8caf-168689a6ce2b","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"data","value":1},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"units":"data","value":1},"x":{"field":"x"},"y":{"field":"y"}},"id":"f7477ddd-f8f3-44c8-b5da-6cc244559aef","type":"Rect"},{"attributes":{"formatter":{"id":"9661e401-e293-481a-a6b3-6b55bfee0954","type":"BasicTickFormatter"},"plot":{"id":"54286157-d264-491f-b8ca-55bbfe48aa39","subtype":"Figure","type":"Plot"},"ticker":{"id":"2c09d773-4182-4f74-87eb-28f5c24c8d33","type":"BasicTicker"}},"id":"3b1788eb-1bf0-4054-a49e-7e61c9a0458c","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[50,40,65,10,25,37,80,60],"y":["a","b","c","d","e","f","g","h"]}},"id":"c048a701-a1b9-4489-aeb6-d68d077b9232","type":"ColumnDataSource"},{"attributes":{},"id":"b9054d96-5daa-4a45-8424-4b04943bde3a","type":"CategoricalScale"},{"attributes":{},"id":"2402f1a1-b392-4454-a486-8601bdc2e24a","type":"CategoricalScale"},{"attributes":{"callback":null,"factors":["foo 123","bar:0.2","baz-10"]},"id":"89008f98-3a1e-4247-aba2-613afc5dc7d5","type":"FactorRange"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x0":{"value":0},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"c0ac224d-e96d-41c9-b328-65ef0d3fb3a3","type":"Segment"},{"attributes":{"below":[{"id":"d8d6fe16-8ff1-4b1f-b6e3-dc5bcfe48ea6","type":"CategoricalAxis"}],"left":[{"id":"e74b63db-63d9-49ad-8899-dde41f8605d7","type":"CategoricalAxis"}],"renderers":[{"id":"d8d6fe16-8ff1-4b1f-b6e3-dc5bcfe48ea6","type":"CategoricalAxis"},{"id":"efc344bf-8449-42da-9ca7-bfe2868440ed","type":"Grid"},{"id":"e74b63db-63d9-49ad-8899-dde41f8605d7","type":"CategoricalAxis"},{"id":"a6d76fa0-f840-4c34-afc0-7320c611d98d","type":"Grid"},{"id":"e6421516-d0ce-4afc-81be-1eb215f4d9e3","type":"GlyphRenderer"}],"sizing_mode":"scale_width","title":{"id":"dbb81fb7-fdaf-4cbf-9adf-89732bfb8800","type":"Title"},"toolbar":{"id":"e379eee9-c3be-486d-9961-035006761c34","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"fe7d5487-5c4a-461a-afb9-2fb008d7fd6e","type":"FactorRange"},"x_scale":{"id":"2402f1a1-b392-4454-a486-8601bdc2e24a","type":"CategoricalScale"},"y_range":{"id":"89008f98-3a1e-4247-aba2-613afc5dc7d5","type":"FactorRange"},"y_scale":{"id":"22f8b90a-b8ef-447d-bb56-1493cd2f02f2","type":"CategoricalScale"}},"id":"01986e9a-7c2e-402d-bd4f-924fc9c64ef3","subtype":"Figure","type":"Plot"},{"attributes":{"source":{"id":"c048a701-a1b9-4489-aeb6-d68d077b9232","type":"ColumnDataSource"}},"id":"97428c5e-89f4-49d9-8203-d19eceac280c","type":"CDSView"},{"attributes":{"line_color":{"value":"green"},"line_width":{"value":2},"x0":{"value":0},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"5e5789ca-5c8e-44e0-9781-36239046d33f","type":"Segment"},{"attributes":{},"id":"93366235-1dc1-4a59-a20b-545a947dcee5","type":"CategoricalTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c780574b-7663-468d-9417-b221669ab512","type":"HoverTool"}]},"id":"e379eee9-c3be-486d-9961-035006761c34","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["y1","y0","x1"],"data":{"x1":[50,40,65,10,25,37,80,60],"y0":["a","b","c","d","e","f","g","h"],"y1":["a","b","c","d","e","f","g","h"]}},"id":"3b13140a-c267-49fb-a099-48b2095da80a","type":"ColumnDataSource"}],"root_ids":["d0dbc00a-5437-4ee8-bc55-e4b9b218ba3b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"de562638-fca0-40ef-8cbe-0b7a4911ee45","elementid":"8fb32bd7-c8ce-4821-889f-2595fb3762f1","modelid":"d0dbc00a-5437-4ee8-bc55-e4b9b218ba3b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
