(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("487536c8-aecf-48af-a03b-c7424ef51f43");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '487536c8-aecf-48af-a03b-c7424ef51f43' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"8762cf4e-78cf-4056-a0ab-798aa3816f09":{"roots":{"references":[{"attributes":{"plot":null,"text":""},"id":"26158523-5114-42a3-aa8c-e3755be09f51","type":"Title"},{"attributes":{},"id":"7fea81c5-243d-430a-96ae-b77a9f602287","type":"LinearScale"},{"attributes":{},"id":"a4bd5292-240c-49b6-abb7-394e83d528a9","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"bd5de9bb-06cd-49bd-9d71-de039fe056ab","subtype":"Figure","type":"Plot"},"ticker":{"id":"a4bd5292-240c-49b6-abb7-394e83d528a9","type":"BasicTicker"}},"id":"16a7b8fb-575f-41a2-82d6-ad5cb7f908a3","type":"Grid"},{"attributes":{"fill_color":{"field":"color"},"line_color":{"field":"color"},"radius":{"units":"data","value":0.5},"x":{"field":"x"},"y":{"field":"y"}},"id":"8bea86dd-ec4c-4288-8591-393ea7cced2a","type":"Circle"},{"attributes":{"formatter":{"id":"63678dc5-8502-4b65-baab-1504ff518500","type":"BasicTickFormatter"},"plot":{"id":"bd5de9bb-06cd-49bd-9d71-de039fe056ab","subtype":"Figure","type":"Plot"},"ticker":{"id":"a4bd5292-240c-49b6-abb7-394e83d528a9","type":"BasicTicker"}},"id":"1fc32598-d07e-46e5-bf70-d38e42d92509","type":"LinearAxis"},{"attributes":{"callback":null,"end":3},"id":"40f17255-9f85-4d31-8c10-b2352917f952","type":"Range1d"},{"attributes":{"below":[{"id":"aa38c146-b62a-42c3-8425-433105de3dcc","type":"LinearAxis"}],"left":[{"id":"1fc32598-d07e-46e5-bf70-d38e42d92509","type":"LinearAxis"}],"plot_height":300,"renderers":[{"id":"aa38c146-b62a-42c3-8425-433105de3dcc","type":"LinearAxis"},{"id":"1274bde9-f2a3-4f0d-b334-d334a0ba2b8c","type":"Grid"},{"id":"1fc32598-d07e-46e5-bf70-d38e42d92509","type":"LinearAxis"},{"id":"16a7b8fb-575f-41a2-82d6-ad5cb7f908a3","type":"Grid"},{"id":"01c9f39e-fb7e-4c53-9985-cdda70098ae0","type":"Legend"},{"id":"06e0f9d9-75dc-4809-8f2b-7d3f2f693911","type":"GlyphRenderer"}],"title":{"id":"26158523-5114-42a3-aa8c-e3755be09f51","type":"Title"},"toolbar":{"id":"1d13172f-0226-4258-b913-6ef5d6289315","type":"Toolbar"},"x_range":{"id":"c3c55b37-7895-491f-97ef-2aa331299612","type":"Range1d"},"x_scale":{"id":"0b46ebd3-a528-4ffc-99b9-cff737c820fc","type":"LinearScale"},"y_range":{"id":"40f17255-9f85-4d31-8c10-b2352917f952","type":"Range1d"},"y_scale":{"id":"7fea81c5-243d-430a-96ae-b77a9f602287","type":"LinearScale"}},"id":"bd5de9bb-06cd-49bd-9d71-de039fe056ab","subtype":"Figure","type":"Plot"},{"attributes":{"plot":{"id":"bd5de9bb-06cd-49bd-9d71-de039fe056ab","subtype":"Figure","type":"Plot"},"ticker":{"id":"15e57a82-856c-4ec9-b091-f3ac19494e5c","type":"BasicTicker"}},"id":"1274bde9-f2a3-4f0d-b334-d334a0ba2b8c","type":"Grid"},{"attributes":{"formatter":{"id":"349b73f6-808a-4b2b-8a48-73973677e82c","type":"BasicTickFormatter"},"plot":{"id":"bd5de9bb-06cd-49bd-9d71-de039fe056ab","subtype":"Figure","type":"Plot"},"ticker":{"id":"15e57a82-856c-4ec9-b091-f3ac19494e5c","type":"BasicTicker"}},"id":"aa38c146-b62a-42c3-8425-433105de3dcc","type":"LinearAxis"},{"attributes":{},"id":"0b46ebd3-a528-4ffc-99b9-cff737c820fc","type":"LinearScale"},{"attributes":{"source":{"id":"feab8618-7556-4972-a9e3-d5284bf70ddd","type":"ColumnDataSource"}},"id":"3090a73c-8acf-4baa-950a-8fa0b06a14cd","type":"CDSView"},{"attributes":{"callback":null,"end":7},"id":"c3c55b37-7895-491f-97ef-2aa331299612","type":"Range1d"},{"attributes":{},"id":"63678dc5-8502-4b65-baab-1504ff518500","type":"BasicTickFormatter"},{"attributes":{"items":[{"id":"14a4b514-0f33-4606-bbba-1bdf6feaf9a2","type":"LegendItem"}],"plot":{"id":"bd5de9bb-06cd-49bd-9d71-de039fe056ab","subtype":"Figure","type":"Plot"}},"id":"01c9f39e-fb7e-4c53-9985-cdda70098ae0","type":"Legend"},{"attributes":{"label":{"field":"label"},"renderers":[{"id":"06e0f9d9-75dc-4809-8f2b-7d3f2f693911","type":"GlyphRenderer"}]},"id":"14a4b514-0f33-4606-bbba-1bdf6feaf9a2","type":"LegendItem"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"070919cc-06b3-4c78-80f5-99ada192d44b","type":"SaveTool"}]},"id":"1d13172f-0226-4258-b913-6ef5d6289315","type":"Toolbar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.5},"x":{"field":"x"},"y":{"field":"y"}},"id":"61ac3ec8-17fd-42ac-b0d2-6f58d8e3e6ca","type":"Circle"},{"attributes":{"callback":null,"column_names":["color","y","label","x"],"data":{"color":["#ef8a62","#67a9cf","#ef8a62","#67a9cf","#ef8a62","#67a9cf"],"label":["hi","lo","hi","lo","hi","lo"],"x":[1,2,3,4,5,6],"y":[2,1,2,1,2,1]}},"id":"feab8618-7556-4972-a9e3-d5284bf70ddd","type":"ColumnDataSource"},{"attributes":{},"id":"070919cc-06b3-4c78-80f5-99ada192d44b","type":"SaveTool"},{"attributes":{"data_source":{"id":"feab8618-7556-4972-a9e3-d5284bf70ddd","type":"ColumnDataSource"},"glyph":{"id":"8bea86dd-ec4c-4288-8591-393ea7cced2a","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"61ac3ec8-17fd-42ac-b0d2-6f58d8e3e6ca","type":"Circle"},"selection_glyph":null,"view":{"id":"3090a73c-8acf-4baa-950a-8fa0b06a14cd","type":"CDSView"}},"id":"06e0f9d9-75dc-4809-8f2b-7d3f2f693911","type":"GlyphRenderer"},{"attributes":{},"id":"349b73f6-808a-4b2b-8a48-73973677e82c","type":"BasicTickFormatter"},{"attributes":{},"id":"15e57a82-856c-4ec9-b091-f3ac19494e5c","type":"BasicTicker"}],"root_ids":["bd5de9bb-06cd-49bd-9d71-de039fe056ab"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"8762cf4e-78cf-4056-a0ab-798aa3816f09","elementid":"487536c8-aecf-48af-a03b-c7424ef51f43","modelid":"bd5de9bb-06cd-49bd-9d71-de039fe056ab"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
