(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("70b989bc-dd6f-4c28-adce-52013c682aa6");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '70b989bc-dd6f-4c28-adce-52013c682aa6' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"bd4cbdfc-b1dc-4553-b371-4c554de05d0e":{"roots":{"references":[{"attributes":{},"id":"d4595c27-ebef-4f94-9a58-57e37439a6a9","type":"CategoricalTicker"},{"attributes":{"source":{"id":"495e702c-4dff-4e13-b3ca-b341cb3752cf","type":"ColumnDataSource"}},"id":"65266602-33e3-493a-975a-3c6d0fdac545","type":"CDSView"},{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[2,1,4,3,2,4],"2016":[5,3,3,2,4,6],"2017":[3,2,4,4,5,3],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"495e702c-4dff-4e13-b3ca-b341cb3752cf","type":"ColumnDataSource"},{"attributes":{"fill_color":{"value":"#718dbf"},"line_color":{"value":"#718dbf"},"top":{"field":"2016"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"eb59a559-a262-4d37-bb9c-349872b27ad6","type":"Dodge"}}},"id":"1d5ffe8f-764c-4cdf-9b2c-b1dfed3a5136","type":"VBar"},{"attributes":{"fill_color":{"value":"#e84d60"},"line_color":{"value":"#e84d60"},"top":{"field":"2017"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"5f1ef536-db45-4999-a7f1-9cea2f45f39a","type":"Dodge"}}},"id":"17eb24c1-f5cd-446c-bca9-b5d141989a27","type":"VBar"},{"attributes":{"source":{"id":"495e702c-4dff-4e13-b3ca-b341cb3752cf","type":"ColumnDataSource"}},"id":"aa1ef5a9-0bdd-4454-bc87-bad27c3e29fc","type":"CDSView"},{"attributes":{},"id":"c1846af2-ebee-4abe-8a2f-806a9f232aae","type":"BasicTickFormatter"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"range_padding":0.1},"id":"646d734b-ebff-490c-b5c5-06bf75c05674","type":"FactorRange"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"2017"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"5f1ef536-db45-4999-a7f1-9cea2f45f39a","type":"Dodge"}}},"id":"9c968e50-7182-4657-be6b-568ef603d5d5","type":"VBar"},{"attributes":{"dimension":1,"plot":{"id":"fbd43c07-b8d7-43a1-a435-27f4f118ff21","subtype":"Figure","type":"Plot"},"ticker":{"id":"cae6ba8c-b28a-4227-a8a6-9e30a28516f9","type":"BasicTicker"}},"id":"00b9e751-759c-415c-a3f9-8fe51cdd216e","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"2015"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"02686b6e-faef-4554-a39d-c3c746e4f10a","type":"Dodge"}}},"id":"6d78d90e-0d37-44f0-a71b-b0cb78fd1ee9","type":"VBar"},{"attributes":{"fill_color":{"value":"#c9d9d3"},"line_color":{"value":"#c9d9d3"},"top":{"field":"2015"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"02686b6e-faef-4554-a39d-c3c746e4f10a","type":"Dodge"}}},"id":"bc1c77f4-605c-4c27-9c4e-e029224b2bcb","type":"VBar"},{"attributes":{"data_source":{"id":"495e702c-4dff-4e13-b3ca-b341cb3752cf","type":"ColumnDataSource"},"glyph":{"id":"1d5ffe8f-764c-4cdf-9b2c-b1dfed3a5136","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"64b17376-bf40-4943-8244-b3a4580e5442","type":"VBar"},"selection_glyph":null,"view":{"id":"65266602-33e3-493a-975a-3c6d0fdac545","type":"CDSView"}},"id":"bb201bc4-0fd4-4f23-9a77-2a75726d3bef","type":"GlyphRenderer"},{"attributes":{"range":{"id":"646d734b-ebff-490c-b5c5-06bf75c05674","type":"FactorRange"},"value":0.25},"id":"5f1ef536-db45-4999-a7f1-9cea2f45f39a","type":"Dodge"},{"attributes":{},"id":"77932348-b1ac-4b3f-b105-f37d1d928e88","type":"CategoricalTickFormatter"},{"attributes":{"data_source":{"id":"495e702c-4dff-4e13-b3ca-b341cb3752cf","type":"ColumnDataSource"},"glyph":{"id":"bc1c77f4-605c-4c27-9c4e-e029224b2bcb","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"6d78d90e-0d37-44f0-a71b-b0cb78fd1ee9","type":"VBar"},"selection_glyph":null,"view":{"id":"89077978-455a-428b-b262-d967f4adc6a6","type":"CDSView"}},"id":"f1aed90b-6c91-4a13-8288-d16831a14d68","type":"GlyphRenderer"},{"attributes":{"range":{"id":"646d734b-ebff-490c-b5c5-06bf75c05674","type":"FactorRange"},"value":-0.25},"id":"02686b6e-faef-4554-a39d-c3c746e4f10a","type":"Dodge"},{"attributes":{"source":{"id":"495e702c-4dff-4e13-b3ca-b341cb3752cf","type":"ColumnDataSource"}},"id":"89077978-455a-428b-b262-d967f4adc6a6","type":"CDSView"},{"attributes":{"data_source":{"id":"495e702c-4dff-4e13-b3ca-b341cb3752cf","type":"ColumnDataSource"},"glyph":{"id":"17eb24c1-f5cd-446c-bca9-b5d141989a27","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"9c968e50-7182-4657-be6b-568ef603d5d5","type":"VBar"},"selection_glyph":null,"view":{"id":"aa1ef5a9-0bdd-4454-bc87-bad27c3e29fc","type":"CDSView"}},"id":"d20783d0-e232-4b7d-9e26-c21b8e11007d","type":"GlyphRenderer"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"fbd43c07-b8d7-43a1-a435-27f4f118ff21","subtype":"Figure","type":"Plot"},"ticker":{"id":"d4595c27-ebef-4f94-9a58-57e37439a6a9","type":"CategoricalTicker"}},"id":"e9aa2056-dbe4-4e94-82d6-2fc248f7076f","type":"Grid"},{"attributes":{"formatter":{"id":"c1846af2-ebee-4abe-8a2f-806a9f232aae","type":"BasicTickFormatter"},"plot":{"id":"fbd43c07-b8d7-43a1-a435-27f4f118ff21","subtype":"Figure","type":"Plot"},"ticker":{"id":"cae6ba8c-b28a-4227-a8a6-9e30a28516f9","type":"BasicTicker"}},"id":"0b551d00-9daa-479b-815f-7a0ac5fa9d19","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"2016"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"eb59a559-a262-4d37-bb9c-349872b27ad6","type":"Dodge"}}},"id":"64b17376-bf40-4943-8244-b3a4580e5442","type":"VBar"},{"attributes":{},"id":"62e67ed2-558b-496a-964a-182999ff9e4b","type":"CategoricalScale"},{"attributes":{},"id":"da302b16-f765-4e09-b44a-a3f3a7c052c2","type":"LinearScale"},{"attributes":{"label":{"value":"2015"},"renderers":[{"id":"f1aed90b-6c91-4a13-8288-d16831a14d68","type":"GlyphRenderer"}]},"id":"625ed839-a9dc-4649-9a8a-268162efa158","type":"LegendItem"},{"attributes":{"label":{"value":"2017"},"renderers":[{"id":"d20783d0-e232-4b7d-9e26-c21b8e11007d","type":"GlyphRenderer"}]},"id":"a055eff1-a332-414d-bb73-97a91b2a5e4f","type":"LegendItem"},{"attributes":{"items":[{"id":"625ed839-a9dc-4649-9a8a-268162efa158","type":"LegendItem"},{"id":"efde420b-c530-4cf8-aadb-476c78034ce6","type":"LegendItem"},{"id":"a055eff1-a332-414d-bb73-97a91b2a5e4f","type":"LegendItem"}],"location":"top_left","orientation":"horizontal","plot":{"id":"fbd43c07-b8d7-43a1-a435-27f4f118ff21","subtype":"Figure","type":"Plot"}},"id":"afac009d-e5d3-496d-ae46-94b96dac0718","type":"Legend"},{"attributes":{"below":[{"id":"f0410260-c98f-4fa0-a9f9-a578efe74695","type":"CategoricalAxis"}],"left":[{"id":"0b551d00-9daa-479b-815f-7a0ac5fa9d19","type":"LinearAxis"}],"plot_height":350,"renderers":[{"id":"f0410260-c98f-4fa0-a9f9-a578efe74695","type":"CategoricalAxis"},{"id":"e9aa2056-dbe4-4e94-82d6-2fc248f7076f","type":"Grid"},{"id":"0b551d00-9daa-479b-815f-7a0ac5fa9d19","type":"LinearAxis"},{"id":"00b9e751-759c-415c-a3f9-8fe51cdd216e","type":"Grid"},{"id":"afac009d-e5d3-496d-ae46-94b96dac0718","type":"Legend"},{"id":"f1aed90b-6c91-4a13-8288-d16831a14d68","type":"GlyphRenderer"},{"id":"bb201bc4-0fd4-4f23-9a77-2a75726d3bef","type":"GlyphRenderer"},{"id":"d20783d0-e232-4b7d-9e26-c21b8e11007d","type":"GlyphRenderer"}],"title":{"id":"8d2ffd6a-f349-4fee-aaac-25ceecbd2800","type":"Title"},"toolbar":{"id":"3802723d-7322-4701-8306-61a0a1fa5d60","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"646d734b-ebff-490c-b5c5-06bf75c05674","type":"FactorRange"},"x_scale":{"id":"62e67ed2-558b-496a-964a-182999ff9e4b","type":"CategoricalScale"},"y_range":{"id":"30e649ce-81df-49b6-b5a5-d3fa135c0b41","type":"Range1d"},"y_scale":{"id":"da302b16-f765-4e09-b44a-a3f3a7c052c2","type":"LinearScale"}},"id":"fbd43c07-b8d7-43a1-a435-27f4f118ff21","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"77932348-b1ac-4b3f-b105-f37d1d928e88","type":"CategoricalTickFormatter"},"plot":{"id":"fbd43c07-b8d7-43a1-a435-27f4f118ff21","subtype":"Figure","type":"Plot"},"ticker":{"id":"d4595c27-ebef-4f94-9a58-57e37439a6a9","type":"CategoricalTicker"}},"id":"f0410260-c98f-4fa0-a9f9-a578efe74695","type":"CategoricalAxis"},{"attributes":{"label":{"value":"2016"},"renderers":[{"id":"bb201bc4-0fd4-4f23-9a77-2a75726d3bef","type":"GlyphRenderer"}]},"id":"efde420b-c530-4cf8-aadb-476c78034ce6","type":"LegendItem"},{"attributes":{"range":{"id":"646d734b-ebff-490c-b5c5-06bf75c05674","type":"FactorRange"}},"id":"eb59a559-a262-4d37-bb9c-349872b27ad6","type":"Dodge"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"3802723d-7322-4701-8306-61a0a1fa5d60","type":"Toolbar"},{"attributes":{"callback":null,"end":10},"id":"30e649ce-81df-49b6-b5a5-d3fa135c0b41","type":"Range1d"},{"attributes":{},"id":"cae6ba8c-b28a-4227-a8a6-9e30a28516f9","type":"BasicTicker"},{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"8d2ffd6a-f349-4fee-aaac-25ceecbd2800","type":"Title"}],"root_ids":["fbd43c07-b8d7-43a1-a435-27f4f118ff21"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"bd4cbdfc-b1dc-4553-b371-4c554de05d0e","elementid":"70b989bc-dd6f-4c28-adce-52013c682aa6","modelid":"fbd43c07-b8d7-43a1-a435-27f4f118ff21"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
