(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("c6674ba6-ff63-4107-b63c-bc5fbca82561");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'c6674ba6-ff63-4107-b63c-bc5fbca82561' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"fbfe35ea-5650-4aca-80a8-f445b00e3b3f":{"roots":{"references":[{"attributes":{"callback":null},"id":"e3e4097f-abf0-4854-abfd-f5b8bb1b0997","type":"Range1d"},{"attributes":{"min_border_bottom":0,"min_border_left":0,"min_border_right":0,"min_border_top":0,"outline_line_color":{"value":null},"plot_height":105,"plot_width":150,"renderers":[{"id":"adb99f57-a389-4918-8a03-dd917f85dc82","type":"Arrow"},{"id":"effb7142-80bc-4096-9880-b38db8548ecd","type":"Label"},{"id":"9ac87573-7221-4f74-ab23-03736c85d7a4","type":"Arrow"},{"id":"23531185-11d3-43af-ba6b-18bf09a234af","type":"Label"},{"id":"ab33f098-fbe3-4626-8f70-c0128af3bc17","type":"Arrow"},{"id":"b93368e7-cbcd-4c25-8de7-ed7043d297e0","type":"Label"}],"title":{"id":"f1f3b129-6107-40c7-b8cd-fbd6c31bbf54","type":"Title"},"toolbar":{"id":"e14f0df5-2453-4c02-8279-f08dc7ac6a38","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"e3e4097f-abf0-4854-abfd-f5b8bb1b0997","type":"Range1d"},"x_scale":{"id":"41efff42-2df8-4475-8222-5575e5decc2f","type":"LinearScale"},"y_range":{"id":"3168f4ff-1d3a-4cd3-a01f-acc18da7cc29","type":"Range1d"},"y_scale":{"id":"a66f8ce7-7834-4e22-b50a-ef62b2fba26d","type":"LinearScale"}},"id":"726614a7-f83b-48ba-857d-033d57c12256","type":"Plot"},{"attributes":{"plot":null},"id":"1ea76460-c059-4a67-9c90-86c6ebceee5c","type":"VeeHead"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"e14f0df5-2453-4c02-8279-f08dc7ac6a38","type":"Toolbar"},{"attributes":{"end":{"id":"df63152e-0fb1-4c77-aff5-263c49cfee2b","type":"NormalHead"},"plot":{"id":"726614a7-f83b-48ba-857d-033d57c12256","type":"Plot"},"source":null,"start":null,"x_end":{"value":0.2},"x_start":{"value":0.2},"y_end":{"value":1},"y_start":{"value":1}},"id":"9ac87573-7221-4f74-ab23-03736c85d7a4","type":"Arrow"},{"attributes":{"plot":null},"id":"df63152e-0fb1-4c77-aff5-263c49cfee2b","type":"NormalHead"},{"attributes":{"end":{"id":"1ea76460-c059-4a67-9c90-86c6ebceee5c","type":"VeeHead"},"plot":{"id":"726614a7-f83b-48ba-857d-033d57c12256","type":"Plot"},"source":null,"start":null,"x_end":{"value":0.2},"x_start":{"value":0.2},"y_end":{"value":2},"y_start":{"value":2}},"id":"ab33f098-fbe3-4626-8f70-c0128af3bc17","type":"Arrow"},{"attributes":{},"id":"a66f8ce7-7834-4e22-b50a-ef62b2fba26d","type":"LinearScale"},{"attributes":{"plot":{"id":"726614a7-f83b-48ba-857d-033d57c12256","type":"Plot"},"text":"NormalHead","text_baseline":"middle","x":0.2,"x_offset":20,"y":1},"id":"23531185-11d3-43af-ba6b-18bf09a234af","type":"Label"},{"attributes":{"plot":null},"id":"57943dc7-68e8-4638-baa4-8189234d9290","type":"OpenHead"},{"attributes":{"plot":{"id":"726614a7-f83b-48ba-857d-033d57c12256","type":"Plot"},"text":"OpenHead","text_baseline":"middle","x":0.2,"x_offset":20,"y":0},"id":"effb7142-80bc-4096-9880-b38db8548ecd","type":"Label"},{"attributes":{"plot":{"id":"726614a7-f83b-48ba-857d-033d57c12256","type":"Plot"},"text":"VeeHead","text_baseline":"middle","x":0.2,"x_offset":20,"y":2},"id":"b93368e7-cbcd-4c25-8de7-ed7043d297e0","type":"Label"},{"attributes":{"plot":null,"text":""},"id":"f1f3b129-6107-40c7-b8cd-fbd6c31bbf54","type":"Title"},{"attributes":{},"id":"41efff42-2df8-4475-8222-5575e5decc2f","type":"LinearScale"},{"attributes":{"callback":null,"end":2.5,"start":-0.5},"id":"3168f4ff-1d3a-4cd3-a01f-acc18da7cc29","type":"Range1d"},{"attributes":{"end":{"id":"57943dc7-68e8-4638-baa4-8189234d9290","type":"OpenHead"},"plot":{"id":"726614a7-f83b-48ba-857d-033d57c12256","type":"Plot"},"source":null,"start":null,"x_end":{"value":0.2},"x_start":{"value":0.2},"y_end":{"value":0},"y_start":{"value":0}},"id":"adb99f57-a389-4918-8a03-dd917f85dc82","type":"Arrow"}],"root_ids":["726614a7-f83b-48ba-857d-033d57c12256"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"fbfe35ea-5650-4aca-80a8-f445b00e3b3f","elementid":"c6674ba6-ff63-4107-b63c-bc5fbca82561","modelid":"726614a7-f83b-48ba-857d-033d57c12256"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
