(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("be262152-1ced-448d-bce8-1dd02111f841");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'be262152-1ced-448d-bce8-1dd02111f841' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"ff173097-e6b6-42c5-9f18-9e264c708f48":{"roots":{"references":[{"attributes":{},"id":"a8f763f4-6e5f-4539-a641-7f29bded15b0","type":"BasicTickFormatter"},{"attributes":{},"id":"50049d5c-d113-4237-b1c1-99e456c1e6f5","type":"WheelZoomTool"},{"attributes":{"overlay":{"id":"81437150-e9a3-47f1-8199-9ca8a2b6698c","type":"BoxAnnotation"}},"id":"308b1ff0-a6cd-4b98-9704-e0b37b3249d9","type":"BoxZoomTool"},{"attributes":{},"id":"1b39fd18-8149-476a-a927-838ca1ad91b8","type":"SaveTool"},{"attributes":{},"id":"b88d921f-56e2-4c2e-a007-32c466ac217c","type":"PanTool"},{"attributes":{"end_angle":{"units":"rad","value":4.8},"line_color":{"value":"navy"},"radius":{"units":"data","value":0.1},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"e46f4d2c-7a35-4353-9824-f5da9d56b33e","type":"Arc"},{"attributes":{},"id":"112a1711-c920-401d-a5f6-e68ea3a8e0a4","type":"ResetTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"b88d921f-56e2-4c2e-a007-32c466ac217c","type":"PanTool"},{"id":"50049d5c-d113-4237-b1c1-99e456c1e6f5","type":"WheelZoomTool"},{"id":"308b1ff0-a6cd-4b98-9704-e0b37b3249d9","type":"BoxZoomTool"},{"id":"1b39fd18-8149-476a-a927-838ca1ad91b8","type":"SaveTool"},{"id":"112a1711-c920-401d-a5f6-e68ea3a8e0a4","type":"ResetTool"},{"id":"2fc07803-b3fa-4463-96d3-acc7f48d2e38","type":"HelpTool"}]},"id":"0784e797-fdf6-4fe1-959c-c858e62ec6a4","type":"Toolbar"},{"attributes":{"formatter":{"id":"e4068ad3-b49d-4ea1-a1ae-9d031a4a57f8","type":"BasicTickFormatter"},"plot":{"id":"0c2f2613-ddb7-4efc-bb2d-671aa682599b","subtype":"Figure","type":"Plot"},"ticker":{"id":"fdd62e0e-c659-4a9c-9e5d-1bb9fc03f320","type":"BasicTicker"}},"id":"baa1a728-47cb-49ee-b5e3-2c56c04e316d","type":"LinearAxis"},{"attributes":{"callback":null},"id":"5604686b-709f-4498-b210-5431f9bfe321","type":"DataRange1d"},{"attributes":{},"id":"fdd62e0e-c659-4a9c-9e5d-1bb9fc03f320","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"86dc8090-e494-40ee-a19b-6925ea89b38e","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"0388544a-cefa-4112-8c7d-9efe18782ddd","type":"DataRange1d"},{"attributes":{},"id":"2fc07803-b3fa-4463-96d3-acc7f48d2e38","type":"HelpTool"},{"attributes":{"data_source":{"id":"86dc8090-e494-40ee-a19b-6925ea89b38e","type":"ColumnDataSource"},"glyph":{"id":"e46f4d2c-7a35-4353-9824-f5da9d56b33e","type":"Arc"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ebbd982b-add6-4199-b283-71cecdd97f44","type":"Arc"},"selection_glyph":null,"view":{"id":"e7e48ebc-37b2-4434-9c9a-47084d649e80","type":"CDSView"}},"id":"15afa8db-4357-46dd-8b6b-583e1236ae9b","type":"GlyphRenderer"},{"attributes":{},"id":"b1eaed2b-46c8-4040-bda3-63048c0fde1a","type":"LinearScale"},{"attributes":{"end_angle":{"units":"rad","value":4.8},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.1},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"ebbd982b-add6-4199-b283-71cecdd97f44","type":"Arc"},{"attributes":{"dimension":1,"plot":{"id":"0c2f2613-ddb7-4efc-bb2d-671aa682599b","subtype":"Figure","type":"Plot"},"ticker":{"id":"fdd62e0e-c659-4a9c-9e5d-1bb9fc03f320","type":"BasicTicker"}},"id":"a7dcced9-a0a8-47e5-8b76-2b6cdab6a1b1","type":"Grid"},{"attributes":{},"id":"e4068ad3-b49d-4ea1-a1ae-9d031a4a57f8","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"81437150-e9a3-47f1-8199-9ca8a2b6698c","type":"BoxAnnotation"},{"attributes":{"source":{"id":"86dc8090-e494-40ee-a19b-6925ea89b38e","type":"ColumnDataSource"}},"id":"e7e48ebc-37b2-4434-9c9a-47084d649e80","type":"CDSView"},{"attributes":{"plot":{"id":"0c2f2613-ddb7-4efc-bb2d-671aa682599b","subtype":"Figure","type":"Plot"},"ticker":{"id":"fde73917-da8f-4a08-bbd5-ae1790e8e718","type":"BasicTicker"}},"id":"babd9b00-e83f-4297-a1af-886357581a08","type":"Grid"},{"attributes":{"plot":null,"text":""},"id":"1ff6eb5b-c234-4ea3-9209-a9b077a56884","type":"Title"},{"attributes":{"below":[{"id":"7b56c8f0-e29c-4573-bd75-5c78f171992a","type":"LinearAxis"}],"left":[{"id":"baa1a728-47cb-49ee-b5e3-2c56c04e316d","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"7b56c8f0-e29c-4573-bd75-5c78f171992a","type":"LinearAxis"},{"id":"babd9b00-e83f-4297-a1af-886357581a08","type":"Grid"},{"id":"baa1a728-47cb-49ee-b5e3-2c56c04e316d","type":"LinearAxis"},{"id":"a7dcced9-a0a8-47e5-8b76-2b6cdab6a1b1","type":"Grid"},{"id":"81437150-e9a3-47f1-8199-9ca8a2b6698c","type":"BoxAnnotation"},{"id":"15afa8db-4357-46dd-8b6b-583e1236ae9b","type":"GlyphRenderer"}],"title":{"id":"1ff6eb5b-c234-4ea3-9209-a9b077a56884","type":"Title"},"toolbar":{"id":"0784e797-fdf6-4fe1-959c-c858e62ec6a4","type":"Toolbar"},"x_range":{"id":"5604686b-709f-4498-b210-5431f9bfe321","type":"DataRange1d"},"x_scale":{"id":"b1eaed2b-46c8-4040-bda3-63048c0fde1a","type":"LinearScale"},"y_range":{"id":"0388544a-cefa-4112-8c7d-9efe18782ddd","type":"DataRange1d"},"y_scale":{"id":"d25a652e-df83-47f3-a412-cc0504c1540c","type":"LinearScale"}},"id":"0c2f2613-ddb7-4efc-bb2d-671aa682599b","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"a8f763f4-6e5f-4539-a641-7f29bded15b0","type":"BasicTickFormatter"},"plot":{"id":"0c2f2613-ddb7-4efc-bb2d-671aa682599b","subtype":"Figure","type":"Plot"},"ticker":{"id":"fde73917-da8f-4a08-bbd5-ae1790e8e718","type":"BasicTicker"}},"id":"7b56c8f0-e29c-4573-bd75-5c78f171992a","type":"LinearAxis"},{"attributes":{},"id":"fde73917-da8f-4a08-bbd5-ae1790e8e718","type":"BasicTicker"},{"attributes":{},"id":"d25a652e-df83-47f3-a412-cc0504c1540c","type":"LinearScale"}],"root_ids":["0c2f2613-ddb7-4efc-bb2d-671aa682599b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"ff173097-e6b6-42c5-9f18-9e264c708f48","elementid":"be262152-1ced-448d-bce8-1dd02111f841","modelid":"0c2f2613-ddb7-4efc-bb2d-671aa682599b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
