(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("bf78ce3b-f6b9-42e1-a3f8-b72215c4ca41");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'bf78ce3b-f6b9-42e1-a3f8-b72215c4ca41' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"dd6e3f28-c050-4004-a133-ae46754622bf":{"roots":{"references":[{"attributes":{},"id":"b808f18e-0339-4af5-b935-ac6064adc834","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1,2,3],"y":[2,1,2]}},"id":"485706f1-1ab3-4e26-85af-74f8d41723f0","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"5f78e350-6faf-407e-afd0-39ef626047e8","type":"DataRange1d"},{"attributes":{},"id":"7eeef867-a958-4c30-9ea5-36971fb881c8","type":"LinearScale"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"fa218b1e-7f96-4b9a-9514-05e0a1fd6592","type":"Line"},{"attributes":{},"id":"c8d527da-b28b-4382-8668-29f3661ed934","type":"BasicTickFormatter"},{"attributes":{"line_color":{"value":"blue"},"x":{"field":"x"},"y":{"field":"y"}},"id":"c1742a4a-64ac-43da-b84e-e879ade72a01","type":"Line"},{"attributes":{},"id":"26a9dc05-46a6-4f8e-b575-1a7dad1043b7","type":"LinearScale"},{"attributes":{"data_source":{"id":"485706f1-1ab3-4e26-85af-74f8d41723f0","type":"ColumnDataSource"},"glyph":{"id":"4388bd44-e5d9-490b-ad1d-495359309ee9","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"137d9246-bfb9-4f1c-9794-97fe16e651dc","type":"Line"},"selection_glyph":null,"view":{"id":"134781fc-f79a-40db-907e-31decdedc5b9","type":"CDSView"},"visible":false},"id":"91ddda17-8f65-4379-b69e-88fbaf8e5282","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"ee41f717-be56-4c21-91e8-31b003881ffb","type":"ColumnDataSource"},"glyph":{"id":"c1742a4a-64ac-43da-b84e-e879ade72a01","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"fa218b1e-7f96-4b9a-9514-05e0a1fd6592","type":"Line"},"selection_glyph":null,"view":{"id":"0ea0cb9f-2903-4856-865b-5acfebf4ba1e","type":"CDSView"}},"id":"0c118165-621a-4bff-ae77-0d9e41909fb5","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"a70676df-54b9-4a5d-8a82-93c3a9ba3813","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1,2,3],"y":[1,2,1]}},"id":"ee41f717-be56-4c21-91e8-31b003881ffb","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"e2258552-b926-45bd-8751-eee2682457d6","type":"DataRange1d"},{"attributes":{},"id":"d1084a5f-df17-467f-a667-91d4e25ca0d1","type":"BasicTicker"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"137d9246-bfb9-4f1c-9794-97fe16e651dc","type":"Line"},{"attributes":{"formatter":{"id":"c8d527da-b28b-4382-8668-29f3661ed934","type":"BasicTickFormatter"},"plot":{"id":"9a7ab3cb-4a0e-400d-92e1-662d8c743808","subtype":"Figure","type":"Plot"},"ticker":{"id":"d1084a5f-df17-467f-a667-91d4e25ca0d1","type":"BasicTicker"},"visible":false},"id":"4fc751cf-e74a-4bfa-94c1-5173a033a2be","type":"LinearAxis"},{"attributes":{"plot":null,"text":""},"id":"77276231-4686-4363-894f-4d6279935587","type":"Title"},{"attributes":{"plot":{"id":"9a7ab3cb-4a0e-400d-92e1-662d8c743808","subtype":"Figure","type":"Plot"},"ticker":{"id":"d1084a5f-df17-467f-a667-91d4e25ca0d1","type":"BasicTicker"},"visible":false},"id":"79a79507-777b-442f-bc6c-bc0d3b7e59b5","type":"Grid"},{"attributes":{"line_color":{"value":"pink"},"x":{"field":"x"},"y":{"field":"y"}},"id":"4388bd44-e5d9-490b-ad1d-495359309ee9","type":"Line"},{"attributes":{},"id":"7e546933-2c31-49df-a1df-4c0e0283d456","type":"BasicTicker"},{"attributes":{"formatter":{"id":"b808f18e-0339-4af5-b935-ac6064adc834","type":"BasicTickFormatter"},"plot":{"id":"9a7ab3cb-4a0e-400d-92e1-662d8c743808","subtype":"Figure","type":"Plot"},"ticker":{"id":"7e546933-2c31-49df-a1df-4c0e0283d456","type":"BasicTicker"}},"id":"97974c9c-cada-4e0f-8d28-c8a99a74e578","type":"LinearAxis"},{"attributes":{"source":{"id":"ee41f717-be56-4c21-91e8-31b003881ffb","type":"ColumnDataSource"}},"id":"0ea0cb9f-2903-4856-865b-5acfebf4ba1e","type":"CDSView"},{"attributes":{"source":{"id":"485706f1-1ab3-4e26-85af-74f8d41723f0","type":"ColumnDataSource"}},"id":"134781fc-f79a-40db-907e-31decdedc5b9","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"9a7ab3cb-4a0e-400d-92e1-662d8c743808","subtype":"Figure","type":"Plot"},"ticker":{"id":"7e546933-2c31-49df-a1df-4c0e0283d456","type":"BasicTicker"}},"id":"ac4dea4e-9b18-4858-9cf2-25b7190db5ff","type":"Grid"},{"attributes":{"below":[{"id":"4fc751cf-e74a-4bfa-94c1-5173a033a2be","type":"LinearAxis"}],"left":[{"id":"97974c9c-cada-4e0f-8d28-c8a99a74e578","type":"LinearAxis"}],"plot_height":200,"plot_width":500,"renderers":[{"id":"4fc751cf-e74a-4bfa-94c1-5173a033a2be","type":"LinearAxis"},{"id":"79a79507-777b-442f-bc6c-bc0d3b7e59b5","type":"Grid"},{"id":"97974c9c-cada-4e0f-8d28-c8a99a74e578","type":"LinearAxis"},{"id":"ac4dea4e-9b18-4858-9cf2-25b7190db5ff","type":"Grid"},{"id":"0c118165-621a-4bff-ae77-0d9e41909fb5","type":"GlyphRenderer"},{"id":"91ddda17-8f65-4379-b69e-88fbaf8e5282","type":"GlyphRenderer"}],"title":{"id":"77276231-4686-4363-894f-4d6279935587","type":"Title"},"toolbar":{"id":"a70676df-54b9-4a5d-8a82-93c3a9ba3813","type":"Toolbar"},"x_range":{"id":"e2258552-b926-45bd-8751-eee2682457d6","type":"DataRange1d"},"x_scale":{"id":"7eeef867-a958-4c30-9ea5-36971fb881c8","type":"LinearScale"},"y_range":{"id":"5f78e350-6faf-407e-afd0-39ef626047e8","type":"DataRange1d"},"y_scale":{"id":"26a9dc05-46a6-4f8e-b575-1a7dad1043b7","type":"LinearScale"}},"id":"9a7ab3cb-4a0e-400d-92e1-662d8c743808","subtype":"Figure","type":"Plot"}],"root_ids":["9a7ab3cb-4a0e-400d-92e1-662d8c743808"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"dd6e3f28-c050-4004-a133-ae46754622bf","elementid":"bf78ce3b-f6b9-42e1-a3f8-b72215c4ca41","modelid":"9a7ab3cb-4a0e-400d-92e1-662d8c743808"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
