(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ef2d3037-6fab-479f-a2d3-153b704d8fe1");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ef2d3037-6fab-479f-a2d3-153b704d8fe1' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"586be53d-70ae-453f-b39c-29e3f87e6794":{"roots":{"references":[{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":4},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"46f097f3-49f7-471e-b374-fef020b2bdb8","type":"MultiLine"},{"attributes":{"callback":null},"id":"e598f259-890b-4357-a1a7-a56faae6e641","type":"DataRange1d"},{"attributes":{},"id":"fbd458b0-59f1-4941-94e6-fe0013cd5ff1","type":"PanTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"fbd458b0-59f1-4941-94e6-fe0013cd5ff1","type":"PanTool"},{"id":"4fd6597a-38cf-4546-8ce7-84aeafc09228","type":"WheelZoomTool"},{"id":"b29f2770-4c9f-4131-98ce-92f9315f8691","type":"BoxZoomTool"},{"id":"728f4567-4a34-47c7-91bc-be009706501e","type":"SaveTool"},{"id":"0331aabd-c735-47ee-979a-622baecc34b8","type":"ResetTool"},{"id":"31cd04ff-cf51-4809-a42b-3ac97fc56609","type":"HelpTool"}]},"id":"b02fc59b-15d4-4935-9d2b-2164e2bc8351","type":"Toolbar"},{"attributes":{"formatter":{"id":"39d0e782-1843-473a-b753-051d42f0ef62","type":"BasicTickFormatter"},"plot":{"id":"d9bbb0bc-603f-4777-8479-a91199b3b619","subtype":"Figure","type":"Plot"},"ticker":{"id":"8f582a34-ef9b-4dc3-9254-bc87a482abe1","type":"BasicTicker"}},"id":"89d75206-8f1c-46c0-a9b5-9c4713de8430","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["ys","xs","line_color","line_alpha"],"data":{"line_alpha":[0.8,0.3],"line_color":["firebrick","navy"],"xs":[[1,3,2],[3,4,6,6]],"ys":[[2,1,4],[4,7,8,5]]}},"id":"cf186687-57c8-423f-b7ea-da2a75202998","type":"ColumnDataSource"},{"attributes":{"below":[{"id":"9ebcadcc-9fd5-46da-a60b-c10830328d9e","type":"LinearAxis"}],"left":[{"id":"89d75206-8f1c-46c0-a9b5-9c4713de8430","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"9ebcadcc-9fd5-46da-a60b-c10830328d9e","type":"LinearAxis"},{"id":"9174089d-cf4f-4718-be2a-2c0eac7bd7d2","type":"Grid"},{"id":"89d75206-8f1c-46c0-a9b5-9c4713de8430","type":"LinearAxis"},{"id":"18be2820-32b5-43f3-a5a2-76e378c0530e","type":"Grid"},{"id":"4a2ba876-7329-4db6-9de5-ad81085c664e","type":"BoxAnnotation"},{"id":"c03eba4e-31e3-4691-8f56-dfcec44d7448","type":"GlyphRenderer"}],"title":{"id":"4f139e19-1e2a-4c56-9526-8220b7fdc536","type":"Title"},"toolbar":{"id":"b02fc59b-15d4-4935-9d2b-2164e2bc8351","type":"Toolbar"},"x_range":{"id":"49464d64-dd8a-42ff-b9c8-a7f73457f414","type":"DataRange1d"},"x_scale":{"id":"e3654f5c-89b6-417a-9f04-3f2868824487","type":"LinearScale"},"y_range":{"id":"e598f259-890b-4357-a1a7-a56faae6e641","type":"DataRange1d"},"y_scale":{"id":"248ea5a4-bc13-4100-9690-859b5fe293c0","type":"LinearScale"}},"id":"d9bbb0bc-603f-4777-8479-a91199b3b619","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"4fd6597a-38cf-4546-8ce7-84aeafc09228","type":"WheelZoomTool"},{"attributes":{},"id":"30ea4b2b-faff-4995-a7cb-091c7f3b9fce","type":"BasicTickFormatter"},{"attributes":{},"id":"b94a3d2c-409f-400e-b477-8dff178117db","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"d9bbb0bc-603f-4777-8479-a91199b3b619","subtype":"Figure","type":"Plot"},"ticker":{"id":"8f582a34-ef9b-4dc3-9254-bc87a482abe1","type":"BasicTicker"}},"id":"18be2820-32b5-43f3-a5a2-76e378c0530e","type":"Grid"},{"attributes":{"line_alpha":{"field":"line_alpha"},"line_color":{"field":"line_color"},"line_width":{"value":4},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"40b33829-9864-484b-aa9e-5ab638ad4a41","type":"MultiLine"},{"attributes":{},"id":"248ea5a4-bc13-4100-9690-859b5fe293c0","type":"LinearScale"},{"attributes":{},"id":"e3654f5c-89b6-417a-9f04-3f2868824487","type":"LinearScale"},{"attributes":{},"id":"0331aabd-c735-47ee-979a-622baecc34b8","type":"ResetTool"},{"attributes":{"formatter":{"id":"30ea4b2b-faff-4995-a7cb-091c7f3b9fce","type":"BasicTickFormatter"},"plot":{"id":"d9bbb0bc-603f-4777-8479-a91199b3b619","subtype":"Figure","type":"Plot"},"ticker":{"id":"b94a3d2c-409f-400e-b477-8dff178117db","type":"BasicTicker"}},"id":"9ebcadcc-9fd5-46da-a60b-c10830328d9e","type":"LinearAxis"},{"attributes":{},"id":"31cd04ff-cf51-4809-a42b-3ac97fc56609","type":"HelpTool"},{"attributes":{"callback":null},"id":"49464d64-dd8a-42ff-b9c8-a7f73457f414","type":"DataRange1d"},{"attributes":{"source":{"id":"cf186687-57c8-423f-b7ea-da2a75202998","type":"ColumnDataSource"}},"id":"b643e8d5-076c-4b6f-9f7f-6c9f01034196","type":"CDSView"},{"attributes":{},"id":"39d0e782-1843-473a-b753-051d42f0ef62","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"4a2ba876-7329-4db6-9de5-ad81085c664e","type":"BoxAnnotation"}},"id":"b29f2770-4c9f-4131-98ce-92f9315f8691","type":"BoxZoomTool"},{"attributes":{"plot":null,"text":""},"id":"4f139e19-1e2a-4c56-9526-8220b7fdc536","type":"Title"},{"attributes":{},"id":"8f582a34-ef9b-4dc3-9254-bc87a482abe1","type":"BasicTicker"},{"attributes":{"plot":{"id":"d9bbb0bc-603f-4777-8479-a91199b3b619","subtype":"Figure","type":"Plot"},"ticker":{"id":"b94a3d2c-409f-400e-b477-8dff178117db","type":"BasicTicker"}},"id":"9174089d-cf4f-4718-be2a-2c0eac7bd7d2","type":"Grid"},{"attributes":{},"id":"728f4567-4a34-47c7-91bc-be009706501e","type":"SaveTool"},{"attributes":{"data_source":{"id":"cf186687-57c8-423f-b7ea-da2a75202998","type":"ColumnDataSource"},"glyph":{"id":"40b33829-9864-484b-aa9e-5ab638ad4a41","type":"MultiLine"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"46f097f3-49f7-471e-b374-fef020b2bdb8","type":"MultiLine"},"selection_glyph":null,"view":{"id":"b643e8d5-076c-4b6f-9f7f-6c9f01034196","type":"CDSView"}},"id":"c03eba4e-31e3-4691-8f56-dfcec44d7448","type":"GlyphRenderer"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"4a2ba876-7329-4db6-9de5-ad81085c664e","type":"BoxAnnotation"}],"root_ids":["d9bbb0bc-603f-4777-8479-a91199b3b619"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"586be53d-70ae-453f-b39c-29e3f87e6794","elementid":"ef2d3037-6fab-479f-a2d3-153b704d8fe1","modelid":"d9bbb0bc-603f-4777-8479-a91199b3b619"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
