(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("0acc3d2d-50c3-4c49-a44d-a3864fa8abe2");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '0acc3d2d-50c3-4c49-a44d-a3864fa8abe2' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"fa1a7bbe-0fa4-498e-8cde-0b4ce3902818":{"roots":{"references":[{"attributes":{"formatter":{"id":"26340f06-313f-463e-bd99-37bbf4dca4fe","type":"BasicTickFormatter"},"plot":{"id":"6adaddf0-34ff-43b0-a4e8-d79a85bef38b","subtype":"Figure","type":"Plot"},"ticker":{"id":"d11e7615-2e38-477b-8650-bdb77b9eb756","type":"BasicTicker"}},"id":"9b82cbbf-4d92-4e0b-8ab7-77b9e125d525","type":"LinearAxis"},{"attributes":{},"id":"1f495e0c-a510-413b-b44f-4063b8561e90","type":"LinearScale"},{"attributes":{"callback":null},"id":"84500570-79c6-4796-8b8a-05d72354e9cd","type":"DataRange1d"},{"attributes":{},"id":"d11e7615-2e38-477b-8650-bdb77b9eb756","type":"BasicTicker"},{"attributes":{"plot":{"id":"6adaddf0-34ff-43b0-a4e8-d79a85bef38b","subtype":"Figure","type":"Plot"},"ticker":{"id":"d11e7615-2e38-477b-8650-bdb77b9eb756","type":"BasicTicker"}},"id":"908b31c7-c1bb-4e76-b4fe-75466dde457a","type":"Grid"},{"attributes":{"formatter":{"id":"871885ca-ac33-4410-9c3c-fe69ca801b31","type":"BasicTickFormatter"},"plot":{"id":"6adaddf0-34ff-43b0-a4e8-d79a85bef38b","subtype":"Figure","type":"Plot"},"ticker":{"id":"614c9a28-3563-4ce0-8381-345d67618cb2","type":"BasicTicker"}},"id":"912c5dc8-2b8d-4942-8dfc-4549638bcc6f","type":"LinearAxis"},{"attributes":{},"id":"26340f06-313f-463e-bd99-37bbf4dca4fe","type":"BasicTickFormatter"},{"attributes":{},"id":"871885ca-ac33-4410-9c3c-fe69ca801b31","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"f7156ed3-d177-439f-a8ee-b7132e34b0c7","type":"ColumnDataSource"}},"id":"92da70e3-31da-4b41-b2a6-7440bc5fe9dd","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"a278b966-5637-4f7e-851e-34831e1e0f40","type":"HoverTool"}]},"id":"7783729c-4a21-4d0e-aa42-b92dab0fa2b9","type":"Toolbar"},{"attributes":{"callback":null},"id":"26ce7830-a101-40cb-b797-6ffc09948dc4","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y1","y0","x0","x1"],"data":{"x0":[],"x1":[],"y0":[],"y1":[]}},"id":"f7156ed3-d177-439f-a8ee-b7132e34b0c7","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"fdc78da8-3425-4f8e-b027-cb1772257722","type":"ColumnDataSource"},"glyph":{"id":"05e61f75-3c02-4ca9-a9a5-a41a084431a1","type":"Circle"},"hover_glyph":{"id":"1227ede5-dc24-4aaa-b153-f9ab3d8bd40c","type":"Circle"},"muted_glyph":null,"nonselection_glyph":{"id":"b7af0448-dd6f-493e-9556-0b0a4ccb8fc0","type":"Circle"},"selection_glyph":null,"view":{"id":"7e0a975e-b1f0-4618-8e52-81830b14085c","type":"CDSView"}},"id":"d385e22d-baeb-401d-bcd6-7bb2c7f99ec1","type":"GlyphRenderer"},{"attributes":{},"id":"d15d7e75-3d7e-47db-a72b-f1b6c043f9e0","type":"LinearScale"},{"attributes":{"below":[{"id":"9b82cbbf-4d92-4e0b-8ab7-77b9e125d525","type":"LinearAxis"}],"left":[{"id":"912c5dc8-2b8d-4942-8dfc-4549638bcc6f","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"9b82cbbf-4d92-4e0b-8ab7-77b9e125d525","type":"LinearAxis"},{"id":"908b31c7-c1bb-4e76-b4fe-75466dde457a","type":"Grid"},{"id":"912c5dc8-2b8d-4942-8dfc-4549638bcc6f","type":"LinearAxis"},{"id":"955da50e-4d7a-4afd-8d25-31133efda6b5","type":"Grid"},{"id":"d97ce9fa-ac68-4c09-908f-b6b9e9736e9c","type":"GlyphRenderer"},{"id":"d385e22d-baeb-401d-bcd6-7bb2c7f99ec1","type":"GlyphRenderer"}],"title":{"id":"fa4ec9b2-7bfd-49cb-92ed-9a2f6e25b1b6","type":"Title"},"toolbar":{"id":"7783729c-4a21-4d0e-aa42-b92dab0fa2b9","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"84500570-79c6-4796-8b8a-05d72354e9cd","type":"DataRange1d"},"x_scale":{"id":"d15d7e75-3d7e-47db-a72b-f1b6c043f9e0","type":"LinearScale"},"y_range":{"id":"26ce7830-a101-40cb-b797-6ffc09948dc4","type":"DataRange1d"},"y_scale":{"id":"1f495e0c-a510-413b-b44f-4063b8561e90","type":"LinearScale"}},"id":"6adaddf0-34ff-43b0-a4e8-d79a85bef38b","subtype":"Figure","type":"Plot"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"9d6602d3-9273-49de-9cd8-f31d6203e27e","type":"Segment"},{"attributes":{"args":{"circle":{"id":"fdc78da8-3425-4f8e-b027-cb1772257722","type":"ColumnDataSource"},"segment":{"id":"f7156ed3-d177-439f-a8ee-b7132e34b0c7","type":"ColumnDataSource"}},"code":"\nvar links = {0: [1, 2], 1: [0, 3, 4], 2: [0, 5], 3: [1, 4], 4: [1, 3], 5: [2, 3, 4]};\nvar data = {'x0': [], 'y0': [], 'x1': [], 'y1': []};\nvar cdata = circle.data;\nvar indices = cb_data.index['1d'].indices;\nfor (i=0; i < indices.length; i++) {\n    ind0 = indices[i]\n    for (j=0; j < links[ind0].length; j++) {\n        ind1 = links[ind0][j];\n        data['x0'].push(cdata.x[ind0]);\n        data['y0'].push(cdata.y[ind0]);\n        data['x1'].push(cdata.x[ind1]);\n        data['y1'].push(cdata.y[ind1]);\n    }\n}\nsegment.data = data;\n"},"id":"847f407f-a645-460f-9ff9-78a5e5219fcc","type":"CustomJS"},{"attributes":{"fill_color":{"value":"olive"},"line_color":{"value":"olive"},"size":{"units":"screen","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"1227ede5-dc24-4aaa-b153-f9ab3d8bd40c","type":"Circle"},{"attributes":{"dimension":1,"plot":{"id":"6adaddf0-34ff-43b0-a4e8-d79a85bef38b","subtype":"Figure","type":"Plot"},"ticker":{"id":"614c9a28-3563-4ce0-8381-345d67618cb2","type":"BasicTicker"}},"id":"955da50e-4d7a-4afd-8d25-31133efda6b5","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.4},"fill_color":{"value":"olive"},"line_alpha":{"value":0.4},"line_color":{"value":"olive"},"size":{"units":"screen","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"05e61f75-3c02-4ca9-a9a5-a41a084431a1","type":"Circle"},{"attributes":{"line_alpha":{"value":0.6},"line_color":{"value":"olive"},"line_width":{"value":3},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"4808aec0-b3aa-478c-97c1-10110b0dbb74","type":"Segment"},{"attributes":{"plot":null,"text":"Hover over points"},"id":"fa4ec9b2-7bfd-49cb-92ed-9a2f6e25b1b6","type":"Title"},{"attributes":{},"id":"614c9a28-3563-4ce0-8381-345d67618cb2","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[2,3,5,6,8,7],"y":[6,4,3,8,7,5]}},"id":"fdc78da8-3425-4f8e-b027-cb1772257722","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"b7af0448-dd6f-493e-9556-0b0a4ccb8fc0","type":"Circle"},{"attributes":{"source":{"id":"fdc78da8-3425-4f8e-b027-cb1772257722","type":"ColumnDataSource"}},"id":"7e0a975e-b1f0-4618-8e52-81830b14085c","type":"CDSView"},{"attributes":{"data_source":{"id":"f7156ed3-d177-439f-a8ee-b7132e34b0c7","type":"ColumnDataSource"},"glyph":{"id":"4808aec0-b3aa-478c-97c1-10110b0dbb74","type":"Segment"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"9d6602d3-9273-49de-9cd8-f31d6203e27e","type":"Segment"},"selection_glyph":null,"view":{"id":"92da70e3-31da-4b41-b2a6-7440bc5fe9dd","type":"CDSView"}},"id":"d97ce9fa-ac68-4c09-908f-b6b9e9736e9c","type":"GlyphRenderer"},{"attributes":{"callback":{"id":"847f407f-a645-460f-9ff9-78a5e5219fcc","type":"CustomJS"},"renderers":[{"id":"d385e22d-baeb-401d-bcd6-7bb2c7f99ec1","type":"GlyphRenderer"}],"tooltips":null},"id":"a278b966-5637-4f7e-851e-34831e1e0f40","type":"HoverTool"}],"root_ids":["6adaddf0-34ff-43b0-a4e8-d79a85bef38b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"fa1a7bbe-0fa4-498e-8cde-0b4ce3902818","elementid":"0acc3d2d-50c3-4c49-a44d-a3864fa8abe2","modelid":"6adaddf0-34ff-43b0-a4e8-d79a85bef38b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
