(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ba64b483-c02d-4c16-b0e8-a201a2ef23cc");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ba64b483-c02d-4c16-b0e8-a201a2ef23cc' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"15bc089d-cbde-40b3-a39f-bf9752a7c166":{"roots":{"references":[{"attributes":{"callback":null,"column_names":["color","counts","fruits"],"data":{"color":["#3288bd","#99d594","#e6f598","#fee08b","#fc8d59","#d53e4f"],"counts":[5,3,4,2,4,6],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"43a58908-5ae5-4e54-a82a-97aee11d63ac","type":"ColumnDataSource"},{"attributes":{"label":{"field":"fruits"},"renderers":[{"id":"f5529c24-8093-4d94-80eb-d889b6c618c6","type":"GlyphRenderer"}]},"id":"ff67ca84-3a76-4ab1-abba-c277d25fd9ed","type":"LegendItem"},{"attributes":{"formatter":{"id":"e6c769fc-85c1-454a-be9e-21019ed7e910","type":"BasicTickFormatter"},"plot":{"id":"96b48acb-253f-44f4-8f85-f5fa1c99d1d4","subtype":"Figure","type":"Plot"},"ticker":{"id":"50e7cef6-8a89-4682-b19d-137289f6f691","type":"BasicTicker"}},"id":"2d82bd27-2e09-4b3a-b7c3-763f0aba0238","type":"LinearAxis"},{"attributes":{},"id":"4c28c587-519a-4ee0-8b75-092c06217d79","type":"CategoricalScale"},{"attributes":{"data_source":{"id":"43a58908-5ae5-4e54-a82a-97aee11d63ac","type":"ColumnDataSource"},"glyph":{"id":"00a1b231-e24a-4413-b468-866de820d378","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a1bcf1ec-a98d-429d-8a81-3f8063120282","type":"VBar"},"selection_glyph":null,"view":{"id":"3e89e33d-e319-4d7f-9131-3154af7b9cee","type":"CDSView"}},"id":"f5529c24-8093-4d94-80eb-d889b6c618c6","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"96b48acb-253f-44f4-8f85-f5fa1c99d1d4","subtype":"Figure","type":"Plot"},"ticker":{"id":"50e7cef6-8a89-4682-b19d-137289f6f691","type":"BasicTicker"}},"id":"9df7df0c-9dc8-407d-ad1a-32020bf2d8e0","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"a1bcf1ec-a98d-429d-8a81-3f8063120282","type":"VBar"},{"attributes":{"items":[{"id":"ff67ca84-3a76-4ab1-abba-c277d25fd9ed","type":"LegendItem"}],"location":"top_center","orientation":"horizontal","plot":{"id":"96b48acb-253f-44f4-8f85-f5fa1c99d1d4","subtype":"Figure","type":"Plot"}},"id":"f9ee72e5-2ece-445f-adb7-717d9893e554","type":"Legend"},{"attributes":{},"id":"50e7cef6-8a89-4682-b19d-137289f6f691","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"010f4120-f4e6-42b4-8b97-66be13efe074","type":"Toolbar"},{"attributes":{"callback":null,"end":9},"id":"770437a6-93fb-4fb5-9c7d-578f9048cd3d","type":"Range1d"},{"attributes":{},"id":"7723c998-99a4-4c3f-8b6c-c1156f28d92b","type":"CategoricalTickFormatter"},{"attributes":{"plot":null,"text":"Fruit Counts"},"id":"495a163b-7fb9-4683-890a-0d393a803557","type":"Title"},{"attributes":{"below":[{"id":"0e3d86fd-e0ad-48c3-88a7-2e0758f54e21","type":"CategoricalAxis"}],"left":[{"id":"2d82bd27-2e09-4b3a-b7c3-763f0aba0238","type":"LinearAxis"}],"plot_height":350,"renderers":[{"id":"0e3d86fd-e0ad-48c3-88a7-2e0758f54e21","type":"CategoricalAxis"},{"id":"8e550bc1-e426-499b-af9f-e0411b18e692","type":"Grid"},{"id":"2d82bd27-2e09-4b3a-b7c3-763f0aba0238","type":"LinearAxis"},{"id":"9df7df0c-9dc8-407d-ad1a-32020bf2d8e0","type":"Grid"},{"id":"f9ee72e5-2ece-445f-adb7-717d9893e554","type":"Legend"},{"id":"f5529c24-8093-4d94-80eb-d889b6c618c6","type":"GlyphRenderer"}],"title":{"id":"495a163b-7fb9-4683-890a-0d393a803557","type":"Title"},"toolbar":{"id":"010f4120-f4e6-42b4-8b97-66be13efe074","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"eaf5e3e3-104e-4a75-95d8-04b2a2a7c7f7","type":"FactorRange"},"x_scale":{"id":"4c28c587-519a-4ee0-8b75-092c06217d79","type":"CategoricalScale"},"y_range":{"id":"770437a6-93fb-4fb5-9c7d-578f9048cd3d","type":"Range1d"},"y_scale":{"id":"c703d29e-da8b-455c-922e-ccc33de281d5","type":"LinearScale"}},"id":"96b48acb-253f-44f4-8f85-f5fa1c99d1d4","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"7723c998-99a4-4c3f-8b6c-c1156f28d92b","type":"CategoricalTickFormatter"},"plot":{"id":"96b48acb-253f-44f4-8f85-f5fa1c99d1d4","subtype":"Figure","type":"Plot"},"ticker":{"id":"705fe100-9795-44f0-849f-7490bad44550","type":"CategoricalTicker"}},"id":"0e3d86fd-e0ad-48c3-88a7-2e0758f54e21","type":"CategoricalAxis"},{"attributes":{"fill_color":{"field":"color"},"line_color":{"field":"color"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"00a1b231-e24a-4413-b468-866de820d378","type":"VBar"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"96b48acb-253f-44f4-8f85-f5fa1c99d1d4","subtype":"Figure","type":"Plot"},"ticker":{"id":"705fe100-9795-44f0-849f-7490bad44550","type":"CategoricalTicker"}},"id":"8e550bc1-e426-499b-af9f-e0411b18e692","type":"Grid"},{"attributes":{},"id":"705fe100-9795-44f0-849f-7490bad44550","type":"CategoricalTicker"},{"attributes":{"source":{"id":"43a58908-5ae5-4e54-a82a-97aee11d63ac","type":"ColumnDataSource"}},"id":"3e89e33d-e319-4d7f-9131-3154af7b9cee","type":"CDSView"},{"attributes":{},"id":"c703d29e-da8b-455c-922e-ccc33de281d5","type":"LinearScale"},{"attributes":{},"id":"e6c769fc-85c1-454a-be9e-21019ed7e910","type":"BasicTickFormatter"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"eaf5e3e3-104e-4a75-95d8-04b2a2a7c7f7","type":"FactorRange"}],"root_ids":["96b48acb-253f-44f4-8f85-f5fa1c99d1d4"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"15bc089d-cbde-40b3-a39f-bf9752a7c166","elementid":"ba64b483-c02d-4c16-b0e8-a201a2ef23cc","modelid":"96b48acb-253f-44f4-8f85-f5fa1c99d1d4"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
