(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2917ffcf-575b-4691-9604-6cdce47c4a45");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2917ffcf-575b-4691-9604-6cdce47c4a45' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"30310cb7-18ce-400a-a4b5-f73e9f0c0447":{"roots":{"references":[{"attributes":{"formatter":{"id":"08e69dfd-54e4-433c-84e1-c8d5e4ceda75","type":"BasicTickFormatter"},"plot":{"id":"262e31ad-3ca4-4ff8-8e0d-a35c0256dd53","subtype":"Figure","type":"Plot"},"ticker":{"id":"0c0792c3-5913-4c76-8413-ba40c997a156","type":"BasicTicker"}},"id":"a3269520-89e9-44b5-b5e0-3e3103db9a27","type":"LinearAxis"},{"attributes":{"callback":null},"id":"e1463a9c-c3ca-48d0-bf91-91a9d6e173d8","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c2503add-9eef-47e5-ac86-02000243fb11","type":"PanTool"},{"id":"a57396fa-ad7f-4c25-8326-5ddf40121e50","type":"WheelZoomTool"},{"id":"3ffc4a6e-9e21-4ee8-a466-3dde3344d838","type":"BoxZoomTool"},{"id":"54161022-f1b9-4987-874f-405737680872","type":"SaveTool"},{"id":"eb59041e-cad9-4923-a2a0-b36c1777244d","type":"ResetTool"},{"id":"c312cdc1-f991-40d0-aa58-faea0000644b","type":"HelpTool"}]},"id":"557008f6-7b1f-4ac9-9d21-7b538d82f42d","type":"Toolbar"},{"attributes":{},"id":"0c0792c3-5913-4c76-8413-ba40c997a156","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"578d05f3-d73b-4d54-9c8a-22d0fe8d48ef","type":"BoxAnnotation"},{"attributes":{"data_source":{"id":"316192ad-9465-40ee-9fea-26629036b84a","type":"ColumnDataSource"},"glyph":{"id":"5c2b4274-48b5-44b9-a631-816d32bbd3b1","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"045592cc-0673-445b-acdf-22defd897e58","type":"Circle"},"selection_glyph":null,"view":{"id":"c9ac1494-412c-4039-853d-61fdb0307503","type":"CDSView"}},"id":"b86a9119-6b48-42cc-89fd-f80314ff8024","type":"GlyphRenderer"},{"attributes":{},"id":"eb59041e-cad9-4923-a2a0-b36c1777244d","type":"ResetTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"5c2b4274-48b5-44b9-a631-816d32bbd3b1","type":"Circle"},{"attributes":{"below":[{"id":"46acdc8d-aa03-4658-ae71-e1848f300fcd","type":"LinearAxis"}],"left":[{"id":"a3269520-89e9-44b5-b5e0-3e3103db9a27","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"46acdc8d-aa03-4658-ae71-e1848f300fcd","type":"LinearAxis"},{"id":"602ca502-0948-4ce3-b909-0f20ee1ab900","type":"Grid"},{"id":"a3269520-89e9-44b5-b5e0-3e3103db9a27","type":"LinearAxis"},{"id":"30adda4c-895c-40f1-a61e-9559231406d5","type":"Grid"},{"id":"578d05f3-d73b-4d54-9c8a-22d0fe8d48ef","type":"BoxAnnotation"},{"id":"b86a9119-6b48-42cc-89fd-f80314ff8024","type":"GlyphRenderer"}],"title":{"id":"17a3fa74-82b5-4e9c-905e-783320c8c636","type":"Title"},"toolbar":{"id":"557008f6-7b1f-4ac9-9d21-7b538d82f42d","type":"Toolbar"},"x_range":{"id":"e1463a9c-c3ca-48d0-bf91-91a9d6e173d8","type":"DataRange1d"},"x_scale":{"id":"21ad971b-600e-4723-84e8-27bde96affc6","type":"LinearScale"},"y_range":{"id":"9c4bb440-28c9-4c47-b57e-a50e85fc0e98","type":"DataRange1d"},"y_scale":{"id":"2feb127f-11b6-43ff-a257-ea25b19cd5c9","type":"LinearScale"}},"id":"262e31ad-3ca4-4ff8-8e0d-a35c0256dd53","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"2feb127f-11b6-43ff-a257-ea25b19cd5c9","type":"LinearScale"},{"attributes":{"plot":null,"text":"Basic Title"},"id":"17a3fa74-82b5-4e9c-905e-783320c8c636","type":"Title"},{"attributes":{"plot":{"id":"262e31ad-3ca4-4ff8-8e0d-a35c0256dd53","subtype":"Figure","type":"Plot"},"ticker":{"id":"b8f88888-b3cb-4fc8-bf2a-df0b60b5bf58","type":"BasicTicker"}},"id":"602ca502-0948-4ce3-b909-0f20ee1ab900","type":"Grid"},{"attributes":{"formatter":{"id":"359bd62f-912f-4b9f-98eb-f3d98ae759d7","type":"BasicTickFormatter"},"plot":{"id":"262e31ad-3ca4-4ff8-8e0d-a35c0256dd53","subtype":"Figure","type":"Plot"},"ticker":{"id":"b8f88888-b3cb-4fc8-bf2a-df0b60b5bf58","type":"BasicTicker"}},"id":"46acdc8d-aa03-4658-ae71-e1848f300fcd","type":"LinearAxis"},{"attributes":{},"id":"c2503add-9eef-47e5-ac86-02000243fb11","type":"PanTool"},{"attributes":{},"id":"a57396fa-ad7f-4c25-8326-5ddf40121e50","type":"WheelZoomTool"},{"attributes":{},"id":"b8f88888-b3cb-4fc8-bf2a-df0b60b5bf58","type":"BasicTicker"},{"attributes":{},"id":"54161022-f1b9-4987-874f-405737680872","type":"SaveTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"045592cc-0673-445b-acdf-22defd897e58","type":"Circle"},{"attributes":{},"id":"359bd62f-912f-4b9f-98eb-f3d98ae759d7","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2],"y":[3,4]}},"id":"316192ad-9465-40ee-9fea-26629036b84a","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"262e31ad-3ca4-4ff8-8e0d-a35c0256dd53","subtype":"Figure","type":"Plot"},"ticker":{"id":"0c0792c3-5913-4c76-8413-ba40c997a156","type":"BasicTicker"}},"id":"30adda4c-895c-40f1-a61e-9559231406d5","type":"Grid"},{"attributes":{"callback":null},"id":"9c4bb440-28c9-4c47-b57e-a50e85fc0e98","type":"DataRange1d"},{"attributes":{},"id":"08e69dfd-54e4-433c-84e1-c8d5e4ceda75","type":"BasicTickFormatter"},{"attributes":{},"id":"21ad971b-600e-4723-84e8-27bde96affc6","type":"LinearScale"},{"attributes":{"overlay":{"id":"578d05f3-d73b-4d54-9c8a-22d0fe8d48ef","type":"BoxAnnotation"}},"id":"3ffc4a6e-9e21-4ee8-a466-3dde3344d838","type":"BoxZoomTool"},{"attributes":{"source":{"id":"316192ad-9465-40ee-9fea-26629036b84a","type":"ColumnDataSource"}},"id":"c9ac1494-412c-4039-853d-61fdb0307503","type":"CDSView"},{"attributes":{},"id":"c312cdc1-f991-40d0-aa58-faea0000644b","type":"HelpTool"}],"root_ids":["262e31ad-3ca4-4ff8-8e0d-a35c0256dd53"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"30310cb7-18ce-400a-a4b5-f73e9f0c0447","elementid":"2917ffcf-575b-4691-9604-6cdce47c4a45","modelid":"262e31ad-3ca4-4ff8-8e0d-a35c0256dd53"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
