(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("f2718e4c-d307-4d6f-a892-be0d991279b4");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'f2718e4c-d307-4d6f-a892-be0d991279b4' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"777ff495-b224-4984-9b6f-bbe14d66d0dd":{"roots":{"references":[{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"c8e87b31-db38-4eef-ae87-58333882eab9","type":"Title"},{"attributes":{"dimension":1,"plot":{"id":"7e824e1c-da31-4fe6-bf69-c0aba8aa6b2f","subtype":"Figure","type":"Plot"},"ticker":{"id":"1a013bdb-62ff-4224-b2ba-b0bc122facc0","type":"BasicTicker"}},"id":"fc569aaa-da5d-434f-96a1-735fc125f4d0","type":"Grid"},{"attributes":{"end":2,"factors":["2015","2016","2017"],"palette":["#c9d9d3","#718dbf","#e84d60"],"start":1},"id":"2a49d35a-e716-49b4-ae4d-7f3c8d9d47f9","type":"CategoricalColorMapper"},{"attributes":{"source":{"id":"6188c14e-129e-4a2a-b3ad-e591cc8335a0","type":"ColumnDataSource"}},"id":"384af3b0-b20c-4ccb-83d1-3e401718973c","type":"CDSView"},{"attributes":{},"id":"c131a8a9-91a8-4be8-8c89-7c32685ede06","type":"CategoricalScale"},{"attributes":{},"id":"4fd4aa4d-087a-4617-85e7-188ee7221e78","type":"CategoricalTickFormatter"},{"attributes":{},"id":"5f67511c-cbcb-487b-bc84-a81318a2798d","type":"LinearScale"},{"attributes":{},"id":"1a013bdb-62ff-4224-b2ba-b0bc122facc0","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["x","counts"],"data":{"counts":[2,5,3,1,3,2,4,3,4,3,2,4,2,4,5,4,6,3],"x":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]]}},"id":"6188c14e-129e-4a2a-b3ad-e591cc8335a0","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"164e9fca-2764-4a74-877a-d76b97b9e98e","type":"Toolbar"},{"attributes":{"data_source":{"id":"6188c14e-129e-4a2a-b3ad-e591cc8335a0","type":"ColumnDataSource"},"glyph":{"id":"f704cd10-fa29-44d6-af1d-96d3f1774c25","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"bb55fa13-acc0-4e01-9256-500acb6de2a4","type":"VBar"},"selection_glyph":null,"view":{"id":"384af3b0-b20c-4ccb-83d1-3e401718973c","type":"CDSView"}},"id":"6458b3c9-88cc-45f5-abdc-16c5d41c3ca6","type":"GlyphRenderer"},{"attributes":{},"id":"93577627-59c8-414c-8df8-6aa234e60ae1","type":"CategoricalTicker"},{"attributes":{"callback":null,"factors":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]],"range_padding":0.1},"id":"8817f80d-b3a5-4db6-a73b-300cf3d55602","type":"FactorRange"},{"attributes":{"fill_color":{"field":"x","transform":{"id":"2a49d35a-e716-49b4-ae4d-7f3c8d9d47f9","type":"CategoricalColorMapper"}},"line_color":{"value":"white"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"f704cd10-fa29-44d6-af1d-96d3f1774c25","type":"VBar"},{"attributes":{"formatter":{"id":"9eaf7b3b-fd52-4cb5-885b-7c60085378a7","type":"BasicTickFormatter"},"plot":{"id":"7e824e1c-da31-4fe6-bf69-c0aba8aa6b2f","subtype":"Figure","type":"Plot"},"ticker":{"id":"1a013bdb-62ff-4224-b2ba-b0bc122facc0","type":"BasicTicker"}},"id":"c0a2a0ce-954e-4481-8262-3dab57c8e85e","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"bb55fa13-acc0-4e01-9256-500acb6de2a4","type":"VBar"},{"attributes":{"below":[{"id":"9bdd69dd-9d02-4cbf-96d9-760ab1bd434e","type":"CategoricalAxis"}],"left":[{"id":"c0a2a0ce-954e-4481-8262-3dab57c8e85e","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"9bdd69dd-9d02-4cbf-96d9-760ab1bd434e","type":"CategoricalAxis"},{"id":"2e68d09f-5711-4ca1-90ea-ae78ec272d50","type":"Grid"},{"id":"c0a2a0ce-954e-4481-8262-3dab57c8e85e","type":"LinearAxis"},{"id":"fc569aaa-da5d-434f-96a1-735fc125f4d0","type":"Grid"},{"id":"6458b3c9-88cc-45f5-abdc-16c5d41c3ca6","type":"GlyphRenderer"}],"title":{"id":"c8e87b31-db38-4eef-ae87-58333882eab9","type":"Title"},"toolbar":{"id":"164e9fca-2764-4a74-877a-d76b97b9e98e","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"8817f80d-b3a5-4db6-a73b-300cf3d55602","type":"FactorRange"},"x_scale":{"id":"c131a8a9-91a8-4be8-8c89-7c32685ede06","type":"CategoricalScale"},"y_range":{"id":"eb9ca4ed-f29c-4d76-a299-cfa2f92466f0","type":"DataRange1d"},"y_scale":{"id":"5f67511c-cbcb-487b-bc84-a81318a2798d","type":"LinearScale"}},"id":"7e824e1c-da31-4fe6-bf69-c0aba8aa6b2f","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"9eaf7b3b-fd52-4cb5-885b-7c60085378a7","type":"BasicTickFormatter"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"7e824e1c-da31-4fe6-bf69-c0aba8aa6b2f","subtype":"Figure","type":"Plot"},"ticker":{"id":"93577627-59c8-414c-8df8-6aa234e60ae1","type":"CategoricalTicker"}},"id":"2e68d09f-5711-4ca1-90ea-ae78ec272d50","type":"Grid"},{"attributes":{"callback":null,"start":0},"id":"eb9ca4ed-f29c-4d76-a299-cfa2f92466f0","type":"DataRange1d"},{"attributes":{"formatter":{"id":"4fd4aa4d-087a-4617-85e7-188ee7221e78","type":"CategoricalTickFormatter"},"major_label_orientation":1,"plot":{"id":"7e824e1c-da31-4fe6-bf69-c0aba8aa6b2f","subtype":"Figure","type":"Plot"},"ticker":{"id":"93577627-59c8-414c-8df8-6aa234e60ae1","type":"CategoricalTicker"}},"id":"9bdd69dd-9d02-4cbf-96d9-760ab1bd434e","type":"CategoricalAxis"}],"root_ids":["7e824e1c-da31-4fe6-bf69-c0aba8aa6b2f"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"777ff495-b224-4984-9b6f-bbe14d66d0dd","elementid":"f2718e4c-d307-4d6f-a892-be0d991279b4","modelid":"7e824e1c-da31-4fe6-bf69-c0aba8aa6b2f"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
