(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("439e222f-ea1b-40f5-b2fb-661554acd7b8");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '439e222f-ea1b-40f5-b2fb-661554acd7b8' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"83b23db7-ecec-4338-8150-0f157cb0ddab":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"843839f4-7412-4151-bc10-ac64258542c1","type":"PanTool"},{"id":"6cca3db0-824e-4c8d-be49-368c273329cd","type":"WheelZoomTool"},{"id":"d995323a-64be-4044-bb5e-561102c7b9d3","type":"BoxZoomTool"},{"id":"b5d0e967-4ba8-4eaa-b2cb-eced9ed672e0","type":"SaveTool"},{"id":"31f1b517-0dab-4f76-a7c1-7d8d750b8175","type":"ResetTool"},{"id":"e10a9bf4-d6bd-4df8-b798-4ed067decfda","type":"HelpTool"}]},"id":"9a348f22-08cf-441f-b943-255e23ff0f60","type":"Toolbar"},{"attributes":{"fill_alpha":{"value":0.2},"fill_color":{"value":"#1f77b4"},"line_color":{"value":"firebrick"},"line_dash":[6,3],"line_width":{"value":2},"size":{"units":"screen","value":60},"x":{"field":"x"},"y":{"field":"y"}},"id":"c1b3ab23-7615-45b1-971f-7abd45e44913","type":"Circle"},{"attributes":{},"id":"6cca3db0-824e-4c8d-be49-368c273329cd","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"2e43d24e-7576-40cd-a2c9-2cc21ecb508c","subtype":"Figure","type":"Plot"},"ticker":{"id":"635384ad-d451-4fb2-8ac7-b06bc6ba9500","type":"BasicTicker"}},"id":"21dbbb35-dd57-4e8b-92c1-2194df13666d","type":"Grid"},{"attributes":{},"id":"cc5d8b66-1d83-437f-b6e0-53f91fe197ad","type":"LinearScale"},{"attributes":{},"id":"e10a9bf4-d6bd-4df8-b798-4ed067decfda","type":"HelpTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"5da51ab3-e2be-4aba-a4ba-e840ed988ee0","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"f6732378-733a-4892-84c0-e49b23b3380f","type":"Circle"},{"attributes":{},"id":"b5d0e967-4ba8-4eaa-b2cb-eced9ed672e0","type":"SaveTool"},{"attributes":{"source":{"id":"5da51ab3-e2be-4aba-a4ba-e840ed988ee0","type":"ColumnDataSource"}},"id":"58ac28a9-9e4e-4855-b9ed-09d8c51c5fe6","type":"CDSView"},{"attributes":{"overlay":{"id":"cb0903b2-c88f-419d-b7d2-a32a2fb0332c","type":"BoxAnnotation"}},"id":"d995323a-64be-4044-bb5e-561102c7b9d3","type":"BoxZoomTool"},{"attributes":{},"id":"635384ad-d451-4fb2-8ac7-b06bc6ba9500","type":"BasicTicker"},{"attributes":{},"id":"4c4c640c-f234-4103-953c-1d5754d853ab","type":"BasicTicker"},{"attributes":{},"id":"8b557542-9d9d-41e7-b123-81cf5cd1ad9c","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"2e43d24e-7576-40cd-a2c9-2cc21ecb508c","subtype":"Figure","type":"Plot"},"ticker":{"id":"4c4c640c-f234-4103-953c-1d5754d853ab","type":"BasicTicker"}},"id":"6da85a66-4300-4f05-9b5d-5cce7ed8d77c","type":"Grid"},{"attributes":{"formatter":{"id":"8b557542-9d9d-41e7-b123-81cf5cd1ad9c","type":"BasicTickFormatter"},"plot":{"id":"2e43d24e-7576-40cd-a2c9-2cc21ecb508c","subtype":"Figure","type":"Plot"},"ticker":{"id":"635384ad-d451-4fb2-8ac7-b06bc6ba9500","type":"BasicTicker"}},"id":"8060c23c-1c4b-43e4-b3cf-8a70356407b6","type":"LinearAxis"},{"attributes":{"data_source":{"id":"5da51ab3-e2be-4aba-a4ba-e840ed988ee0","type":"ColumnDataSource"},"glyph":{"id":"c1b3ab23-7615-45b1-971f-7abd45e44913","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"f6732378-733a-4892-84c0-e49b23b3380f","type":"Circle"},"selection_glyph":null,"view":{"id":"58ac28a9-9e4e-4855-b9ed-09d8c51c5fe6","type":"CDSView"}},"id":"d951d208-52f6-4d89-8f20-90cc5b865ab5","type":"GlyphRenderer"},{"attributes":{},"id":"e288d65d-4217-4a0d-bdaa-c7902477f899","type":"LinearScale"},{"attributes":{},"id":"31f1b517-0dab-4f76-a7c1-7d8d750b8175","type":"ResetTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"cb0903b2-c88f-419d-b7d2-a32a2fb0332c","type":"BoxAnnotation"},{"attributes":{},"id":"843839f4-7412-4151-bc10-ac64258542c1","type":"PanTool"},{"attributes":{"plot":null,"text":""},"id":"f8e4d1ef-097b-4518-9dcc-442d446c7e7f","type":"Title"},{"attributes":{"callback":null},"id":"237c4585-7164-4242-9911-cfbe1e0faa07","type":"DataRange1d"},{"attributes":{"formatter":{"id":"72bc216d-5553-44c3-b003-78bc932290c3","type":"BasicTickFormatter"},"plot":{"id":"2e43d24e-7576-40cd-a2c9-2cc21ecb508c","subtype":"Figure","type":"Plot"},"ticker":{"id":"4c4c640c-f234-4103-953c-1d5754d853ab","type":"BasicTicker"}},"id":"dd62ba8d-6712-4c84-a9b4-2fe1a24ef3d6","type":"LinearAxis"},{"attributes":{"below":[{"id":"8060c23c-1c4b-43e4-b3cf-8a70356407b6","type":"LinearAxis"}],"left":[{"id":"dd62ba8d-6712-4c84-a9b4-2fe1a24ef3d6","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"8060c23c-1c4b-43e4-b3cf-8a70356407b6","type":"LinearAxis"},{"id":"21dbbb35-dd57-4e8b-92c1-2194df13666d","type":"Grid"},{"id":"dd62ba8d-6712-4c84-a9b4-2fe1a24ef3d6","type":"LinearAxis"},{"id":"6da85a66-4300-4f05-9b5d-5cce7ed8d77c","type":"Grid"},{"id":"cb0903b2-c88f-419d-b7d2-a32a2fb0332c","type":"BoxAnnotation"},{"id":"d951d208-52f6-4d89-8f20-90cc5b865ab5","type":"GlyphRenderer"}],"title":{"id":"f8e4d1ef-097b-4518-9dcc-442d446c7e7f","type":"Title"},"toolbar":{"id":"9a348f22-08cf-441f-b943-255e23ff0f60","type":"Toolbar"},"x_range":{"id":"83903808-cd6f-4d1e-bade-b4f1b16a3eb2","type":"DataRange1d"},"x_scale":{"id":"cc5d8b66-1d83-437f-b6e0-53f91fe197ad","type":"LinearScale"},"y_range":{"id":"237c4585-7164-4242-9911-cfbe1e0faa07","type":"DataRange1d"},"y_scale":{"id":"e288d65d-4217-4a0d-bdaa-c7902477f899","type":"LinearScale"}},"id":"2e43d24e-7576-40cd-a2c9-2cc21ecb508c","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"72bc216d-5553-44c3-b003-78bc932290c3","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"83903808-cd6f-4d1e-bade-b4f1b16a3eb2","type":"DataRange1d"}],"root_ids":["2e43d24e-7576-40cd-a2c9-2cc21ecb508c"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"83b23db7-ecec-4338-8150-0f157cb0ddab","elementid":"439e222f-ea1b-40f5-b2fb-661554acd7b8","modelid":"2e43d24e-7576-40cd-a2c9-2cc21ecb508c"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
