(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("1549a73b-09a6-42d0-bf45-d97cccba3dea");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '1549a73b-09a6-42d0-bf45-d97cccba3dea' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"480a83c5-5f59-4bb6-a9bb-bc1e2d92acab":{"roots":{"references":[{"attributes":{"below":[{"id":"55eb683f-acc1-4fb0-b4c5-6ec8c28d96e0","type":"LinearAxis"}],"left":[{"id":"76e622de-84d7-4005-8b21-d317a46047b4","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"55eb683f-acc1-4fb0-b4c5-6ec8c28d96e0","type":"LinearAxis"},{"id":"70cf0877-ff77-4db8-8640-1470bcb16c16","type":"Grid"},{"id":"76e622de-84d7-4005-8b21-d317a46047b4","type":"LinearAxis"},{"id":"f3e38d5f-3456-4f33-9b6c-f1245eb56beb","type":"Grid"},{"id":"8009d4ca-2f4e-4b7a-9b74-cfa26acc448d","type":"BoxAnnotation"},{"id":"f7a769ee-cd6c-49e9-98c0-b227a78ccf1a","type":"GlyphRenderer"}],"title":{"id":"786119c3-5442-4713-b98a-4b8e4bc67e59","type":"Title"},"toolbar":{"id":"afd64c20-bea4-44d0-b391-2ab06d616f1e","type":"Toolbar"},"x_range":{"id":"c7ca8163-26fd-4781-b6f0-2917a8f22055","type":"DataRange1d"},"x_scale":{"id":"261885a7-8348-4e24-9210-0e8ef3bfd20f","type":"LinearScale"},"y_range":{"id":"1f18715d-a977-43fc-88aa-0c45ebcec59c","type":"DataRange1d"},"y_scale":{"id":"8c1dd8ba-f55e-4ae0-bfc0-283bc862be24","type":"LinearScale"}},"id":"a5c0093f-a5cb-4ea3-b8bf-71bc0661850b","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"8c1dd8ba-f55e-4ae0-bfc0-283bc862be24","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"7bf8673e-b412-463d-96ef-d9c8dd5a188b","type":"Circle"},{"attributes":{},"id":"9cfc1af9-78c9-4d40-87bc-005a4054ebe4","type":"HelpTool"},{"attributes":{},"id":"93ce1223-3450-4adf-b7f3-023fd168c12a","type":"PanTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"8009d4ca-2f4e-4b7a-9b74-cfa26acc448d","type":"BoxAnnotation"},{"attributes":{},"id":"75db4eb8-3d86-4271-8a34-3810da880750","type":"SaveTool"},{"attributes":{},"id":"e7c1b2fd-c84b-480d-ae6d-69a123ec43d8","type":"WheelZoomTool"},{"attributes":{"callback":null},"id":"c7ca8163-26fd-4781-b6f0-2917a8f22055","type":"DataRange1d"},{"attributes":{},"id":"531dbeea-d5d7-4caa-87bd-73ba54ce1aa1","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"786119c3-5442-4713-b98a-4b8e4bc67e59","type":"Title"},{"attributes":{"formatter":{"id":"b0580924-0f1c-41bb-b484-8ab9b33db6fe","type":"BasicTickFormatter"},"plot":{"id":"a5c0093f-a5cb-4ea3-b8bf-71bc0661850b","subtype":"Figure","type":"Plot"},"ticker":{"id":"0c217d5a-e0af-48f0-bba1-2e243c55146f","type":"BasicTicker"}},"id":"76e622de-84d7-4005-8b21-d317a46047b4","type":"LinearAxis"},{"attributes":{},"id":"b0580924-0f1c-41bb-b484-8ab9b33db6fe","type":"BasicTickFormatter"},{"attributes":{},"id":"261885a7-8348-4e24-9210-0e8ef3bfd20f","type":"LinearScale"},{"attributes":{},"id":"2eb94e78-79be-43e8-aa2e-0457d5ac79c6","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"8009d4ca-2f4e-4b7a-9b74-cfa26acc448d","type":"BoxAnnotation"}},"id":"a755635e-60e8-4309-8c21-fcd402f87242","type":"BoxZoomTool"},{"attributes":{"source":{"id":"126a2a0f-22b0-48ca-9a7a-ad4aefca015f","type":"ColumnDataSource"}},"id":"59e0c7aa-6458-45af-9b9d-2f21c782d93a","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"navy"},"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"4dd87a80-925f-4bd1-adc8-e50b1f84626a","type":"Circle"},{"attributes":{},"id":"4a8e3883-7cb1-4c18-94b7-fbdfe9fa939c","type":"ResetTool"},{"attributes":{},"id":"0c217d5a-e0af-48f0-bba1-2e243c55146f","type":"BasicTicker"},{"attributes":{"formatter":{"id":"2eb94e78-79be-43e8-aa2e-0457d5ac79c6","type":"BasicTickFormatter"},"plot":{"id":"a5c0093f-a5cb-4ea3-b8bf-71bc0661850b","subtype":"Figure","type":"Plot"},"ticker":{"id":"531dbeea-d5d7-4caa-87bd-73ba54ce1aa1","type":"BasicTicker"}},"id":"55eb683f-acc1-4fb0-b4c5-6ec8c28d96e0","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"126a2a0f-22b0-48ca-9a7a-ad4aefca015f","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"126a2a0f-22b0-48ca-9a7a-ad4aefca015f","type":"ColumnDataSource"},"glyph":{"id":"4dd87a80-925f-4bd1-adc8-e50b1f84626a","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7bf8673e-b412-463d-96ef-d9c8dd5a188b","type":"Circle"},"selection_glyph":null,"view":{"id":"59e0c7aa-6458-45af-9b9d-2f21c782d93a","type":"CDSView"}},"id":"f7a769ee-cd6c-49e9-98c0-b227a78ccf1a","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"1f18715d-a977-43fc-88aa-0c45ebcec59c","type":"DataRange1d"},{"attributes":{"plot":{"id":"a5c0093f-a5cb-4ea3-b8bf-71bc0661850b","subtype":"Figure","type":"Plot"},"ticker":{"id":"531dbeea-d5d7-4caa-87bd-73ba54ce1aa1","type":"BasicTicker"}},"id":"70cf0877-ff77-4db8-8640-1470bcb16c16","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"93ce1223-3450-4adf-b7f3-023fd168c12a","type":"PanTool"},{"id":"e7c1b2fd-c84b-480d-ae6d-69a123ec43d8","type":"WheelZoomTool"},{"id":"a755635e-60e8-4309-8c21-fcd402f87242","type":"BoxZoomTool"},{"id":"75db4eb8-3d86-4271-8a34-3810da880750","type":"SaveTool"},{"id":"4a8e3883-7cb1-4c18-94b7-fbdfe9fa939c","type":"ResetTool"},{"id":"9cfc1af9-78c9-4d40-87bc-005a4054ebe4","type":"HelpTool"}]},"id":"afd64c20-bea4-44d0-b391-2ab06d616f1e","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"a5c0093f-a5cb-4ea3-b8bf-71bc0661850b","subtype":"Figure","type":"Plot"},"ticker":{"id":"0c217d5a-e0af-48f0-bba1-2e243c55146f","type":"BasicTicker"}},"id":"f3e38d5f-3456-4f33-9b6c-f1245eb56beb","type":"Grid"}],"root_ids":["a5c0093f-a5cb-4ea3-b8bf-71bc0661850b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"480a83c5-5f59-4bb6-a9bb-bc1e2d92acab","elementid":"1549a73b-09a6-42d0-bf45-d97cccba3dea","modelid":"a5c0093f-a5cb-4ea3-b8bf-71bc0661850b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
