(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("05dc73cc-b922-4802-9f65-1afaf38cdd60");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '05dc73cc-b922-4802-9f65-1afaf38cdd60' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"68bac8d9-3e64-43d7-a347-de8283ef771a":{"roots":{"references":[{"attributes":{},"id":"d5254561-311b-4d2b-801d-a15f999d889f","type":"LinearScale"},{"attributes":{"data_source":{"id":"92bfe034-e033-4170-a37f-9034abb1cbbd","type":"ColumnDataSource"},"glyph":{"id":"73c33fd1-d0c2-45c2-965b-4c724b9e812c","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b29724de-daa9-41f0-bcbd-1ecbb6a78ce9","type":"Circle"},"selection_glyph":null,"view":{"id":"9216dbfd-4f84-4839-987a-294a33293f29","type":"CDSView"}},"id":"93462205-1470-47db-882f-c6a65b11f92c","type":"GlyphRenderer"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"795a6518-1697-4268-a55b-196a2c663a6f","type":"BoxAnnotation"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"b29724de-daa9-41f0-bcbd-1ecbb6a78ce9","type":"Circle"},{"attributes":{"dimension":1,"minor_grid_line_alpha":{"value":0.1},"minor_grid_line_color":{"value":"navy"},"plot":{"id":"aa29ee37-4248-4e41-b2b1-7a9cacc82ca6","subtype":"Figure","type":"Plot"},"ticker":{"id":"752fab6a-88e3-4f5c-9b73-17ffcd3e7c3c","type":"BasicTicker"}},"id":"39663989-eb5d-4199-bd2b-51bd1ae5e00e","type":"Grid"},{"attributes":{},"id":"2e8db0d3-3d33-4540-ac86-c1f2fa4b415b","type":"PanTool"},{"attributes":{},"id":"9f73e088-015d-4ee6-968d-b6d8c422d501","type":"SaveTool"},{"attributes":{},"id":"042f11ab-d455-4ac6-bf0b-27bef322ac2e","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"2e8db0d3-3d33-4540-ac86-c1f2fa4b415b","type":"PanTool"},{"id":"6bf4141a-64f6-4cf5-839b-02ef1c1209af","type":"WheelZoomTool"},{"id":"f30420a6-0588-4365-b8f0-b7be5393c16c","type":"BoxZoomTool"},{"id":"9f73e088-015d-4ee6-968d-b6d8c422d501","type":"SaveTool"},{"id":"09b3a54e-65f2-4a07-a1b4-a903fb3f6bd4","type":"ResetTool"},{"id":"624d09d6-7c65-4406-ac78-5be5f835dda8","type":"HelpTool"}]},"id":"a4a87e57-b358-4295-a8cb-82103db1fb82","type":"Toolbar"},{"attributes":{},"id":"bc405ddb-dec1-4dc0-8504-ef47f48bdb4f","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"4cc6fcc9-7608-462c-a127-8877221dd049","type":"Title"},{"attributes":{},"id":"624d09d6-7c65-4406-ac78-5be5f835dda8","type":"HelpTool"},{"attributes":{},"id":"9264a2ff-b931-4e6a-9f3f-34662e2699e3","type":"BasicTicker"},{"attributes":{},"id":"09b3a54e-65f2-4a07-a1b4-a903fb3f6bd4","type":"ResetTool"},{"attributes":{},"id":"752fab6a-88e3-4f5c-9b73-17ffcd3e7c3c","type":"BasicTicker"},{"attributes":{},"id":"9cf5db5e-f8c6-4b52-bb5c-38ee6cd984cd","type":"LinearScale"},{"attributes":{"below":[{"id":"f619ddd2-e1c8-4d98-b58b-7db11d5aa2d7","type":"LinearAxis"}],"left":[{"id":"4a266b86-81f3-4b9c-8235-58b0e8fbd99e","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"f619ddd2-e1c8-4d98-b58b-7db11d5aa2d7","type":"LinearAxis"},{"id":"7ee9e9c8-6136-4a11-915b-c90bc2bd63a2","type":"Grid"},{"id":"4a266b86-81f3-4b9c-8235-58b0e8fbd99e","type":"LinearAxis"},{"id":"39663989-eb5d-4199-bd2b-51bd1ae5e00e","type":"Grid"},{"id":"795a6518-1697-4268-a55b-196a2c663a6f","type":"BoxAnnotation"},{"id":"93462205-1470-47db-882f-c6a65b11f92c","type":"GlyphRenderer"}],"title":{"id":"4cc6fcc9-7608-462c-a127-8877221dd049","type":"Title"},"toolbar":{"id":"a4a87e57-b358-4295-a8cb-82103db1fb82","type":"Toolbar"},"x_range":{"id":"dfa1019b-5278-493c-add8-98634120b74d","type":"DataRange1d"},"x_scale":{"id":"d5254561-311b-4d2b-801d-a15f999d889f","type":"LinearScale"},"y_range":{"id":"b080a208-cf5d-4aac-bc12-13b04b1fd822","type":"DataRange1d"},"y_scale":{"id":"9cf5db5e-f8c6-4b52-bb5c-38ee6cd984cd","type":"LinearScale"}},"id":"aa29ee37-4248-4e41-b2b1-7a9cacc82ca6","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"bc405ddb-dec1-4dc0-8504-ef47f48bdb4f","type":"BasicTickFormatter"},"plot":{"id":"aa29ee37-4248-4e41-b2b1-7a9cacc82ca6","subtype":"Figure","type":"Plot"},"ticker":{"id":"9264a2ff-b931-4e6a-9f3f-34662e2699e3","type":"BasicTicker"}},"id":"f619ddd2-e1c8-4d98-b58b-7db11d5aa2d7","type":"LinearAxis"},{"attributes":{"plot":{"id":"aa29ee37-4248-4e41-b2b1-7a9cacc82ca6","subtype":"Figure","type":"Plot"},"ticker":{"id":"9264a2ff-b931-4e6a-9f3f-34662e2699e3","type":"BasicTicker"}},"id":"7ee9e9c8-6136-4a11-915b-c90bc2bd63a2","type":"Grid"},{"attributes":{"overlay":{"id":"795a6518-1697-4268-a55b-196a2c663a6f","type":"BoxAnnotation"}},"id":"f30420a6-0588-4365-b8f0-b7be5393c16c","type":"BoxZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"92bfe034-e033-4170-a37f-9034abb1cbbd","type":"ColumnDataSource"},{"attributes":{"source":{"id":"92bfe034-e033-4170-a37f-9034abb1cbbd","type":"ColumnDataSource"}},"id":"9216dbfd-4f84-4839-987a-294a33293f29","type":"CDSView"},{"attributes":{},"id":"6bf4141a-64f6-4cf5-839b-02ef1c1209af","type":"WheelZoomTool"},{"attributes":{"callback":null},"id":"dfa1019b-5278-493c-add8-98634120b74d","type":"DataRange1d"},{"attributes":{"callback":null},"id":"b080a208-cf5d-4aac-bc12-13b04b1fd822","type":"DataRange1d"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"73c33fd1-d0c2-45c2-965b-4c724b9e812c","type":"Circle"},{"attributes":{"formatter":{"id":"042f11ab-d455-4ac6-bf0b-27bef322ac2e","type":"BasicTickFormatter"},"plot":{"id":"aa29ee37-4248-4e41-b2b1-7a9cacc82ca6","subtype":"Figure","type":"Plot"},"ticker":{"id":"752fab6a-88e3-4f5c-9b73-17ffcd3e7c3c","type":"BasicTicker"}},"id":"4a266b86-81f3-4b9c-8235-58b0e8fbd99e","type":"LinearAxis"}],"root_ids":["aa29ee37-4248-4e41-b2b1-7a9cacc82ca6"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"68bac8d9-3e64-43d7-a347-de8283ef771a","elementid":"05dc73cc-b922-4802-9f65-1afaf38cdd60","modelid":"aa29ee37-4248-4e41-b2b1-7a9cacc82ca6"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
