(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("6b8302bc-b97a-4c01-9a73-e563d75ee6dc");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '6b8302bc-b97a-4c01-9a73-e563d75ee6dc' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"f5985331-e154-400b-a909-d0656219eb89":{"roots":{"references":[{"attributes":{"data_source":{"id":"e2cd716b-7b85-49fa-afeb-a262b72f8e2e","type":"ColumnDataSource"},"glyph":{"id":"a40cf284-4e3a-4591-990a-aeac959a9db6","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"dcb1eb6f-dacb-41b6-9ea5-944d360ac4c4","type":"HBar"},"selection_glyph":null,"view":{"id":"04e9793b-71bd-4084-a658-d299998159da","type":"CDSView"}},"id":"6ce6e320-fade-43b8-aea0-748e1c13e31a","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[-1,0,-1,-3,-2,-1],"2016":[-2,-1,-3,-1,-2,-2],"2017":[-1,-2,-1,0,-2,-2],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"8ab13120-7b04-4866-b18a-3bda578b2974","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"8ab13120-7b04-4866-b18a-3bda578b2974","type":"ColumnDataSource"},"glyph":{"id":"43f90938-a65f-47d5-b057-725b9ed19562","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"fcb96c61-bad0-46bb-8b6a-1202428a6bb0","type":"HBar"},"selection_glyph":null,"view":{"id":"71b1c66b-22e0-4ebf-babd-e688e9b9844d","type":"CDSView"}},"id":"f2985873-c0c0-4245-b3c0-ef066f97f4b4","type":"GlyphRenderer"},{"attributes":{"source":{"id":"8ab13120-7b04-4866-b18a-3bda578b2974","type":"ColumnDataSource"}},"id":"71b1c66b-22e0-4ebf-babd-e688e9b9844d","type":"CDSView"},{"attributes":{},"id":"2e74454a-481a-4b0e-942e-fd1b691dc2f5","type":"BasicTicker"},{"attributes":{"overlay":{"id":"a9ec01c0-7c2e-45d2-9897-3c7cc6d7e9af","type":"BoxAnnotation"}},"id":"a622c85e-cbb0-4866-b813-11831441a58e","type":"BoxZoomTool"},{"attributes":{"data_source":{"id":"8ab13120-7b04-4866-b18a-3bda578b2974","type":"ColumnDataSource"},"glyph":{"id":"839f312f-d547-44ad-baaa-9724fb9933df","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7e8f5f0c-d231-40b1-bd6f-9abc9166e168","type":"HBar"},"selection_glyph":null,"view":{"id":"a55ea186-6dd6-4263-987c-68a4e55401f6","type":"CDSView"}},"id":"f0ad42cf-1fe9-4df2-8be5-db8fde22ca8b","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"e2cd716b-7b85-49fa-afeb-a262b72f8e2e","type":"ColumnDataSource"},"glyph":{"id":"3f686280-df04-4daf-8b12-432769154f29","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e2ef7b15-0cc6-47ae-a3e5-de30c3429d66","type":"HBar"},"selection_glyph":null,"view":{"id":"731cf6d6-08f7-4e95-8308-27e68bce7cb3","type":"CDSView"}},"id":"6740a1a6-014a-46fc-8dc3-7d818e1aeeb7","type":"GlyphRenderer"},{"attributes":{},"id":"3240a811-b3c9-400c-85fb-ac79bf23e6c7","type":"CategoricalTicker"},{"attributes":{"fill_color":{"value":"#e34a33"},"height":{"value":0.9},"left":{"expr":{"id":"c3c25975-1960-4bc3-b57c-c00462e4757d","type":"Stack"}},"line_color":{"value":"#e34a33"},"right":{"expr":{"id":"e74c87e4-c1be-401e-947f-94e0b6b5af96","type":"Stack"}},"y":{"field":"fruits"}},"id":"43f90938-a65f-47d5-b057-725b9ed19562","type":"HBar"},{"attributes":{"source":{"id":"e2cd716b-7b85-49fa-afeb-a262b72f8e2e","type":"ColumnDataSource"}},"id":"731cf6d6-08f7-4e95-8308-27e68bce7cb3","type":"CDSView"},{"attributes":{"label":{"value":"2015 exports"},"renderers":[{"id":"59665e4e-bb75-4da8-8eec-f2daf9415342","type":"GlyphRenderer"}]},"id":"0c67037b-943e-4f1a-a0cb-d64a7a48f858","type":"LegendItem"},{"attributes":{},"id":"d185ed5e-6b6e-490e-b8d4-c12d5a8f072e","type":"HelpTool"},{"attributes":{"fields":["2015","2016","2017"]},"id":"7eb3c44b-cb92-4546-ba11-dfc685d350b6","type":"Stack"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"11884d85-31ce-4e40-ae3a-40357c1f4cea","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"6c058d10-d5b8-4491-bd37-2f2b32576c18","type":"Stack"}},"y":{"field":"fruits"}},"id":"7e8f5f0c-d231-40b1-bd6f-9abc9166e168","type":"HBar"},{"attributes":{"fill_color":{"value":"#fdbb84"},"height":{"value":0.9},"left":{"expr":{"id":"2b062c72-fda3-4ee9-871e-db2510ac7211","type":"Stack"}},"line_color":{"value":"#fdbb84"},"right":{"expr":{"id":"6e6067c4-b0dd-4c0d-b9a8-0425aec2c44a","type":"Stack"}},"y":{"field":"fruits"}},"id":"f4045e5f-aa4c-4c85-abc4-d0e90e4216c6","type":"HBar"},{"attributes":{},"id":"9e378a35-3cc7-4c6c-bd9a-f66e77311d94","type":"PanTool"},{"attributes":{"fields":["2015","2016","2017"]},"id":"6c058d10-d5b8-4491-bd37-2f2b32576c18","type":"Stack"},{"attributes":{"fields":["2015","2016"]},"id":"2d91a518-8a9f-4bb9-8ba0-518787ab9331","type":"Stack"},{"attributes":{"data_source":{"id":"8ab13120-7b04-4866-b18a-3bda578b2974","type":"ColumnDataSource"},"glyph":{"id":"f4045e5f-aa4c-4c85-abc4-d0e90e4216c6","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"51ddea84-39dd-4c8e-9385-4a0f99b533fd","type":"HBar"},"selection_glyph":null,"view":{"id":"9ce4e136-3246-4721-b77c-fcee72373331","type":"CDSView"}},"id":"04c3797b-89ff-410a-9284-4608e08eb454","type":"GlyphRenderer"},{"attributes":{"fields":["2015"]},"id":"e74c87e4-c1be-401e-947f-94e0b6b5af96","type":"Stack"},{"attributes":{"data_source":{"id":"e2cd716b-7b85-49fa-afeb-a262b72f8e2e","type":"ColumnDataSource"},"glyph":{"id":"73e798a9-57b7-4c7b-956c-b4c29646bd18","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"83ac6eb7-aa41-4047-a2dc-824b52feea10","type":"HBar"},"selection_glyph":null,"view":{"id":"88f43623-fe45-4466-bd7e-e4ebd6a82087","type":"CDSView"}},"id":"59665e4e-bb75-4da8-8eec-f2daf9415342","type":"GlyphRenderer"},{"attributes":{"fill_color":{"value":"#e0f3db"},"height":{"value":0.9},"left":{"expr":{"id":"2d91a518-8a9f-4bb9-8ba0-518787ab9331","type":"Stack"}},"line_color":{"value":"#e0f3db"},"right":{"expr":{"id":"7eb3c44b-cb92-4546-ba11-dfc685d350b6","type":"Stack"}},"y":{"field":"fruits"}},"id":"3f686280-df04-4daf-8b12-432769154f29","type":"HBar"},{"attributes":{"source":{"id":"8ab13120-7b04-4866-b18a-3bda578b2974","type":"ColumnDataSource"}},"id":"9ce4e136-3246-4721-b77c-fcee72373331","type":"CDSView"},{"attributes":{"label":{"value":"2016 exports"},"renderers":[{"id":"6ce6e320-fade-43b8-aea0-748e1c13e31a","type":"GlyphRenderer"}]},"id":"26a35463-5017-494e-a9fa-86d71c0e468c","type":"LegendItem"},{"attributes":{},"id":"b424104d-cf66-4936-818c-2d0c20113057","type":"CategoricalScale"},{"attributes":{"label":{"value":"2017 imports"},"renderers":[{"id":"f0ad42cf-1fe9-4df2-8be5-db8fde22ca8b","type":"GlyphRenderer"}]},"id":"df2f2980-5179-4242-94e4-6f542fb8760f","type":"LegendItem"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"range_padding":0.1},"id":"2eb2912e-b961-4feb-885c-69ffb90e0021","type":"FactorRange"},{"attributes":{"formatter":{"id":"79943d3b-749c-4045-b105-d26bedf5890d","type":"BasicTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"85097a6b-1979-4e6c-a9d7-8e933ca293f4","subtype":"Figure","type":"Plot"},"ticker":{"id":"2e74454a-481a-4b0e-942e-fd1b691dc2f5","type":"BasicTicker"}},"id":"ea3f830a-afab-4799-8095-38fd146acdd6","type":"LinearAxis"},{"attributes":{"formatter":{"id":"fd62fe09-c460-443c-8b2f-9e3e1093f3a7","type":"CategoricalTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"85097a6b-1979-4e6c-a9d7-8e933ca293f4","subtype":"Figure","type":"Plot"},"ticker":{"id":"3240a811-b3c9-400c-85fb-ac79bf23e6c7","type":"CategoricalTicker"}},"id":"7e5d7d4b-ed0f-4c20-8b8c-4001ce9798c4","type":"CategoricalAxis"},{"attributes":{"fields":["2015"]},"id":"75eaba2b-7515-4155-966c-c62eb630d95c","type":"Stack"},{"attributes":{"plot":null,"text":"Fruit import/export, by year"},"id":"52fdc3b8-6cdf-4589-b55a-9625a9502afe","type":"Title"},{"attributes":{"source":{"id":"e2cd716b-7b85-49fa-afeb-a262b72f8e2e","type":"ColumnDataSource"}},"id":"88f43623-fe45-4466-bd7e-e4ebd6a82087","type":"CDSView"},{"attributes":{"callback":null,"end":16,"start":-16},"id":"e676827d-4cb9-4712-a5fa-4200fc50f827","type":"Range1d"},{"attributes":{},"id":"fd62fe09-c460-443c-8b2f-9e3e1093f3a7","type":"CategoricalTickFormatter"},{"attributes":{},"id":"79943d3b-749c-4045-b105-d26bedf5890d","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"a78f22d4-73f7-4188-adcf-b64963cc0b17","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"a06ff9f5-3f1f-452b-8ee6-ac674ef65287","type":"Stack"}},"y":{"field":"fruits"}},"id":"dcb1eb6f-dacb-41b6-9ea5-944d360ac4c4","type":"HBar"},{"attributes":{"fill_color":{"value":"#a8ddb5"},"height":{"value":0.9},"left":{"expr":{"id":"a78f22d4-73f7-4188-adcf-b64963cc0b17","type":"Stack"}},"line_color":{"value":"#a8ddb5"},"right":{"expr":{"id":"a06ff9f5-3f1f-452b-8ee6-ac674ef65287","type":"Stack"}},"y":{"field":"fruits"}},"id":"a40cf284-4e3a-4591-990a-aeac959a9db6","type":"HBar"},{"attributes":{"fields":["2015","2016"]},"id":"6e6067c4-b0dd-4c0d-b9a8-0425aec2c44a","type":"Stack"},{"attributes":{"fields":["2015"]},"id":"2b062c72-fda3-4ee9-871e-db2510ac7211","type":"Stack"},{"attributes":{"fields":["2015"]},"id":"a78f22d4-73f7-4188-adcf-b64963cc0b17","type":"Stack"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"9e378a35-3cc7-4c6c-bd9a-f66e77311d94","type":"PanTool"},{"id":"bb0f3e0e-f57f-4aca-8719-edcac7860aa6","type":"WheelZoomTool"},{"id":"a622c85e-cbb0-4866-b813-11831441a58e","type":"BoxZoomTool"},{"id":"e0a7630e-b975-4b9a-b0d5-4c44b6e13272","type":"SaveTool"},{"id":"1365f497-374a-402f-95c3-216811d25ab3","type":"ResetTool"},{"id":"d185ed5e-6b6e-490e-b8d4-c12d5a8f072e","type":"HelpTool"}]},"id":"36d3a749-5c84-4481-8c88-153aa8380a3b","type":"Toolbar"},{"attributes":{},"id":"6e61da07-6beb-4a60-a3a3-7d86bce6bc12","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[2,1,4,3,2,4],"2016":[5,3,4,2,4,6],"2017":[3,2,4,4,5,3],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"e2cd716b-7b85-49fa-afeb-a262b72f8e2e","type":"ColumnDataSource"},{"attributes":{"dimension":1,"grid_line_color":{"value":null},"plot":{"id":"85097a6b-1979-4e6c-a9d7-8e933ca293f4","subtype":"Figure","type":"Plot"},"ticker":{"id":"3240a811-b3c9-400c-85fb-ac79bf23e6c7","type":"CategoricalTicker"}},"id":"731a23bf-5737-4e1b-8261-63b79ec7b2b9","type":"Grid"},{"attributes":{"label":{"value":"2017 exports"},"renderers":[{"id":"6740a1a6-014a-46fc-8dc3-7d818e1aeeb7","type":"GlyphRenderer"}]},"id":"671bb50e-ef99-4193-afa5-efbc474c44ad","type":"LegendItem"},{"attributes":{"source":{"id":"e2cd716b-7b85-49fa-afeb-a262b72f8e2e","type":"ColumnDataSource"}},"id":"04e9793b-71bd-4084-a658-d299998159da","type":"CDSView"},{"attributes":{"fields":["2015","2016"]},"id":"a06ff9f5-3f1f-452b-8ee6-ac674ef65287","type":"Stack"},{"attributes":{"label":{"value":"2016 imports"},"renderers":[{"id":"04c3797b-89ff-410a-9284-4608e08eb454","type":"GlyphRenderer"}]},"id":"81a06624-75b5-459f-9b75-6a49ef2bfe3b","type":"LegendItem"},{"attributes":{"below":[{"id":"ea3f830a-afab-4799-8095-38fd146acdd6","type":"LinearAxis"}],"left":[{"id":"7e5d7d4b-ed0f-4c20-8b8c-4001ce9798c4","type":"CategoricalAxis"}],"outline_line_color":{"value":null},"plot_height":350,"renderers":[{"id":"ea3f830a-afab-4799-8095-38fd146acdd6","type":"LinearAxis"},{"id":"b85b7c92-1e35-4434-9ddb-02d6dbc7c0a3","type":"Grid"},{"id":"7e5d7d4b-ed0f-4c20-8b8c-4001ce9798c4","type":"CategoricalAxis"},{"id":"731a23bf-5737-4e1b-8261-63b79ec7b2b9","type":"Grid"},{"id":"a9ec01c0-7c2e-45d2-9897-3c7cc6d7e9af","type":"BoxAnnotation"},{"id":"870f381b-2aaf-46cd-9859-f568f30d9817","type":"Legend"},{"id":"59665e4e-bb75-4da8-8eec-f2daf9415342","type":"GlyphRenderer"},{"id":"6ce6e320-fade-43b8-aea0-748e1c13e31a","type":"GlyphRenderer"},{"id":"6740a1a6-014a-46fc-8dc3-7d818e1aeeb7","type":"GlyphRenderer"},{"id":"f2985873-c0c0-4245-b3c0-ef066f97f4b4","type":"GlyphRenderer"},{"id":"04c3797b-89ff-410a-9284-4608e08eb454","type":"GlyphRenderer"},{"id":"f0ad42cf-1fe9-4df2-8be5-db8fde22ca8b","type":"GlyphRenderer"}],"title":{"id":"52fdc3b8-6cdf-4589-b55a-9625a9502afe","type":"Title"},"toolbar":{"id":"36d3a749-5c84-4481-8c88-153aa8380a3b","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"e676827d-4cb9-4712-a5fa-4200fc50f827","type":"Range1d"},"x_scale":{"id":"6e61da07-6beb-4a60-a3a3-7d86bce6bc12","type":"LinearScale"},"y_range":{"id":"2eb2912e-b961-4feb-885c-69ffb90e0021","type":"FactorRange"},"y_scale":{"id":"b424104d-cf66-4936-818c-2d0c20113057","type":"CategoricalScale"}},"id":"85097a6b-1979-4e6c-a9d7-8e933ca293f4","subtype":"Figure","type":"Plot"},{"attributes":{"fields":[]},"id":"c3c25975-1960-4bc3-b57c-c00462e4757d","type":"Stack"},{"attributes":{},"id":"e0a7630e-b975-4b9a-b0d5-4c44b6e13272","type":"SaveTool"},{"attributes":{"label":{"value":"2015 imports"},"renderers":[{"id":"f2985873-c0c0-4245-b3c0-ef066f97f4b4","type":"GlyphRenderer"}]},"id":"97d649d1-e952-4cf7-91db-e3fd4eaf8ea0","type":"LegendItem"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"2d91a518-8a9f-4bb9-8ba0-518787ab9331","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"7eb3c44b-cb92-4546-ba11-dfc685d350b6","type":"Stack"}},"y":{"field":"fruits"}},"id":"e2ef7b15-0cc6-47ae-a3e5-de30c3429d66","type":"HBar"},{"attributes":{"fill_color":{"value":"#fee8c8"},"height":{"value":0.9},"left":{"expr":{"id":"11884d85-31ce-4e40-ae3a-40357c1f4cea","type":"Stack"}},"line_color":{"value":"#fee8c8"},"right":{"expr":{"id":"6c058d10-d5b8-4491-bd37-2f2b32576c18","type":"Stack"}},"y":{"field":"fruits"}},"id":"839f312f-d547-44ad-baaa-9724fb9933df","type":"HBar"},{"attributes":{"fields":["2015","2016"]},"id":"11884d85-31ce-4e40-ae3a-40357c1f4cea","type":"Stack"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"a9ec01c0-7c2e-45d2-9897-3c7cc6d7e9af","type":"BoxAnnotation"},{"attributes":{"plot":{"id":"85097a6b-1979-4e6c-a9d7-8e933ca293f4","subtype":"Figure","type":"Plot"},"ticker":{"id":"2e74454a-481a-4b0e-942e-fd1b691dc2f5","type":"BasicTicker"}},"id":"b85b7c92-1e35-4434-9ddb-02d6dbc7c0a3","type":"Grid"},{"attributes":{"items":[{"id":"0c67037b-943e-4f1a-a0cb-d64a7a48f858","type":"LegendItem"},{"id":"26a35463-5017-494e-a9fa-86d71c0e468c","type":"LegendItem"},{"id":"671bb50e-ef99-4193-afa5-efbc474c44ad","type":"LegendItem"},{"id":"97d649d1-e952-4cf7-91db-e3fd4eaf8ea0","type":"LegendItem"},{"id":"81a06624-75b5-459f-9b75-6a49ef2bfe3b","type":"LegendItem"},{"id":"df2f2980-5179-4242-94e4-6f542fb8760f","type":"LegendItem"}],"location":"top_left","plot":{"id":"85097a6b-1979-4e6c-a9d7-8e933ca293f4","subtype":"Figure","type":"Plot"}},"id":"870f381b-2aaf-46cd-9859-f568f30d9817","type":"Legend"},{"attributes":{"fill_color":{"value":"#43a2ca"},"height":{"value":0.9},"left":{"expr":{"id":"8289c3a7-c30c-4ae0-a765-3a1af275d14e","type":"Stack"}},"line_color":{"value":"#43a2ca"},"right":{"expr":{"id":"75eaba2b-7515-4155-966c-c62eb630d95c","type":"Stack"}},"y":{"field":"fruits"}},"id":"73e798a9-57b7-4c7b-956c-b4c29646bd18","type":"HBar"},{"attributes":{"source":{"id":"8ab13120-7b04-4866-b18a-3bda578b2974","type":"ColumnDataSource"}},"id":"a55ea186-6dd6-4263-987c-68a4e55401f6","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"c3c25975-1960-4bc3-b57c-c00462e4757d","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"e74c87e4-c1be-401e-947f-94e0b6b5af96","type":"Stack"}},"y":{"field":"fruits"}},"id":"fcb96c61-bad0-46bb-8b6a-1202428a6bb0","type":"HBar"},{"attributes":{},"id":"1365f497-374a-402f-95c3-216811d25ab3","type":"ResetTool"},{"attributes":{"fields":[]},"id":"8289c3a7-c30c-4ae0-a765-3a1af275d14e","type":"Stack"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"8289c3a7-c30c-4ae0-a765-3a1af275d14e","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"75eaba2b-7515-4155-966c-c62eb630d95c","type":"Stack"}},"y":{"field":"fruits"}},"id":"83ac6eb7-aa41-4047-a2dc-824b52feea10","type":"HBar"},{"attributes":{},"id":"bb0f3e0e-f57f-4aca-8719-edcac7860aa6","type":"WheelZoomTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"2b062c72-fda3-4ee9-871e-db2510ac7211","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"6e6067c4-b0dd-4c0d-b9a8-0425aec2c44a","type":"Stack"}},"y":{"field":"fruits"}},"id":"51ddea84-39dd-4c8e-9385-4a0f99b533fd","type":"HBar"}],"root_ids":["85097a6b-1979-4e6c-a9d7-8e933ca293f4"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"f5985331-e154-400b-a909-d0656219eb89","elementid":"6b8302bc-b97a-4c01-9a73-e563d75ee6dc","modelid":"85097a6b-1979-4e6c-a9d7-8e933ca293f4"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
