(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("13140244-91f1-46c4-a36b-9a4c5a25b592");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '13140244-91f1-46c4-a36b-9a4c5a25b592' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"381849a4-7668-48c3-a528-a44c8117fbfe":{"roots":{"references":[{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"07d5666f-a5c1-461e-9f37-a3a91fdf0628","type":"Circle"},{"attributes":{"below":[{"id":"d518dd98-a12b-48ce-9aca-d59b6eb36cff","type":"LinearAxis"}],"left":[{"id":"d524f7b5-2171-46e1-b744-3aaacd63ce0b","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"d518dd98-a12b-48ce-9aca-d59b6eb36cff","type":"LinearAxis"},{"id":"03bb820f-094a-41cb-a4b7-8ab9bdc09da2","type":"Grid"},{"id":"d524f7b5-2171-46e1-b744-3aaacd63ce0b","type":"LinearAxis"},{"id":"690c45cd-4be4-4b93-bb39-f6ef73a4bcf7","type":"Grid"},{"id":"da9dee88-107c-4495-b0fe-513f75eaec7f","type":"GlyphRenderer"}],"title":{"id":"94b71651-6bf3-40b4-b020-ebe46a2eda4b","type":"Title"},"toolbar":{"id":"5cebb126-aef4-4d99-96dc-c0451b133373","type":"Toolbar"},"x_range":{"id":"695b7111-5fe6-465c-b0e5-88d09ac5dbb5","type":"DataRange1d"},"x_scale":{"id":"151bed40-fb77-4199-9318-44bcf5c6629d","type":"LinearScale"},"y_range":{"id":"fa894265-f399-4ea1-88bd-bf5a54c76165","type":"DataRange1d"},"y_scale":{"id":"0097b65c-01fd-4948-8d8a-3e720984a7b5","type":"LinearScale"}},"id":"7480fa5c-0710-4ab4-b4df-0acb8888145c","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"0097b65c-01fd-4948-8d8a-3e720984a7b5","type":"LinearScale"},{"attributes":{"plot":{"id":"7480fa5c-0710-4ab4-b4df-0acb8888145c","subtype":"Figure","type":"Plot"},"ticker":{"id":"8a358ab4-2705-45a3-99b4-5b2f640df59e","type":"BasicTicker"}},"id":"03bb820f-094a-41cb-a4b7-8ab9bdc09da2","type":"Grid"},{"attributes":{},"id":"151bed40-fb77-4199-9318-44bcf5c6629d","type":"LinearScale"},{"attributes":{"data_source":{"id":"6123268f-dbb6-45fc-a2bd-cc73612d521d","type":"ColumnDataSource"},"glyph":{"id":"2169649f-cfec-4eec-945c-863f50a76262","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"07d5666f-a5c1-461e-9f37-a3a91fdf0628","type":"Circle"},"selection_glyph":null,"view":{"id":"860b5428-2c8b-4553-ab3d-2285dd68e53a","type":"CDSView"}},"id":"da9dee88-107c-4495-b0fe-513f75eaec7f","type":"GlyphRenderer"},{"attributes":{},"id":"bf3689b4-e57f-44a3-849c-a203239cc349","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"7480fa5c-0710-4ab4-b4df-0acb8888145c","subtype":"Figure","type":"Plot"},"ticker":{"id":"75c81450-8ce3-4105-bb17-c723f90c4b98","type":"BasicTicker"}},"id":"690c45cd-4be4-4b93-bb39-f6ef73a4bcf7","type":"Grid"},{"attributes":{},"id":"75c81450-8ce3-4105-bb17-c723f90c4b98","type":"BasicTicker"},{"attributes":{"callback":null},"id":"fa894265-f399-4ea1-88bd-bf5a54c76165","type":"DataRange1d"},{"attributes":{"plot":null,"text":"Mouse over the dots"},"id":"94b71651-6bf3-40b4-b020-ebe46a2eda4b","type":"Title"},{"attributes":{"formatter":{"id":"bf3689b4-e57f-44a3-849c-a203239cc349","type":"BasicTickFormatter"},"plot":{"id":"7480fa5c-0710-4ab4-b4df-0acb8888145c","subtype":"Figure","type":"Plot"},"ticker":{"id":"8a358ab4-2705-45a3-99b4-5b2f640df59e","type":"BasicTicker"}},"id":"d518dd98-a12b-48ce-9aca-d59b6eb36cff","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"2169649f-cfec-4eec-945c-863f50a76262","type":"Circle"},{"attributes":{"callback":null,"tooltips":"\n    <div>\n        <div>\n            <img\n                src=\"@imgs\" height=\"42\" alt=\"@imgs\" width=\"42\"\n                style=\"float: left; margin: 0px 15px 15px 0px;\"\n                border=\"2\"\n            ></img>\n        </div>\n        <div>\n            <span style=\"font-size: 17px; font-weight: bold;\">@desc</span>\n            <span style=\"font-size: 15px; color: #966;\">[$index]</span>\n        </div>\n        <div>\n            <span>@fonts{safe}</span>\n        </div>\n        <div>\n            <span style=\"font-size: 15px;\">Location</span>\n            <span style=\"font-size: 10px; color: #696;\">($x, $y)</span>\n        </div>\n    </div>\n    "},"id":"748ebf63-7d9e-432c-b578-3559c8de5cdc","type":"HoverTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"748ebf63-7d9e-432c-b578-3559c8de5cdc","type":"HoverTool"}]},"id":"5cebb126-aef4-4d99-96dc-c0451b133373","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["imgs","y","desc","fonts","x"],"data":{"desc":["A","b","C","d","E"],"fonts":["<i>italics</i>","<pre>pre</pre>","<b>bold</b>","<small>small</small>","<del>del</del>"],"imgs":["https://bokeh.pydata.org/static/snake.jpg","https://bokeh.pydata.org/static/snake2.png","https://bokeh.pydata.org/static/snake3D.png","https://bokeh.pydata.org/static/snake4_TheRevenge.png","https://bokeh.pydata.org/static/snakebite.jpg"],"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"6123268f-dbb6-45fc-a2bd-cc73612d521d","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"695b7111-5fe6-465c-b0e5-88d09ac5dbb5","type":"DataRange1d"},{"attributes":{},"id":"b2bb3280-9f60-46c9-a4ad-65f12fa40273","type":"BasicTickFormatter"},{"attributes":{},"id":"8a358ab4-2705-45a3-99b4-5b2f640df59e","type":"BasicTicker"},{"attributes":{"source":{"id":"6123268f-dbb6-45fc-a2bd-cc73612d521d","type":"ColumnDataSource"}},"id":"860b5428-2c8b-4553-ab3d-2285dd68e53a","type":"CDSView"},{"attributes":{"formatter":{"id":"b2bb3280-9f60-46c9-a4ad-65f12fa40273","type":"BasicTickFormatter"},"plot":{"id":"7480fa5c-0710-4ab4-b4df-0acb8888145c","subtype":"Figure","type":"Plot"},"ticker":{"id":"75c81450-8ce3-4105-bb17-c723f90c4b98","type":"BasicTicker"}},"id":"d524f7b5-2171-46e1-b744-3aaacd63ce0b","type":"LinearAxis"}],"root_ids":["7480fa5c-0710-4ab4-b4df-0acb8888145c"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"381849a4-7668-48c3-a528-a44c8117fbfe","elementid":"13140244-91f1-46c4-a36b-9a4c5a25b592","modelid":"7480fa5c-0710-4ab4-b4df-0acb8888145c"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
