(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("333d2ae7-724f-4e9f-8867-0d93d97db664");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '333d2ae7-724f-4e9f-8867-0d93d97db664' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"86f49727-c55f-4d7b-b55b-ca0548dae497":{"roots":{"references":[{"attributes":{},"id":"21d479e4-0b71-4b72-884d-e404e1ba7683","type":"BasicTicker"},{"attributes":{"callback":null},"id":"256a660e-f6a9-44d6-a259-7dd36c58d1b0","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"c86d1214-56d5-4d8e-a1af-799d9d09a907","type":"Circle"},{"attributes":{},"id":"e1d03c66-b8f2-4243-8f1a-c5a55256c9f2","type":"PanTool"},{"attributes":{"dimension":1,"plot":{"id":"31fcdcd7-3e58-4088-8a3a-6eac9139fcdf","subtype":"Figure","type":"Plot"},"ticker":{"id":"7ba93d9b-efb4-4591-a427-a7ea53b7d2b2","type":"BasicTicker"}},"id":"544515f9-7ab8-4fe1-bd4c-dba49d589eb8","type":"Grid"},{"attributes":{},"id":"902f5875-51b5-4c46-9a53-8287af2dbde8","type":"ResetTool"},{"attributes":{},"id":"8fb01887-85df-4509-b13f-685ab48e001a","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"4dd1fb90-de6d-449a-a414-7a900ca11719","type":"DataRange1d"},{"attributes":{"formatter":{"id":"8fb01887-85df-4509-b13f-685ab48e001a","type":"BasicTickFormatter"},"plot":{"id":"31fcdcd7-3e58-4088-8a3a-6eac9139fcdf","subtype":"Figure","type":"Plot"},"ticker":{"id":"7ba93d9b-efb4-4591-a427-a7ea53b7d2b2","type":"BasicTicker"}},"id":"e210da40-40f0-434b-b441-1ed1a3103627","type":"LinearAxis"},{"attributes":{},"id":"aa02b66d-4474-4de0-b230-d4137f56c6ec","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"bbb2480e-ea02-4299-9d3c-56046782d580","type":"ColumnDataSource"},{"attributes":{},"id":"d585c382-ea23-46cc-9cbe-e19eb5c4421e","type":"WheelZoomTool"},{"attributes":{},"id":"af7ab586-f636-46ee-ae1e-5324b1f60813","type":"BasicTickFormatter"},{"attributes":{},"id":"830ac4a0-9f98-4c91-abcc-e9914e131be1","type":"SaveTool"},{"attributes":{},"id":"d4fcde86-7e38-49f1-9d2e-ea6ecdd75132","type":"HelpTool"},{"attributes":{"source":{"id":"bbb2480e-ea02-4299-9d3c-56046782d580","type":"ColumnDataSource"}},"id":"8fd8bbd1-2bca-4242-b186-f342a34fb0f5","type":"CDSView"},{"attributes":{},"id":"7ba93d9b-efb4-4591-a427-a7ea53b7d2b2","type":"BasicTicker"},{"attributes":{"plot":{"id":"31fcdcd7-3e58-4088-8a3a-6eac9139fcdf","subtype":"Figure","type":"Plot"},"ticker":{"id":"21d479e4-0b71-4b72-884d-e404e1ba7683","type":"BasicTicker"}},"id":"507c48e1-23be-4cfa-967c-132d2a959128","type":"Grid"},{"attributes":{"below":[{"id":"3f54d907-a85f-4476-bcad-fbb1b1045593","type":"LinearAxis"}],"left":[{"id":"e210da40-40f0-434b-b441-1ed1a3103627","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"3f54d907-a85f-4476-bcad-fbb1b1045593","type":"LinearAxis"},{"id":"507c48e1-23be-4cfa-967c-132d2a959128","type":"Grid"},{"id":"e210da40-40f0-434b-b441-1ed1a3103627","type":"LinearAxis"},{"id":"544515f9-7ab8-4fe1-bd4c-dba49d589eb8","type":"Grid"},{"id":"0cf1257b-86d7-4f47-a5ab-dcb66ff45700","type":"BoxAnnotation"},{"id":"f35e499d-7ea4-49ee-a378-640cb2da7337","type":"GlyphRenderer"}],"title":{"id":"a83c080c-b899-4be0-b520-066975953e2b","type":"Title"},"toolbar":{"id":"82c6be30-fa72-4247-a794-53622f8922fe","type":"Toolbar"},"x_range":{"id":"4dd1fb90-de6d-449a-a414-7a900ca11719","type":"DataRange1d"},"x_scale":{"id":"aa02b66d-4474-4de0-b230-d4137f56c6ec","type":"LinearScale"},"y_range":{"id":"256a660e-f6a9-44d6-a259-7dd36c58d1b0","type":"DataRange1d"},"y_scale":{"id":"ac42e460-b7bf-46ba-9e9d-e07f938b3fa9","type":"LinearScale"}},"id":"31fcdcd7-3e58-4088-8a3a-6eac9139fcdf","subtype":"Figure","type":"Plot"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"0cf1257b-86d7-4f47-a5ab-dcb66ff45700","type":"BoxAnnotation"},{"attributes":{"bounds":[2,4],"formatter":{"id":"af7ab586-f636-46ee-ae1e-5324b1f60813","type":"BasicTickFormatter"},"plot":{"id":"31fcdcd7-3e58-4088-8a3a-6eac9139fcdf","subtype":"Figure","type":"Plot"},"ticker":{"id":"21d479e4-0b71-4b72-884d-e404e1ba7683","type":"BasicTicker"}},"id":"3f54d907-a85f-4476-bcad-fbb1b1045593","type":"LinearAxis"},{"attributes":{"overlay":{"id":"0cf1257b-86d7-4f47-a5ab-dcb66ff45700","type":"BoxAnnotation"}},"id":"c52f402a-61e1-444c-a4ae-207faf033cc1","type":"BoxZoomTool"},{"attributes":{"plot":null,"text":""},"id":"a83c080c-b899-4be0-b520-066975953e2b","type":"Title"},{"attributes":{"data_source":{"id":"bbb2480e-ea02-4299-9d3c-56046782d580","type":"ColumnDataSource"},"glyph":{"id":"c7466ad1-7ab8-43c2-860b-8f72509c8fad","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c86d1214-56d5-4d8e-a1af-799d9d09a907","type":"Circle"},"selection_glyph":null,"view":{"id":"8fd8bbd1-2bca-4242-b186-f342a34fb0f5","type":"CDSView"}},"id":"f35e499d-7ea4-49ee-a378-640cb2da7337","type":"GlyphRenderer"},{"attributes":{},"id":"ac42e460-b7bf-46ba-9e9d-e07f938b3fa9","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"e1d03c66-b8f2-4243-8f1a-c5a55256c9f2","type":"PanTool"},{"id":"d585c382-ea23-46cc-9cbe-e19eb5c4421e","type":"WheelZoomTool"},{"id":"c52f402a-61e1-444c-a4ae-207faf033cc1","type":"BoxZoomTool"},{"id":"830ac4a0-9f98-4c91-abcc-e9914e131be1","type":"SaveTool"},{"id":"902f5875-51b5-4c46-9a53-8287af2dbde8","type":"ResetTool"},{"id":"d4fcde86-7e38-49f1-9d2e-ea6ecdd75132","type":"HelpTool"}]},"id":"82c6be30-fa72-4247-a794-53622f8922fe","type":"Toolbar"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"c7466ad1-7ab8-43c2-860b-8f72509c8fad","type":"Circle"}],"root_ids":["31fcdcd7-3e58-4088-8a3a-6eac9139fcdf"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"86f49727-c55f-4d7b-b55b-ca0548dae497","elementid":"333d2ae7-724f-4e9f-8867-0d93d97db664","modelid":"31fcdcd7-3e58-4088-8a3a-6eac9139fcdf"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
