(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("e09e2e27-d8a4-4048-9129-2dbc70ad1722");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'e09e2e27-d8a4-4048-9129-2dbc70ad1722' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"4fd7b741-bbbe-49ba-9a28-a64231a680a4":{"roots":{"references":[{"attributes":{},"id":"c1408850-1201-42e6-9024-354e4b5171f2","type":"BasicTicker"},{"attributes":{},"id":"ec73b708-fb69-4ba4-80ed-ae2945327beb","type":"WheelZoomTool"},{"attributes":{"source":{"id":"b73be01f-8f11-4d36-83dc-2f8fe29d00d4","type":"ColumnDataSource"}},"id":"6e8ee09d-3104-4335-a332-e8ed86657b35","type":"CDSView"},{"attributes":{"formatter":{"id":"04ad0995-e919-4c97-8629-8264793f052f","type":"BasicTickFormatter"},"plot":{"id":"2409fb85-4d66-4802-8ee4-dc1b97294195","subtype":"Figure","type":"Plot"},"ticker":{"id":"c1408850-1201-42e6-9024-354e4b5171f2","type":"BasicTicker"}},"id":"a3907c72-3962-4abc-835f-263440ef0750","type":"LinearAxis"},{"attributes":{},"id":"39f3d2f8-3d61-435f-bf79-a139dc5a436e","type":"LinearScale"},{"attributes":{"formatter":{"id":"8d319780-8e75-4dad-a370-c8fbad7e11d7","type":"BasicTickFormatter"},"plot":{"id":"2409fb85-4d66-4802-8ee4-dc1b97294195","subtype":"Figure","type":"Plot"},"ticker":{"id":"04bd2658-3b35-4534-9312-f2bc905c6144","type":"BasicTicker"}},"id":"a32a37f8-58c8-4f82-9876-75f19f1e0c46","type":"LinearAxis"},{"attributes":{"overlay":{"id":"fc029a98-b29c-4281-a683-1adf1af563b5","type":"BoxAnnotation"}},"id":"f7dd10f9-f458-4e4f-b2c2-6d5100ae2932","type":"BoxZoomTool"},{"attributes":{},"id":"f8b4cbac-0c60-49f0-adbe-ba66e0ce6b43","type":"PanTool"},{"attributes":{"data_source":{"id":"b73be01f-8f11-4d36-83dc-2f8fe29d00d4","type":"ColumnDataSource"},"glyph":{"id":"14ae9b62-a6fc-49f7-a26a-f02061861397","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c32e1d27-b1ef-4a40-b542-6b92c3153d2e","type":"Circle"},"selection_glyph":null,"view":{"id":"6e8ee09d-3104-4335-a332-e8ed86657b35","type":"CDSView"}},"id":"0092eb75-fae1-4f3d-8bef-fc8fc686b932","type":"GlyphRenderer"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"fc029a98-b29c-4281-a683-1adf1af563b5","type":"BoxAnnotation"},{"attributes":{},"id":"04ad0995-e919-4c97-8629-8264793f052f","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"1b00e605-8cf4-4193-aa20-d8ab16147029","type":"Title"},{"attributes":{},"id":"5dde40bd-9bed-4055-9e6c-30fe04b373ea","type":"LinearScale"},{"attributes":{},"id":"cd37e83d-e365-4c11-8434-22c9525ed9c0","type":"HelpTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"b73be01f-8f11-4d36-83dc-2f8fe29d00d4","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"f8b4cbac-0c60-49f0-adbe-ba66e0ce6b43","type":"PanTool"},{"id":"ec73b708-fb69-4ba4-80ed-ae2945327beb","type":"WheelZoomTool"},{"id":"f7dd10f9-f458-4e4f-b2c2-6d5100ae2932","type":"BoxZoomTool"},{"id":"a4dfd044-1243-4030-8b20-42df72e2ecd6","type":"SaveTool"},{"id":"5a368b62-b828-4984-9128-7978655d04bd","type":"ResetTool"},{"id":"cd37e83d-e365-4c11-8434-22c9525ed9c0","type":"HelpTool"}]},"id":"be559539-67b9-4e79-97f2-70fe30781eac","type":"Toolbar"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"14ae9b62-a6fc-49f7-a26a-f02061861397","type":"Circle"},{"attributes":{"below":[{"id":"a3907c72-3962-4abc-835f-263440ef0750","type":"LinearAxis"}],"left":[{"id":"a32a37f8-58c8-4f82-9876-75f19f1e0c46","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"a3907c72-3962-4abc-835f-263440ef0750","type":"LinearAxis"},{"id":"cfe25c4d-c7be-4ede-aa1e-498aee00274b","type":"Grid"},{"id":"a32a37f8-58c8-4f82-9876-75f19f1e0c46","type":"LinearAxis"},{"id":"dcdc5618-72ec-4a43-8779-68099ed30db1","type":"Grid"},{"id":"fc029a98-b29c-4281-a683-1adf1af563b5","type":"BoxAnnotation"},{"id":"0092eb75-fae1-4f3d-8bef-fc8fc686b932","type":"GlyphRenderer"}],"title":{"id":"1b00e605-8cf4-4193-aa20-d8ab16147029","type":"Title"},"toolbar":{"id":"be559539-67b9-4e79-97f2-70fe30781eac","type":"Toolbar"},"x_range":{"id":"c74e6561-47ed-4d3f-9022-97a7b966b519","type":"Range1d"},"x_scale":{"id":"5dde40bd-9bed-4055-9e6c-30fe04b373ea","type":"LinearScale"},"y_range":{"id":"66155fd3-bf11-4c7f-aad3-1704e7c8736b","type":"Range1d"},"y_scale":{"id":"39f3d2f8-3d61-435f-bf79-a139dc5a436e","type":"LinearScale"}},"id":"2409fb85-4d66-4802-8ee4-dc1b97294195","subtype":"Figure","type":"Plot"},{"attributes":{"dimension":1,"plot":{"id":"2409fb85-4d66-4802-8ee4-dc1b97294195","subtype":"Figure","type":"Plot"},"ticker":{"id":"04bd2658-3b35-4534-9312-f2bc905c6144","type":"BasicTicker"}},"id":"dcdc5618-72ec-4a43-8779-68099ed30db1","type":"Grid"},{"attributes":{"plot":{"id":"2409fb85-4d66-4802-8ee4-dc1b97294195","subtype":"Figure","type":"Plot"},"ticker":{"id":"c1408850-1201-42e6-9024-354e4b5171f2","type":"BasicTicker"}},"id":"cfe25c4d-c7be-4ede-aa1e-498aee00274b","type":"Grid"},{"attributes":{},"id":"a4dfd044-1243-4030-8b20-42df72e2ecd6","type":"SaveTool"},{"attributes":{},"id":"04bd2658-3b35-4534-9312-f2bc905c6144","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"c32e1d27-b1ef-4a40-b542-6b92c3153d2e","type":"Circle"},{"attributes":{},"id":"8d319780-8e75-4dad-a370-c8fbad7e11d7","type":"BasicTickFormatter"},{"attributes":{"callback":null,"end":15},"id":"66155fd3-bf11-4c7f-aad3-1704e7c8736b","type":"Range1d"},{"attributes":{},"id":"5a368b62-b828-4984-9128-7978655d04bd","type":"ResetTool"},{"attributes":{"callback":null,"end":20},"id":"c74e6561-47ed-4d3f-9022-97a7b966b519","type":"Range1d"}],"root_ids":["2409fb85-4d66-4802-8ee4-dc1b97294195"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"4fd7b741-bbbe-49ba-9a28-a64231a680a4","elementid":"e09e2e27-d8a4-4048-9129-2dbc70ad1722","modelid":"2409fb85-4d66-4802-8ee4-dc1b97294195"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
