(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("0aca318a-aa52-4033-b262-48e45df5bc2a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '0aca318a-aa52-4033-b262-48e45df5bc2a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"57b13904-b784-4ac2-ac46-4760d1382ee6":{"roots":{"references":[{"attributes":{},"id":"2de3dbc5-914f-4e07-8ca7-477e00f04813","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"c5f0b832-3a4e-4274-a6c0-0165e2c19300","type":"Title"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"7da804f0-fe54-4079-9ab7-85e7370f94fa","type":"ColumnDataSource"},{"attributes":{},"id":"d479acf9-ed83-474b-8284-f662968c13a8","type":"BasicTicker"},{"attributes":{"source":{"id":"7da804f0-fe54-4079-9ab7-85e7370f94fa","type":"ColumnDataSource"}},"id":"3895d85b-af71-4f23-9f73-f39ef7578b85","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"1bcd7f27-8480-4da7-87ef-748481e25662","type":"BoxAnnotation"},{"attributes":{},"id":"6b439860-4dcd-48c8-b625-d51e2fb9f236","type":"SaveTool"},{"attributes":{},"id":"76c31483-92cc-493b-ba45-ed45c191fba2","type":"ResetTool"},{"attributes":{},"id":"8a0fec4a-7047-4d3f-8116-856f52b98b8b","type":"LinearScale"},{"attributes":{},"id":"507f7c8d-193b-4f55-adc6-6e0bcc314f51","type":"WheelZoomTool"},{"attributes":{"overlay":{"id":"1bcd7f27-8480-4da7-87ef-748481e25662","type":"BoxAnnotation"}},"id":"696b8b89-dada-46d2-9615-5d6f4ff4a0d3","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"e2c97918-ee10-4f35-a2b5-00dade88aaee","type":"NumeralTickFormatter"},"plot":{"id":"1f5105c0-f184-4257-8834-61bdeedffc04","subtype":"Figure","type":"Plot"},"ticker":{"id":"2de3dbc5-914f-4e07-8ca7-477e00f04813","type":"BasicTicker"}},"id":"350b18eb-c236-4677-afd3-410b8f0dc43e","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"dffe1e55-3c25-4dfe-8f95-7dae6b90260b","type":"Circle"},{"attributes":{"format":"$0.00"},"id":"e2c97918-ee10-4f35-a2b5-00dade88aaee","type":"NumeralTickFormatter"},{"attributes":{"formatter":{"id":"bd5170a2-3e5c-4546-bfa1-b2e4bf41167d","type":"NumeralTickFormatter"},"plot":{"id":"1f5105c0-f184-4257-8834-61bdeedffc04","subtype":"Figure","type":"Plot"},"ticker":{"id":"d479acf9-ed83-474b-8284-f662968c13a8","type":"BasicTicker"}},"id":"b0128d30-e8b2-408c-b5f5-04be35029ee2","type":"LinearAxis"},{"attributes":{"data_source":{"id":"7da804f0-fe54-4079-9ab7-85e7370f94fa","type":"ColumnDataSource"},"glyph":{"id":"dffe1e55-3c25-4dfe-8f95-7dae6b90260b","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ca448945-0637-45a1-9718-b4acf07b5b7b","type":"Circle"},"selection_glyph":null,"view":{"id":"3895d85b-af71-4f23-9f73-f39ef7578b85","type":"CDSView"}},"id":"f2b5a990-f850-439f-ba9c-220c77fc9e5e","type":"GlyphRenderer"},{"attributes":{},"id":"7dfedfab-7a51-469b-bb3f-195bb509a3c8","type":"LinearScale"},{"attributes":{"callback":null},"id":"85a3bbb3-b93c-438a-a64a-c352b535be78","type":"DataRange1d"},{"attributes":{},"id":"efe0ea1f-9c51-438a-af62-c60af0c14969","type":"HelpTool"},{"attributes":{"plot":{"id":"1f5105c0-f184-4257-8834-61bdeedffc04","subtype":"Figure","type":"Plot"},"ticker":{"id":"d479acf9-ed83-474b-8284-f662968c13a8","type":"BasicTicker"}},"id":"8d2c591c-ae2a-477d-97e7-d70259d1cb3a","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"1f5105c0-f184-4257-8834-61bdeedffc04","subtype":"Figure","type":"Plot"},"ticker":{"id":"2de3dbc5-914f-4e07-8ca7-477e00f04813","type":"BasicTicker"}},"id":"ab3f533e-7633-4ea0-a816-d9c2fc846b7c","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"ca448945-0637-45a1-9718-b4acf07b5b7b","type":"Circle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"767a278e-c678-4dc6-bf7e-c69ecbd30a87","type":"PanTool"},{"id":"507f7c8d-193b-4f55-adc6-6e0bcc314f51","type":"WheelZoomTool"},{"id":"696b8b89-dada-46d2-9615-5d6f4ff4a0d3","type":"BoxZoomTool"},{"id":"6b439860-4dcd-48c8-b625-d51e2fb9f236","type":"SaveTool"},{"id":"76c31483-92cc-493b-ba45-ed45c191fba2","type":"ResetTool"},{"id":"efe0ea1f-9c51-438a-af62-c60af0c14969","type":"HelpTool"}]},"id":"b11a9839-7353-42ee-84d1-73aafb17f7c7","type":"Toolbar"},{"attributes":{},"id":"767a278e-c678-4dc6-bf7e-c69ecbd30a87","type":"PanTool"},{"attributes":{"format":"0.0%"},"id":"bd5170a2-3e5c-4546-bfa1-b2e4bf41167d","type":"NumeralTickFormatter"},{"attributes":{"below":[{"id":"b0128d30-e8b2-408c-b5f5-04be35029ee2","type":"LinearAxis"}],"left":[{"id":"350b18eb-c236-4677-afd3-410b8f0dc43e","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"b0128d30-e8b2-408c-b5f5-04be35029ee2","type":"LinearAxis"},{"id":"8d2c591c-ae2a-477d-97e7-d70259d1cb3a","type":"Grid"},{"id":"350b18eb-c236-4677-afd3-410b8f0dc43e","type":"LinearAxis"},{"id":"ab3f533e-7633-4ea0-a816-d9c2fc846b7c","type":"Grid"},{"id":"1bcd7f27-8480-4da7-87ef-748481e25662","type":"BoxAnnotation"},{"id":"f2b5a990-f850-439f-ba9c-220c77fc9e5e","type":"GlyphRenderer"}],"title":{"id":"c5f0b832-3a4e-4274-a6c0-0165e2c19300","type":"Title"},"toolbar":{"id":"b11a9839-7353-42ee-84d1-73aafb17f7c7","type":"Toolbar"},"x_range":{"id":"998616a0-9246-4f27-9366-a0b9a1ecfac8","type":"DataRange1d"},"x_scale":{"id":"7dfedfab-7a51-469b-bb3f-195bb509a3c8","type":"LinearScale"},"y_range":{"id":"85a3bbb3-b93c-438a-a64a-c352b535be78","type":"DataRange1d"},"y_scale":{"id":"8a0fec4a-7047-4d3f-8116-856f52b98b8b","type":"LinearScale"}},"id":"1f5105c0-f184-4257-8834-61bdeedffc04","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"998616a0-9246-4f27-9366-a0b9a1ecfac8","type":"DataRange1d"}],"root_ids":["1f5105c0-f184-4257-8834-61bdeedffc04"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"57b13904-b784-4ac2-ac46-4760d1382ee6","elementid":"0aca318a-aa52-4033-b262-48e45df5bc2a","modelid":"1f5105c0-f184-4257-8834-61bdeedffc04"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
