(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("352684d1-141e-451c-8485-98e926b94461");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '352684d1-141e-451c-8485-98e926b94461' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"10ccd697-021b-49e7-b4b1-e6dc600e48b8":{"roots":{"references":[{"attributes":{},"id":"898e7047-6a68-404e-a174-2bff99fcf1e0","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"field":"color"},"line_color":{"field":"color"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"e2c7f23b-a99d-4042-be30-82df20595823","type":"Circle"},{"attributes":{"callback":null},"id":"fb4ef0cb-1431-46b9-89eb-37f484b356be","type":"DataRange1d"},{"attributes":{"formatter":{"id":"898e7047-6a68-404e-a174-2bff99fcf1e0","type":"BasicTickFormatter"},"plot":{"id":"d812b766-2e02-4023-b610-a600be8c73fb","subtype":"Figure","type":"Plot"},"ticker":{"id":"89516253-b5e5-46f6-88f4-3713e5f92d15","type":"BasicTicker"}},"id":"70e62ff9-b000-4ede-81ad-b1a6262d6153","type":"LinearAxis"},{"attributes":{"data_source":{"id":"eb45a86f-4a37-4777-8280-5a4c12e88bff","type":"ColumnDataSource"},"glyph":{"id":"e2c7f23b-a99d-4042-be30-82df20595823","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"0e6401cf-229e-448c-9daf-d0489aa383d2","type":"Circle"},"selection_glyph":null,"view":{"id":"97c088b4-5884-4cf1-b4e1-d745b3fc1b21","type":"CDSView"}},"id":"4d00dc89-270b-4a3f-a9de-2d9a612bafdf","type":"GlyphRenderer"},{"attributes":{},"id":"920076c9-0990-4b41-8ffa-3278722bd0bf","type":"BasicTicker"},{"attributes":{"source":{"id":"eb45a86f-4a37-4777-8280-5a4c12e88bff","type":"ColumnDataSource"}},"id":"97c088b4-5884-4cf1-b4e1-d745b3fc1b21","type":"CDSView"},{"attributes":{"plot":{"id":"d812b766-2e02-4023-b610-a600be8c73fb","subtype":"Figure","type":"Plot"},"ticker":{"id":"89516253-b5e5-46f6-88f4-3713e5f92d15","type":"BasicTicker"}},"id":"9d1428a1-3fab-4a7b-ac98-41d50a5c7975","type":"Grid"},{"attributes":{},"id":"4dab5b62-ea81-4a59-9570-19475364aa23","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"d812b766-2e02-4023-b610-a600be8c73fb","subtype":"Figure","type":"Plot"},"ticker":{"id":"920076c9-0990-4b41-8ffa-3278722bd0bf","type":"BasicTicker"}},"id":"63b2e2cc-b8c0-4e65-9c83-83da684d6e73","type":"Grid"},{"attributes":{"below":[{"id":"70e62ff9-b000-4ede-81ad-b1a6262d6153","type":"LinearAxis"}],"left":[{"id":"f8729f4f-5d90-4116-b940-c21876e424ff","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"70e62ff9-b000-4ede-81ad-b1a6262d6153","type":"LinearAxis"},{"id":"9d1428a1-3fab-4a7b-ac98-41d50a5c7975","type":"Grid"},{"id":"f8729f4f-5d90-4116-b940-c21876e424ff","type":"LinearAxis"},{"id":"63b2e2cc-b8c0-4e65-9c83-83da684d6e73","type":"Grid"},{"id":"4d00dc89-270b-4a3f-a9de-2d9a612bafdf","type":"GlyphRenderer"}],"title":{"id":"60cba313-b0c1-4b49-b80b-8726222457ce","type":"Title"},"toolbar":{"id":"6e97b7de-5cff-4ff9-9d58-c0fb1b4c409e","type":"Toolbar"},"x_range":{"id":"b3cd6ad1-4505-4cc5-8480-bc747608073c","type":"DataRange1d"},"x_scale":{"id":"4dab5b62-ea81-4a59-9570-19475364aa23","type":"LinearScale"},"y_range":{"id":"fb4ef0cb-1431-46b9-89eb-37f484b356be","type":"DataRange1d"},"y_scale":{"id":"462317de-9ec7-4c4e-ab69-ec827de5c647","type":"LinearScale"}},"id":"d812b766-2e02-4023-b610-a600be8c73fb","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"89516253-b5e5-46f6-88f4-3713e5f92d15","type":"BasicTicker"},{"attributes":{"plot":null,"text":"Click the Dots"},"id":"60cba313-b0c1-4b49-b80b-8726222457ce","type":"Title"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"0e6401cf-229e-448c-9daf-d0489aa383d2","type":"Circle"},{"attributes":{"callback":null,"column_names":["color","y","x"],"data":{"color":["navy","orange","olive","firebrick","gold"],"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"eb45a86f-4a37-4777-8280-5a4c12e88bff","type":"ColumnDataSource"},{"attributes":{"callback":{"id":"b69b4f78-3c5a-4301-8ccd-dd8f4dd0d6bd","type":"OpenURL"}},"id":"0c403fcf-71ac-4cc1-b62b-6361fe9abe05","type":"TapTool"},{"attributes":{"url":"http://www.colors.commutercreative.com/@color/"},"id":"b69b4f78-3c5a-4301-8ccd-dd8f4dd0d6bd","type":"OpenURL"},{"attributes":{},"id":"e2a5fdec-79b7-49d5-85d5-22e19a22ebb2","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"b3cd6ad1-4505-4cc5-8480-bc747608073c","type":"DataRange1d"},{"attributes":{"formatter":{"id":"e2a5fdec-79b7-49d5-85d5-22e19a22ebb2","type":"BasicTickFormatter"},"plot":{"id":"d812b766-2e02-4023-b610-a600be8c73fb","subtype":"Figure","type":"Plot"},"ticker":{"id":"920076c9-0990-4b41-8ffa-3278722bd0bf","type":"BasicTicker"}},"id":"f8729f4f-5d90-4116-b940-c21876e424ff","type":"LinearAxis"},{"attributes":{},"id":"462317de-9ec7-4c4e-ab69-ec827de5c647","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"0c403fcf-71ac-4cc1-b62b-6361fe9abe05","type":"TapTool"}]},"id":"6e97b7de-5cff-4ff9-9d58-c0fb1b4c409e","type":"Toolbar"}],"root_ids":["d812b766-2e02-4023-b610-a600be8c73fb"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"10ccd697-021b-49e7-b4b1-e6dc600e48b8","elementid":"352684d1-141e-451c-8485-98e926b94461","modelid":"d812b766-2e02-4023-b610-a600be8c73fb"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
