(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("3f28cea6-0ac9-4f0e-b6b8-5e3f5ea2c81c");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '3f28cea6-0ac9-4f0e-b6b8-5e3f5ea2c81c' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"04175294-af9e-4597-a06f-ec28973a6f55":{"roots":{"references":[{"attributes":{"data_source":{"id":"4d659265-0044-49c4-ad21-bde35335e19e","type":"ColumnDataSource"},"glyph":{"id":"46eeaa68-178a-4047-b37c-b7f713cb759e","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a03857f1-e79f-4cfd-b7ab-6ffd6233214d","type":"VBar"},"selection_glyph":null,"view":{"id":"2ccd4a3f-0225-4f17-a0ac-84a1bd1fb67a","type":"CDSView"}},"id":"4fbdde50-b80c-4ae0-93db-6302034b43a5","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"6e4524ae-6895-4f2e-bb0f-928e44f99ed0","type":"Toolbar"},{"attributes":{},"id":"6436d58f-850b-41a1-ad3b-0abd54d25357","type":"CategoricalScale"},{"attributes":{"dimension":1,"plot":{"id":"a4a13428-0ae3-4e97-921f-cd88c96a672d","subtype":"Figure","type":"Plot"},"ticker":{"id":"977c0ed7-9813-485e-a154-aaae545401cf","type":"BasicTicker"}},"id":"ae3ec364-a7ff-428f-a4b1-1459d48c5bbd","type":"Grid"},{"attributes":{},"id":"36a584f9-0ee9-48a5-bb28-8f8d624eb9e9","type":"CategoricalTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.5},"x":{"field":"x"}},"id":"a03857f1-e79f-4cfd-b7ab-6ffd6233214d","type":"VBar"},{"attributes":{"callback":null,"start":0},"id":"3653b292-6cf2-4ede-8fde-456bbb03efe5","type":"DataRange1d"},{"attributes":{},"id":"778db72f-1f92-4120-a60e-3a1626e06f96","type":"CategoricalTicker"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.5},"x":{"field":"x"}},"id":"46eeaa68-178a-4047-b37c-b7f713cb759e","type":"VBar"},{"attributes":{},"id":"d3ce5145-d2e9-4d6b-aeab-0049d7204fe1","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["x","top"],"data":{"top":[5,3,4,2,4,6],"x":[["Apples",-0.5],["Pears",-0.2],["Nectarines",0.0],["Plums",0.3],["Grapes",0.1],["Strawberries",0.3]]}},"id":"4d659265-0044-49c4-ad21-bde35335e19e","type":"ColumnDataSource"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"a4a13428-0ae3-4e97-921f-cd88c96a672d","subtype":"Figure","type":"Plot"},"ticker":{"id":"778db72f-1f92-4120-a60e-3a1626e06f96","type":"CategoricalTicker"}},"id":"8c5b3240-8b12-4e51-935b-b48140bd7fa9","type":"Grid"},{"attributes":{"below":[{"id":"ee5e9fbe-1206-44f5-8e5b-565998afadfb","type":"CategoricalAxis"}],"left":[{"id":"409b65cb-d1a7-4b12-a382-55e0392e7134","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"ee5e9fbe-1206-44f5-8e5b-565998afadfb","type":"CategoricalAxis"},{"id":"8c5b3240-8b12-4e51-935b-b48140bd7fa9","type":"Grid"},{"id":"409b65cb-d1a7-4b12-a382-55e0392e7134","type":"LinearAxis"},{"id":"ae3ec364-a7ff-428f-a4b1-1459d48c5bbd","type":"Grid"},{"id":"4fbdde50-b80c-4ae0-93db-6302034b43a5","type":"GlyphRenderer"}],"title":{"id":"d6955b0e-4792-4942-85bf-b08737e4ff7a","type":"Title"},"toolbar":{"id":"6e4524ae-6895-4f2e-bb0f-928e44f99ed0","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"a38362b2-038f-4292-bb10-398921044642","type":"FactorRange"},"x_scale":{"id":"6436d58f-850b-41a1-ad3b-0abd54d25357","type":"CategoricalScale"},"y_range":{"id":"3653b292-6cf2-4ede-8fde-456bbb03efe5","type":"DataRange1d"},"y_scale":{"id":"cf18369d-8e57-4433-b61e-d5e9b882307c","type":"LinearScale"}},"id":"a4a13428-0ae3-4e97-921f-cd88c96a672d","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"d3ce5145-d2e9-4d6b-aeab-0049d7204fe1","type":"BasicTickFormatter"},"plot":{"id":"a4a13428-0ae3-4e97-921f-cd88c96a672d","subtype":"Figure","type":"Plot"},"ticker":{"id":"977c0ed7-9813-485e-a154-aaae545401cf","type":"BasicTicker"}},"id":"409b65cb-d1a7-4b12-a382-55e0392e7134","type":"LinearAxis"},{"attributes":{"plot":null,"text":"Fruit Counts"},"id":"d6955b0e-4792-4942-85bf-b08737e4ff7a","type":"Title"},{"attributes":{"source":{"id":"4d659265-0044-49c4-ad21-bde35335e19e","type":"ColumnDataSource"}},"id":"2ccd4a3f-0225-4f17-a0ac-84a1bd1fb67a","type":"CDSView"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"a38362b2-038f-4292-bb10-398921044642","type":"FactorRange"},{"attributes":{},"id":"977c0ed7-9813-485e-a154-aaae545401cf","type":"BasicTicker"},{"attributes":{"formatter":{"id":"36a584f9-0ee9-48a5-bb28-8f8d624eb9e9","type":"CategoricalTickFormatter"},"plot":{"id":"a4a13428-0ae3-4e97-921f-cd88c96a672d","subtype":"Figure","type":"Plot"},"ticker":{"id":"778db72f-1f92-4120-a60e-3a1626e06f96","type":"CategoricalTicker"}},"id":"ee5e9fbe-1206-44f5-8e5b-565998afadfb","type":"CategoricalAxis"},{"attributes":{},"id":"cf18369d-8e57-4433-b61e-d5e9b882307c","type":"LinearScale"}],"root_ids":["a4a13428-0ae3-4e97-921f-cd88c96a672d"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"04175294-af9e-4597-a06f-ec28973a6f55","elementid":"3f28cea6-0ac9-4f0e-b6b8-5e3f5ea2c81c","modelid":"a4a13428-0ae3-4e97-921f-cd88c96a672d"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
