(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ef50e8da-89ac-4231-8b9b-420fa2c0997f");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ef50e8da-89ac-4231-8b9b-420fa2c0997f' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"ef829b4b-d643-4cc8-8b2f-7581f5f8d8bb":{"roots":{"references":[{"attributes":{"below":[{"id":"f9bd1a6f-105e-4c72-898b-9bc5b4accd75","type":"LinearAxis"}],"left":[{"id":"01e98984-65cb-47b9-a2da-45a389d1310b","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"f9bd1a6f-105e-4c72-898b-9bc5b4accd75","type":"LinearAxis"},{"id":"1834335b-9cb6-4da5-b245-c9819e68deda","type":"Grid"},{"id":"01e98984-65cb-47b9-a2da-45a389d1310b","type":"LinearAxis"},{"id":"d122286f-6263-4543-bdd9-d32e667991f0","type":"Grid"},{"id":"f7ca5790-9a36-471e-9b47-fcfc17d0805e","type":"BoxAnnotation"},{"id":"f4f61134-3368-4bb8-b6a3-5a524e63f8be","type":"GlyphRenderer"}],"title":{"id":"51a4f253-2287-4cbf-bf9b-847d0c5b6875","type":"Title"},"toolbar":{"id":"d3053421-cdc9-4cc8-908b-73b7999e5134","type":"Toolbar"},"x_range":{"id":"4c5e3bfa-fc65-4b7e-80bb-0f045a9e158a","type":"DataRange1d"},"x_scale":{"id":"ce5e0fe7-2cb8-4c08-9807-5892f4a6032c","type":"LinearScale"},"y_range":{"id":"4c191ced-0c24-4bd7-9e75-0b93378605ca","type":"DataRange1d"},"y_scale":{"id":"b397e06e-984d-4bcb-9e16-de16f7967dc8","type":"LinearScale"}},"id":"66c4056a-a673-4068-bcb2-55905b97259e","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"00c23d99-fa6c-4e16-a11f-85c9a09447aa","type":"BasicTickFormatter"},"plot":{"id":"66c4056a-a673-4068-bcb2-55905b97259e","subtype":"Figure","type":"Plot"},"ticker":{"id":"0638a7f7-28de-4ba8-a70b-835411542fab","type":"BasicTicker"}},"id":"f9bd1a6f-105e-4c72-898b-9bc5b4accd75","type":"LinearAxis"},{"attributes":{},"id":"7d262530-4ce1-491c-80a4-1c7be4af6445","type":"SaveTool"},{"attributes":{},"id":"5c0adadb-2e69-4baa-9ea3-632ede707dd4","type":"WheelZoomTool"},{"attributes":{"source":{"id":"b7634752-c3e6-4db2-a851-e2f0a2e83fc0","type":"ColumnDataSource"}},"id":"c45d1bd2-907c-43d7-bd99-f7b7e63b6648","type":"CDSView"},{"attributes":{"plot":null,"text":""},"id":"51a4f253-2287-4cbf-bf9b-847d0c5b6875","type":"Title"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"f7ca5790-9a36-471e-9b47-fcfc17d0805e","type":"BoxAnnotation"},{"attributes":{"fill_color":{"value":"navy"},"height":{"value":0.5},"line_color":{"value":"navy"},"right":{"field":"right"},"y":{"field":"y"}},"id":"2a237f4d-0fe3-4c43-b87d-49cf62438701","type":"HBar"},{"attributes":{},"id":"5a0080dd-8c13-4d3f-8db8-efb59d4be8e9","type":"ResetTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"838f2ec9-052f-46a5-943a-ba5ab2bec9ba","type":"PanTool"},{"id":"5c0adadb-2e69-4baa-9ea3-632ede707dd4","type":"WheelZoomTool"},{"id":"37839f40-695e-4610-bc71-db5e7bc88621","type":"BoxZoomTool"},{"id":"7d262530-4ce1-491c-80a4-1c7be4af6445","type":"SaveTool"},{"id":"5a0080dd-8c13-4d3f-8db8-efb59d4be8e9","type":"ResetTool"},{"id":"315b7d7f-0fb8-429a-865f-3b2b00e4d6b0","type":"HelpTool"}]},"id":"d3053421-cdc9-4cc8-908b-73b7999e5134","type":"Toolbar"},{"attributes":{},"id":"b397e06e-984d-4bcb-9e16-de16f7967dc8","type":"LinearScale"},{"attributes":{"callback":null},"id":"4c191ced-0c24-4bd7-9e75-0b93378605ca","type":"DataRange1d"},{"attributes":{},"id":"ce5e0fe7-2cb8-4c08-9807-5892f4a6032c","type":"LinearScale"},{"attributes":{},"id":"1ab32a2f-f4e8-4887-975d-69cbf8c92d18","type":"BasicTickFormatter"},{"attributes":{},"id":"00c23d99-fa6c-4e16-a11f-85c9a09447aa","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"4c5e3bfa-fc65-4b7e-80bb-0f045a9e158a","type":"DataRange1d"},{"attributes":{"data_source":{"id":"b7634752-c3e6-4db2-a851-e2f0a2e83fc0","type":"ColumnDataSource"},"glyph":{"id":"2a237f4d-0fe3-4c43-b87d-49cf62438701","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7cae6d32-f06a-45c5-b349-de92bbf3d46d","type":"HBar"},"selection_glyph":null,"view":{"id":"c45d1bd2-907c-43d7-bd99-f7b7e63b6648","type":"CDSView"}},"id":"f4f61134-3368-4bb8-b6a3-5a524e63f8be","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"1ab32a2f-f4e8-4887-975d-69cbf8c92d18","type":"BasicTickFormatter"},"plot":{"id":"66c4056a-a673-4068-bcb2-55905b97259e","subtype":"Figure","type":"Plot"},"ticker":{"id":"d06e59ae-3289-4f6b-b1aa-08104a5e485b","type":"BasicTicker"}},"id":"01e98984-65cb-47b9-a2da-45a389d1310b","type":"LinearAxis"},{"attributes":{},"id":"838f2ec9-052f-46a5-943a-ba5ab2bec9ba","type":"PanTool"},{"attributes":{"overlay":{"id":"f7ca5790-9a36-471e-9b47-fcfc17d0805e","type":"BoxAnnotation"}},"id":"37839f40-695e-4610-bc71-db5e7bc88621","type":"BoxZoomTool"},{"attributes":{},"id":"315b7d7f-0fb8-429a-865f-3b2b00e4d6b0","type":"HelpTool"},{"attributes":{"callback":null,"column_names":["y","right"],"data":{"right":[1.2,2.5,3.7],"y":[1,2,3]}},"id":"b7634752-c3e6-4db2-a851-e2f0a2e83fc0","type":"ColumnDataSource"},{"attributes":{"plot":{"id":"66c4056a-a673-4068-bcb2-55905b97259e","subtype":"Figure","type":"Plot"},"ticker":{"id":"0638a7f7-28de-4ba8-a70b-835411542fab","type":"BasicTicker"}},"id":"1834335b-9cb6-4da5-b245-c9819e68deda","type":"Grid"},{"attributes":{},"id":"d06e59ae-3289-4f6b-b1aa-08104a5e485b","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"66c4056a-a673-4068-bcb2-55905b97259e","subtype":"Figure","type":"Plot"},"ticker":{"id":"d06e59ae-3289-4f6b-b1aa-08104a5e485b","type":"BasicTicker"}},"id":"d122286f-6263-4543-bdd9-d32e667991f0","type":"Grid"},{"attributes":{},"id":"0638a7f7-28de-4ba8-a70b-835411542fab","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.5},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"field":"right"},"y":{"field":"y"}},"id":"7cae6d32-f06a-45c5-b349-de92bbf3d46d","type":"HBar"}],"root_ids":["66c4056a-a673-4068-bcb2-55905b97259e"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"ef829b4b-d643-4cc8-8b2f-7581f5f8d8bb","elementid":"ef50e8da-89ac-4231-8b9b-420fa2c0997f","modelid":"66c4056a-a673-4068-bcb2-55905b97259e"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
