(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("7ab13045-0e8f-49fc-a232-64d6e8f13a6c");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '7ab13045-0e8f-49fc-a232-64d6e8f13a6c' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"9d3c428d-ea75-4ddb-ac20-4af6f9743a86":{"roots":{"references":[{"attributes":{"callback":null},"id":"b2452dc2-f6a0-49a7-8d94-8c8f3a07ac2a","type":"DataRange1d"},{"attributes":{},"id":"eccfaafe-4e28-4168-9738-7a2e17a0b9f8","type":"LinearScale"},{"attributes":{"callback":null},"id":"6436c732-b4aa-4988-9af8-33be31ce7d34","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"f9896739-8581-401c-b31a-7ff0bfd30587","subtype":"Figure","type":"Plot"},"ticker":{"id":"2f05eb9d-3743-4c94-b1c7-4578921a0073","type":"BasicTicker"}},"id":"f18bbda4-7176-407a-8971-7c41f74a6ed2","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2],"y":[3,4]}},"id":"2af90baa-055e-417a-aae7-463147c727ec","type":"ColumnDataSource"},{"attributes":{},"id":"c5225ffc-2068-475a-9756-6b37493f427c","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"f92bc16c-03c4-43cd-a97e-245762694203","type":"Circle"},{"attributes":{},"id":"2f05eb9d-3743-4c94-b1c7-4578921a0073","type":"BasicTicker"},{"attributes":{"plot":{"id":"f9896739-8581-401c-b31a-7ff0bfd30587","subtype":"Figure","type":"Plot"},"ticker":{"id":"c5225ffc-2068-475a-9756-6b37493f427c","type":"BasicTicker"}},"id":"9b2b95b7-b7e8-472c-92e9-197c023b39f3","type":"Grid"},{"attributes":{"formatter":{"id":"897a8678-e82e-4b44-8b2c-3a7c746024c0","type":"BasicTickFormatter"},"plot":{"id":"f9896739-8581-401c-b31a-7ff0bfd30587","subtype":"Figure","type":"Plot"},"ticker":{"id":"c5225ffc-2068-475a-9756-6b37493f427c","type":"BasicTicker"}},"id":"2795ad5e-7b27-4d1a-8273-3ab37726dec9","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"06f3591a-43fe-4752-bdf0-092fabf5e8f1","type":"BoxAnnotation"},{"attributes":{},"id":"1764f7d9-3111-4c91-a2fd-f420c0ef6b94","type":"LinearScale"},{"attributes":{},"id":"162a1895-d23a-45cc-aaac-d9804d5ebccb","type":"BasicTickFormatter"},{"attributes":{},"id":"70a83df1-f221-4424-afbe-c85c7adff6d9","type":"ResetTool"},{"attributes":{},"id":"c4a4d529-f1bf-4a83-a1e7-3a4974e1ffd6","type":"PanTool"},{"attributes":{"data_source":{"id":"2af90baa-055e-417a-aae7-463147c727ec","type":"ColumnDataSource"},"glyph":{"id":"db592c42-d40f-4334-b30f-4bc7a64e6679","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"f92bc16c-03c4-43cd-a97e-245762694203","type":"Circle"},"selection_glyph":null,"view":{"id":"f52d423a-854d-497a-b968-902e2414f409","type":"CDSView"}},"id":"2ffde48d-b426-43bb-af33-663c5a177d5f","type":"GlyphRenderer"},{"attributes":{},"id":"4e71ecb0-9266-4d52-a194-5853c7310882","type":"WheelZoomTool"},{"attributes":{"overlay":{"id":"06f3591a-43fe-4752-bdf0-092fabf5e8f1","type":"BoxAnnotation"}},"id":"f0d3250f-fe04-4dd7-89ee-26ca7c509a26","type":"BoxZoomTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c4a4d529-f1bf-4a83-a1e7-3a4974e1ffd6","type":"PanTool"},{"id":"4e71ecb0-9266-4d52-a194-5853c7310882","type":"WheelZoomTool"},{"id":"f0d3250f-fe04-4dd7-89ee-26ca7c509a26","type":"BoxZoomTool"},{"id":"ffa5d0cf-71d5-46c9-8ddb-423092cb08eb","type":"SaveTool"},{"id":"70a83df1-f221-4424-afbe-c85c7adff6d9","type":"ResetTool"},{"id":"38e67009-47e7-475b-846b-fc80adb035f3","type":"HelpTool"}]},"id":"2dfffb21-f9d0-4dca-b9f2-611214663bfa","type":"Toolbar"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"db592c42-d40f-4334-b30f-4bc7a64e6679","type":"Circle"},{"attributes":{"source":{"id":"2af90baa-055e-417a-aae7-463147c727ec","type":"ColumnDataSource"}},"id":"f52d423a-854d-497a-b968-902e2414f409","type":"CDSView"},{"attributes":{},"id":"897a8678-e82e-4b44-8b2c-3a7c746024c0","type":"BasicTickFormatter"},{"attributes":{},"id":"ffa5d0cf-71d5-46c9-8ddb-423092cb08eb","type":"SaveTool"},{"attributes":{},"id":"38e67009-47e7-475b-846b-fc80adb035f3","type":"HelpTool"},{"attributes":{"below":[{"id":"2795ad5e-7b27-4d1a-8273-3ab37726dec9","type":"LinearAxis"}],"left":[{"id":"a81e7738-5d2a-42e5-ba42-c9f84428634b","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"2795ad5e-7b27-4d1a-8273-3ab37726dec9","type":"LinearAxis"},{"id":"9b2b95b7-b7e8-472c-92e9-197c023b39f3","type":"Grid"},{"id":"a81e7738-5d2a-42e5-ba42-c9f84428634b","type":"LinearAxis"},{"id":"f18bbda4-7176-407a-8971-7c41f74a6ed2","type":"Grid"},{"id":"06f3591a-43fe-4752-bdf0-092fabf5e8f1","type":"BoxAnnotation"},{"id":"2ffde48d-b426-43bb-af33-663c5a177d5f","type":"GlyphRenderer"}],"title":{"id":"d983b5e1-a6ed-49eb-9367-3797508575d7","type":"Title"},"title_location":"left","toolbar":{"id":"2dfffb21-f9d0-4dca-b9f2-611214663bfa","type":"Toolbar"},"x_range":{"id":"b2452dc2-f6a0-49a7-8d94-8c8f3a07ac2a","type":"DataRange1d"},"x_scale":{"id":"eccfaafe-4e28-4168-9738-7a2e17a0b9f8","type":"LinearScale"},"y_range":{"id":"6436c732-b4aa-4988-9af8-33be31ce7d34","type":"DataRange1d"},"y_scale":{"id":"1764f7d9-3111-4c91-a2fd-f420c0ef6b94","type":"LinearScale"}},"id":"f9896739-8581-401c-b31a-7ff0bfd30587","subtype":"Figure","type":"Plot"},{"attributes":{"plot":null,"text":"Left Title"},"id":"d983b5e1-a6ed-49eb-9367-3797508575d7","type":"Title"},{"attributes":{"formatter":{"id":"162a1895-d23a-45cc-aaac-d9804d5ebccb","type":"BasicTickFormatter"},"plot":{"id":"f9896739-8581-401c-b31a-7ff0bfd30587","subtype":"Figure","type":"Plot"},"ticker":{"id":"2f05eb9d-3743-4c94-b1c7-4578921a0073","type":"BasicTicker"}},"id":"a81e7738-5d2a-42e5-ba42-c9f84428634b","type":"LinearAxis"}],"root_ids":["f9896739-8581-401c-b31a-7ff0bfd30587"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"9d3c428d-ea75-4ddb-ac20-4af6f9743a86","elementid":"7ab13045-0e8f-49fc-a232-64d6e8f13a6c","modelid":"f9896739-8581-401c-b31a-7ff0bfd30587"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
