(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("6f5bb14e-c247-4e70-b90f-960cf892651e");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '6f5bb14e-c247-4e70-b90f-960cf892651e' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"bfc6cdc2-e578-42eb-9f9e-54d2c3004abb":{"roots":{"references":[{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"8bade0b7-9250-4185-b72e-d205f9d7ace3","type":"Circle"},{"attributes":{},"id":"5010c96f-ea26-4997-81ac-7bee2fdb259b","type":"BasicTicker"},{"attributes":{},"id":"88c056b5-b7b9-4e31-9259-ded4e7b540b6","type":"WheelZoomTool"},{"attributes":{},"id":"f28522f2-1603-4b76-b15e-6f55ab100f0b","type":"PanTool"},{"attributes":{},"id":"4b91d87e-251e-4c08-8746-63faf70aff67","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"f28522f2-1603-4b76-b15e-6f55ab100f0b","type":"PanTool"},{"id":"88c056b5-b7b9-4e31-9259-ded4e7b540b6","type":"WheelZoomTool"},{"id":"5759c78a-bddc-45b1-bf51-b5c7ed7a7742","type":"BoxZoomTool"},{"id":"a024611d-d23b-4860-bf99-10b7825857c2","type":"SaveTool"},{"id":"c4a88923-a646-42f7-a343-e42e17a99037","type":"ResetTool"},{"id":"9fb94142-5e91-411f-b696-a6f73c538f57","type":"HelpTool"}]},"id":"bfe38161-f1a4-4ffc-a147-3b7c2079b3da","type":"Toolbar"},{"attributes":{},"id":"0a95d812-4bba-4027-bff6-85e4beac24b3","type":"LinearScale"},{"attributes":{},"id":"a024611d-d23b-4860-bf99-10b7825857c2","type":"SaveTool"},{"attributes":{"callback":null},"id":"98aac154-0660-4ff2-8ab8-bad681835a3f","type":"DataRange1d"},{"attributes":{"overlay":{"id":"6d421e2d-e442-4cb1-992d-be56b71b9681","type":"BoxAnnotation"}},"id":"5759c78a-bddc-45b1-bf51-b5c7ed7a7742","type":"BoxZoomTool"},{"attributes":{"plot":{"id":"86f6c574-76fa-41ab-9e17-0f831cc70870","subtype":"Figure","type":"Plot"},"ticker":{"id":"5010c96f-ea26-4997-81ac-7bee2fdb259b","type":"BasicTicker"}},"id":"b6faf027-2156-4155-9253-d8032567e497","type":"Grid"},{"attributes":{"formatter":{"id":"95105360-fa64-4aca-b3e6-86c9ab478b40","type":"BasicTickFormatter"},"plot":{"id":"86f6c574-76fa-41ab-9e17-0f831cc70870","subtype":"Figure","type":"Plot"},"ticker":{"id":"5010c96f-ea26-4997-81ac-7bee2fdb259b","type":"BasicTicker"}},"id":"9e880096-32c9-47e3-95eb-45ec12b59adf","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"58ed8c58-9741-4b66-a849-365cca0614b2","type":"Circle"},{"attributes":{"background_fill_alpha":{"value":0.5},"background_fill_color":{"value":"beige"},"below":[{"id":"9e880096-32c9-47e3-95eb-45ec12b59adf","type":"LinearAxis"}],"left":[{"id":"86afc1fb-779b-4372-b7e3-fdc9baac9229","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"9e880096-32c9-47e3-95eb-45ec12b59adf","type":"LinearAxis"},{"id":"b6faf027-2156-4155-9253-d8032567e497","type":"Grid"},{"id":"86afc1fb-779b-4372-b7e3-fdc9baac9229","type":"LinearAxis"},{"id":"8ef5796e-9844-4041-afc6-1d9a8fcb06d0","type":"Grid"},{"id":"6d421e2d-e442-4cb1-992d-be56b71b9681","type":"BoxAnnotation"},{"id":"b94c20be-a3fd-446e-9a70-751cfe430041","type":"GlyphRenderer"}],"title":{"id":"3dce4518-1c14-4318-a907-8e616b302b7e","type":"Title"},"toolbar":{"id":"bfe38161-f1a4-4ffc-a147-3b7c2079b3da","type":"Toolbar"},"x_range":{"id":"0b5af774-5c78-48a0-8183-12e292c5cbb7","type":"DataRange1d"},"x_scale":{"id":"0a95d812-4bba-4027-bff6-85e4beac24b3","type":"LinearScale"},"y_range":{"id":"98aac154-0660-4ff2-8ab8-bad681835a3f","type":"DataRange1d"},"y_scale":{"id":"9198dc63-b0f4-4df9-982f-54d8bca36add","type":"LinearScale"}},"id":"86f6c574-76fa-41ab-9e17-0f831cc70870","subtype":"Figure","type":"Plot"},{"attributes":{"plot":null,"text":""},"id":"3dce4518-1c14-4318-a907-8e616b302b7e","type":"Title"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"15598434-f645-45f2-9f84-5d6323b92a85","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"86f6c574-76fa-41ab-9e17-0f831cc70870","subtype":"Figure","type":"Plot"},"ticker":{"id":"fe453dcd-f761-4a1c-b362-6ce010111377","type":"BasicTicker"}},"id":"8ef5796e-9844-4041-afc6-1d9a8fcb06d0","type":"Grid"},{"attributes":{},"id":"9198dc63-b0f4-4df9-982f-54d8bca36add","type":"LinearScale"},{"attributes":{},"id":"9fb94142-5e91-411f-b696-a6f73c538f57","type":"HelpTool"},{"attributes":{"data_source":{"id":"15598434-f645-45f2-9f84-5d6323b92a85","type":"ColumnDataSource"},"glyph":{"id":"8bade0b7-9250-4185-b72e-d205f9d7ace3","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"58ed8c58-9741-4b66-a849-365cca0614b2","type":"Circle"},"selection_glyph":null,"view":{"id":"f51ad7cd-ac06-44be-914e-f284a4cb3b83","type":"CDSView"}},"id":"b94c20be-a3fd-446e-9a70-751cfe430041","type":"GlyphRenderer"},{"attributes":{},"id":"c4a88923-a646-42f7-a343-e42e17a99037","type":"ResetTool"},{"attributes":{},"id":"95105360-fa64-4aca-b3e6-86c9ab478b40","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"6d421e2d-e442-4cb1-992d-be56b71b9681","type":"BoxAnnotation"},{"attributes":{},"id":"fe453dcd-f761-4a1c-b362-6ce010111377","type":"BasicTicker"},{"attributes":{"callback":null},"id":"0b5af774-5c78-48a0-8183-12e292c5cbb7","type":"DataRange1d"},{"attributes":{"source":{"id":"15598434-f645-45f2-9f84-5d6323b92a85","type":"ColumnDataSource"}},"id":"f51ad7cd-ac06-44be-914e-f284a4cb3b83","type":"CDSView"},{"attributes":{"formatter":{"id":"4b91d87e-251e-4c08-8746-63faf70aff67","type":"BasicTickFormatter"},"plot":{"id":"86f6c574-76fa-41ab-9e17-0f831cc70870","subtype":"Figure","type":"Plot"},"ticker":{"id":"fe453dcd-f761-4a1c-b362-6ce010111377","type":"BasicTicker"}},"id":"86afc1fb-779b-4372-b7e3-fdc9baac9229","type":"LinearAxis"}],"root_ids":["86f6c574-76fa-41ab-9e17-0f831cc70870"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"bfc6cdc2-e578-42eb-9f9e-54d2c3004abb","elementid":"6f5bb14e-c247-4e70-b90f-960cf892651e","modelid":"86f6c574-76fa-41ab-9e17-0f831cc70870"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
