(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("1a738d40-f322-4dd1-89c5-93642006736d");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '1a738d40-f322-4dd1-89c5-93642006736d' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e4ece557-3a53-4e49-b768-a026d56de603":{"roots":{"references":[{"attributes":{},"id":"fe231769-9ef6-4276-97a8-f78005fbc18b","type":"BasicTickFormatter"},{"attributes":{},"id":"070e4535-9e41-47b2-90bf-352935859824","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"487af85e-abf2-4d7b-905d-b56760b992ba","type":"BoxAnnotation"},{"attributes":{"data_source":{"id":"c2608a3c-4661-42e9-8c15-226957a87917","type":"ColumnDataSource"},"glyph":{"id":"220386c4-9f7d-4a70-9073-6062706fbc3e","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"30b888be-5902-4c41-898c-469f77461e5c","type":"Circle"},"selection_glyph":null,"view":{"id":"234de244-077b-4957-90b6-d4ef15955632","type":"CDSView"}},"id":"809aa2fc-8dd2-423f-b6f3-9693a81d9edb","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"aa52631b-209d-42ec-9459-833f87670767","subtype":"Figure","type":"Plot"},"ticker":{"id":"021c1a5e-3b04-4250-873d-46c5303dcb63","type":"BasicTicker"}},"id":"5ba8a51d-548b-451d-a4dd-2e20b537aa33","type":"Grid"},{"attributes":{},"id":"002cbd3e-6f39-4cef-aa8f-f9b1b569839e","type":"HelpTool"},{"attributes":{"below":[{"id":"598a4b57-d81b-42bf-9bca-b6b6f4db649a","type":"LinearAxis"}],"left":[{"id":"1d58fc8b-98eb-4075-829b-b5c120885a88","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"598a4b57-d81b-42bf-9bca-b6b6f4db649a","type":"LinearAxis"},{"id":"51af863c-0fa5-4b1d-b574-c24953d050ea","type":"Grid"},{"id":"1d58fc8b-98eb-4075-829b-b5c120885a88","type":"LinearAxis"},{"id":"5ba8a51d-548b-451d-a4dd-2e20b537aa33","type":"Grid"},{"id":"487af85e-abf2-4d7b-905d-b56760b992ba","type":"BoxAnnotation"},{"id":"809aa2fc-8dd2-423f-b6f3-9693a81d9edb","type":"GlyphRenderer"}],"title":{"id":"57a3801b-1586-4c24-8958-eddb4011c118","type":"Title"},"toolbar":{"id":"8b3e4d94-a684-430e-9110-c2d839cf4467","type":"Toolbar"},"x_range":{"id":"81e98d02-65e3-479b-aa8d-0739a5a24c5a","type":"DataRange1d"},"x_scale":{"id":"070e4535-9e41-47b2-90bf-352935859824","type":"LinearScale"},"y_range":{"id":"1a8818fb-2bbf-4584-8b14-dfc4288790bb","type":"DataRange1d"},"y_scale":{"id":"10ab4b82-c1ac-4404-961e-cbfb87ae8a27","type":"LinearScale"}},"id":"aa52631b-209d-42ec-9459-833f87670767","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"81e98d02-65e3-479b-aa8d-0739a5a24c5a","type":"DataRange1d"},{"attributes":{"axis_label":"Lot Number","axis_label_standoff":30,"axis_label_text_color":{"value":"#aa6666"},"formatter":{"id":"fe231769-9ef6-4276-97a8-f78005fbc18b","type":"BasicTickFormatter"},"plot":{"id":"aa52631b-209d-42ec-9459-833f87670767","subtype":"Figure","type":"Plot"},"ticker":{"id":"6992bb7b-a01c-46cb-b7a9-43b430bed14d","type":"BasicTicker"}},"id":"598a4b57-d81b-42bf-9bca-b6b6f4db649a","type":"LinearAxis"},{"attributes":{"callback":null},"id":"1a8818fb-2bbf-4584-8b14-dfc4288790bb","type":"DataRange1d"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"220386c4-9f7d-4a70-9073-6062706fbc3e","type":"Circle"},{"attributes":{},"id":"10ab4b82-c1ac-4404-961e-cbfb87ae8a27","type":"LinearScale"},{"attributes":{},"id":"6992bb7b-a01c-46cb-b7a9-43b430bed14d","type":"BasicTicker"},{"attributes":{},"id":"93dcf529-918e-47fd-a374-6d909d3a3743","type":"ResetTool"},{"attributes":{},"id":"495d78c9-d3d5-4175-a144-02b0ef0a6a0d","type":"PanTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"c2608a3c-4661-42e9-8c15-226957a87917","type":"ColumnDataSource"},{"attributes":{"axis_label":"Bin Count","formatter":{"id":"3ecc2369-47a0-467f-8951-51d52b4201f6","type":"BasicTickFormatter"},"plot":{"id":"aa52631b-209d-42ec-9459-833f87670767","subtype":"Figure","type":"Plot"},"ticker":{"id":"021c1a5e-3b04-4250-873d-46c5303dcb63","type":"BasicTicker"}},"id":"1d58fc8b-98eb-4075-829b-b5c120885a88","type":"LinearAxis"},{"attributes":{},"id":"3ecc2369-47a0-467f-8951-51d52b4201f6","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"c2608a3c-4661-42e9-8c15-226957a87917","type":"ColumnDataSource"}},"id":"234de244-077b-4957-90b6-d4ef15955632","type":"CDSView"},{"attributes":{},"id":"45542bca-ef09-48f0-97d1-ef1589d17f13","type":"SaveTool"},{"attributes":{"overlay":{"id":"487af85e-abf2-4d7b-905d-b56760b992ba","type":"BoxAnnotation"}},"id":"2eae7023-fff1-4165-8e5c-a2b1dcb78a6d","type":"BoxZoomTool"},{"attributes":{},"id":"021c1a5e-3b04-4250-873d-46c5303dcb63","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"57a3801b-1586-4c24-8958-eddb4011c118","type":"Title"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"30b888be-5902-4c41-898c-469f77461e5c","type":"Circle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"495d78c9-d3d5-4175-a144-02b0ef0a6a0d","type":"PanTool"},{"id":"5707daf2-39f9-4492-8ea6-f9f24248590c","type":"WheelZoomTool"},{"id":"2eae7023-fff1-4165-8e5c-a2b1dcb78a6d","type":"BoxZoomTool"},{"id":"45542bca-ef09-48f0-97d1-ef1589d17f13","type":"SaveTool"},{"id":"93dcf529-918e-47fd-a374-6d909d3a3743","type":"ResetTool"},{"id":"002cbd3e-6f39-4cef-aa8f-f9b1b569839e","type":"HelpTool"}]},"id":"8b3e4d94-a684-430e-9110-c2d839cf4467","type":"Toolbar"},{"attributes":{"plot":{"id":"aa52631b-209d-42ec-9459-833f87670767","subtype":"Figure","type":"Plot"},"ticker":{"id":"6992bb7b-a01c-46cb-b7a9-43b430bed14d","type":"BasicTicker"}},"id":"51af863c-0fa5-4b1d-b574-c24953d050ea","type":"Grid"},{"attributes":{},"id":"5707daf2-39f9-4492-8ea6-f9f24248590c","type":"WheelZoomTool"}],"root_ids":["aa52631b-209d-42ec-9459-833f87670767"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e4ece557-3a53-4e49-b768-a026d56de603","elementid":"1a738d40-f322-4dd1-89c5-93642006736d","modelid":"aa52631b-209d-42ec-9459-833f87670767"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
