(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("0d0e75dc-d96e-4782-b6b7-69311eac9846");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '0d0e75dc-d96e-4782-b6b7-69311eac9846' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d22af739-5746-43e7-a538-5882b30d4def":{"roots":{"references":[{"attributes":{"formatter":{"id":"c9931ce7-cacb-48b5-896d-d6f78400069c","type":"BasicTickFormatter"},"plot":{"id":"fc1b80c2-2067-4b75-a03a-ed46300c297a","subtype":"Figure","type":"Plot"},"ticker":{"id":"ad994cf2-eca6-4a00-8c5e-07810b4e9c0f","type":"BasicTicker"}},"id":"5111d7be-0a2e-4f5f-a6f7-6bcab030c0c2","type":"LinearAxis"},{"attributes":{},"id":"f83d7e52-e2ee-4f34-aafd-420998c34503","type":"LinearScale"},{"attributes":{"children":[{"id":"a6fc577e-87c7-44a1-aed2-30b35b9d0bc2","type":"ToolbarBox"},{"id":"6efc06ed-1cfa-4a56-9ec9-9d2900af96c2","type":"Column"}]},"id":"5fbdd2a7-ac47-4f54-838b-2b9bd5c408ab","type":"Column"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"2aaa38dd-fef7-4748-a8de-3590adc3325c","type":"BoxAnnotation"},{"attributes":{},"id":"95fffc4d-a863-44c1-9485-9355487464cc","type":"BasicTickFormatter"},{"attributes":{"children":[{"id":"a67d5ede-9e18-409b-bf79-fa4d8551c8ae","type":"Row"}]},"id":"6efc06ed-1cfa-4a56-9ec9-9d2900af96c2","type":"Column"},{"attributes":{"dimension":1,"plot":{"id":"54662917-21fa-4b80-8b43-d17bafde8ffe","subtype":"Figure","type":"Plot"},"ticker":{"id":"cf43b0e8-b39a-4617-96c0-f5d7016d75b4","type":"BasicTicker"}},"id":"0aa2f489-12ce-474e-b28a-51abbaafb638","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y0"}},"id":"6a255261-b383-4a99-b7bd-2ca52cac8e88","type":"Circle"},{"attributes":{"formatter":{"id":"95fffc4d-a863-44c1-9485-9355487464cc","type":"BasicTickFormatter"},"plot":{"id":"54662917-21fa-4b80-8b43-d17bafde8ffe","subtype":"Figure","type":"Plot"},"ticker":{"id":"00b9bb28-7d80-4c93-8cf6-5bfdc5d21145","type":"BasicTicker"}},"id":"ab9deffc-b561-4936-b037-3dfed8529e3d","type":"LinearAxis"},{"attributes":{},"id":"72b50518-4732-481b-9538-e7e822a5109f","type":"BasicTickFormatter"},{"attributes":{},"id":"d9613ed6-4f91-4378-b5f4-7270c901a47a","type":"LinearScale"},{"attributes":{},"id":"6eeeee6b-915a-47f9-b959-3696869fae07","type":"LinearScale"},{"attributes":{"source":{"id":"255f24e5-0769-42b8-88ed-9b60b0f2e310","type":"ColumnDataSource"}},"id":"175c1f56-7b39-4b82-98c0-2fbd845f2ac7","type":"CDSView"},{"attributes":{"formatter":{"id":"72b50518-4732-481b-9538-e7e822a5109f","type":"BasicTickFormatter"},"plot":{"id":"54662917-21fa-4b80-8b43-d17bafde8ffe","subtype":"Figure","type":"Plot"},"ticker":{"id":"cf43b0e8-b39a-4617-96c0-f5d7016d75b4","type":"BasicTicker"}},"id":"94e54d62-a223-4dce-9639-26fccf54b033","type":"LinearAxis"},{"attributes":{"below":[{"id":"ab9deffc-b561-4936-b037-3dfed8529e3d","type":"LinearAxis"}],"left":[{"id":"94e54d62-a223-4dce-9639-26fccf54b033","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"ab9deffc-b561-4936-b037-3dfed8529e3d","type":"LinearAxis"},{"id":"da0ab74c-0383-46fe-a900-8443fa6ee9ef","type":"Grid"},{"id":"94e54d62-a223-4dce-9639-26fccf54b033","type":"LinearAxis"},{"id":"0aa2f489-12ce-474e-b28a-51abbaafb638","type":"Grid"},{"id":"45c0e154-880c-417e-adb4-4b7be603893e","type":"BoxAnnotation"},{"id":"1462b423-f521-4ba0-8ea4-61376e586eff","type":"PolyAnnotation"},{"id":"b4c2cc12-81dc-442b-aefb-e275dba0007b","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"8afb9fba-eb6b-4e0f-9690-add91d239f78","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"210f4aed-4c91-46f8-a9c0-12371b8afa1f","type":"DataRange1d"},"x_scale":{"id":"6eeeee6b-915a-47f9-b959-3696869fae07","type":"LinearScale"},"y_range":{"id":"31dad94d-ff65-41ea-9fd1-2eac4a86725e","type":"DataRange1d"},"y_scale":{"id":"f83d7e52-e2ee-4f34-aafd-420998c34503","type":"LinearScale"}},"id":"54662917-21fa-4b80-8b43-d17bafde8ffe","subtype":"Figure","type":"Plot"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y0"}},"id":"8e9d72c4-9b50-4568-af04-4d3e6a56e7d8","type":"Circle"},{"attributes":{},"id":"16670198-7242-4e7b-86af-fffd871c1911","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y1"}},"id":"b53198a2-51d9-4714-8e2e-75db581d9d2e","type":"Circle"},{"attributes":{"plot":{"id":"54662917-21fa-4b80-8b43-d17bafde8ffe","subtype":"Figure","type":"Plot"},"ticker":{"id":"00b9bb28-7d80-4c93-8cf6-5bfdc5d21145","type":"BasicTicker"}},"id":"da0ab74c-0383-46fe-a900-8443fa6ee9ef","type":"Grid"},{"attributes":{},"id":"00b9bb28-7d80-4c93-8cf6-5bfdc5d21145","type":"BasicTicker"},{"attributes":{},"id":"cf43b0e8-b39a-4617-96c0-f5d7016d75b4","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y1","y0","x"],"data":{"x":[-20,-19,-18,-17,-16,-15,-14,-13,-12,-11,-10,-9,-8,-7,-6,-5,-4,-3,-2,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"y0":[20,19,18,17,16,15,14,13,12,11,10,9,8,7,6,5,4,3,2,1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"y1":[400,361,324,289,256,225,196,169,144,121,100,81,64,49,36,25,16,9,4,1,0,1,4,9,16,25,36,49,64,81,100,121,144,169,196,225,256,289,324,361,400]}},"id":"255f24e5-0769-42b8-88ed-9b60b0f2e310","type":"ColumnDataSource"},{"attributes":{},"id":"47dfe579-a3cb-4682-bb6f-f421d4dea78d","type":"HelpTool"},{"attributes":{},"id":"8e98e360-0648-4fe5-9f37-7979176e66e7","type":"BasicTicker"},{"attributes":{"callback":null},"id":"41f1ebbc-dbd5-4d83-83a4-87ab1a716f79","type":"DataRange1d"},{"attributes":{"callback":null,"overlay":{"id":"2aaa38dd-fef7-4748-a8de-3590adc3325c","type":"BoxAnnotation"},"renderers":[{"id":"d9591182-f09b-4607-aad0-f3c6724f5591","type":"GlyphRenderer"}]},"id":"863cf2e1-bee4-4267-8cd3-84b5b5b658ad","type":"BoxSelectTool"},{"attributes":{"callback":null,"overlay":{"id":"1462b423-f521-4ba0-8ea4-61376e586eff","type":"PolyAnnotation"}},"id":"4179e882-4bad-4d17-a261-90393837b58d","type":"LassoSelectTool"},{"attributes":{"data_source":{"id":"255f24e5-0769-42b8-88ed-9b60b0f2e310","type":"ColumnDataSource"},"glyph":{"id":"8d4a1263-2f12-4646-82f5-ee08b87c5c63","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b53198a2-51d9-4714-8e2e-75db581d9d2e","type":"Circle"},"selection_glyph":null,"view":{"id":"175c1f56-7b39-4b82-98c0-2fbd845f2ac7","type":"CDSView"}},"id":"b4c2cc12-81dc-442b-aefb-e275dba0007b","type":"GlyphRenderer"},{"attributes":{"sizing_mode":"scale_width","toolbar_location":"above","tools":[{"id":"863cf2e1-bee4-4267-8cd3-84b5b5b658ad","type":"BoxSelectTool"},{"id":"3cdd1e2b-c51f-4cb3-9c98-94c067d4bd6f","type":"LassoSelectTool"},{"id":"47dfe579-a3cb-4682-bb6f-f421d4dea78d","type":"HelpTool"},{"id":"3ee5c47d-1186-442f-aec9-cd1440afa7f5","type":"BoxSelectTool"},{"id":"4179e882-4bad-4d17-a261-90393837b58d","type":"LassoSelectTool"},{"id":"1f99d10b-1f08-4413-8fb0-d85f462ce347","type":"HelpTool"}]},"id":"a6fc577e-87c7-44a1-aed2-30b35b9d0bc2","type":"ToolbarBox"},{"attributes":{"callback":null},"id":"31dad94d-ff65-41ea-9fd1-2eac4a86725e","type":"DataRange1d"},{"attributes":{"formatter":{"id":"d2bf3c82-2828-4e75-ba50-461ebc1856d2","type":"BasicTickFormatter"},"plot":{"id":"fc1b80c2-2067-4b75-a03a-ed46300c297a","subtype":"Figure","type":"Plot"},"ticker":{"id":"8e98e360-0648-4fe5-9f37-7979176e66e7","type":"BasicTicker"}},"id":"efa6f1ee-6baf-445a-aa68-53570bf4f5e7","type":"LinearAxis"},{"attributes":{},"id":"ad994cf2-eca6-4a00-8c5e-07810b4e9c0f","type":"BasicTicker"},{"attributes":{"data_source":{"id":"255f24e5-0769-42b8-88ed-9b60b0f2e310","type":"ColumnDataSource"},"glyph":{"id":"8e9d72c4-9b50-4568-af04-4d3e6a56e7d8","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"6a255261-b383-4a99-b7bd-2ca52cac8e88","type":"Circle"},"selection_glyph":null,"view":{"id":"4ce34f5a-8c09-42f0-9bca-9e153cc15bf2","type":"CDSView"}},"id":"d9591182-f09b-4607-aad0-f3c6724f5591","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"efa6f1ee-6baf-445a-aa68-53570bf4f5e7","type":"LinearAxis"}],"left":[{"id":"5111d7be-0a2e-4f5f-a6f7-6bcab030c0c2","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"efa6f1ee-6baf-445a-aa68-53570bf4f5e7","type":"LinearAxis"},{"id":"6410f3ae-308f-49ce-bb20-e98cbf2a796b","type":"Grid"},{"id":"5111d7be-0a2e-4f5f-a6f7-6bcab030c0c2","type":"LinearAxis"},{"id":"70c40090-e1ee-4cdf-b722-16401e1d91c5","type":"Grid"},{"id":"2aaa38dd-fef7-4748-a8de-3590adc3325c","type":"BoxAnnotation"},{"id":"2b673dbd-c5ed-42e4-b10f-68935cb3dc60","type":"PolyAnnotation"},{"id":"d9591182-f09b-4607-aad0-f3c6724f5591","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"1d973f7f-6294-435c-8c1b-94bf86c1a137","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"dd63160b-c19b-463e-880b-5b5d229c720a","type":"DataRange1d"},"x_scale":{"id":"16670198-7242-4e7b-86af-fffd871c1911","type":"LinearScale"},"y_range":{"id":"41f1ebbc-dbd5-4d83-83a4-87ab1a716f79","type":"DataRange1d"},"y_scale":{"id":"d9613ed6-4f91-4378-b5f4-7270c901a47a","type":"LinearScale"}},"id":"fc1b80c2-2067-4b75-a03a-ed46300c297a","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"d2bf3c82-2828-4e75-ba50-461ebc1856d2","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"2b673dbd-c5ed-42e4-b10f-68935cb3dc60","type":"PolyAnnotation"},{"attributes":{"source":{"id":"255f24e5-0769-42b8-88ed-9b60b0f2e310","type":"ColumnDataSource"}},"id":"4ce34f5a-8c09-42f0-9bca-9e153cc15bf2","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"863cf2e1-bee4-4267-8cd3-84b5b5b658ad","type":"BoxSelectTool"},{"id":"3cdd1e2b-c51f-4cb3-9c98-94c067d4bd6f","type":"LassoSelectTool"},{"id":"47dfe579-a3cb-4682-bb6f-f421d4dea78d","type":"HelpTool"}]},"id":"1d973f7f-6294-435c-8c1b-94bf86c1a137","type":"Toolbar"},{"attributes":{"callback":null,"overlay":{"id":"45c0e154-880c-417e-adb4-4b7be603893e","type":"BoxAnnotation"},"renderers":[{"id":"b4c2cc12-81dc-442b-aefb-e275dba0007b","type":"GlyphRenderer"}]},"id":"3ee5c47d-1186-442f-aec9-cd1440afa7f5","type":"BoxSelectTool"},{"attributes":{"children":[{"id":"fc1b80c2-2067-4b75-a03a-ed46300c297a","subtype":"Figure","type":"Plot"},{"id":"54662917-21fa-4b80-8b43-d17bafde8ffe","subtype":"Figure","type":"Plot"}]},"id":"a67d5ede-9e18-409b-bf79-fa4d8551c8ae","type":"Row"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"1462b423-f521-4ba0-8ea4-61376e586eff","type":"PolyAnnotation"},{"attributes":{"plot":{"id":"fc1b80c2-2067-4b75-a03a-ed46300c297a","subtype":"Figure","type":"Plot"},"ticker":{"id":"8e98e360-0648-4fe5-9f37-7979176e66e7","type":"BasicTicker"}},"id":"6410f3ae-308f-49ce-bb20-e98cbf2a796b","type":"Grid"},{"attributes":{"callback":null},"id":"210f4aed-4c91-46f8-a9c0-12371b8afa1f","type":"DataRange1d"},{"attributes":{"callback":null,"overlay":{"id":"2b673dbd-c5ed-42e4-b10f-68935cb3dc60","type":"PolyAnnotation"}},"id":"3cdd1e2b-c51f-4cb3-9c98-94c067d4bd6f","type":"LassoSelectTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"3ee5c47d-1186-442f-aec9-cd1440afa7f5","type":"BoxSelectTool"},{"id":"4179e882-4bad-4d17-a261-90393837b58d","type":"LassoSelectTool"},{"id":"1f99d10b-1f08-4413-8fb0-d85f462ce347","type":"HelpTool"}]},"id":"8afb9fba-eb6b-4e0f-9690-add91d239f78","type":"Toolbar"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"45c0e154-880c-417e-adb4-4b7be603893e","type":"BoxAnnotation"},{"attributes":{},"id":"1f99d10b-1f08-4413-8fb0-d85f462ce347","type":"HelpTool"},{"attributes":{"callback":null},"id":"dd63160b-c19b-463e-880b-5b5d229c720a","type":"DataRange1d"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y1"}},"id":"8d4a1263-2f12-4646-82f5-ee08b87c5c63","type":"Circle"},{"attributes":{},"id":"c9931ce7-cacb-48b5-896d-d6f78400069c","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"fc1b80c2-2067-4b75-a03a-ed46300c297a","subtype":"Figure","type":"Plot"},"ticker":{"id":"ad994cf2-eca6-4a00-8c5e-07810b4e9c0f","type":"BasicTicker"}},"id":"70c40090-e1ee-4cdf-b722-16401e1d91c5","type":"Grid"}],"root_ids":["5fbdd2a7-ac47-4f54-838b-2b9bd5c408ab"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d22af739-5746-43e7-a538-5882b30d4def","elementid":"0d0e75dc-d96e-4782-b6b7-69311eac9846","modelid":"5fbdd2a7-ac47-4f54-838b-2b9bd5c408ab"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
