(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("10f2d1d7-fcfa-4be6-be58-5da418e042e0");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '10f2d1d7-fcfa-4be6-be58-5da418e042e0' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"52f385b1-8f92-4270-878c-504cfce73fef":{"roots":{"references":[{"attributes":{},"id":"6b6eb817-1532-4335-833a-98ade3c19f9a","type":"PanTool"},{"attributes":{},"id":"791d14a1-9a84-43d9-b95d-33abcf650ed9","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"40074674-e62b-4cb5-8187-d93a1ee91a4e","type":"DataRange1d"},{"attributes":{"formatter":{"id":"791d14a1-9a84-43d9-b95d-33abcf650ed9","type":"BasicTickFormatter"},"plot":{"id":"e0336c96-e287-40ec-be6a-a112e080ec49","subtype":"Figure","type":"Plot"},"ticker":{"id":"33b205b1-e000-49f2-83b9-0d30fe7b3117","type":"BasicTicker"}},"id":"db1e1d79-d843-4d70-8c33-338422428843","type":"LinearAxis"},{"attributes":{"callback":null},"id":"72f278aa-a3c0-41fe-93d8-edf6c71162ed","type":"DataRange1d"},{"attributes":{},"id":"f8f87f3f-3bbc-4c50-8493-94e2b63fddab","type":"LinearScale"},{"attributes":{},"id":"33b205b1-e000-49f2-83b9-0d30fe7b3117","type":"BasicTicker"},{"attributes":{"below":[{"id":"05ab7b8a-2304-42be-a315-e3892470abe5","type":"LinearAxis"}],"left":[{"id":"db1e1d79-d843-4d70-8c33-338422428843","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"05ab7b8a-2304-42be-a315-e3892470abe5","type":"LinearAxis"},{"id":"410bbf17-bf69-46cc-a80d-aa0c7f8d7dbd","type":"Grid"},{"id":"db1e1d79-d843-4d70-8c33-338422428843","type":"LinearAxis"},{"id":"c8ecc578-0f67-4485-8398-4afeebdac260","type":"Grid"},{"id":"12e19a4b-05e5-4b2d-a21c-61e6ae645ad1","type":"BoxAnnotation"},{"id":"b68c8f9f-1ea8-4186-a5dc-0bc28625aea3","type":"GlyphRenderer"}],"title":{"id":"a5cd4cf0-d0bb-47b0-94b2-526cb7e79810","type":"Title"},"toolbar":{"id":"c2e8375b-3701-4f4a-9e20-5a130ef7f8f9","type":"Toolbar"},"x_range":{"id":"72f278aa-a3c0-41fe-93d8-edf6c71162ed","type":"DataRange1d"},"x_scale":{"id":"ca91b276-9340-4fad-b966-0e6932024ae0","type":"LinearScale"},"y_range":{"id":"40074674-e62b-4cb5-8187-d93a1ee91a4e","type":"DataRange1d"},"y_scale":{"id":"f8f87f3f-3bbc-4c50-8493-94e2b63fddab","type":"LinearScale"}},"id":"e0336c96-e287-40ec-be6a-a112e080ec49","subtype":"Figure","type":"Plot"},{"attributes":{"ticks":[2,3.5,4]},"id":"ce3f4491-1cad-4e61-80bf-d4569148116f","type":"FixedTicker"},{"attributes":{},"id":"98667168-c954-425a-9fd1-bac6fc392a57","type":"HelpTool"},{"attributes":{"dimension":1,"plot":{"id":"e0336c96-e287-40ec-be6a-a112e080ec49","subtype":"Figure","type":"Plot"},"ticker":{"id":"33b205b1-e000-49f2-83b9-0d30fe7b3117","type":"BasicTicker"}},"id":"c8ecc578-0f67-4485-8398-4afeebdac260","type":"Grid"},{"attributes":{"plot":{"id":"e0336c96-e287-40ec-be6a-a112e080ec49","subtype":"Figure","type":"Plot"},"ticker":{"id":"fa32f782-af2a-442e-af33-7bf595bad6b9","type":"BasicTicker"}},"id":"410bbf17-bf69-46cc-a80d-aa0c7f8d7dbd","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"12e19a4b-05e5-4b2d-a21c-61e6ae645ad1","type":"BoxAnnotation"},{"attributes":{},"id":"ca91b276-9340-4fad-b966-0e6932024ae0","type":"LinearScale"},{"attributes":{"formatter":{"id":"10797ece-f962-4da6-bcef-4547bdcba474","type":"BasicTickFormatter"},"plot":{"id":"e0336c96-e287-40ec-be6a-a112e080ec49","subtype":"Figure","type":"Plot"},"ticker":{"id":"ce3f4491-1cad-4e61-80bf-d4569148116f","type":"FixedTicker"}},"id":"05ab7b8a-2304-42be-a315-e3892470abe5","type":"LinearAxis"},{"attributes":{},"id":"d80b3d10-9a05-4aff-9aa0-8903b09ad0af","type":"ResetTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"bc0b2f19-a86a-44c3-9cfa-a7311418c324","type":"Circle"},{"attributes":{},"id":"10797ece-f962-4da6-bcef-4547bdcba474","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"dc91fa98-dfb9-461b-bdc6-2eaee4e960ef","type":"Circle"},{"attributes":{},"id":"fa32f782-af2a-442e-af33-7bf595bad6b9","type":"BasicTicker"},{"attributes":{"source":{"id":"b0908cfc-a96e-44cd-9cca-baeb19a73e6f","type":"ColumnDataSource"}},"id":"3b81ea34-0b13-4d7c-adf4-178a5bac78a4","type":"CDSView"},{"attributes":{"plot":null,"text":""},"id":"a5cd4cf0-d0bb-47b0-94b2-526cb7e79810","type":"Title"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"6b6eb817-1532-4335-833a-98ade3c19f9a","type":"PanTool"},{"id":"cded7a20-4072-4c6c-8d78-b7e4ecbd532d","type":"WheelZoomTool"},{"id":"be85946e-d9be-4f2b-bf51-2e39775b7f43","type":"BoxZoomTool"},{"id":"f908b5af-c825-4bba-8ff2-dec8b0b7cb7d","type":"SaveTool"},{"id":"d80b3d10-9a05-4aff-9aa0-8903b09ad0af","type":"ResetTool"},{"id":"98667168-c954-425a-9fd1-bac6fc392a57","type":"HelpTool"}]},"id":"c2e8375b-3701-4f4a-9e20-5a130ef7f8f9","type":"Toolbar"},{"attributes":{"data_source":{"id":"b0908cfc-a96e-44cd-9cca-baeb19a73e6f","type":"ColumnDataSource"},"glyph":{"id":"dc91fa98-dfb9-461b-bdc6-2eaee4e960ef","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"bc0b2f19-a86a-44c3-9cfa-a7311418c324","type":"Circle"},"selection_glyph":null,"view":{"id":"3b81ea34-0b13-4d7c-adf4-178a5bac78a4","type":"CDSView"}},"id":"b68c8f9f-1ea8-4186-a5dc-0bc28625aea3","type":"GlyphRenderer"},{"attributes":{},"id":"f908b5af-c825-4bba-8ff2-dec8b0b7cb7d","type":"SaveTool"},{"attributes":{"overlay":{"id":"12e19a4b-05e5-4b2d-a21c-61e6ae645ad1","type":"BoxAnnotation"}},"id":"be85946e-d9be-4f2b-bf51-2e39775b7f43","type":"BoxZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"b0908cfc-a96e-44cd-9cca-baeb19a73e6f","type":"ColumnDataSource"},{"attributes":{},"id":"cded7a20-4072-4c6c-8d78-b7e4ecbd532d","type":"WheelZoomTool"}],"root_ids":["e0336c96-e287-40ec-be6a-a112e080ec49"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"52f385b1-8f92-4270-878c-504cfce73fef","elementid":"10f2d1d7-fcfa-4be6-be58-5da418e042e0","modelid":"e0336c96-e287-40ec-be6a-a112e080ec49"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
