(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("8f0fd3ed-6666-448c-a22b-eb49e268c468");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '8f0fd3ed-6666-448c-a22b-eb49e268c468' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"847048f7-a12c-426e-8892-9a78d0f313a9":{"roots":{"references":[{"attributes":{},"id":"67416b8e-0438-4680-b3d5-4f2c2f27e4e7","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"573a50ba-affd-4abd-a6b9-060dc6f81476","type":"Title"},{"attributes":{},"id":"947e4858-7fd9-43a3-b2d0-52a2fa6617ed","type":"PanTool"},{"attributes":{},"id":"cc62bd92-d79b-4ffb-a073-a063a4b51469","type":"LinearScale"},{"attributes":{},"id":"6cc71015-86f9-43ac-93ec-0fff0d30158c","type":"SaveTool"},{"attributes":{},"id":"d272d378-de3d-46b2-befd-5122ab85ec5c","type":"ResetTool"},{"attributes":{"bottom":{"field":"bottom"},"fill_color":{"value":"#B3DE69"},"left":{"field":"left"},"line_color":{"value":"#B3DE69"},"right":{"field":"right"},"top":{"field":"top"}},"id":"b455c18b-5d34-4249-ba52-9a698e6b356e","type":"Quad"},{"attributes":{},"id":"5a62145e-f68e-490f-9e73-bb87f2f1daa5","type":"HelpTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"60f3df5b-fe85-4747-8232-995a5ff00eee","type":"BoxAnnotation"},{"attributes":{},"id":"d1ad35e8-39b0-4321-ade5-265950334ca0","type":"WheelZoomTool"},{"attributes":{},"id":"39affd02-b6da-4bf6-8052-42097648cc54","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"60f3df5b-fe85-4747-8232-995a5ff00eee","type":"BoxAnnotation"}},"id":"ebf513c1-0bfa-4a17-aa38-9bf55fcb8dba","type":"BoxZoomTool"},{"attributes":{},"id":"eb5a367b-3d61-49b0-b9eb-9910177a2c24","type":"LinearScale"},{"attributes":{"formatter":{"id":"a08bedae-e11c-44c4-a397-d6acd3f7d01c","type":"BasicTickFormatter"},"plot":{"id":"f14dadab-9815-45cc-902a-b7b0d987b427","subtype":"Figure","type":"Plot"},"ticker":{"id":"67416b8e-0438-4680-b3d5-4f2c2f27e4e7","type":"BasicTicker"}},"id":"f9baf8bd-8c5c-4308-a6a4-eaf3499d3fad","type":"LinearAxis"},{"attributes":{"callback":null},"id":"f91dffd5-7213-4b8b-a09e-b48514aac85d","type":"DataRange1d"},{"attributes":{"data_source":{"id":"cba4fb4c-037b-43b0-9e3e-488ecb122cac","type":"ColumnDataSource"},"glyph":{"id":"b455c18b-5d34-4249-ba52-9a698e6b356e","type":"Quad"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b098d77f-2347-427d-9735-88d1de7c59dc","type":"Quad"},"selection_glyph":null,"view":{"id":"6e28ee45-1183-4790-a7f3-eadf8906ba76","type":"CDSView"}},"id":"0574ec35-6815-487d-b469-f1c1d9382322","type":"GlyphRenderer"},{"attributes":{},"id":"057a2025-c50a-4db4-92bb-030e66187ba4","type":"BasicTicker"},{"attributes":{"callback":null},"id":"8ebee0c6-7469-4ab2-ad19-76b3ef9fe597","type":"DataRange1d"},{"attributes":{},"id":"a08bedae-e11c-44c4-a397-d6acd3f7d01c","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"7ea7b336-98ee-447d-beae-3bca1adb732c","type":"LinearAxis"}],"left":[{"id":"f9baf8bd-8c5c-4308-a6a4-eaf3499d3fad","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"7ea7b336-98ee-447d-beae-3bca1adb732c","type":"LinearAxis"},{"id":"43b71c63-f950-401d-9028-cefbe1f51fb8","type":"Grid"},{"id":"f9baf8bd-8c5c-4308-a6a4-eaf3499d3fad","type":"LinearAxis"},{"id":"944cfeeb-61b5-4932-a9d2-dbcc36bd7945","type":"Grid"},{"id":"60f3df5b-fe85-4747-8232-995a5ff00eee","type":"BoxAnnotation"},{"id":"0574ec35-6815-487d-b469-f1c1d9382322","type":"GlyphRenderer"}],"title":{"id":"573a50ba-affd-4abd-a6b9-060dc6f81476","type":"Title"},"toolbar":{"id":"938efe8d-e7bc-4931-ba38-97f0242432d1","type":"Toolbar"},"x_range":{"id":"f91dffd5-7213-4b8b-a09e-b48514aac85d","type":"DataRange1d"},"x_scale":{"id":"eb5a367b-3d61-49b0-b9eb-9910177a2c24","type":"LinearScale"},"y_range":{"id":"8ebee0c6-7469-4ab2-ad19-76b3ef9fe597","type":"DataRange1d"},"y_scale":{"id":"cc62bd92-d79b-4ffb-a073-a063a4b51469","type":"LinearScale"}},"id":"f14dadab-9815-45cc-902a-b7b0d987b427","subtype":"Figure","type":"Plot"},{"attributes":{"dimension":1,"plot":{"id":"f14dadab-9815-45cc-902a-b7b0d987b427","subtype":"Figure","type":"Plot"},"ticker":{"id":"67416b8e-0438-4680-b3d5-4f2c2f27e4e7","type":"BasicTicker"}},"id":"944cfeeb-61b5-4932-a9d2-dbcc36bd7945","type":"Grid"},{"attributes":{"callback":null,"column_names":["top","right","left","bottom"],"data":{"bottom":[1,2,3],"left":[1,2,3],"right":[1.2,2.5,3.7],"top":[2,3,4]}},"id":"cba4fb4c-037b-43b0-9e3e-488ecb122cac","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"39affd02-b6da-4bf6-8052-42097648cc54","type":"BasicTickFormatter"},"plot":{"id":"f14dadab-9815-45cc-902a-b7b0d987b427","subtype":"Figure","type":"Plot"},"ticker":{"id":"057a2025-c50a-4db4-92bb-030e66187ba4","type":"BasicTicker"}},"id":"7ea7b336-98ee-447d-beae-3bca1adb732c","type":"LinearAxis"},{"attributes":{"bottom":{"field":"bottom"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"left":{"field":"left"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"field":"right"},"top":{"field":"top"}},"id":"b098d77f-2347-427d-9735-88d1de7c59dc","type":"Quad"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"947e4858-7fd9-43a3-b2d0-52a2fa6617ed","type":"PanTool"},{"id":"d1ad35e8-39b0-4321-ade5-265950334ca0","type":"WheelZoomTool"},{"id":"ebf513c1-0bfa-4a17-aa38-9bf55fcb8dba","type":"BoxZoomTool"},{"id":"6cc71015-86f9-43ac-93ec-0fff0d30158c","type":"SaveTool"},{"id":"d272d378-de3d-46b2-befd-5122ab85ec5c","type":"ResetTool"},{"id":"5a62145e-f68e-490f-9e73-bb87f2f1daa5","type":"HelpTool"}]},"id":"938efe8d-e7bc-4931-ba38-97f0242432d1","type":"Toolbar"},{"attributes":{"plot":{"id":"f14dadab-9815-45cc-902a-b7b0d987b427","subtype":"Figure","type":"Plot"},"ticker":{"id":"057a2025-c50a-4db4-92bb-030e66187ba4","type":"BasicTicker"}},"id":"43b71c63-f950-401d-9028-cefbe1f51fb8","type":"Grid"},{"attributes":{"source":{"id":"cba4fb4c-037b-43b0-9e3e-488ecb122cac","type":"ColumnDataSource"}},"id":"6e28ee45-1183-4790-a7f3-eadf8906ba76","type":"CDSView"}],"root_ids":["f14dadab-9815-45cc-902a-b7b0d987b427"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"847048f7-a12c-426e-8892-9a78d0f313a9","elementid":"8f0fd3ed-6666-448c-a22b-eb49e268c468","modelid":"f14dadab-9815-45cc-902a-b7b0d987b427"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
