(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("dfc7b57e-5a27-4dbe-bb1d-8bf4480bc1b7");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'dfc7b57e-5a27-4dbe-bb1d-8bf4480bc1b7' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"f1988329-8dd1-42b3-82d4-c55d3c135328":{"roots":{"references":[{"attributes":{"dimension":1,"plot":{"id":"15275bbe-aaa4-4465-a34a-77f2472f48ee","subtype":"Figure","type":"Plot"},"ticker":{"id":"2a58d2ce-ef95-46f4-947e-68f3671653ac","type":"CategoricalTicker"}},"id":"c8750e65-56c7-43e6-bc8e-062b1d46dc76","type":"Grid"},{"attributes":{},"id":"2a58d2ce-ef95-46f4-947e-68f3671653ac","type":"CategoricalTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"d35e667a-2d6b-4cdb-b228-ef2ad129f03e","type":"PanTool"},{"id":"38c1e3e7-729b-4f88-80f5-405dab6c5fcf","type":"WheelZoomTool"},{"id":"5196da90-5aec-4697-a86c-c9fb2c7907cb","type":"BoxZoomTool"},{"id":"4df2ecd8-06f4-4345-a102-bb2ffe072fb1","type":"SaveTool"},{"id":"a629d5b8-edba-4cd4-99d1-2ca223e90191","type":"ResetTool"},{"id":"b4235b92-adb8-46e9-ab4e-a9ae01b6a5bb","type":"HelpTool"}]},"id":"331e03d6-1448-4a57-b33d-8d186fb06eda","type":"Toolbar"},{"attributes":{"plot":{"id":"15275bbe-aaa4-4465-a34a-77f2472f48ee","subtype":"Figure","type":"Plot"},"ticker":{"id":"2ad3b114-b34d-4dac-8c33-6b156203947c","type":"BasicTicker"}},"id":"8087bcf1-b465-475a-9b6b-341e1128f1fc","type":"Grid"},{"attributes":{},"id":"2ad3b114-b34d-4dac-8c33-6b156203947c","type":"BasicTicker"},{"attributes":{},"id":"05bd7be2-088e-4c98-a35c-bee8bf461764","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"dd143663-9bfe-42f5-b2a0-0b87a64e69de","type":"ColumnDataSource"}},"id":"f9344809-0ea5-4725-b14a-058b4883527d","type":"CDSView"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[50,40,65,10,25,37,80,60],"y":["a","b","c","d","e","f","g","h"]}},"id":"dd143663-9bfe-42f5-b2a0-0b87a64e69de","type":"ColumnDataSource"},{"attributes":{},"id":"38c1e3e7-729b-4f88-80f5-405dab6c5fcf","type":"WheelZoomTool"},{"attributes":{},"id":"65a19a11-c848-4f01-8991-f71265f452a1","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"size":{"units":"screen","value":15},"x":{"field":"x"},"y":{"field":"y"}},"id":"66d94cdd-e744-4dc8-95d9-73e55b71bd48","type":"Circle"},{"attributes":{"callback":null},"id":"a45376d6-e6f9-4b3c-96e9-bb5079657852","type":"DataRange1d"},{"attributes":{},"id":"8e25134c-edb5-4e60-a382-df53810a7869","type":"CategoricalTickFormatter"},{"attributes":{"formatter":{"id":"05bd7be2-088e-4c98-a35c-bee8bf461764","type":"BasicTickFormatter"},"plot":{"id":"15275bbe-aaa4-4465-a34a-77f2472f48ee","subtype":"Figure","type":"Plot"},"ticker":{"id":"2ad3b114-b34d-4dac-8c33-6b156203947c","type":"BasicTicker"}},"id":"c0088e6c-90b5-4fbc-93c8-7f1ef6f375f5","type":"LinearAxis"},{"attributes":{"data_source":{"id":"dd143663-9bfe-42f5-b2a0-0b87a64e69de","type":"ColumnDataSource"},"glyph":{"id":"d11af91d-9436-4395-9830-621afe3ccdab","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"66d94cdd-e744-4dc8-95d9-73e55b71bd48","type":"Circle"},"selection_glyph":null,"view":{"id":"f9344809-0ea5-4725-b14a-058b4883527d","type":"CDSView"}},"id":"dedb555c-9982-4421-878a-c8fcabe6cbea","type":"GlyphRenderer"},{"attributes":{"fill_color":{"value":"orange"},"line_color":{"value":"green"},"line_width":{"value":3},"size":{"units":"screen","value":15},"x":{"field":"x"},"y":{"field":"y"}},"id":"d11af91d-9436-4395-9830-621afe3ccdab","type":"Circle"},{"attributes":{},"id":"4df2ecd8-06f4-4345-a102-bb2ffe072fb1","type":"SaveTool"},{"attributes":{"overlay":{"id":"e6150a60-5353-42ee-8efd-883509f9170d","type":"BoxAnnotation"}},"id":"5196da90-5aec-4697-a86c-c9fb2c7907cb","type":"BoxZoomTool"},{"attributes":{},"id":"d35e667a-2d6b-4cdb-b228-ef2ad129f03e","type":"PanTool"},{"attributes":{},"id":"b4235b92-adb8-46e9-ab4e-a9ae01b6a5bb","type":"HelpTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"e6150a60-5353-42ee-8efd-883509f9170d","type":"BoxAnnotation"},{"attributes":{"callback":null,"factors":["a","b","c","d","e","f","g","h"]},"id":"e526f1da-a052-40cb-b6bb-b6f036a7bf3d","type":"FactorRange"},{"attributes":{"formatter":{"id":"8e25134c-edb5-4e60-a382-df53810a7869","type":"CategoricalTickFormatter"},"plot":{"id":"15275bbe-aaa4-4465-a34a-77f2472f48ee","subtype":"Figure","type":"Plot"},"ticker":{"id":"2a58d2ce-ef95-46f4-947e-68f3671653ac","type":"CategoricalTicker"}},"id":"cdc9d4d2-355a-47f3-b6eb-e74d358d0c39","type":"CategoricalAxis"},{"attributes":{"below":[{"id":"c0088e6c-90b5-4fbc-93c8-7f1ef6f375f5","type":"LinearAxis"}],"left":[{"id":"cdc9d4d2-355a-47f3-b6eb-e74d358d0c39","type":"CategoricalAxis"}],"renderers":[{"id":"c0088e6c-90b5-4fbc-93c8-7f1ef6f375f5","type":"LinearAxis"},{"id":"8087bcf1-b465-475a-9b6b-341e1128f1fc","type":"Grid"},{"id":"cdc9d4d2-355a-47f3-b6eb-e74d358d0c39","type":"CategoricalAxis"},{"id":"c8750e65-56c7-43e6-bc8e-062b1d46dc76","type":"Grid"},{"id":"e6150a60-5353-42ee-8efd-883509f9170d","type":"BoxAnnotation"},{"id":"dedb555c-9982-4421-878a-c8fcabe6cbea","type":"GlyphRenderer"}],"title":{"id":"1382b238-8707-4403-bf74-58442b2528a9","type":"Title"},"toolbar":{"id":"331e03d6-1448-4a57-b33d-8d186fb06eda","type":"Toolbar"},"x_range":{"id":"a45376d6-e6f9-4b3c-96e9-bb5079657852","type":"DataRange1d"},"x_scale":{"id":"65a19a11-c848-4f01-8991-f71265f452a1","type":"LinearScale"},"y_range":{"id":"e526f1da-a052-40cb-b6bb-b6f036a7bf3d","type":"FactorRange"},"y_scale":{"id":"4c005d60-f664-4e8e-ab30-9b29e6af6c41","type":"CategoricalScale"}},"id":"15275bbe-aaa4-4465-a34a-77f2472f48ee","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"a629d5b8-edba-4cd4-99d1-2ca223e90191","type":"ResetTool"},{"attributes":{},"id":"4c005d60-f664-4e8e-ab30-9b29e6af6c41","type":"CategoricalScale"},{"attributes":{"plot":null,"text":""},"id":"1382b238-8707-4403-bf74-58442b2528a9","type":"Title"}],"root_ids":["15275bbe-aaa4-4465-a34a-77f2472f48ee"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"f1988329-8dd1-42b3-82d4-c55d3c135328","elementid":"dfc7b57e-5a27-4dbe-bb1d-8bf4480bc1b7","modelid":"15275bbe-aaa4-4465-a34a-77f2472f48ee"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
