(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("76257ead-656f-4899-9c45-b31613fbd469");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '76257ead-656f-4899-9c45-b31613fbd469' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"1e004ce4-c3c4-4995-9205-7a765e75dffb":{"roots":{"references":[{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"46d27ad5-4638-4e68-bc8a-e309d43e75dd","type":"VBar"},{"attributes":{"callback":null,"column_names":["x","top"],"data":{"top":[5,3,4,2,4,6],"x":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"38dcc6ab-5d2f-4542-a1c8-d6e053f5d81a","type":"ColumnDataSource"},{"attributes":{},"id":"04aa7340-419d-4f0d-a3a3-fef475066997","type":"CategoricalTicker"},{"attributes":{"formatter":{"id":"71a2878a-7827-4184-855d-56cce980cf1c","type":"CategoricalTickFormatter"},"plot":{"id":"08103387-d5e1-4a2f-ad72-7488bbf5ebe3","subtype":"Figure","type":"Plot"},"ticker":{"id":"04aa7340-419d-4f0d-a3a3-fef475066997","type":"CategoricalTicker"}},"id":"073705f6-277d-43bb-b602-233389736e1d","type":"CategoricalAxis"},{"attributes":{},"id":"71a2878a-7827-4184-855d-56cce980cf1c","type":"CategoricalTickFormatter"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"dff3af8b-f4d5-4a7d-8d66-d57b3942d631","type":"FactorRange"},{"attributes":{},"id":"a899ebe5-e41f-41e1-a62a-02f593bd19b6","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"cd8450bd-b59d-4a8b-aa5d-b4e60e1a33b1","type":"Toolbar"},{"attributes":{"source":{"id":"38dcc6ab-5d2f-4542-a1c8-d6e053f5d81a","type":"ColumnDataSource"}},"id":"fc8daac3-bfb0-4918-91d0-f76fa3e83437","type":"CDSView"},{"attributes":{},"id":"c2e5cf4f-b2a8-45ec-8eec-becc847da6c4","type":"BasicTicker"},{"attributes":{"below":[{"id":"073705f6-277d-43bb-b602-233389736e1d","type":"CategoricalAxis"}],"left":[{"id":"7db4fae5-bac6-4565-9a18-bb4dde61b233","type":"LinearAxis"}],"plot_height":350,"renderers":[{"id":"073705f6-277d-43bb-b602-233389736e1d","type":"CategoricalAxis"},{"id":"907bd764-ec57-42a5-8539-c58953b65b7a","type":"Grid"},{"id":"7db4fae5-bac6-4565-9a18-bb4dde61b233","type":"LinearAxis"},{"id":"ee34b534-b289-485b-a29d-24bd5f904258","type":"Grid"},{"id":"e5033c98-1ed9-4a1c-b9a9-08559212d087","type":"GlyphRenderer"}],"title":{"id":"7879a400-e773-41ae-a8d5-6c834bb3433e","type":"Title"},"toolbar":{"id":"cd8450bd-b59d-4a8b-aa5d-b4e60e1a33b1","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"dff3af8b-f4d5-4a7d-8d66-d57b3942d631","type":"FactorRange"},"x_scale":{"id":"b35a331a-fbde-4bd9-9b89-bcf9333a48dc","type":"CategoricalScale"},"y_range":{"id":"6f7a9583-4506-4dd8-a788-e5f3879879b9","type":"DataRange1d"},"y_scale":{"id":"d2000b91-0ef5-47e7-8602-31412a8ea9ae","type":"LinearScale"}},"id":"08103387-d5e1-4a2f-ad72-7488bbf5ebe3","subtype":"Figure","type":"Plot"},{"attributes":{"data_source":{"id":"38dcc6ab-5d2f-4542-a1c8-d6e053f5d81a","type":"ColumnDataSource"},"glyph":{"id":"b1baf57e-8681-4b08-af66-2f48961583ae","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"46d27ad5-4638-4e68-bc8a-e309d43e75dd","type":"VBar"},"selection_glyph":null,"view":{"id":"fc8daac3-bfb0-4918-91d0-f76fa3e83437","type":"CDSView"}},"id":"e5033c98-1ed9-4a1c-b9a9-08559212d087","type":"GlyphRenderer"},{"attributes":{},"id":"d2000b91-0ef5-47e7-8602-31412a8ea9ae","type":"LinearScale"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"b1baf57e-8681-4b08-af66-2f48961583ae","type":"VBar"},{"attributes":{"dimension":1,"plot":{"id":"08103387-d5e1-4a2f-ad72-7488bbf5ebe3","subtype":"Figure","type":"Plot"},"ticker":{"id":"c2e5cf4f-b2a8-45ec-8eec-becc847da6c4","type":"BasicTicker"}},"id":"ee34b534-b289-485b-a29d-24bd5f904258","type":"Grid"},{"attributes":{"callback":null,"start":0},"id":"6f7a9583-4506-4dd8-a788-e5f3879879b9","type":"DataRange1d"},{"attributes":{"formatter":{"id":"a899ebe5-e41f-41e1-a62a-02f593bd19b6","type":"BasicTickFormatter"},"plot":{"id":"08103387-d5e1-4a2f-ad72-7488bbf5ebe3","subtype":"Figure","type":"Plot"},"ticker":{"id":"c2e5cf4f-b2a8-45ec-8eec-becc847da6c4","type":"BasicTicker"}},"id":"7db4fae5-bac6-4565-9a18-bb4dde61b233","type":"LinearAxis"},{"attributes":{},"id":"b35a331a-fbde-4bd9-9b89-bcf9333a48dc","type":"CategoricalScale"},{"attributes":{"plot":null,"text":"Fruit Counts"},"id":"7879a400-e773-41ae-a8d5-6c834bb3433e","type":"Title"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"08103387-d5e1-4a2f-ad72-7488bbf5ebe3","subtype":"Figure","type":"Plot"},"ticker":{"id":"04aa7340-419d-4f0d-a3a3-fef475066997","type":"CategoricalTicker"}},"id":"907bd764-ec57-42a5-8539-c58953b65b7a","type":"Grid"}],"root_ids":["08103387-d5e1-4a2f-ad72-7488bbf5ebe3"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"1e004ce4-c3c4-4995-9205-7a765e75dffb","elementid":"76257ead-656f-4899-9c45-b31613fbd469","modelid":"08103387-d5e1-4a2f-ad72-7488bbf5ebe3"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
