(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("4a7d7130-065c-46f0-82e2-97318c628d48");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '4a7d7130-065c-46f0-82e2-97318c628d48' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"6a568d3a-4aa0-4142-87aa-241a8665f591":{"roots":{"references":[{"attributes":{"formatter":{"id":"9a73dc02-0478-4910-9759-c32bda50169d","type":"BasicTickFormatter"},"plot":{"id":"8974bf53-50bb-4693-9753-d8f9d267c435","subtype":"Figure","type":"Plot"},"ticker":{"id":"7cb6934f-e8bb-4b25-80d4-7c8f9a350950","type":"BasicTicker"}},"id":"f196a36f-d823-4693-bcbc-5575e0ebc437","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"d8d5fbda-5047-49cd-9a16-90ad05601f3f","type":"PolyAnnotation"},{"attributes":{},"id":"f323a4f6-8625-4b57-b911-398d4454ed47","type":"BasicTicker"},{"attributes":{"callback":null,"overlay":{"id":"d8d5fbda-5047-49cd-9a16-90ad05601f3f","type":"PolyAnnotation"}},"id":"34d0f48d-a3c4-46dc-be00-b1af50f51262","type":"LassoSelectTool"},{"attributes":{"fill_alpha":{"value":0.4},"fill_color":{"field":"color"},"line_alpha":{"value":0.4},"line_color":{"field":"color"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"fb120ca6-700d-477c-9ce2-40a36c8bc328","type":"Circle"},{"attributes":{"plot":null,"text":"Select Here"},"id":"cb685420-8acc-48e7-bd5c-e6bada8ada20","type":"Title"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"34d0f48d-a3c4-46dc-be00-b1af50f51262","type":"LassoSelectTool"}]},"id":"71d03daa-2031-495d-be78-7fdbb1e1f7f2","type":"Toolbar"},{"attributes":{"args":{"s2":{"id":"ee3d959d-6a0d-49ff-b880-7d6c0153f24c","type":"ColumnDataSource"}},"code":"\n        var inds = cb_obj.selected['1d'].indices;\n        var d = cb_obj.data;\n        var ym = 0\n\n        if (inds.length == 0) { return; }\n\n        for (i = 0; i < d['color'].length; i++) {\n            d['color'][i] = \"navy\"\n        }\n        for (i = 0; i < inds.length; i++) {\n            d['color'][inds[i]] = \"firebrick\"\n            ym += d['y'][inds[i]]\n        }\n\n        ym /= inds.length\n        s2.data['ym'] = [ym, ym]\n\n        cb_obj.change.emit();\n        s2.change.emit();\n    "},"id":"6dea17d7-074f-494e-bccf-1da8e44f3024","type":"CustomJS"},{"attributes":{"data_source":{"id":"ee3d959d-6a0d-49ff-b880-7d6c0153f24c","type":"ColumnDataSource"},"glyph":{"id":"e03e0b26-21d1-4c20-a8ad-58a929d9debe","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"f65ccb73-7dae-4039-9c38-752904a42024","type":"Line"},"selection_glyph":null,"view":{"id":"a9a437e5-4ab6-434f-a81e-5b2db2f937e3","type":"CDSView"}},"id":"d69bd716-209c-45fc-b48c-fe62323d7b38","type":"GlyphRenderer"},{"attributes":{"source":{"id":"ee3d959d-6a0d-49ff-b880-7d6c0153f24c","type":"ColumnDataSource"}},"id":"a9a437e5-4ab6-434f-a81e-5b2db2f937e3","type":"CDSView"},{"attributes":{},"id":"c6565026-d690-4569-afd2-6d6765520270","type":"LinearScale"},{"attributes":{"callback":{"id":"6dea17d7-074f-494e-bccf-1da8e44f3024","type":"CustomJS"},"column_names":["color","y","x"],"data":{"color":["navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy"],"x":[0.37897242651951735,0.049341678030490166,0.7800318726481119,0.3431744764191246,0.4346876092033104,0.7380980571674738,0.2329466360369692,0.60313356380281,0.46513674051625253,0.47606812568316625,0.13182621719382737,0.4225733831430881,0.8569479181037852,0.15491146391576593,0.7688296910235165,0.7338197628641612,0.3883081135752837,0.033032953709387636,0.7905999906205787,0.668073571655821,0.6304056782310682,0.7872897561159394,0.9267621657406536,0.09478697601010089,0.17787364456330257,0.996936811194586,0.37725204653160915,0.41796975224072486,0.20242138723815872,0.10944575558722103,0.8198638716918644,0.19117067502878993,0.01430851885071227,0.9340201027839883,0.853026198632834,0.8773379787365195,0.6780612066786388,0.7632081542170616,0.9145723248654686,0.7390211007002474,0.9848743722861701,0.7110079745209501,0.9500255896677114,0.9422448802204729,0.022982044505204247,0.32530135699349483,0.9559769864208232,0.4354860456330498,0.01858768435432956,0.8528335385137159,0.05565239002441025,0.4040444639064832,0.7346651703323985,0.5871006758894354,0.35500323117055366,0.09850767554052353,0.73437064729336,0.5821603047054201,0.9265104557826678,0.7359140935464278,0.13162589313741146,0.8849230041891709,0.5257120403235106,0.7167109396681166,0.21624825594889474,0.7255410618390046,0.009459045766082363,0.6459284538442517,0.49620758601348625,0.16462206294548842,0.6254550118969917,0.223507546320584,0.5408575978740168,0.8273151628009788,0.07768329828889664,0.402944215476696,0.791786279133372,0.43732217359566605,0.41120240663685614,0.5614147411853736,0.5104953721158918,0.49929913618348143,0.49764465917612477,0.8031350739913676,0.9988259943865693,0.803837206616414,0.8723464873396997,0.2520516559000786,0.569573867013741,0.8589983379133321,0.6282777583154562,0.9666985292792565,0.38785662516421004,0.2451859568039616,0.5552604268331286,0.9060507874284424,0.1413608926526565,0.35099753997525385,0.07410585848395623,0.9037352234920919,0.12476237467182871,0.7210028785725863,0.5710951036146039,0.46428861688262135,0.567156794892012,0.023364003884945306,0.7692290717863703,0.31853972299418754,0.9690793728444721,0.05930105796775098,0.20402746045424291,0.6926965345635939,0.976956976199763,0.35580105465933953,0.05062946897947718,0.8848020115076008,0.6050374923225326,0.8987847618911087,0.16609402001401408,0.595492406980502,0.3949279967439,0.8870428399841331,0.8252289368001756,0.44481407386199256,0.8253929074611559,0.8037769956455907,0.9328291957530509,0.08317508731051848,0.6814767686878841,0.2953970647554104,0.504160614504885,0.9467952145893636,0.5107426110791194,0.7992050402483102,0.0503422006327785,0.18205380091475531,0.7130410188501649,0.8175986469433726,0.6793637509805105,0.09256258885850133,0.4493580156343121,0.10914786116074104,0.2566689620636058,0.030123808931749485,0.8344575002464707,0.7404088559658827,0.28868145851414295,0.44392558614104904,0.06544676071530642,0.042340687119989506,0.3771195206424641,0.790720135704793,0.1562219012621976,0.1746650827196783,0.9145724017101577,0.8175331104751423,0.5284008102777001,0.4253639966616609,0.9518353958237515,0.7637156047036061,0.052964953202390586,0.3116018822261798,0.631401945358217,0.28641859783383083,0.8766238146135709,0.6770770523443785,0.44954823015994183,0.5130903021401249,0.37223433185812693,0.5234682872649813,0.7473860620219773,0.736111536073713,0.6221134494550475,0.8758721124478007,0.16425534753084192,0.2984862208606086,0.23871273632707002,0.20735122567256337,0.6655227007705331,0.1821137677211806,0.2684027010569424,0.5375672785679593,0.734809673401463,0.6701968273044534,0.17093942666480022,0.9451147272741002,0.6847627285432022,0.08276612736914124,0.9004095340630435,0.7615030879691386,0.12055367108143311,0.7462871840020396,0.8970118894691941,0.07726013301948254,0.5367529037422131,0.6614836216618576,0.8074937710944522,0.7444323004162192,0.17967533058858487,0.2998866601684854,0.4584121562865471,0.9074740716147912,0.10890365671012647,0.7885931845377495,0.8665834217901778,0.19596185221837026,0.7842518778826104,0.9782598630023642,0.3727731946262889,0.07833867997738753,0.9101076823003393,0.8192142090283879,0.7349593373217981,0.28454669680436484,0.428690820298667,0.8128278727770639,0.6591076151753593,0.7466016411282413,0.5728430404813346,0.9815422249590497,0.4912016584267421,0.5280960815383583,0.8104387814412178,0.17635507691347785,0.7772028321157028,0.6939910468237689,0.4443311096551018,0.8369412047580708,0.7069028626637804,0.6923852936499545,0.5186399571876387,0.4749298735987516,0.15524128678644378,0.5386151295620144,0.7635870915193423,0.7365209354988124,0.4029472984971053,0.15558150229447587,0.060422467943446856,0.618629118182363,0.3540578975165297,0.4763230182424718,0.8268739251565452,0.7079501647324047,0.8286781455813008,0.7400685402936216,0.510767036747192,0.310955942285025,0.9590667329307163,0.44182295836765906,0.686104176883785,0.562134123720023,0.6039853252489032,0.16313418287992687,0.3705840704280874,0.9422410116008028,0.8007406144270917,0.6730352016182926,0.9789581200456668,0.10902985303410972,0.32592272527288946,0.7531103289725591,0.1993620001988401,0.6865548057174322,0.37681978517489,0.5301357704417206,0.5166655329480554,0.5040959938718884,0.23237880208550155,0.9050613227821509,0.7163178905461036,0.41133794288859205,0.0807516832836146,0.06273698508579795,0.2507731618868665,0.8129380299573452,0.5065017531251469,0.697707302213003,0.2748528436042247,0.22723976022503456,0.7032858607836213,0.9891218868247457,0.6126238347373489,0.9888556039197466,0.7996170409128918,0.46287081828972854,0.40261454956727316,0.21337532097237666,0.7649559291770048,0.6513560599158374,0.15168260454105364,0.4365223184706347,0.5370553915663833,0.7647882921918007,0.6857586318122144,0.7963647839834207,0.7561673153516573,0.4641027299512249,0.31588926008486196,0.8456301916370843,0.796242321923511,0.8167650667579541,0.0018377873335465589,0.5287057130447674,0.8293343022467252,0.869366962257501,0.9747274383868989,0.9041424800513395,0.43847751059234896,0.176058967773688,0.01600829676165083,0.8574822280130343,0.024934885058162437,0.5477112359497497,0.7255758621047654,0.12152147268975788,0.8234301683804045,0.7584614624763935,0.721715645307285,0.21923165059181982,0.16658248643516715,0.5916684441114883,0.34770318523336563,0.44121788391958094,0.061499586715638155,0.28201972787709717,0.9471215829769294,0.0026843566721749257,0.2107822731833311,0.0904660116834759,0.6758764610518679,0.305817326501713,0.557048149443245,0.08398519302343987,0.10922658588526468,0.6976183956141736,0.8024903894291332,0.5989970038294328,0.7414216194724174,0.12220826250417083,0.2365253499414901,0.7697070473053987,0.8023674614931889,0.6417356434906059,0.7821692618399776,0.8427047951245024,0.12106905247618405,0.3142079934957476,0.9938629485832878,0.5178399422959147,0.7127852742619665,0.40607520240233286,0.07359566021053743,0.025548173160132248,0.9452677543793864,0.8094985649711759,0.24418891719940428,0.8479360111541046,0.3752931745084368,0.8575979232341164,0.14946906240314461,0.1083010059641526,0.7470788540846448,0.24738511946504416,0.7157568224659687,0.1292675242938094,0.2076614429857987,0.08647777277675672,0.463716163078117,0.3552631005900597,0.4728415843923687,0.01711683024884647,0.521847066878229,0.01056007370817913,0.8680270383732246,0.3491872402434696,0.30975768461419206,0.6546196934829774,0.9891212228964199,0.8223507452350598,0.3869769345096181,0.23788169921901092,0.5742872028521453,0.025508855292235122,0.18380121311910946,0.4167559203119868,0.28265690776285035,0.07059912622021713,0.657633488746911,0.7577567576548652,0.12793400936345511,0.19649452399206535,0.22472244138536002,0.3727759910068832,0.2786598318936735,0.7940344102653749,0.45267969147345466,0.0564396617624614,0.8718407111207183,0.3592170531229387,0.5456393071482704,0.341426728867845,0.7872773574585831,0.9962898127264357,0.6824349170343981,0.5882638062378427,0.9426483713548772,0.30421890456209355,0.12017391498803132,0.8573836644508329,0.5417101695859519,0.06159353252894395,0.6454576542825654,0.16108168704653403,0.24358705781582002,0.12715219514600562,0.8672374790709524,0.8689130398029242,0.1761693835529441,0.042392732185150606,0.16703571864972355,0.7596690291442153,0.8909399896236863,0.4419068689463581,0.8113089416320088,0.06363937831316735,0.8413509768250975,0.2904978738777553,0.6145255530605298,0.26134579040769,0.2094027154786663,0.8844667939436931,0.6412190125983759,0.7254124919983532,0.4123608030907181,0.8378355580099498,0.8540895654680155,0.5331604952483275,0.8891831436408881,0.19578946371820904,0.08218079637421671,0.9920336935803121,0.24991625783152105,0.012046832580098643,0.5866477916219405,0.6485197466252912,0.989211257878036,0.6877788878083949,0.6554313703059433,0.7632534060362374,0.7372536867572225,0.45031076944658865,0.15859127396320338,0.42604589095940804,0.37191440143515675,0.6158376743261804,0.9274397504947568,0.3154655000418145,0.7015125512298561,0.4181297518331244,0.9314974332202915,0.35829722405254194,0.07231356431492786,0.2875543353832758,0.6112116946969607,0.1389147437690128,0.6420654551317088,0.8606069875336069,0.04935193654920156,0.47639319704919014,0.9482897354819599,0.9172003679063768,0.7612098277706404,0.16124893295117615,0.34181049280051545,0.33876944758847405,0.34598574794609793,0.45875263524922827,0.25565809657855865,0.7219067812950549,0.8964987156324463,0.9057600094699388,0.3147858393465438,0.6594257413762229,0.5856054777552728,0.2500857309278358,0.2423905083873057,0.06436685193989022,0.3225516041811033,0.3747270413711711,0.2654936446102558,0.4513329696844257,0.7543561486832379,0.3645219308794524,0.4254350335527586,0.8738711732750499,0.8335263455963191,0.6954774867187212,0.9297416572731494,0.44087566945262724],"y":[0.48724839789425367,0.6951314835920882,0.09730992805825345,0.4814298640755733,0.43421308958700544,0.09805172350188618,0.6796078566404922,0.040149700369552566,0.8495371053954309,0.04171365073787847,0.20826604512051938,0.8686411028314968,0.3984361918966849,0.2958587114546545,0.6009953332195658,0.5321392541368531,0.2586679478793418,0.2988139094436332,0.7856777854706991,0.628600399965978,0.7919311819722721,0.6509772035066679,0.820849684773731,0.7993393607767246,0.9338241746281472,0.679966097560699,0.5778849046291679,0.8552578122435255,0.5072892549081882,0.1687612195471222,0.6939813330053886,0.26614733172183724,0.8840199138192467,0.9064557495696581,0.6189982063085073,0.10412857700599287,0.2975221799822555,0.9588235585414855,0.19696308233363746,0.4271901850358477,0.3990345860075506,0.23904115101857892,0.8238403617714652,0.8735788234589733,0.266503709906149,0.16442740654379928,0.11314720398916234,0.6685909412520545,0.16427798321696496,0.3176853118683062,0.41556220500585095,0.7021143855826196,0.05623257913740887,0.7111160408518582,0.9011066476742065,0.6611924028314936,0.9034263219441598,0.3053342237021106,0.19910551078670058,0.42828305599170235,0.8551644742988572,0.9494608195056988,0.041282262138270354,0.5659243741316545,0.6100702554752355,0.14080092675674816,0.47321307279705604,0.46141496625215306,0.5393617513894934,0.9831811119966319,0.6156831467110815,0.01712147790387686,0.40304956453138163,0.8697228068517157,0.42516762494416294,0.25245004909145097,0.9037241476489701,0.5711742886054816,0.858009663745802,0.9603451793910527,0.015307678162038596,0.3938182354148776,0.7483589984967451,0.5522973881035409,0.12184060642290018,0.04095661735019729,0.3085393560556743,0.21495343386929222,0.9979594587493027,0.051983222572649534,0.38482422897254176,0.7518719664436913,0.5116800213327963,0.329373791708259,0.5619606527525962,0.6018305507037709,0.9650977498396587,0.9765702558623779,0.800410959917424,0.7181668527109025,0.1692059581558597,0.498785863383299,0.6696577524824154,0.5828479343110039,0.378307801323467,0.17218412766507785,0.47949853710039625,0.8293465658345309,0.9895982234262016,0.708996028778171,0.626136995770555,0.8092806646497305,0.7558308980032449,0.37158280170618896,0.7897437045209855,0.08673088654674566,0.7288059045143103,0.6629206446645478,0.6578319043059997,0.8631687556086797,0.09167795194202688,0.16505437393145694,0.3475586847960932,0.3097393931013952,0.8960347001571953,0.5660400051728475,0.03220973357274659,0.34190427750555485,0.04559352844971265,0.37666158379212356,0.6631999577480052,0.30531609085479805,0.47896908308892105,0.8626927415083555,0.9998981464047859,0.7801894455987135,0.18570056220119002,0.906838167100104,0.6944542896143895,0.285905472406664,0.09649465791399525,0.6838640919336627,0.7722626364104686,0.8738941634412254,0.9276716119729949,0.5218819432298202,0.32036206498148534,0.032596754970772746,0.5146711566977534,0.9443748398554022,0.8182745639564573,0.9603236333274446,0.13787164532394836,0.2657017174055215,0.6952679923814958,0.2715841821493612,0.013495795143707023,0.13511033364324798,0.7703686774216968,0.7214122884409003,0.11326184963649988,0.581022221840135,0.8886907464763647,0.3588185525918438,0.962826313881937,0.05288825965869792,0.020620729750630118,0.042451363182198665,0.07619075010692422,0.5605863254886256,0.3962107523060594,0.49069458926293774,0.784041564348018,0.6174493621826308,0.05223336253523869,0.25387042828880235,0.7343531518787464,0.1508911113133239,0.6643303777225927,0.2993903050976273,0.4080674305390042,0.12930966649731435,0.4901100676005078,0.28413939247580267,0.8102714642217069,0.013023165377274326,0.1707854047546482,0.7872245406754076,0.6753029779564239,0.38720704271080386,0.7548705553776641,0.09492793190549342,0.6598989487666364,0.6364022346758949,0.13226568635315827,0.7059328255915042,0.6131350701010576,0.961094320857728,0.20364834829880685,0.5844352182576062,0.8515383709247915,0.8412540985073862,0.3339421959486779,0.8732961493440757,0.9053631659519993,0.4748912088688262,0.14547359585694175,0.10856749450886038,0.48735194918552627,0.22672709218011788,0.7755350241538475,0.26731871782110506,0.4423997996576605,0.48033390398832143,0.0670414850514175,0.2657097949879751,0.8843821221638776,0.8431227428781126,0.2311702289438896,0.3799643099798199,0.2588561438746252,0.3407385837897988,0.8521620937846645,0.3952307601108874,0.6861986225282244,0.6541411383859372,0.0050322596519954965,0.5191150317026059,0.7138548369058235,0.11963048663635767,0.4256176331901034,0.8592424422617799,0.41434052708939006,0.749630638832049,0.57631684334882,0.6389951930025956,0.5319060268775568,0.7556276887575927,0.7504748606841505,0.45934701115263044,0.09579937034323383,0.98200263487868,0.5365119646808291,0.1794446273721797,0.4534579709153914,0.009636418422295678,0.49528607183481566,0.6300619330934132,0.8651155925455083,0.4181056449925341,0.2712826304570892,0.10919030312044653,0.38337160708171725,0.3991786758781827,0.6050602125271412,0.6080431074104898,0.28849414040441035,0.7638823684445607,0.9908306050928098,0.36586755153700945,0.7485540640762193,0.049914125024697165,0.14873325547910776,0.3440686937680968,0.5678050033807656,0.5984804228461098,0.9956001740443872,0.5390485832734364,0.15124672250723514,0.5777040156376823,0.7229128876675108,0.6493604244445141,0.402977910787202,0.9036212284212444,0.4942221933715528,0.15859353493689432,0.3056175775536435,0.04181346186427304,0.4060446562871566,0.6569464825234818,0.4506817238714337,0.027279243410793796,0.7171678109679591,0.23326617890369827,0.11632509014488457,0.032987971270343586,0.035173339582962426,0.6210376762934304,0.9176895531195086,0.813864541937808,0.18812551735692284,0.4224825616494645,0.185005220274862,0.47885650464329166,0.8379226799878087,0.8169927412420749,0.6114275502201949,0.7490360162400334,0.7255716556558508,0.7922229795453437,0.7071038380080105,0.1862016067600657,0.6282258326689937,0.4568947499052961,0.7801931948412673,0.33224709832805976,0.2022605047204279,0.040760602123694145,0.3533100085033576,0.6711208169394655,0.29497127690251,0.12676487652103363,0.7720633431652226,0.5763230148796273,0.5036642890765934,0.663241667749188,0.7270532969811717,0.8015155581506023,0.5752196912834645,0.7295582478736957,0.3375867429467835,0.800833622344163,0.4154649006527814,0.5515780808236687,0.527570720068853,0.4811794111355586,0.21990082217116536,0.2768798537246763,0.9181853748029889,0.015932238181364577,0.7293823180149416,0.7207717183587291,0.9363846010734768,0.128609378187574,0.06924044145890862,0.6453141951914275,0.4231940030744822,0.5755304262812876,0.5702644450625102,0.05752740569270187,0.10880348652141114,0.05088037189630046,0.31956415603451926,0.14058677481662618,0.9522627275149778,0.6518025598277272,0.2742114539915428,0.15919539375912817,0.5556409119182615,0.5469526991125534,0.4165936361974335,0.7858074838074441,0.41283580892897986,0.2348293850129216,0.710783175261844,0.33262559750251663,0.9416421518599125,0.2597017541324237,0.7804336303677376,0.5522534485471288,0.8431189033811036,0.40755162091998165,0.17397726236187272,0.963662416053002,0.16147885567305742,0.6387522245723195,0.5184232890461415,0.03095297150685583,0.7351019741401856,0.7829227627207112,0.3460657925446904,0.44947988894902946,0.6698766763433918,0.38905464204616014,0.07146591929344381,0.6910493992373847,0.2127260351134126,0.48798332942462574,0.32102704180388086,0.8674384191962925,0.12121587772747344,0.11469029982226797,0.4915018736181689,0.5042375332574127,0.449645614877623,0.061027853993507075,0.34249558399898417,0.765510562176768,0.29602853645842053,0.0637064585731677,0.6800344036070779,0.4538452728582031,0.7051886986574659,0.3096627065489662,0.10907403725925768,0.19935988368736135,0.1557483130297055,0.7312251316621509,0.17228377713047893,0.4085243376332769,0.5958103291725272,0.27604039967774685,0.4576363029787891,0.5185391297699482,0.4490742777824236,0.42567076033901863,0.460958799029073,0.7966732234293342,0.6534686780869121,0.24622919413259536,0.9723522113893861,0.5042364856436317,0.5831643226162633,0.8371861089059077,0.4920887048789464,0.24473965803584574,0.38827560547342577,0.2530510795139267,0.08291654144401028,0.18778371584386933,0.011676218933317384,0.5693065627088583,0.17741371819482454,0.511853048996724,0.5734390462669121,0.9654294691453904,0.9831244523731657,0.7400272173994762,0.6591960800939882,0.6403141301564745,0.8997595198844844,0.4533815338183842,0.45680885247202263,0.9786325194067537,0.42939577186750866,0.6872392062629755,0.5991606426461724,0.20256566315290536,0.6266482989301394,0.9281751351444015,0.18862548544098956,0.2822517013927899,0.7897815063091804,0.20799827837693774,0.39107878513384164,0.6332330870781679,0.6686217222876198,0.03800921920039335,0.7424090067193431,0.976894030562998,0.7323579305956501,0.7540130840181426,0.9092086448592642,0.6831892693596553,0.5334579053414109,0.12639085321416976,0.8663327840670079,0.6358213495437361,0.24375842501746714,0.31269013689251035,0.6154657577124829,0.8023365080522298,0.05582499659349771,0.26582682330854035,0.39336468522821566,0.8550903401879335,0.5477387085385167,0.37645833111370886,0.31341320851027654,0.8103946719438546,0.33021438721646745,0.6224563688444457,0.32117567637223365,0.7150494002874208,0.3972205481838361,0.18456275048687076,0.9121744102335002,0.28466177738863174,0.3434664389117198,0.37923698351846447,0.31715061359977026,0.9226679306619432,0.7605973300137835,0.8220223838962505,0.35193348942781644,0.34455908036343397,0.5923490934107384,0.3321973487763419,0.9745706703110332,0.17810285461586972,0.8710570088406672,0.27784762794910545,0.6909932950763652,0.42972191788765035,0.7148765833810208,0.02577578790613555,0.37101464265456163,0.5002257660290669,0.5219559106019984,0.7749542795965356]}},"id":"4b23054b-7f21-47bc-b298-774ca162d7b8","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"4b23054b-7f21-47bc-b298-774ca162d7b8","type":"ColumnDataSource"},"glyph":{"id":"fb120ca6-700d-477c-9ce2-40a36c8bc328","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"06190440-fa1f-40c5-a7f8-0ea608b42281","type":"Circle"},"selection_glyph":null,"view":{"id":"6686a20d-5fd8-40d0-99f9-95f149435065","type":"CDSView"}},"id":"e6949635-3034-44e7-b0f8-932db38e3b76","type":"GlyphRenderer"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":5},"x":{"field":"x"},"y":{"field":"ym"}},"id":"f65ccb73-7dae-4039-9c38-752904a42024","type":"Line"},{"attributes":{},"id":"9f8562f5-9bd4-4505-a167-e2d7190cde5d","type":"LinearScale"},{"attributes":{"below":[{"id":"f196a36f-d823-4693-bcbc-5575e0ebc437","type":"LinearAxis"}],"left":[{"id":"a18f640d-7952-44ac-8b7a-529ca764308a","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"f196a36f-d823-4693-bcbc-5575e0ebc437","type":"LinearAxis"},{"id":"64303a80-a7da-4dc8-a582-1a574d4b351f","type":"Grid"},{"id":"a18f640d-7952-44ac-8b7a-529ca764308a","type":"LinearAxis"},{"id":"c6aba47a-4446-4666-a430-231618180a4d","type":"Grid"},{"id":"d8d5fbda-5047-49cd-9a16-90ad05601f3f","type":"PolyAnnotation"},{"id":"e6949635-3034-44e7-b0f8-932db38e3b76","type":"GlyphRenderer"},{"id":"d69bd716-209c-45fc-b48c-fe62323d7b38","type":"GlyphRenderer"}],"title":{"id":"cb685420-8acc-48e7-bd5c-e6bada8ada20","type":"Title"},"toolbar":{"id":"71d03daa-2031-495d-be78-7fdbb1e1f7f2","type":"Toolbar"},"x_range":{"id":"8045690c-d262-4af8-be57-8fe326717fb0","type":"DataRange1d"},"x_scale":{"id":"9f8562f5-9bd4-4505-a167-e2d7190cde5d","type":"LinearScale"},"y_range":{"id":"21a33bc0-073a-48cf-94e2-f3a3ce4bfb8d","type":"DataRange1d"},"y_scale":{"id":"c6565026-d690-4569-afd2-6d6765520270","type":"LinearScale"}},"id":"8974bf53-50bb-4693-9753-d8f9d267c435","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"9a73dc02-0478-4910-9759-c32bda50169d","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"2117f493-7a5e-46fc-a1ab-e04456630e3a","type":"BasicTickFormatter"},"plot":{"id":"8974bf53-50bb-4693-9753-d8f9d267c435","subtype":"Figure","type":"Plot"},"ticker":{"id":"f323a4f6-8625-4b57-b911-398d4454ed47","type":"BasicTicker"}},"id":"a18f640d-7952-44ac-8b7a-529ca764308a","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["x","ym"],"data":{"x":[0,1],"ym":[0.5,0.5]}},"id":"ee3d959d-6a0d-49ff-b880-7d6c0153f24c","type":"ColumnDataSource"},{"attributes":{"line_alpha":{"value":0.6},"line_color":{"value":"orange"},"line_width":{"value":5},"x":{"field":"x"},"y":{"field":"ym"}},"id":"e03e0b26-21d1-4c20-a8ad-58a929d9debe","type":"Line"},{"attributes":{"plot":{"id":"8974bf53-50bb-4693-9753-d8f9d267c435","subtype":"Figure","type":"Plot"},"ticker":{"id":"7cb6934f-e8bb-4b25-80d4-7c8f9a350950","type":"BasicTicker"}},"id":"64303a80-a7da-4dc8-a582-1a574d4b351f","type":"Grid"},{"attributes":{"source":{"id":"4b23054b-7f21-47bc-b298-774ca162d7b8","type":"ColumnDataSource"}},"id":"6686a20d-5fd8-40d0-99f9-95f149435065","type":"CDSView"},{"attributes":{},"id":"7cb6934f-e8bb-4b25-80d4-7c8f9a350950","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"06190440-fa1f-40c5-a7f8-0ea608b42281","type":"Circle"},{"attributes":{"dimension":1,"plot":{"id":"8974bf53-50bb-4693-9753-d8f9d267c435","subtype":"Figure","type":"Plot"},"ticker":{"id":"f323a4f6-8625-4b57-b911-398d4454ed47","type":"BasicTicker"}},"id":"c6aba47a-4446-4666-a430-231618180a4d","type":"Grid"},{"attributes":{"callback":null},"id":"8045690c-d262-4af8-be57-8fe326717fb0","type":"DataRange1d"},{"attributes":{},"id":"2117f493-7a5e-46fc-a1ab-e04456630e3a","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"21a33bc0-073a-48cf-94e2-f3a3ce4bfb8d","type":"DataRange1d"}],"root_ids":["8974bf53-50bb-4693-9753-d8f9d267c435"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"6a568d3a-4aa0-4142-87aa-241a8665f591","elementid":"4a7d7130-065c-46f0-82e2-97318c628d48","modelid":"8974bf53-50bb-4693-9753-d8f9d267c435"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
