(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("4e5d5d60-aa5b-44db-9913-b080f3c28f75");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '4e5d5d60-aa5b-44db-9913-b080f3c28f75' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"b6fa6a38-c75b-4737-814f-ac81c803d7f4":{"roots":{"references":[{"attributes":{"plot":null,"text":""},"id":"8998a0c2-1b71-4ac4-adec-50ae99fb09a6","type":"Title"},{"attributes":{"formatter":{"id":"215caa4b-3fe6-497a-ac3b-7f561565d0ff","type":"BasicTickFormatter"},"plot":{"id":"83605607-69c0-4990-9861-bb8288fd96f5","subtype":"Figure","type":"Plot"},"ticker":{"id":"371b9aa4-3114-47ca-b503-0bafee6f762b","type":"BasicTicker"}},"id":"726b72db-dbe2-4b90-9d0b-288d2cd4e554","type":"LinearAxis"},{"attributes":{},"id":"371b9aa4-3114-47ca-b503-0bafee6f762b","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.1},"x":{"field":"x"},"y":{"field":"y"}},"id":"0112380c-51dd-4e07-91f9-19b75589d73b","type":"Circle"},{"attributes":{},"id":"a1ad5ab6-1e14-4558-92cd-7a8dece3a9e5","type":"HelpTool"},{"attributes":{"below":[{"id":"276ac32e-8870-42eb-abdd-1c34deaa5ee4","type":"LinearAxis"}],"left":[{"id":"726b72db-dbe2-4b90-9d0b-288d2cd4e554","type":"LinearAxis"}],"renderers":[{"id":"276ac32e-8870-42eb-abdd-1c34deaa5ee4","type":"LinearAxis"},{"id":"77fda070-78f4-427a-a711-b1da253230b5","type":"Grid"},{"id":"726b72db-dbe2-4b90-9d0b-288d2cd4e554","type":"LinearAxis"},{"id":"64f7f304-497d-4ec7-a9b5-a9d92abd223c","type":"Grid"},{"id":"54ed734a-4652-4e7a-b236-29a901797cec","type":"BoxAnnotation"},{"id":"2f69b07d-a027-4eda-a77d-47b26e5974e5","type":"GlyphRenderer"},{"id":"26f1dbdc-68ed-4d64-934c-e32ee36b230d","type":"Arrow"},{"id":"798bd6d9-5d67-474f-8e9d-1add7d081a55","type":"Arrow"},{"id":"314b6bfe-5f58-4eba-bd36-6664572d53b0","type":"Arrow"}],"title":{"id":"8998a0c2-1b71-4ac4-adec-50ae99fb09a6","type":"Title"},"toolbar":{"id":"c3977c77-53d2-4021-9ad7-c364396d3eff","type":"Toolbar"},"x_range":{"id":"21383c5a-83e7-43a2-a717-9dc0fb5a976d","type":"DataRange1d"},"x_scale":{"id":"52f0d876-81c6-4100-8a59-28860599bd29","type":"LinearScale"},"y_range":{"id":"e6d3c6cb-64ab-4126-8d12-1cf657fa17c4","type":"DataRange1d"},"y_scale":{"id":"81b5a110-b9cf-4b3a-ba49-4576fe8bf1e7","type":"LinearScale"}},"id":"83605607-69c0-4990-9861-bb8288fd96f5","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"648058e5-fbba-44cd-8857-fcbb3b229c44","type":"WheelZoomTool"},{"attributes":{},"id":"215caa4b-3fe6-497a-ac3b-7f561565d0ff","type":"BasicTickFormatter"},{"attributes":{"plot":null,"size":35},"id":"ecae54e2-10ec-4f53-9c19-ed7e09b545ce","type":"VeeHead"},{"attributes":{"line_color":{"value":"firebrick"},"line_width":{"value":4},"plot":null},"id":"a0f9d79e-372a-42aa-93cf-4f8247ffe00e","type":"OpenHead"},{"attributes":{"fill_color":{"value":"orange"},"plot":null},"id":"1a277d76-f5f1-40f6-9eb5-b96eff0bbcc8","type":"NormalHead"},{"attributes":{"plot":{"id":"83605607-69c0-4990-9861-bb8288fd96f5","subtype":"Figure","type":"Plot"},"ticker":{"id":"58e1e058-fe9c-423d-a991-92e032dcddd8","type":"BasicTicker"}},"id":"77fda070-78f4-427a-a711-b1da253230b5","type":"Grid"},{"attributes":{},"id":"e46afa89-9571-4b4e-8d9f-ce5d41cefb7b","type":"BasicTickFormatter"},{"attributes":{"end":{"id":"1a277d76-f5f1-40f6-9eb5-b96eff0bbcc8","type":"NormalHead"},"plot":{"id":"83605607-69c0-4990-9861-bb8288fd96f5","subtype":"Figure","type":"Plot"},"source":null,"start":null,"x_end":{"value":0.5},"x_start":{"value":1},"y_end":{"value":0.7},"y_start":{"value":0}},"id":"798bd6d9-5d67-474f-8e9d-1add7d081a55","type":"Arrow"},{"attributes":{"end":{"id":"a0f9d79e-372a-42aa-93cf-4f8247ffe00e","type":"OpenHead"},"plot":{"id":"83605607-69c0-4990-9861-bb8288fd96f5","subtype":"Figure","type":"Plot"},"source":null,"start":null,"x_end":{"value":1},"x_start":{"value":0},"y_end":{"value":0},"y_start":{"value":0}},"id":"26f1dbdc-68ed-4d64-934c-e32ee36b230d","type":"Arrow"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"54ed734a-4652-4e7a-b236-29a901797cec","type":"BoxAnnotation"},{"attributes":{},"id":"58e1e058-fe9c-423d-a991-92e032dcddd8","type":"BasicTicker"},{"attributes":{"callback":null},"id":"e6d3c6cb-64ab-4126-8d12-1cf657fa17c4","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y","x","line_color","fill_color"],"data":{"fill_color":["navy","yellow","red"],"line_color":["navy","yellow","red"],"x":[0,1,0.5],"y":[0,0,0.7]}},"id":"070581e3-1f08-4e56-b798-6ad946928409","type":"ColumnDataSource"},{"attributes":{"overlay":{"id":"54ed734a-4652-4e7a-b236-29a901797cec","type":"BoxAnnotation"}},"id":"a0d2c250-98c9-496b-af89-3fefb3a38460","type":"BoxZoomTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"d60ff5b5-9062-4055-85b3-4b41722b4598","type":"PanTool"},{"id":"648058e5-fbba-44cd-8857-fcbb3b229c44","type":"WheelZoomTool"},{"id":"a0d2c250-98c9-496b-af89-3fefb3a38460","type":"BoxZoomTool"},{"id":"0e3aede5-3e50-44af-8d09-8559156f68f5","type":"SaveTool"},{"id":"666e3221-7ba9-4e1a-a34c-b0920040d899","type":"ResetTool"},{"id":"a1ad5ab6-1e14-4558-92cd-7a8dece3a9e5","type":"HelpTool"}]},"id":"c3977c77-53d2-4021-9ad7-c364396d3eff","type":"Toolbar"},{"attributes":{},"id":"0e3aede5-3e50-44af-8d09-8559156f68f5","type":"SaveTool"},{"attributes":{"data_source":{"id":"070581e3-1f08-4e56-b798-6ad946928409","type":"ColumnDataSource"},"glyph":{"id":"74d29c3c-5810-4654-aad8-b1bf6f77b922","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"0112380c-51dd-4e07-91f9-19b75589d73b","type":"Circle"},"selection_glyph":null,"view":{"id":"caaaa6f2-1b6a-4b0a-8f77-40c4096337c6","type":"CDSView"}},"id":"2f69b07d-a027-4eda-a77d-47b26e5974e5","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"83605607-69c0-4990-9861-bb8288fd96f5","subtype":"Figure","type":"Plot"},"ticker":{"id":"371b9aa4-3114-47ca-b503-0bafee6f762b","type":"BasicTicker"}},"id":"64f7f304-497d-4ec7-a9b5-a9d92abd223c","type":"Grid"},{"attributes":{"end":{"id":"ecae54e2-10ec-4f53-9c19-ed7e09b545ce","type":"VeeHead"},"line_color":{"value":"red"},"plot":{"id":"83605607-69c0-4990-9861-bb8288fd96f5","subtype":"Figure","type":"Plot"},"source":null,"start":null,"x_end":{"value":0},"x_start":{"value":0.5},"y_end":{"value":0},"y_start":{"value":0.7}},"id":"314b6bfe-5f58-4eba-bd36-6664572d53b0","type":"Arrow"},{"attributes":{},"id":"666e3221-7ba9-4e1a-a34c-b0920040d899","type":"ResetTool"},{"attributes":{},"id":"d60ff5b5-9062-4055-85b3-4b41722b4598","type":"PanTool"},{"attributes":{"source":{"id":"070581e3-1f08-4e56-b798-6ad946928409","type":"ColumnDataSource"}},"id":"caaaa6f2-1b6a-4b0a-8f77-40c4096337c6","type":"CDSView"},{"attributes":{"callback":null},"id":"21383c5a-83e7-43a2-a717-9dc0fb5a976d","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"field":"fill_color"},"line_color":{"field":"line_color"},"radius":{"units":"data","value":0.1},"x":{"field":"x"},"y":{"field":"y"}},"id":"74d29c3c-5810-4654-aad8-b1bf6f77b922","type":"Circle"},{"attributes":{"formatter":{"id":"e46afa89-9571-4b4e-8d9f-ce5d41cefb7b","type":"BasicTickFormatter"},"plot":{"id":"83605607-69c0-4990-9861-bb8288fd96f5","subtype":"Figure","type":"Plot"},"ticker":{"id":"58e1e058-fe9c-423d-a991-92e032dcddd8","type":"BasicTicker"}},"id":"276ac32e-8870-42eb-abdd-1c34deaa5ee4","type":"LinearAxis"},{"attributes":{},"id":"52f0d876-81c6-4100-8a59-28860599bd29","type":"LinearScale"},{"attributes":{},"id":"81b5a110-b9cf-4b3a-ba49-4576fe8bf1e7","type":"LinearScale"}],"root_ids":["83605607-69c0-4990-9861-bb8288fd96f5"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"b6fa6a38-c75b-4737-814f-ac81c803d7f4","elementid":"4e5d5d60-aa5b-44db-9913-b080f3c28f75","modelid":"83605607-69c0-4990-9861-bb8288fd96f5"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
