(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("dc16bad4-492f-4fca-a00f-4892b96e2137");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'dc16bad4-492f-4fca-a00f-4892b96e2137' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"09dfc64f-ceab-4266-ac62-17cdd01fadfb":{"roots":{"references":[{"attributes":{},"id":"d607992f-d6fd-4be7-8b08-800b1629f197","type":"BasicTicker"},{"attributes":{"background_fill_color":{"value":"white"},"border_line_color":{"value":"black"},"plot":{"id":"56b8e6e8-9a46-4dde-82cc-ffb0d52f31f0","subtype":"Figure","type":"Plot"},"render_mode":"css","text":"Collected by Luke C. 2016-04-01","x":70,"x_units":"screen","y":70,"y_units":"screen"},"id":"8d11b35b-253b-46dd-a311-a14d722b0190","type":"Label"},{"attributes":{"callback":null,"column_names":["names","weight","height"],"data":{"height":[66,71,72,68,58,62],"names":["Mark","Amir","Matt","Greg","Owen","Juan"],"weight":[165,189,220,141,260,174]}},"id":"9ab6bd1e-a3d6-42eb-8485-70e1035e2069","type":"ColumnDataSource"},{"attributes":{},"id":"c06a8a23-7d3b-4004-b307-357430bb25ec","type":"ResetTool"},{"attributes":{"source":{"id":"9ab6bd1e-a3d6-42eb-8485-70e1035e2069","type":"ColumnDataSource"}},"id":"5740ed2b-abd9-479c-97d1-8f0ca8b97871","type":"CDSView"},{"attributes":{},"id":"031a0222-d5e0-42fd-9d9a-d997c87dff4c","type":"BasicTicker"},{"attributes":{"plot":null,"text":"Dist. of 10th Grade Students at Lee High"},"id":"1ab77806-3bc1-4be6-9745-89ee9793ea9a","type":"Title"},{"attributes":{"plot":{"id":"56b8e6e8-9a46-4dde-82cc-ffb0d52f31f0","subtype":"Figure","type":"Plot"},"ticker":{"id":"031a0222-d5e0-42fd-9d9a-d997c87dff4c","type":"BasicTicker"}},"id":"8fb806a4-5cd5-4756-aba0-12923f8a85f7","type":"Grid"},{"attributes":{},"id":"727f6c1a-17b6-450a-a06e-f6d7a18d54e2","type":"LinearScale"},{"attributes":{"data_source":{"id":"9ab6bd1e-a3d6-42eb-8485-70e1035e2069","type":"ColumnDataSource"},"glyph":{"id":"2f4c5e71-a02d-4529-92dc-17f3cae556a9","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"512a02ef-dfe2-4c23-b200-c528c3c12c88","type":"Circle"},"selection_glyph":null,"view":{"id":"5740ed2b-abd9-479c-97d1-8f0ca8b97871","type":"CDSView"}},"id":"a09a58f3-96bf-4cca-828d-dea3e27ee401","type":"GlyphRenderer"},{"attributes":{},"id":"b901564c-b600-4e71-a5f6-dfa3c7e6dd4a","type":"WheelZoomTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"weight"},"y":{"field":"height"}},"id":"512a02ef-dfe2-4c23-b200-c528c3c12c88","type":"Circle"},{"attributes":{"below":[{"id":"d347a0d7-3e83-4e61-9ec3-a5e5bd270a6a","type":"LinearAxis"}],"left":[{"id":"d8555b3b-4025-4203-843e-23b8ca4fedef","type":"LinearAxis"}],"renderers":[{"id":"d347a0d7-3e83-4e61-9ec3-a5e5bd270a6a","type":"LinearAxis"},{"id":"8fb806a4-5cd5-4756-aba0-12923f8a85f7","type":"Grid"},{"id":"d8555b3b-4025-4203-843e-23b8ca4fedef","type":"LinearAxis"},{"id":"022b0a8d-2eda-49a5-8185-ad334ac6f518","type":"Grid"},{"id":"1c5d80a1-1938-46f5-b2f4-349a92eb4dd9","type":"BoxAnnotation"},{"id":"a09a58f3-96bf-4cca-828d-dea3e27ee401","type":"GlyphRenderer"},{"id":"e4a7bcdf-3e6f-4593-a0ae-5a87b562e9a7","type":"LabelSet"},{"id":"8d11b35b-253b-46dd-a311-a14d722b0190","type":"Label"}],"title":{"id":"1ab77806-3bc1-4be6-9745-89ee9793ea9a","type":"Title"},"toolbar":{"id":"266980e3-5a8c-49a0-a14f-b00936fd695b","type":"Toolbar"},"x_range":{"id":"5be78075-1db4-4473-ab85-1b4b480f6d3d","type":"Range1d"},"x_scale":{"id":"727f6c1a-17b6-450a-a06e-f6d7a18d54e2","type":"LinearScale"},"y_range":{"id":"9aaaa362-c8dc-43fd-9d19-f86c9a2bb375","type":"DataRange1d"},"y_scale":{"id":"1b97cb29-6908-4243-85ec-6816a956f334","type":"LinearScale"}},"id":"56b8e6e8-9a46-4dde-82cc-ffb0d52f31f0","subtype":"Figure","type":"Plot"},{"attributes":{"axis_label":"Height (in)","formatter":{"id":"5f454657-c659-45dc-9423-e7f98909fdd7","type":"BasicTickFormatter"},"plot":{"id":"56b8e6e8-9a46-4dde-82cc-ffb0d52f31f0","subtype":"Figure","type":"Plot"},"ticker":{"id":"d607992f-d6fd-4be7-8b08-800b1629f197","type":"BasicTicker"}},"id":"d8555b3b-4025-4203-843e-23b8ca4fedef","type":"LinearAxis"},{"attributes":{"callback":null,"end":275,"start":140},"id":"5be78075-1db4-4473-ab85-1b4b480f6d3d","type":"Range1d"},{"attributes":{},"id":"5f454657-c659-45dc-9423-e7f98909fdd7","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"9aaaa362-c8dc-43fd-9d19-f86c9a2bb375","type":"DataRange1d"},{"attributes":{"axis_label":"Weight (lbs)","formatter":{"id":"020877d3-ef56-4592-9a2a-5c3e5d992a65","type":"BasicTickFormatter"},"plot":{"id":"56b8e6e8-9a46-4dde-82cc-ffb0d52f31f0","subtype":"Figure","type":"Plot"},"ticker":{"id":"031a0222-d5e0-42fd-9d9a-d997c87dff4c","type":"BasicTicker"}},"id":"d347a0d7-3e83-4e61-9ec3-a5e5bd270a6a","type":"LinearAxis"},{"attributes":{},"id":"b5e19699-8f43-4e94-bce7-149c50c63139","type":"SaveTool"},{"attributes":{},"id":"020877d3-ef56-4592-9a2a-5c3e5d992a65","type":"BasicTickFormatter"},{"attributes":{},"id":"1b97cb29-6908-4243-85ec-6816a956f334","type":"LinearScale"},{"attributes":{"overlay":{"id":"1c5d80a1-1938-46f5-b2f4-349a92eb4dd9","type":"BoxAnnotation"}},"id":"a996b41f-1961-4af9-b734-1a4300f2bef0","type":"BoxZoomTool"},{"attributes":{},"id":"d125d6b5-5197-416a-b12d-32660ef571ed","type":"HelpTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"weight"},"y":{"field":"height"}},"id":"2f4c5e71-a02d-4529-92dc-17f3cae556a9","type":"Circle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"af5c81e9-1c23-4135-bbef-290c50320e0a","type":"PanTool"},{"id":"b901564c-b600-4e71-a5f6-dfa3c7e6dd4a","type":"WheelZoomTool"},{"id":"a996b41f-1961-4af9-b734-1a4300f2bef0","type":"BoxZoomTool"},{"id":"b5e19699-8f43-4e94-bce7-149c50c63139","type":"SaveTool"},{"id":"c06a8a23-7d3b-4004-b307-357430bb25ec","type":"ResetTool"},{"id":"d125d6b5-5197-416a-b12d-32660ef571ed","type":"HelpTool"}]},"id":"266980e3-5a8c-49a0-a14f-b00936fd695b","type":"Toolbar"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"1c5d80a1-1938-46f5-b2f4-349a92eb4dd9","type":"BoxAnnotation"},{"attributes":{},"id":"af5c81e9-1c23-4135-bbef-290c50320e0a","type":"PanTool"},{"attributes":{"dimension":1,"plot":{"id":"56b8e6e8-9a46-4dde-82cc-ffb0d52f31f0","subtype":"Figure","type":"Plot"},"ticker":{"id":"d607992f-d6fd-4be7-8b08-800b1629f197","type":"BasicTicker"}},"id":"022b0a8d-2eda-49a5-8185-ad334ac6f518","type":"Grid"},{"attributes":{"level":"glyph","plot":{"id":"56b8e6e8-9a46-4dde-82cc-ffb0d52f31f0","subtype":"Figure","type":"Plot"},"source":{"id":"9ab6bd1e-a3d6-42eb-8485-70e1035e2069","type":"ColumnDataSource"},"text":{"field":"names"},"x":{"field":"weight"},"x_offset":{"value":5},"y":{"field":"height"},"y_offset":{"value":5}},"id":"e4a7bcdf-3e6f-4593-a0ae-5a87b562e9a7","type":"LabelSet"}],"root_ids":["56b8e6e8-9a46-4dde-82cc-ffb0d52f31f0"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"09dfc64f-ceab-4266-ac62-17cdd01fadfb","elementid":"dc16bad4-492f-4fca-a00f-4892b96e2137","modelid":"56b8e6e8-9a46-4dde-82cc-ffb0d52f31f0"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
