(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("c2d40832-0c13-4ee6-be09-03955e080292");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'c2d40832-0c13-4ee6-be09-03955e080292' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"63df39d3-8904-427f-b66d-99285ed1ee18":{"roots":{"references":[{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"fbf20369-7112-4370-ad30-30026429b0e2","type":"BoxAnnotation"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"82ba7642-72e0-43f8-8de6-958deba9229d","type":"Circle"},{"attributes":{},"id":"5bd6b9ad-01f8-434d-b544-20948e32e693","type":"ResetTool"},{"attributes":{},"id":"b4ec6707-dcc5-4206-ad19-634ac882008f","type":"WheelZoomTool"},{"attributes":{"plot":null,"text":""},"id":"0f7252da-6607-4248-9081-59ff2e8ba355","type":"Title"},{"attributes":{},"id":"d7e20f41-284a-478b-9282-a18816a30103","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"3c18d3c9-1622-43e4-8bd4-28ced8138d0f","type":"BasicTickFormatter"},"plot":{"id":"c8d34071-0052-480a-8073-773cd5ac51b0","subtype":"Figure","type":"Plot"},"ticker":{"id":"9e52d4f1-abb1-47e3-a5ea-32b7ac335725","type":"BasicTicker"}},"id":"a3718800-3b00-47e6-80cb-a4034ab3f845","type":"LinearAxis"},{"attributes":{},"id":"3c18d3c9-1622-43e4-8bd4-28ced8138d0f","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"fbf20369-7112-4370-ad30-30026429b0e2","type":"BoxAnnotation"}},"id":"8df9f79c-d58a-403a-8554-3bdeef99ec69","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"4f12bd5d-5278-421d-b47e-c2c6508d7aef","type":"DataRange1d"},{"attributes":{},"id":"d8aad919-7be0-4623-b4b7-06120f80a453","type":"SaveTool"},{"attributes":{"below":[{"id":"a3718800-3b00-47e6-80cb-a4034ab3f845","type":"LinearAxis"}],"border_fill_color":{"value":"whitesmoke"},"left":[{"id":"d1dc5773-ea64-4463-b7ba-14d5b2e6a505","type":"LinearAxis"}],"min_border_left":80,"plot_height":400,"plot_width":400,"renderers":[{"id":"a3718800-3b00-47e6-80cb-a4034ab3f845","type":"LinearAxis"},{"id":"9bff4474-ade4-4866-9d41-f8723b0d82a8","type":"Grid"},{"id":"d1dc5773-ea64-4463-b7ba-14d5b2e6a505","type":"LinearAxis"},{"id":"7569f305-a829-4f63-b547-35e0003e20a6","type":"Grid"},{"id":"fbf20369-7112-4370-ad30-30026429b0e2","type":"BoxAnnotation"},{"id":"acd1e434-3a32-4383-a2db-c3c8c2ad49e4","type":"GlyphRenderer"}],"title":{"id":"0f7252da-6607-4248-9081-59ff2e8ba355","type":"Title"},"toolbar":{"id":"a976f3d9-4cde-45b9-815a-5078b3d70b62","type":"Toolbar"},"x_range":{"id":"4f12bd5d-5278-421d-b47e-c2c6508d7aef","type":"DataRange1d"},"x_scale":{"id":"083f7ca4-f476-4cb7-9383-c2fa058fe606","type":"LinearScale"},"y_range":{"id":"bd50c68b-f06f-4d1e-9be0-9f1e957b923d","type":"DataRange1d"},"y_scale":{"id":"9bd52de2-9d4a-4bc3-8228-e34ffe935c4b","type":"LinearScale"}},"id":"c8d34071-0052-480a-8073-773cd5ac51b0","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"9e52d4f1-abb1-47e3-a5ea-32b7ac335725","type":"BasicTicker"},{"attributes":{"formatter":{"id":"d7e20f41-284a-478b-9282-a18816a30103","type":"BasicTickFormatter"},"plot":{"id":"c8d34071-0052-480a-8073-773cd5ac51b0","subtype":"Figure","type":"Plot"},"ticker":{"id":"766ec531-23c9-4043-a02c-c465026f0ace","type":"BasicTicker"}},"id":"d1dc5773-ea64-4463-b7ba-14d5b2e6a505","type":"LinearAxis"},{"attributes":{},"id":"083f7ca4-f476-4cb7-9383-c2fa058fe606","type":"LinearScale"},{"attributes":{"data_source":{"id":"4b7ef185-9aa6-4bfd-b37a-15c4565a3571","type":"ColumnDataSource"},"glyph":{"id":"ef4c9d43-3f7e-4561-be73-79ace6e3b3d3","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"82ba7642-72e0-43f8-8de6-958deba9229d","type":"Circle"},"selection_glyph":null,"view":{"id":"9d07e354-7bc3-45b1-bbc9-e175856631ca","type":"CDSView"}},"id":"acd1e434-3a32-4383-a2db-c3c8c2ad49e4","type":"GlyphRenderer"},{"attributes":{},"id":"74a6f146-1ef2-461f-94c4-72bc04806de2","type":"HelpTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"ca2d396a-7da5-487a-bf0a-fcb602347b63","type":"PanTool"},{"id":"b4ec6707-dcc5-4206-ad19-634ac882008f","type":"WheelZoomTool"},{"id":"8df9f79c-d58a-403a-8554-3bdeef99ec69","type":"BoxZoomTool"},{"id":"d8aad919-7be0-4623-b4b7-06120f80a453","type":"SaveTool"},{"id":"5bd6b9ad-01f8-434d-b544-20948e32e693","type":"ResetTool"},{"id":"74a6f146-1ef2-461f-94c4-72bc04806de2","type":"HelpTool"}]},"id":"a976f3d9-4cde-45b9-815a-5078b3d70b62","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"c8d34071-0052-480a-8073-773cd5ac51b0","subtype":"Figure","type":"Plot"},"ticker":{"id":"766ec531-23c9-4043-a02c-c465026f0ace","type":"BasicTicker"}},"id":"7569f305-a829-4f63-b547-35e0003e20a6","type":"Grid"},{"attributes":{},"id":"9bd52de2-9d4a-4bc3-8228-e34ffe935c4b","type":"LinearScale"},{"attributes":{},"id":"ca2d396a-7da5-487a-bf0a-fcb602347b63","type":"PanTool"},{"attributes":{"plot":{"id":"c8d34071-0052-480a-8073-773cd5ac51b0","subtype":"Figure","type":"Plot"},"ticker":{"id":"9e52d4f1-abb1-47e3-a5ea-32b7ac335725","type":"BasicTicker"}},"id":"9bff4474-ade4-4866-9d41-f8723b0d82a8","type":"Grid"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"ef4c9d43-3f7e-4561-be73-79ace6e3b3d3","type":"Circle"},{"attributes":{"callback":null},"id":"bd50c68b-f06f-4d1e-9be0-9f1e957b923d","type":"DataRange1d"},{"attributes":{"source":{"id":"4b7ef185-9aa6-4bfd-b37a-15c4565a3571","type":"ColumnDataSource"}},"id":"9d07e354-7bc3-45b1-bbc9-e175856631ca","type":"CDSView"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"4b7ef185-9aa6-4bfd-b37a-15c4565a3571","type":"ColumnDataSource"},{"attributes":{},"id":"766ec531-23c9-4043-a02c-c465026f0ace","type":"BasicTicker"}],"root_ids":["c8d34071-0052-480a-8073-773cd5ac51b0"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"63df39d3-8904-427f-b66d-99285ed1ee18","elementid":"c2d40832-0c13-4ee6-be09-03955e080292","modelid":"c8d34071-0052-480a-8073-773cd5ac51b0"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
