(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("66cf9fb0-6a6e-4ee5-b241-eb06b4d056b7");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '66cf9fb0-6a6e-4ee5-b241-eb06b4d056b7' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d85792fe-5d5a-47e6-8fd5-bc5efc162c9a":{"roots":{"references":[{"attributes":{"callback":null},"id":"ea674d72-7aff-4859-bffc-4ee2f4a594b4","type":"DataRange1d"},{"attributes":{},"id":"5ab19953-061e-439d-adaf-057f6810a4c0","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"02a1c7b6-960e-42d7-a4c5-8d541882e909","subtype":"Figure","type":"Plot"},"ticker":{"id":"414f1947-06b8-4718-b3d7-4160026fa1f4","type":"BasicTicker"}},"id":"e1a2621d-2c07-4ff7-a9ee-cb49e1c28bec","type":"Grid"},{"attributes":{},"id":"e45d8fab-de0f-4837-a70d-c2fa3471d263","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.5},"x":{"field":"x"}},"id":"e281c16e-1f1d-425f-8833-6ae161b4b2d2","type":"VBar"},{"attributes":{"fill_color":{"value":"firebrick"},"line_color":{"value":"firebrick"},"top":{"field":"top"},"width":{"value":0.5},"x":{"field":"x"}},"id":"f5f439da-4da9-44ca-9a56-19a9691b7413","type":"VBar"},{"attributes":{"below":[{"id":"18f2577d-917a-4ccb-8413-8d26f5ef2259","type":"LinearAxis"}],"left":[{"id":"93a95ca5-0c7f-42c9-8855-29f268fc15c9","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"18f2577d-917a-4ccb-8413-8d26f5ef2259","type":"LinearAxis"},{"id":"e1a2621d-2c07-4ff7-a9ee-cb49e1c28bec","type":"Grid"},{"id":"93a95ca5-0c7f-42c9-8855-29f268fc15c9","type":"LinearAxis"},{"id":"11092a11-8648-4bad-8a1c-8bda5e54b24a","type":"Grid"},{"id":"a8359fc9-1413-4140-9d4f-a9dde5e53d2c","type":"BoxAnnotation"},{"id":"3e85b3cd-7335-448b-b687-b899be5c1066","type":"GlyphRenderer"}],"title":{"id":"b22d17cb-4fc0-4e4f-8d5a-e0368f4abc62","type":"Title"},"toolbar":{"id":"fa077bb2-bb69-42a7-9020-faa07508b118","type":"Toolbar"},"x_range":{"id":"bef8a24a-22cf-4d5a-8f54-183e8b6502e4","type":"DataRange1d"},"x_scale":{"id":"d0f79f80-43f9-407c-9005-80ffdfcaee34","type":"LinearScale"},"y_range":{"id":"ea674d72-7aff-4859-bffc-4ee2f4a594b4","type":"DataRange1d"},"y_scale":{"id":"e45d8fab-de0f-4837-a70d-c2fa3471d263","type":"LinearScale"}},"id":"02a1c7b6-960e-42d7-a4c5-8d541882e909","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"4920c8ef-3e2d-4a49-b0a6-2a1663cb4561","type":"PanTool"},{"attributes":{},"id":"e96d1a2a-0826-4f1e-b717-2797da3e652c","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"e96d1a2a-0826-4f1e-b717-2797da3e652c","type":"BasicTickFormatter"},"plot":{"id":"02a1c7b6-960e-42d7-a4c5-8d541882e909","subtype":"Figure","type":"Plot"},"ticker":{"id":"414f1947-06b8-4718-b3d7-4160026fa1f4","type":"BasicTicker"}},"id":"18f2577d-917a-4ccb-8413-8d26f5ef2259","type":"LinearAxis"},{"attributes":{},"id":"d0f79f80-43f9-407c-9005-80ffdfcaee34","type":"LinearScale"},{"attributes":{},"id":"29bb28ce-aacd-48ae-9063-b58b9a8a947d","type":"ResetTool"},{"attributes":{"formatter":{"id":"8e6de08c-5062-47df-85a9-92c677f2b6b2","type":"BasicTickFormatter"},"plot":{"id":"02a1c7b6-960e-42d7-a4c5-8d541882e909","subtype":"Figure","type":"Plot"},"ticker":{"id":"ea789060-068e-4864-9379-4b65ddc3535c","type":"BasicTicker"}},"id":"93a95ca5-0c7f-42c9-8855-29f268fc15c9","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["x","top"],"data":{"top":[1.2,2.5,3.7],"x":[1,2,3]}},"id":"2a542f52-c627-4a71-aeea-c8d1f102c048","type":"ColumnDataSource"},{"attributes":{"source":{"id":"2a542f52-c627-4a71-aeea-c8d1f102c048","type":"ColumnDataSource"}},"id":"377b1475-373d-45a8-a8a2-5a03e343b403","type":"CDSView"},{"attributes":{},"id":"8e6de08c-5062-47df-85a9-92c677f2b6b2","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"4920c8ef-3e2d-4a49-b0a6-2a1663cb4561","type":"PanTool"},{"id":"5ab19953-061e-439d-adaf-057f6810a4c0","type":"WheelZoomTool"},{"id":"73a06f3f-3c14-4470-bf92-12a52fa93705","type":"BoxZoomTool"},{"id":"2c9c072c-7aa6-4718-9e35-9a8d1f228481","type":"SaveTool"},{"id":"29bb28ce-aacd-48ae-9063-b58b9a8a947d","type":"ResetTool"},{"id":"a917b50a-567c-432c-a61e-a58bb0f5dbaa","type":"HelpTool"}]},"id":"fa077bb2-bb69-42a7-9020-faa07508b118","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"02a1c7b6-960e-42d7-a4c5-8d541882e909","subtype":"Figure","type":"Plot"},"ticker":{"id":"ea789060-068e-4864-9379-4b65ddc3535c","type":"BasicTicker"}},"id":"11092a11-8648-4bad-8a1c-8bda5e54b24a","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"a8359fc9-1413-4140-9d4f-a9dde5e53d2c","type":"BoxAnnotation"},{"attributes":{},"id":"2c9c072c-7aa6-4718-9e35-9a8d1f228481","type":"SaveTool"},{"attributes":{},"id":"a917b50a-567c-432c-a61e-a58bb0f5dbaa","type":"HelpTool"},{"attributes":{"data_source":{"id":"2a542f52-c627-4a71-aeea-c8d1f102c048","type":"ColumnDataSource"},"glyph":{"id":"f5f439da-4da9-44ca-9a56-19a9691b7413","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e281c16e-1f1d-425f-8833-6ae161b4b2d2","type":"VBar"},"selection_glyph":null,"view":{"id":"377b1475-373d-45a8-a8a2-5a03e343b403","type":"CDSView"}},"id":"3e85b3cd-7335-448b-b687-b899be5c1066","type":"GlyphRenderer"},{"attributes":{},"id":"ea789060-068e-4864-9379-4b65ddc3535c","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"b22d17cb-4fc0-4e4f-8d5a-e0368f4abc62","type":"Title"},{"attributes":{},"id":"414f1947-06b8-4718-b3d7-4160026fa1f4","type":"BasicTicker"},{"attributes":{"overlay":{"id":"a8359fc9-1413-4140-9d4f-a9dde5e53d2c","type":"BoxAnnotation"}},"id":"73a06f3f-3c14-4470-bf92-12a52fa93705","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"bef8a24a-22cf-4d5a-8f54-183e8b6502e4","type":"DataRange1d"}],"root_ids":["02a1c7b6-960e-42d7-a4c5-8d541882e909"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d85792fe-5d5a-47e6-8fd5-bc5efc162c9a","elementid":"66cf9fb0-6a6e-4ee5-b241-eb06b4d056b7","modelid":"02a1c7b6-960e-42d7-a4c5-8d541882e909"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
