(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b65f7cd0-4777-40ba-81ab-58e8adb71d78");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b65f7cd0-4777-40ba-81ab-58e8adb71d78' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"5222f9f4-cc74-4ef6-a470-ab35138b6e53":{"roots":{"references":[{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"fe64d016-6dad-403b-bdd9-445f3a361742","type":"Circle"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"d6471b85-eb76-4ef2-bc81-b5b245c2982a","type":"Circle"},{"attributes":{"plot":null,"text":""},"id":"6cfdde43-85cc-4d0c-a629-d2bca15d4263","type":"Title"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"bbd92b7e-6a0c-496c-bcfc-933f166222ba","subtype":"Figure","type":"Plot"},"ticker":{"id":"41596bb5-6b3a-484a-8486-c17baf8717a4","type":"BasicTicker"}},"id":"20efcf8f-161e-4840-b712-6189e7b4b2c0","type":"Grid"},{"attributes":{"below":[{"id":"28e89384-28f0-471f-8ec3-8c2fcb9e6f2e","type":"LinearAxis"}],"left":[{"id":"5b041acc-1b35-4ce8-a0dc-64aa2ca69657","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"28e89384-28f0-471f-8ec3-8c2fcb9e6f2e","type":"LinearAxis"},{"id":"20efcf8f-161e-4840-b712-6189e7b4b2c0","type":"Grid"},{"id":"5b041acc-1b35-4ce8-a0dc-64aa2ca69657","type":"LinearAxis"},{"id":"451f92ca-f21d-4088-a6b0-0dd874973e90","type":"Grid"},{"id":"d79dd56f-da3b-4aaf-b837-71d382eef09f","type":"BoxAnnotation"},{"id":"2aebe85d-40b0-4026-a20d-cfc40ba85727","type":"GlyphRenderer"}],"title":{"id":"6cfdde43-85cc-4d0c-a629-d2bca15d4263","type":"Title"},"toolbar":{"id":"932339f4-6c1d-49f3-98cc-182a57dc10d6","type":"Toolbar"},"x_range":{"id":"14b3e0d0-6f35-486b-845f-e74fe1ac9fb7","type":"DataRange1d"},"x_scale":{"id":"fc8aeabd-f29a-4b2e-924e-7f7381b81b00","type":"LinearScale"},"y_range":{"id":"78b817d1-8d63-43ff-a9ca-b02fafb22b2a","type":"DataRange1d"},"y_scale":{"id":"0c50da0a-7613-4c3e-9228-28c225b76b08","type":"LinearScale"}},"id":"bbd92b7e-6a0c-496c-bcfc-933f166222ba","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"105d0f93-b7ca-4e1d-8765-ccf48ffeacb5","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"16407a00-62e0-4fee-941a-ac06d8a1dfd8","type":"BasicTickFormatter"},"plot":{"id":"bbd92b7e-6a0c-496c-bcfc-933f166222ba","subtype":"Figure","type":"Plot"},"ticker":{"id":"f1fad5b5-c214-40c5-91c5-048a1f4c413e","type":"BasicTicker"}},"id":"5b041acc-1b35-4ce8-a0dc-64aa2ca69657","type":"LinearAxis"},{"attributes":{"overlay":{"id":"d79dd56f-da3b-4aaf-b837-71d382eef09f","type":"BoxAnnotation"}},"id":"04f65352-05e7-4828-a5e4-a43fe8f5300d","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"e368cdbb-5d75-411d-bef7-5c3f8adf9cce","type":"BasicTickFormatter"},"plot":{"id":"bbd92b7e-6a0c-496c-bcfc-933f166222ba","subtype":"Figure","type":"Plot"},"ticker":{"id":"41596bb5-6b3a-484a-8486-c17baf8717a4","type":"BasicTicker"}},"id":"28e89384-28f0-471f-8ec3-8c2fcb9e6f2e","type":"LinearAxis"},{"attributes":{"callback":null},"id":"14b3e0d0-6f35-486b-845f-e74fe1ac9fb7","type":"DataRange1d"},{"attributes":{},"id":"8e8367cd-5503-48fe-9f9e-ef135991c30d","type":"ResetTool"},{"attributes":{},"id":"0c50da0a-7613-4c3e-9228-28c225b76b08","type":"LinearScale"},{"attributes":{"data_source":{"id":"105d0f93-b7ca-4e1d-8765-ccf48ffeacb5","type":"ColumnDataSource"},"glyph":{"id":"fe64d016-6dad-403b-bdd9-445f3a361742","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"d6471b85-eb76-4ef2-bc81-b5b245c2982a","type":"Circle"},"selection_glyph":null,"view":{"id":"b96460fe-e579-4dab-94a2-50226d47275e","type":"CDSView"}},"id":"2aebe85d-40b0-4026-a20d-cfc40ba85727","type":"GlyphRenderer"},{"attributes":{},"id":"dc6ee5d0-ddb6-499e-9b40-bfaa37e02056","type":"WheelZoomTool"},{"attributes":{},"id":"fc8aeabd-f29a-4b2e-924e-7f7381b81b00","type":"LinearScale"},{"attributes":{"source":{"id":"105d0f93-b7ca-4e1d-8765-ccf48ffeacb5","type":"ColumnDataSource"}},"id":"b96460fe-e579-4dab-94a2-50226d47275e","type":"CDSView"},{"attributes":{},"id":"e368cdbb-5d75-411d-bef7-5c3f8adf9cce","type":"BasicTickFormatter"},{"attributes":{},"id":"e995b95e-5807-4269-b694-64ddd550e300","type":"PanTool"},{"attributes":{},"id":"41596bb5-6b3a-484a-8486-c17baf8717a4","type":"BasicTicker"},{"attributes":{},"id":"f04aa897-c26b-449b-8c28-563d699e0cb1","type":"HelpTool"},{"attributes":{"band_fill_alpha":{"value":0.1},"band_fill_color":{"value":"navy"},"dimension":1,"plot":{"id":"bbd92b7e-6a0c-496c-bcfc-933f166222ba","subtype":"Figure","type":"Plot"},"ticker":{"id":"f1fad5b5-c214-40c5-91c5-048a1f4c413e","type":"BasicTicker"}},"id":"451f92ca-f21d-4088-a6b0-0dd874973e90","type":"Grid"},{"attributes":{"callback":null},"id":"78b817d1-8d63-43ff-a9ca-b02fafb22b2a","type":"DataRange1d"},{"attributes":{},"id":"cec451fc-8937-4aad-93eb-299a1088907e","type":"SaveTool"},{"attributes":{},"id":"f1fad5b5-c214-40c5-91c5-048a1f4c413e","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"e995b95e-5807-4269-b694-64ddd550e300","type":"PanTool"},{"id":"dc6ee5d0-ddb6-499e-9b40-bfaa37e02056","type":"WheelZoomTool"},{"id":"04f65352-05e7-4828-a5e4-a43fe8f5300d","type":"BoxZoomTool"},{"id":"cec451fc-8937-4aad-93eb-299a1088907e","type":"SaveTool"},{"id":"8e8367cd-5503-48fe-9f9e-ef135991c30d","type":"ResetTool"},{"id":"f04aa897-c26b-449b-8c28-563d699e0cb1","type":"HelpTool"}]},"id":"932339f4-6c1d-49f3-98cc-182a57dc10d6","type":"Toolbar"},{"attributes":{},"id":"16407a00-62e0-4fee-941a-ac06d8a1dfd8","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"d79dd56f-da3b-4aaf-b837-71d382eef09f","type":"BoxAnnotation"}],"root_ids":["bbd92b7e-6a0c-496c-bcfc-933f166222ba"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"5222f9f4-cc74-4ef6-a470-ab35138b6e53","elementid":"b65f7cd0-4777-40ba-81ab-58e8adb71d78","modelid":"bbd92b7e-6a0c-496c-bcfc-933f166222ba"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
