(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2fb3c03a-5dca-48f3-b384-428c9e796086");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2fb3c03a-5dca-48f3-b384-428c9e796086' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"7c102d4a-2349-48fd-930b-fae59952876d":{"roots":{"references":[{"attributes":{"data_source":{"id":"90972a5c-05ad-426b-93da-9058cb5f2702","type":"ColumnDataSource"},"glyph":{"id":"1eef4617-7c6c-437f-8274-4ffaf4d7b4dc","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"bd623ff2-b0ab-4b6e-9ef3-b320167f4a33","type":"Circle"},"selection_glyph":null,"view":{"id":"3cce9061-da34-460f-aabe-2bd6154e04b9","type":"CDSView"}},"id":"cd006a68-3f4c-4e87-b762-5ade63a95c78","type":"GlyphRenderer"},{"attributes":{},"id":"5c5fd69c-d987-490d-b331-9c186e3532d5","type":"SaveTool"},{"attributes":{"data_source":{"id":"11e088f7-ded1-4f43-9587-dfdceddc6969","type":"ColumnDataSource"},"glyph":{"id":"3321b284-66ed-4669-b425-b171a1a538c5","type":"Rect"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"1df782aa-7e4d-4846-b628-f7e10dd1a9ef","type":"Rect"},"selection_glyph":null,"view":{"id":"563d574d-9374-4805-8dc9-236347915221","type":"CDSView"}},"id":"3db19c3a-5c2e-4dbb-be29-b8f062b9d348","type":"GlyphRenderer"},{"attributes":{"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"3b9960d4-99df-49fa-9b62-e6ba57047955","type":"Segment"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":6},"x":{"field":"x"},"y":{"field":"y"}},"id":"bd623ff2-b0ab-4b6e-9ef3-b320167f4a33","type":"Circle"},{"attributes":{"callback":null,"column_names":["bottom","top","x"],"data":{"bottom":{"__ndarray__":"fHaiYf+2nD+5to0VA9Ogv/e6IXeCbus/rsjuMoTc7j/5lxJY7iP/P3auFr2W0/8/","dtype":"float64","shape":[6]},"top":{"__ndarray__":"eQXWB74S47+K/cOIbIDov8vndGB128s//NKwE15O0T/DfN3qr5z1PywfLcLRtPQ/","dtype":"float64","shape":[6]},"x":["a","b","c","d","e","f"]}},"id":"7f032b46-03dd-47ff-a465-165e6d9fc4e6","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"5c5fd69c-d987-490d-b331-9c186e3532d5","type":"SaveTool"}]},"id":"c456a969-a34f-4482-9e2d-713a967a0ec6","type":"Toolbar"},{"attributes":{},"id":"36680c62-0924-4943-8043-706087bcd857","type":"CategoricalScale"},{"attributes":{},"id":"dbaa796c-6a9c-446e-9648-74a5c61a0d58","type":"BasicTicker"},{"attributes":{"data_source":{"id":"7f032b46-03dd-47ff-a465-165e6d9fc4e6","type":"ColumnDataSource"},"glyph":{"id":"3df4ad45-ff0b-4837-8841-4ff128d10062","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"872ccab3-b4f9-4fd2-902c-40d1720a57a9","type":"VBar"},"selection_glyph":null,"view":{"id":"dbea1f95-83dd-4026-a3ba-1195b06f7502","type":"CDSView"}},"id":"0b76e55f-6861-4efb-a37b-ff90ef95cad2","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["y0","x0","x1","y1"],"data":{"x0":["a","b","c","d","e","f"],"x1":["a","b","c","d","e","f"],"y0":{"__ndarray__":"IOvIH9HkA8AggYpZmM0HwHBARMEpxPe/2I4rOuDt9r8w767SFt7bv9CAhFptwuq/","dtype":"float64","shape":[6]},"y1":{"__ndarray__":"eQXWB74S47+K/cOIbIDov8vndGB128s//NKwE15O0T/DfN3qr5z1PywfLcLRtPQ/","dtype":"float64","shape":[6]}}},"id":"be5cb3c5-0ae5-436c-aa1a-6ef69efb1fbe","type":"ColumnDataSource"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"3cfd4a67-01b9-48d8-998a-524473529f74","type":"Segment"},{"attributes":{"dimension":1,"grid_line_color":{"value":"white"},"grid_line_width":{"value":2},"plot":{"id":"62fc8f46-f440-46e5-8e5b-8f1941a6148c","subtype":"Figure","type":"Plot"},"ticker":{"id":"dbaa796c-6a9c-446e-9648-74a5c61a0d58","type":"BasicTicker"}},"id":"c56481c2-19bd-4251-9a00-f67f5c12026b","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"data","value":0.01},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"1df782aa-7e4d-4846-b628-f7e10dd1a9ef","type":"Rect"},{"attributes":{"source":{"id":"e6e9acb7-8806-43d7-93e3-4e164eaa78ce","type":"ColumnDataSource"}},"id":"5e94c17f-58ff-4750-84e0-a0f415e037eb","type":"CDSView"},{"attributes":{"bottom":{"field":"bottom"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.7},"x":{"field":"x"}},"id":"c6e247ff-3fab-4fc4-bb12-50073037e6ed","type":"VBar"},{"attributes":{},"id":"17682b08-2c53-4f35-aeaf-0bd1ae76e3d3","type":"CategoricalTickFormatter"},{"attributes":{"formatter":{"id":"3ec89942-e036-44bf-8e7f-5c0e4e15113e","type":"BasicTickFormatter"},"plot":{"id":"62fc8f46-f440-46e5-8e5b-8f1941a6148c","subtype":"Figure","type":"Plot"},"ticker":{"id":"dbaa796c-6a9c-446e-9648-74a5c61a0d58","type":"BasicTicker"}},"id":"8cc04698-d61f-4fca-90cb-0f03ccad2312","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"data","value":0.01},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"7ee26f87-a522-4a6f-a576-ee0f42818ae9","type":"Rect"},{"attributes":{"source":{"id":"5109fc9c-3a1c-4e75-9c0a-ddc63b635a96","type":"ColumnDataSource"}},"id":"bb3ae539-4bee-45b0-95a8-42576c3337b8","type":"CDSView"},{"attributes":{},"id":"eed7bee9-0fc1-458c-8914-7df0f75b6b80","type":"CategoricalTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":["a","b","c","d","e","f"],"y":{"__ndarray__":"kNlq2t1wBEDa2A46YFYHQMD+y29coQpAJ5gyDGs1DkDM2suQJBwSQFznZfa+MRJA","dtype":"float64","shape":[6]}}},"id":"5109fc9c-3a1c-4e75-9c0a-ddc63b635a96","type":"ColumnDataSource"},{"attributes":{"callback":null,"column_names":["bottom","top","x"],"data":{"bottom":{"__ndarray__":"OL9d8vBC5T9wXNUKjKPmP5XDeI2/ZPc/ksxPJkrD+j9EIX9tuPgEQMcEkVsWtwVA","dtype":"float64","shape":[6]},"top":{"__ndarray__":"fHaiYf+2nD+5to0VA9Ogv/e6IXeCbus/rsjuMoTc7j/5lxJY7iP/P3auFr2W0/8/","dtype":"float64","shape":[6]},"x":["a","b","c","d","e","f"]}},"id":"f9fb5e79-fea2-41dc-b69f-5cb468c9d237","type":"ColumnDataSource"},{"attributes":{"bottom":{"field":"bottom"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.7},"x":{"field":"x"}},"id":"872ccab3-b4f9-4fd2-902c-40d1720a57a9","type":"VBar"},{"attributes":{"formatter":{"id":"17682b08-2c53-4f35-aeaf-0bd1ae76e3d3","type":"CategoricalTickFormatter"},"major_label_text_font_size":{"value":"12pt"},"plot":{"id":"62fc8f46-f440-46e5-8e5b-8f1941a6148c","subtype":"Figure","type":"Plot"},"ticker":{"id":"eed7bee9-0fc1-458c-8914-7df0f75b6b80","type":"CategoricalTicker"}},"id":"3eab4ea8-121c-402b-86cc-0280a795262e","type":"CategoricalAxis"},{"attributes":{"data_source":{"id":"be5cb3c5-0ae5-436c-aa1a-6ef69efb1fbe","type":"ColumnDataSource"},"glyph":{"id":"5baf6f02-17f0-4020-966a-4116def29da3","type":"Segment"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"3cfd4a67-01b9-48d8-998a-524473529f74","type":"Segment"},"selection_glyph":null,"view":{"id":"abadfba8-c696-4eac-9b95-c1b2e16ee7d2","type":"CDSView"}},"id":"2db02ba5-1074-4c9b-85a8-3830166120c9","type":"GlyphRenderer"},{"attributes":{"source":{"id":"11e088f7-ded1-4f43-9587-dfdceddc6969","type":"ColumnDataSource"}},"id":"563d574d-9374-4805-8dc9-236347915221","type":"CDSView"},{"attributes":{},"id":"3ec89942-e036-44bf-8e7f-5c0e4e15113e","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.6},"fill_color":{"value":"#F38630"},"line_color":{"value":"#F38630"},"size":{"units":"screen","value":6},"x":{"field":"x"},"y":{"field":"y"}},"id":"1eef4617-7c6c-437f-8274-4ffaf4d7b4dc","type":"Circle"},{"attributes":{"callback":null},"id":"f3aad691-4898-47fa-9857-5f6c29101b85","type":"DataRange1d"},{"attributes":{},"id":"f95f4417-0cf9-4923-9594-f7d796bc819a","type":"LinearScale"},{"attributes":{"source":{"id":"f9fb5e79-fea2-41dc-b69f-5cb468c9d237","type":"ColumnDataSource"}},"id":"606f1925-be99-453a-a8c3-ed3671e6400a","type":"CDSView"},{"attributes":{"fill_color":{"value":"#1f77b4"},"height":{"units":"data","value":0.01},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"0258a33e-a341-4634-934b-7506f728d6cf","type":"Rect"},{"attributes":{"fill_color":{"value":"#1f77b4"},"height":{"units":"data","value":0.01},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"3321b284-66ed-4669-b425-b171a1a538c5","type":"Rect"},{"attributes":{"bottom":{"field":"bottom"},"fill_color":{"value":"#E08E79"},"top":{"field":"top"},"width":{"value":0.7},"x":{"field":"x"}},"id":"2c614d28-0617-434d-af68-646dd2fb5039","type":"VBar"},{"attributes":{"data_source":{"id":"5109fc9c-3a1c-4e75-9c0a-ddc63b635a96","type":"ColumnDataSource"},"glyph":{"id":"0258a33e-a341-4634-934b-7506f728d6cf","type":"Rect"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7ee26f87-a522-4a6f-a576-ee0f42818ae9","type":"Rect"},"selection_glyph":null,"view":{"id":"bb3ae539-4bee-45b0-95a8-42576c3337b8","type":"CDSView"}},"id":"7d0a08f7-563a-4fd4-9418-b6af29778a59","type":"GlyphRenderer"},{"attributes":{"callback":null,"factors":["a","b","c","d","e","f"]},"id":"735977c4-0512-46e9-9814-c790a3c6eea5","type":"FactorRange"},{"attributes":{"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"5baf6f02-17f0-4020-966a-4116def29da3","type":"Segment"},{"attributes":{"bottom":{"field":"bottom"},"fill_color":{"value":"#3B8686"},"top":{"field":"top"},"width":{"value":0.7},"x":{"field":"x"}},"id":"3df4ad45-ff0b-4837-8841-4ff128d10062","type":"VBar"},{"attributes":{"callback":null,"column_names":["y0","x0","x1","y1"],"data":{"x0":["a","b","c","d","e","f"],"x1":["a","b","c","d","e","f"],"y0":{"__ndarray__":"kNlq2t1wBEDa2A46YFYHQMD+y29coQpAJ5gyDGs1DkDM2suQJBwSQFznZfa+MRJA","dtype":"float64","shape":[6]},"y1":{"__ndarray__":"OL9d8vBC5T9wXNUKjKPmP5XDeI2/ZPc/ksxPJkrD+j9EIX9tuPgEQMcEkVsWtwVA","dtype":"float64","shape":[6]}}},"id":"e6e9acb7-8806-43d7-93e3-4e164eaa78ce","type":"ColumnDataSource"},{"attributes":{"grid_line_color":{"value":null},"grid_line_width":{"value":2},"plot":{"id":"62fc8f46-f440-46e5-8e5b-8f1941a6148c","subtype":"Figure","type":"Plot"},"ticker":{"id":"eed7bee9-0fc1-458c-8914-7df0f75b6b80","type":"CategoricalTicker"}},"id":"c0e2058b-dc10-47c1-b875-a49376457093","type":"Grid"},{"attributes":{"data_source":{"id":"e6e9acb7-8806-43d7-93e3-4e164eaa78ce","type":"ColumnDataSource"},"glyph":{"id":"3b9960d4-99df-49fa-9b62-e6ba57047955","type":"Segment"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c3b38f10-82e7-472c-8611-afd80cd29197","type":"Segment"},"selection_glyph":null,"view":{"id":"5e94c17f-58ff-4750-84e0-a0f415e037eb","type":"CDSView"}},"id":"58522f7e-0973-495b-af6e-ee056ce33a34","type":"GlyphRenderer"},{"attributes":{"source":{"id":"7f032b46-03dd-47ff-a465-165e6d9fc4e6","type":"ColumnDataSource"}},"id":"dbea1f95-83dd-4026-a3ba-1195b06f7502","type":"CDSView"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"c3b38f10-82e7-472c-8611-afd80cd29197","type":"Segment"},{"attributes":{"source":{"id":"90972a5c-05ad-426b-93da-9058cb5f2702","type":"ColumnDataSource"}},"id":"3cce9061-da34-460f-aabe-2bd6154e04b9","type":"CDSView"},{"attributes":{"plot":null,"text":""},"id":"deba65fa-c3f0-4dc0-a064-17a81fa5df35","type":"Title"},{"attributes":{"background_fill_color":{"value":"#EFE8E2"},"below":[{"id":"3eab4ea8-121c-402b-86cc-0280a795262e","type":"CategoricalAxis"}],"left":[{"id":"8cc04698-d61f-4fca-90cb-0f03ccad2312","type":"LinearAxis"}],"renderers":[{"id":"3eab4ea8-121c-402b-86cc-0280a795262e","type":"CategoricalAxis"},{"id":"c0e2058b-dc10-47c1-b875-a49376457093","type":"Grid"},{"id":"8cc04698-d61f-4fca-90cb-0f03ccad2312","type":"LinearAxis"},{"id":"c56481c2-19bd-4251-9a00-f67f5c12026b","type":"Grid"},{"id":"58522f7e-0973-495b-af6e-ee056ce33a34","type":"GlyphRenderer"},{"id":"2db02ba5-1074-4c9b-85a8-3830166120c9","type":"GlyphRenderer"},{"id":"fa5faf7b-f7cd-4132-a0c3-f76f453588f8","type":"GlyphRenderer"},{"id":"0b76e55f-6861-4efb-a37b-ff90ef95cad2","type":"GlyphRenderer"},{"id":"3db19c3a-5c2e-4dbb-be29-b8f062b9d348","type":"GlyphRenderer"},{"id":"7d0a08f7-563a-4fd4-9418-b6af29778a59","type":"GlyphRenderer"},{"id":"cd006a68-3f4c-4e87-b762-5ade63a95c78","type":"GlyphRenderer"}],"title":{"id":"deba65fa-c3f0-4dc0-a064-17a81fa5df35","type":"Title"},"toolbar":{"id":"c456a969-a34f-4482-9e2d-713a967a0ec6","type":"Toolbar"},"x_range":{"id":"735977c4-0512-46e9-9814-c790a3c6eea5","type":"FactorRange"},"x_scale":{"id":"36680c62-0924-4943-8043-706087bcd857","type":"CategoricalScale"},"y_range":{"id":"f3aad691-4898-47fa-9857-5f6c29101b85","type":"DataRange1d"},"y_scale":{"id":"f95f4417-0cf9-4923-9594-f7d796bc819a","type":"LinearScale"}},"id":"62fc8f46-f440-46e5-8e5b-8f1941a6148c","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":["a","a","a","a","a","a","a","b","b","b","b","c","d","d","e","e","e","f"],"y":[-3.5346520584740353,-2.525125933893941,-2.531534475464034,-2.736811597035771,-2.898378911744245,2.848601769053959,-2.5644705204464273,-3.200347714013356,-3.5603104090171525,3.4418740129708025,-3.1353788951954393,4.027332219188972,4.506314328192786,3.885026540260849,5.169595289884264,4.837143816273608,4.529611202514242,-0.9704836490904478]}},"id":"90972a5c-05ad-426b-93da-9058cb5f2702","type":"ColumnDataSource"},{"attributes":{"source":{"id":"be5cb3c5-0ae5-436c-aa1a-6ef69efb1fbe","type":"ColumnDataSource"}},"id":"abadfba8-c696-4eac-9b95-c1b2e16ee7d2","type":"CDSView"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":["a","b","c","d","e","f"],"y":{"__ndarray__":"IOvIH9HkA8AggYpZmM0HwHBARMEpxPe/2I4rOuDt9r8w767SFt7bv9CAhFptwuq/","dtype":"float64","shape":[6]}}},"id":"11e088f7-ded1-4f43-9587-dfdceddc6969","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"f9fb5e79-fea2-41dc-b69f-5cb468c9d237","type":"ColumnDataSource"},"glyph":{"id":"2c614d28-0617-434d-af68-646dd2fb5039","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c6e247ff-3fab-4fc4-bb12-50073037e6ed","type":"VBar"},"selection_glyph":null,"view":{"id":"606f1925-be99-453a-a8c3-ed3671e6400a","type":"CDSView"}},"id":"fa5faf7b-f7cd-4132-a0c3-f76f453588f8","type":"GlyphRenderer"}],"root_ids":["62fc8f46-f440-46e5-8e5b-8f1941a6148c"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"7c102d4a-2349-48fd-930b-fae59952876d","elementid":"2fb3c03a-5dca-48f3-b384-428c9e796086","modelid":"62fc8f46-f440-46e5-8e5b-8f1941a6148c"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
