(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("4dab543d-b95a-4015-b8ba-a8f4b158285c");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '4dab543d-b95a-4015-b8ba-a8f4b158285c' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"0d495c2c-4853-4459-8a7d-5798ae4eb9f2":{"roots":{"references":[{"attributes":{},"id":"7b94b991-06a3-4407-a033-3a3190b602ea","type":"LinearScale"},{"attributes":{"data_source":{"id":"7b18c2b9-652a-48f9-bbb3-f31d7010192e","type":"ColumnDataSource"},"glyph":{"id":"d0eba81c-12df-4f64-afe7-28a6bd5b04c8","type":"Ray"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"1dd1995f-2bf6-456a-a106-a8a0b1849b7a","type":"Ray"},"selection_glyph":null,"view":{"id":"8498f883-8774-4885-a3e4-955abb5db2ab","type":"CDSView"}},"id":"e37dbcbb-4c15-42ea-ba91-bb07af22a2d2","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"e22c4a40-2fee-4651-8b53-582aecdb470f","type":"DataRange1d"},{"attributes":{"formatter":{"id":"4417f969-a2ef-4ba3-baed-a1d4a78900c0","type":"BasicTickFormatter"},"plot":{"id":"04386617-6f61-4425-b7b0-f110a30f3f4b","subtype":"Figure","type":"Plot"},"ticker":{"id":"b6159bde-3442-4f48-b3ba-033257fd3e71","type":"BasicTicker"}},"id":"2b42f9a9-203c-4af4-87d9-40dc92f05fc1","type":"LinearAxis"},{"attributes":{},"id":"6bdf17c4-52c9-410e-8191-dd2de0d98bf5","type":"SaveTool"},{"attributes":{"formatter":{"id":"d4eaaa5b-534f-40d4-b9a2-c653c81c9b20","type":"BasicTickFormatter"},"plot":{"id":"04386617-6f61-4425-b7b0-f110a30f3f4b","subtype":"Figure","type":"Plot"},"ticker":{"id":"27679f8e-f15b-404c-9d88-eb682567f250","type":"BasicTicker"}},"id":"1942b8eb-ef35-49a6-95a3-af9d26fd62ca","type":"LinearAxis"},{"attributes":{"plot":{"id":"04386617-6f61-4425-b7b0-f110a30f3f4b","subtype":"Figure","type":"Plot"},"ticker":{"id":"b6159bde-3442-4f48-b3ba-033257fd3e71","type":"BasicTicker"}},"id":"2750eddd-e04f-46a1-a34c-bf11b91fe671","type":"Grid"},{"attributes":{"plot":null,"text":""},"id":"eaa6af8f-ff62-4f2e-8fdc-7254bc44454e","type":"Title"},{"attributes":{},"id":"a3840db7-162c-4f29-b173-a05fdd9cecab","type":"ResetTool"},{"attributes":{},"id":"2bc1bde2-8ccb-4bea-b7b0-0a7b0cd1142f","type":"PanTool"},{"attributes":{},"id":"b6159bde-3442-4f48-b3ba-033257fd3e71","type":"BasicTicker"},{"attributes":{"angle":{"field":"angle","units":"deg"},"length":{"units":"data","value":45},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"1dd1995f-2bf6-456a-a106-a8a0b1849b7a","type":"Ray"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"2bc1bde2-8ccb-4bea-b7b0-0a7b0cd1142f","type":"PanTool"},{"id":"c3e9ad74-ad2a-47e3-9ac6-fae1c0411f95","type":"WheelZoomTool"},{"id":"2ed0edbf-7e57-4552-9d79-2fcb382f2967","type":"BoxZoomTool"},{"id":"6bdf17c4-52c9-410e-8191-dd2de0d98bf5","type":"SaveTool"},{"id":"a3840db7-162c-4f29-b173-a05fdd9cecab","type":"ResetTool"},{"id":"3b3bb339-b542-4cfd-a888-d81297d38d8b","type":"HelpTool"}]},"id":"314e5a38-91a8-4232-a1a7-69b2e52e7a6a","type":"Toolbar"},{"attributes":{},"id":"3b3bb339-b542-4cfd-a888-d81297d38d8b","type":"HelpTool"},{"attributes":{"callback":null},"id":"9564efaf-eae7-4901-ab5d-ee70576992f7","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["angle","y","x"],"data":{"angle":[30,45,60],"x":[1,2,3],"y":[1,2,3]}},"id":"7b18c2b9-652a-48f9-bbb3-f31d7010192e","type":"ColumnDataSource"},{"attributes":{},"id":"d4eaaa5b-534f-40d4-b9a2-c653c81c9b20","type":"BasicTickFormatter"},{"attributes":{},"id":"4417f969-a2ef-4ba3-baed-a1d4a78900c0","type":"BasicTickFormatter"},{"attributes":{},"id":"3ad58b9e-9ca4-4816-8d75-e6ccae14f0ad","type":"LinearScale"},{"attributes":{"below":[{"id":"2b42f9a9-203c-4af4-87d9-40dc92f05fc1","type":"LinearAxis"}],"left":[{"id":"1942b8eb-ef35-49a6-95a3-af9d26fd62ca","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"2b42f9a9-203c-4af4-87d9-40dc92f05fc1","type":"LinearAxis"},{"id":"2750eddd-e04f-46a1-a34c-bf11b91fe671","type":"Grid"},{"id":"1942b8eb-ef35-49a6-95a3-af9d26fd62ca","type":"LinearAxis"},{"id":"23588001-6507-45eb-82f4-3599ad312799","type":"Grid"},{"id":"bb6e3eaa-912c-4779-a9c9-a20ecae67026","type":"BoxAnnotation"},{"id":"e37dbcbb-4c15-42ea-ba91-bb07af22a2d2","type":"GlyphRenderer"}],"title":{"id":"eaa6af8f-ff62-4f2e-8fdc-7254bc44454e","type":"Title"},"toolbar":{"id":"314e5a38-91a8-4232-a1a7-69b2e52e7a6a","type":"Toolbar"},"x_range":{"id":"9564efaf-eae7-4901-ab5d-ee70576992f7","type":"DataRange1d"},"x_scale":{"id":"7b94b991-06a3-4407-a033-3a3190b602ea","type":"LinearScale"},"y_range":{"id":"e22c4a40-2fee-4651-8b53-582aecdb470f","type":"DataRange1d"},"y_scale":{"id":"3ad58b9e-9ca4-4816-8d75-e6ccae14f0ad","type":"LinearScale"}},"id":"04386617-6f61-4425-b7b0-f110a30f3f4b","subtype":"Figure","type":"Plot"},{"attributes":{"angle":{"field":"angle","units":"deg"},"length":{"units":"data","value":45},"line_color":{"value":"#FB8072"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"d0eba81c-12df-4f64-afe7-28a6bd5b04c8","type":"Ray"},{"attributes":{"dimension":1,"plot":{"id":"04386617-6f61-4425-b7b0-f110a30f3f4b","subtype":"Figure","type":"Plot"},"ticker":{"id":"27679f8e-f15b-404c-9d88-eb682567f250","type":"BasicTicker"}},"id":"23588001-6507-45eb-82f4-3599ad312799","type":"Grid"},{"attributes":{"overlay":{"id":"bb6e3eaa-912c-4779-a9c9-a20ecae67026","type":"BoxAnnotation"}},"id":"2ed0edbf-7e57-4552-9d79-2fcb382f2967","type":"BoxZoomTool"},{"attributes":{},"id":"c3e9ad74-ad2a-47e3-9ac6-fae1c0411f95","type":"WheelZoomTool"},{"attributes":{"source":{"id":"7b18c2b9-652a-48f9-bbb3-f31d7010192e","type":"ColumnDataSource"}},"id":"8498f883-8774-4885-a3e4-955abb5db2ab","type":"CDSView"},{"attributes":{},"id":"27679f8e-f15b-404c-9d88-eb682567f250","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"bb6e3eaa-912c-4779-a9c9-a20ecae67026","type":"BoxAnnotation"}],"root_ids":["04386617-6f61-4425-b7b0-f110a30f3f4b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"0d495c2c-4853-4459-8a7d-5798ae4eb9f2","elementid":"4dab543d-b95a-4015-b8ba-a8f4b158285c","modelid":"04386617-6f61-4425-b7b0-f110a30f3f4b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
