(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("bd392df1-711b-479c-a815-2c108d6f2a2a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'bd392df1-711b-479c-a815-2c108d6f2a2a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"54d2f3a9-3af9-4642-9e26-45ac2902a9ea":{"roots":{"references":[{"attributes":{"data_source":{"id":"22c3d1b9-7e05-4832-9219-0bbc30507829","type":"ColumnDataSource"},"glyph":{"id":"93ca96ae-dacd-45d3-ba1a-3bf1d11ea539","type":"Arc"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"a355e539-6ada-4412-be28-c5541cb226ad","type":"CDSView"}},"id":"69a9383f-d6d6-496b-8e1a-8cd88b70616f","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"54aa8aa0-60b3-4bf3-9863-7beaf40b9eb0","type":"Plot"},"ticker":{"id":"29c47641-29c5-4142-8358-180cf9ed531e","type":"BasicTicker"}},"id":"a9a69243-25e7-4106-9fe0-046880b39862","type":"Grid"},{"attributes":{"below":[{"id":"96828c56-5c4d-4604-9f93-6792e08b9ecb","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"0c321b5b-446b-472b-ae74-e1dc26198297","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"69a9383f-d6d6-496b-8e1a-8cd88b70616f","type":"GlyphRenderer"},{"id":"96828c56-5c4d-4604-9f93-6792e08b9ecb","type":"LinearAxis"},{"id":"0c321b5b-446b-472b-ae74-e1dc26198297","type":"LinearAxis"},{"id":"7c177578-4cc9-43df-83d2-3a249e4e8679","type":"Grid"},{"id":"a9a69243-25e7-4106-9fe0-046880b39862","type":"Grid"}],"title":null,"toolbar":{"id":"3ae20675-9ef0-4586-bbc4-63c0c4d0f648","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"a387562e-cf91-4a47-b7e0-8a6c5c7c104c","type":"DataRange1d"},"x_scale":{"id":"16fc5e4c-3e0e-4b04-8426-15f0f1f754d8","type":"LinearScale"},"y_range":{"id":"8d2e5215-593b-4dba-bd9c-13df45bd1baf","type":"DataRange1d"},"y_scale":{"id":"a3240b6d-98d2-431e-a08c-501657890275","type":"LinearScale"}},"id":"54aa8aa0-60b3-4bf3-9863-7beaf40b9eb0","type":"Plot"},{"attributes":{"plot":{"id":"54aa8aa0-60b3-4bf3-9863-7beaf40b9eb0","type":"Plot"},"ticker":{"id":"b4c890ab-988a-4a01-b99f-f63837137fcc","type":"BasicTicker"}},"id":"7c177578-4cc9-43df-83d2-3a249e4e8679","type":"Grid"},{"attributes":{"callback":null},"id":"8d2e5215-593b-4dba-bd9c-13df45bd1baf","type":"DataRange1d"},{"attributes":{"callback":null},"id":"a387562e-cf91-4a47-b7e0-8a6c5c7c104c","type":"DataRange1d"},{"attributes":{},"id":"7f295607-1497-4c85-98c0-9fcd43a32b97","type":"BasicTickFormatter"},{"attributes":{},"id":"a3240b6d-98d2-431e-a08c-501657890275","type":"LinearScale"},{"attributes":{},"id":"16fc5e4c-3e0e-4b04-8426-15f0f1f754d8","type":"LinearScale"},{"attributes":{},"id":"b4c890ab-988a-4a01-b99f-f63837137fcc","type":"BasicTicker"},{"attributes":{"source":{"id":"22c3d1b9-7e05-4832-9219-0bbc30507829","type":"ColumnDataSource"}},"id":"a355e539-6ada-4412-be28-c5541cb226ad","type":"CDSView"},{"attributes":{},"id":"01e7b5f4-8936-491d-a634-c24136d8bfe5","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"7f295607-1497-4c85-98c0-9fcd43a32b97","type":"BasicTickFormatter"},"plot":{"id":"54aa8aa0-60b3-4bf3-9863-7beaf40b9eb0","type":"Plot"},"ticker":{"id":"b4c890ab-988a-4a01-b99f-f63837137fcc","type":"BasicTicker"}},"id":"96828c56-5c4d-4604-9f93-6792e08b9ecb","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x","r"],"data":{"r":{"__ndarray__":"VVVVVVVVxT+ZmZmZmZnJP97d3d3d3c0/ERERERER0T8zMzMzMzPTP1VVVVVVVdU/d3d3d3d31z+amZmZmZnZP7y7u7u7u9s/","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"22c3d1b9-7e05-4832-9219-0bbc30507829","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"01e7b5f4-8936-491d-a634-c24136d8bfe5","type":"BasicTickFormatter"},"plot":{"id":"54aa8aa0-60b3-4bf3-9863-7beaf40b9eb0","type":"Plot"},"ticker":{"id":"29c47641-29c5-4142-8358-180cf9ed531e","type":"BasicTicker"}},"id":"0c321b5b-446b-472b-ae74-e1dc26198297","type":"LinearAxis"},{"attributes":{},"id":"29c47641-29c5-4142-8358-180cf9ed531e","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"3ae20675-9ef0-4586-bbc4-63c0c4d0f648","type":"Toolbar"},{"attributes":{"end_angle":{"units":"rad","value":4.1},"line_color":{"value":"#beaed4"},"line_width":{"value":3},"radius":{"field":"r","units":"data"},"start_angle":{"units":"rad","value":0.6},"x":{"field":"x"},"y":{"field":"y"}},"id":"93ca96ae-dacd-45d3-ba1a-3bf1d11ea539","type":"Arc"}],"root_ids":["54aa8aa0-60b3-4bf3-9863-7beaf40b9eb0"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"54d2f3a9-3af9-4642-9e26-45ac2902a9ea","elementid":"bd392df1-711b-479c-a815-2c108d6f2a2a","modelid":"54aa8aa0-60b3-4bf3-9863-7beaf40b9eb0"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
