(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a0c89617-4fdb-481a-8c0e-6c64955c0915");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a0c89617-4fdb-481a-8c0e-6c64955c0915' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"2cfbb6ba-6617-48f2-a0f4-732df5b40f86":{"roots":{"references":[{"attributes":{},"id":"556bc25a-7dac-46e1-a927-3775a85051a4","type":"LinearScale"},{"attributes":{"anchor":"center","h":{"field":"h1","units":"data"},"url":{"field":"url"},"w":{"field":"w1","units":"data"},"x":{"field":"x1"},"y":{"field":"y1"}},"id":"e5fd426e-12bc-4c99-888a-0af6b144fe41","type":"ImageURL"},{"attributes":{"data_source":{"id":"7fab6613-15ef-4878-b298-91d217650166","type":"ColumnDataSource"},"glyph":{"id":"671a1448-93ca-455b-82be-0064d62e3c59","type":"ImageURL"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"6d1bee3a-30a7-4a40-b0bf-5113ac806063","type":"CDSView"}},"id":"1c07d708-f5e2-4121-85bf-f1d4ffee49df","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"7fab6613-15ef-4878-b298-91d217650166","type":"ColumnDataSource"},"glyph":{"id":"78417c01-2f05-4f3f-a4a1-d88f1eb16ea4","type":"ImageURL"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"37e95e4e-c7da-4d7a-b604-2c1a14bd04cf","type":"CDSView"}},"id":"265a1b07-26b2-4610-84eb-ad4f6301d0f0","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"5a7ae7ec-7297-4a2b-a7b8-b6f1221ff3c0","type":"Plot"},"ticker":{"id":"948ce4aa-4453-4efe-b524-10ddbf857dfe","type":"BasicTicker"}},"id":"58e6aa8c-948c-4d83-afdf-f3478b066447","type":"Grid"},{"attributes":{},"id":"a6749f61-f78a-4371-bb67-aa0f989d8aa8","type":"BasicTicker"},{"attributes":{"source":{"id":"7fab6613-15ef-4878-b298-91d217650166","type":"ColumnDataSource"}},"id":"3cbecb13-3dc7-46b6-80cb-e00ac4f50db1","type":"CDSView"},{"attributes":{},"id":"948ce4aa-4453-4efe-b524-10ddbf857dfe","type":"BasicTicker"},{"attributes":{"plot":{"id":"5a7ae7ec-7297-4a2b-a7b8-b6f1221ff3c0","type":"Plot"},"ticker":{"id":"a6749f61-f78a-4371-bb67-aa0f989d8aa8","type":"BasicTicker"}},"id":"158c43b8-b314-4028-8791-ccc2c64d7a8c","type":"Grid"},{"attributes":{"callback":null,"column_names":["x2","y1","h1","w1","url","x1","y2"],"data":{"h1":{"__ndarray__":"AAAAAAAAJEAAAAAAAAA0QAAAAAAAAD5AAAAAAAAAREAAAAAAAABJQA==","dtype":"float64","shape":[5]},"url":["https://bokeh.pydata.org/en/latest/_static/images/logo.png","https://bokeh.pydata.org/en/latest/_static/images/logo.png","https://bokeh.pydata.org/en/latest/_static/images/logo.png","https://bokeh.pydata.org/en/latest/_static/images/logo.png","https://bokeh.pydata.org/en/latest/_static/images/logo.png"],"w1":{"__ndarray__":"AAAAAAAAJEAAAAAAAAA0QAAAAAAAAD5AAAAAAAAAREAAAAAAAABJQA==","dtype":"float64","shape":[5]},"x1":{"__ndarray__":"AAAAAAAAAAAAAAAAAMBCQAAAAAAAwFJAAAAAAAAgXEAAAAAAAMBiQA==","dtype":"float64","shape":[5]},"x2":{"__ndarray__":"AAAAAAAAScAAAAAAAAAAAAAAAAAAAElAAAAAAAAAWUAAAAAAAMBiQA==","dtype":"float64","shape":[5]},"y1":{"__ndarray__":"AAAAAAAAAAAAAAAAAMBCQAAAAAAAwFJAAAAAAAAgXEAAAAAAAMBiQA==","dtype":"float64","shape":[5]},"y2":{"__ndarray__":"AAAAAAAAAAAAAAAAAABJQAAAAAAAAFlAAAAAAADAYkAAAAAAAABpQA==","dtype":"float64","shape":[5]}}},"id":"7fab6613-15ef-4878-b298-91d217650166","type":"ColumnDataSource"},{"attributes":{"source":{"id":"7fab6613-15ef-4878-b298-91d217650166","type":"ColumnDataSource"}},"id":"6d1bee3a-30a7-4a40-b0bf-5113ac806063","type":"CDSView"},{"attributes":{},"id":"84665680-5e32-4747-bba8-dfe7212f09d0","type":"BasicTickFormatter"},{"attributes":{},"id":"a28acfda-2313-4baf-a359-52f8b5ade5b1","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"66078478-f910-45ec-9978-75a4ac1bec8b","type":"Toolbar"},{"attributes":{},"id":"c20a3094-1b2c-45a2-8c00-645ca639f7c8","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"84665680-5e32-4747-bba8-dfe7212f09d0","type":"BasicTickFormatter"},"plot":{"id":"5a7ae7ec-7297-4a2b-a7b8-b6f1221ff3c0","type":"Plot"},"ticker":{"id":"948ce4aa-4453-4efe-b524-10ddbf857dfe","type":"BasicTicker"}},"id":"535307eb-c6b4-48c0-9779-b889d86dd45a","type":"LinearAxis"},{"attributes":{"anchor":"bottom_right","url":{"value":"https://bokeh.pydata.org/en/latest/_static/images/logo.png"},"x":{"value":200},"y":{"value":-100}},"id":"671a1448-93ca-455b-82be-0064d62e3c59","type":"ImageURL"},{"attributes":{"callback":null,"end":200,"start":-100},"id":"be638509-49fc-4762-b108-0a9b377e353c","type":"Range1d"},{"attributes":{"h":{"units":"data","value":20},"url":{"field":"url"},"w":{"units":"data","value":20},"x":{"field":"x2"},"y":{"field":"y2"}},"id":"78417c01-2f05-4f3f-a4a1-d88f1eb16ea4","type":"ImageURL"},{"attributes":{"data_source":{"id":"7fab6613-15ef-4878-b298-91d217650166","type":"ColumnDataSource"},"glyph":{"id":"e5fd426e-12bc-4c99-888a-0af6b144fe41","type":"ImageURL"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"3cbecb13-3dc7-46b6-80cb-e00ac4f50db1","type":"CDSView"}},"id":"09f7bf18-6a1f-4a7e-956b-3b4a07cce79f","type":"GlyphRenderer"},{"attributes":{"callback":null,"end":200,"start":-100},"id":"885336a1-ffc3-4b03-bde8-df0848beb4d1","type":"Range1d"},{"attributes":{"source":{"id":"7fab6613-15ef-4878-b298-91d217650166","type":"ColumnDataSource"}},"id":"37e95e4e-c7da-4d7a-b604-2c1a14bd04cf","type":"CDSView"},{"attributes":{"formatter":{"id":"c20a3094-1b2c-45a2-8c00-645ca639f7c8","type":"BasicTickFormatter"},"plot":{"id":"5a7ae7ec-7297-4a2b-a7b8-b6f1221ff3c0","type":"Plot"},"ticker":{"id":"a6749f61-f78a-4371-bb67-aa0f989d8aa8","type":"BasicTicker"}},"id":"81bacd7b-6c5b-48f9-a913-447f085e495d","type":"LinearAxis"},{"attributes":{"below":[{"id":"81bacd7b-6c5b-48f9-a913-447f085e495d","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"535307eb-c6b4-48c0-9779-b889d86dd45a","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"09f7bf18-6a1f-4a7e-956b-3b4a07cce79f","type":"GlyphRenderer"},{"id":"265a1b07-26b2-4610-84eb-ad4f6301d0f0","type":"GlyphRenderer"},{"id":"1c07d708-f5e2-4121-85bf-f1d4ffee49df","type":"GlyphRenderer"},{"id":"81bacd7b-6c5b-48f9-a913-447f085e495d","type":"LinearAxis"},{"id":"535307eb-c6b4-48c0-9779-b889d86dd45a","type":"LinearAxis"},{"id":"158c43b8-b314-4028-8791-ccc2c64d7a8c","type":"Grid"},{"id":"58e6aa8c-948c-4d83-afdf-f3478b066447","type":"Grid"}],"title":null,"toolbar":{"id":"66078478-f910-45ec-9978-75a4ac1bec8b","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"885336a1-ffc3-4b03-bde8-df0848beb4d1","type":"Range1d"},"x_scale":{"id":"a28acfda-2313-4baf-a359-52f8b5ade5b1","type":"LinearScale"},"y_range":{"id":"be638509-49fc-4762-b108-0a9b377e353c","type":"Range1d"},"y_scale":{"id":"556bc25a-7dac-46e1-a927-3775a85051a4","type":"LinearScale"}},"id":"5a7ae7ec-7297-4a2b-a7b8-b6f1221ff3c0","type":"Plot"}],"root_ids":["5a7ae7ec-7297-4a2b-a7b8-b6f1221ff3c0"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"2cfbb6ba-6617-48f2-a0f4-732df5b40f86","elementid":"a0c89617-4fdb-481a-8c0e-6c64955c0915","modelid":"5a7ae7ec-7297-4a2b-a7b8-b6f1221ff3c0"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
