(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("22ca6343-bf97-4ed9-9390-70edd94533b2");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '22ca6343-bf97-4ed9-9390-70edd94533b2' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"1836f73b-0c9f-44f9-8e7c-2706d019d5cb":{"roots":{"references":[{"attributes":{"formatter":{"id":"83c1d1aa-b95c-430f-bcf4-f870688dfdf8","type":"BasicTickFormatter"},"plot":{"id":"89f42d2e-0470-4300-aa80-356ef2c487b9","type":"Plot"},"ticker":{"id":"97843cab-ee38-4602-a687-8d4bc68c4103","type":"BasicTicker"}},"id":"42b1c857-4b75-4ca8-a88f-f448de550aa7","type":"LinearAxis"},{"attributes":{"line_color":{"value":"#8073ac"},"line_width":{"value":2},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"fe76ae2f-edf9-4fb6-a3ed-7ec48876d4da","type":"MultiLine"},{"attributes":{"formatter":{"id":"57ae955a-2432-4b02-8c3f-0c52333751db","type":"BasicTickFormatter"},"plot":{"id":"89f42d2e-0470-4300-aa80-356ef2c487b9","type":"Plot"},"ticker":{"id":"67bf79b1-9da4-4fb6-a04d-1112117b5e42","type":"BasicTicker"}},"id":"c38cde22-caf4-4785-99ef-53677bbc5d88","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["xs","ys"],"data":{"xs":[{"__ndarray__":"uB6F61G4AMD2KFyPwvUAwAAAAAAAAADAFK5H4XoU/r+PwvUoXI/+vw==","dtype":"float64","shape":[5]},{"__ndarray__":"L90kBoGV+b/qJjEIrBz6vwAAAAAAAPi/FtnO91Pj9b/RItv5fmr2vw==","dtype":"float64","shape":[5]},{"__ndarray__":"7nw/NV668b/n+6nx0k3yvwAAAAAAAPC/MQisHFpk678lBoGVQ4vsvw==","dtype":"float64","shape":[5]},{"__ndarray__":"WDm0yHa+47/LoUW28/3kvwAAAAAAAOC/arx0kxgE1r9QjZduEoPYvw==","dtype":"float64","shape":[5]},{"__ndarray__":"VOOlm8QgwL8aL90kBoHFvwAAAAAAAAAAGi/dJAaBxT9U46WbxCDAPw==","dtype":"float64","shape":[5]},{"__ndarray__":"XI/C9Shc1z97FK5H4XrUPwAAAAAAAOA/wvUoXI/C5T9SuB6F61HkPw==","dtype":"float64","shape":[5]},{"__ndarray__":"MQisHFpk6z9CYOXQItvpPwAAAAAAAPA/30+Nl24S8z/n+6nx0k3yPw==","dtype":"float64","shape":[5]},{"__ndarray__":"WmQ730+N9T8j2/l+arz0PwAAAAAAAPg/3SQGgZVD+z+mm8QgsHL6Pw==","dtype":"float64","shape":[5]},{"__ndarray__":"nMQgsHJo/T8lBoGVQ4v8PwAAAAAAAABA7nw/NV66AUCyne+nxksBQA==","dtype":"float64","shape":[5]}],"ys":[{"__ndarray__":"MzMzMzMzD0AUrkfhehQQQGZmZmZmZhBAFK5H4XoUEEAzMzMzMzMPQA==","dtype":"float64","shape":[5]},{"__ndarray__":"H4XrUbgeAUCTGARWDi0CQOF6FK5H4QJAkxgEVg4tAkAfhetRuB4BQA==","dtype":"float64","shape":[5]},{"__ndarray__":"KVyPwvUo7D/8qfHSTWLwP+xRuB6F6/E//Knx0k1i8D8pXI/C9SjsPw==","dtype":"float64","shape":[5]},{"__ndarray__":"uB6F61G4vj9Ei2zn+6nRP1K4HoXrUdg/RIts5/up0T+4HoXrUbi+Pw==","dtype":"float64","shape":[5]},{"__ndarray__":"61G4HoXrwb946SYxCKycP+tRuB6F68E/eOkmMQisnD/rUbgehevBvw==","dtype":"float64","shape":[5]},{"__ndarray__":"mJmZmZmZuT/sUbgehevRP5qZmZmZmdk/7FG4HoXr0T+YmZmZmZm5Pw==","dtype":"float64","shape":[5]},{"__ndarray__":"4XoUrkfh6j9QjZduEoPwP5DC9Shcj/I/UI2XbhKD8D/hehSuR+HqPw==","dtype":"float64","shape":[5]},{"__ndarray__":"pHA9CtejAEASg8DKoUUCQFyPwvUoXANAEoPAyqFFAkCkcD0K16MAQA==","dtype":"float64","shape":[5]},{"__ndarray__":"j8L1KFyPDkC+nxov3SQQQLgehetRuBBAvp8aL90kEECPwvUoXI8OQA==","dtype":"float64","shape":[5]}]}},"id":"f671a5ac-d2bf-4b1d-8038-efdae7526aab","type":"ColumnDataSource"},{"attributes":{"plot":{"id":"89f42d2e-0470-4300-aa80-356ef2c487b9","type":"Plot"},"ticker":{"id":"97843cab-ee38-4602-a687-8d4bc68c4103","type":"BasicTicker"}},"id":"8210bd33-e1e9-493a-a820-6c00d00e597a","type":"Grid"},{"attributes":{"source":{"id":"f671a5ac-d2bf-4b1d-8038-efdae7526aab","type":"ColumnDataSource"}},"id":"13d1f429-d893-469f-9927-a0f596615cc7","type":"CDSView"},{"attributes":{},"id":"26739929-0616-4e3f-b21c-b3addec8bb16","type":"LinearScale"},{"attributes":{"data_source":{"id":"f671a5ac-d2bf-4b1d-8038-efdae7526aab","type":"ColumnDataSource"},"glyph":{"id":"fe76ae2f-edf9-4fb6-a3ed-7ec48876d4da","type":"MultiLine"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"13d1f429-d893-469f-9927-a0f596615cc7","type":"CDSView"}},"id":"ea5d97b5-b134-45fc-99ce-2bf6d99492f7","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"89f42d2e-0470-4300-aa80-356ef2c487b9","type":"Plot"},"ticker":{"id":"67bf79b1-9da4-4fb6-a04d-1112117b5e42","type":"BasicTicker"}},"id":"1ac75332-35af-46ca-92bd-d1e3de31c4d4","type":"Grid"},{"attributes":{"callback":null},"id":"74eb2bf5-d3de-4698-81f2-8bfeb6ffe1bd","type":"DataRange1d"},{"attributes":{},"id":"57ae955a-2432-4b02-8c3f-0c52333751db","type":"BasicTickFormatter"},{"attributes":{},"id":"67bf79b1-9da4-4fb6-a04d-1112117b5e42","type":"BasicTicker"},{"attributes":{"callback":null},"id":"a124aa43-0b03-44d7-bf1f-66a5093b2c26","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"f9917bc8-9319-428a-8d95-024a15c027c1","type":"Toolbar"},{"attributes":{},"id":"83c1d1aa-b95c-430f-bcf4-f870688dfdf8","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"42b1c857-4b75-4ca8-a88f-f448de550aa7","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"c38cde22-caf4-4785-99ef-53677bbc5d88","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"ea5d97b5-b134-45fc-99ce-2bf6d99492f7","type":"GlyphRenderer"},{"id":"42b1c857-4b75-4ca8-a88f-f448de550aa7","type":"LinearAxis"},{"id":"c38cde22-caf4-4785-99ef-53677bbc5d88","type":"LinearAxis"},{"id":"8210bd33-e1e9-493a-a820-6c00d00e597a","type":"Grid"},{"id":"1ac75332-35af-46ca-92bd-d1e3de31c4d4","type":"Grid"}],"title":null,"toolbar":{"id":"f9917bc8-9319-428a-8d95-024a15c027c1","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"74eb2bf5-d3de-4698-81f2-8bfeb6ffe1bd","type":"DataRange1d"},"x_scale":{"id":"cb89c7f0-50a1-49f3-a48d-6985d2265bd7","type":"LinearScale"},"y_range":{"id":"a124aa43-0b03-44d7-bf1f-66a5093b2c26","type":"DataRange1d"},"y_scale":{"id":"26739929-0616-4e3f-b21c-b3addec8bb16","type":"LinearScale"}},"id":"89f42d2e-0470-4300-aa80-356ef2c487b9","type":"Plot"},{"attributes":{},"id":"97843cab-ee38-4602-a687-8d4bc68c4103","type":"BasicTicker"},{"attributes":{},"id":"cb89c7f0-50a1-49f3-a48d-6985d2265bd7","type":"LinearScale"}],"root_ids":["89f42d2e-0470-4300-aa80-356ef2c487b9"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"1836f73b-0c9f-44f9-8e7c-2706d019d5cb","elementid":"22ca6343-bf97-4ed9-9390-70edd94533b2","modelid":"89f42d2e-0470-4300-aa80-356ef2c487b9"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
