(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2369ac42-879e-4f32-b82e-d83232045e4e");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2369ac42-879e-4f32-b82e-d83232045e4e' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"40d4b85f-660a-47da-8cb6-7d82094eb88d":{"roots":{"references":[{"attributes":{"callback":null},"id":"8aee3d08-b904-4aae-b485-672e89008599","type":"DataRange1d"},{"attributes":{"callback":null},"id":"bca364f1-8646-4598-aebb-bfec4a441382","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"e2d7710d-1403-4542-b1e4-4963556d0218","type":"Toolbar"},{"attributes":{"source":{"id":"3592a14d-6787-416e-8563-f0e843d1f435","type":"ColumnDataSource"}},"id":"c0705f5e-e4ed-499d-87b2-350433384b05","type":"CDSView"},{"attributes":{"data_source":{"id":"3592a14d-6787-416e-8563-f0e843d1f435","type":"ColumnDataSource"},"glyph":{"id":"1bd28e75-2841-47c9-aaa6-42bf6047249c","type":"Patches"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"c0705f5e-e4ed-499d-87b2-350433384b05","type":"CDSView"}},"id":"356f5cb3-7e61-4b91-a153-76e2dded8ca1","type":"GlyphRenderer"},{"attributes":{},"id":"3351fc40-8c0e-44d3-9368-422970703f8c","type":"LinearScale"},{"attributes":{"below":[{"id":"918ba5cb-88e4-4662-8dcc-1ec4d2c42898","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"242733a7-aaa5-432b-ac38-eab154bf8a38","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"356f5cb3-7e61-4b91-a153-76e2dded8ca1","type":"GlyphRenderer"},{"id":"918ba5cb-88e4-4662-8dcc-1ec4d2c42898","type":"LinearAxis"},{"id":"242733a7-aaa5-432b-ac38-eab154bf8a38","type":"LinearAxis"},{"id":"d6b5ee99-10ec-4980-8e7b-cba4e4cb8de8","type":"Grid"},{"id":"03706859-3e99-44a0-80cb-3f710f55790b","type":"Grid"}],"title":null,"toolbar":{"id":"e2d7710d-1403-4542-b1e4-4963556d0218","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"bca364f1-8646-4598-aebb-bfec4a441382","type":"DataRange1d"},"x_scale":{"id":"3351fc40-8c0e-44d3-9368-422970703f8c","type":"LinearScale"},"y_range":{"id":"8aee3d08-b904-4aae-b485-672e89008599","type":"DataRange1d"},"y_scale":{"id":"3c47babe-077b-4c70-81e8-c7c1ee16ffac","type":"LinearScale"}},"id":"3b1b2ea8-4571-41a1-8902-bcd516da043c","type":"Plot"},{"attributes":{"callback":null,"column_names":["xs","ys"],"data":{"xs":[{"__ndarray__":"uB6F61G4AMD2KFyPwvUAwAAAAAAAAADAFK5H4XoU/r+PwvUoXI/+vw==","dtype":"float64","shape":[5]},{"__ndarray__":"L90kBoGV+b/qJjEIrBz6vwAAAAAAAPi/FtnO91Pj9b/RItv5fmr2vw==","dtype":"float64","shape":[5]},{"__ndarray__":"7nw/NV668b/n+6nx0k3yvwAAAAAAAPC/MQisHFpk678lBoGVQ4vsvw==","dtype":"float64","shape":[5]},{"__ndarray__":"WDm0yHa+47/LoUW28/3kvwAAAAAAAOC/arx0kxgE1r9QjZduEoPYvw==","dtype":"float64","shape":[5]},{"__ndarray__":"VOOlm8QgwL8aL90kBoHFvwAAAAAAAAAAGi/dJAaBxT9U46WbxCDAPw==","dtype":"float64","shape":[5]},{"__ndarray__":"XI/C9Shc1z97FK5H4XrUPwAAAAAAAOA/wvUoXI/C5T9SuB6F61HkPw==","dtype":"float64","shape":[5]},{"__ndarray__":"MQisHFpk6z9CYOXQItvpPwAAAAAAAPA/30+Nl24S8z/n+6nx0k3yPw==","dtype":"float64","shape":[5]},{"__ndarray__":"WmQ730+N9T8j2/l+arz0PwAAAAAAAPg/3SQGgZVD+z+mm8QgsHL6Pw==","dtype":"float64","shape":[5]},{"__ndarray__":"nMQgsHJo/T8lBoGVQ4v8PwAAAAAAAABA7nw/NV66AUCyne+nxksBQA==","dtype":"float64","shape":[5]}],"ys":[{"__ndarray__":"MzMzMzMzD0AUrkfhehQQQGZmZmZmZhBAFK5H4XoUEEAzMzMzMzMPQA==","dtype":"float64","shape":[5]},{"__ndarray__":"H4XrUbgeAUCTGARWDi0CQOF6FK5H4QJAkxgEVg4tAkAfhetRuB4BQA==","dtype":"float64","shape":[5]},{"__ndarray__":"KVyPwvUo7D/8qfHSTWLwP+xRuB6F6/E//Knx0k1i8D8pXI/C9SjsPw==","dtype":"float64","shape":[5]},{"__ndarray__":"uB6F61G4vj9Ei2zn+6nRP1K4HoXrUdg/RIts5/up0T+4HoXrUbi+Pw==","dtype":"float64","shape":[5]},{"__ndarray__":"61G4HoXrwb946SYxCKycP+tRuB6F68E/eOkmMQisnD/rUbgehevBvw==","dtype":"float64","shape":[5]},{"__ndarray__":"mJmZmZmZuT/sUbgehevRP5qZmZmZmdk/7FG4HoXr0T+YmZmZmZm5Pw==","dtype":"float64","shape":[5]},{"__ndarray__":"4XoUrkfh6j9QjZduEoPwP5DC9Shcj/I/UI2XbhKD8D/hehSuR+HqPw==","dtype":"float64","shape":[5]},{"__ndarray__":"pHA9CtejAEASg8DKoUUCQFyPwvUoXANAEoPAyqFFAkCkcD0K16MAQA==","dtype":"float64","shape":[5]},{"__ndarray__":"j8L1KFyPDkC+nxov3SQQQLgehetRuBBAvp8aL90kEECPwvUoXI8OQA==","dtype":"float64","shape":[5]}]}},"id":"3592a14d-6787-416e-8563-f0e843d1f435","type":"ColumnDataSource"},{"attributes":{},"id":"04b39ae1-c1c3-4948-9b5f-0788a3d9a295","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"e7f63d27-656b-4301-9ba4-51ecefff0c0a","type":"BasicTickFormatter"},"plot":{"id":"3b1b2ea8-4571-41a1-8902-bcd516da043c","type":"Plot"},"ticker":{"id":"946a9628-bfdc-4756-9ea2-65847a7edc13","type":"BasicTicker"}},"id":"918ba5cb-88e4-4662-8dcc-1ec4d2c42898","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"3b1b2ea8-4571-41a1-8902-bcd516da043c","type":"Plot"},"ticker":{"id":"36a647d4-24c7-4c55-8646-2327e4a239f9","type":"BasicTicker"}},"id":"03706859-3e99-44a0-80cb-3f710f55790b","type":"Grid"},{"attributes":{"plot":{"id":"3b1b2ea8-4571-41a1-8902-bcd516da043c","type":"Plot"},"ticker":{"id":"946a9628-bfdc-4756-9ea2-65847a7edc13","type":"BasicTicker"}},"id":"d6b5ee99-10ec-4980-8e7b-cba4e4cb8de8","type":"Grid"},{"attributes":{},"id":"36a647d4-24c7-4c55-8646-2327e4a239f9","type":"BasicTicker"},{"attributes":{"fill_color":{"value":"#fb9a99"},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"1bd28e75-2841-47c9-aaa6-42bf6047249c","type":"Patches"},{"attributes":{},"id":"3c47babe-077b-4c70-81e8-c7c1ee16ffac","type":"LinearScale"},{"attributes":{},"id":"946a9628-bfdc-4756-9ea2-65847a7edc13","type":"BasicTicker"},{"attributes":{"formatter":{"id":"04b39ae1-c1c3-4948-9b5f-0788a3d9a295","type":"BasicTickFormatter"},"plot":{"id":"3b1b2ea8-4571-41a1-8902-bcd516da043c","type":"Plot"},"ticker":{"id":"36a647d4-24c7-4c55-8646-2327e4a239f9","type":"BasicTicker"}},"id":"242733a7-aaa5-432b-ac38-eab154bf8a38","type":"LinearAxis"},{"attributes":{},"id":"e7f63d27-656b-4301-9ba4-51ecefff0c0a","type":"BasicTickFormatter"}],"root_ids":["3b1b2ea8-4571-41a1-8902-bcd516da043c"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"40d4b85f-660a-47da-8cb6-7d82094eb88d","elementid":"2369ac42-879e-4f32-b82e-d83232045e4e","modelid":"3b1b2ea8-4571-41a1-8902-bcd516da043c"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
