(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2ae1d8b0-91d2-43bf-a6ca-e6cead1d5bce");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2ae1d8b0-91d2-43bf-a6ca-e6cead1d5bce' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"787a2c21-87dc-4d19-bd91-4db312c5026c":{"roots":{"references":[{"attributes":{},"id":"1e6dc8e2-94a2-4a39-8afb-72667ae7e856","type":"LinearScale"},{"attributes":{"source":{"id":"7c1082a4-e357-4f45-b8f3-392ef885f5d1","type":"ColumnDataSource"}},"id":"c6fdc15f-3ec3-44b5-91bd-03dc6d1149fa","type":"CDSView"},{"attributes":{"callback":null,"column_names":["top","right","bottom","left"],"data":{"bottom":{"__ndarray__":"ZmZmZmZmEEAzMzMzMzMEQGZmZmZmZvY/MzMzMzMz5z8AAAAAAADgPzMzMzMzM+c/ZmZmZmZm9j8zMzMzMzMEQGZmZmZmZhBA","dtype":"float64","shape":[9]},"left":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"right":{"__ndarray__":"zMzMzMzM7L+amZmZmZnrvzQzMzMzM+O/AAAAAAAAyL8zMzMzMzPTPzMzMzMzM+k/MzMzMzMz8z9nZmZmZmb3PwAAAAAAAPg/","dtype":"float64","shape":[9]},"top":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"7c1082a4-e357-4f45-b8f3-392ef885f5d1","type":"ColumnDataSource"},{"attributes":{},"id":"99bc8824-6da2-4059-ae39-b0fcdb95484f","type":"LinearScale"},{"attributes":{"callback":null},"id":"f68d84ba-890a-45ca-ac10-57b036d120c6","type":"DataRange1d"},{"attributes":{"below":[{"id":"847a3e87-7b1a-4c30-874e-b5f866e5b996","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"db0ebfdf-09b7-45d0-96a1-a8c50c0ed106","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"397b2a8e-76f9-4679-a0e5-94cee73b06f3","type":"GlyphRenderer"},{"id":"847a3e87-7b1a-4c30-874e-b5f866e5b996","type":"LinearAxis"},{"id":"db0ebfdf-09b7-45d0-96a1-a8c50c0ed106","type":"LinearAxis"},{"id":"6af67371-63e6-4887-afc1-cefc0c3cce38","type":"Grid"},{"id":"ee20a8b6-f744-41a5-807a-f31b89cc6c86","type":"Grid"}],"title":null,"toolbar":{"id":"eefe7ed8-24cf-4502-87b2-72788dc59e68","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"f68d84ba-890a-45ca-ac10-57b036d120c6","type":"DataRange1d"},"x_scale":{"id":"99bc8824-6da2-4059-ae39-b0fcdb95484f","type":"LinearScale"},"y_range":{"id":"e9770dec-1948-4866-be9b-10101ede3f1d","type":"DataRange1d"},"y_scale":{"id":"1e6dc8e2-94a2-4a39-8afb-72667ae7e856","type":"LinearScale"}},"id":"a095472d-6998-4f6c-bd42-7b3c35ac97ae","type":"Plot"},{"attributes":{"bottom":{"field":"bottom"},"fill_color":{"value":"#b3de69"},"left":{"field":"left"},"right":{"field":"right"},"top":{"field":"top"}},"id":"ff017b33-29ea-465d-88c6-34338ec4caad","type":"Quad"},{"attributes":{"plot":{"id":"a095472d-6998-4f6c-bd42-7b3c35ac97ae","type":"Plot"},"ticker":{"id":"a82df4a9-b246-4338-b41e-7191fb0285ff","type":"BasicTicker"}},"id":"6af67371-63e6-4887-afc1-cefc0c3cce38","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"eefe7ed8-24cf-4502-87b2-72788dc59e68","type":"Toolbar"},{"attributes":{},"id":"2a5493d8-a794-4643-b06e-501f76b0836b","type":"BasicTicker"},{"attributes":{},"id":"246ecfc7-0fa2-41ec-b1de-9197ecd2573d","type":"BasicTickFormatter"},{"attributes":{},"id":"025ae1b8-4ea8-4abd-ba56-a49a49cdee7a","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"7c1082a4-e357-4f45-b8f3-392ef885f5d1","type":"ColumnDataSource"},"glyph":{"id":"ff017b33-29ea-465d-88c6-34338ec4caad","type":"Quad"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"c6fdc15f-3ec3-44b5-91bd-03dc6d1149fa","type":"CDSView"}},"id":"397b2a8e-76f9-4679-a0e5-94cee73b06f3","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"025ae1b8-4ea8-4abd-ba56-a49a49cdee7a","type":"BasicTickFormatter"},"plot":{"id":"a095472d-6998-4f6c-bd42-7b3c35ac97ae","type":"Plot"},"ticker":{"id":"a82df4a9-b246-4338-b41e-7191fb0285ff","type":"BasicTicker"}},"id":"847a3e87-7b1a-4c30-874e-b5f866e5b996","type":"LinearAxis"},{"attributes":{"callback":null},"id":"e9770dec-1948-4866-be9b-10101ede3f1d","type":"DataRange1d"},{"attributes":{},"id":"a82df4a9-b246-4338-b41e-7191fb0285ff","type":"BasicTicker"},{"attributes":{"formatter":{"id":"246ecfc7-0fa2-41ec-b1de-9197ecd2573d","type":"BasicTickFormatter"},"plot":{"id":"a095472d-6998-4f6c-bd42-7b3c35ac97ae","type":"Plot"},"ticker":{"id":"2a5493d8-a794-4643-b06e-501f76b0836b","type":"BasicTicker"}},"id":"db0ebfdf-09b7-45d0-96a1-a8c50c0ed106","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"a095472d-6998-4f6c-bd42-7b3c35ac97ae","type":"Plot"},"ticker":{"id":"2a5493d8-a794-4643-b06e-501f76b0836b","type":"BasicTicker"}},"id":"ee20a8b6-f744-41a5-807a-f31b89cc6c86","type":"Grid"}],"root_ids":["a095472d-6998-4f6c-bd42-7b3c35ac97ae"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"787a2c21-87dc-4d19-bd91-4db312c5026c","elementid":"2ae1d8b0-91d2-43bf-a6ca-e6cead1d5bce","modelid":"a095472d-6998-4f6c-bd42-7b3c35ac97ae"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
