(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2e01c6c6-2da9-4455-8f47-9d54d9eb5597");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2e01c6c6-2da9-4455-8f47-9d54d9eb5597' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a88a1549-d001-4a91-9c18-1efd9ed0f177":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"e3464e15-7844-4d3e-879b-6ede1363112b","type":"Toolbar"},{"attributes":{},"id":"5d8bd8dd-9bfa-4af1-9cf8-8fb5c4143535","type":"BasicTicker"},{"attributes":{"data_source":{"id":"dc07b72e-f720-4086-b73b-184c61dc3d2f","type":"ColumnDataSource"},"glyph":{"id":"00b46cd4-faca-4e59-9116-14f39000f867","type":"Ray"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"d906422e-1855-4e2b-952e-f6e31c2bce7b","type":"CDSView"}},"id":"7e25fdab-1a64-47c1-ac6c-cd598dc079e3","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"2cae37fe-e2fc-4302-a76a-c24fdecc92cc","type":"DataRange1d"},{"attributes":{"callback":null},"id":"ebf3c417-3aa2-4e59-8fd5-1ebb5286101e","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"28649b4b-bd1d-4d68-af1d-25865c81d0d4","type":"Plot"},"ticker":{"id":"5d8bd8dd-9bfa-4af1-9cf8-8fb5c4143535","type":"BasicTicker"}},"id":"bcfed1d1-ce3c-41ff-9681-88442fc1dea8","type":"Grid"},{"attributes":{"below":[{"id":"da6dc9c8-81e5-4ddc-ad3a-af53731d25da","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"113772ff-ce3e-458d-99b5-2ca3d67fc137","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"7e25fdab-1a64-47c1-ac6c-cd598dc079e3","type":"GlyphRenderer"},{"id":"da6dc9c8-81e5-4ddc-ad3a-af53731d25da","type":"LinearAxis"},{"id":"113772ff-ce3e-458d-99b5-2ca3d67fc137","type":"LinearAxis"},{"id":"1c05d7d7-734b-453e-b4b1-1ae8b0be0ac9","type":"Grid"},{"id":"bcfed1d1-ce3c-41ff-9681-88442fc1dea8","type":"Grid"}],"title":null,"toolbar":{"id":"e3464e15-7844-4d3e-879b-6ede1363112b","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"ebf3c417-3aa2-4e59-8fd5-1ebb5286101e","type":"DataRange1d"},"x_scale":{"id":"e127148d-9534-48bf-a810-735d71cc25fa","type":"LinearScale"},"y_range":{"id":"2cae37fe-e2fc-4302-a76a-c24fdecc92cc","type":"DataRange1d"},"y_scale":{"id":"1fcd92cc-69e1-4d55-8915-20fa74c848ff","type":"LinearScale"}},"id":"28649b4b-bd1d-4d68-af1d-25865c81d0d4","type":"Plot"},{"attributes":{"callback":null,"column_names":["y","x","l"],"data":{"l":{"__ndarray__":"AAAAAAAALkAAAAAAAIAxQAAAAAAAADRAAAAAAACANkAAAAAAAAA5QAAAAAAAgDtAAAAAAAAAPkAAAAAAAEBAQAAAAAAAgEFA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"dc07b72e-f720-4086-b73b-184c61dc3d2f","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"701707b1-e982-459a-b018-0402e9a41737","type":"BasicTickFormatter"},"plot":{"id":"28649b4b-bd1d-4d68-af1d-25865c81d0d4","type":"Plot"},"ticker":{"id":"4bb08dab-a806-4abc-ae4c-e562263e155c","type":"BasicTicker"}},"id":"da6dc9c8-81e5-4ddc-ad3a-af53731d25da","type":"LinearAxis"},{"attributes":{},"id":"701707b1-e982-459a-b018-0402e9a41737","type":"BasicTickFormatter"},{"attributes":{},"id":"1fcd92cc-69e1-4d55-8915-20fa74c848ff","type":"LinearScale"},{"attributes":{"angle":{"units":"rad","value":-2.0},"length":{"field":"l","units":"data"},"line_color":{"value":"#fb8072"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"00b46cd4-faca-4e59-9116-14f39000f867","type":"Ray"},{"attributes":{"plot":{"id":"28649b4b-bd1d-4d68-af1d-25865c81d0d4","type":"Plot"},"ticker":{"id":"4bb08dab-a806-4abc-ae4c-e562263e155c","type":"BasicTicker"}},"id":"1c05d7d7-734b-453e-b4b1-1ae8b0be0ac9","type":"Grid"},{"attributes":{"formatter":{"id":"8016cd3a-40a6-481f-834e-fefb7e646fb6","type":"BasicTickFormatter"},"plot":{"id":"28649b4b-bd1d-4d68-af1d-25865c81d0d4","type":"Plot"},"ticker":{"id":"5d8bd8dd-9bfa-4af1-9cf8-8fb5c4143535","type":"BasicTicker"}},"id":"113772ff-ce3e-458d-99b5-2ca3d67fc137","type":"LinearAxis"},{"attributes":{},"id":"4bb08dab-a806-4abc-ae4c-e562263e155c","type":"BasicTicker"},{"attributes":{},"id":"e127148d-9534-48bf-a810-735d71cc25fa","type":"LinearScale"},{"attributes":{"source":{"id":"dc07b72e-f720-4086-b73b-184c61dc3d2f","type":"ColumnDataSource"}},"id":"d906422e-1855-4e2b-952e-f6e31c2bce7b","type":"CDSView"},{"attributes":{},"id":"8016cd3a-40a6-481f-834e-fefb7e646fb6","type":"BasicTickFormatter"}],"root_ids":["28649b4b-bd1d-4d68-af1d-25865c81d0d4"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a88a1549-d001-4a91-9c18-1efd9ed0f177","elementid":"2e01c6c6-2da9-4455-8f47-9d54d9eb5597","modelid":"28649b4b-bd1d-4d68-af1d-25865c81d0d4"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
