(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ba6cde17-d93e-426d-9079-7506f6d43684");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ba6cde17-d93e-426d-9079-7506f6d43684' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"862564a0-ea42-4ae6-9c97-5932cb59c2b8":{"roots":{"references":[{"attributes":{"callback":null},"id":"5ec4b759-89e6-4604-a25d-a86798444220","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"58ac3097-17fa-4ad2-bcf0-a947324099c2","type":"Plot"},"ticker":{"id":"2c9ff659-664b-40e3-aea4-12cad8b55a73","type":"BasicTicker"}},"id":"8d0aa115-a321-49e4-a3ff-7cbea3f9b1f1","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","h","w","x"],"data":{"h":{"__ndarray__":"AAAAAAAA4D9mZmZmZmbaP2ZmZmZmZtY/AAAAAAAA1D8zMzMzMzPTPwAAAAAAANQ/ZmZmZmZm1j9mZmZmZmbaPwAAAAAAAOA/","dtype":"float64","shape":[9]},"w":{"__ndarray__":"VVVVVVVVxT+ZmZmZmZnJP97d3d3d3c0/ERERERER0T8zMzMzMzPTP1VVVVVVVdU/d3d3d3d31z+amZmZmZnZP7y7u7u7u9s/","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"8922ca52-813e-41c9-a5b4-543d23865eea","type":"ColumnDataSource"},{"attributes":{"source":{"id":"8922ca52-813e-41c9-a5b4-543d23865eea","type":"ColumnDataSource"}},"id":"3ef49d3c-4519-487d-a345-65338e2bdde2","type":"CDSView"},{"attributes":{"below":[{"id":"95093080-53bd-409d-a767-6b0609d9e029","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"b3f7217f-65d8-4eeb-b661-5a65df57c4a1","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"b4335ade-04e7-4281-8e7b-409424e486f9","type":"GlyphRenderer"},{"id":"95093080-53bd-409d-a767-6b0609d9e029","type":"LinearAxis"},{"id":"b3f7217f-65d8-4eeb-b661-5a65df57c4a1","type":"LinearAxis"},{"id":"a495110e-c77f-4f3d-8f58-7408135b0291","type":"Grid"},{"id":"8d0aa115-a321-49e4-a3ff-7cbea3f9b1f1","type":"Grid"}],"title":null,"toolbar":{"id":"50b5c185-b6a2-4b29-bad4-043d8b175044","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"5ec4b759-89e6-4604-a25d-a86798444220","type":"DataRange1d"},"x_scale":{"id":"27902473-8285-4ac4-ac93-728769c64025","type":"LinearScale"},"y_range":{"id":"b5286226-0785-4dcf-b586-64b9e909e853","type":"DataRange1d"},"y_scale":{"id":"ad1aa968-3352-432a-b1f4-b83f59b9c1c7","type":"LinearScale"}},"id":"58ac3097-17fa-4ad2-bcf0-a947324099c2","type":"Plot"},{"attributes":{},"id":"2c9ff659-664b-40e3-aea4-12cad8b55a73","type":"BasicTicker"},{"attributes":{"angle":{"units":"rad","value":-0.7},"fill_color":{"value":"#CAB2D6"},"height":{"field":"h","units":"data"},"width":{"field":"w","units":"data"},"x":{"field":"x"},"y":{"field":"y"}},"id":"afb5a8b4-e852-4c29-87ee-9aded39e5616","type":"Rect"},{"attributes":{"formatter":{"id":"25c95564-40ac-446e-8873-95ddcdd5ea6a","type":"BasicTickFormatter"},"plot":{"id":"58ac3097-17fa-4ad2-bcf0-a947324099c2","type":"Plot"},"ticker":{"id":"c7547165-9014-4c2b-a5b9-68664377eb22","type":"BasicTicker"}},"id":"95093080-53bd-409d-a767-6b0609d9e029","type":"LinearAxis"},{"attributes":{"plot":{"id":"58ac3097-17fa-4ad2-bcf0-a947324099c2","type":"Plot"},"ticker":{"id":"c7547165-9014-4c2b-a5b9-68664377eb22","type":"BasicTicker"}},"id":"a495110e-c77f-4f3d-8f58-7408135b0291","type":"Grid"},{"attributes":{},"id":"25c95564-40ac-446e-8873-95ddcdd5ea6a","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"b5286226-0785-4dcf-b586-64b9e909e853","type":"DataRange1d"},{"attributes":{},"id":"c7547165-9014-4c2b-a5b9-68664377eb22","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"50b5c185-b6a2-4b29-bad4-043d8b175044","type":"Toolbar"},{"attributes":{"data_source":{"id":"8922ca52-813e-41c9-a5b4-543d23865eea","type":"ColumnDataSource"},"glyph":{"id":"afb5a8b4-e852-4c29-87ee-9aded39e5616","type":"Rect"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"3ef49d3c-4519-487d-a345-65338e2bdde2","type":"CDSView"}},"id":"b4335ade-04e7-4281-8e7b-409424e486f9","type":"GlyphRenderer"},{"attributes":{},"id":"07c924c0-b9b7-4ad2-891e-39b336579641","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"07c924c0-b9b7-4ad2-891e-39b336579641","type":"BasicTickFormatter"},"plot":{"id":"58ac3097-17fa-4ad2-bcf0-a947324099c2","type":"Plot"},"ticker":{"id":"2c9ff659-664b-40e3-aea4-12cad8b55a73","type":"BasicTicker"}},"id":"b3f7217f-65d8-4eeb-b661-5a65df57c4a1","type":"LinearAxis"},{"attributes":{},"id":"ad1aa968-3352-432a-b1f4-b83f59b9c1c7","type":"LinearScale"},{"attributes":{},"id":"27902473-8285-4ac4-ac93-728769c64025","type":"LinearScale"}],"root_ids":["58ac3097-17fa-4ad2-bcf0-a947324099c2"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"862564a0-ea42-4ae6-9c97-5932cb59c2b8","elementid":"ba6cde17-d93e-426d-9079-7506f6d43684","modelid":"58ac3097-17fa-4ad2-bcf0-a947324099c2"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
