(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a175a7f9-7b2c-4097-9fe1-f542a523e70c");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a175a7f9-7b2c-4097-9fe1-f542a523e70c' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"f29c0f22-b3d4-4950-9f74-867d68998794":{"roots":{"references":[{"attributes":{},"id":"70d944d0-33f1-49e5-aee2-c27549946f2f","type":"BasicTicker"},{"attributes":{"plot":{"id":"25528cf3-a95f-4552-9ad7-90780b4954d8","type":"Plot"},"ticker":{"id":"8e69afc4-4c54-43f8-8872-c26d046b5d5e","type":"BasicTicker"}},"id":"53f8f9a8-0469-4b11-b1da-50b2116657cc","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"778a03a3-0e39-4ed3-85a1-082d3973db56","type":"Toolbar"},{"attributes":{"formatter":{"id":"c2c2ac5c-8587-4a1a-b6f4-48fe03fa1194","type":"BasicTickFormatter"},"plot":{"id":"25528cf3-a95f-4552-9ad7-90780b4954d8","type":"Plot"},"ticker":{"id":"8e69afc4-4c54-43f8-8872-c26d046b5d5e","type":"BasicTicker"}},"id":"51aefc7f-4c7b-455e-b23c-ddeee99f9258","type":"LinearAxis"},{"attributes":{"formatter":{"id":"d8d0eb73-b84c-4b69-9a92-b9aae240dfe7","type":"BasicTickFormatter"},"plot":{"id":"25528cf3-a95f-4552-9ad7-90780b4954d8","type":"Plot"},"ticker":{"id":"70d944d0-33f1-49e5-aee2-c27549946f2f","type":"BasicTicker"}},"id":"d42f5c59-e631-465b-a60d-001ddc0e2863","type":"LinearAxis"},{"attributes":{"source":{"id":"fbce41e8-1969-450d-b914-92ff006fb7f7","type":"ColumnDataSource"}},"id":"10947d64-cf48-4be1-8bda-356b30d047d9","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"25528cf3-a95f-4552-9ad7-90780b4954d8","type":"Plot"},"ticker":{"id":"70d944d0-33f1-49e5-aee2-c27549946f2f","type":"BasicTicker"}},"id":"dd086969-e230-4e70-af71-d87b2d8e0aba","type":"Grid"},{"attributes":{},"id":"d8d0eb73-b84c-4b69-9a92-b9aae240dfe7","type":"BasicTickFormatter"},{"attributes":{},"id":"6fc25842-335b-4340-b321-874fe091bb47","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","text","x"],"data":{"text":["abc","def","ghi","jkl","mno","pqr","stu","vwx","yz"],"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"fbce41e8-1969-450d-b914-92ff006fb7f7","type":"ColumnDataSource"},{"attributes":{"angle":{"units":"rad","value":0.3},"text_color":{"value":"#96deb3"},"x":{"field":"x"},"y":{"field":"y"}},"id":"13b0e146-6627-43d1-bb41-93707cf57bb3","type":"Text"},{"attributes":{"callback":null},"id":"47fee749-bd7f-4e2b-950c-c9df4b7b7449","type":"DataRange1d"},{"attributes":{},"id":"1eb1d904-3cd3-4ead-98be-0ab9f67a7420","type":"LinearScale"},{"attributes":{"below":[{"id":"51aefc7f-4c7b-455e-b23c-ddeee99f9258","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"d42f5c59-e631-465b-a60d-001ddc0e2863","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"d2e601c7-5984-4422-ae01-d7bec9398cc5","type":"GlyphRenderer"},{"id":"51aefc7f-4c7b-455e-b23c-ddeee99f9258","type":"LinearAxis"},{"id":"d42f5c59-e631-465b-a60d-001ddc0e2863","type":"LinearAxis"},{"id":"53f8f9a8-0469-4b11-b1da-50b2116657cc","type":"Grid"},{"id":"dd086969-e230-4e70-af71-d87b2d8e0aba","type":"Grid"}],"title":null,"toolbar":{"id":"778a03a3-0e39-4ed3-85a1-082d3973db56","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"5a9cda65-5471-4fa5-956f-b4d87e3ce1d3","type":"DataRange1d"},"x_scale":{"id":"6fc25842-335b-4340-b321-874fe091bb47","type":"LinearScale"},"y_range":{"id":"47fee749-bd7f-4e2b-950c-c9df4b7b7449","type":"DataRange1d"},"y_scale":{"id":"1eb1d904-3cd3-4ead-98be-0ab9f67a7420","type":"LinearScale"}},"id":"25528cf3-a95f-4552-9ad7-90780b4954d8","type":"Plot"},{"attributes":{},"id":"8e69afc4-4c54-43f8-8872-c26d046b5d5e","type":"BasicTicker"},{"attributes":{"data_source":{"id":"fbce41e8-1969-450d-b914-92ff006fb7f7","type":"ColumnDataSource"},"glyph":{"id":"13b0e146-6627-43d1-bb41-93707cf57bb3","type":"Text"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"10947d64-cf48-4be1-8bda-356b30d047d9","type":"CDSView"}},"id":"d2e601c7-5984-4422-ae01-d7bec9398cc5","type":"GlyphRenderer"},{"attributes":{},"id":"c2c2ac5c-8587-4a1a-b6f4-48fe03fa1194","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"5a9cda65-5471-4fa5-956f-b4d87e3ce1d3","type":"DataRange1d"}],"root_ids":["25528cf3-a95f-4552-9ad7-90780b4954d8"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"f29c0f22-b3d4-4950-9f74-867d68998794","elementid":"a175a7f9-7b2c-4097-9fe1-f542a523e70c","modelid":"25528cf3-a95f-4552-9ad7-90780b4954d8"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
