(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("c0b975b3-b089-4ca0-9a69-404ad6e2e1c1");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'c0b975b3-b089-4ca0-9a69-404ad6e2e1c1' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"962913d4-132e-4376-b2e2-8490acc1d59b":{"roots":{"references":[{"attributes":{"formatter":{"id":"2339c216-ac7b-49df-b173-c327536532d1","type":"BasicTickFormatter"},"plot":{"id":"8652ff9f-6459-432f-a105-6670c84a9bb1","type":"Plot"},"ticker":{"id":"5f5a1b9e-03c4-44c6-9d67-b550ff7fb7d6","type":"BasicTicker"}},"id":"ca96aa1f-cbee-4520-9acb-6121eab54c54","type":"LinearAxis"},{"attributes":{"plot":{"id":"8652ff9f-6459-432f-a105-6670c84a9bb1","type":"Plot"},"ticker":{"id":"5f5a1b9e-03c4-44c6-9d67-b550ff7fb7d6","type":"BasicTicker"}},"id":"a57f3fab-d26c-43ae-8066-aa9ddd411815","type":"Grid"},{"attributes":{"below":[{"id":"ca96aa1f-cbee-4520-9acb-6121eab54c54","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"8321d374-e5e6-4a14-b405-83bd7ce5894b","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"7c5d0c27-0019-439c-bc23-003f853481ff","type":"GlyphRenderer"},{"id":"ca96aa1f-cbee-4520-9acb-6121eab54c54","type":"LinearAxis"},{"id":"8321d374-e5e6-4a14-b405-83bd7ce5894b","type":"LinearAxis"},{"id":"a57f3fab-d26c-43ae-8066-aa9ddd411815","type":"Grid"},{"id":"62094c0c-838e-40e5-a23d-6f12e818582c","type":"Grid"}],"title":null,"toolbar":{"id":"be2dc06e-9f37-460e-8c79-9962d2dc1136","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"a4747d0d-7f40-4d79-873b-d59dda0f346e","type":"DataRange1d"},"x_scale":{"id":"ed182549-1d95-43ed-99d3-7fc02e433356","type":"LinearScale"},"y_range":{"id":"8fe18c4c-d153-47c2-85b3-af55fedfc9fd","type":"DataRange1d"},"y_scale":{"id":"9761eddd-6917-48e6-908a-257cc0781779","type":"LinearScale"}},"id":"8652ff9f-6459-432f-a105-6670c84a9bb1","type":"Plot"},{"attributes":{"data_source":{"id":"9708961e-5ac3-4f1c-a412-9c6cd582bb41","type":"ColumnDataSource"},"glyph":{"id":"320ce63d-c4ee-44b9-81db-4bb38d3f6759","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"f259ec28-606b-45f1-a3e5-050e198d1f31","type":"CDSView"}},"id":"7c5d0c27-0019-439c-bc23-003f853481ff","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"a4747d0d-7f40-4d79-873b-d59dda0f346e","type":"DataRange1d"},{"attributes":{"formatter":{"id":"d808b6c5-2f07-489b-b1fd-1782bcf9b0a1","type":"BasicTickFormatter"},"plot":{"id":"8652ff9f-6459-432f-a105-6670c84a9bb1","type":"Plot"},"ticker":{"id":"e6b40ba4-ff64-48a9-936e-c45726c6724d","type":"BasicTicker"}},"id":"8321d374-e5e6-4a14-b405-83bd7ce5894b","type":"LinearAxis"},{"attributes":{},"id":"9761eddd-6917-48e6-908a-257cc0781779","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["x","top"],"data":{"top":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]}}},"id":"9708961e-5ac3-4f1c-a412-9c6cd582bb41","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"8fe18c4c-d153-47c2-85b3-af55fedfc9fd","type":"DataRange1d"},{"attributes":{},"id":"e6b40ba4-ff64-48a9-936e-c45726c6724d","type":"BasicTicker"},{"attributes":{},"id":"5f5a1b9e-03c4-44c6-9d67-b550ff7fb7d6","type":"BasicTicker"},{"attributes":{"source":{"id":"9708961e-5ac3-4f1c-a412-9c6cd582bb41","type":"ColumnDataSource"}},"id":"f259ec28-606b-45f1-a3e5-050e198d1f31","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"be2dc06e-9f37-460e-8c79-9962d2dc1136","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"8652ff9f-6459-432f-a105-6670c84a9bb1","type":"Plot"},"ticker":{"id":"e6b40ba4-ff64-48a9-936e-c45726c6724d","type":"BasicTicker"}},"id":"62094c0c-838e-40e5-a23d-6f12e818582c","type":"Grid"},{"attributes":{},"id":"ed182549-1d95-43ed-99d3-7fc02e433356","type":"LinearScale"},{"attributes":{},"id":"2339c216-ac7b-49df-b173-c327536532d1","type":"BasicTickFormatter"},{"attributes":{},"id":"d808b6c5-2f07-489b-b1fd-1782bcf9b0a1","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":"#b3de69"},"top":{"field":"top"},"width":{"value":0.5},"x":{"field":"x"}},"id":"320ce63d-c4ee-44b9-81db-4bb38d3f6759","type":"VBar"}],"root_ids":["8652ff9f-6459-432f-a105-6670c84a9bb1"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"962913d4-132e-4376-b2e2-8490acc1d59b","elementid":"c0b975b3-b089-4ca0-9a69-404ad6e2e1c1","modelid":"8652ff9f-6459-432f-a105-6670c84a9bb1"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
