(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("cd4a3d74-bfb5-464d-a6d8-73ebe3a1c965");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'cd4a3d74-bfb5-464d-a6d8-73ebe3a1c965' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"5fd4731b-04f0-4c2f-8be3-b54bd704cb55":{"roots":{"references":[{"attributes":{"formatter":{"id":"6bcb5cd3-3a9a-44a9-98ae-0f95e6b556d3","type":"BasicTickFormatter"},"plot":{"id":"498572ae-1218-44eb-8092-01e34fe5ffb6","type":"Plot"},"ticker":{"id":"be501b74-dddf-4562-9fdd-9efa6247191c","type":"BasicTicker"}},"id":"12bfa866-726c-4f3c-8608-5078fef91fd0","type":"LinearAxis"},{"attributes":{"source":{"id":"1594150d-f8bb-4573-8e9a-90d0d33b6bc7","type":"ColumnDataSource"}},"id":"c3b3a408-7d63-4109-bc54-e78979272bd8","type":"CDSView"},{"attributes":{},"id":"8378dd91-8b89-4e17-ba94-c0f61d01ba6e","type":"LinearScale"},{"attributes":{"data_source":{"id":"1594150d-f8bb-4573-8e9a-90d0d33b6bc7","type":"ColumnDataSource"},"glyph":{"id":"e998f4d4-58d4-47fd-bb51-d9780022a663","type":"Wedge"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"c3b3a408-7d63-4109-bc54-e78979272bd8","type":"CDSView"}},"id":"e5071c19-d337-4e57-8e15-3810c7da4ec7","type":"GlyphRenderer"},{"attributes":{},"id":"4a14dfa5-f2b2-4c73-a5d1-2198f809d0bc","type":"BasicTicker"},{"attributes":{},"id":"be501b74-dddf-4562-9fdd-9efa6247191c","type":"BasicTicker"},{"attributes":{},"id":"8e125d51-ca9b-4fd7-a8bd-811dc3960122","type":"LinearScale"},{"attributes":{"callback":null},"id":"f864fefd-bcc1-47a8-8b89-2182eea7e3a9","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"c2b302b7-50b1-47f4-a1dc-69164af13548","type":"Toolbar"},{"attributes":{"below":[{"id":"12bfa866-726c-4f3c-8608-5078fef91fd0","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"951120c6-974c-479b-9cee-200a5b78147d","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"e5071c19-d337-4e57-8e15-3810c7da4ec7","type":"GlyphRenderer"},{"id":"12bfa866-726c-4f3c-8608-5078fef91fd0","type":"LinearAxis"},{"id":"951120c6-974c-479b-9cee-200a5b78147d","type":"LinearAxis"},{"id":"43d69906-28d9-4594-97f1-7b7f3cf77efa","type":"Grid"},{"id":"3bb1b288-f421-469c-96ef-bc9a1a6fb775","type":"Grid"}],"title":null,"toolbar":{"id":"c2b302b7-50b1-47f4-a1dc-69164af13548","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"8cdbb9df-e63f-4b49-99b5-c37b0e636505","type":"DataRange1d"},"x_scale":{"id":"8e125d51-ca9b-4fd7-a8bd-811dc3960122","type":"LinearScale"},"y_range":{"id":"f864fefd-bcc1-47a8-8b89-2182eea7e3a9","type":"DataRange1d"},"y_scale":{"id":"8378dd91-8b89-4e17-ba94-c0f61d01ba6e","type":"LinearScale"}},"id":"498572ae-1218-44eb-8092-01e34fe5ffb6","type":"Plot"},{"attributes":{"callback":null},"id":"8cdbb9df-e63f-4b49-99b5-c37b0e636505","type":"DataRange1d"},{"attributes":{},"id":"6bcb5cd3-3a9a-44a9-98ae-0f95e6b556d3","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"881fcbd7-95f0-44b7-bfe8-a1a4c9112763","type":"BasicTickFormatter"},"plot":{"id":"498572ae-1218-44eb-8092-01e34fe5ffb6","type":"Plot"},"ticker":{"id":"4a14dfa5-f2b2-4c73-a5d1-2198f809d0bc","type":"BasicTicker"}},"id":"951120c6-974c-479b-9cee-200a5b78147d","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"498572ae-1218-44eb-8092-01e34fe5ffb6","type":"Plot"},"ticker":{"id":"4a14dfa5-f2b2-4c73-a5d1-2198f809d0bc","type":"BasicTicker"}},"id":"3bb1b288-f421-469c-96ef-bc9a1a6fb775","type":"Grid"},{"attributes":{},"id":"881fcbd7-95f0-44b7-bfe8-a1a4c9112763","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"498572ae-1218-44eb-8092-01e34fe5ffb6","type":"Plot"},"ticker":{"id":"be501b74-dddf-4562-9fdd-9efa6247191c","type":"BasicTicker"}},"id":"43d69906-28d9-4594-97f1-7b7f3cf77efa","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x","r"],"data":{"r":{"__ndarray__":"VVVVVVVVxT+ZmZmZmZnJP97d3d3d3c0/ERERERER0T8zMzMzMzPTP1VVVVVVVdU/d3d3d3d31z+amZmZmZnZP7y7u7u7u9s/","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"1594150d-f8bb-4573-8e9a-90d0d33b6bc7","type":"ColumnDataSource"},{"attributes":{"end_angle":{"units":"rad","value":4.1},"fill_color":{"value":"#B3DE69"},"radius":{"field":"r","units":"data"},"start_angle":{"units":"rad","value":0.6},"x":{"field":"x"},"y":{"field":"y"}},"id":"e998f4d4-58d4-47fd-bb51-d9780022a663","type":"Wedge"}],"root_ids":["498572ae-1218-44eb-8092-01e34fe5ffb6"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"5fd4731b-04f0-4c2f-8be3-b54bd704cb55","elementid":"cd4a3d74-bfb5-464d-a6d8-73ebe3a1c965","modelid":"498572ae-1218-44eb-8092-01e34fe5ffb6"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
