(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("17087a84-ff43-4e37-b57d-28da4aa2d753");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '17087a84-ff43-4e37-b57d-28da4aa2d753' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"4f27a56b-bcb0-42ea-9ec1-a64e42b58fe5":{"roots":{"references":[{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"be7e70f0-027d-450e-a434-f9bbe210da18","type":"ColumnDataSource"},{"attributes":{},"id":"48368431-06c9-4c51-8431-e6aa9efbb7fd","type":"BasicTicker"},{"attributes":{},"id":"6711a016-fc9a-4829-894a-e5d127859a89","type":"BasicTickFormatter"},{"attributes":{},"id":"017aa264-09d0-448a-b654-1818cc033b83","type":"LinearScale"},{"attributes":{"fill_color":{"value":"white"},"line_color":{"value":"#3288Bd"},"line_width":{"value":3},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"85a346cd-ade4-4328-a269-0c8b99bd3bed","type":"Circle"},{"attributes":{"below":[{"id":"0ef010db-074b-491b-8a85-ba75fb0cb260","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"95674eb8-bea5-4eff-ac80-440b9006dc56","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"3d5ecbc8-0a64-4110-aa96-03bc40a5adc8","type":"GlyphRenderer"},{"id":"0ef010db-074b-491b-8a85-ba75fb0cb260","type":"LinearAxis"},{"id":"95674eb8-bea5-4eff-ac80-440b9006dc56","type":"LinearAxis"},{"id":"0aaf46b5-7c7f-4d24-b843-598cdc5cb7f7","type":"Grid"},{"id":"40875619-2a93-4da2-866e-21ac4dea36c2","type":"Grid"}],"title":null,"toolbar":{"id":"eebce7b4-c888-498a-8483-d7af8b724bcf","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"1c6d02c5-e72a-4256-9185-01a6b2a785c9","type":"DataRange1d"},"x_scale":{"id":"017aa264-09d0-448a-b654-1818cc033b83","type":"LinearScale"},"y_range":{"id":"c86baa16-ada7-4000-aee7-d300b8c38139","type":"DataRange1d"},"y_scale":{"id":"4da23155-5ce4-4a07-b529-79a1816b40a8","type":"LinearScale"}},"id":"73d7237c-f638-4882-aa85-e58413b87a47","type":"Plot"},{"attributes":{"formatter":{"id":"6711a016-fc9a-4829-894a-e5d127859a89","type":"BasicTickFormatter"},"plot":{"id":"73d7237c-f638-4882-aa85-e58413b87a47","type":"Plot"},"ticker":{"id":"48368431-06c9-4c51-8431-e6aa9efbb7fd","type":"BasicTicker"}},"id":"0ef010db-074b-491b-8a85-ba75fb0cb260","type":"LinearAxis"},{"attributes":{},"id":"4da23155-5ce4-4a07-b529-79a1816b40a8","type":"LinearScale"},{"attributes":{"data_source":{"id":"be7e70f0-027d-450e-a434-f9bbe210da18","type":"ColumnDataSource"},"glyph":{"id":"85a346cd-ade4-4328-a269-0c8b99bd3bed","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"8c1e6571-17da-459b-a9b8-a222723a523d","type":"CDSView"}},"id":"3d5ecbc8-0a64-4110-aa96-03bc40a5adc8","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"1c6d02c5-e72a-4256-9185-01a6b2a785c9","type":"DataRange1d"},{"attributes":{"source":{"id":"be7e70f0-027d-450e-a434-f9bbe210da18","type":"ColumnDataSource"}},"id":"8c1e6571-17da-459b-a9b8-a222723a523d","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"eebce7b4-c888-498a-8483-d7af8b724bcf","type":"Toolbar"},{"attributes":{"formatter":{"id":"aa32014e-88d0-441a-80a7-13725e26086a","type":"BasicTickFormatter"},"plot":{"id":"73d7237c-f638-4882-aa85-e58413b87a47","type":"Plot"},"ticker":{"id":"22aeaf10-ce3e-4dc0-b747-966363440c66","type":"BasicTicker"}},"id":"95674eb8-bea5-4eff-ac80-440b9006dc56","type":"LinearAxis"},{"attributes":{},"id":"aa32014e-88d0-441a-80a7-13725e26086a","type":"BasicTickFormatter"},{"attributes":{},"id":"22aeaf10-ce3e-4dc0-b747-966363440c66","type":"BasicTicker"},{"attributes":{"plot":{"id":"73d7237c-f638-4882-aa85-e58413b87a47","type":"Plot"},"ticker":{"id":"48368431-06c9-4c51-8431-e6aa9efbb7fd","type":"BasicTicker"}},"id":"0aaf46b5-7c7f-4d24-b843-598cdc5cb7f7","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"73d7237c-f638-4882-aa85-e58413b87a47","type":"Plot"},"ticker":{"id":"22aeaf10-ce3e-4dc0-b747-966363440c66","type":"BasicTicker"}},"id":"40875619-2a93-4da2-866e-21ac4dea36c2","type":"Grid"},{"attributes":{"callback":null},"id":"c86baa16-ada7-4000-aee7-d300b8c38139","type":"DataRange1d"}],"root_ids":["73d7237c-f638-4882-aa85-e58413b87a47"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"4f27a56b-bcb0-42ea-9ec1-a64e42b58fe5","elementid":"17087a84-ff43-4e37-b57d-28da4aa2d753","modelid":"73d7237c-f638-4882-aa85-e58413b87a47"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
