(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("c1ec6e1b-3edd-4377-8d9e-7686d8ba1fcd");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'c1ec6e1b-3edd-4377-8d9e-7686d8ba1fcd' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"061d73f3-d25e-451e-8cc9-cfee744f0e39":{"roots":{"references":[{"attributes":{},"id":"7dbb72f4-9b7d-4aa0-946e-b3137460819c","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"08da3c67-2639-4d83-8a65-e444634d1770","type":"Toolbar"},{"attributes":{"source":{"id":"71a87224-2acd-4db9-bf94-e3a6bf3fd112","type":"ColumnDataSource"}},"id":"c2a95824-05ad-489d-979a-240a409c8bf1","type":"CDSView"},{"attributes":{},"id":"9018c58d-8a70-4f2a-a18c-25ee5b49ae15","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"71a87224-2acd-4db9-bf94-e3a6bf3fd112","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"f4a37c34-fca8-43bd-840a-5120c65c8d96","type":"Plot"},"ticker":{"id":"eed7d038-63da-44d1-b938-3dd167b2cf16","type":"BasicTicker"}},"id":"e59ed036-5882-4001-be3a-f2f8a970f99e","type":"Grid"},{"attributes":{"plot":{"id":"f4a37c34-fca8-43bd-840a-5120c65c8d96","type":"Plot"},"ticker":{"id":"86bf34bd-fab3-46db-90a5-1fe85191532c","type":"BasicTicker"}},"id":"1b4f3580-bab9-4124-b5ab-a494bf140a4b","type":"Grid"},{"attributes":{"below":[{"id":"6a361266-4f1c-4d17-89d3-66afa00a2988","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"b7cd670d-98de-4cef-9aa6-b07fefd17a92","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"8ba234ef-3b97-4fe9-9214-6d3c3a51f167","type":"GlyphRenderer"},{"id":"6a361266-4f1c-4d17-89d3-66afa00a2988","type":"LinearAxis"},{"id":"b7cd670d-98de-4cef-9aa6-b07fefd17a92","type":"LinearAxis"},{"id":"1b4f3580-bab9-4124-b5ab-a494bf140a4b","type":"Grid"},{"id":"e59ed036-5882-4001-be3a-f2f8a970f99e","type":"Grid"}],"title":null,"toolbar":{"id":"08da3c67-2639-4d83-8a65-e444634d1770","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"aa17cfcb-ba9c-4cbb-95d0-9fd5fff43bec","type":"DataRange1d"},"x_scale":{"id":"ddad3a32-6445-45c4-8afd-bb97bf2fff06","type":"LinearScale"},"y_range":{"id":"1281a95f-d6da-4abf-9322-68a2400c6d1f","type":"DataRange1d"},"y_scale":{"id":"9018c58d-8a70-4f2a-a18c-25ee5b49ae15","type":"LinearScale"}},"id":"f4a37c34-fca8-43bd-840a-5120c65c8d96","type":"Plot"},{"attributes":{"formatter":{"id":"d4f6f5ca-5644-4260-9b44-645b2eaac5f5","type":"BasicTickFormatter"},"plot":{"id":"f4a37c34-fca8-43bd-840a-5120c65c8d96","type":"Plot"},"ticker":{"id":"eed7d038-63da-44d1-b938-3dd167b2cf16","type":"BasicTicker"}},"id":"b7cd670d-98de-4cef-9aa6-b07fefd17a92","type":"LinearAxis"},{"attributes":{"formatter":{"id":"7dbb72f4-9b7d-4aa0-946e-b3137460819c","type":"BasicTickFormatter"},"plot":{"id":"f4a37c34-fca8-43bd-840a-5120c65c8d96","type":"Plot"},"ticker":{"id":"86bf34bd-fab3-46db-90a5-1fe85191532c","type":"BasicTicker"}},"id":"6a361266-4f1c-4d17-89d3-66afa00a2988","type":"LinearAxis"},{"attributes":{},"id":"eed7d038-63da-44d1-b938-3dd167b2cf16","type":"BasicTicker"},{"attributes":{"data_source":{"id":"71a87224-2acd-4db9-bf94-e3a6bf3fd112","type":"ColumnDataSource"},"glyph":{"id":"440f6795-5bf3-4024-a8e9-47a9526bfbea","type":"CircleCross"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"c2a95824-05ad-489d-979a-240a409c8bf1","type":"CDSView"}},"id":"8ba234ef-3b97-4fe9-9214-6d3c3a51f167","type":"GlyphRenderer"},{"attributes":{},"id":"d4f6f5ca-5644-4260-9b44-645b2eaac5f5","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"aa17cfcb-ba9c-4cbb-95d0-9fd5fff43bec","type":"DataRange1d"},{"attributes":{"callback":null},"id":"1281a95f-d6da-4abf-9322-68a2400c6d1f","type":"DataRange1d"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#fb8072"},"line_width":{"value":2},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"440f6795-5bf3-4024-a8e9-47a9526bfbea","type":"CircleCross"},{"attributes":{},"id":"ddad3a32-6445-45c4-8afd-bb97bf2fff06","type":"LinearScale"},{"attributes":{},"id":"86bf34bd-fab3-46db-90a5-1fe85191532c","type":"BasicTicker"}],"root_ids":["f4a37c34-fca8-43bd-840a-5120c65c8d96"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"061d73f3-d25e-451e-8cc9-cfee744f0e39","elementid":"c1ec6e1b-3edd-4377-8d9e-7686d8ba1fcd","modelid":"f4a37c34-fca8-43bd-840a-5120c65c8d96"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
