(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b960b674-af9c-4d2c-be94-0ef2570f2620");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b960b674-af9c-4d2c-be94-0ef2570f2620' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"6919dcfc-f8bd-47ba-8923-aa2a662603e9":{"roots":{"references":[{"attributes":{},"id":"47430e29-5450-4df0-8c80-3191cfa21c8a","type":"LinearScale"},{"attributes":{"formatter":{"id":"28d30153-e0be-44b3-9839-c3d641d8d846","type":"BasicTickFormatter"},"plot":{"id":"4ffdcae1-a809-4481-9d30-231140ee620a","type":"Plot"},"ticker":{"id":"0b8a88f2-901f-4282-b20f-45895619e9cd","type":"BasicTicker"}},"id":"dc0e1acd-e36b-4873-9912-478fd77f9843","type":"LinearAxis"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#e6550d"},"line_width":{"value":2},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"3135a0e2-9990-420d-b300-ad12a9b1e549","type":"Cross"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"e7617c4f-6a20-4477-9b7b-52c1471f8203","type":"ColumnDataSource"},{"attributes":{"below":[{"id":"afb49cb5-be4c-4774-ad71-786e44a7029f","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"dc0e1acd-e36b-4873-9912-478fd77f9843","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"06dbb8f7-661a-4716-b171-d053f7f4517e","type":"GlyphRenderer"},{"id":"afb49cb5-be4c-4774-ad71-786e44a7029f","type":"LinearAxis"},{"id":"dc0e1acd-e36b-4873-9912-478fd77f9843","type":"LinearAxis"},{"id":"4735746a-2a33-4337-97fb-d492b757194f","type":"Grid"},{"id":"ed71b1c2-b017-4473-b68b-9db1975a62ab","type":"Grid"}],"title":null,"toolbar":{"id":"49cf0c92-69c2-479e-b082-0ca13e22102f","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"bb0b3c84-c24a-4274-85a3-c0b0b12d7190","type":"DataRange1d"},"x_scale":{"id":"32211689-6347-49eb-a91b-c221b212cf38","type":"LinearScale"},"y_range":{"id":"fb21549e-37a1-4ab4-b62d-8a76b8603e58","type":"DataRange1d"},"y_scale":{"id":"47430e29-5450-4df0-8c80-3191cfa21c8a","type":"LinearScale"}},"id":"4ffdcae1-a809-4481-9d30-231140ee620a","type":"Plot"},{"attributes":{},"id":"32211689-6347-49eb-a91b-c221b212cf38","type":"LinearScale"},{"attributes":{"source":{"id":"e7617c4f-6a20-4477-9b7b-52c1471f8203","type":"ColumnDataSource"}},"id":"a55372e8-ac31-44f4-90f6-5ea53c923b65","type":"CDSView"},{"attributes":{},"id":"0b8a88f2-901f-4282-b20f-45895619e9cd","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"4ffdcae1-a809-4481-9d30-231140ee620a","type":"Plot"},"ticker":{"id":"0b8a88f2-901f-4282-b20f-45895619e9cd","type":"BasicTicker"}},"id":"ed71b1c2-b017-4473-b68b-9db1975a62ab","type":"Grid"},{"attributes":{"callback":null},"id":"bb0b3c84-c24a-4274-85a3-c0b0b12d7190","type":"DataRange1d"},{"attributes":{"callback":null},"id":"fb21549e-37a1-4ab4-b62d-8a76b8603e58","type":"DataRange1d"},{"attributes":{"plot":{"id":"4ffdcae1-a809-4481-9d30-231140ee620a","type":"Plot"},"ticker":{"id":"64d9187c-0cdf-419d-bc6a-ccea3aac63b6","type":"BasicTicker"}},"id":"4735746a-2a33-4337-97fb-d492b757194f","type":"Grid"},{"attributes":{},"id":"64d9187c-0cdf-419d-bc6a-ccea3aac63b6","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"49cf0c92-69c2-479e-b082-0ca13e22102f","type":"Toolbar"},{"attributes":{},"id":"f58e36f1-632d-4650-b303-2c7bd270e3be","type":"BasicTickFormatter"},{"attributes":{},"id":"28d30153-e0be-44b3-9839-c3d641d8d846","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"e7617c4f-6a20-4477-9b7b-52c1471f8203","type":"ColumnDataSource"},"glyph":{"id":"3135a0e2-9990-420d-b300-ad12a9b1e549","type":"Cross"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"a55372e8-ac31-44f4-90f6-5ea53c923b65","type":"CDSView"}},"id":"06dbb8f7-661a-4716-b171-d053f7f4517e","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"f58e36f1-632d-4650-b303-2c7bd270e3be","type":"BasicTickFormatter"},"plot":{"id":"4ffdcae1-a809-4481-9d30-231140ee620a","type":"Plot"},"ticker":{"id":"64d9187c-0cdf-419d-bc6a-ccea3aac63b6","type":"BasicTicker"}},"id":"afb49cb5-be4c-4774-ad71-786e44a7029f","type":"LinearAxis"}],"root_ids":["4ffdcae1-a809-4481-9d30-231140ee620a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"6919dcfc-f8bd-47ba-8923-aa2a662603e9","elementid":"b960b674-af9c-4d2c-be94-0ef2570f2620","modelid":"4ffdcae1-a809-4481-9d30-231140ee620a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
