(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("0de29a4b-6029-4cf5-8ce5-907f2c3d6508");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '0de29a4b-6029-4cf5-8ce5-907f2c3d6508' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"cc2cc58d-f897-49f9-9629-6d174fe40e9e":{"roots":{"references":[{"attributes":{},"id":"39802043-5686-464f-8799-76933f0e60b2","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"78f16043-dc24-4d4a-8a88-da79e4176106","type":"DataRange1d"},{"attributes":{"formatter":{"id":"39802043-5686-464f-8799-76933f0e60b2","type":"BasicTickFormatter"},"plot":{"id":"916a8b74-bf25-4e4c-8dea-821e06e703af","type":"Plot"},"ticker":{"id":"3a709a2a-329b-4aaa-8642-b4c661b613b5","type":"BasicTicker"}},"id":"f026fa9e-74e7-471a-bb38-7bcf75a3c962","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"2c697c9a-5c2f-4d80-be1d-2e9f7e78e336","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"b87b4522-fe58-4a20-8f57-ce5b61dd0c7e","type":"DataRange1d"},{"attributes":{"plot":{"id":"916a8b74-bf25-4e4c-8dea-821e06e703af","type":"Plot"},"ticker":{"id":"fe2f3ea5-9dd2-45e8-a377-e2a5b6187889","type":"BasicTicker"}},"id":"bb60bfce-9143-4e35-8c69-ce234fd835d2","type":"Grid"},{"attributes":{},"id":"fe2f3ea5-9dd2-45e8-a377-e2a5b6187889","type":"BasicTicker"},{"attributes":{"formatter":{"id":"8063ae3b-3ae7-4d40-8da6-c7c1a047438d","type":"BasicTickFormatter"},"plot":{"id":"916a8b74-bf25-4e4c-8dea-821e06e703af","type":"Plot"},"ticker":{"id":"fe2f3ea5-9dd2-45e8-a377-e2a5b6187889","type":"BasicTicker"}},"id":"6eb4fa38-9931-48ad-baeb-7519f9887ebd","type":"LinearAxis"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#1c9099"},"line_width":{"value":2},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"d7122433-e8a9-41a9-9263-0163fc226d2a","type":"Diamond"},{"attributes":{},"id":"7a8344aa-fa2a-442f-ada3-82d8098d6281","type":"LinearScale"},{"attributes":{},"id":"3a709a2a-329b-4aaa-8642-b4c661b613b5","type":"BasicTicker"},{"attributes":{},"id":"8caab754-b4e2-4447-9f32-53f71a4091f9","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"81d2ea21-3879-4311-a584-0800a96c6d9b","type":"Toolbar"},{"attributes":{"source":{"id":"2c697c9a-5c2f-4d80-be1d-2e9f7e78e336","type":"ColumnDataSource"}},"id":"aa739c5f-a33b-478c-b9e3-a8b2a703bded","type":"CDSView"},{"attributes":{"data_source":{"id":"2c697c9a-5c2f-4d80-be1d-2e9f7e78e336","type":"ColumnDataSource"},"glyph":{"id":"d7122433-e8a9-41a9-9263-0163fc226d2a","type":"Diamond"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"aa739c5f-a33b-478c-b9e3-a8b2a703bded","type":"CDSView"}},"id":"321f39ad-9091-4fe0-a4d1-ae597661e57b","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"916a8b74-bf25-4e4c-8dea-821e06e703af","type":"Plot"},"ticker":{"id":"3a709a2a-329b-4aaa-8642-b4c661b613b5","type":"BasicTicker"}},"id":"28f47b1f-6401-4a05-99a4-a1001a455a84","type":"Grid"},{"attributes":{},"id":"8063ae3b-3ae7-4d40-8da6-c7c1a047438d","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"6eb4fa38-9931-48ad-baeb-7519f9887ebd","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"f026fa9e-74e7-471a-bb38-7bcf75a3c962","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"321f39ad-9091-4fe0-a4d1-ae597661e57b","type":"GlyphRenderer"},{"id":"6eb4fa38-9931-48ad-baeb-7519f9887ebd","type":"LinearAxis"},{"id":"f026fa9e-74e7-471a-bb38-7bcf75a3c962","type":"LinearAxis"},{"id":"bb60bfce-9143-4e35-8c69-ce234fd835d2","type":"Grid"},{"id":"28f47b1f-6401-4a05-99a4-a1001a455a84","type":"Grid"}],"title":null,"toolbar":{"id":"81d2ea21-3879-4311-a584-0800a96c6d9b","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"b87b4522-fe58-4a20-8f57-ce5b61dd0c7e","type":"DataRange1d"},"x_scale":{"id":"7a8344aa-fa2a-442f-ada3-82d8098d6281","type":"LinearScale"},"y_range":{"id":"78f16043-dc24-4d4a-8a88-da79e4176106","type":"DataRange1d"},"y_scale":{"id":"8caab754-b4e2-4447-9f32-53f71a4091f9","type":"LinearScale"}},"id":"916a8b74-bf25-4e4c-8dea-821e06e703af","type":"Plot"}],"root_ids":["916a8b74-bf25-4e4c-8dea-821e06e703af"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"cc2cc58d-f897-49f9-9629-6d174fe40e9e","elementid":"0de29a4b-6029-4cf5-8ce5-907f2c3d6508","modelid":"916a8b74-bf25-4e4c-8dea-821e06e703af"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
