(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("c990e9e5-71fe-4123-a3f1-9c37c78f904e");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'c990e9e5-71fe-4123-a3f1-9c37c78f904e' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"ca55e2ba-fc5f-40de-8b62-f059524949a4":{"roots":{"references":[{"attributes":{"dimension":1,"plot":{"id":"a6dd71b2-8bba-4429-b34f-e85ba2fff7ab","type":"Plot"},"ticker":{"id":"2d16444b-5a69-4e5e-9366-af18130e7e51","type":"BasicTicker"}},"id":"0081b64f-9184-472b-8de2-e72e004b2990","type":"Grid"},{"attributes":{"source":{"id":"9b5d9013-648a-478c-a10c-e47620af2071","type":"ColumnDataSource"}},"id":"1eecc52c-ff78-492f-a2d4-b0c8b26eb608","type":"CDSView"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#386cb0"},"line_width":{"value":2},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"f71cf744-a157-44c1-884b-4767105a5000","type":"DiamondCross"},{"attributes":{"callback":null},"id":"06104d01-ad92-4ef9-9bf8-0556f4ffecbd","type":"DataRange1d"},{"attributes":{"formatter":{"id":"4ee875bb-4641-4963-a1e6-d67d00296c0e","type":"BasicTickFormatter"},"plot":{"id":"a6dd71b2-8bba-4429-b34f-e85ba2fff7ab","type":"Plot"},"ticker":{"id":"df29a1a5-bd1b-4f7e-b029-2d9a5c2dc347","type":"BasicTicker"}},"id":"46ed6411-5b37-4eb7-95c1-551db0220a2e","type":"LinearAxis"},{"attributes":{},"id":"2d16444b-5a69-4e5e-9366-af18130e7e51","type":"BasicTicker"},{"attributes":{"data_source":{"id":"9b5d9013-648a-478c-a10c-e47620af2071","type":"ColumnDataSource"},"glyph":{"id":"f71cf744-a157-44c1-884b-4767105a5000","type":"DiamondCross"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"1eecc52c-ff78-492f-a2d4-b0c8b26eb608","type":"CDSView"}},"id":"bc4a5d4a-e5c6-4d1d-96b4-c415dc3a0d37","type":"GlyphRenderer"},{"attributes":{},"id":"4ee875bb-4641-4963-a1e6-d67d00296c0e","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"46ed6411-5b37-4eb7-95c1-551db0220a2e","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"40c92580-ccf8-43d0-ae07-97f4b54fb470","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"bc4a5d4a-e5c6-4d1d-96b4-c415dc3a0d37","type":"GlyphRenderer"},{"id":"46ed6411-5b37-4eb7-95c1-551db0220a2e","type":"LinearAxis"},{"id":"40c92580-ccf8-43d0-ae07-97f4b54fb470","type":"LinearAxis"},{"id":"54302703-69c5-4765-9fc1-29804d7cfdcf","type":"Grid"},{"id":"0081b64f-9184-472b-8de2-e72e004b2990","type":"Grid"}],"title":null,"toolbar":{"id":"8640197d-efab-4634-adc7-98b2c99dd223","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"06104d01-ad92-4ef9-9bf8-0556f4ffecbd","type":"DataRange1d"},"x_scale":{"id":"7886e01d-70e2-4fdc-b2ac-e676f146b818","type":"LinearScale"},"y_range":{"id":"6b3fe02f-d3d9-4a48-a4b9-bce3506d8e45","type":"DataRange1d"},"y_scale":{"id":"f11a9e70-44f6-4d01-8a41-1ae3eb81cd0f","type":"LinearScale"}},"id":"a6dd71b2-8bba-4429-b34f-e85ba2fff7ab","type":"Plot"},{"attributes":{},"id":"571697e0-7037-4fb7-866b-43e2e177e97b","type":"BasicTickFormatter"},{"attributes":{},"id":"df29a1a5-bd1b-4f7e-b029-2d9a5c2dc347","type":"BasicTicker"},{"attributes":{"callback":null},"id":"6b3fe02f-d3d9-4a48-a4b9-bce3506d8e45","type":"DataRange1d"},{"attributes":{},"id":"7886e01d-70e2-4fdc-b2ac-e676f146b818","type":"LinearScale"},{"attributes":{},"id":"f11a9e70-44f6-4d01-8a41-1ae3eb81cd0f","type":"LinearScale"},{"attributes":{"plot":{"id":"a6dd71b2-8bba-4429-b34f-e85ba2fff7ab","type":"Plot"},"ticker":{"id":"df29a1a5-bd1b-4f7e-b029-2d9a5c2dc347","type":"BasicTicker"}},"id":"54302703-69c5-4765-9fc1-29804d7cfdcf","type":"Grid"},{"attributes":{"formatter":{"id":"571697e0-7037-4fb7-866b-43e2e177e97b","type":"BasicTickFormatter"},"plot":{"id":"a6dd71b2-8bba-4429-b34f-e85ba2fff7ab","type":"Plot"},"ticker":{"id":"2d16444b-5a69-4e5e-9366-af18130e7e51","type":"BasicTicker"}},"id":"40c92580-ccf8-43d0-ae07-97f4b54fb470","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"9b5d9013-648a-478c-a10c-e47620af2071","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"8640197d-efab-4634-adc7-98b2c99dd223","type":"Toolbar"}],"root_ids":["a6dd71b2-8bba-4429-b34f-e85ba2fff7ab"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"ca55e2ba-fc5f-40de-8b62-f059524949a4","elementid":"c990e9e5-71fe-4123-a3f1-9c37c78f904e","modelid":"a6dd71b2-8bba-4429-b34f-e85ba2fff7ab"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
