(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("fb49620d-ba39-400f-b012-fcdd28dde0ff");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'fb49620d-ba39-400f-b012-fcdd28dde0ff' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"2c9a1c3e-2915-47bc-ab11-344c7a59b28b":{"roots":{"references":[{"attributes":{"callback":null},"id":"b229f441-81b2-457d-824c-542f46dddae1","type":"DataRange1d"},{"attributes":{},"id":"9cee1873-11d9-409f-aeb6-47433d5000ef","type":"BasicTicker"},{"attributes":{"data_source":{"id":"f57988f3-3813-4c5d-9158-963c40d9b202","type":"ColumnDataSource"},"glyph":{"id":"171ca9bf-6ea9-4cf5-8e33-770d7880078b","type":"SquareX"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"86d0d033-f5db-44fb-8dca-f66bd6ffde94","type":"CDSView"}},"id":"3326694f-88a3-4733-aba3-a5a81fa2b756","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"84363af4-3075-4eaf-9a73-b0081cb4eef2","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"0071aa89-fe53-4491-8d54-be38d78cba96","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"3326694f-88a3-4733-aba3-a5a81fa2b756","type":"GlyphRenderer"},{"id":"84363af4-3075-4eaf-9a73-b0081cb4eef2","type":"LinearAxis"},{"id":"0071aa89-fe53-4491-8d54-be38d78cba96","type":"LinearAxis"},{"id":"95e5d9a2-d92e-4c1b-af24-df58af18d1a5","type":"Grid"},{"id":"789fec7c-d18e-4130-8bb8-882947fec373","type":"Grid"}],"title":null,"toolbar":{"id":"6f88ea00-c9ea-4021-a2d5-78a9ee4ce2af","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"b229f441-81b2-457d-824c-542f46dddae1","type":"DataRange1d"},"x_scale":{"id":"98e7fbe2-e842-44f6-8a2e-9e31e6e3bae2","type":"LinearScale"},"y_range":{"id":"190c778c-b1ed-47a0-a83b-10a4bbf79220","type":"DataRange1d"},"y_scale":{"id":"f561d2af-a492-4c82-8e74-1274f34a2a84","type":"LinearScale"}},"id":"d06254d0-eb85-4d6f-a5b4-74043ebfc051","type":"Plot"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"f57988f3-3813-4c5d-9158-963c40d9b202","type":"ColumnDataSource"},{"attributes":{"source":{"id":"f57988f3-3813-4c5d-9158-963c40d9b202","type":"ColumnDataSource"}},"id":"86d0d033-f5db-44fb-8dca-f66bd6ffde94","type":"CDSView"},{"attributes":{},"id":"63ee3945-55ac-4479-ab96-74a096dadc39","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"25e5d26c-45b9-43e6-835f-36741e1bae03","type":"BasicTickFormatter"},"plot":{"id":"d06254d0-eb85-4d6f-a5b4-74043ebfc051","type":"Plot"},"ticker":{"id":"9cee1873-11d9-409f-aeb6-47433d5000ef","type":"BasicTicker"}},"id":"0071aa89-fe53-4491-8d54-be38d78cba96","type":"LinearAxis"},{"attributes":{},"id":"25e5d26c-45b9-43e6-835f-36741e1bae03","type":"BasicTickFormatter"},{"attributes":{},"id":"e58b636e-9e12-4a95-b032-414bfc54d081","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"6f88ea00-c9ea-4021-a2d5-78a9ee4ce2af","type":"Toolbar"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#fdae6b"},"line_width":{"value":2},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"171ca9bf-6ea9-4cf5-8e33-770d7880078b","type":"SquareX"},{"attributes":{},"id":"f561d2af-a492-4c82-8e74-1274f34a2a84","type":"LinearScale"},{"attributes":{"plot":{"id":"d06254d0-eb85-4d6f-a5b4-74043ebfc051","type":"Plot"},"ticker":{"id":"e58b636e-9e12-4a95-b032-414bfc54d081","type":"BasicTicker"}},"id":"95e5d9a2-d92e-4c1b-af24-df58af18d1a5","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"d06254d0-eb85-4d6f-a5b4-74043ebfc051","type":"Plot"},"ticker":{"id":"9cee1873-11d9-409f-aeb6-47433d5000ef","type":"BasicTicker"}},"id":"789fec7c-d18e-4130-8bb8-882947fec373","type":"Grid"},{"attributes":{},"id":"98e7fbe2-e842-44f6-8a2e-9e31e6e3bae2","type":"LinearScale"},{"attributes":{"formatter":{"id":"63ee3945-55ac-4479-ab96-74a096dadc39","type":"BasicTickFormatter"},"plot":{"id":"d06254d0-eb85-4d6f-a5b4-74043ebfc051","type":"Plot"},"ticker":{"id":"e58b636e-9e12-4a95-b032-414bfc54d081","type":"BasicTicker"}},"id":"84363af4-3075-4eaf-9a73-b0081cb4eef2","type":"LinearAxis"},{"attributes":{"callback":null},"id":"190c778c-b1ed-47a0-a83b-10a4bbf79220","type":"DataRange1d"}],"root_ids":["d06254d0-eb85-4d6f-a5b4-74043ebfc051"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"2c9a1c3e-2915-47bc-ab11-344c7a59b28b","elementid":"fb49620d-ba39-400f-b012-fcdd28dde0ff","modelid":"d06254d0-eb85-4d6f-a5b4-74043ebfc051"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
