(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("e213069e-398d-4cfa-8c33-489776ea7bf4");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'e213069e-398d-4cfa-8c33-489776ea7bf4' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"92f40b1c-dcde-4bc1-b553-c8e6a846c0db":{"roots":{"references":[{"attributes":{"callback":null},"id":"f59fa861-72f5-4f70-b316-b09248732062","type":"DataRange1d"},{"attributes":{"callback":null},"id":"4ffa4ce3-c730-4841-9165-913b975367bd","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"3562abcf-8549-44a2-9a2b-bc72b3c865bc","type":"Toolbar"},{"attributes":{"plot":{"id":"2a5e3160-fc11-478a-a7f8-c0be73bc5f57","type":"Plot"},"ticker":{"id":"e3cc2341-0d72-4e0e-8247-eb7b07427877","type":"BasicTicker"}},"id":"a2bc02f0-3fe5-4f4e-9da4-824f17f47206","type":"Grid"},{"attributes":{"below":[{"id":"6a435b82-a9d5-4f6e-a695-7e4620faac7b","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"13136c88-3963-4d44-8788-ef1259add808","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"3699ac18-d805-44f2-ae4f-a3a885048279","type":"GlyphRenderer"},{"id":"6a435b82-a9d5-4f6e-a695-7e4620faac7b","type":"LinearAxis"},{"id":"13136c88-3963-4d44-8788-ef1259add808","type":"LinearAxis"},{"id":"a2bc02f0-3fe5-4f4e-9da4-824f17f47206","type":"Grid"},{"id":"b93e0bb2-fb67-43da-a684-1e2010f2c400","type":"Grid"}],"title":null,"toolbar":{"id":"3562abcf-8549-44a2-9a2b-bc72b3c865bc","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"f59fa861-72f5-4f70-b316-b09248732062","type":"DataRange1d"},"x_scale":{"id":"cbd62591-447c-479c-8eee-0d7e8a17a51a","type":"LinearScale"},"y_range":{"id":"4ffa4ce3-c730-4841-9165-913b975367bd","type":"DataRange1d"},"y_scale":{"id":"3d1bb2e3-8a4f-45fa-99c1-7c16cc9d39fb","type":"LinearScale"}},"id":"2a5e3160-fc11-478a-a7f8-c0be73bc5f57","type":"Plot"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"e721abe9-fb6f-46e8-bcff-d2ec6d2e9e88","type":"ColumnDataSource"},{"attributes":{},"id":"30009981-6807-42ee-8086-32ed4524a339","type":"BasicTickFormatter"},{"attributes":{},"id":"cbd62591-447c-479c-8eee-0d7e8a17a51a","type":"LinearScale"},{"attributes":{},"id":"e3cc2341-0d72-4e0e-8247-eb7b07427877","type":"BasicTicker"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#99d594"},"line_width":{"value":2},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"0aa9ed72-2502-4856-a6cc-bcc0375aed1a","type":"Triangle"},{"attributes":{"data_source":{"id":"e721abe9-fb6f-46e8-bcff-d2ec6d2e9e88","type":"ColumnDataSource"},"glyph":{"id":"0aa9ed72-2502-4856-a6cc-bcc0375aed1a","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"ef4828dc-396e-478b-94c3-fb082bbaf604","type":"CDSView"}},"id":"3699ac18-d805-44f2-ae4f-a3a885048279","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"81171157-70db-4c2a-bbcc-67a356549f16","type":"BasicTickFormatter"},"plot":{"id":"2a5e3160-fc11-478a-a7f8-c0be73bc5f57","type":"Plot"},"ticker":{"id":"e3cc2341-0d72-4e0e-8247-eb7b07427877","type":"BasicTicker"}},"id":"6a435b82-a9d5-4f6e-a695-7e4620faac7b","type":"LinearAxis"},{"attributes":{},"id":"285ad4b0-ee1c-4499-8e98-b0c751cb492e","type":"BasicTicker"},{"attributes":{"source":{"id":"e721abe9-fb6f-46e8-bcff-d2ec6d2e9e88","type":"ColumnDataSource"}},"id":"ef4828dc-396e-478b-94c3-fb082bbaf604","type":"CDSView"},{"attributes":{},"id":"81171157-70db-4c2a-bbcc-67a356549f16","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"2a5e3160-fc11-478a-a7f8-c0be73bc5f57","type":"Plot"},"ticker":{"id":"285ad4b0-ee1c-4499-8e98-b0c751cb492e","type":"BasicTicker"}},"id":"b93e0bb2-fb67-43da-a684-1e2010f2c400","type":"Grid"},{"attributes":{"formatter":{"id":"30009981-6807-42ee-8086-32ed4524a339","type":"BasicTickFormatter"},"plot":{"id":"2a5e3160-fc11-478a-a7f8-c0be73bc5f57","type":"Plot"},"ticker":{"id":"285ad4b0-ee1c-4499-8e98-b0c751cb492e","type":"BasicTicker"}},"id":"13136c88-3963-4d44-8788-ef1259add808","type":"LinearAxis"},{"attributes":{},"id":"3d1bb2e3-8a4f-45fa-99c1-7c16cc9d39fb","type":"LinearScale"}],"root_ids":["2a5e3160-fc11-478a-a7f8-c0be73bc5f57"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"92f40b1c-dcde-4bc1-b553-c8e6a846c0db","elementid":"e213069e-398d-4cfa-8c33-489776ea7bf4","modelid":"2a5e3160-fc11-478a-a7f8-c0be73bc5f57"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
