(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("7eadf596-238e-42c0-8715-04413a60d077");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '7eadf596-238e-42c0-8715-04413a60d077' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"228f1337-34ed-4aac-816d-f48f9ac2969f":{"roots":{"references":[{"attributes":{},"id":"184b0a7a-217d-45cc-a30b-e40a330d34d7","type":"BasicTicker"},{"attributes":{"below":[{"id":"b59e8152-0fae-4ca7-b809-54165838fb07","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"7bf16864-fa3f-4776-9ab3-8135c02748d4","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"d729bdb4-e6f5-40e9-93d2-a11d9d87dbf8","type":"GlyphRenderer"},{"id":"b59e8152-0fae-4ca7-b809-54165838fb07","type":"LinearAxis"},{"id":"7bf16864-fa3f-4776-9ab3-8135c02748d4","type":"LinearAxis"},{"id":"2f4e847d-0461-479e-8c54-d0977150c46c","type":"Grid"},{"id":"08f99c2a-4809-4e9c-8170-d30a3bd81079","type":"Grid"}],"title":null,"toolbar":{"id":"38b0e07d-9f5e-4449-aa62-6f42c258eb43","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"5b49d7b1-e873-4a72-b80b-b0097edf2a69","type":"DataRange1d"},"x_scale":{"id":"8298d22f-efb0-4d45-afb1-2adacbc16751","type":"LinearScale"},"y_range":{"id":"758a31d3-5312-4e1c-9163-5cd99aac8b31","type":"DataRange1d"},"y_scale":{"id":"1c2612b9-9dfa-46fd-9349-322c0c111e5f","type":"LinearScale"}},"id":"f0d9e684-6b7e-4984-99f9-74d416f0ecf6","type":"Plot"},{"attributes":{"formatter":{"id":"b6946dff-d3eb-4bd3-909b-051587e2fc49","type":"BasicTickFormatter"},"plot":{"id":"f0d9e684-6b7e-4984-99f9-74d416f0ecf6","type":"Plot"},"ticker":{"id":"184b0a7a-217d-45cc-a30b-e40a330d34d7","type":"BasicTicker"}},"id":"b59e8152-0fae-4ca7-b809-54165838fb07","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"ae7c6cab-1ccf-477a-9eac-52aa1509d49e","type":"ColumnDataSource"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#fdae6b"},"line_width":{"value":2},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"a0da9c71-a8bc-42cf-a217-ae0030e9c259","type":"X"},{"attributes":{},"id":"b6946dff-d3eb-4bd3-909b-051587e2fc49","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"f0d9e684-6b7e-4984-99f9-74d416f0ecf6","type":"Plot"},"ticker":{"id":"7b9ac470-f236-4fdc-9cdc-9e18e4b70b05","type":"BasicTicker"}},"id":"08f99c2a-4809-4e9c-8170-d30a3bd81079","type":"Grid"},{"attributes":{"formatter":{"id":"92538ff6-e63d-4a43-b843-f319469d14dd","type":"BasicTickFormatter"},"plot":{"id":"f0d9e684-6b7e-4984-99f9-74d416f0ecf6","type":"Plot"},"ticker":{"id":"7b9ac470-f236-4fdc-9cdc-9e18e4b70b05","type":"BasicTicker"}},"id":"7bf16864-fa3f-4776-9ab3-8135c02748d4","type":"LinearAxis"},{"attributes":{"data_source":{"id":"ae7c6cab-1ccf-477a-9eac-52aa1509d49e","type":"ColumnDataSource"},"glyph":{"id":"a0da9c71-a8bc-42cf-a217-ae0030e9c259","type":"X"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"d3dafd3e-3571-46ef-bd43-aff4e6534b4a","type":"CDSView"}},"id":"d729bdb4-e6f5-40e9-93d2-a11d9d87dbf8","type":"GlyphRenderer"},{"attributes":{},"id":"92538ff6-e63d-4a43-b843-f319469d14dd","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"758a31d3-5312-4e1c-9163-5cd99aac8b31","type":"DataRange1d"},{"attributes":{"plot":{"id":"f0d9e684-6b7e-4984-99f9-74d416f0ecf6","type":"Plot"},"ticker":{"id":"184b0a7a-217d-45cc-a30b-e40a330d34d7","type":"BasicTicker"}},"id":"2f4e847d-0461-479e-8c54-d0977150c46c","type":"Grid"},{"attributes":{"source":{"id":"ae7c6cab-1ccf-477a-9eac-52aa1509d49e","type":"ColumnDataSource"}},"id":"d3dafd3e-3571-46ef-bd43-aff4e6534b4a","type":"CDSView"},{"attributes":{},"id":"8298d22f-efb0-4d45-afb1-2adacbc16751","type":"LinearScale"},{"attributes":{},"id":"7b9ac470-f236-4fdc-9cdc-9e18e4b70b05","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"38b0e07d-9f5e-4449-aa62-6f42c258eb43","type":"Toolbar"},{"attributes":{"callback":null},"id":"5b49d7b1-e873-4a72-b80b-b0097edf2a69","type":"DataRange1d"},{"attributes":{},"id":"1c2612b9-9dfa-46fd-9349-322c0c111e5f","type":"LinearScale"}],"root_ids":["f0d9e684-6b7e-4984-99f9-74d416f0ecf6"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"228f1337-34ed-4aac-816d-f48f9ac2969f","elementid":"7eadf596-238e-42c0-8715-04413a60d077","modelid":"f0d9e684-6b7e-4984-99f9-74d416f0ecf6"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
