(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("5482b6e7-0bfa-4b3f-a759-3790efe2a804");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '5482b6e7-0bfa-4b3f-a759-3790efe2a804' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"47b541af-6504-4338-8d44-5a11f7e424e3":{"roots":{"references":[{"attributes":{},"id":"983c014d-8512-47f1-a68d-9cbd03ab5afc","type":"BasicTickFormatter"},{"attributes":{},"id":"1aa88a0f-af6a-4f40-9211-7382c5bf0fca","type":"LinearScale"},{"attributes":{},"id":"b4cf1a92-9f16-41d5-a62e-49f50a57cc4c","type":"BasicTicker"},{"attributes":{},"id":"09bc765e-18d9-4abd-b052-56c1791012ed","type":"BasicTicker"},{"attributes":{},"id":"47d8495f-e1d8-47e3-bb66-a9654c5b4274","type":"WheelZoomTool"},{"attributes":{"overlay":{"id":"ab5e8d95-0e46-4b8b-ac92-18c0cf54b07f","type":"BoxAnnotation"}},"id":"fbec3033-df67-49da-a179-a91e4b9e4065","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"91d010e6-72db-4945-8c2c-d6ec1a49014e","type":"BasicTickFormatter"},"plot":{"id":"666cf16a-9aa0-43fa-b086-4a163720834b","subtype":"Figure","type":"Plot"},"ticker":{"id":"b4cf1a92-9f16-41d5-a62e-49f50a57cc4c","type":"BasicTicker"}},"id":"54b34e08-a307-408d-a89a-b89221bdf373","type":"LinearAxis"},{"attributes":{},"id":"76ab81e7-7a40-4647-b978-2eaa3081c7ed","type":"SaveTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"ab5e8d95-0e46-4b8b-ac92-18c0cf54b07f","type":"BoxAnnotation"},{"attributes":{},"id":"9e1da93d-9a2f-4e37-95b1-81c31d8df159","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"666cf16a-9aa0-43fa-b086-4a163720834b","subtype":"Figure","type":"Plot"},"ticker":{"id":"b4cf1a92-9f16-41d5-a62e-49f50a57cc4c","type":"BasicTicker"}},"id":"b068d60c-275a-41c2-b6b2-dc64e7b128e3","type":"Grid"},{"attributes":{"callback":null},"id":"847977b7-f497-4f44-94d6-6de52c4ade3c","type":"DataRange1d"},{"attributes":{},"id":"ef9660eb-5604-4bb4-9cce-aaf8b32a4164","type":"HelpTool"},{"attributes":{"source":{"id":"2232eb39-1053-402c-87f4-fddae469d258","type":"ColumnDataSource"}},"id":"0e8d8631-250a-475c-822a-d9566804e0ae","type":"CDSView"},{"attributes":{"plot":null,"text":""},"id":"d046e1cb-9d34-48d6-888a-0ed91a59057a","type":"Title"},{"attributes":{},"id":"d14d9dfb-3b65-4900-80e1-816cc776e074","type":"ResetTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"inner_radius":{"units":"data","value":0.2},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"outer_radius":{"units":"data","value":0.5},"x":{"field":"x"},"y":{"field":"y"}},"id":"6ae524de-1dac-43a9-89de-d7d679428958","type":"Annulus"},{"attributes":{"data_source":{"id":"2232eb39-1053-402c-87f4-fddae469d258","type":"ColumnDataSource"},"glyph":{"id":"83f61707-7163-477c-9d4a-9dda241de976","type":"Annulus"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"6ae524de-1dac-43a9-89de-d7d679428958","type":"Annulus"},"selection_glyph":null,"view":{"id":"0e8d8631-250a-475c-822a-d9566804e0ae","type":"CDSView"}},"id":"2144cb8c-96f9-4c70-aee5-e0e2f624bd02","type":"GlyphRenderer"},{"attributes":{"fill_color":{"value":"#7FC97F"},"inner_radius":{"units":"data","value":0.2},"line_color":{"value":"#7FC97F"},"outer_radius":{"units":"data","value":0.5},"x":{"field":"x"},"y":{"field":"y"}},"id":"83f61707-7163-477c-9d4a-9dda241de976","type":"Annulus"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"2232eb39-1053-402c-87f4-fddae469d258","type":"ColumnDataSource"},{"attributes":{},"id":"91d010e6-72db-4945-8c2c-d6ec1a49014e","type":"BasicTickFormatter"},{"attributes":{},"id":"c0216284-cceb-404f-a295-f64fd926c75c","type":"PanTool"},{"attributes":{"callback":null},"id":"3354476a-373d-4106-81dd-3206406b02a9","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c0216284-cceb-404f-a295-f64fd926c75c","type":"PanTool"},{"id":"47d8495f-e1d8-47e3-bb66-a9654c5b4274","type":"WheelZoomTool"},{"id":"fbec3033-df67-49da-a179-a91e4b9e4065","type":"BoxZoomTool"},{"id":"76ab81e7-7a40-4647-b978-2eaa3081c7ed","type":"SaveTool"},{"id":"d14d9dfb-3b65-4900-80e1-816cc776e074","type":"ResetTool"},{"id":"ef9660eb-5604-4bb4-9cce-aaf8b32a4164","type":"HelpTool"}]},"id":"44abf8bd-3bec-4f74-91d2-6c279e4924b6","type":"Toolbar"},{"attributes":{"plot":{"id":"666cf16a-9aa0-43fa-b086-4a163720834b","subtype":"Figure","type":"Plot"},"ticker":{"id":"09bc765e-18d9-4abd-b052-56c1791012ed","type":"BasicTicker"}},"id":"8f8059d7-b956-4652-90c6-acba5f58fbc2","type":"Grid"},{"attributes":{"formatter":{"id":"983c014d-8512-47f1-a68d-9cbd03ab5afc","type":"BasicTickFormatter"},"plot":{"id":"666cf16a-9aa0-43fa-b086-4a163720834b","subtype":"Figure","type":"Plot"},"ticker":{"id":"09bc765e-18d9-4abd-b052-56c1791012ed","type":"BasicTicker"}},"id":"406405bd-052d-4aeb-92ad-54e0df899d03","type":"LinearAxis"},{"attributes":{"below":[{"id":"406405bd-052d-4aeb-92ad-54e0df899d03","type":"LinearAxis"}],"left":[{"id":"54b34e08-a307-408d-a89a-b89221bdf373","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"406405bd-052d-4aeb-92ad-54e0df899d03","type":"LinearAxis"},{"id":"8f8059d7-b956-4652-90c6-acba5f58fbc2","type":"Grid"},{"id":"54b34e08-a307-408d-a89a-b89221bdf373","type":"LinearAxis"},{"id":"b068d60c-275a-41c2-b6b2-dc64e7b128e3","type":"Grid"},{"id":"ab5e8d95-0e46-4b8b-ac92-18c0cf54b07f","type":"BoxAnnotation"},{"id":"2144cb8c-96f9-4c70-aee5-e0e2f624bd02","type":"GlyphRenderer"}],"title":{"id":"d046e1cb-9d34-48d6-888a-0ed91a59057a","type":"Title"},"toolbar":{"id":"44abf8bd-3bec-4f74-91d2-6c279e4924b6","type":"Toolbar"},"x_range":{"id":"847977b7-f497-4f44-94d6-6de52c4ade3c","type":"DataRange1d"},"x_scale":{"id":"1aa88a0f-af6a-4f40-9211-7382c5bf0fca","type":"LinearScale"},"y_range":{"id":"3354476a-373d-4106-81dd-3206406b02a9","type":"DataRange1d"},"y_scale":{"id":"9e1da93d-9a2f-4e37-95b1-81c31d8df159","type":"LinearScale"}},"id":"666cf16a-9aa0-43fa-b086-4a163720834b","subtype":"Figure","type":"Plot"}],"root_ids":["666cf16a-9aa0-43fa-b086-4a163720834b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"47b541af-6504-4338-8d44-5a11f7e424e3","elementid":"5482b6e7-0bfa-4b3f-a759-3790efe2a804","modelid":"666cf16a-9aa0-43fa-b086-4a163720834b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
