(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a87d2cab-56fc-4165-a6ff-cf18a0f1b65b");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a87d2cab-56fc-4165-a6ff-cf18a0f1b65b' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"5b156c5a-5ff9-4ea8-90b5-d50dd594d3b0":{"roots":{"references":[{"attributes":{"formatter":{"id":"cb5dd7a2-3837-4609-9590-6e82a3c9789f","type":"BasicTickFormatter"},"plot":{"id":"2ad67f47-6520-4822-9eb5-348fa079204f","subtype":"Figure","type":"Plot"},"ticker":{"id":"291fc046-0c5e-4e1d-a976-1a1ad0a73610","type":"BasicTicker"}},"id":"c3938b11-8dc4-4abf-9aaa-5969e86bf00d","type":"LinearAxis"},{"attributes":{},"id":"11e87ba0-a44c-4192-a370-18c3af802e38","type":"HelpTool"},{"attributes":{},"id":"98b93bac-373d-4d4e-af17-880b2adfdcac","type":"BasicTicker"},{"attributes":{},"id":"f9087e82-1e7d-4a3a-a3b4-e6a4f12dcb5d","type":"LinearScale"},{"attributes":{"callback":null},"id":"dfdab3ef-35c2-4bba-b3f4-c6547efce1fe","type":"DataRange1d"},{"attributes":{"fill_color":{"value":"#DE2D26"},"line_color":{"value":"#DE2D26"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"a1874890-9250-4b63-9e69-467215143c72","type":"InvertedTriangle"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"27298a10-cab1-4ada-822e-597d01829ede","type":"BoxAnnotation"},{"attributes":{"plot":{"id":"2ad67f47-6520-4822-9eb5-348fa079204f","subtype":"Figure","type":"Plot"},"ticker":{"id":"98b93bac-373d-4d4e-af17-880b2adfdcac","type":"BasicTicker"}},"id":"8eb27af4-27e7-4549-b81c-2929c404d152","type":"Grid"},{"attributes":{},"id":"f607fae4-1d7a-4ebe-9041-10ad718d13e9","type":"PanTool"},{"attributes":{},"id":"5dd6e4b9-a0eb-4cf4-8764-3a368faa174e","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"27298a10-cab1-4ada-822e-597d01829ede","type":"BoxAnnotation"}},"id":"de79316b-1aff-466a-8cea-e034ecb67af1","type":"BoxZoomTool"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"860ab046-39b7-4bd1-ab52-321eee7d8e97","type":"ColumnDataSource"},{"attributes":{},"id":"6b8b8699-9bb8-417e-83c3-e9fa0eddc394","type":"WheelZoomTool"},{"attributes":{"below":[{"id":"91969ba3-291b-4179-9326-6d1978717d98","type":"LinearAxis"}],"left":[{"id":"c3938b11-8dc4-4abf-9aaa-5969e86bf00d","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"91969ba3-291b-4179-9326-6d1978717d98","type":"LinearAxis"},{"id":"8eb27af4-27e7-4549-b81c-2929c404d152","type":"Grid"},{"id":"c3938b11-8dc4-4abf-9aaa-5969e86bf00d","type":"LinearAxis"},{"id":"36f4dd17-655c-4888-a755-9fda93eb4efe","type":"Grid"},{"id":"27298a10-cab1-4ada-822e-597d01829ede","type":"BoxAnnotation"},{"id":"191d923c-da04-4659-9df6-ba21987fb4de","type":"GlyphRenderer"}],"title":{"id":"c08712a3-dc3b-4d8a-86bd-b0124852d325","type":"Title"},"toolbar":{"id":"1298fedb-8ce0-4a54-ac50-d3deb8a53d4d","type":"Toolbar"},"x_range":{"id":"dfdab3ef-35c2-4bba-b3f4-c6547efce1fe","type":"DataRange1d"},"x_scale":{"id":"f9087e82-1e7d-4a3a-a3b4-e6a4f12dcb5d","type":"LinearScale"},"y_range":{"id":"031b589c-be12-45bd-824f-7354045f0c61","type":"DataRange1d"},"y_scale":{"id":"6c10a2b0-89c4-4ac6-bf36-77e5bb1cb6d9","type":"LinearScale"}},"id":"2ad67f47-6520-4822-9eb5-348fa079204f","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"031b589c-be12-45bd-824f-7354045f0c61","type":"DataRange1d"},{"attributes":{"source":{"id":"860ab046-39b7-4bd1-ab52-321eee7d8e97","type":"ColumnDataSource"}},"id":"d2e08d64-79fa-4525-8690-b159d0eb4414","type":"CDSView"},{"attributes":{},"id":"cb5dd7a2-3837-4609-9590-6e82a3c9789f","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"5dd6e4b9-a0eb-4cf4-8764-3a368faa174e","type":"BasicTickFormatter"},"plot":{"id":"2ad67f47-6520-4822-9eb5-348fa079204f","subtype":"Figure","type":"Plot"},"ticker":{"id":"98b93bac-373d-4d4e-af17-880b2adfdcac","type":"BasicTicker"}},"id":"91969ba3-291b-4179-9326-6d1978717d98","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"f607fae4-1d7a-4ebe-9041-10ad718d13e9","type":"PanTool"},{"id":"6b8b8699-9bb8-417e-83c3-e9fa0eddc394","type":"WheelZoomTool"},{"id":"de79316b-1aff-466a-8cea-e034ecb67af1","type":"BoxZoomTool"},{"id":"b27e28cc-26d2-4549-aafe-56e2bcca70d9","type":"SaveTool"},{"id":"720e0f8a-01f8-4c6a-96b3-19ef8a4b02b2","type":"ResetTool"},{"id":"11e87ba0-a44c-4192-a370-18c3af802e38","type":"HelpTool"}]},"id":"1298fedb-8ce0-4a54-ac50-d3deb8a53d4d","type":"Toolbar"},{"attributes":{"data_source":{"id":"860ab046-39b7-4bd1-ab52-321eee7d8e97","type":"ColumnDataSource"},"glyph":{"id":"a1874890-9250-4b63-9e69-467215143c72","type":"InvertedTriangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"9876dcb7-3146-46c3-a7ad-6333095c847d","type":"InvertedTriangle"},"selection_glyph":null,"view":{"id":"d2e08d64-79fa-4525-8690-b159d0eb4414","type":"CDSView"}},"id":"191d923c-da04-4659-9df6-ba21987fb4de","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"2ad67f47-6520-4822-9eb5-348fa079204f","subtype":"Figure","type":"Plot"},"ticker":{"id":"291fc046-0c5e-4e1d-a976-1a1ad0a73610","type":"BasicTicker"}},"id":"36f4dd17-655c-4888-a755-9fda93eb4efe","type":"Grid"},{"attributes":{"plot":null,"text":""},"id":"c08712a3-dc3b-4d8a-86bd-b0124852d325","type":"Title"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"9876dcb7-3146-46c3-a7ad-6333095c847d","type":"InvertedTriangle"},{"attributes":{},"id":"291fc046-0c5e-4e1d-a976-1a1ad0a73610","type":"BasicTicker"},{"attributes":{},"id":"b27e28cc-26d2-4549-aafe-56e2bcca70d9","type":"SaveTool"},{"attributes":{},"id":"720e0f8a-01f8-4c6a-96b3-19ef8a4b02b2","type":"ResetTool"},{"attributes":{},"id":"6c10a2b0-89c4-4ac6-bf36-77e5bb1cb6d9","type":"LinearScale"}],"root_ids":["2ad67f47-6520-4822-9eb5-348fa079204f"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"5b156c5a-5ff9-4ea8-90b5-d50dd594d3b0","elementid":"a87d2cab-56fc-4165-a6ff-cf18a0f1b65b","modelid":"2ad67f47-6520-4822-9eb5-348fa079204f"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
