(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("563d6019-6008-49e6-8b71-5c8da27da1a5");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '563d6019-6008-49e6-8b71-5c8da27da1a5' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"00c63f40-667a-4f29-9c82-0a712375b274":{"roots":{"references":[{"attributes":{"callback":null,"column_names":["xs","ys","line_color"],"data":{"line_color":["red","green"],"xs":[[1,2,3],[2,3,4]],"ys":[[6,7,2],[4,5,7]]}},"id":"01e16126-70b1-47c9-9806-ec9b7a8e1f3f","type":"ColumnDataSource"},{"attributes":{"line_color":{"field":"line_color"},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"93c9b4c0-44ed-4d3b-8086-6be6a5429e97","type":"MultiLine"},{"attributes":{"dimension":1,"plot":{"id":"9e7a2ccc-08d1-4d7d-90bf-b921819ceeb1","subtype":"Figure","type":"Plot"},"ticker":{"id":"fb2bcf1c-e248-4b75-b3c9-3ef1c72d44ac","type":"BasicTicker"}},"id":"0971fd85-be16-4816-9bd0-c98016c6677a","type":"Grid"},{"attributes":{},"id":"5e9e9684-16e0-4520-85fd-21df81068bc8","type":"BasicTickFormatter"},{"attributes":{},"id":"3ff017d5-6d11-4014-b63f-e390c621503c","type":"WheelZoomTool"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"c65f5430-e742-4ae2-962d-8c621c7047fb","type":"MultiLine"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"f922bc12-47e8-4d44-aaad-2c13c22fcd0d","type":"BoxAnnotation"},{"attributes":{"overlay":{"id":"f922bc12-47e8-4d44-aaad-2c13c22fcd0d","type":"BoxAnnotation"}},"id":"d3754721-9f78-4ca2-a8e2-7c8ca66c0a5e","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"5e9e9684-16e0-4520-85fd-21df81068bc8","type":"BasicTickFormatter"},"plot":{"id":"9e7a2ccc-08d1-4d7d-90bf-b921819ceeb1","subtype":"Figure","type":"Plot"},"ticker":{"id":"3f1c94c4-cbb3-4873-9d00-97761ba725a5","type":"BasicTicker"}},"id":"6d7ad45f-99da-4255-84ae-936decf5e068","type":"LinearAxis"},{"attributes":{},"id":"3f1c94c4-cbb3-4873-9d00-97761ba725a5","type":"BasicTicker"},{"attributes":{"source":{"id":"01e16126-70b1-47c9-9806-ec9b7a8e1f3f","type":"ColumnDataSource"}},"id":"34d71507-a077-4cc8-9492-1775f93f0ecf","type":"CDSView"},{"attributes":{},"id":"6f3078df-988e-42cf-b3df-8505e4325979","type":"LinearScale"},{"attributes":{"callback":null},"id":"3e0dace9-da47-4665-a8b5-e5133184a088","type":"DataRange1d"},{"attributes":{},"id":"fb2bcf1c-e248-4b75-b3c9-3ef1c72d44ac","type":"BasicTicker"},{"attributes":{},"id":"ef77746c-1520-4ae0-8db3-17a388b9a88b","type":"ResetTool"},{"attributes":{},"id":"af0b84e9-3d4b-41b3-a514-9ce10b1b3aee","type":"LinearScale"},{"attributes":{},"id":"e11731ed-50a9-4f53-b5b3-27b233f53963","type":"PanTool"},{"attributes":{"below":[{"id":"6d7ad45f-99da-4255-84ae-936decf5e068","type":"LinearAxis"}],"left":[{"id":"d3cf4b8c-cdef-451b-a6ee-42bd73727793","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"6d7ad45f-99da-4255-84ae-936decf5e068","type":"LinearAxis"},{"id":"b4b20f9f-c0e6-4b0f-b54b-2e18cae32820","type":"Grid"},{"id":"d3cf4b8c-cdef-451b-a6ee-42bd73727793","type":"LinearAxis"},{"id":"0971fd85-be16-4816-9bd0-c98016c6677a","type":"Grid"},{"id":"f922bc12-47e8-4d44-aaad-2c13c22fcd0d","type":"BoxAnnotation"},{"id":"5577f2a4-267e-4265-bd53-b5a71981e79d","type":"GlyphRenderer"}],"title":{"id":"ce2d1f50-dd11-4910-b2f6-86aef3c1c6d5","type":"Title"},"toolbar":{"id":"f53b1ffc-88b5-438e-9140-7f3843170dc2","type":"Toolbar"},"x_range":{"id":"3e0dace9-da47-4665-a8b5-e5133184a088","type":"DataRange1d"},"x_scale":{"id":"6f3078df-988e-42cf-b3df-8505e4325979","type":"LinearScale"},"y_range":{"id":"42787590-2acd-4203-bec6-92e9b7e75054","type":"DataRange1d"},"y_scale":{"id":"af0b84e9-3d4b-41b3-a514-9ce10b1b3aee","type":"LinearScale"}},"id":"9e7a2ccc-08d1-4d7d-90bf-b921819ceeb1","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"f55edf0c-81dc-4a8f-acfa-7bb7d22e3473","type":"SaveTool"},{"attributes":{"callback":null},"id":"42787590-2acd-4203-bec6-92e9b7e75054","type":"DataRange1d"},{"attributes":{"data_source":{"id":"01e16126-70b1-47c9-9806-ec9b7a8e1f3f","type":"ColumnDataSource"},"glyph":{"id":"93c9b4c0-44ed-4d3b-8086-6be6a5429e97","type":"MultiLine"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c65f5430-e742-4ae2-962d-8c621c7047fb","type":"MultiLine"},"selection_glyph":null,"view":{"id":"34d71507-a077-4cc8-9492-1775f93f0ecf","type":"CDSView"}},"id":"5577f2a4-267e-4265-bd53-b5a71981e79d","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"9e7a2ccc-08d1-4d7d-90bf-b921819ceeb1","subtype":"Figure","type":"Plot"},"ticker":{"id":"3f1c94c4-cbb3-4873-9d00-97761ba725a5","type":"BasicTicker"}},"id":"b4b20f9f-c0e6-4b0f-b54b-2e18cae32820","type":"Grid"},{"attributes":{"plot":null,"text":""},"id":"ce2d1f50-dd11-4910-b2f6-86aef3c1c6d5","type":"Title"},{"attributes":{},"id":"187bcc89-40d1-42ff-b0ae-99e7910fbfbb","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"e11731ed-50a9-4f53-b5b3-27b233f53963","type":"PanTool"},{"id":"3ff017d5-6d11-4014-b63f-e390c621503c","type":"WheelZoomTool"},{"id":"d3754721-9f78-4ca2-a8e2-7c8ca66c0a5e","type":"BoxZoomTool"},{"id":"f55edf0c-81dc-4a8f-acfa-7bb7d22e3473","type":"SaveTool"},{"id":"ef77746c-1520-4ae0-8db3-17a388b9a88b","type":"ResetTool"},{"id":"23d2cfeb-bf70-42f8-9b30-213e7f9dca26","type":"HelpTool"}]},"id":"f53b1ffc-88b5-438e-9140-7f3843170dc2","type":"Toolbar"},{"attributes":{},"id":"23d2cfeb-bf70-42f8-9b30-213e7f9dca26","type":"HelpTool"},{"attributes":{"formatter":{"id":"187bcc89-40d1-42ff-b0ae-99e7910fbfbb","type":"BasicTickFormatter"},"plot":{"id":"9e7a2ccc-08d1-4d7d-90bf-b921819ceeb1","subtype":"Figure","type":"Plot"},"ticker":{"id":"fb2bcf1c-e248-4b75-b3c9-3ef1c72d44ac","type":"BasicTicker"}},"id":"d3cf4b8c-cdef-451b-a6ee-42bd73727793","type":"LinearAxis"}],"root_ids":["9e7a2ccc-08d1-4d7d-90bf-b921819ceeb1"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"00c63f40-667a-4f29-9c82-0a712375b274","elementid":"563d6019-6008-49e6-8b71-5c8da27da1a5","modelid":"9e7a2ccc-08d1-4d7d-90bf-b921819ceeb1"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
