(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("92497de2-9c2d-4312-9187-d1e81554b447");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '92497de2-9c2d-4312-9187-d1e81554b447' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"caffd2c0-b48c-4907-8162-53f6977a0292":{"roots":{"references":[{"attributes":{},"id":"699ebf92-5825-4024-9f68-b956b380098a","type":"LinearScale"},{"attributes":{"source":{"id":"c4f1ae4d-84d6-4a2b-a7a5-666624e903b4","type":"ColumnDataSource"}},"id":"624e5323-2533-45cb-a96d-1f534700b30e","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"04f34fbc-f5c3-496c-b058-9f01c32aefc0","type":"BoxAnnotation"},{"attributes":{"below":[{"id":"4fc28786-138c-4b61-9a6a-b923c8cd0360","type":"LinearAxis"}],"left":[{"id":"573b84f0-1011-4eec-ba49-712fcbf0cbba","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"4fc28786-138c-4b61-9a6a-b923c8cd0360","type":"LinearAxis"},{"id":"e478a066-6f34-428e-9706-ac7d4882e589","type":"Grid"},{"id":"573b84f0-1011-4eec-ba49-712fcbf0cbba","type":"LinearAxis"},{"id":"e7d52ebc-2087-4b29-8d76-70e403b5c905","type":"Grid"},{"id":"04f34fbc-f5c3-496c-b058-9f01c32aefc0","type":"BoxAnnotation"},{"id":"890a599a-de59-4597-adbe-6e52ed4ed2aa","type":"GlyphRenderer"}],"title":{"id":"d68706a8-db62-4e28-8ed0-f95372bbf3bd","type":"Title"},"toolbar":{"id":"561e6e3b-80f3-45cd-b325-ace92f960f46","type":"Toolbar"},"x_range":{"id":"caf9c850-0502-4330-9eb0-6e652f6e213e","type":"DataRange1d"},"x_scale":{"id":"153a2887-db1e-446f-a910-1b1469be433a","type":"LinearScale"},"y_range":{"id":"b0e9fb9a-ce73-435a-8dff-de36c85203d8","type":"DataRange1d"},"y_scale":{"id":"699ebf92-5825-4024-9f68-b956b380098a","type":"LinearScale"}},"id":"c0341e4c-0a93-43ea-8efb-74fe71395671","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"2e329179-0a85-421b-bd58-cf272cb4ee7f","type":"BasicTickFormatter"},"plot":{"id":"c0341e4c-0a93-43ea-8efb-74fe71395671","subtype":"Figure","type":"Plot"},"ticker":{"id":"3b25f617-920f-46b0-948a-0dd85f7964c1","type":"BasicTicker"}},"id":"4fc28786-138c-4b61-9a6a-b923c8cd0360","type":"LinearAxis"},{"attributes":{"fill_color":{"field":"fill_color"},"line_color":{"field":"line_color"},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"e1f6d4b1-c1fa-4e47-a8d5-dd3c695cc764","type":"Patches"},{"attributes":{"plot":null,"text":""},"id":"d68706a8-db62-4e28-8ed0-f95372bbf3bd","type":"Title"},{"attributes":{"callback":null},"id":"b0e9fb9a-ce73-435a-8dff-de36c85203d8","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"c0341e4c-0a93-43ea-8efb-74fe71395671","subtype":"Figure","type":"Plot"},"ticker":{"id":"71fdc3d2-7e47-4e2e-9292-4122e7d1d8fe","type":"BasicTicker"}},"id":"e7d52ebc-2087-4b29-8d76-70e403b5c905","type":"Grid"},{"attributes":{},"id":"11d3440e-c01b-4315-857c-1838bf3e3aa4","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c5e2ac77-bd2d-443c-a3ba-9bd57dc0746f","type":"PanTool"},{"id":"e47cd634-00dd-4d82-8e57-6dbf1d00a87e","type":"WheelZoomTool"},{"id":"caa52dc7-6b2f-4928-9a1c-51664128d5ab","type":"BoxZoomTool"},{"id":"d2f5149f-7702-4c03-a7c0-9c1380bf1c95","type":"SaveTool"},{"id":"b30b642d-f50c-42d7-a53e-c0c83ed80d2e","type":"ResetTool"},{"id":"34a1391b-5498-46d8-9c06-59150c673a08","type":"HelpTool"}]},"id":"561e6e3b-80f3-45cd-b325-ace92f960f46","type":"Toolbar"},{"attributes":{"data_source":{"id":"c4f1ae4d-84d6-4a2b-a7a5-666624e903b4","type":"ColumnDataSource"},"glyph":{"id":"e1f6d4b1-c1fa-4e47-a8d5-dd3c695cc764","type":"Patches"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"036de64a-c7a6-4175-a028-5a4ada2522cf","type":"Patches"},"selection_glyph":null,"view":{"id":"624e5323-2533-45cb-a96d-1f534700b30e","type":"CDSView"}},"id":"890a599a-de59-4597-adbe-6e52ed4ed2aa","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"c0341e4c-0a93-43ea-8efb-74fe71395671","subtype":"Figure","type":"Plot"},"ticker":{"id":"3b25f617-920f-46b0-948a-0dd85f7964c1","type":"BasicTicker"}},"id":"e478a066-6f34-428e-9706-ac7d4882e589","type":"Grid"},{"attributes":{},"id":"c5e2ac77-bd2d-443c-a3ba-9bd57dc0746f","type":"PanTool"},{"attributes":{"callback":null,"column_names":["xs","ys","line_color","fill_color"],"data":{"fill_color":["#43a2ca","#a8ddb5"],"line_color":["#43a2ca","#a8ddb5"],"xs":[[1,2,3],[4,5,6,5]],"ys":[[1,2,1],[4,5,5,4]]}},"id":"c4f1ae4d-84d6-4a2b-a7a5-666624e903b4","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"11d3440e-c01b-4315-857c-1838bf3e3aa4","type":"BasicTickFormatter"},"plot":{"id":"c0341e4c-0a93-43ea-8efb-74fe71395671","subtype":"Figure","type":"Plot"},"ticker":{"id":"71fdc3d2-7e47-4e2e-9292-4122e7d1d8fe","type":"BasicTicker"}},"id":"573b84f0-1011-4eec-ba49-712fcbf0cbba","type":"LinearAxis"},{"attributes":{},"id":"2e329179-0a85-421b-bd58-cf272cb4ee7f","type":"BasicTickFormatter"},{"attributes":{},"id":"d2f5149f-7702-4c03-a7c0-9c1380bf1c95","type":"SaveTool"},{"attributes":{},"id":"b30b642d-f50c-42d7-a53e-c0c83ed80d2e","type":"ResetTool"},{"attributes":{},"id":"34a1391b-5498-46d8-9c06-59150c673a08","type":"HelpTool"},{"attributes":{},"id":"153a2887-db1e-446f-a910-1b1469be433a","type":"LinearScale"},{"attributes":{},"id":"3b25f617-920f-46b0-948a-0dd85f7964c1","type":"BasicTicker"},{"attributes":{"overlay":{"id":"04f34fbc-f5c3-496c-b058-9f01c32aefc0","type":"BoxAnnotation"}},"id":"caa52dc7-6b2f-4928-9a1c-51664128d5ab","type":"BoxZoomTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"036de64a-c7a6-4175-a028-5a4ada2522cf","type":"Patches"},{"attributes":{"callback":null},"id":"caf9c850-0502-4330-9eb0-6e652f6e213e","type":"DataRange1d"},{"attributes":{},"id":"e47cd634-00dd-4d82-8e57-6dbf1d00a87e","type":"WheelZoomTool"},{"attributes":{},"id":"71fdc3d2-7e47-4e2e-9292-4122e7d1d8fe","type":"BasicTicker"}],"root_ids":["c0341e4c-0a93-43ea-8efb-74fe71395671"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"caffd2c0-b48c-4907-8162-53f6977a0292","elementid":"92497de2-9c2d-4312-9187-d1e81554b447","modelid":"c0341e4c-0a93-43ea-8efb-74fe71395671"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
