(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("c0b835a8-9dbe-4b84-bd0f-3414386f1475");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'c0b835a8-9dbe-4b84-bd0f-3414386f1475' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"14280968-bbdc-4b80-a98a-dba390b96d5f":{"roots":{"references":[{"attributes":{},"id":"207d1593-a13d-4d8c-8be8-7da869db4cce","type":"BasicTicker"},{"attributes":{},"id":"7136f723-0455-40d5-82cf-1d417a52c8a5","type":"WheelZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"d2fd8da2-6537-4b9e-a861-ac49ead1650b","subtype":"Figure","type":"Plot"},"ticker":{"id":"207d1593-a13d-4d8c-8be8-7da869db4cce","type":"BasicTicker"}},"id":"1a300eac-37d6-4ecf-9007-0380f1dad82d","type":"Grid"},{"attributes":{},"id":"fcce4642-a8ee-4f15-8dff-e6a4166ab103","type":"BasicTickFormatter"},{"attributes":{},"id":"87fee468-9795-47e7-875d-b835fb3d6011","type":"BasicTicker"},{"attributes":{"formatter":{"id":"fcce4642-a8ee-4f15-8dff-e6a4166ab103","type":"BasicTickFormatter"},"plot":{"id":"d2fd8da2-6537-4b9e-a861-ac49ead1650b","subtype":"Figure","type":"Plot"},"ticker":{"id":"87fee468-9795-47e7-875d-b835fb3d6011","type":"BasicTicker"}},"id":"a38b11c4-2dd8-4701-889b-5498981c7286","type":"LinearAxis"},{"attributes":{},"id":"a7be1dad-416d-49cd-89f2-4b6d589339ae","type":"PanTool"},{"attributes":{},"id":"860c4ac2-e8e7-474e-8949-ed6d099628ab","type":"SaveTool"},{"attributes":{},"id":"c08c8cd4-9bb6-4302-908d-27f597fdba59","type":"LinearScale"},{"attributes":{"callback":null},"id":"6d5cc62a-86af-4ce7-b486-43cd113be643","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["top","right","left","bottom"],"data":{"bottom":[1,2,3],"left":[1,2,3],"right":[1.2,2.5,3.7],"top":[2,3,4]}},"id":"7d6b21c5-7710-41c2-9200-0c7f9594f582","type":"ColumnDataSource"},{"attributes":{"below":[{"id":"a38b11c4-2dd8-4701-889b-5498981c7286","type":"LinearAxis"}],"left":[{"id":"d9f23e65-54b3-4b5e-b164-d66ebafb1af3","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"a38b11c4-2dd8-4701-889b-5498981c7286","type":"LinearAxis"},{"id":"7bfdc47a-8557-4ab0-82ba-45de071f6fa2","type":"Grid"},{"id":"d9f23e65-54b3-4b5e-b164-d66ebafb1af3","type":"LinearAxis"},{"id":"1a300eac-37d6-4ecf-9007-0380f1dad82d","type":"Grid"},{"id":"05b765f2-926f-4d2b-951f-2c55801967b8","type":"BoxAnnotation"},{"id":"5613821a-4f9d-4edc-aafe-a5a62845cf4e","type":"GlyphRenderer"}],"title":{"id":"78eb0643-4bf5-479a-9527-e96181b39fc7","type":"Title"},"toolbar":{"id":"8daf93e8-0448-43d3-9bbf-2d2863056be6","type":"Toolbar"},"x_range":{"id":"6d5cc62a-86af-4ce7-b486-43cd113be643","type":"DataRange1d"},"x_scale":{"id":"0508e7bf-dfb9-4897-96d5-d0eed68e14cc","type":"LinearScale"},"y_range":{"id":"39530d04-5cc7-4268-acf4-e84c08f6a637","type":"DataRange1d"},"y_scale":{"id":"c08c8cd4-9bb6-4302-908d-27f597fdba59","type":"LinearScale"}},"id":"d2fd8da2-6537-4b9e-a861-ac49ead1650b","subtype":"Figure","type":"Plot"},{"attributes":{"plot":null,"text":""},"id":"78eb0643-4bf5-479a-9527-e96181b39fc7","type":"Title"},{"attributes":{},"id":"4faf0f95-5d2e-448a-b1ec-f8555480d7ce","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"7d6b21c5-7710-41c2-9200-0c7f9594f582","type":"ColumnDataSource"},"glyph":{"id":"006b34f9-78e6-4ceb-b03c-e7e939ca46ab","type":"Quad"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"0d2c302a-8d1b-4fc1-ad43-aec523b92a66","type":"Quad"},"selection_glyph":null,"view":{"id":"802f58dd-45ac-41ee-8839-8bf5ad140022","type":"CDSView"}},"id":"5613821a-4f9d-4edc-aafe-a5a62845cf4e","type":"GlyphRenderer"},{"attributes":{"bottom":{"field":"bottom"},"fill_color":{"value":"#B3DE69"},"left":{"field":"left"},"line_color":{"value":"#B3DE69"},"right":{"field":"right"},"top":{"field":"top"}},"id":"006b34f9-78e6-4ceb-b03c-e7e939ca46ab","type":"Quad"},{"attributes":{"formatter":{"id":"4faf0f95-5d2e-448a-b1ec-f8555480d7ce","type":"BasicTickFormatter"},"plot":{"id":"d2fd8da2-6537-4b9e-a861-ac49ead1650b","subtype":"Figure","type":"Plot"},"ticker":{"id":"207d1593-a13d-4d8c-8be8-7da869db4cce","type":"BasicTicker"}},"id":"d9f23e65-54b3-4b5e-b164-d66ebafb1af3","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"05b765f2-926f-4d2b-951f-2c55801967b8","type":"BoxAnnotation"},{"attributes":{},"id":"87311ed5-2372-4956-a624-2ecde3c5b326","type":"ResetTool"},{"attributes":{"plot":{"id":"d2fd8da2-6537-4b9e-a861-ac49ead1650b","subtype":"Figure","type":"Plot"},"ticker":{"id":"87fee468-9795-47e7-875d-b835fb3d6011","type":"BasicTicker"}},"id":"7bfdc47a-8557-4ab0-82ba-45de071f6fa2","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"a7be1dad-416d-49cd-89f2-4b6d589339ae","type":"PanTool"},{"id":"7136f723-0455-40d5-82cf-1d417a52c8a5","type":"WheelZoomTool"},{"id":"c279e5f6-4da2-4f28-9fdc-a13843407d19","type":"BoxZoomTool"},{"id":"860c4ac2-e8e7-474e-8949-ed6d099628ab","type":"SaveTool"},{"id":"87311ed5-2372-4956-a624-2ecde3c5b326","type":"ResetTool"},{"id":"b0d20cc2-2f39-4952-bd23-be8279026c85","type":"HelpTool"}]},"id":"8daf93e8-0448-43d3-9bbf-2d2863056be6","type":"Toolbar"},{"attributes":{"bottom":{"field":"bottom"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"left":{"field":"left"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"field":"right"},"top":{"field":"top"}},"id":"0d2c302a-8d1b-4fc1-ad43-aec523b92a66","type":"Quad"},{"attributes":{"source":{"id":"7d6b21c5-7710-41c2-9200-0c7f9594f582","type":"ColumnDataSource"}},"id":"802f58dd-45ac-41ee-8839-8bf5ad140022","type":"CDSView"},{"attributes":{},"id":"b0d20cc2-2f39-4952-bd23-be8279026c85","type":"HelpTool"},{"attributes":{"callback":null},"id":"39530d04-5cc7-4268-acf4-e84c08f6a637","type":"DataRange1d"},{"attributes":{},"id":"0508e7bf-dfb9-4897-96d5-d0eed68e14cc","type":"LinearScale"},{"attributes":{"overlay":{"id":"05b765f2-926f-4d2b-951f-2c55801967b8","type":"BoxAnnotation"}},"id":"c279e5f6-4da2-4f28-9fdc-a13843407d19","type":"BoxZoomTool"}],"root_ids":["d2fd8da2-6537-4b9e-a861-ac49ead1650b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"14280968-bbdc-4b80-a98a-dba390b96d5f","elementid":"c0b835a8-9dbe-4b84-bd0f-3414386f1475","modelid":"d2fd8da2-6537-4b9e-a861-ac49ead1650b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
