(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("e182b71a-b763-426a-8d6b-dae59a9d98d0");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'e182b71a-b763-426a-8d6b-dae59a9d98d0' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e9dad96d-7ad8-4ef4-b1fb-90528902e2a2":{"roots":{"references":[{"attributes":{"dimension":1,"plot":{"id":"719426ff-6160-4292-b303-7d500ca35d9a","subtype":"Figure","type":"Plot"},"ticker":{"id":"2e2192e0-1fcd-44bf-9a89-1d30fdac3537","type":"BasicTicker"}},"id":"0cc9ac02-7b6f-40cb-b350-73a9874b22a2","type":"Grid"},{"attributes":{"callback":null},"id":"0ff69b44-6165-4731-a363-cd91c0c6a5a9","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"26b35a31-6235-4269-9905-f740b80a4515","type":"PanTool"},{"id":"a4b00504-ff8e-454b-bc2b-16444e779545","type":"WheelZoomTool"},{"id":"2502e81b-03e6-4760-adfd-46a906c303a3","type":"BoxZoomTool"},{"id":"6b0ab3a5-d99e-4ed2-a7d2-15628acf9e5d","type":"SaveTool"},{"id":"79dc4453-aae7-4fb3-82aa-234a84337ca2","type":"ResetTool"},{"id":"96f89e3b-989d-48a0-9f82-824a59cb1993","type":"HelpTool"}]},"id":"b6793cbc-2a4f-4ab0-93bb-20fb57a6d0a6","type":"Toolbar"},{"attributes":{"angle":{"units":"rad","value":-0.7},"length":{"units":"data","value":45},"line_color":{"value":"#FB8072"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"27fa55ce-dd9b-480b-9597-232e61509882","type":"Ray"},{"attributes":{"below":[{"id":"c2b04178-9f2d-4ac1-b4f2-1bbdaa9940ed","type":"LinearAxis"}],"left":[{"id":"5a60a599-376b-4dbe-8853-ad7a0a85b67a","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"c2b04178-9f2d-4ac1-b4f2-1bbdaa9940ed","type":"LinearAxis"},{"id":"89c7e1fb-7d9c-45dc-a089-dbd0111898de","type":"Grid"},{"id":"5a60a599-376b-4dbe-8853-ad7a0a85b67a","type":"LinearAxis"},{"id":"0cc9ac02-7b6f-40cb-b350-73a9874b22a2","type":"Grid"},{"id":"dc5d57ea-eb9c-43c0-802c-0f12cc73c718","type":"BoxAnnotation"},{"id":"cfa0b8c6-f558-4250-836a-0de34f90cd7a","type":"GlyphRenderer"}],"title":{"id":"ba30a49e-feb8-4946-a985-a8039f50bde9","type":"Title"},"toolbar":{"id":"b6793cbc-2a4f-4ab0-93bb-20fb57a6d0a6","type":"Toolbar"},"x_range":{"id":"0ff69b44-6165-4731-a363-cd91c0c6a5a9","type":"DataRange1d"},"x_scale":{"id":"c242f2ce-30ce-4218-8645-eacd52ab138f","type":"LinearScale"},"y_range":{"id":"cc446f29-230b-4d1d-8585-d83266d7764f","type":"DataRange1d"},"y_scale":{"id":"5e7e8485-1e83-41f1-b471-95069b7a9eff","type":"LinearScale"}},"id":"719426ff-6160-4292-b303-7d500ca35d9a","subtype":"Figure","type":"Plot"},{"attributes":{"plot":null,"text":""},"id":"ba30a49e-feb8-4946-a985-a8039f50bde9","type":"Title"},{"attributes":{},"id":"26b35a31-6235-4269-9905-f740b80a4515","type":"PanTool"},{"attributes":{},"id":"76718e75-8803-461a-a85f-d9e2674c4abf","type":"BasicTickFormatter"},{"attributes":{},"id":"79dc4453-aae7-4fb3-82aa-234a84337ca2","type":"ResetTool"},{"attributes":{"callback":null},"id":"cc446f29-230b-4d1d-8585-d83266d7764f","type":"DataRange1d"},{"attributes":{"formatter":{"id":"c679c670-fb1b-4bd1-bd6d-fd1d44acc52d","type":"BasicTickFormatter"},"plot":{"id":"719426ff-6160-4292-b303-7d500ca35d9a","subtype":"Figure","type":"Plot"},"ticker":{"id":"38eb1cea-125f-4522-92e1-c9c09d08b26d","type":"BasicTicker"}},"id":"c2b04178-9f2d-4ac1-b4f2-1bbdaa9940ed","type":"LinearAxis"},{"attributes":{},"id":"96f89e3b-989d-48a0-9f82-824a59cb1993","type":"HelpTool"},{"attributes":{},"id":"38eb1cea-125f-4522-92e1-c9c09d08b26d","type":"BasicTicker"},{"attributes":{"plot":{"id":"719426ff-6160-4292-b303-7d500ca35d9a","subtype":"Figure","type":"Plot"},"ticker":{"id":"38eb1cea-125f-4522-92e1-c9c09d08b26d","type":"BasicTicker"}},"id":"89c7e1fb-7d9c-45dc-a089-dbd0111898de","type":"Grid"},{"attributes":{},"id":"a4b00504-ff8e-454b-bc2b-16444e779545","type":"WheelZoomTool"},{"attributes":{},"id":"6b0ab3a5-d99e-4ed2-a7d2-15628acf9e5d","type":"SaveTool"},{"attributes":{},"id":"2e2192e0-1fcd-44bf-9a89-1d30fdac3537","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"358aecf9-b0c2-4ba3-ae9e-79cac267a634","type":"ColumnDataSource"},{"attributes":{},"id":"c679c670-fb1b-4bd1-bd6d-fd1d44acc52d","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"76718e75-8803-461a-a85f-d9e2674c4abf","type":"BasicTickFormatter"},"plot":{"id":"719426ff-6160-4292-b303-7d500ca35d9a","subtype":"Figure","type":"Plot"},"ticker":{"id":"2e2192e0-1fcd-44bf-9a89-1d30fdac3537","type":"BasicTicker"}},"id":"5a60a599-376b-4dbe-8853-ad7a0a85b67a","type":"LinearAxis"},{"attributes":{"overlay":{"id":"dc5d57ea-eb9c-43c0-802c-0f12cc73c718","type":"BoxAnnotation"}},"id":"2502e81b-03e6-4760-adfd-46a906c303a3","type":"BoxZoomTool"},{"attributes":{},"id":"c242f2ce-30ce-4218-8645-eacd52ab138f","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"dc5d57ea-eb9c-43c0-802c-0f12cc73c718","type":"BoxAnnotation"},{"attributes":{},"id":"5e7e8485-1e83-41f1-b471-95069b7a9eff","type":"LinearScale"},{"attributes":{"data_source":{"id":"358aecf9-b0c2-4ba3-ae9e-79cac267a634","type":"ColumnDataSource"},"glyph":{"id":"27fa55ce-dd9b-480b-9597-232e61509882","type":"Ray"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"d9ac1458-8ce3-4f54-ab54-e9eb8f8b8d1f","type":"Ray"},"selection_glyph":null,"view":{"id":"72b831b9-d611-448e-b2e3-dbfed6456780","type":"CDSView"}},"id":"cfa0b8c6-f558-4250-836a-0de34f90cd7a","type":"GlyphRenderer"},{"attributes":{"angle":{"units":"rad","value":-0.7},"length":{"units":"data","value":45},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"d9ac1458-8ce3-4f54-ab54-e9eb8f8b8d1f","type":"Ray"},{"attributes":{"source":{"id":"358aecf9-b0c2-4ba3-ae9e-79cac267a634","type":"ColumnDataSource"}},"id":"72b831b9-d611-448e-b2e3-dbfed6456780","type":"CDSView"}],"root_ids":["719426ff-6160-4292-b303-7d500ca35d9a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e9dad96d-7ad8-4ef4-b1fb-90528902e2a2","elementid":"e182b71a-b763-426a-8d6b-dae59a9d98d0","modelid":"719426ff-6160-4292-b303-7d500ca35d9a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
