(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("cb0088fe-3494-452a-97f8-ad9a6d40f2ff");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'cb0088fe-3494-452a-97f8-ad9a6d40f2ff' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"ccebaea6-73f9-4338-af81-379e204009c6":{"roots":{"references":[{"attributes":{"dimension":1,"plot":{"id":"170805d1-f862-4b06-9413-841df3bde185","subtype":"Figure","type":"Plot"},"ticker":{"id":"4baaa77a-8997-4e4c-a43a-a404896ddf40","type":"BasicTicker"}},"id":"c58b1576-11c0-45a8-a7f1-248209ddbf6b","type":"Grid"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"17cde133-a27e-4b0c-93e8-ee6af6869c3d","type":"Segment"},{"attributes":{"plot":null,"text":""},"id":"c1e7f2f7-944a-4b27-b546-bece26093fb2","type":"Title"},{"attributes":{"callback":null},"id":"1e8c0eb5-775f-4d7c-8f4f-ac7a9ada45a2","type":"DataRange1d"},{"attributes":{},"id":"4baaa77a-8997-4e4c-a43a-a404896ddf40","type":"BasicTicker"},{"attributes":{},"id":"2f45c401-39b4-4dd6-b0a6-56e23d643332","type":"LinearScale"},{"attributes":{"formatter":{"id":"61ce5257-773b-461a-bbff-4fc7a594a1df","type":"BasicTickFormatter"},"plot":{"id":"170805d1-f862-4b06-9413-841df3bde185","subtype":"Figure","type":"Plot"},"ticker":{"id":"06eecc2f-50ec-4542-8335-2ce79d0769d1","type":"BasicTicker"}},"id":"da35c3bf-bf66-4995-b91a-b3c72258693d","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"d83754cb-a968-4559-8188-957c4898287f","type":"PanTool"},{"id":"ec254c8c-0ac8-4801-ab10-379a35619a16","type":"WheelZoomTool"},{"id":"63930fbc-bd59-4a6a-b6e0-ff38839c4e79","type":"BoxZoomTool"},{"id":"37f2b56d-d3f7-4ae9-94ab-7135e082148f","type":"SaveTool"},{"id":"a11d0baa-85e9-4f8e-be65-c61bb3a2acb9","type":"ResetTool"},{"id":"4eacbc55-858d-4df5-a338-e983ed063a0f","type":"HelpTool"}]},"id":"2254c858-3bd8-448e-bdda-fb1a41a0b3fa","type":"Toolbar"},{"attributes":{},"id":"61ce5257-773b-461a-bbff-4fc7a594a1df","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"ae83f421-8eb6-4867-b3ad-cc9cda3385bd","type":"BoxAnnotation"}},"id":"63930fbc-bd59-4a6a-b6e0-ff38839c4e79","type":"BoxZoomTool"},{"attributes":{},"id":"4eacbc55-858d-4df5-a338-e983ed063a0f","type":"HelpTool"},{"attributes":{},"id":"ec254c8c-0ac8-4801-ab10-379a35619a16","type":"WheelZoomTool"},{"attributes":{"callback":null,"column_names":["y1","y0","x0","x1"],"data":{"x0":[1,2,3],"x1":[1,2,3],"y0":[1,2,3],"y1":[1.2,2.5,3.7]}},"id":"e555d497-ea49-43c5-baad-4972044d1fb1","type":"ColumnDataSource"},{"attributes":{},"id":"d83754cb-a968-4559-8188-957c4898287f","type":"PanTool"},{"attributes":{"callback":null},"id":"4cc92c97-0ee6-49ab-9425-948bf5c62503","type":"DataRange1d"},{"attributes":{"line_color":{"value":"#F4A582"},"line_width":{"value":3},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"237f5a75-7f40-4d8b-8e89-97c03c706935","type":"Segment"},{"attributes":{},"id":"a11d0baa-85e9-4f8e-be65-c61bb3a2acb9","type":"ResetTool"},{"attributes":{"below":[{"id":"da35c3bf-bf66-4995-b91a-b3c72258693d","type":"LinearAxis"}],"left":[{"id":"22e5f102-a15c-4854-8558-12d0ada1f332","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"da35c3bf-bf66-4995-b91a-b3c72258693d","type":"LinearAxis"},{"id":"82301641-e78e-472b-867a-a78de78bab55","type":"Grid"},{"id":"22e5f102-a15c-4854-8558-12d0ada1f332","type":"LinearAxis"},{"id":"c58b1576-11c0-45a8-a7f1-248209ddbf6b","type":"Grid"},{"id":"ae83f421-8eb6-4867-b3ad-cc9cda3385bd","type":"BoxAnnotation"},{"id":"2a710eee-e72b-4fb0-a770-c0e299e8f581","type":"GlyphRenderer"}],"title":{"id":"c1e7f2f7-944a-4b27-b546-bece26093fb2","type":"Title"},"toolbar":{"id":"2254c858-3bd8-448e-bdda-fb1a41a0b3fa","type":"Toolbar"},"x_range":{"id":"1e8c0eb5-775f-4d7c-8f4f-ac7a9ada45a2","type":"DataRange1d"},"x_scale":{"id":"2f45c401-39b4-4dd6-b0a6-56e23d643332","type":"LinearScale"},"y_range":{"id":"4cc92c97-0ee6-49ab-9425-948bf5c62503","type":"DataRange1d"},"y_scale":{"id":"e90c7d6b-caf3-4f0a-ac96-1ee516b8c2b2","type":"LinearScale"}},"id":"170805d1-f862-4b06-9413-841df3bde185","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"7a8e5876-773a-4edf-abb4-c2ad28b7ac32","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"170805d1-f862-4b06-9413-841df3bde185","subtype":"Figure","type":"Plot"},"ticker":{"id":"06eecc2f-50ec-4542-8335-2ce79d0769d1","type":"BasicTicker"}},"id":"82301641-e78e-472b-867a-a78de78bab55","type":"Grid"},{"attributes":{"data_source":{"id":"e555d497-ea49-43c5-baad-4972044d1fb1","type":"ColumnDataSource"},"glyph":{"id":"237f5a75-7f40-4d8b-8e89-97c03c706935","type":"Segment"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"17cde133-a27e-4b0c-93e8-ee6af6869c3d","type":"Segment"},"selection_glyph":null,"view":{"id":"edea11cd-0efa-4d39-90ac-2f499fa438a5","type":"CDSView"}},"id":"2a710eee-e72b-4fb0-a770-c0e299e8f581","type":"GlyphRenderer"},{"attributes":{},"id":"37f2b56d-d3f7-4ae9-94ab-7135e082148f","type":"SaveTool"},{"attributes":{"source":{"id":"e555d497-ea49-43c5-baad-4972044d1fb1","type":"ColumnDataSource"}},"id":"edea11cd-0efa-4d39-90ac-2f499fa438a5","type":"CDSView"},{"attributes":{"formatter":{"id":"7a8e5876-773a-4edf-abb4-c2ad28b7ac32","type":"BasicTickFormatter"},"plot":{"id":"170805d1-f862-4b06-9413-841df3bde185","subtype":"Figure","type":"Plot"},"ticker":{"id":"4baaa77a-8997-4e4c-a43a-a404896ddf40","type":"BasicTicker"}},"id":"22e5f102-a15c-4854-8558-12d0ada1f332","type":"LinearAxis"},{"attributes":{},"id":"e90c7d6b-caf3-4f0a-ac96-1ee516b8c2b2","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"ae83f421-8eb6-4867-b3ad-cc9cda3385bd","type":"BoxAnnotation"},{"attributes":{},"id":"06eecc2f-50ec-4542-8335-2ce79d0769d1","type":"BasicTicker"}],"root_ids":["170805d1-f862-4b06-9413-841df3bde185"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"ccebaea6-73f9-4338-af81-379e204009c6","elementid":"cb0088fe-3494-452a-97f8-ad9a6d40f2ff","modelid":"170805d1-f862-4b06-9413-841df3bde185"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
