(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("e57d3ff7-9e07-4d3f-8ae0-48e8802eb8da");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'e57d3ff7-9e07-4d3f-8ae0-48e8802eb8da' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"44793e37-8859-42ec-aa29-5f041aaa4c6d":{"roots":{"references":[{"attributes":{"source":{"id":"6265edfd-c069-4eec-b487-78b3f0a39cc2","type":"ColumnDataSource"}},"id":"88c5dc36-9085-4d45-a06d-c768c4dafa26","type":"CDSView"},{"attributes":{},"id":"20762e37-0e9e-474f-a752-4a04f2d65a78","type":"SaveTool"},{"attributes":{},"id":"c133b375-8fda-40fb-b8be-7ee6189e6326","type":"LinearScale"},{"attributes":{"formatter":{"id":"ce2d164c-52b8-47a7-bf01-15f1b4952eeb","type":"BasicTickFormatter"},"plot":{"id":"467251db-8826-4902-8254-fc1c946eda5a","subtype":"Figure","type":"Plot"},"ticker":{"id":"3d342840-f887-47cf-9545-d3e4f10ede1f","type":"BasicTicker"}},"id":"69c3f64e-2b7e-4f30-ae84-795af624ded1","type":"LinearAxis"},{"attributes":{},"id":"ac95cffe-3f9c-4dc2-bc26-872e2156a441","type":"LinearScale"},{"attributes":{},"id":"238c5408-e9c9-4495-a087-053ffeb5ab4c","type":"ResetTool"},{"attributes":{"formatter":{"id":"c4e56099-7fdc-4907-8ed4-10ba51ad9133","type":"BasicTickFormatter"},"plot":{"id":"467251db-8826-4902-8254-fc1c946eda5a","subtype":"Figure","type":"Plot"},"ticker":{"id":"6518850b-a7a1-4cc9-8908-3e7fe273e937","type":"BasicTicker"}},"id":"26c4b770-4d82-4931-9791-7e9ba6e789f7","type":"LinearAxis"},{"attributes":{},"id":"3d342840-f887-47cf-9545-d3e4f10ede1f","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"74662282-98cf-4116-91af-095e90fc504c","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"c257bfe4-277c-4691-a9a8-a8801ba15fde","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c2ae25ca-b1dc-4a97-b1df-1c378057280a","type":"PanTool"},{"id":"07241356-326c-4300-91e1-274026858981","type":"WheelZoomTool"},{"id":"64fa5136-ca06-411c-8e29-24d830a9ca2c","type":"BoxZoomTool"},{"id":"20762e37-0e9e-474f-a752-4a04f2d65a78","type":"SaveTool"},{"id":"238c5408-e9c9-4495-a087-053ffeb5ab4c","type":"ResetTool"},{"id":"62ce0c23-a71a-45f8-998c-897e71e50ccc","type":"HelpTool"}]},"id":"edac5e68-1def-46bb-b95f-2cb4a41d428e","type":"Toolbar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"size":{"field":"size","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"236d19b5-c91f-4f04-a265-f0c9c0ba6a3d","type":"SquareX"},{"attributes":{"overlay":{"id":"74662282-98cf-4116-91af-095e90fc504c","type":"BoxAnnotation"}},"id":"64fa5136-ca06-411c-8e29-24d830a9ca2c","type":"BoxZoomTool"},{"attributes":{},"id":"07241356-326c-4300-91e1-274026858981","type":"WheelZoomTool"},{"attributes":{"below":[{"id":"26c4b770-4d82-4931-9791-7e9ba6e789f7","type":"LinearAxis"}],"left":[{"id":"69c3f64e-2b7e-4f30-ae84-795af624ded1","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"26c4b770-4d82-4931-9791-7e9ba6e789f7","type":"LinearAxis"},{"id":"d41bf1d3-9492-4884-87bd-c4ad7c04c6af","type":"Grid"},{"id":"69c3f64e-2b7e-4f30-ae84-795af624ded1","type":"LinearAxis"},{"id":"7071b16a-008a-4ce6-85cc-29ce288295e4","type":"Grid"},{"id":"74662282-98cf-4116-91af-095e90fc504c","type":"BoxAnnotation"},{"id":"4a0c4c27-7fd3-4954-9916-a583cdaf2504","type":"GlyphRenderer"}],"title":{"id":"c14044b2-04c3-42db-be7b-e7a616f45ec8","type":"Title"},"toolbar":{"id":"edac5e68-1def-46bb-b95f-2cb4a41d428e","type":"Toolbar"},"x_range":{"id":"e275f8ed-4942-4bfa-ac2e-c5c100096b17","type":"DataRange1d"},"x_scale":{"id":"c133b375-8fda-40fb-b8be-7ee6189e6326","type":"LinearScale"},"y_range":{"id":"c257bfe4-277c-4691-a9a8-a8801ba15fde","type":"DataRange1d"},"y_scale":{"id":"ac95cffe-3f9c-4dc2-bc26-872e2156a441","type":"LinearScale"}},"id":"467251db-8826-4902-8254-fc1c946eda5a","subtype":"Figure","type":"Plot"},{"attributes":{"data_source":{"id":"6265edfd-c069-4eec-b487-78b3f0a39cc2","type":"ColumnDataSource"},"glyph":{"id":"ccc7f239-f2bc-4467-9cfc-5f2336d2ed7d","type":"SquareX"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"236d19b5-c91f-4f04-a265-f0c9c0ba6a3d","type":"SquareX"},"selection_glyph":null,"view":{"id":"88c5dc36-9085-4d45-a06d-c768c4dafa26","type":"CDSView"}},"id":"4a0c4c27-7fd3-4954-9916-a583cdaf2504","type":"GlyphRenderer"},{"attributes":{},"id":"62ce0c23-a71a-45f8-998c-897e71e50ccc","type":"HelpTool"},{"attributes":{},"id":"ce2d164c-52b8-47a7-bf01-15f1b4952eeb","type":"BasicTickFormatter"},{"attributes":{},"id":"c4e56099-7fdc-4907-8ed4-10ba51ad9133","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"e275f8ed-4942-4bfa-ac2e-c5c100096b17","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"467251db-8826-4902-8254-fc1c946eda5a","subtype":"Figure","type":"Plot"},"ticker":{"id":"3d342840-f887-47cf-9545-d3e4f10ede1f","type":"BasicTicker"}},"id":"7071b16a-008a-4ce6-85cc-29ce288295e4","type":"Grid"},{"attributes":{},"id":"c2ae25ca-b1dc-4a97-b1df-1c378057280a","type":"PanTool"},{"attributes":{"callback":null,"column_names":["y","x","size"],"data":{"size":[10,20,25],"x":[1,2,3],"y":[1,2,3]}},"id":"6265edfd-c069-4eec-b487-78b3f0a39cc2","type":"ColumnDataSource"},{"attributes":{},"id":"6518850b-a7a1-4cc9-8908-3e7fe273e937","type":"BasicTicker"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#FDAE6B"},"line_width":{"value":2},"size":{"field":"size","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"ccc7f239-f2bc-4467-9cfc-5f2336d2ed7d","type":"SquareX"},{"attributes":{"plot":null,"text":""},"id":"c14044b2-04c3-42db-be7b-e7a616f45ec8","type":"Title"},{"attributes":{"plot":{"id":"467251db-8826-4902-8254-fc1c946eda5a","subtype":"Figure","type":"Plot"},"ticker":{"id":"6518850b-a7a1-4cc9-8908-3e7fe273e937","type":"BasicTicker"}},"id":"d41bf1d3-9492-4884-87bd-c4ad7c04c6af","type":"Grid"}],"root_ids":["467251db-8826-4902-8254-fc1c946eda5a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"44793e37-8859-42ec-aa29-5f041aaa4c6d","elementid":"e57d3ff7-9e07-4d3f-8ae0-48e8802eb8da","modelid":"467251db-8826-4902-8254-fc1c946eda5a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
