(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("f6a23a63-64c5-4a6a-b5b5-d6cdadfe0312");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'f6a23a63-64c5-4a6a-b5b5-d6cdadfe0312' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"3f869148-2a49-4a27-8eff-69f21f2a5ae8":{"roots":{"references":[{"attributes":{"source":{"id":"be84b017-6423-4f99-9088-a0c9c6861418","type":"ColumnDataSource"}},"id":"6b12197c-42e2-40d2-ab8e-8c148aecd6b3","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.5},"x":{"field":"x"}},"id":"1d2816ba-2fc5-43eb-853e-6316b2e7d658","type":"VBar"},{"attributes":{"overlay":{"id":"429a182c-939a-490c-a0f2-5ea36e3d9688","type":"BoxAnnotation"}},"id":"2e53bfa8-34c0-44e8-9498-f04658e08473","type":"BoxZoomTool"},{"attributes":{},"id":"29e44f0d-548e-4f62-b4e4-119cf31e9a9f","type":"BasicTicker"},{"attributes":{},"id":"faab68ba-3025-498a-9ad2-3d3b70b495dd","type":"BasicTickFormatter"},{"attributes":{},"id":"6622bef2-9c57-4419-b731-218e0b947f2c","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"a2e7b81f-7539-450e-b96c-90e5a5c25a0a","subtype":"Figure","type":"Plot"},"ticker":{"id":"8ca2b265-f4a9-4446-84c4-19f9a2cd4e67","type":"BasicTicker"}},"id":"a580b23a-275c-40cb-816c-3c1b3bd7c9c7","type":"Grid"},{"attributes":{},"id":"4f9253c7-2681-4646-abc3-25f1ff971a80","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"429a182c-939a-490c-a0f2-5ea36e3d9688","type":"BoxAnnotation"},{"attributes":{"data_source":{"id":"be84b017-6423-4f99-9088-a0c9c6861418","type":"ColumnDataSource"},"glyph":{"id":"3a307a31-2f43-4c48-b00e-ab996b121d68","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"1d2816ba-2fc5-43eb-853e-6316b2e7d658","type":"VBar"},"selection_glyph":null,"view":{"id":"6b12197c-42e2-40d2-ab8e-8c148aecd6b3","type":"CDSView"}},"id":"443c93e4-2cff-48e0-bc8a-29731f2f78a2","type":"GlyphRenderer"},{"attributes":{},"id":"35d23878-4071-4a2c-9bfc-e69a630cd2a6","type":"WheelZoomTool"},{"attributes":{},"id":"8ca2b265-f4a9-4446-84c4-19f9a2cd4e67","type":"BasicTicker"},{"attributes":{},"id":"782d74b6-1ba3-4da7-87e3-da8e321c8626","type":"HelpTool"},{"attributes":{"plot":null,"text":""},"id":"4385d99b-3d24-4ab6-90f3-ac7bb70a8938","type":"Title"},{"attributes":{"formatter":{"id":"faab68ba-3025-498a-9ad2-3d3b70b495dd","type":"BasicTickFormatter"},"plot":{"id":"a2e7b81f-7539-450e-b96c-90e5a5c25a0a","subtype":"Figure","type":"Plot"},"ticker":{"id":"8ca2b265-f4a9-4446-84c4-19f9a2cd4e67","type":"BasicTicker"}},"id":"a6f0ac6c-0325-4aff-beca-68901a15d81a","type":"LinearAxis"},{"attributes":{"below":[{"id":"19183458-a659-4fed-8b9f-61a35ac4f3ce","type":"LinearAxis"}],"left":[{"id":"a6f0ac6c-0325-4aff-beca-68901a15d81a","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"19183458-a659-4fed-8b9f-61a35ac4f3ce","type":"LinearAxis"},{"id":"31ccfe2c-6d62-4fa8-ad25-a3761e208ca1","type":"Grid"},{"id":"a6f0ac6c-0325-4aff-beca-68901a15d81a","type":"LinearAxis"},{"id":"a580b23a-275c-40cb-816c-3c1b3bd7c9c7","type":"Grid"},{"id":"429a182c-939a-490c-a0f2-5ea36e3d9688","type":"BoxAnnotation"},{"id":"443c93e4-2cff-48e0-bc8a-29731f2f78a2","type":"GlyphRenderer"}],"title":{"id":"4385d99b-3d24-4ab6-90f3-ac7bb70a8938","type":"Title"},"toolbar":{"id":"1b0559b4-3094-4903-ba2e-f2a84d92c4da","type":"Toolbar"},"x_range":{"id":"bd336fbb-8b05-42bd-8d7f-1de5f43106c1","type":"DataRange1d"},"x_scale":{"id":"1c816e08-1967-4f05-820a-83842adcf97f","type":"LinearScale"},"y_range":{"id":"07563ea8-a99b-4367-a919-3431bbb490b6","type":"DataRange1d"},"y_scale":{"id":"6622bef2-9c57-4419-b731-218e0b947f2c","type":"LinearScale"}},"id":"a2e7b81f-7539-450e-b96c-90e5a5c25a0a","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"bd336fbb-8b05-42bd-8d7f-1de5f43106c1","type":"DataRange1d"},{"attributes":{"plot":{"id":"a2e7b81f-7539-450e-b96c-90e5a5c25a0a","subtype":"Figure","type":"Plot"},"ticker":{"id":"29e44f0d-548e-4f62-b4e4-119cf31e9a9f","type":"BasicTicker"}},"id":"31ccfe2c-6d62-4fa8-ad25-a3761e208ca1","type":"Grid"},{"attributes":{},"id":"e3fa8752-275d-4838-8f58-be782819172f","type":"ResetTool"},{"attributes":{"fill_color":{"value":"#CAB2D6"},"line_color":{"value":"#CAB2D6"},"top":{"field":"top"},"width":{"value":0.5},"x":{"field":"x"}},"id":"3a307a31-2f43-4c48-b00e-ab996b121d68","type":"VBar"},{"attributes":{},"id":"ca432863-e344-48b8-8d81-2f4cc51c563b","type":"SaveTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"08651b41-2b67-4f28-a8fb-ea4426eb1198","type":"PanTool"},{"id":"35d23878-4071-4a2c-9bfc-e69a630cd2a6","type":"WheelZoomTool"},{"id":"2e53bfa8-34c0-44e8-9498-f04658e08473","type":"BoxZoomTool"},{"id":"ca432863-e344-48b8-8d81-2f4cc51c563b","type":"SaveTool"},{"id":"e3fa8752-275d-4838-8f58-be782819172f","type":"ResetTool"},{"id":"782d74b6-1ba3-4da7-87e3-da8e321c8626","type":"HelpTool"}]},"id":"1b0559b4-3094-4903-ba2e-f2a84d92c4da","type":"Toolbar"},{"attributes":{"formatter":{"id":"4f9253c7-2681-4646-abc3-25f1ff971a80","type":"BasicTickFormatter"},"plot":{"id":"a2e7b81f-7539-450e-b96c-90e5a5c25a0a","subtype":"Figure","type":"Plot"},"ticker":{"id":"29e44f0d-548e-4f62-b4e4-119cf31e9a9f","type":"BasicTicker"}},"id":"19183458-a659-4fed-8b9f-61a35ac4f3ce","type":"LinearAxis"},{"attributes":{},"id":"08651b41-2b67-4f28-a8fb-ea4426eb1198","type":"PanTool"},{"attributes":{"callback":null,"column_names":["x","top"],"data":{"top":[1,2,3],"x":[1,2,3]}},"id":"be84b017-6423-4f99-9088-a0c9c6861418","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"07563ea8-a99b-4367-a919-3431bbb490b6","type":"DataRange1d"},{"attributes":{},"id":"1c816e08-1967-4f05-820a-83842adcf97f","type":"LinearScale"}],"root_ids":["a2e7b81f-7539-450e-b96c-90e5a5c25a0a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"3f869148-2a49-4a27-8eff-69f21f2a5ae8","elementid":"f6a23a63-64c5-4a6a-b5b5-d6cdadfe0312","modelid":"a2e7b81f-7539-450e-b96c-90e5a5c25a0a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
