(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("25fff8c7-6221-4896-8d19-742cc0b632fe");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '25fff8c7-6221-4896-8d19-742cc0b632fe' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"adf0866d-4d07-461b-a841-05fe736fcb0c":{"roots":{"references":[{"attributes":{"data_source":{"id":"98b1784d-d972-403d-bd8e-5def32a4497c","type":"ColumnDataSource"},"glyph":{"id":"3d3d9106-ee00-4897-bc7e-44c7b774476f","type":"Wedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"5bdb380e-2dd1-479e-a117-c32f7adf133c","type":"Wedge"},"selection_glyph":null,"view":{"id":"f9c63b1e-a7fe-45c3-8864-5d0d58aea118","type":"CDSView"}},"id":"093a4b93-5e37-44f4-9121-622d85164e75","type":"GlyphRenderer"},{"attributes":{},"id":"47293eef-4f6b-42fd-bc45-abee202e8569","type":"BasicTicker"},{"attributes":{},"id":"19f76c92-5a22-465c-ae5a-4d2a3cb06b8f","type":"LinearScale"},{"attributes":{"plot":{"id":"c6dde017-59da-457b-ac77-660b4debd53f","subtype":"Figure","type":"Plot"},"ticker":{"id":"47293eef-4f6b-42fd-bc45-abee202e8569","type":"BasicTicker"}},"id":"01ebf13a-d96e-4634-8336-e2433b46e815","type":"Grid"},{"attributes":{},"id":"2e962bd2-1fe1-482d-ad45-fdda7bb107e6","type":"LinearScale"},{"attributes":{"end_angle":{"units":"rad","value":4.1},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"screen","value":15},"start_angle":{"units":"rad","value":0.6},"x":{"field":"x"},"y":{"field":"y"}},"id":"5bdb380e-2dd1-479e-a117-c32f7adf133c","type":"Wedge"},{"attributes":{"below":[{"id":"40243dd5-a96d-417f-8feb-5a67ba02f51a","type":"LinearAxis"}],"left":[{"id":"67f452fa-1d56-4e68-b631-6348958bc5de","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"40243dd5-a96d-417f-8feb-5a67ba02f51a","type":"LinearAxis"},{"id":"01ebf13a-d96e-4634-8336-e2433b46e815","type":"Grid"},{"id":"67f452fa-1d56-4e68-b631-6348958bc5de","type":"LinearAxis"},{"id":"2d6ac9ae-50e7-41c7-bb7a-48bed8ad915c","type":"Grid"},{"id":"29920d4b-979e-4166-b427-7f192bf04369","type":"BoxAnnotation"},{"id":"093a4b93-5e37-44f4-9121-622d85164e75","type":"GlyphRenderer"}],"title":{"id":"ec044529-0e4b-43b5-8ccc-a44f6c6454a6","type":"Title"},"toolbar":{"id":"0b0988a4-bc4b-4bd3-a49b-6b6e969f9e3f","type":"Toolbar"},"x_range":{"id":"364d8cff-22cc-4683-9dc2-1d24937cc5db","type":"DataRange1d"},"x_scale":{"id":"2e962bd2-1fe1-482d-ad45-fdda7bb107e6","type":"LinearScale"},"y_range":{"id":"ea1f979f-9eba-42dc-ac0c-7c68a6efeaf8","type":"DataRange1d"},"y_scale":{"id":"19f76c92-5a22-465c-ae5a-4d2a3cb06b8f","type":"LinearScale"}},"id":"c6dde017-59da-457b-ac77-660b4debd53f","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"b3547684-2afc-4a80-8cf3-d44dc8104261","type":"BasicTickFormatter"},{"attributes":{},"id":"d637b028-dd91-45f2-af5a-ecd00ed5db04","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"98b1784d-d972-403d-bd8e-5def32a4497c","type":"ColumnDataSource"},{"attributes":{},"id":"f4f5224a-be72-47af-89ad-e44f799a3799","type":"SaveTool"},{"attributes":{},"id":"f850db0d-f42b-45d6-9ccb-47866d7c33e5","type":"HelpTool"},{"attributes":{"end_angle":{"units":"rad","value":4.1},"fill_color":{"value":"#2b8cbe"},"line_color":{"value":"#2b8cbe"},"radius":{"units":"screen","value":15},"start_angle":{"units":"rad","value":0.6},"x":{"field":"x"},"y":{"field":"y"}},"id":"3d3d9106-ee00-4897-bc7e-44c7b774476f","type":"Wedge"},{"attributes":{"callback":null},"id":"ea1f979f-9eba-42dc-ac0c-7c68a6efeaf8","type":"DataRange1d"},{"attributes":{},"id":"56f47459-40a6-441d-b9dc-1d46fc55693c","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"98b1784d-d972-403d-bd8e-5def32a4497c","type":"ColumnDataSource"}},"id":"f9c63b1e-a7fe-45c3-8864-5d0d58aea118","type":"CDSView"},{"attributes":{"formatter":{"id":"56f47459-40a6-441d-b9dc-1d46fc55693c","type":"BasicTickFormatter"},"plot":{"id":"c6dde017-59da-457b-ac77-660b4debd53f","subtype":"Figure","type":"Plot"},"ticker":{"id":"d637b028-dd91-45f2-af5a-ecd00ed5db04","type":"BasicTicker"}},"id":"67f452fa-1d56-4e68-b631-6348958bc5de","type":"LinearAxis"},{"attributes":{},"id":"88251e01-9ada-4105-97c6-73183a696e5c","type":"PanTool"},{"attributes":{"dimension":1,"plot":{"id":"c6dde017-59da-457b-ac77-660b4debd53f","subtype":"Figure","type":"Plot"},"ticker":{"id":"d637b028-dd91-45f2-af5a-ecd00ed5db04","type":"BasicTicker"}},"id":"2d6ac9ae-50e7-41c7-bb7a-48bed8ad915c","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"88251e01-9ada-4105-97c6-73183a696e5c","type":"PanTool"},{"id":"62ebbec0-cc90-4687-b99e-052d6244036b","type":"WheelZoomTool"},{"id":"f3d82659-6905-40f5-add3-6af6cc853e07","type":"BoxZoomTool"},{"id":"f4f5224a-be72-47af-89ad-e44f799a3799","type":"SaveTool"},{"id":"b198f455-970b-4dc8-968e-2dd8704262d2","type":"ResetTool"},{"id":"f850db0d-f42b-45d6-9ccb-47866d7c33e5","type":"HelpTool"}]},"id":"0b0988a4-bc4b-4bd3-a49b-6b6e969f9e3f","type":"Toolbar"},{"attributes":{"plot":null,"text":""},"id":"ec044529-0e4b-43b5-8ccc-a44f6c6454a6","type":"Title"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"29920d4b-979e-4166-b427-7f192bf04369","type":"BoxAnnotation"},{"attributes":{},"id":"62ebbec0-cc90-4687-b99e-052d6244036b","type":"WheelZoomTool"},{"attributes":{},"id":"b198f455-970b-4dc8-968e-2dd8704262d2","type":"ResetTool"},{"attributes":{"overlay":{"id":"29920d4b-979e-4166-b427-7f192bf04369","type":"BoxAnnotation"}},"id":"f3d82659-6905-40f5-add3-6af6cc853e07","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"364d8cff-22cc-4683-9dc2-1d24937cc5db","type":"DataRange1d"},{"attributes":{"formatter":{"id":"b3547684-2afc-4a80-8cf3-d44dc8104261","type":"BasicTickFormatter"},"plot":{"id":"c6dde017-59da-457b-ac77-660b4debd53f","subtype":"Figure","type":"Plot"},"ticker":{"id":"47293eef-4f6b-42fd-bc45-abee202e8569","type":"BasicTicker"}},"id":"40243dd5-a96d-417f-8feb-5a67ba02f51a","type":"LinearAxis"}],"root_ids":["c6dde017-59da-457b-ac77-660b4debd53f"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"adf0866d-4d07-461b-a841-05fe736fcb0c","elementid":"25fff8c7-6221-4896-8d19-742cc0b632fe","modelid":"c6dde017-59da-457b-ac77-660b4debd53f"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
