(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("c7a6d14e-52de-41ac-83bd-f032a640a19c");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'c7a6d14e-52de-41ac-83bd-f032a640a19c' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"ad668070-6c29-4e63-87ad-cf10d7cf7170":{"roots":{"references":[{"attributes":{},"id":"a0a254c8-fbef-4fea-8b85-aa11691c32f8","type":"SaveTool"},{"attributes":{},"id":"2e73645b-1ebd-4ef8-bf18-9a68541c7e82","type":"HelpTool"},{"attributes":{},"id":"15a33978-4697-46b9-b80b-9b6f34ca3b6c","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"abada6b9-757b-4096-af2c-415eb44b2d8f","type":"DataRange1d"},{"attributes":{},"id":"15e7348c-568b-4004-a70e-54dbee6da9bc","type":"LinearScale"},{"attributes":{"callback":null},"id":"33f4b344-e4ad-4332-9e54-4c91a8973ad6","type":"DataRange1d"},{"attributes":{"formatter":{"id":"15a33978-4697-46b9-b80b-9b6f34ca3b6c","type":"BasicTickFormatter"},"plot":{"id":"86427308-8081-47f1-8220-a0f818ce6a91","subtype":"Figure","type":"Plot"},"ticker":{"id":"369053dc-c5bf-460d-963c-872c2b929e24","type":"BasicTicker"}},"id":"bc05bea0-3a7d-498d-a257-de84cccc8797","type":"LinearAxis"},{"attributes":{},"id":"f7126dee-688f-46e7-b633-7aa2a7382adc","type":"ResetTool"},{"attributes":{},"id":"c4e8ceaf-dd3a-406a-b606-b065ecb92ef2","type":"PanTool"},{"attributes":{},"id":"0054299e-8f60-4dbd-838a-c5fbc47e7107","type":"BasicTicker"},{"attributes":{"plot":{"id":"86427308-8081-47f1-8220-a0f818ce6a91","subtype":"Figure","type":"Plot"},"ticker":{"id":"0054299e-8f60-4dbd-838a-c5fbc47e7107","type":"BasicTicker"}},"id":"7275e3e3-af89-4dde-8eb6-e6ce77f11773","type":"Grid"},{"attributes":{"formatter":{"id":"1c8ed857-1a9c-4aa9-b85e-c5fac37e8a78","type":"BasicTickFormatter"},"plot":{"id":"86427308-8081-47f1-8220-a0f818ce6a91","subtype":"Figure","type":"Plot"},"ticker":{"id":"0054299e-8f60-4dbd-838a-c5fbc47e7107","type":"BasicTicker"}},"id":"850bb30b-e907-4dcf-81fe-e6717f7f7951","type":"LinearAxis"},{"attributes":{"overlay":{"id":"53c071fd-7661-4293-ba52-3fc7cf824123","type":"BoxAnnotation"}},"id":"60d47323-36b0-454b-a818-fc70167e57fa","type":"BoxZoomTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c4e8ceaf-dd3a-406a-b606-b065ecb92ef2","type":"PanTool"},{"id":"174fe802-4786-4c6e-8c2c-6e360ae95812","type":"WheelZoomTool"},{"id":"60d47323-36b0-454b-a818-fc70167e57fa","type":"BoxZoomTool"},{"id":"a0a254c8-fbef-4fea-8b85-aa11691c32f8","type":"SaveTool"},{"id":"f7126dee-688f-46e7-b633-7aa2a7382adc","type":"ResetTool"},{"id":"2e73645b-1ebd-4ef8-bf18-9a68541c7e82","type":"HelpTool"}]},"id":"43497ba6-e342-4b82-bd3a-6b34b459d82e","type":"Toolbar"},{"attributes":{"plot":null,"text":""},"id":"4330a0e7-a129-42ec-8d28-f08e103ebec4","type":"Title"},{"attributes":{"data_source":{"id":"a0305a88-1b55-416e-950e-e7a92a6c4aa9","type":"ColumnDataSource"},"glyph":{"id":"fa37a91c-f265-4e7e-b12d-76577e4813fa","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"92edb9e7-7b51-4444-aed1-02763a2b9e68","type":"HBar"},"selection_glyph":null,"view":{"id":"b7c7065c-6a06-4866-9a00-453d89eed547","type":"CDSView"}},"id":"bbabbc64-de58-4d2f-8ccf-23a590889280","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"86427308-8081-47f1-8220-a0f818ce6a91","subtype":"Figure","type":"Plot"},"ticker":{"id":"369053dc-c5bf-460d-963c-872c2b929e24","type":"BasicTicker"}},"id":"c1936a9c-e2c5-493b-89ba-895c7b2b6d7f","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.5},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"field":"right"},"y":{"field":"y"}},"id":"92edb9e7-7b51-4444-aed1-02763a2b9e68","type":"HBar"},{"attributes":{},"id":"369053dc-c5bf-460d-963c-872c2b929e24","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"53c071fd-7661-4293-ba52-3fc7cf824123","type":"BoxAnnotation"},{"attributes":{"source":{"id":"a0305a88-1b55-416e-950e-e7a92a6c4aa9","type":"ColumnDataSource"}},"id":"b7c7065c-6a06-4866-9a00-453d89eed547","type":"CDSView"},{"attributes":{"below":[{"id":"850bb30b-e907-4dcf-81fe-e6717f7f7951","type":"LinearAxis"}],"left":[{"id":"bc05bea0-3a7d-498d-a257-de84cccc8797","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"850bb30b-e907-4dcf-81fe-e6717f7f7951","type":"LinearAxis"},{"id":"7275e3e3-af89-4dde-8eb6-e6ce77f11773","type":"Grid"},{"id":"bc05bea0-3a7d-498d-a257-de84cccc8797","type":"LinearAxis"},{"id":"c1936a9c-e2c5-493b-89ba-895c7b2b6d7f","type":"Grid"},{"id":"53c071fd-7661-4293-ba52-3fc7cf824123","type":"BoxAnnotation"},{"id":"bbabbc64-de58-4d2f-8ccf-23a590889280","type":"GlyphRenderer"}],"title":{"id":"4330a0e7-a129-42ec-8d28-f08e103ebec4","type":"Title"},"toolbar":{"id":"43497ba6-e342-4b82-bd3a-6b34b459d82e","type":"Toolbar"},"x_range":{"id":"abada6b9-757b-4096-af2c-415eb44b2d8f","type":"DataRange1d"},"x_scale":{"id":"1e4626c3-6091-4b8b-844c-7498b2774874","type":"LinearScale"},"y_range":{"id":"33f4b344-e4ad-4332-9e54-4c91a8973ad6","type":"DataRange1d"},"y_scale":{"id":"15e7348c-568b-4004-a70e-54dbee6da9bc","type":"LinearScale"}},"id":"86427308-8081-47f1-8220-a0f818ce6a91","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"column_names":["y","right"],"data":{"right":[1,2,3],"y":[1,2,3]}},"id":"a0305a88-1b55-416e-950e-e7a92a6c4aa9","type":"ColumnDataSource"},{"attributes":{},"id":"174fe802-4786-4c6e-8c2c-6e360ae95812","type":"WheelZoomTool"},{"attributes":{"fill_color":{"value":"#CAB2D6"},"height":{"value":0.5},"line_color":{"value":"#CAB2D6"},"right":{"field":"right"},"y":{"field":"y"}},"id":"fa37a91c-f265-4e7e-b12d-76577e4813fa","type":"HBar"},{"attributes":{},"id":"1c8ed857-1a9c-4aa9-b85e-c5fac37e8a78","type":"BasicTickFormatter"},{"attributes":{},"id":"1e4626c3-6091-4b8b-844c-7498b2774874","type":"LinearScale"}],"root_ids":["86427308-8081-47f1-8220-a0f818ce6a91"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"ad668070-6c29-4e63-87ad-cf10d7cf7170","elementid":"c7a6d14e-52de-41ac-83bd-f032a640a19c","modelid":"86427308-8081-47f1-8220-a0f818ce6a91"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
