(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("76dc43e2-5d9d-4473-bb71-b3cd07191381");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '76dc43e2-5d9d-4473-bb71-b3cd07191381' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"170e744d-e9fc-456d-9c57-131bb6fb31a6":{"roots":{"references":[{"attributes":{"below":[{"id":"c01fc896-ca7f-438c-ad86-f81eeb19e93b","type":"LinearAxis"}],"left":[{"id":"02398078-3478-4157-afa8-3e30758f9392","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"c01fc896-ca7f-438c-ad86-f81eeb19e93b","type":"LinearAxis"},{"id":"65bb87ca-c523-47a4-9ade-02921dec7ea7","type":"Grid"},{"id":"02398078-3478-4157-afa8-3e30758f9392","type":"LinearAxis"},{"id":"cae2ecef-6728-44a8-bf28-773ee91067d5","type":"Grid"},{"id":"5b575f27-215f-4ec6-8aaf-6f30f1e275f5","type":"BoxAnnotation"},{"id":"a39ca8b0-b17b-4a0d-8d25-d4044f6f6a15","type":"GlyphRenderer"}],"title":{"id":"6241e816-2e1d-455f-a9f6-433997dfc1b3","type":"Title"},"toolbar":{"id":"c5003caa-0b15-41d8-8180-11ed24c28a1f","type":"Toolbar"},"x_range":{"id":"6be83e2a-60f6-48f5-8b29-32e4e5de3c21","type":"DataRange1d"},"x_scale":{"id":"f2a288a5-b9d7-4eb9-809b-fe87eb4c26e5","type":"LinearScale"},"y_range":{"id":"613f1eed-0303-4b37-9845-dd2ded3d60ce","type":"DataRange1d"},"y_scale":{"id":"cc717cfb-0a5c-471e-8d86-223187e63e00","type":"LinearScale"}},"id":"fa168a69-d7bb-4650-87ff-845065552115","subtype":"Figure","type":"Plot"},{"attributes":{"data_source":{"id":"2af98bec-7138-4f52-98ff-13db7f317e74","type":"ColumnDataSource"},"glyph":{"id":"4ca4b3be-78bd-427b-8d70-a990ed054385","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ca54e947-2f6c-4fe3-b256-c6053b5b76a2","type":"Circle"},"selection_glyph":null,"view":{"id":"1f9ec507-919c-499a-b8d0-2987f020df27","type":"CDSView"}},"id":"a39ca8b0-b17b-4a0d-8d25-d4044f6f6a15","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"d85d8715-13a4-424a-858d-deb12dfea909","type":"BasicTickFormatter"},"plot":{"id":"fa168a69-d7bb-4650-87ff-845065552115","subtype":"Figure","type":"Plot"},"ticker":{"id":"d7ee6634-1f31-4a8e-a53c-3eed1de135a9","type":"BasicTicker"}},"id":"c01fc896-ca7f-438c-ad86-f81eeb19e93b","type":"LinearAxis"},{"attributes":{"overlay":{"id":"5b575f27-215f-4ec6-8aaf-6f30f1e275f5","type":"BoxAnnotation"}},"id":"87da8212-23f1-457e-9fef-b1598d945ca9","type":"BoxZoomTool"},{"attributes":{},"id":"4d7898f3-4bc8-45f8-90ca-3eb5809aaf4a","type":"BasicTicker"},{"attributes":{"source":{"id":"2af98bec-7138-4f52-98ff-13db7f317e74","type":"ColumnDataSource"}},"id":"1f9ec507-919c-499a-b8d0-2987f020df27","type":"CDSView"},{"attributes":{},"id":"cc717cfb-0a5c-471e-8d86-223187e63e00","type":"LinearScale"},{"attributes":{"plot":{"id":"fa168a69-d7bb-4650-87ff-845065552115","subtype":"Figure","type":"Plot"},"ticker":{"id":"d7ee6634-1f31-4a8e-a53c-3eed1de135a9","type":"BasicTicker"}},"id":"65bb87ca-c523-47a4-9ade-02921dec7ea7","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"5361604c-1952-450d-b531-1ad302032aa7","type":"PanTool"},{"id":"dbb6e074-6b19-4da5-a6e0-d271dcd65f79","type":"WheelZoomTool"},{"id":"87da8212-23f1-457e-9fef-b1598d945ca9","type":"BoxZoomTool"},{"id":"b7b0ddfd-b0ae-4588-93d0-6ff6d61a8d9a","type":"SaveTool"},{"id":"fff576a1-5ed0-4c57-8b5a-c5a701f821e0","type":"ResetTool"},{"id":"d9e18c87-ab11-47d4-a266-55069f2b7cae","type":"HelpTool"}]},"id":"c5003caa-0b15-41d8-8180-11ed24c28a1f","type":"Toolbar"},{"attributes":{},"id":"dbb6e074-6b19-4da5-a6e0-d271dcd65f79","type":"WheelZoomTool"},{"attributes":{"plot":null,"text":"Basic Title"},"id":"6241e816-2e1d-455f-a9f6-433997dfc1b3","type":"Title"},{"attributes":{},"id":"13b49625-9de4-4a1e-81a6-21d968b91a80","type":"BasicTickFormatter"},{"attributes":{},"id":"5361604c-1952-450d-b531-1ad302032aa7","type":"PanTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2],"y":[3,4]}},"id":"2af98bec-7138-4f52-98ff-13db7f317e74","type":"ColumnDataSource"},{"attributes":{},"id":"d9e18c87-ab11-47d4-a266-55069f2b7cae","type":"HelpTool"},{"attributes":{},"id":"fff576a1-5ed0-4c57-8b5a-c5a701f821e0","type":"ResetTool"},{"attributes":{"formatter":{"id":"13b49625-9de4-4a1e-81a6-21d968b91a80","type":"BasicTickFormatter"},"plot":{"id":"fa168a69-d7bb-4650-87ff-845065552115","subtype":"Figure","type":"Plot"},"ticker":{"id":"4d7898f3-4bc8-45f8-90ca-3eb5809aaf4a","type":"BasicTicker"}},"id":"02398078-3478-4157-afa8-3e30758f9392","type":"LinearAxis"},{"attributes":{},"id":"d7ee6634-1f31-4a8e-a53c-3eed1de135a9","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"ca54e947-2f6c-4fe3-b256-c6053b5b76a2","type":"Circle"},{"attributes":{"callback":null},"id":"6be83e2a-60f6-48f5-8b29-32e4e5de3c21","type":"DataRange1d"},{"attributes":{"callback":null},"id":"613f1eed-0303-4b37-9845-dd2ded3d60ce","type":"DataRange1d"},{"attributes":{},"id":"b7b0ddfd-b0ae-4588-93d0-6ff6d61a8d9a","type":"SaveTool"},{"attributes":{"dimension":1,"plot":{"id":"fa168a69-d7bb-4650-87ff-845065552115","subtype":"Figure","type":"Plot"},"ticker":{"id":"4d7898f3-4bc8-45f8-90ca-3eb5809aaf4a","type":"BasicTicker"}},"id":"cae2ecef-6728-44a8-bf28-773ee91067d5","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"5b575f27-215f-4ec6-8aaf-6f30f1e275f5","type":"BoxAnnotation"},{"attributes":{},"id":"d85d8715-13a4-424a-858d-deb12dfea909","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"4ca4b3be-78bd-427b-8d70-a990ed054385","type":"Circle"},{"attributes":{},"id":"f2a288a5-b9d7-4eb9-809b-fe87eb4c26e5","type":"LinearScale"}],"root_ids":["fa168a69-d7bb-4650-87ff-845065552115"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"170e744d-e9fc-456d-9c57-131bb6fb31a6","elementid":"76dc43e2-5d9d-4473-bb71-b3cd07191381","modelid":"fa168a69-d7bb-4650-87ff-845065552115"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
