(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2f76ae8a-a1bd-4014-96a1-006922c89ab1");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2f76ae8a-a1bd-4014-96a1-006922c89ab1' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"37b8c070-3d29-4a68-83b7-f2bdcd9ce7d9":{"roots":{"references":[{"attributes":{},"id":"d910e6c0-d9a7-4652-8bb3-99bc67f09cdc","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"weight"},"y":{"field":"height"}},"id":"555dd139-6b2a-4bad-93c2-7f27c52838ed","type":"Circle"},{"attributes":{},"id":"41a61a45-38ae-4239-9595-38824c7f171f","type":"PanTool"},{"attributes":{"data_source":{"id":"70564ded-3624-481d-80ed-aaf2d2a3aeb0","type":"ColumnDataSource"},"glyph":{"id":"973e86c3-2702-40dd-b45a-d8da07bf8eb2","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"555dd139-6b2a-4bad-93c2-7f27c52838ed","type":"Circle"},"selection_glyph":null,"view":{"id":"03acd13b-6772-4384-a029-fa8a7bf15534","type":"CDSView"}},"id":"bdbd00fc-59bd-4db4-8930-4bc9c2ee7cea","type":"GlyphRenderer"},{"attributes":{"callback":null,"end":275,"start":140},"id":"26c13b9c-2127-48a4-af67-77fcc611386d","type":"Range1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"b6bc0343-4fe6-4733-813e-b8535e62d797","type":"BoxAnnotation"},{"attributes":{},"id":"e8d95668-577c-42f3-b3a0-0affe18983da","type":"ResetTool"},{"attributes":{},"id":"b65b0d06-59f2-416a-9144-5ae57877013f","type":"WheelZoomTool"},{"attributes":{"axis_label":"Height (in)","formatter":{"id":"753513fe-a4b2-41b0-8a29-d2df0492cca5","type":"BasicTickFormatter"},"plot":{"id":"182d2060-53f4-4d64-8feb-21c4e532d104","subtype":"Figure","type":"Plot"},"ticker":{"id":"0bcc6c17-6ab5-47a8-b71e-0e7bb3832aff","type":"BasicTicker"}},"id":"6890ee30-5135-4d2c-90b9-0acf5b28fec3","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"weight"},"y":{"field":"height"}},"id":"973e86c3-2702-40dd-b45a-d8da07bf8eb2","type":"Circle"},{"attributes":{"plot":{"id":"182d2060-53f4-4d64-8feb-21c4e532d104","subtype":"Figure","type":"Plot"},"ticker":{"id":"d910e6c0-d9a7-4652-8bb3-99bc67f09cdc","type":"BasicTicker"}},"id":"5032ab8f-d76f-4a74-850d-f04d2018421e","type":"Grid"},{"attributes":{"callback":null,"column_names":["names","weight","height"],"data":{"height":[66,71,72,68,58,62],"names":["Mark","Amir","Matt","Greg","Owen","Juan"],"weight":[165,189,220,141,260,174]}},"id":"70564ded-3624-481d-80ed-aaf2d2a3aeb0","type":"ColumnDataSource"},{"attributes":{},"id":"753513fe-a4b2-41b0-8a29-d2df0492cca5","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":"Dist. of 10th Grade Students at Lee High"},"id":"db0db2e5-653e-423d-b836-b207381e2f1e","type":"Title"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"41a61a45-38ae-4239-9595-38824c7f171f","type":"PanTool"},{"id":"b65b0d06-59f2-416a-9144-5ae57877013f","type":"WheelZoomTool"},{"id":"0a4da6e9-9062-45e3-aad0-6f922852bd26","type":"BoxZoomTool"},{"id":"752c75f6-85a5-46cf-9b34-23508ce8f00b","type":"SaveTool"},{"id":"e8d95668-577c-42f3-b3a0-0affe18983da","type":"ResetTool"},{"id":"bde7bd81-a181-4bd9-8260-e79d376e6457","type":"HelpTool"}]},"id":"3a8725d1-b256-452f-846e-7d14773309fb","type":"Toolbar"},{"attributes":{},"id":"48a89489-031f-44c2-a2eb-0db21d7ca3f2","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"e7be52ae-f777-4548-b1c7-21b3e5e64d6a","type":"DataRange1d"},{"attributes":{"axis_label":"Weight (lbs)","formatter":{"id":"48a89489-031f-44c2-a2eb-0db21d7ca3f2","type":"BasicTickFormatter"},"plot":{"id":"182d2060-53f4-4d64-8feb-21c4e532d104","subtype":"Figure","type":"Plot"},"ticker":{"id":"d910e6c0-d9a7-4652-8bb3-99bc67f09cdc","type":"BasicTicker"}},"id":"89e008e8-9da5-4aeb-9a5e-dac6b959ef36","type":"LinearAxis"},{"attributes":{},"id":"0bcc6c17-6ab5-47a8-b71e-0e7bb3832aff","type":"BasicTicker"},{"attributes":{},"id":"bffdb760-6557-4058-8664-cee59ee67010","type":"LinearScale"},{"attributes":{"overlay":{"id":"b6bc0343-4fe6-4733-813e-b8535e62d797","type":"BoxAnnotation"}},"id":"0a4da6e9-9062-45e3-aad0-6f922852bd26","type":"BoxZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"182d2060-53f4-4d64-8feb-21c4e532d104","subtype":"Figure","type":"Plot"},"ticker":{"id":"0bcc6c17-6ab5-47a8-b71e-0e7bb3832aff","type":"BasicTicker"}},"id":"ecb15384-c588-4ed7-bd27-801d6171fc16","type":"Grid"},{"attributes":{},"id":"752c75f6-85a5-46cf-9b34-23508ce8f00b","type":"SaveTool"},{"attributes":{"background_fill_color":{"value":"white"},"border_line_color":{"value":"black"},"plot":{"id":"182d2060-53f4-4d64-8feb-21c4e532d104","subtype":"Figure","type":"Plot"},"render_mode":"css","text":"Collected by Luke C. 2016-04-01","x":70,"x_units":"screen","y":70,"y_units":"screen"},"id":"26b8cb80-765c-4abe-b5ca-4f5677eb7486","type":"Label"},{"attributes":{"below":[{"id":"89e008e8-9da5-4aeb-9a5e-dac6b959ef36","type":"LinearAxis"}],"left":[{"id":"6890ee30-5135-4d2c-90b9-0acf5b28fec3","type":"LinearAxis"}],"renderers":[{"id":"89e008e8-9da5-4aeb-9a5e-dac6b959ef36","type":"LinearAxis"},{"id":"5032ab8f-d76f-4a74-850d-f04d2018421e","type":"Grid"},{"id":"6890ee30-5135-4d2c-90b9-0acf5b28fec3","type":"LinearAxis"},{"id":"ecb15384-c588-4ed7-bd27-801d6171fc16","type":"Grid"},{"id":"b6bc0343-4fe6-4733-813e-b8535e62d797","type":"BoxAnnotation"},{"id":"bdbd00fc-59bd-4db4-8930-4bc9c2ee7cea","type":"GlyphRenderer"},{"id":"3c385930-938f-4ef0-9649-c9667562ba51","type":"LabelSet"},{"id":"26b8cb80-765c-4abe-b5ca-4f5677eb7486","type":"Label"}],"title":{"id":"db0db2e5-653e-423d-b836-b207381e2f1e","type":"Title"},"toolbar":{"id":"3a8725d1-b256-452f-846e-7d14773309fb","type":"Toolbar"},"x_range":{"id":"26c13b9c-2127-48a4-af67-77fcc611386d","type":"Range1d"},"x_scale":{"id":"bffdb760-6557-4058-8664-cee59ee67010","type":"LinearScale"},"y_range":{"id":"e7be52ae-f777-4548-b1c7-21b3e5e64d6a","type":"DataRange1d"},"y_scale":{"id":"8579e974-335d-4d33-bf50-222133a5475e","type":"LinearScale"}},"id":"182d2060-53f4-4d64-8feb-21c4e532d104","subtype":"Figure","type":"Plot"},{"attributes":{"source":{"id":"70564ded-3624-481d-80ed-aaf2d2a3aeb0","type":"ColumnDataSource"}},"id":"03acd13b-6772-4384-a029-fa8a7bf15534","type":"CDSView"},{"attributes":{},"id":"bde7bd81-a181-4bd9-8260-e79d376e6457","type":"HelpTool"},{"attributes":{},"id":"8579e974-335d-4d33-bf50-222133a5475e","type":"LinearScale"},{"attributes":{"level":"glyph","plot":{"id":"182d2060-53f4-4d64-8feb-21c4e532d104","subtype":"Figure","type":"Plot"},"source":{"id":"70564ded-3624-481d-80ed-aaf2d2a3aeb0","type":"ColumnDataSource"},"text":{"field":"names"},"x":{"field":"weight"},"x_offset":{"value":5},"y":{"field":"height"},"y_offset":{"value":5}},"id":"3c385930-938f-4ef0-9649-c9667562ba51","type":"LabelSet"}],"root_ids":["182d2060-53f4-4d64-8feb-21c4e532d104"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"37b8c070-3d29-4a68-83b7-f2bdcd9ce7d9","elementid":"2f76ae8a-a1bd-4014-96a1-006922c89ab1","modelid":"182d2060-53f4-4d64-8feb-21c4e532d104"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
