(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a09ace56-afa4-4e0f-a00b-977e3f53a1b2");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a09ace56-afa4-4e0f-a00b-977e3f53a1b2' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"4279afb7-ce48-433a-9368-a4c4033fd80c":{"roots":{"references":[{"attributes":{"base":60,"mantissas":[1,2,5,10,15,20,30],"max_interval":1800000.0,"min_interval":1000.0,"num_minor_ticks":0},"id":"a53621b2-bb8f-4c9f-bdfd-71cdf7e25620","type":"AdaptiveTicker"},{"attributes":{"formatter":{"id":"de3f50dd-e1ca-4447-806b-5f6d5749c495","type":"DatetimeTickFormatter"},"plot":{"id":"5352f796-bee8-4cdd-850e-20505aecdc03","subtype":"Figure","type":"Plot"},"ticker":{"id":"05ffbeac-90fe-4eea-ad05-ed2a04be3b44","type":"DatetimeTicker"}},"id":"97d110f4-8480-40fa-bf8e-f855fe15b5b6","type":"DatetimeAxis"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1356998400000.0,1357084800000.0,1357171200000.0,1357257600000.0,1357344000000.0,1357430400000.0,1357516800000.0,1357603200000.0,1357689600000.0,1357776000000.0,1357862400000.0,1357948800000.0,1358035200000.0,1358121600000.0,1358208000000.0,1358294400000.0,1358380800000.0,1358467200000.0,1358553600000.0,1358640000000.0,1358726400000.0,1358812800000.0,1358899200000.0,1358985600000.0,1359072000000.0,1359158400000.0,1359244800000.0,1359331200000.0,1359417600000.0,1359504000000.0,1359590400000.0,1359676800000.0,1359763200000.0,1359849600000.0,1359936000000.0,1360022400000.0,1360108800000.0,1360195200000.0,1360281600000.0,1360368000000.0,1360454400000.0,1360540800000.0,1360627200000.0,1360713600000.0,1360800000000.0,1360886400000.0,1360972800000.0,1361059200000.0,1361145600000.0,1361232000000.0,1361318400000.0,1361404800000.0,1361491200000.0,1361577600000.0,1361664000000.0,1361750400000.0,1361836800000.0,1361923200000.0,1362009600000.0,1362096000000.0,1362182400000.0,1362268800000.0,1362355200000.0,1362441600000.0,1362528000000.0,1362614400000.0,1362700800000.0,1362787200000.0,1362873600000.0,1362960000000.0,1363046400000.0,1363132800000.0,1363219200000.0,1363305600000.0,1363392000000.0,1363478400000.0,1363564800000.0,1363651200000.0,1363737600000.0,1363824000000.0,1363910400000.0,1363996800000.0,1364083200000.0,1364169600000.0,1364256000000.0,1364342400000.0,1364428800000.0,1364515200000.0,1364601600000.0,1364688000000.0,1364774400000.0,1364860800000.0,1364947200000.0,1365033600000.0,1365120000000.0,1365206400000.0,1365292800000.0,1365379200000.0,1365465600000.0,1365552000000.0,1365638400000.0,1365724800000.0,1365811200000.0,1365897600000.0,1365984000000.0,1366070400000.0,1366156800000.0,1366243200000.0,1366329600000.0,1366416000000.0,1366502400000.0,1366588800000.0,1366675200000.0,1366761600000.0,1366848000000.0,1366934400000.0,1367020800000.0,1367107200000.0,1367193600000.0,1367280000000.0,1367366400000.0,1367452800000.0,1367539200000.0,1367625600000.0,1367712000000.0,1367798400000.0,1367884800000.0,1367971200000.0,1368057600000.0,1368144000000.0,1368230400000.0,1368316800000.0,1368403200000.0,1368489600000.0,1368576000000.0,1368662400000.0,1368748800000.0,1368835200000.0,1368921600000.0,1369008000000.0,1369094400000.0,1369180800000.0,1369267200000.0,1369353600000.0,1369440000000.0,1369526400000.0,1369612800000.0,1369699200000.0,1369785600000.0,1369872000000.0,1369958400000.0,1370044800000.0,1370131200000.0,1370217600000.0,1370304000000.0,1370390400000.0,1370476800000.0,1370563200000.0,1370649600000.0,1370736000000.0,1370822400000.0,1370908800000.0,1370995200000.0,1371081600000.0,1371168000000.0,1371254400000.0,1371340800000.0,1371427200000.0,1371513600000.0,1371600000000.0,1371686400000.0,1371772800000.0,1371859200000.0,1371945600000.0,1372032000000.0,1372118400000.0,1372204800000.0,1372291200000.0,1372377600000.0,1372464000000.0,1372550400000.0,1372636800000.0,1372723200000.0,1372809600000.0,1372896000000.0,1372982400000.0,1373068800000.0,1373155200000.0,1373241600000.0,1373328000000.0,1373414400000.0,1373500800000.0,1373587200000.0,1373673600000.0,1373760000000.0,1373846400000.0,1373932800000.0,1374019200000.0,1374105600000.0,1374192000000.0,1374278400000.0,1374364800000.0,1374451200000.0,1374537600000.0,1374624000000.0,1374710400000.0,1374796800000.0,1374883200000.0,1374969600000.0,1375056000000.0,1375142400000.0,1375228800000.0,1375315200000.0,1375401600000.0,1375488000000.0,1375574400000.0,1375660800000.0,1375747200000.0,1375833600000.0,1375920000000.0,1376006400000.0,1376092800000.0,1376179200000.0,1376265600000.0,1376352000000.0,1376438400000.0,1376524800000.0,1376611200000.0,1376697600000.0,1376784000000.0,1376870400000.0,1376956800000.0,1377043200000.0,1377129600000.0,1377216000000.0,1377302400000.0,1377388800000.0,1377475200000.0,1377561600000.0,1377648000000.0,1377734400000.0,1377820800000.0,1377907200000.0,1377993600000.0,1378080000000.0,1378166400000.0,1378252800000.0,1378339200000.0,1378425600000.0,1378512000000.0,1378598400000.0,1378684800000.0,1378771200000.0,1378857600000.0,1378944000000.0,1379030400000.0,1379116800000.0,1379203200000.0,1379289600000.0,1379376000000.0,1379462400000.0,1379548800000.0,1379635200000.0,1379721600000.0,1379808000000.0,1379894400000.0,1379980800000.0,1380067200000.0,1380153600000.0,1380240000000.0,1380326400000.0,1380412800000.0,1380499200000.0,1380585600000.0,1380672000000.0,1380758400000.0,1380844800000.0,1380931200000.0,1381017600000.0,1381104000000.0,1381190400000.0,1381276800000.0,1381363200000.0,1381449600000.0,1381536000000.0,1381622400000.0,1381708800000.0,1381795200000.0,1381881600000.0,1381968000000.0,1382054400000.0,1382140800000.0,1382227200000.0,1382313600000.0,1382400000000.0,1382486400000.0,1382572800000.0,1382659200000.0,1382745600000.0,1382832000000.0,1382918400000.0,1383004800000.0,1383091200000.0,1383177600000.0,1383264000000.0,1383350400000.0,1383436800000.0,1383523200000.0,1383609600000.0,1383696000000.0,1383782400000.0,1383868800000.0,1383955200000.0,1384041600000.0,1384128000000.0,1384214400000.0,1384300800000.0,1384387200000.0,1384473600000.0,1384560000000.0,1384646400000.0,1384732800000.0,1384819200000.0,1384905600000.0,1384992000000.0,1385078400000.0,1385164800000.0,1385251200000.0,1385337600000.0,1385424000000.0,1385510400000.0,1385596800000.0,1385683200000.0,1385769600000.0,1385856000000.0,1385942400000.0,1386028800000.0,1386115200000.0,1386201600000.0,1386288000000.0,1386374400000.0,1386460800000.0,1386547200000.0,1386633600000.0,1386720000000.0,1386806400000.0,1386892800000.0,1386979200000.0,1387065600000.0,1387152000000.0,1387238400000.0,1387324800000.0,1387411200000.0,1387497600000.0,1387584000000.0,1387670400000.0,1387756800000.0,1387843200000.0,1387929600000.0,1388016000000.0,1388102400000.0,1388188800000.0,1388275200000.0,1388361600000.0,1388448000000.0],"y":[56040000.0,56100000.0,56160000.0,56220000.0,56280000.0,56340000.0,56460000.0,56520000.0,56580000.0,56700000.0,56760000.0,56880000.0,56940000.0,57060000.0,57120000.0,57240000.0,57360000.0,57420000.0,57540000.0,57660000.0,57720000.0,57840000.0,57960000.0,58020000.0,58140000.0,58260000.0,58380000.0,58500000.0,58560000.0,58680000.0,58800000.0,58920000.0,59040000.0,59160000.0,59280000.0,59400000.0,59460000.0,59580000.0,59700000.0,59820000.0,59940000.0,60060000.0,60180000.0,60300000.0,60360000.0,60480000.0,60600000.0,60720000.0,60840000.0,60960000.0,61080000.0,61200000.0,61260000.0,61380000.0,61500000.0,61620000.0,61740000.0,61860000.0,61920000.0,62040000.0,62160000.0,62280000.0,62400000.0,62460000.0,62580000.0,62700000.0,62820000.0,62940000.0,63000000.0,63120000.0,63240000.0,63360000.0,63480000.0,63540000.0,63660000.0,63780000.0,63900000.0,63960000.0,64080000.0,64200000.0,64320000.0,64380000.0,64500000.0,64620000.0,64680000.0,64800000.0,64920000.0,65040000.0,65100000.0,68820000.0,68940000.0,69060000.0,69120000.0,69240000.0,69360000.0,69420000.0,69540000.0,69660000.0,69780000.0,69840000.0,69960000.0,70080000.0,70200000.0,70260000.0,70380000.0,70500000.0,70560000.0,70680000.0,70800000.0,70920000.0,70980000.0,71100000.0,71220000.0,71280000.0,71400000.0,71520000.0,71640000.0,71700000.0,71820000.0,71940000.0,72000000.0,72120000.0,72240000.0,72300000.0,72420000.0,72540000.0,72600000.0,72720000.0,72840000.0,72900000.0,73020000.0,73140000.0,73200000.0,73320000.0,73380000.0,73500000.0,73560000.0,73680000.0,73740000.0,73860000.0,73920000.0,74040000.0,74100000.0,74220000.0,74280000.0,74340000.0,74460000.0,74520000.0,74580000.0,74640000.0,74760000.0,74820000.0,74880000.0,74940000.0,75000000.0,75060000.0,75120000.0,75180000.0,75240000.0,75300000.0,75300000.0,75360000.0,75420000.0,75480000.0,75480000.0,75540000.0,75540000.0,75600000.0,75600000.0,75600000.0,75660000.0,75660000.0,75660000.0,75660000.0,75660000.0,75660000.0,75660000.0,75660000.0,75660000.0,75660000.0,75660000.0,75660000.0,75600000.0,75600000.0,75540000.0,75540000.0,75480000.0,75480000.0,75420000.0,75360000.0,75360000.0,75300000.0,75240000.0,75180000.0,75120000.0,75060000.0,75000000.0,74940000.0,74880000.0,74820000.0,74760000.0,74640000.0,74580000.0,74520000.0,74400000.0,74340000.0,74220000.0,74160000.0,74040000.0,73980000.0,73860000.0,73800000.0,73680000.0,73560000.0,73500000.0,73380000.0,73260000.0,73140000.0,73020000.0,72960000.0,72840000.0,72720000.0,72600000.0,72480000.0,72360000.0,72240000.0,72120000.0,72000000.0,71880000.0,71760000.0,71640000.0,71520000.0,71340000.0,71220000.0,71100000.0,70980000.0,70860000.0,70740000.0,70560000.0,70440000.0,70320000.0,70200000.0,70020000.0,69900000.0,69780000.0,69600000.0,69480000.0,69360000.0,69240000.0,69060000.0,68940000.0,68820000.0,68640000.0,68520000.0,68400000.0,68220000.0,68100000.0,67920000.0,67800000.0,67680000.0,67500000.0,67380000.0,67260000.0,67080000.0,66960000.0,66840000.0,66660000.0,66540000.0,66420000.0,66240000.0,66120000.0,65940000.0,65820000.0,65700000.0,65520000.0,65400000.0,65280000.0,65160000.0,64980000.0,64860000.0,64740000.0,64560000.0,64440000.0,64320000.0,64200000.0,64020000.0,63900000.0,63780000.0,63660000.0,63540000.0,63360000.0,63240000.0,63120000.0,63000000.0,62880000.0,62760000.0,62640000.0,62520000.0,62400000.0,58680000.0,58560000.0,58440000.0,58320000.0,58200000.0,58080000.0,57960000.0,57840000.0,57780000.0,57660000.0,57540000.0,57420000.0,57360000.0,57240000.0,57120000.0,57060000.0,56940000.0,56880000.0,56760000.0,56700000.0,56580000.0,56520000.0,56460000.0,56340000.0,56280000.0,56220000.0,56160000.0,56100000.0,56040000.0,55980000.0,55920000.0,55860000.0,55800000.0,55740000.0,55680000.0,55620000.0,55620000.0,55560000.0,55560000.0,55500000.0,55500000.0,55440000.0,55440000.0,55440000.0,55380000.0,55380000.0,55380000.0,55380000.0,55380000.0,55380000.0,55380000.0,55440000.0,55440000.0,55440000.0,55440000.0,55500000.0,55500000.0,55560000.0,55620000.0,55620000.0,55680000.0,55740000.0,55740000.0,55800000.0,55860000.0,55920000.0]}},"id":"d5a7e1fa-fc57-4783-aeae-45b341e05221","type":"ColumnDataSource"},{"attributes":{"days":[1,4,7,10,13,16,19,22,25,28]},"id":"2075f5b0-b606-481a-9077-8f8faf563920","type":"DaysTicker"},{"attributes":{"months":[0,2,4,6,8,10]},"id":"13bea1dd-9925-48e9-b70e-285c79cd91d2","type":"MonthsTicker"},{"attributes":{"plot":{"id":"5352f796-bee8-4cdd-850e-20505aecdc03","subtype":"Figure","type":"Plot"},"ticker":{"id":"05ffbeac-90fe-4eea-ad05-ed2a04be3b44","type":"DatetimeTicker"}},"id":"2c6fbac5-71af-4055-b224-5ab597fde846","type":"Grid"},{"attributes":{},"id":"de3f50dd-e1ca-4447-806b-5f6d5749c495","type":"DatetimeTickFormatter"},{"attributes":{"days":[1,8,15,22]},"id":"28e7fa23-e9e1-494e-a6e7-af6857f3cb96","type":"DaysTicker"},{"attributes":{"plot":null,"text":"2013 Sunrise and Sunset times in Warsaw"},"id":"7896110d-1559-429c-ae66-c779fe538715","type":"Title"},{"attributes":{"source":{"id":"d5a7e1fa-fc57-4783-aeae-45b341e05221","type":"ColumnDataSource"}},"id":"5e57a9fe-b261-43f7-9fa5-36ac3fac9e7c","type":"CDSView"},{"attributes":{},"id":"d026962e-426a-4e61-9366-7b71bb696e60","type":"WheelZoomTool"},{"attributes":{"months":[0,1,2,3,4,5,6,7,8,9,10,11]},"id":"982a27dc-eac5-4e15-ba47-7a134b06b8b1","type":"MonthsTicker"},{"attributes":{"base":24,"mantissas":[1,2,4,6,8,12],"max_interval":43200000.0,"min_interval":3600000.0,"num_minor_ticks":0},"id":"7e8bf5e2-2430-414c-80c0-340d35abe8bf","type":"AdaptiveTicker"},{"attributes":{"dimension":1,"plot":{"id":"5352f796-bee8-4cdd-850e-20505aecdc03","subtype":"Figure","type":"Plot"},"ticker":{"id":"baa2cf41-b6c4-4a10-9eef-313a18de7326","type":"DatetimeTicker"}},"id":"51c0742c-a959-498f-9be6-4744bb4e7ffb","type":"Grid"},{"attributes":{"base":24,"mantissas":[1,2,4,6,8,12],"max_interval":43200000.0,"min_interval":3600000.0,"num_minor_ticks":0},"id":"8bf81008-3e6e-4914-9aeb-6abeea2c334b","type":"AdaptiveTicker"},{"attributes":{"days":[1,15]},"id":"724344d3-f1fc-4fed-ad77-5075ffca5a2c","type":"DaysTicker"},{"attributes":{},"id":"9c0602b0-2bf6-4348-9614-3dc92c1134cc","type":"DatetimeTickFormatter"},{"attributes":{"below":[{"id":"97d110f4-8480-40fa-bf8e-f855fe15b5b6","type":"DatetimeAxis"}],"left":[{"id":"ec8b931e-f4c7-4dc4-a625-335d7d753d53","type":"DatetimeAxis"}],"renderers":[{"id":"97d110f4-8480-40fa-bf8e-f855fe15b5b6","type":"DatetimeAxis"},{"id":"2c6fbac5-71af-4055-b224-5ab597fde846","type":"Grid"},{"id":"ec8b931e-f4c7-4dc4-a625-335d7d753d53","type":"DatetimeAxis"},{"id":"51c0742c-a959-498f-9be6-4744bb4e7ffb","type":"Grid"},{"id":"861f1719-c235-4c23-bff3-165a1659bfb6","type":"BoxAnnotation"},{"id":"eca7d6b2-023a-4107-a8d4-13733901cb97","type":"Legend"},{"id":"f6681b5f-eda9-48f3-939c-4ff506a49ef6","type":"GlyphRenderer"},{"id":"3fa99a2d-2de4-4619-af4c-1e6102587452","type":"GlyphRenderer"},{"id":"67c14a0b-bf73-4f7c-bb6c-e319f90e36c6","type":"Span"},{"id":"a14c36cc-47ad-49e9-a5d6-47c5274a73e0","type":"Span"}],"title":{"id":"7896110d-1559-429c-ae66-c779fe538715","type":"Title"},"toolbar":{"id":"b844ee77-9a0d-48f0-b173-9619182c1abb","type":"Toolbar"},"x_range":{"id":"38180113-ad82-4bcc-add5-ccc6551ddea9","type":"DataRange1d"},"x_scale":{"id":"9f6a15c8-568b-4659-8211-03053963a11e","type":"LinearScale"},"y_range":{"id":"b76e6d81-bc93-426f-b970-99c565d4de43","type":"DataRange1d"},"y_scale":{"id":"176314cd-12ad-4331-9d07-6142feab4954","type":"LinearScale"}},"id":"5352f796-bee8-4cdd-850e-20505aecdc03","subtype":"Figure","type":"Plot"},{"attributes":{"months":[0,4,8]},"id":"4d393c7b-70a7-4a30-a14f-1f88b6ddc98c","type":"MonthsTicker"},{"attributes":{},"id":"ce2d8451-064f-429a-8c9e-ef72e49f3ad6","type":"YearsTicker"},{"attributes":{"items":[{"id":"71f2f09e-2c1f-4af2-a901-43adc3bc9b31","type":"LegendItem"},{"id":"376bac32-1ad7-4394-b6b3-19f28e1e8a4a","type":"LegendItem"}],"plot":{"id":"5352f796-bee8-4cdd-850e-20505aecdc03","subtype":"Figure","type":"Plot"}},"id":"eca7d6b2-023a-4107-a8d4-13733901cb97","type":"Legend"},{"attributes":{"label":{"value":"Sunset"},"renderers":[{"id":"f6681b5f-eda9-48f3-939c-4ff506a49ef6","type":"GlyphRenderer"}]},"id":"71f2f09e-2c1f-4af2-a901-43adc3bc9b31","type":"LegendItem"},{"attributes":{"dimension":"height","line_color":{"value":"green"},"line_dash":[6],"line_width":{"value":3},"location":1364713200000.0,"plot":{"id":"5352f796-bee8-4cdd-850e-20505aecdc03","subtype":"Figure","type":"Plot"}},"id":"67c14a0b-bf73-4f7c-bb6c-e319f90e36c6","type":"Span"},{"attributes":{"dimension":"height","line_color":{"value":"red"},"line_dash":[6],"line_width":{"value":3},"location":1382860800000.0,"plot":{"id":"5352f796-bee8-4cdd-850e-20505aecdc03","subtype":"Figure","type":"Plot"}},"id":"a14c36cc-47ad-49e9-a5d6-47c5274a73e0","type":"Span"},{"attributes":{"num_minor_ticks":5,"tickers":[{"id":"23f9833e-a455-4b6e-8ff6-81187ee1c69d","type":"AdaptiveTicker"},{"id":"8f204b8a-ea0e-442c-ac05-341b99c1c19a","type":"AdaptiveTicker"},{"id":"8bf81008-3e6e-4914-9aeb-6abeea2c334b","type":"AdaptiveTicker"},{"id":"1b3c7015-353c-4a43-8b82-76647a130fe3","type":"DaysTicker"},{"id":"e4884152-5d8c-4d00-b165-54614baa601c","type":"DaysTicker"},{"id":"ca07d3fd-283d-41f5-880c-9f1a2d463cc2","type":"DaysTicker"},{"id":"61b0ea8f-7230-494e-a969-34f836879e49","type":"DaysTicker"},{"id":"982a27dc-eac5-4e15-ba47-7a134b06b8b1","type":"MonthsTicker"},{"id":"13bea1dd-9925-48e9-b70e-285c79cd91d2","type":"MonthsTicker"},{"id":"fd243195-a950-42b0-ab55-2a6ada3de5e6","type":"MonthsTicker"},{"id":"4283ed79-ea49-42a7-9b98-b1ce515db690","type":"MonthsTicker"},{"id":"ce2d8451-064f-429a-8c9e-ef72e49f3ad6","type":"YearsTicker"}]},"id":"05ffbeac-90fe-4eea-ad05-ed2a04be3b44","type":"DatetimeTicker"},{"attributes":{"days":[1,4,7,10,13,16,19,22,25,28]},"id":"e4884152-5d8c-4d00-b165-54614baa601c","type":"DaysTicker"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"8cfd216c-c0a8-47da-811a-2a1cb5b2f991","type":"Line"},{"attributes":{"source":{"id":"c1be3751-3e48-43e7-afec-d4d35b671311","type":"ColumnDataSource"}},"id":"b4305af8-1be8-4702-b2df-75ab5f4f7706","type":"CDSView"},{"attributes":{"data_source":{"id":"d5a7e1fa-fc57-4783-aeae-45b341e05221","type":"ColumnDataSource"},"glyph":{"id":"dfef436d-f7ba-4f1c-a4b2-8387d4fdde4a","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"8cfd216c-c0a8-47da-811a-2a1cb5b2f991","type":"Line"},"selection_glyph":null,"view":{"id":"5e57a9fe-b261-43f7-9fa5-36ac3fac9e7c","type":"CDSView"}},"id":"f6681b5f-eda9-48f3-939c-4ff506a49ef6","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"38180113-ad82-4bcc-add5-ccc6551ddea9","type":"DataRange1d"},{"attributes":{},"id":"d247c499-a5e8-4a8a-a0ea-b098c7f59a6d","type":"ResetTool"},{"attributes":{"mantissas":[1,2,5],"max_interval":500.0,"num_minor_ticks":0},"id":"23f9833e-a455-4b6e-8ff6-81187ee1c69d","type":"AdaptiveTicker"},{"attributes":{"days":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31]},"id":"1b3c7015-353c-4a43-8b82-76647a130fe3","type":"DaysTicker"},{"attributes":{"overlay":{"id":"861f1719-c235-4c23-bff3-165a1659bfb6","type":"BoxAnnotation"}},"id":"0beacb04-d394-47dd-bdc9-a7ef7a0c8074","type":"BoxZoomTool"},{"attributes":{},"id":"176314cd-12ad-4331-9d07-6142feab4954","type":"LinearScale"},{"attributes":{"base":60,"mantissas":[1,2,5,10,15,20,30],"max_interval":1800000.0,"min_interval":1000.0,"num_minor_ticks":0},"id":"8f204b8a-ea0e-442c-ac05-341b99c1c19a","type":"AdaptiveTicker"},{"attributes":{"axis_label":"Time of Day","formatter":{"id":"9c0602b0-2bf6-4348-9614-3dc92c1134cc","type":"DatetimeTickFormatter"},"plot":{"id":"5352f796-bee8-4cdd-850e-20505aecdc03","subtype":"Figure","type":"Plot"},"ticker":{"id":"baa2cf41-b6c4-4a10-9eef-313a18de7326","type":"DatetimeTicker"}},"id":"ec8b931e-f4c7-4dc4-a625-335d7d753d53","type":"DatetimeAxis"},{"attributes":{},"id":"8e0a8564-8786-4a06-b488-114644d01c12","type":"HelpTool"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_dash":[2,4],"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"59194ade-715a-4bbd-934c-bbae72b8570e","type":"Line"},{"attributes":{"label":{"value":"Sunrise"},"renderers":[{"id":"3fa99a2d-2de4-4619-af4c-1e6102587452","type":"GlyphRenderer"}]},"id":"376bac32-1ad7-4394-b6b3-19f28e1e8a4a","type":"LegendItem"},{"attributes":{"days":[1,8,15,22]},"id":"ca07d3fd-283d-41f5-880c-9f1a2d463cc2","type":"DaysTicker"},{"attributes":{"months":[0,6]},"id":"9fee684d-b4f9-4b46-9724-b1d0051ced28","type":"MonthsTicker"},{"attributes":{"months":[0,1,2,3,4,5,6,7,8,9,10,11]},"id":"6343766b-ad8e-4e88-a476-e7dbdef89a51","type":"MonthsTicker"},{"attributes":{"callback":null},"id":"b76e6d81-bc93-426f-b970-99c565d4de43","type":"DataRange1d"},{"attributes":{"months":[0,6]},"id":"4283ed79-ea49-42a7-9b98-b1ce515db690","type":"MonthsTicker"},{"attributes":{},"id":"9f6a15c8-568b-4659-8211-03053963a11e","type":"LinearScale"},{"attributes":{},"id":"bdd3f1ae-26af-4f2e-bd85-d79a8d46483c","type":"SaveTool"},{"attributes":{"months":[0,4,8]},"id":"fd243195-a950-42b0-ab55-2a6ada3de5e6","type":"MonthsTicker"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_dash":[2,4],"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"c2d7551d-989b-43e3-9b1d-bffbeb42e4f0","type":"Line"},{"attributes":{},"id":"8bd953d6-cf6a-42c8-933f-bfcad0d016d8","type":"PanTool"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"dfef436d-f7ba-4f1c-a4b2-8387d4fdde4a","type":"Line"},{"attributes":{"mantissas":[1,2,5],"max_interval":500.0,"num_minor_ticks":0},"id":"65413d35-89e0-453f-8417-039313339a5f","type":"AdaptiveTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"8bd953d6-cf6a-42c8-933f-bfcad0d016d8","type":"PanTool"},{"id":"d026962e-426a-4e61-9366-7b71bb696e60","type":"WheelZoomTool"},{"id":"0beacb04-d394-47dd-bdc9-a7ef7a0c8074","type":"BoxZoomTool"},{"id":"bdd3f1ae-26af-4f2e-bd85-d79a8d46483c","type":"SaveTool"},{"id":"d247c499-a5e8-4a8a-a0ea-b098c7f59a6d","type":"ResetTool"},{"id":"8e0a8564-8786-4a06-b488-114644d01c12","type":"HelpTool"}]},"id":"b844ee77-9a0d-48f0-b173-9619182c1abb","type":"Toolbar"},{"attributes":{},"id":"1111bc00-9f99-479c-96ca-3177cc5521cb","type":"YearsTicker"},{"attributes":{"data_source":{"id":"c1be3751-3e48-43e7-afec-d4d35b671311","type":"ColumnDataSource"},"glyph":{"id":"c2d7551d-989b-43e3-9b1d-bffbeb42e4f0","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"59194ade-715a-4bbd-934c-bbae72b8570e","type":"Line"},"selection_glyph":null,"view":{"id":"b4305af8-1be8-4702-b2df-75ab5f4f7706","type":"CDSView"}},"id":"3fa99a2d-2de4-4619-af4c-1e6102587452","type":"GlyphRenderer"},{"attributes":{"num_minor_ticks":5,"tickers":[{"id":"65413d35-89e0-453f-8417-039313339a5f","type":"AdaptiveTicker"},{"id":"a53621b2-bb8f-4c9f-bdfd-71cdf7e25620","type":"AdaptiveTicker"},{"id":"7e8bf5e2-2430-414c-80c0-340d35abe8bf","type":"AdaptiveTicker"},{"id":"ec192152-818c-4845-90e8-e3d80f8e9a34","type":"DaysTicker"},{"id":"2075f5b0-b606-481a-9077-8f8faf563920","type":"DaysTicker"},{"id":"28e7fa23-e9e1-494e-a6e7-af6857f3cb96","type":"DaysTicker"},{"id":"724344d3-f1fc-4fed-ad77-5075ffca5a2c","type":"DaysTicker"},{"id":"6343766b-ad8e-4e88-a476-e7dbdef89a51","type":"MonthsTicker"},{"id":"32892e4f-153c-43a4-bfb7-ff8387826113","type":"MonthsTicker"},{"id":"4d393c7b-70a7-4a30-a14f-1f88b6ddc98c","type":"MonthsTicker"},{"id":"9fee684d-b4f9-4b46-9724-b1d0051ced28","type":"MonthsTicker"},{"id":"1111bc00-9f99-479c-96ca-3177cc5521cb","type":"YearsTicker"}]},"id":"baa2cf41-b6c4-4a10-9eef-313a18de7326","type":"DatetimeTicker"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1356998400000.0,1357084800000.0,1357171200000.0,1357257600000.0,1357344000000.0,1357430400000.0,1357516800000.0,1357603200000.0,1357689600000.0,1357776000000.0,1357862400000.0,1357948800000.0,1358035200000.0,1358121600000.0,1358208000000.0,1358294400000.0,1358380800000.0,1358467200000.0,1358553600000.0,1358640000000.0,1358726400000.0,1358812800000.0,1358899200000.0,1358985600000.0,1359072000000.0,1359158400000.0,1359244800000.0,1359331200000.0,1359417600000.0,1359504000000.0,1359590400000.0,1359676800000.0,1359763200000.0,1359849600000.0,1359936000000.0,1360022400000.0,1360108800000.0,1360195200000.0,1360281600000.0,1360368000000.0,1360454400000.0,1360540800000.0,1360627200000.0,1360713600000.0,1360800000000.0,1360886400000.0,1360972800000.0,1361059200000.0,1361145600000.0,1361232000000.0,1361318400000.0,1361404800000.0,1361491200000.0,1361577600000.0,1361664000000.0,1361750400000.0,1361836800000.0,1361923200000.0,1362009600000.0,1362096000000.0,1362182400000.0,1362268800000.0,1362355200000.0,1362441600000.0,1362528000000.0,1362614400000.0,1362700800000.0,1362787200000.0,1362873600000.0,1362960000000.0,1363046400000.0,1363132800000.0,1363219200000.0,1363305600000.0,1363392000000.0,1363478400000.0,1363564800000.0,1363651200000.0,1363737600000.0,1363824000000.0,1363910400000.0,1363996800000.0,1364083200000.0,1364169600000.0,1364256000000.0,1364342400000.0,1364428800000.0,1364515200000.0,1364601600000.0,1364688000000.0,1364774400000.0,1364860800000.0,1364947200000.0,1365033600000.0,1365120000000.0,1365206400000.0,1365292800000.0,1365379200000.0,1365465600000.0,1365552000000.0,1365638400000.0,1365724800000.0,1365811200000.0,1365897600000.0,1365984000000.0,1366070400000.0,1366156800000.0,1366243200000.0,1366329600000.0,1366416000000.0,1366502400000.0,1366588800000.0,1366675200000.0,1366761600000.0,1366848000000.0,1366934400000.0,1367020800000.0,1367107200000.0,1367193600000.0,1367280000000.0,1367366400000.0,1367452800000.0,1367539200000.0,1367625600000.0,1367712000000.0,1367798400000.0,1367884800000.0,1367971200000.0,1368057600000.0,1368144000000.0,1368230400000.0,1368316800000.0,1368403200000.0,1368489600000.0,1368576000000.0,1368662400000.0,1368748800000.0,1368835200000.0,1368921600000.0,1369008000000.0,1369094400000.0,1369180800000.0,1369267200000.0,1369353600000.0,1369440000000.0,1369526400000.0,1369612800000.0,1369699200000.0,1369785600000.0,1369872000000.0,1369958400000.0,1370044800000.0,1370131200000.0,1370217600000.0,1370304000000.0,1370390400000.0,1370476800000.0,1370563200000.0,1370649600000.0,1370736000000.0,1370822400000.0,1370908800000.0,1370995200000.0,1371081600000.0,1371168000000.0,1371254400000.0,1371340800000.0,1371427200000.0,1371513600000.0,1371600000000.0,1371686400000.0,1371772800000.0,1371859200000.0,1371945600000.0,1372032000000.0,1372118400000.0,1372204800000.0,1372291200000.0,1372377600000.0,1372464000000.0,1372550400000.0,1372636800000.0,1372723200000.0,1372809600000.0,1372896000000.0,1372982400000.0,1373068800000.0,1373155200000.0,1373241600000.0,1373328000000.0,1373414400000.0,1373500800000.0,1373587200000.0,1373673600000.0,1373760000000.0,1373846400000.0,1373932800000.0,1374019200000.0,1374105600000.0,1374192000000.0,1374278400000.0,1374364800000.0,1374451200000.0,1374537600000.0,1374624000000.0,1374710400000.0,1374796800000.0,1374883200000.0,1374969600000.0,1375056000000.0,1375142400000.0,1375228800000.0,1375315200000.0,1375401600000.0,1375488000000.0,1375574400000.0,1375660800000.0,1375747200000.0,1375833600000.0,1375920000000.0,1376006400000.0,1376092800000.0,1376179200000.0,1376265600000.0,1376352000000.0,1376438400000.0,1376524800000.0,1376611200000.0,1376697600000.0,1376784000000.0,1376870400000.0,1376956800000.0,1377043200000.0,1377129600000.0,1377216000000.0,1377302400000.0,1377388800000.0,1377475200000.0,1377561600000.0,1377648000000.0,1377734400000.0,1377820800000.0,1377907200000.0,1377993600000.0,1378080000000.0,1378166400000.0,1378252800000.0,1378339200000.0,1378425600000.0,1378512000000.0,1378598400000.0,1378684800000.0,1378771200000.0,1378857600000.0,1378944000000.0,1379030400000.0,1379116800000.0,1379203200000.0,1379289600000.0,1379376000000.0,1379462400000.0,1379548800000.0,1379635200000.0,1379721600000.0,1379808000000.0,1379894400000.0,1379980800000.0,1380067200000.0,1380153600000.0,1380240000000.0,1380326400000.0,1380412800000.0,1380499200000.0,1380585600000.0,1380672000000.0,1380758400000.0,1380844800000.0,1380931200000.0,1381017600000.0,1381104000000.0,1381190400000.0,1381276800000.0,1381363200000.0,1381449600000.0,1381536000000.0,1381622400000.0,1381708800000.0,1381795200000.0,1381881600000.0,1381968000000.0,1382054400000.0,1382140800000.0,1382227200000.0,1382313600000.0,1382400000000.0,1382486400000.0,1382572800000.0,1382659200000.0,1382745600000.0,1382832000000.0,1382918400000.0,1383004800000.0,1383091200000.0,1383177600000.0,1383264000000.0,1383350400000.0,1383436800000.0,1383523200000.0,1383609600000.0,1383696000000.0,1383782400000.0,1383868800000.0,1383955200000.0,1384041600000.0,1384128000000.0,1384214400000.0,1384300800000.0,1384387200000.0,1384473600000.0,1384560000000.0,1384646400000.0,1384732800000.0,1384819200000.0,1384905600000.0,1384992000000.0,1385078400000.0,1385164800000.0,1385251200000.0,1385337600000.0,1385424000000.0,1385510400000.0,1385596800000.0,1385683200000.0,1385769600000.0,1385856000000.0,1385942400000.0,1386028800000.0,1386115200000.0,1386201600000.0,1386288000000.0,1386374400000.0,1386460800000.0,1386547200000.0,1386633600000.0,1386720000000.0,1386806400000.0,1386892800000.0,1386979200000.0,1387065600000.0,1387152000000.0,1387238400000.0,1387324800000.0,1387411200000.0,1387497600000.0,1387584000000.0,1387670400000.0,1387756800000.0,1387843200000.0,1387929600000.0,1388016000000.0,1388102400000.0,1388188800000.0,1388275200000.0,1388361600000.0,1388448000000.0],"y":[27900000.0,27900000.0,27900000.0,27900000.0,27840000.0,27840000.0,27840000.0,27780000.0,27780000.0,27720000.0,27660000.0,27660000.0,27600000.0,27540000.0,27480000.0,27420000.0,27360000.0,27300000.0,27240000.0,27180000.0,27120000.0,27060000.0,27000000.0,26880000.0,26820000.0,26760000.0,26640000.0,26580000.0,26520000.0,26400000.0,26340000.0,26220000.0,26100000.0,26040000.0,25920000.0,25800000.0,25740000.0,25620000.0,25500000.0,25380000.0,25260000.0,25200000.0,25080000.0,24960000.0,24840000.0,24720000.0,24600000.0,24480000.0,24360000.0,24240000.0,24120000.0,24000000.0,23880000.0,23700000.0,23580000.0,23460000.0,23340000.0,23220000.0,23100000.0,22920000.0,22800000.0,22680000.0,22560000.0,22440000.0,22260000.0,22140000.0,22020000.0,21840000.0,21720000.0,21600000.0,21480000.0,21300000.0,21180000.0,21060000.0,20880000.0,20760000.0,20640000.0,20460000.0,20340000.0,20220000.0,20040000.0,19920000.0,19800000.0,19620000.0,19500000.0,19380000.0,19200000.0,19080000.0,18960000.0,22380000.0,22260000.0,22140000.0,21960000.0,21840000.0,21720000.0,21540000.0,21420000.0,21300000.0,21180000.0,21000000.0,20880000.0,20760000.0,20640000.0,20460000.0,20340000.0,20220000.0,20100000.0,19980000.0,19800000.0,19680000.0,19560000.0,19440000.0,19320000.0,19200000.0,19080000.0,18960000.0,18840000.0,18720000.0,18600000.0,18480000.0,18360000.0,18240000.0,18120000.0,18000000.0,17880000.0,17760000.0,17700000.0,17580000.0,17460000.0,17340000.0,17280000.0,17160000.0,17040000.0,16980000.0,16860000.0,16800000.0,16680000.0,16620000.0,16500000.0,16440000.0,16380000.0,16260000.0,16200000.0,16140000.0,16080000.0,16020000.0,15960000.0,15840000.0,15780000.0,15780000.0,15720000.0,15660000.0,15600000.0,15540000.0,15480000.0,15480000.0,15420000.0,15420000.0,15360000.0,15360000.0,15300000.0,15300000.0,15300000.0,15240000.0,15240000.0,15240000.0,15240000.0,15240000.0,15240000.0,15240000.0,15240000.0,15240000.0,15300000.0,15300000.0,15300000.0,15360000.0,15360000.0,15420000.0,15420000.0,15480000.0,15480000.0,15540000.0,15600000.0,15600000.0,15660000.0,15720000.0,15780000.0,15840000.0,15900000.0,15960000.0,16020000.0,16080000.0,16140000.0,16200000.0,16260000.0,16380000.0,16440000.0,16500000.0,16560000.0,16680000.0,16740000.0,16800000.0,16920000.0,16980000.0,17100000.0,17160000.0,17280000.0,17340000.0,17460000.0,17520000.0,17640000.0,17700000.0,17820000.0,17880000.0,18000000.0,18060000.0,18180000.0,18300000.0,18360000.0,18480000.0,18540000.0,18660000.0,18780000.0,18840000.0,18960000.0,19020000.0,19140000.0,19260000.0,19320000.0,19440000.0,19560000.0,19620000.0,19740000.0,19860000.0,19920000.0,20040000.0,20160000.0,20220000.0,20340000.0,20400000.0,20520000.0,20640000.0,20700000.0,20820000.0,20940000.0,21000000.0,21120000.0,21240000.0,21300000.0,21420000.0,21540000.0,21600000.0,21720000.0,21780000.0,21900000.0,22020000.0,22080000.0,22200000.0,22320000.0,22380000.0,22500000.0,22620000.0,22680000.0,22800000.0,22920000.0,22980000.0,23100000.0,23220000.0,23280000.0,23400000.0,23520000.0,23580000.0,23700000.0,23820000.0,23880000.0,24000000.0,24120000.0,24180000.0,24300000.0,24420000.0,24540000.0,24600000.0,24720000.0,24840000.0,24900000.0,25020000.0,25140000.0,25260000.0,25320000.0,25440000.0,25560000.0,25680000.0,25740000.0,25860000.0,25980000.0,26100000.0,26220000.0,26280000.0,26400000.0,22920000.0,23040000.0,23160000.0,23220000.0,23340000.0,23460000.0,23580000.0,23700000.0,23820000.0,23880000.0,24000000.0,24120000.0,24240000.0,24360000.0,24420000.0,24540000.0,24660000.0,24780000.0,24900000.0,24960000.0,25080000.0,25200000.0,25320000.0,25380000.0,25500000.0,25620000.0,25680000.0,25800000.0,25920000.0,25980000.0,26100000.0,26160000.0,26280000.0,26340000.0,26460000.0,26520000.0,26640000.0,26700000.0,26760000.0,26880000.0,26940000.0,27000000.0,27120000.0,27180000.0,27240000.0,27300000.0,27360000.0,27420000.0,27480000.0,27540000.0,27540000.0,27600000.0,27660000.0,27720000.0,27720000.0,27780000.0,27780000.0,27840000.0,27840000.0,27900000.0,27900000.0,27900000.0,27900000.0,27900000.0,27900000.0,27900000.0]}},"id":"c1be3751-3e48-43e7-afec-d4d35b671311","type":"ColumnDataSource"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"861f1719-c235-4c23-bff3-165a1659bfb6","type":"BoxAnnotation"},{"attributes":{"days":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31]},"id":"ec192152-818c-4845-90e8-e3d80f8e9a34","type":"DaysTicker"},{"attributes":{"days":[1,15]},"id":"61b0ea8f-7230-494e-a969-34f836879e49","type":"DaysTicker"},{"attributes":{"months":[0,2,4,6,8,10]},"id":"32892e4f-153c-43a4-bfb7-ff8387826113","type":"MonthsTicker"}],"root_ids":["5352f796-bee8-4cdd-850e-20505aecdc03"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"4279afb7-ce48-433a-9368-a4c4033fd80c","elementid":"a09ace56-afa4-4e0f-a00b-977e3f53a1b2","modelid":"5352f796-bee8-4cdd-850e-20505aecdc03"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
