(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("fc7e1b8a-6c66-48db-a393-31d0818b3f3b");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'fc7e1b8a-6c66-48db-a393-31d0818b3f3b' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"72381273-e699-4456-b4b7-676e240511e3":{"roots":{"references":[{"attributes":{"formatter":{"id":"1f4db4c8-8b0c-4168-8ac3-b6750a62d818","type":"BasicTickFormatter"},"plot":{"id":"d655f6d9-f993-4fe5-9d4b-e0283a5bb7a4","subtype":"Figure","type":"Plot"},"ticker":{"id":"79e21896-02b4-4fb1-a162-70572b103737","type":"BasicTicker"}},"id":"42b5197c-60c4-40e8-8027-5e91e4c9a35c","type":"LinearAxis"},{"attributes":{"below":[{"id":"42b5197c-60c4-40e8-8027-5e91e4c9a35c","type":"LinearAxis"},{"id":"c6ef3f41-5ada-4af8-8015-b53d6329f28a","type":"Title"}],"left":[{"id":"df03d10a-7391-420a-a16a-d731dc394c0e","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"42b5197c-60c4-40e8-8027-5e91e4c9a35c","type":"LinearAxis"},{"id":"587b78fa-ffd7-4be5-be02-97ef70f33a51","type":"Grid"},{"id":"df03d10a-7391-420a-a16a-d731dc394c0e","type":"LinearAxis"},{"id":"50f22e90-3ed3-4576-9911-00f58971eeab","type":"Grid"},{"id":"8892e7df-ed19-4370-a806-b0e50e5c6a17","type":"BoxAnnotation"},{"id":"062257ff-eff1-46b3-b760-a778fcbd0c9e","type":"GlyphRenderer"},{"id":"c6ef3f41-5ada-4af8-8015-b53d6329f28a","type":"Title"}],"title":{"id":"cab5d718-1d4b-4329-b298-706c4eac0b7d","type":"Title"},"title_location":"left","toolbar":{"id":"c859457f-52d0-40c1-92cc-d97aef93a11a","type":"Toolbar"},"x_range":{"id":"4d0af281-084c-4acc-9a96-c8e53dcf4dbc","type":"DataRange1d"},"x_scale":{"id":"7a065b33-917e-45aa-b758-180ee6b66a11","type":"LinearScale"},"y_range":{"id":"757ae504-a800-4613-845d-5a49e3a58c7b","type":"DataRange1d"},"y_scale":{"id":"cc213284-db1e-40e9-895c-a33ee9ae8be4","type":"LinearScale"}},"id":"d655f6d9-f993-4fe5-9d4b-e0283a5bb7a4","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"757ae504-a800-4613-845d-5a49e3a58c7b","type":"DataRange1d"},{"attributes":{},"id":"1f4db4c8-8b0c-4168-8ac3-b6750a62d818","type":"BasicTickFormatter"},{"attributes":{},"id":"d0ddf283-e6b8-427a-890f-8d38eee92c4c","type":"BasicTickFormatter"},{"attributes":{},"id":"010824b8-fc4a-4c6f-99b3-8f372d9a4ecd","type":"HelpTool"},{"attributes":{"source":{"id":"194129d8-9f2b-4b7d-8e3e-e9689835f5c9","type":"ColumnDataSource"}},"id":"01e6ab95-ea7e-4715-af92-ee81272cce89","type":"CDSView"},{"attributes":{},"id":"7a065b33-917e-45aa-b758-180ee6b66a11","type":"LinearScale"},{"attributes":{},"id":"16265764-9457-4130-b383-5b8b421d7578","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"d655f6d9-f993-4fe5-9d4b-e0283a5bb7a4","subtype":"Figure","type":"Plot"},"ticker":{"id":"79e21896-02b4-4fb1-a162-70572b103737","type":"BasicTicker"}},"id":"587b78fa-ffd7-4be5-be02-97ef70f33a51","type":"Grid"},{"attributes":{},"id":"89f663dd-8787-4819-abe8-fd5d2aaafbd4","type":"ResetTool"},{"attributes":{"dimension":1,"plot":{"id":"d655f6d9-f993-4fe5-9d4b-e0283a5bb7a4","subtype":"Figure","type":"Plot"},"ticker":{"id":"4df82798-33b2-4acf-9518-9cbe6c9bf17c","type":"BasicTicker"}},"id":"50f22e90-3ed3-4576-9911-00f58971eeab","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"34af32e7-5901-43f7-a905-8c0564d6d210","type":"Circle"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2],"y":[3,4]}},"id":"194129d8-9f2b-4b7d-8e3e-e9689835f5c9","type":"ColumnDataSource"},{"attributes":{},"id":"6f0f26db-4453-4168-a332-653502801af3","type":"PanTool"},{"attributes":{},"id":"6efc8ea9-f917-46b4-b438-f006bfef0e15","type":"SaveTool"},{"attributes":{},"id":"79e21896-02b4-4fb1-a162-70572b103737","type":"BasicTicker"},{"attributes":{"align":"center","plot":{"id":"d655f6d9-f993-4fe5-9d4b-e0283a5bb7a4","subtype":"Figure","type":"Plot"},"text":"Bottom Centered Title"},"id":"c6ef3f41-5ada-4af8-8015-b53d6329f28a","type":"Title"},{"attributes":{"formatter":{"id":"d0ddf283-e6b8-427a-890f-8d38eee92c4c","type":"BasicTickFormatter"},"plot":{"id":"d655f6d9-f993-4fe5-9d4b-e0283a5bb7a4","subtype":"Figure","type":"Plot"},"ticker":{"id":"4df82798-33b2-4acf-9518-9cbe6c9bf17c","type":"BasicTicker"}},"id":"df03d10a-7391-420a-a16a-d731dc394c0e","type":"LinearAxis"},{"attributes":{"overlay":{"id":"8892e7df-ed19-4370-a806-b0e50e5c6a17","type":"BoxAnnotation"}},"id":"f98677f1-1cd8-47f1-b9da-07a173d329e4","type":"BoxZoomTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"edc768fd-3f63-44f3-bcd4-962160147825","type":"Circle"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"8892e7df-ed19-4370-a806-b0e50e5c6a17","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"4d0af281-084c-4acc-9a96-c8e53dcf4dbc","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"6f0f26db-4453-4168-a332-653502801af3","type":"PanTool"},{"id":"16265764-9457-4130-b383-5b8b421d7578","type":"WheelZoomTool"},{"id":"f98677f1-1cd8-47f1-b9da-07a173d329e4","type":"BoxZoomTool"},{"id":"6efc8ea9-f917-46b4-b438-f006bfef0e15","type":"SaveTool"},{"id":"89f663dd-8787-4819-abe8-fd5d2aaafbd4","type":"ResetTool"},{"id":"010824b8-fc4a-4c6f-99b3-8f372d9a4ecd","type":"HelpTool"}]},"id":"c859457f-52d0-40c1-92cc-d97aef93a11a","type":"Toolbar"},{"attributes":{"data_source":{"id":"194129d8-9f2b-4b7d-8e3e-e9689835f5c9","type":"ColumnDataSource"},"glyph":{"id":"edc768fd-3f63-44f3-bcd4-962160147825","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"34af32e7-5901-43f7-a905-8c0564d6d210","type":"Circle"},"selection_glyph":null,"view":{"id":"01e6ab95-ea7e-4715-af92-ee81272cce89","type":"CDSView"}},"id":"062257ff-eff1-46b3-b760-a778fcbd0c9e","type":"GlyphRenderer"},{"attributes":{"plot":null,"text":"Left Title"},"id":"cab5d718-1d4b-4329-b298-706c4eac0b7d","type":"Title"},{"attributes":{},"id":"cc213284-db1e-40e9-895c-a33ee9ae8be4","type":"LinearScale"},{"attributes":{},"id":"4df82798-33b2-4acf-9518-9cbe6c9bf17c","type":"BasicTicker"}],"root_ids":["d655f6d9-f993-4fe5-9d4b-e0283a5bb7a4"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"72381273-e699-4456-b4b7-676e240511e3","elementid":"fc7e1b8a-6c66-48db-a393-31d0818b3f3b","modelid":"d655f6d9-f993-4fe5-9d4b-e0283a5bb7a4"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
