(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("3bf58965-1495-4154-88d6-9ee6344fdbae");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '3bf58965-1495-4154-88d6-9ee6344fdbae' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"908b3b1f-af8e-470c-8222-0defb53e806f":{"roots":{"references":[{"attributes":{"callback":null,"column_names":["color","y","label","x"],"data":{"color":["#ef8a62","#67a9cf","#ef8a62","#67a9cf","#ef8a62","#67a9cf"],"label":["hi","lo","hi","lo","hi","lo"],"x":[1,2,3,4,5,6],"y":[2,1,2,1,2,1]}},"id":"0a6e1384-e1cc-4ef8-9dc6-7c359d0653fa","type":"ColumnDataSource"},{"attributes":{"callback":null,"end":3},"id":"f069ec93-758b-4736-b420-66c6cfd5beaf","type":"Range1d"},{"attributes":{},"id":"5de9a1ae-c4ec-4875-b565-492cea07b75d","type":"BasicTickFormatter"},{"attributes":{},"id":"720b5fa8-af51-46b4-b0aa-862fcf1c3885","type":"LinearScale"},{"attributes":{"below":[{"id":"789da748-e5c3-4d9d-9651-079f85acc9a9","type":"LinearAxis"}],"left":[{"id":"95ca66de-cb0b-4710-96d8-2b59964c84db","type":"LinearAxis"}],"plot_height":300,"renderers":[{"id":"789da748-e5c3-4d9d-9651-079f85acc9a9","type":"LinearAxis"},{"id":"34cd8abe-6838-4c92-9aa3-e1082d064762","type":"Grid"},{"id":"95ca66de-cb0b-4710-96d8-2b59964c84db","type":"LinearAxis"},{"id":"4881f6bd-be0a-4c48-aca9-1b8832b05eb5","type":"Grid"},{"id":"92541c05-384b-4926-81ee-729c55c1cb00","type":"Legend"},{"id":"13a17439-19d6-46c0-83bf-2aa7335a27b6","type":"GlyphRenderer"}],"title":{"id":"0da3f592-aa96-4472-82ed-d32f97bb93e6","type":"Title"},"toolbar":{"id":"f7c1739a-a307-483a-aced-3707709e72f4","type":"Toolbar"},"x_range":{"id":"85a2b23c-931d-4106-8782-6457a066c23f","type":"Range1d"},"x_scale":{"id":"1a7402ca-4153-4e1a-8cdd-5abc7f475c54","type":"LinearScale"},"y_range":{"id":"f069ec93-758b-4736-b420-66c6cfd5beaf","type":"Range1d"},"y_scale":{"id":"720b5fa8-af51-46b4-b0aa-862fcf1c3885","type":"LinearScale"}},"id":"ee0a26c6-366c-444a-8c07-4af741cd60d5","subtype":"Figure","type":"Plot"},{"attributes":{"data_source":{"id":"0a6e1384-e1cc-4ef8-9dc6-7c359d0653fa","type":"ColumnDataSource"},"glyph":{"id":"a8746582-678a-4267-ab19-0b456f0974d5","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ac49716a-4bfb-42de-b114-80283e591547","type":"Circle"},"selection_glyph":null,"view":{"id":"f421b321-bcc0-4219-a5de-37643009ecfc","type":"CDSView"}},"id":"13a17439-19d6-46c0-83bf-2aa7335a27b6","type":"GlyphRenderer"},{"attributes":{},"id":"1a7402ca-4153-4e1a-8cdd-5abc7f475c54","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"0da3f592-aa96-4472-82ed-d32f97bb93e6","type":"Title"},{"attributes":{},"id":"4f9f33ca-d016-40c4-b181-dc1287599aee","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.5},"x":{"field":"x"},"y":{"field":"y"}},"id":"ac49716a-4bfb-42de-b114-80283e591547","type":"Circle"},{"attributes":{"formatter":{"id":"50b99ff6-0884-401e-862a-b5768e2a213e","type":"BasicTickFormatter"},"plot":{"id":"ee0a26c6-366c-444a-8c07-4af741cd60d5","subtype":"Figure","type":"Plot"},"ticker":{"id":"d64c6ccd-f3a0-45ba-a170-9ce57f0bb91b","type":"BasicTicker"}},"id":"95ca66de-cb0b-4710-96d8-2b59964c84db","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"68a68a64-77e2-44fe-94c1-c5537ba5f205","type":"SaveTool"}]},"id":"f7c1739a-a307-483a-aced-3707709e72f4","type":"Toolbar"},{"attributes":{"source":{"id":"0a6e1384-e1cc-4ef8-9dc6-7c359d0653fa","type":"ColumnDataSource"}},"id":"f421b321-bcc0-4219-a5de-37643009ecfc","type":"CDSView"},{"attributes":{"plot":{"id":"ee0a26c6-366c-444a-8c07-4af741cd60d5","subtype":"Figure","type":"Plot"},"ticker":{"id":"4f9f33ca-d016-40c4-b181-dc1287599aee","type":"BasicTicker"}},"id":"34cd8abe-6838-4c92-9aa3-e1082d064762","type":"Grid"},{"attributes":{"formatter":{"id":"5de9a1ae-c4ec-4875-b565-492cea07b75d","type":"BasicTickFormatter"},"plot":{"id":"ee0a26c6-366c-444a-8c07-4af741cd60d5","subtype":"Figure","type":"Plot"},"ticker":{"id":"4f9f33ca-d016-40c4-b181-dc1287599aee","type":"BasicTicker"}},"id":"789da748-e5c3-4d9d-9651-079f85acc9a9","type":"LinearAxis"},{"attributes":{},"id":"68a68a64-77e2-44fe-94c1-c5537ba5f205","type":"SaveTool"},{"attributes":{},"id":"50b99ff6-0884-401e-862a-b5768e2a213e","type":"BasicTickFormatter"},{"attributes":{"label":{"field":"label"},"renderers":[{"id":"13a17439-19d6-46c0-83bf-2aa7335a27b6","type":"GlyphRenderer"}]},"id":"297876c2-ba3c-4c65-8e66-34dedc84ec1b","type":"LegendItem"},{"attributes":{"fill_color":{"field":"color"},"line_color":{"field":"color"},"radius":{"units":"data","value":0.5},"x":{"field":"x"},"y":{"field":"y"}},"id":"a8746582-678a-4267-ab19-0b456f0974d5","type":"Circle"},{"attributes":{},"id":"d64c6ccd-f3a0-45ba-a170-9ce57f0bb91b","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"ee0a26c6-366c-444a-8c07-4af741cd60d5","subtype":"Figure","type":"Plot"},"ticker":{"id":"d64c6ccd-f3a0-45ba-a170-9ce57f0bb91b","type":"BasicTicker"}},"id":"4881f6bd-be0a-4c48-aca9-1b8832b05eb5","type":"Grid"},{"attributes":{"callback":null,"end":7},"id":"85a2b23c-931d-4106-8782-6457a066c23f","type":"Range1d"},{"attributes":{"items":[{"id":"297876c2-ba3c-4c65-8e66-34dedc84ec1b","type":"LegendItem"}],"plot":{"id":"ee0a26c6-366c-444a-8c07-4af741cd60d5","subtype":"Figure","type":"Plot"}},"id":"92541c05-384b-4926-81ee-729c55c1cb00","type":"Legend"}],"root_ids":["ee0a26c6-366c-444a-8c07-4af741cd60d5"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"908b3b1f-af8e-470c-8222-0defb53e806f","elementid":"3bf58965-1495-4154-88d6-9ee6344fdbae","modelid":"ee0a26c6-366c-444a-8c07-4af741cd60d5"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
