(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("37944348-62eb-4598-b67c-b4327bb928b0");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '37944348-62eb-4598-b67c-b4327bb928b0' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"1d2c4b11-3801-45d2-b090-40cdd3522d45":{"roots":{"references":[{"attributes":{},"id":"888336c6-4b36-45b0-9d4f-69211252ff99","type":"LinearScale"},{"attributes":{},"id":"aa1bae2a-9d04-4cb6-ad34-f34862d4d7be","type":"BasicTicker"},{"attributes":{"line_color":{"value":"firebrick"},"line_width":{"value":4},"plot":null},"id":"0c3f15bc-b9d4-43b8-8c25-62a8e7da022c","type":"OpenHead"},{"attributes":{"dimension":1,"plot":{"id":"59061fed-f227-44dd-bf6c-ff1702ec2f09","subtype":"Figure","type":"Plot"},"ticker":{"id":"8fdc0a79-3cdd-4974-a904-dd08d3ce7323","type":"BasicTicker"}},"id":"8bb99888-0682-49c1-a058-767d2910f7ef","type":"Grid"},{"attributes":{"overlay":{"id":"22e999ab-8540-4901-a7c2-2688b6de2631","type":"BoxAnnotation"}},"id":"924012f3-2243-4ca0-bd40-6cc610ad5071","type":"BoxZoomTool"},{"attributes":{},"id":"635c48e7-e330-4919-bebc-418a4585581f","type":"BasicTickFormatter"},{"attributes":{"plot":null,"size":35},"id":"cf3dc2b0-f736-45fb-bce5-7746a5a6e184","type":"VeeHead"},{"attributes":{},"id":"73ce7c94-4877-4cb8-b4fa-0cde2e2912d8","type":"SaveTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"9d35c296-374b-402f-abec-f7bdd93a655a","type":"PanTool"},{"id":"1364cbd6-8ae2-4b20-a424-395d61991a90","type":"WheelZoomTool"},{"id":"924012f3-2243-4ca0-bd40-6cc610ad5071","type":"BoxZoomTool"},{"id":"73ce7c94-4877-4cb8-b4fa-0cde2e2912d8","type":"SaveTool"},{"id":"63761e9a-fec1-48a0-8115-14b410044a3e","type":"ResetTool"},{"id":"58df95f8-697f-4613-b4df-902763dbce9f","type":"HelpTool"}]},"id":"dd494699-3d94-463b-aadd-a276180774f3","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["y","x","line_color","fill_color"],"data":{"fill_color":["navy","yellow","red"],"line_color":["navy","yellow","red"],"x":[0,1,0.5],"y":[0,0,0.7]}},"id":"dd55d489-d228-4993-862a-d94511569e31","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"c51e4f99-3d98-4e16-ad0c-351b8a851923","type":"DataRange1d"},{"attributes":{"below":[{"id":"33df3014-b849-44b3-b94c-7fcf8ea97ba9","type":"LinearAxis"}],"left":[{"id":"c154dc42-2f43-4448-8b14-47745ffe06cd","type":"LinearAxis"}],"renderers":[{"id":"33df3014-b849-44b3-b94c-7fcf8ea97ba9","type":"LinearAxis"},{"id":"f58cb9c2-69c2-446a-96e6-ea88b589f59c","type":"Grid"},{"id":"c154dc42-2f43-4448-8b14-47745ffe06cd","type":"LinearAxis"},{"id":"8bb99888-0682-49c1-a058-767d2910f7ef","type":"Grid"},{"id":"22e999ab-8540-4901-a7c2-2688b6de2631","type":"BoxAnnotation"},{"id":"f389b953-99e3-4090-9d65-97a7e71eff49","type":"GlyphRenderer"},{"id":"182e77ea-c602-41da-8f16-730884d04b57","type":"Arrow"},{"id":"62298531-4c8a-43e4-8d78-59c8e375c56e","type":"Arrow"},{"id":"f72dfc6e-3c5f-42a9-a8e4-9a87933c96fb","type":"Arrow"}],"title":{"id":"f24c02ce-61c1-4d60-a59c-f601c628e4b0","type":"Title"},"toolbar":{"id":"dd494699-3d94-463b-aadd-a276180774f3","type":"Toolbar"},"x_range":{"id":"c51e4f99-3d98-4e16-ad0c-351b8a851923","type":"DataRange1d"},"x_scale":{"id":"888336c6-4b36-45b0-9d4f-69211252ff99","type":"LinearScale"},"y_range":{"id":"f29e7e8a-11d2-4f26-b0d0-7f3915abfa18","type":"DataRange1d"},"y_scale":{"id":"2954124c-c6d5-4a53-a539-b33eb38cd7d1","type":"LinearScale"}},"id":"59061fed-f227-44dd-bf6c-ff1702ec2f09","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"1364cbd6-8ae2-4b20-a424-395d61991a90","type":"WheelZoomTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.1},"x":{"field":"x"},"y":{"field":"y"}},"id":"c1615cd7-7111-45c6-b878-82660bc1cda7","type":"Circle"},{"attributes":{},"id":"d9aa1168-c994-407b-9a43-c17eca5ad515","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"f29e7e8a-11d2-4f26-b0d0-7f3915abfa18","type":"DataRange1d"},{"attributes":{"plot":null,"text":""},"id":"f24c02ce-61c1-4d60-a59c-f601c628e4b0","type":"Title"},{"attributes":{"end":{"id":"0c3f15bc-b9d4-43b8-8c25-62a8e7da022c","type":"OpenHead"},"plot":{"id":"59061fed-f227-44dd-bf6c-ff1702ec2f09","subtype":"Figure","type":"Plot"},"source":null,"start":null,"x_end":{"value":1},"x_start":{"value":0},"y_end":{"value":0},"y_start":{"value":0}},"id":"182e77ea-c602-41da-8f16-730884d04b57","type":"Arrow"},{"attributes":{"end":{"id":"57f004fa-c4b3-47a5-9756-5734057e6793","type":"NormalHead"},"plot":{"id":"59061fed-f227-44dd-bf6c-ff1702ec2f09","subtype":"Figure","type":"Plot"},"source":null,"start":null,"x_end":{"value":0.5},"x_start":{"value":1},"y_end":{"value":0.7},"y_start":{"value":0}},"id":"62298531-4c8a-43e4-8d78-59c8e375c56e","type":"Arrow"},{"attributes":{"formatter":{"id":"635c48e7-e330-4919-bebc-418a4585581f","type":"BasicTickFormatter"},"plot":{"id":"59061fed-f227-44dd-bf6c-ff1702ec2f09","subtype":"Figure","type":"Plot"},"ticker":{"id":"aa1bae2a-9d04-4cb6-ad34-f34862d4d7be","type":"BasicTicker"}},"id":"33df3014-b849-44b3-b94c-7fcf8ea97ba9","type":"LinearAxis"},{"attributes":{"data_source":{"id":"dd55d489-d228-4993-862a-d94511569e31","type":"ColumnDataSource"},"glyph":{"id":"2e7eda29-6aef-4d57-a31c-dca464182a01","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c1615cd7-7111-45c6-b878-82660bc1cda7","type":"Circle"},"selection_glyph":null,"view":{"id":"4950e778-7486-4ae6-b9b6-8f2a0314681d","type":"CDSView"}},"id":"f389b953-99e3-4090-9d65-97a7e71eff49","type":"GlyphRenderer"},{"attributes":{},"id":"9d35c296-374b-402f-abec-f7bdd93a655a","type":"PanTool"},{"attributes":{"formatter":{"id":"d9aa1168-c994-407b-9a43-c17eca5ad515","type":"BasicTickFormatter"},"plot":{"id":"59061fed-f227-44dd-bf6c-ff1702ec2f09","subtype":"Figure","type":"Plot"},"ticker":{"id":"8fdc0a79-3cdd-4974-a904-dd08d3ce7323","type":"BasicTicker"}},"id":"c154dc42-2f43-4448-8b14-47745ffe06cd","type":"LinearAxis"},{"attributes":{"end":{"id":"cf3dc2b0-f736-45fb-bce5-7746a5a6e184","type":"VeeHead"},"line_color":{"value":"red"},"plot":{"id":"59061fed-f227-44dd-bf6c-ff1702ec2f09","subtype":"Figure","type":"Plot"},"source":null,"start":null,"x_end":{"value":0},"x_start":{"value":0.5},"y_end":{"value":0},"y_start":{"value":0.7}},"id":"f72dfc6e-3c5f-42a9-a8e4-9a87933c96fb","type":"Arrow"},{"attributes":{},"id":"8fdc0a79-3cdd-4974-a904-dd08d3ce7323","type":"BasicTicker"},{"attributes":{"plot":{"id":"59061fed-f227-44dd-bf6c-ff1702ec2f09","subtype":"Figure","type":"Plot"},"ticker":{"id":"aa1bae2a-9d04-4cb6-ad34-f34862d4d7be","type":"BasicTicker"}},"id":"f58cb9c2-69c2-446a-96e6-ea88b589f59c","type":"Grid"},{"attributes":{},"id":"63761e9a-fec1-48a0-8115-14b410044a3e","type":"ResetTool"},{"attributes":{"fill_color":{"value":"orange"},"plot":null},"id":"57f004fa-c4b3-47a5-9756-5734057e6793","type":"NormalHead"},{"attributes":{"source":{"id":"dd55d489-d228-4993-862a-d94511569e31","type":"ColumnDataSource"}},"id":"4950e778-7486-4ae6-b9b6-8f2a0314681d","type":"CDSView"},{"attributes":{},"id":"58df95f8-697f-4613-b4df-902763dbce9f","type":"HelpTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"field":"fill_color"},"line_color":{"field":"line_color"},"radius":{"units":"data","value":0.1},"x":{"field":"x"},"y":{"field":"y"}},"id":"2e7eda29-6aef-4d57-a31c-dca464182a01","type":"Circle"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"22e999ab-8540-4901-a7c2-2688b6de2631","type":"BoxAnnotation"},{"attributes":{},"id":"2954124c-c6d5-4a53-a539-b33eb38cd7d1","type":"LinearScale"}],"root_ids":["59061fed-f227-44dd-bf6c-ff1702ec2f09"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"1d2c4b11-3801-45d2-b090-40cdd3522d45","elementid":"37944348-62eb-4598-b67c-b4327bb928b0","modelid":"59061fed-f227-44dd-bf6c-ff1702ec2f09"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
