(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("052da85c-961b-4140-b52b-7baf632cc348");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '052da85c-961b-4140-b52b-7baf632cc348' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e6970c43-424f-47fa-b8a9-0107073c35ec":{"roots":{"references":[{"attributes":{"below":[{"id":"67f70aef-f487-478e-bdbf-8a13cf180898","type":"CategoricalAxis"}],"left":[{"id":"7976388d-a1d3-4678-9a57-dabcbe790329","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"67f70aef-f487-478e-bdbf-8a13cf180898","type":"CategoricalAxis"},{"id":"74652b0f-f6a8-46aa-9995-ef41e8346d42","type":"Grid"},{"id":"7976388d-a1d3-4678-9a57-dabcbe790329","type":"LinearAxis"},{"id":"506af0d4-4063-470d-8c7a-4a64c9c15263","type":"Grid"},{"id":"9370f905-523e-481e-804f-eb61354e72de","type":"GlyphRenderer"}],"title":{"id":"95ae7388-2311-4756-8060-132df8e1d460","type":"Title"},"toolbar":{"id":"0b711bdb-823a-4093-8b06-defaa0f05b50","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"80b2b093-1edc-40e5-bab6-9a01f7206b96","type":"FactorRange"},"x_scale":{"id":"7a4e70b3-14a2-4e2c-b44f-1e13a5aafc77","type":"CategoricalScale"},"y_range":{"id":"1aaaa23f-d5ea-4d7c-abd1-e5e0c80b51d4","type":"DataRange1d"},"y_scale":{"id":"05307edf-458a-4dfe-9a62-b0403e5922dd","type":"LinearScale"}},"id":"4a8fd0fc-307b-4df4-83a7-a1bc13d5427c","subtype":"Figure","type":"Plot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"0b711bdb-823a-4093-8b06-defaa0f05b50","type":"Toolbar"},{"attributes":{},"id":"030b8e45-3583-4528-860d-c69846cc43a4","type":"BasicTicker"},{"attributes":{"formatter":{"id":"596e40ec-fa06-4899-b150-ed1c4fb66fe1","type":"CategoricalTickFormatter"},"plot":{"id":"4a8fd0fc-307b-4df4-83a7-a1bc13d5427c","subtype":"Figure","type":"Plot"},"ticker":{"id":"4b5b26de-bd54-40bd-865a-4516cd777524","type":"CategoricalTicker"}},"id":"67f70aef-f487-478e-bdbf-8a13cf180898","type":"CategoricalAxis"},{"attributes":{"callback":null,"start":0},"id":"1aaaa23f-d5ea-4d7c-abd1-e5e0c80b51d4","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["x","top"],"data":{"top":[5,3,4,2,4,6],"x":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"3861c859-efcb-4892-b6f4-19f7644ab1b7","type":"ColumnDataSource"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"80b2b093-1edc-40e5-bab6-9a01f7206b96","type":"FactorRange"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"4a8fd0fc-307b-4df4-83a7-a1bc13d5427c","subtype":"Figure","type":"Plot"},"ticker":{"id":"4b5b26de-bd54-40bd-865a-4516cd777524","type":"CategoricalTicker"}},"id":"74652b0f-f6a8-46aa-9995-ef41e8346d42","type":"Grid"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"93c6097d-6f16-40ee-b3fe-269ffcd427c0","type":"VBar"},{"attributes":{},"id":"5a627e57-b2cb-45dd-9d6b-e439bbd939c6","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"3861c859-efcb-4892-b6f4-19f7644ab1b7","type":"ColumnDataSource"}},"id":"e9f1a374-ac3d-451c-bcec-4f609ab1f261","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"4a8fd0fc-307b-4df4-83a7-a1bc13d5427c","subtype":"Figure","type":"Plot"},"ticker":{"id":"030b8e45-3583-4528-860d-c69846cc43a4","type":"BasicTicker"}},"id":"506af0d4-4063-470d-8c7a-4a64c9c15263","type":"Grid"},{"attributes":{"data_source":{"id":"3861c859-efcb-4892-b6f4-19f7644ab1b7","type":"ColumnDataSource"},"glyph":{"id":"93c6097d-6f16-40ee-b3fe-269ffcd427c0","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"002a0cb8-11c6-4ced-9037-ffae34546547","type":"VBar"},"selection_glyph":null,"view":{"id":"e9f1a374-ac3d-451c-bcec-4f609ab1f261","type":"CDSView"}},"id":"9370f905-523e-481e-804f-eb61354e72de","type":"GlyphRenderer"},{"attributes":{},"id":"4b5b26de-bd54-40bd-865a-4516cd777524","type":"CategoricalTicker"},{"attributes":{"formatter":{"id":"5a627e57-b2cb-45dd-9d6b-e439bbd939c6","type":"BasicTickFormatter"},"plot":{"id":"4a8fd0fc-307b-4df4-83a7-a1bc13d5427c","subtype":"Figure","type":"Plot"},"ticker":{"id":"030b8e45-3583-4528-860d-c69846cc43a4","type":"BasicTicker"}},"id":"7976388d-a1d3-4678-9a57-dabcbe790329","type":"LinearAxis"},{"attributes":{"plot":null,"text":"Fruit Counts"},"id":"95ae7388-2311-4756-8060-132df8e1d460","type":"Title"},{"attributes":{},"id":"7a4e70b3-14a2-4e2c-b44f-1e13a5aafc77","type":"CategoricalScale"},{"attributes":{},"id":"05307edf-458a-4dfe-9a62-b0403e5922dd","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"002a0cb8-11c6-4ced-9037-ffae34546547","type":"VBar"},{"attributes":{},"id":"596e40ec-fa06-4899-b150-ed1c4fb66fe1","type":"CategoricalTickFormatter"}],"root_ids":["4a8fd0fc-307b-4df4-83a7-a1bc13d5427c"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e6970c43-424f-47fa-b8a9-0107073c35ec","elementid":"052da85c-961b-4140-b52b-7baf632cc348","modelid":"4a8fd0fc-307b-4df4-83a7-a1bc13d5427c"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
