(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("94525800-f184-47e4-8e9a-21668bc572dd");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '94525800-f184-47e4-8e9a-21668bc572dd' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"96845cf8-04a5-4fb2-9a5d-469ddc203f37":{"roots":{"references":[{"attributes":{},"id":"647be2b3-fbe2-4057-b5a7-c0fbfc223fc5","type":"BasicTicker"},{"attributes":{"source":{"id":"26c6a309-105d-4af8-94d6-3ad6084a6943","type":"ColumnDataSource"}},"id":"d7b22981-f3df-401e-ac30-de3faf873686","type":"CDSView"},{"attributes":{"end":2,"factors":["2015","2016","2017"],"palette":["#c9d9d3","#718dbf","#e84d60"],"start":1},"id":"a8198415-c753-489a-95c5-27b5aab77d02","type":"CategoricalColorMapper"},{"attributes":{"data_source":{"id":"26c6a309-105d-4af8-94d6-3ad6084a6943","type":"ColumnDataSource"},"glyph":{"id":"6d839f60-a352-4b8b-a786-354befb47829","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b00bb0ad-4c90-4095-9b76-307c4dd382fd","type":"VBar"},"selection_glyph":null,"view":{"id":"d7b22981-f3df-401e-ac30-de3faf873686","type":"CDSView"}},"id":"95eb6828-529d-466e-a549-f7d399d8cc50","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"14c0212f-5a7d-4815-9901-8ca7daf6e309","type":"CategoricalAxis"}],"left":[{"id":"6a5c9e0f-74f0-4b49-9fd0-624b700ab8b0","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"14c0212f-5a7d-4815-9901-8ca7daf6e309","type":"CategoricalAxis"},{"id":"bc3a8e3b-76cc-4e79-af82-77b3fe6e46f9","type":"Grid"},{"id":"6a5c9e0f-74f0-4b49-9fd0-624b700ab8b0","type":"LinearAxis"},{"id":"401d6dca-f730-4622-b05f-ee7e2d2e61ed","type":"Grid"},{"id":"95eb6828-529d-466e-a549-f7d399d8cc50","type":"GlyphRenderer"}],"title":{"id":"a0f58f39-f606-4c39-854b-d9336bc2162a","type":"Title"},"toolbar":{"id":"b35ba983-660d-470d-9891-0d5aaeb344d2","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"bb7aaf52-a4dc-4cf9-8c67-22856c0c43f6","type":"FactorRange"},"x_scale":{"id":"9d534510-888b-4d90-804d-0dd9e28121d0","type":"CategoricalScale"},"y_range":{"id":"add410dc-d88f-4920-9843-98bc32e28265","type":"DataRange1d"},"y_scale":{"id":"33da8706-87b5-49ab-876c-9cb613ddb72d","type":"LinearScale"}},"id":"1881ffaf-3134-4d6c-9984-a87bd037a414","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"ec328bae-4a77-4001-bf03-d9f8eae6fc63","type":"CategoricalTickFormatter"},{"attributes":{"formatter":{"id":"ec328bae-4a77-4001-bf03-d9f8eae6fc63","type":"CategoricalTickFormatter"},"major_label_orientation":1,"plot":{"id":"1881ffaf-3134-4d6c-9984-a87bd037a414","subtype":"Figure","type":"Plot"},"ticker":{"id":"fce707cb-24fd-49ff-93cc-af2ed4488dc6","type":"CategoricalTicker"}},"id":"14c0212f-5a7d-4815-9901-8ca7daf6e309","type":"CategoricalAxis"},{"attributes":{},"id":"9d534510-888b-4d90-804d-0dd9e28121d0","type":"CategoricalScale"},{"attributes":{"callback":null,"factors":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]],"range_padding":0.1},"id":"bb7aaf52-a4dc-4cf9-8c67-22856c0c43f6","type":"FactorRange"},{"attributes":{},"id":"fce707cb-24fd-49ff-93cc-af2ed4488dc6","type":"CategoricalTicker"},{"attributes":{"formatter":{"id":"886cf2c7-bc92-4797-bad6-3f62903e4b36","type":"BasicTickFormatter"},"plot":{"id":"1881ffaf-3134-4d6c-9984-a87bd037a414","subtype":"Figure","type":"Plot"},"ticker":{"id":"647be2b3-fbe2-4057-b5a7-c0fbfc223fc5","type":"BasicTicker"}},"id":"6a5c9e0f-74f0-4b49-9fd0-624b700ab8b0","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"b35ba983-660d-470d-9891-0d5aaeb344d2","type":"Toolbar"},{"attributes":{"callback":null,"start":0},"id":"add410dc-d88f-4920-9843-98bc32e28265","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"1881ffaf-3134-4d6c-9984-a87bd037a414","subtype":"Figure","type":"Plot"},"ticker":{"id":"647be2b3-fbe2-4057-b5a7-c0fbfc223fc5","type":"BasicTicker"}},"id":"401d6dca-f730-4622-b05f-ee7e2d2e61ed","type":"Grid"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"1881ffaf-3134-4d6c-9984-a87bd037a414","subtype":"Figure","type":"Plot"},"ticker":{"id":"fce707cb-24fd-49ff-93cc-af2ed4488dc6","type":"CategoricalTicker"}},"id":"bc3a8e3b-76cc-4e79-af82-77b3fe6e46f9","type":"Grid"},{"attributes":{},"id":"33da8706-87b5-49ab-876c-9cb613ddb72d","type":"LinearScale"},{"attributes":{"fill_color":{"field":"x","transform":{"id":"a8198415-c753-489a-95c5-27b5aab77d02","type":"CategoricalColorMapper"}},"line_color":{"value":"white"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"6d839f60-a352-4b8b-a786-354befb47829","type":"VBar"},{"attributes":{},"id":"886cf2c7-bc92-4797-bad6-3f62903e4b36","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["x","counts"],"data":{"counts":[2,5,3,1,3,2,4,3,4,3,2,4,2,4,5,4,6,3],"x":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]]}},"id":"26c6a309-105d-4af8-94d6-3ad6084a6943","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"b00bb0ad-4c90-4095-9b76-307c4dd382fd","type":"VBar"},{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"a0f58f39-f606-4c39-854b-d9336bc2162a","type":"Title"}],"root_ids":["1881ffaf-3134-4d6c-9984-a87bd037a414"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"96845cf8-04a5-4fb2-9a5d-469ddc203f37","elementid":"94525800-f184-47e4-8e9a-21668bc572dd","modelid":"1881ffaf-3134-4d6c-9984-a87bd037a414"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
