(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("6d14e1aa-12e0-4451-9101-c051605cdc8d");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '6d14e1aa-12e0-4451-9101-c051605cdc8d' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"b5ca24ea-490c-4753-9db3-c2c3cd33ddf6":{"roots":{"references":[{"attributes":{"fill_color":{"value":"#c9d9d3"},"line_color":{"value":"#c9d9d3"},"top":{"field":"2015"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"dfa34673-e84f-4e52-bec2-ccc416e66b2e","type":"Dodge"}}},"id":"07a5254c-45c7-4f24-8f5c-aef4b13a9896","type":"VBar"},{"attributes":{"fill_color":{"value":"#e84d60"},"line_color":{"value":"#e84d60"},"top":{"field":"2017"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"20b80dc0-b5d6-4d81-8634-f0f8b76cfb97","type":"Dodge"}}},"id":"208ab404-b7b0-42df-a3a5-17603d2250b1","type":"VBar"},{"attributes":{"label":{"value":"2016"},"renderers":[{"id":"5c11db2d-8e5b-4229-bc79-ebf08db85bcf","type":"GlyphRenderer"}]},"id":"e4b18727-2b88-42ca-84d5-8f9f0475e479","type":"LegendItem"},{"attributes":{"data_source":{"id":"a4576a16-4356-4adb-9dad-fbd5322e1da2","type":"ColumnDataSource"},"glyph":{"id":"2ee9e4ed-d40a-4864-ac0a-5b2238b094a6","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"8621b518-a8c1-460a-9f9c-21a62782c9dd","type":"VBar"},"selection_glyph":null,"view":{"id":"b74d42fe-44f0-4c4e-b2d7-ce0bfdf4c6ae","type":"CDSView"}},"id":"5c11db2d-8e5b-4229-bc79-ebf08db85bcf","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"259f1ba2-3efd-4eff-b2f9-e99917c2178a","type":"CategoricalAxis"}],"left":[{"id":"e4adb5d3-b2d6-4010-9ca7-68a5a579bbd1","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"259f1ba2-3efd-4eff-b2f9-e99917c2178a","type":"CategoricalAxis"},{"id":"105b15fe-2426-4889-a3c9-fd453817e712","type":"Grid"},{"id":"e4adb5d3-b2d6-4010-9ca7-68a5a579bbd1","type":"LinearAxis"},{"id":"2eae0cfd-851b-49c6-bb5d-2f1210132235","type":"Grid"},{"id":"aeef2974-e139-4a5f-92cd-fe23dc349e69","type":"Legend"},{"id":"0d41167b-e446-4be0-b6ad-2653c382b5c8","type":"GlyphRenderer"},{"id":"5c11db2d-8e5b-4229-bc79-ebf08db85bcf","type":"GlyphRenderer"},{"id":"7aa4d59d-1089-4356-8bf0-4bc7920a32e1","type":"GlyphRenderer"}],"title":{"id":"11808c02-fd95-412a-b70b-767614c5e2c8","type":"Title"},"toolbar":{"id":"2bc11f3e-9c22-42cb-9ff2-7683fa6156ce","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"60fe5887-6e50-4edb-819b-479e27e8a8a9","type":"FactorRange"},"x_scale":{"id":"709af3ac-fbcb-4b66-87ec-48619402858e","type":"CategoricalScale"},"y_range":{"id":"b07e007e-9f8b-4738-91e2-e2f2c680ced4","type":"Range1d"},"y_scale":{"id":"c566f839-b002-45c5-91fe-98fc8b9a86f1","type":"LinearScale"}},"id":"d310a437-0b5b-49f5-b302-bb1a67fa9ec9","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"8dbb54f5-8c7e-4f41-837a-a991668a9b23","type":"CategoricalTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"2017"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"20b80dc0-b5d6-4d81-8634-f0f8b76cfb97","type":"Dodge"}}},"id":"6d88b65e-efff-44fc-b787-3b47ca9c9cf2","type":"VBar"},{"attributes":{"range":{"id":"60fe5887-6e50-4edb-819b-479e27e8a8a9","type":"FactorRange"},"value":-0.25},"id":"dfa34673-e84f-4e52-bec2-ccc416e66b2e","type":"Dodge"},{"attributes":{"formatter":{"id":"8457d902-7480-42c3-89a2-60834d1ecc70","type":"CategoricalTickFormatter"},"plot":{"id":"d310a437-0b5b-49f5-b302-bb1a67fa9ec9","subtype":"Figure","type":"Plot"},"ticker":{"id":"8dbb54f5-8c7e-4f41-837a-a991668a9b23","type":"CategoricalTicker"}},"id":"259f1ba2-3efd-4eff-b2f9-e99917c2178a","type":"CategoricalAxis"},{"attributes":{"data_source":{"id":"a4576a16-4356-4adb-9dad-fbd5322e1da2","type":"ColumnDataSource"},"glyph":{"id":"07a5254c-45c7-4f24-8f5c-aef4b13a9896","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b3b43605-97e8-45ac-90e3-ea562bfd8d2a","type":"VBar"},"selection_glyph":null,"view":{"id":"48660297-51e8-4f58-bf97-9dedf046c9b8","type":"CDSView"}},"id":"0d41167b-e446-4be0-b6ad-2653c382b5c8","type":"GlyphRenderer"},{"attributes":{"callback":null,"end":10},"id":"b07e007e-9f8b-4738-91e2-e2f2c680ced4","type":"Range1d"},{"attributes":{},"id":"1ac6fe08-eb76-40fe-9a48-e5ccbc20def7","type":"BasicTickFormatter"},{"attributes":{"label":{"value":"2015"},"renderers":[{"id":"0d41167b-e446-4be0-b6ad-2653c382b5c8","type":"GlyphRenderer"}]},"id":"8db620cf-ef9e-4591-adb6-04b1feeb7c68","type":"LegendItem"},{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"11808c02-fd95-412a-b70b-767614c5e2c8","type":"Title"},{"attributes":{"label":{"value":"2017"},"renderers":[{"id":"7aa4d59d-1089-4356-8bf0-4bc7920a32e1","type":"GlyphRenderer"}]},"id":"5fc129f9-af93-4f39-9a9f-a506036145e3","type":"LegendItem"},{"attributes":{"dimension":1,"plot":{"id":"d310a437-0b5b-49f5-b302-bb1a67fa9ec9","subtype":"Figure","type":"Plot"},"ticker":{"id":"8decbb30-ef64-4979-9f74-2183ddf9aba6","type":"BasicTicker"}},"id":"2eae0cfd-851b-49c6-bb5d-2f1210132235","type":"Grid"},{"attributes":{},"id":"709af3ac-fbcb-4b66-87ec-48619402858e","type":"CategoricalScale"},{"attributes":{"range":{"id":"60fe5887-6e50-4edb-819b-479e27e8a8a9","type":"FactorRange"}},"id":"8eeee9b0-0739-4bd9-809c-e1d0c52891f2","type":"Dodge"},{"attributes":{"data_source":{"id":"a4576a16-4356-4adb-9dad-fbd5322e1da2","type":"ColumnDataSource"},"glyph":{"id":"208ab404-b7b0-42df-a3a5-17603d2250b1","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"6d88b65e-efff-44fc-b787-3b47ca9c9cf2","type":"VBar"},"selection_glyph":null,"view":{"id":"cc988918-9baa-42dc-ad30-321dfeb711bd","type":"CDSView"}},"id":"7aa4d59d-1089-4356-8bf0-4bc7920a32e1","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"2016"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"8eeee9b0-0739-4bd9-809c-e1d0c52891f2","type":"Dodge"}}},"id":"8621b518-a8c1-460a-9f9c-21a62782c9dd","type":"VBar"},{"attributes":{"formatter":{"id":"1ac6fe08-eb76-40fe-9a48-e5ccbc20def7","type":"BasicTickFormatter"},"plot":{"id":"d310a437-0b5b-49f5-b302-bb1a67fa9ec9","subtype":"Figure","type":"Plot"},"ticker":{"id":"8decbb30-ef64-4979-9f74-2183ddf9aba6","type":"BasicTicker"}},"id":"e4adb5d3-b2d6-4010-9ca7-68a5a579bbd1","type":"LinearAxis"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"range_padding":0.1},"id":"60fe5887-6e50-4edb-819b-479e27e8a8a9","type":"FactorRange"},{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[2,1,4,3,2,4],"2016":[5,3,3,2,4,6],"2017":[3,2,4,4,5,3],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"a4576a16-4356-4adb-9dad-fbd5322e1da2","type":"ColumnDataSource"},{"attributes":{"source":{"id":"a4576a16-4356-4adb-9dad-fbd5322e1da2","type":"ColumnDataSource"}},"id":"48660297-51e8-4f58-bf97-9dedf046c9b8","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"2015"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"dfa34673-e84f-4e52-bec2-ccc416e66b2e","type":"Dodge"}}},"id":"b3b43605-97e8-45ac-90e3-ea562bfd8d2a","type":"VBar"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"2bc11f3e-9c22-42cb-9ff2-7683fa6156ce","type":"Toolbar"},{"attributes":{"source":{"id":"a4576a16-4356-4adb-9dad-fbd5322e1da2","type":"ColumnDataSource"}},"id":"cc988918-9baa-42dc-ad30-321dfeb711bd","type":"CDSView"},{"attributes":{"source":{"id":"a4576a16-4356-4adb-9dad-fbd5322e1da2","type":"ColumnDataSource"}},"id":"b74d42fe-44f0-4c4e-b2d7-ce0bfdf4c6ae","type":"CDSView"},{"attributes":{"fill_color":{"value":"#718dbf"},"line_color":{"value":"#718dbf"},"top":{"field":"2016"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"8eeee9b0-0739-4bd9-809c-e1d0c52891f2","type":"Dodge"}}},"id":"2ee9e4ed-d40a-4864-ac0a-5b2238b094a6","type":"VBar"},{"attributes":{"items":[{"id":"8db620cf-ef9e-4591-adb6-04b1feeb7c68","type":"LegendItem"},{"id":"e4b18727-2b88-42ca-84d5-8f9f0475e479","type":"LegendItem"},{"id":"5fc129f9-af93-4f39-9a9f-a506036145e3","type":"LegendItem"}],"location":"top_left","orientation":"horizontal","plot":{"id":"d310a437-0b5b-49f5-b302-bb1a67fa9ec9","subtype":"Figure","type":"Plot"}},"id":"aeef2974-e139-4a5f-92cd-fe23dc349e69","type":"Legend"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"d310a437-0b5b-49f5-b302-bb1a67fa9ec9","subtype":"Figure","type":"Plot"},"ticker":{"id":"8dbb54f5-8c7e-4f41-837a-a991668a9b23","type":"CategoricalTicker"}},"id":"105b15fe-2426-4889-a3c9-fd453817e712","type":"Grid"},{"attributes":{"range":{"id":"60fe5887-6e50-4edb-819b-479e27e8a8a9","type":"FactorRange"},"value":0.25},"id":"20b80dc0-b5d6-4d81-8634-f0f8b76cfb97","type":"Dodge"},{"attributes":{},"id":"c566f839-b002-45c5-91fe-98fc8b9a86f1","type":"LinearScale"},{"attributes":{},"id":"8457d902-7480-42c3-89a2-60834d1ecc70","type":"CategoricalTickFormatter"},{"attributes":{},"id":"8decbb30-ef64-4979-9f74-2183ddf9aba6","type":"BasicTicker"}],"root_ids":["d310a437-0b5b-49f5-b302-bb1a67fa9ec9"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"b5ca24ea-490c-4753-9db3-c2c3cd33ddf6","elementid":"6d14e1aa-12e0-4451-9101-c051605cdc8d","modelid":"d310a437-0b5b-49f5-b302-bb1a67fa9ec9"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
