(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("82fceeff-4227-4843-8a1d-e4ef66fcad61");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '82fceeff-4227-4843-8a1d-e4ef66fcad61' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"bbebb3b6-e13c-4af3-ada8-c1809bbec911":{"roots":{"references":[{"attributes":{},"id":"c1692000-39d6-4766-b14b-78a62ec8e143","type":"CategoricalScale"},{"attributes":{"bottom":{"expr":{"id":"154866d0-af03-4dce-8149-6f77b695b220","type":"Stack"}},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"expr":{"id":"6143cd70-e73b-4079-beed-0fd0073a0aed","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"4dfe9c45-1d65-4ccb-bfab-0501d6faaadb","type":"VBar"},{"attributes":{"data_source":{"id":"859e2dd7-fd0f-47e2-9326-17568459954e","type":"ColumnDataSource"},"glyph":{"id":"2ad837d9-d1e1-4ae7-9338-2c337d8d9b84","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"6b60f4ef-97ce-44a6-bd48-52462b5add0e","type":"VBar"},"selection_glyph":null,"view":{"id":"d9fe2c43-c834-4dc9-847a-146388737f34","type":"CDSView"}},"id":"d4cf44b2-8478-4c93-935e-f0f2ac97a952","type":"GlyphRenderer"},{"attributes":{"bottom":{"expr":{"id":"87621400-5c44-428c-b2f6-d292664c8abc","type":"Stack"}},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"expr":{"id":"48888f02-70d3-4e5f-98b9-c9d4e973cca9","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"524b5f2a-e716-46c1-a250-eec22bfae51a","type":"VBar"},{"attributes":{"source":{"id":"859e2dd7-fd0f-47e2-9326-17568459954e","type":"ColumnDataSource"}},"id":"32ead7cd-94c1-49ec-a9ba-4780565a7aa1","type":"CDSView"},{"attributes":{"data_source":{"id":"859e2dd7-fd0f-47e2-9326-17568459954e","type":"ColumnDataSource"},"glyph":{"id":"88180948-2b59-4b1e-a6fe-3393022aa876","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"524b5f2a-e716-46c1-a250-eec22bfae51a","type":"VBar"},"selection_glyph":null,"view":{"id":"1b1cd197-acf0-4485-9d04-6c4e3184676e","type":"CDSView"}},"id":"3503188f-491c-4297-b505-9fc29353a43f","type":"GlyphRenderer"},{"attributes":{"label":{"value":"2016"},"renderers":[{"id":"3503188f-491c-4297-b505-9fc29353a43f","type":"GlyphRenderer"}]},"id":"5663acf4-532d-489d-b268-284383422f83","type":"LegendItem"},{"attributes":{"source":{"id":"859e2dd7-fd0f-47e2-9326-17568459954e","type":"ColumnDataSource"}},"id":"1b1cd197-acf0-4485-9d04-6c4e3184676e","type":"CDSView"},{"attributes":{"label":{"value":"2015"},"renderers":[{"id":"d4cf44b2-8478-4c93-935e-f0f2ac97a952","type":"GlyphRenderer"}]},"id":"e6f407d7-17cc-42f7-91d3-549c748fb280","type":"LegendItem"},{"attributes":{"bottom":{"expr":{"id":"154866d0-af03-4dce-8149-6f77b695b220","type":"Stack"}},"fill_color":{"value":"#e84d60"},"line_color":{"value":"#e84d60"},"top":{"expr":{"id":"6143cd70-e73b-4079-beed-0fd0073a0aed","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"38f3d695-6160-4c2b-96c0-5748cbc8d5d1","type":"VBar"},{"attributes":{"fields":["2015","2016"]},"id":"154866d0-af03-4dce-8149-6f77b695b220","type":"Stack"},{"attributes":{},"id":"7fd9ed98-a687-4897-abb7-832fe736eae9","type":"CategoricalTicker"},{"attributes":{"items":[{"id":"e6f407d7-17cc-42f7-91d3-549c748fb280","type":"LegendItem"},{"id":"5663acf4-532d-489d-b268-284383422f83","type":"LegendItem"},{"id":"4ece534f-bf5e-46c3-913c-160ff5e198e4","type":"LegendItem"}],"location":"top_left","orientation":"horizontal","plot":{"id":"1abc27d9-6843-4363-9c15-028c923d86aa","subtype":"Figure","type":"Plot"}},"id":"14b60526-150e-4ac3-9136-2ab941d83c6d","type":"Legend"},{"attributes":{"fields":["2015"]},"id":"84e45e97-e14a-4bab-ba6d-26b9ddde1790","type":"Stack"},{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"f9ea3c36-32dc-43cc-829c-944f66106513","type":"Title"},{"attributes":{"fields":["2015","2016","2017"]},"id":"6143cd70-e73b-4079-beed-0fd0073a0aed","type":"Stack"},{"attributes":{"formatter":{"id":"da84c9a2-5712-4212-af1b-04bc99f79745","type":"BasicTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"1abc27d9-6843-4363-9c15-028c923d86aa","subtype":"Figure","type":"Plot"},"ticker":{"id":"3030caa6-67f4-4cea-8160-453855af1f41","type":"BasicTicker"}},"id":"560b931b-d82c-4013-a25d-04868062920d","type":"LinearAxis"},{"attributes":{"source":{"id":"859e2dd7-fd0f-47e2-9326-17568459954e","type":"ColumnDataSource"}},"id":"d9fe2c43-c834-4dc9-847a-146388737f34","type":"CDSView"},{"attributes":{},"id":"07278c6d-a5dc-4f24-a227-9ee895e7f167","type":"LinearScale"},{"attributes":{},"id":"da84c9a2-5712-4212-af1b-04bc99f79745","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"09459e3c-dfc7-44a8-b0eb-0c76ca25ae61","type":"CategoricalAxis"}],"left":[{"id":"560b931b-d82c-4013-a25d-04868062920d","type":"LinearAxis"}],"outline_line_color":{"value":null},"plot_height":250,"renderers":[{"id":"09459e3c-dfc7-44a8-b0eb-0c76ca25ae61","type":"CategoricalAxis"},{"id":"6d2ca7b7-9c53-439c-afa2-8b298c8ee21b","type":"Grid"},{"id":"560b931b-d82c-4013-a25d-04868062920d","type":"LinearAxis"},{"id":"1885615a-614a-46a4-91e4-320050c00ee8","type":"Grid"},{"id":"14b60526-150e-4ac3-9136-2ab941d83c6d","type":"Legend"},{"id":"d4cf44b2-8478-4c93-935e-f0f2ac97a952","type":"GlyphRenderer"},{"id":"3503188f-491c-4297-b505-9fc29353a43f","type":"GlyphRenderer"},{"id":"fa050a9e-4697-4399-8442-1c43648bb82a","type":"GlyphRenderer"}],"title":{"id":"f9ea3c36-32dc-43cc-829c-944f66106513","type":"Title"},"toolbar":{"id":"7139e936-836d-472d-96f7-802bf06e01c5","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"a1b4c39f-2da0-465b-a7c9-42ab654c2767","type":"FactorRange"},"x_scale":{"id":"c1692000-39d6-4766-b14b-78a62ec8e143","type":"CategoricalScale"},"y_range":{"id":"e201fbb7-b478-48e8-acc1-f1c5894c271e","type":"DataRange1d"},"y_scale":{"id":"07278c6d-a5dc-4f24-a227-9ee895e7f167","type":"LinearScale"}},"id":"1abc27d9-6843-4363-9c15-028c923d86aa","subtype":"Figure","type":"Plot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"7139e936-836d-472d-96f7-802bf06e01c5","type":"Toolbar"},{"attributes":{"formatter":{"id":"19e73709-51b0-4789-9b37-e7464ac75f09","type":"CategoricalTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"1abc27d9-6843-4363-9c15-028c923d86aa","subtype":"Figure","type":"Plot"},"ticker":{"id":"7fd9ed98-a687-4897-abb7-832fe736eae9","type":"CategoricalTicker"}},"id":"09459e3c-dfc7-44a8-b0eb-0c76ca25ae61","type":"CategoricalAxis"},{"attributes":{"fields":["2015"]},"id":"87621400-5c44-428c-b2f6-d292664c8abc","type":"Stack"},{"attributes":{"fields":["2015","2016"]},"id":"48888f02-70d3-4e5f-98b9-c9d4e973cca9","type":"Stack"},{"attributes":{},"id":"3030caa6-67f4-4cea-8160-453855af1f41","type":"BasicTicker"},{"attributes":{"bottom":{"expr":{"id":"531176d2-b62a-444a-b9d8-6ecf84f0fe53","type":"Stack"}},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"expr":{"id":"84e45e97-e14a-4bab-ba6d-26b9ddde1790","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"6b60f4ef-97ce-44a6-bd48-52462b5add0e","type":"VBar"},{"attributes":{"label":{"value":"2017"},"renderers":[{"id":"fa050a9e-4697-4399-8442-1c43648bb82a","type":"GlyphRenderer"}]},"id":"4ece534f-bf5e-46c3-913c-160ff5e198e4","type":"LegendItem"},{"attributes":{"dimension":1,"plot":{"id":"1abc27d9-6843-4363-9c15-028c923d86aa","subtype":"Figure","type":"Plot"},"ticker":{"id":"3030caa6-67f4-4cea-8160-453855af1f41","type":"BasicTicker"}},"id":"1885615a-614a-46a4-91e4-320050c00ee8","type":"Grid"},{"attributes":{},"id":"19e73709-51b0-4789-9b37-e7464ac75f09","type":"CategoricalTickFormatter"},{"attributes":{"bottom":{"expr":{"id":"87621400-5c44-428c-b2f6-d292664c8abc","type":"Stack"}},"fill_color":{"value":"#718dbf"},"line_color":{"value":"#718dbf"},"top":{"expr":{"id":"48888f02-70d3-4e5f-98b9-c9d4e973cca9","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"88180948-2b59-4b1e-a6fe-3393022aa876","type":"VBar"},{"attributes":{"bottom":{"expr":{"id":"531176d2-b62a-444a-b9d8-6ecf84f0fe53","type":"Stack"}},"fill_color":{"value":"#c9d9d3"},"line_color":{"value":"#c9d9d3"},"top":{"expr":{"id":"84e45e97-e14a-4bab-ba6d-26b9ddde1790","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"2ad837d9-d1e1-4ae7-9338-2c337d8d9b84","type":"VBar"},{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[2,1,4,3,2,4],"2016":[5,3,4,2,4,6],"2017":[3,2,4,4,5,3],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"859e2dd7-fd0f-47e2-9326-17568459954e","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"859e2dd7-fd0f-47e2-9326-17568459954e","type":"ColumnDataSource"},"glyph":{"id":"38f3d695-6160-4c2b-96c0-5748cbc8d5d1","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"4dfe9c45-1d65-4ccb-bfab-0501d6faaadb","type":"VBar"},"selection_glyph":null,"view":{"id":"32ead7cd-94c1-49ec-a9ba-4780565a7aa1","type":"CDSView"}},"id":"fa050a9e-4697-4399-8442-1c43648bb82a","type":"GlyphRenderer"},{"attributes":{"fields":[]},"id":"531176d2-b62a-444a-b9d8-6ecf84f0fe53","type":"Stack"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"range_padding":0.1},"id":"a1b4c39f-2da0-465b-a7c9-42ab654c2767","type":"FactorRange"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"1abc27d9-6843-4363-9c15-028c923d86aa","subtype":"Figure","type":"Plot"},"ticker":{"id":"7fd9ed98-a687-4897-abb7-832fe736eae9","type":"CategoricalTicker"}},"id":"6d2ca7b7-9c53-439c-afa2-8b298c8ee21b","type":"Grid"},{"attributes":{"callback":null,"start":0},"id":"e201fbb7-b478-48e8-acc1-f1c5894c271e","type":"DataRange1d"}],"root_ids":["1abc27d9-6843-4363-9c15-028c923d86aa"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"bbebb3b6-e13c-4af3-ada8-c1809bbec911","elementid":"82fceeff-4227-4843-8a1d-e4ef66fcad61","modelid":"1abc27d9-6843-4363-9c15-028c923d86aa"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
