(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b145c400-96e7-4ec7-9fda-9581d80766ec");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b145c400-96e7-4ec7-9fda-9581d80766ec' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d484a576-e8c2-473a-887a-851bf018640e":{"roots":{"references":[{"attributes":{},"id":"09254268-80bc-4470-88f1-9bdb00245acf","type":"HelpTool"},{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[2,1,4,3,2,4],"2016":[5,3,4,2,4,6],"2017":[3,2,4,4,5,3],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"fe60e83f-f0b0-47f5-bb5b-16d6255995e7","type":"ColumnDataSource"},{"attributes":{"items":[{"id":"075e501f-3ea2-43e8-99e2-87e0ca5b34b9","type":"LegendItem"},{"id":"d878e931-15eb-4938-a27b-410d9783b506","type":"LegendItem"},{"id":"84f38010-6d5a-49b4-9ebf-eb51ab62b9a3","type":"LegendItem"},{"id":"97a81dfd-e421-4319-ba69-6cd42e6a5c8f","type":"LegendItem"},{"id":"370bdb19-a71b-40af-80ed-908155d2a4ea","type":"LegendItem"},{"id":"881a1695-e37f-426a-aa4d-d4b72d53a6a9","type":"LegendItem"}],"location":"top_left","plot":{"id":"586a2435-e826-4f9a-9d50-43c4bb13ec9f","subtype":"Figure","type":"Plot"}},"id":"c913ce05-9f97-43c8-b83e-0a74485d54f6","type":"Legend"},{"attributes":{"overlay":{"id":"cb43e2c9-3db8-4afe-9bc2-7a01d9668c78","type":"BoxAnnotation"}},"id":"14e829fc-f4fe-4808-af6c-ac89db57dcc1","type":"BoxZoomTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"8c37701d-3692-401c-a7c3-fd6cefc2e2b2","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"0211125f-ec65-480c-abda-30edf753926a","type":"Stack"}},"y":{"field":"fruits"}},"id":"8135a38a-7e73-4059-b6db-663f9f18e28f","type":"HBar"},{"attributes":{"source":{"id":"cd928ed2-c911-4f2d-94e9-030eecd09016","type":"ColumnDataSource"}},"id":"b9336994-007f-406f-9908-84055d824c4d","type":"CDSView"},{"attributes":{"data_source":{"id":"fe60e83f-f0b0-47f5-bb5b-16d6255995e7","type":"ColumnDataSource"},"glyph":{"id":"c7523ff2-6048-4a74-a5fc-1ef25b51727e","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"8135a38a-7e73-4059-b6db-663f9f18e28f","type":"HBar"},"selection_glyph":null,"view":{"id":"3efcd6e2-700e-4468-b79a-2feb7205f4ea","type":"CDSView"}},"id":"f40f46a7-1353-4080-861a-efcf470a9029","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"6291bf59-8c9e-4aeb-8e96-783795156f7f","type":"BasicTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"586a2435-e826-4f9a-9d50-43c4bb13ec9f","subtype":"Figure","type":"Plot"},"ticker":{"id":"1d3cd312-864e-403b-91cd-cd9f1964b9e9","type":"BasicTicker"}},"id":"f55cb741-02fd-481d-bd7d-3314196ab174","type":"LinearAxis"},{"attributes":{"label":{"value":"2016 imports"},"renderers":[{"id":"97a56d3e-d9fc-4fdb-816b-eee709ab2731","type":"GlyphRenderer"}]},"id":"370bdb19-a71b-40af-80ed-908155d2a4ea","type":"LegendItem"},{"attributes":{"fields":["2015"]},"id":"0211125f-ec65-480c-abda-30edf753926a","type":"Stack"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"496b79e4-a462-4c67-980c-336d29733aed","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"82112e3b-59a7-411b-aed9-a988e9402492","type":"Stack"}},"y":{"field":"fruits"}},"id":"a6988e05-107c-4741-99d5-c59a5b0ed74f","type":"HBar"},{"attributes":{"fields":["2015"]},"id":"8ade5ce9-f6b9-4305-8e11-5a1d6500e592","type":"Stack"},{"attributes":{"fill_color":{"value":"#fee8c8"},"height":{"value":0.9},"left":{"expr":{"id":"496b79e4-a462-4c67-980c-336d29733aed","type":"Stack"}},"line_color":{"value":"#fee8c8"},"right":{"expr":{"id":"82112e3b-59a7-411b-aed9-a988e9402492","type":"Stack"}},"y":{"field":"fruits"}},"id":"3b755212-0900-419e-a491-53adf02b21cd","type":"HBar"},{"attributes":{"data_source":{"id":"cd928ed2-c911-4f2d-94e9-030eecd09016","type":"ColumnDataSource"},"glyph":{"id":"c9e0efb4-b79e-4144-8c76-04dbdee2109f","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"8a5450ce-4ed0-4970-a7d9-795a76764cf6","type":"HBar"},"selection_glyph":null,"view":{"id":"b9336994-007f-406f-9908-84055d824c4d","type":"CDSView"}},"id":"97a56d3e-d9fc-4fdb-816b-eee709ab2731","type":"GlyphRenderer"},{"attributes":{"source":{"id":"fe60e83f-f0b0-47f5-bb5b-16d6255995e7","type":"ColumnDataSource"}},"id":"3efcd6e2-700e-4468-b79a-2feb7205f4ea","type":"CDSView"},{"attributes":{"label":{"value":"2016 exports"},"renderers":[{"id":"9c153604-4f4c-4789-8525-0a7fc1031b30","type":"GlyphRenderer"}]},"id":"d878e931-15eb-4938-a27b-410d9783b506","type":"LegendItem"},{"attributes":{"source":{"id":"cd928ed2-c911-4f2d-94e9-030eecd09016","type":"ColumnDataSource"}},"id":"e80112b7-5a42-4ade-b820-0f830d47886a","type":"CDSView"},{"attributes":{},"id":"faea8f3c-63ad-496d-b4a6-490a45571483","type":"CategoricalTickFormatter"},{"attributes":{"fields":[]},"id":"ba9acf8f-11db-44d5-8278-a9d213906483","type":"Stack"},{"attributes":{"fields":["2015"]},"id":"7b9687f9-ce47-4d40-9170-a527a61390b3","type":"Stack"},{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[-1,0,-1,-3,-2,-1],"2016":[-2,-1,-3,-1,-2,-2],"2017":[-1,-2,-1,0,-2,-2],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"cd928ed2-c911-4f2d-94e9-030eecd09016","type":"ColumnDataSource"},{"attributes":{"fields":["2015","2016"]},"id":"496b79e4-a462-4c67-980c-336d29733aed","type":"Stack"},{"attributes":{"callback":null,"end":16,"start":-16},"id":"297703d6-a9c5-40c7-8e42-4a5332122564","type":"Range1d"},{"attributes":{"fill_color":{"value":"#e34a33"},"height":{"value":0.9},"left":{"expr":{"id":"ba9acf8f-11db-44d5-8278-a9d213906483","type":"Stack"}},"line_color":{"value":"#e34a33"},"right":{"expr":{"id":"8ade5ce9-f6b9-4305-8e11-5a1d6500e592","type":"Stack"}},"y":{"field":"fruits"}},"id":"2ae093ad-d323-4238-b042-8bfa76a200b4","type":"HBar"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"51106809-9265-4b8a-b672-447429ae7ae5","type":"PanTool"},{"id":"be519320-60db-48a5-b274-967f92d208a7","type":"WheelZoomTool"},{"id":"14e829fc-f4fe-4808-af6c-ac89db57dcc1","type":"BoxZoomTool"},{"id":"c0f0ff6b-3acd-49ec-a842-378ce3cad9de","type":"SaveTool"},{"id":"0794191e-f1d8-40e0-a604-9531b544d2bd","type":"ResetTool"},{"id":"09254268-80bc-4470-88f1-9bdb00245acf","type":"HelpTool"}]},"id":"be6e6216-72b1-47c0-968f-d4988a7eb406","type":"Toolbar"},{"attributes":{"data_source":{"id":"cd928ed2-c911-4f2d-94e9-030eecd09016","type":"ColumnDataSource"},"glyph":{"id":"2ae093ad-d323-4238-b042-8bfa76a200b4","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ec45642e-7579-4c78-b057-1cdba6738d51","type":"HBar"},"selection_glyph":null,"view":{"id":"e80112b7-5a42-4ade-b820-0f830d47886a","type":"CDSView"}},"id":"6e3d9169-20ed-4743-ab91-2fe0f1e2aa0e","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"9620da7c-7e58-46a5-bc3e-84c99a5ec18f","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"49d69be8-46a8-40a0-b4e8-00b1873f0c16","type":"Stack"}},"y":{"field":"fruits"}},"id":"88e3d2b8-1f43-4871-9c49-cbccb97b3ef7","type":"HBar"},{"attributes":{"label":{"value":"2017 exports"},"renderers":[{"id":"6273bb1f-a040-4ab0-a419-0eaa275a5cfd","type":"GlyphRenderer"}]},"id":"84f38010-6d5a-49b4-9ebf-eb51ab62b9a3","type":"LegendItem"},{"attributes":{"data_source":{"id":"fe60e83f-f0b0-47f5-bb5b-16d6255995e7","type":"ColumnDataSource"},"glyph":{"id":"563f0a7d-045d-45a1-a1be-ccf29e443d37","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"035a031c-fb65-4ab6-99fd-69b5eefdb445","type":"HBar"},"selection_glyph":null,"view":{"id":"6960b448-69ba-4cbe-8489-a2161df01e73","type":"CDSView"}},"id":"6273bb1f-a040-4ab0-a419-0eaa275a5cfd","type":"GlyphRenderer"},{"attributes":{},"id":"be519320-60db-48a5-b274-967f92d208a7","type":"WheelZoomTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"7b9687f9-ce47-4d40-9170-a527a61390b3","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"0ab2fec7-4354-484a-9627-40c12b933fde","type":"Stack"}},"y":{"field":"fruits"}},"id":"8a5450ce-4ed0-4970-a7d9-795a76764cf6","type":"HBar"},{"attributes":{},"id":"1d3cd312-864e-403b-91cd-cd9f1964b9e9","type":"BasicTicker"},{"attributes":{"source":{"id":"fe60e83f-f0b0-47f5-bb5b-16d6255995e7","type":"ColumnDataSource"}},"id":"6960b448-69ba-4cbe-8489-a2161df01e73","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"cb43e2c9-3db8-4afe-9bc2-7a01d9668c78","type":"BoxAnnotation"},{"attributes":{"data_source":{"id":"fe60e83f-f0b0-47f5-bb5b-16d6255995e7","type":"ColumnDataSource"},"glyph":{"id":"c334e6f6-954a-45ba-b722-adffb6c97a28","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"88e3d2b8-1f43-4871-9c49-cbccb97b3ef7","type":"HBar"},"selection_glyph":null,"view":{"id":"d6db1a1d-504a-420a-ac1f-39aaa7977457","type":"CDSView"}},"id":"9c153604-4f4c-4789-8525-0a7fc1031b30","type":"GlyphRenderer"},{"attributes":{"fill_color":{"value":"#fdbb84"},"height":{"value":0.9},"left":{"expr":{"id":"7b9687f9-ce47-4d40-9170-a527a61390b3","type":"Stack"}},"line_color":{"value":"#fdbb84"},"right":{"expr":{"id":"0ab2fec7-4354-484a-9627-40c12b933fde","type":"Stack"}},"y":{"field":"fruits"}},"id":"c9e0efb4-b79e-4144-8c76-04dbdee2109f","type":"HBar"},{"attributes":{"plot":null,"text":"Fruit import/export, by year"},"id":"e541c0ec-9d4d-44ae-855a-ca1c9320e2c4","type":"Title"},{"attributes":{"fields":["2015","2016"]},"id":"49d69be8-46a8-40a0-b4e8-00b1873f0c16","type":"Stack"},{"attributes":{"fill_color":{"value":"#43a2ca"},"height":{"value":0.9},"left":{"expr":{"id":"8c37701d-3692-401c-a7c3-fd6cefc2e2b2","type":"Stack"}},"line_color":{"value":"#43a2ca"},"right":{"expr":{"id":"0211125f-ec65-480c-abda-30edf753926a","type":"Stack"}},"y":{"field":"fruits"}},"id":"c7523ff2-6048-4a74-a5fc-1ef25b51727e","type":"HBar"},{"attributes":{"fields":["2015"]},"id":"9620da7c-7e58-46a5-bc3e-84c99a5ec18f","type":"Stack"},{"attributes":{"source":{"id":"cd928ed2-c911-4f2d-94e9-030eecd09016","type":"ColumnDataSource"}},"id":"35361acc-e81a-474a-872f-97c6f2aaffb5","type":"CDSView"},{"attributes":{"plot":{"id":"586a2435-e826-4f9a-9d50-43c4bb13ec9f","subtype":"Figure","type":"Plot"},"ticker":{"id":"1d3cd312-864e-403b-91cd-cd9f1964b9e9","type":"BasicTicker"}},"id":"bc8003d3-8dce-488b-be76-5bafa86a383e","type":"Grid"},{"attributes":{},"id":"7c4fb241-e509-4fe6-9988-37ef6c5f53fa","type":"LinearScale"},{"attributes":{"fields":["2015","2016"]},"id":"6942af0e-98ce-4a36-93a7-0acd9d2c41e4","type":"Stack"},{"attributes":{"fill_color":{"value":"#e0f3db"},"height":{"value":0.9},"left":{"expr":{"id":"6942af0e-98ce-4a36-93a7-0acd9d2c41e4","type":"Stack"}},"line_color":{"value":"#e0f3db"},"right":{"expr":{"id":"76a6d73b-ebdc-4190-85b8-015db40d1d28","type":"Stack"}},"y":{"field":"fruits"}},"id":"563f0a7d-045d-45a1-a1be-ccf29e443d37","type":"HBar"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"range_padding":0.1},"id":"2fbc644f-f064-4462-9939-143a5f871918","type":"FactorRange"},{"attributes":{"fields":["2015","2016","2017"]},"id":"82112e3b-59a7-411b-aed9-a988e9402492","type":"Stack"},{"attributes":{"fill_color":{"value":"#a8ddb5"},"height":{"value":0.9},"left":{"expr":{"id":"9620da7c-7e58-46a5-bc3e-84c99a5ec18f","type":"Stack"}},"line_color":{"value":"#a8ddb5"},"right":{"expr":{"id":"49d69be8-46a8-40a0-b4e8-00b1873f0c16","type":"Stack"}},"y":{"field":"fruits"}},"id":"c334e6f6-954a-45ba-b722-adffb6c97a28","type":"HBar"},{"attributes":{"label":{"value":"2015 exports"},"renderers":[{"id":"f40f46a7-1353-4080-861a-efcf470a9029","type":"GlyphRenderer"}]},"id":"075e501f-3ea2-43e8-99e2-87e0ca5b34b9","type":"LegendItem"},{"attributes":{},"id":"0794191e-f1d8-40e0-a604-9531b544d2bd","type":"ResetTool"},{"attributes":{},"id":"1d659f53-67e2-4a44-a53b-3efd97fab2b7","type":"CategoricalScale"},{"attributes":{"fields":["2015","2016"]},"id":"0ab2fec7-4354-484a-9627-40c12b933fde","type":"Stack"},{"attributes":{"label":{"value":"2017 imports"},"renderers":[{"id":"97f2d6cd-f664-4d31-95ce-ab6b12236e78","type":"GlyphRenderer"}]},"id":"881a1695-e37f-426a-aa4d-d4b72d53a6a9","type":"LegendItem"},{"attributes":{},"id":"51106809-9265-4b8a-b672-447429ae7ae5","type":"PanTool"},{"attributes":{"source":{"id":"fe60e83f-f0b0-47f5-bb5b-16d6255995e7","type":"ColumnDataSource"}},"id":"d6db1a1d-504a-420a-ac1f-39aaa7977457","type":"CDSView"},{"attributes":{},"id":"c0f0ff6b-3acd-49ec-a842-378ce3cad9de","type":"SaveTool"},{"attributes":{"label":{"value":"2015 imports"},"renderers":[{"id":"6e3d9169-20ed-4743-ab91-2fe0f1e2aa0e","type":"GlyphRenderer"}]},"id":"97a81dfd-e421-4319-ba69-6cd42e6a5c8f","type":"LegendItem"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"ba9acf8f-11db-44d5-8278-a9d213906483","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"8ade5ce9-f6b9-4305-8e11-5a1d6500e592","type":"Stack"}},"y":{"field":"fruits"}},"id":"ec45642e-7579-4c78-b057-1cdba6738d51","type":"HBar"},{"attributes":{"below":[{"id":"f55cb741-02fd-481d-bd7d-3314196ab174","type":"LinearAxis"}],"left":[{"id":"e5acca55-4b15-439a-a5e8-d81798f73935","type":"CategoricalAxis"}],"outline_line_color":{"value":null},"plot_height":250,"renderers":[{"id":"f55cb741-02fd-481d-bd7d-3314196ab174","type":"LinearAxis"},{"id":"bc8003d3-8dce-488b-be76-5bafa86a383e","type":"Grid"},{"id":"e5acca55-4b15-439a-a5e8-d81798f73935","type":"CategoricalAxis"},{"id":"36f6d187-e25d-4fbd-b751-8f40af92ec48","type":"Grid"},{"id":"cb43e2c9-3db8-4afe-9bc2-7a01d9668c78","type":"BoxAnnotation"},{"id":"c913ce05-9f97-43c8-b83e-0a74485d54f6","type":"Legend"},{"id":"f40f46a7-1353-4080-861a-efcf470a9029","type":"GlyphRenderer"},{"id":"9c153604-4f4c-4789-8525-0a7fc1031b30","type":"GlyphRenderer"},{"id":"6273bb1f-a040-4ab0-a419-0eaa275a5cfd","type":"GlyphRenderer"},{"id":"6e3d9169-20ed-4743-ab91-2fe0f1e2aa0e","type":"GlyphRenderer"},{"id":"97a56d3e-d9fc-4fdb-816b-eee709ab2731","type":"GlyphRenderer"},{"id":"97f2d6cd-f664-4d31-95ce-ab6b12236e78","type":"GlyphRenderer"}],"title":{"id":"e541c0ec-9d4d-44ae-855a-ca1c9320e2c4","type":"Title"},"toolbar":{"id":"be6e6216-72b1-47c0-968f-d4988a7eb406","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"297703d6-a9c5-40c7-8e42-4a5332122564","type":"Range1d"},"x_scale":{"id":"7c4fb241-e509-4fe6-9988-37ef6c5f53fa","type":"LinearScale"},"y_range":{"id":"2fbc644f-f064-4462-9939-143a5f871918","type":"FactorRange"},"y_scale":{"id":"1d659f53-67e2-4a44-a53b-3efd97fab2b7","type":"CategoricalScale"}},"id":"586a2435-e826-4f9a-9d50-43c4bb13ec9f","subtype":"Figure","type":"Plot"},{"attributes":{"fields":[]},"id":"8c37701d-3692-401c-a7c3-fd6cefc2e2b2","type":"Stack"},{"attributes":{"formatter":{"id":"faea8f3c-63ad-496d-b4a6-490a45571483","type":"CategoricalTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"586a2435-e826-4f9a-9d50-43c4bb13ec9f","subtype":"Figure","type":"Plot"},"ticker":{"id":"6c68bc6d-dfeb-48b6-91c0-113497ecb4e4","type":"CategoricalTicker"}},"id":"e5acca55-4b15-439a-a5e8-d81798f73935","type":"CategoricalAxis"},{"attributes":{"fields":["2015","2016","2017"]},"id":"76a6d73b-ebdc-4190-85b8-015db40d1d28","type":"Stack"},{"attributes":{},"id":"6291bf59-8c9e-4aeb-8e96-783795156f7f","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"grid_line_color":{"value":null},"plot":{"id":"586a2435-e826-4f9a-9d50-43c4bb13ec9f","subtype":"Figure","type":"Plot"},"ticker":{"id":"6c68bc6d-dfeb-48b6-91c0-113497ecb4e4","type":"CategoricalTicker"}},"id":"36f6d187-e25d-4fbd-b751-8f40af92ec48","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"6942af0e-98ce-4a36-93a7-0acd9d2c41e4","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"76a6d73b-ebdc-4190-85b8-015db40d1d28","type":"Stack"}},"y":{"field":"fruits"}},"id":"035a031c-fb65-4ab6-99fd-69b5eefdb445","type":"HBar"},{"attributes":{},"id":"6c68bc6d-dfeb-48b6-91c0-113497ecb4e4","type":"CategoricalTicker"},{"attributes":{"data_source":{"id":"cd928ed2-c911-4f2d-94e9-030eecd09016","type":"ColumnDataSource"},"glyph":{"id":"3b755212-0900-419e-a491-53adf02b21cd","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a6988e05-107c-4741-99d5-c59a5b0ed74f","type":"HBar"},"selection_glyph":null,"view":{"id":"35361acc-e81a-474a-872f-97c6f2aaffb5","type":"CDSView"}},"id":"97f2d6cd-f664-4d31-95ce-ab6b12236e78","type":"GlyphRenderer"}],"root_ids":["586a2435-e826-4f9a-9d50-43c4bb13ec9f"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d484a576-e8c2-473a-887a-851bf018640e","elementid":"b145c400-96e7-4ec7-9fda-9581d80766ec","modelid":"586a2435-e826-4f9a-9d50-43c4bb13ec9f"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
