(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2a4c6074-1b4f-47d5-9174-cd0d1e00f6e5");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2a4c6074-1b4f-47d5-9174-cd0d1e00f6e5' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"fbbe8c80-3351-46cc-a7b1-b744d1ed0426":{"roots":{"references":[{"attributes":{"dimension":1,"plot":{"id":"6032bda9-a12d-4544-9a78-fbfbcc8bd3a3","subtype":"Figure","type":"Plot"},"ticker":{"id":"a3e9409e-5e32-4554-bcd5-b6ff29c70b3d","type":"BasicTicker"}},"id":"be53d8d0-11ea-4ff4-bc39-050185952e71","type":"Grid"},{"attributes":{"source":{"id":"571ffdd5-8255-43dc-8183-69559ce8db38","type":"ColumnDataSource"}},"id":"988a7d28-0503-4793-a350-6b7b692b75dd","type":"CDSView"},{"attributes":{"formatter":{"id":"47bf7cbf-519e-48e4-b195-06aa1e44f7fa","type":"BasicTickFormatter"},"plot":{"id":"6032bda9-a12d-4544-9a78-fbfbcc8bd3a3","subtype":"Figure","type":"Plot"},"ticker":{"id":"a3e9409e-5e32-4554-bcd5-b6ff29c70b3d","type":"BasicTicker"}},"id":"ca803596-61d9-407c-9833-575d5cde9646","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.5},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"267a702b-4efe-4ce9-b852-cccf6ed3a864","type":"VBar"},{"attributes":{},"id":"47bf7cbf-519e-48e4-b195-06aa1e44f7fa","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"492613d2-f817-470a-98e9-b72f628efe6f","type":"Toolbar"},{"attributes":{"callback":null,"factors":[["Q1","jan"],["Q1","feb"],["Q1","mar"],["Q2","apr"],["Q2","may"],["Q2","jun"],["Q3","jul"],["Q3","aug"],["Q3","sep"],["Q4","oct"],["Q4","nov"],["Q4","dec"]],"range_padding":0.1},"id":"2f307f2b-4615-4129-928f-ca98867d486c","type":"FactorRange"},{"attributes":{},"id":"13c59b8b-b143-418b-97eb-9e3534057dec","type":"CategoricalTicker"},{"attributes":{},"id":"9cfbd63a-ac74-4f8e-ae1e-e1fe9bc71ec2","type":"LinearScale"},{"attributes":{},"id":"a3e9409e-5e32-4554-bcd5-b6ff29c70b3d","type":"BasicTicker"},{"attributes":{"formatter":{"id":"e6c0a69f-92fd-4390-8bf1-ae2c581156b1","type":"CategoricalTickFormatter"},"major_label_orientation":1,"plot":{"id":"6032bda9-a12d-4544-9a78-fbfbcc8bd3a3","subtype":"Figure","type":"Plot"},"ticker":{"id":"13c59b8b-b143-418b-97eb-9e3534057dec","type":"CategoricalTicker"}},"id":"4434f2ef-1263-466e-8dd0-72cc2cf6506f","type":"CategoricalAxis"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"0b1366bc-01c1-4492-b0d4-41e03543d5b6","type":"Line"},{"attributes":{"line_color":{"value":"red"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"cfdb1ec3-f77a-4a63-b524-81e21701b7f0","type":"Line"},{"attributes":{"source":{"id":"1e401a87-b3dd-411d-bf6b-8ffacc1f3271","type":"ColumnDataSource"}},"id":"f23c6ed9-c13f-4e7a-9023-901dbc1843fa","type":"CDSView"},{"attributes":{"plot":null,"text":""},"id":"43e5cc55-e086-45c6-8120-f6ea2667deb9","type":"Title"},{"attributes":{"callback":null,"start":0},"id":"f695af0b-6cb8-4408-82fc-040b5925584d","type":"DataRange1d"},{"attributes":{},"id":"e6c0a69f-92fd-4390-8bf1-ae2c581156b1","type":"CategoricalTickFormatter"},{"attributes":{"callback":null,"column_names":["top","x"],"data":{"top":[10,12,16,9,10,8,12,13,14,14,12,16],"x":[["Q1","jan"],["Q1","feb"],["Q1","mar"],["Q2","apr"],["Q2","may"],["Q2","jun"],["Q3","jul"],["Q3","aug"],["Q3","sep"],["Q4","oct"],["Q4","nov"],["Q4","dec"]]}},"id":"1e401a87-b3dd-411d-bf6b-8ffacc1f3271","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"571ffdd5-8255-43dc-8183-69559ce8db38","type":"ColumnDataSource"},"glyph":{"id":"cfdb1ec3-f77a-4a63-b524-81e21701b7f0","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"0b1366bc-01c1-4492-b0d4-41e03543d5b6","type":"Line"},"selection_glyph":null,"view":{"id":"988a7d28-0503-4793-a350-6b7b692b75dd","type":"CDSView"}},"id":"3ed6077a-74e9-4e5b-9ff9-aa7d4b19beb3","type":"GlyphRenderer"},{"attributes":{},"id":"a140684a-6932-46ae-9617-ca74d967055e","type":"CategoricalScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":["Q1","Q2","Q3","Q4"],"y":[12,9,13,14]}},"id":"571ffdd5-8255-43dc-8183-69559ce8db38","type":"ColumnDataSource"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"6032bda9-a12d-4544-9a78-fbfbcc8bd3a3","subtype":"Figure","type":"Plot"},"ticker":{"id":"13c59b8b-b143-418b-97eb-9e3534057dec","type":"CategoricalTicker"}},"id":"7057fd46-b375-4fdc-832b-20040a294277","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"ebb0e896-eec4-46ff-aa2c-7f77534f7fb9","type":"VBar"},{"attributes":{"below":[{"id":"4434f2ef-1263-466e-8dd0-72cc2cf6506f","type":"CategoricalAxis"}],"left":[{"id":"ca803596-61d9-407c-9833-575d5cde9646","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"4434f2ef-1263-466e-8dd0-72cc2cf6506f","type":"CategoricalAxis"},{"id":"7057fd46-b375-4fdc-832b-20040a294277","type":"Grid"},{"id":"ca803596-61d9-407c-9833-575d5cde9646","type":"LinearAxis"},{"id":"be53d8d0-11ea-4ff4-bc39-050185952e71","type":"Grid"},{"id":"70cc8779-b364-40f0-b4d4-ef36249e9878","type":"GlyphRenderer"},{"id":"3ed6077a-74e9-4e5b-9ff9-aa7d4b19beb3","type":"GlyphRenderer"}],"title":{"id":"43e5cc55-e086-45c6-8120-f6ea2667deb9","type":"Title"},"toolbar":{"id":"492613d2-f817-470a-98e9-b72f628efe6f","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"2f307f2b-4615-4129-928f-ca98867d486c","type":"FactorRange"},"x_scale":{"id":"a140684a-6932-46ae-9617-ca74d967055e","type":"CategoricalScale"},"y_range":{"id":"f695af0b-6cb8-4408-82fc-040b5925584d","type":"DataRange1d"},"y_scale":{"id":"9cfbd63a-ac74-4f8e-ae1e-e1fe9bc71ec2","type":"LinearScale"}},"id":"6032bda9-a12d-4544-9a78-fbfbcc8bd3a3","subtype":"Figure","type":"Plot"},{"attributes":{"data_source":{"id":"1e401a87-b3dd-411d-bf6b-8ffacc1f3271","type":"ColumnDataSource"},"glyph":{"id":"267a702b-4efe-4ce9-b852-cccf6ed3a864","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ebb0e896-eec4-46ff-aa2c-7f77534f7fb9","type":"VBar"},"selection_glyph":null,"view":{"id":"f23c6ed9-c13f-4e7a-9023-901dbc1843fa","type":"CDSView"}},"id":"70cc8779-b364-40f0-b4d4-ef36249e9878","type":"GlyphRenderer"}],"root_ids":["6032bda9-a12d-4544-9a78-fbfbcc8bd3a3"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"fbbe8c80-3351-46cc-a7b1-b744d1ed0426","elementid":"2a4c6074-1b4f-47d5-9174-cd0d1e00f6e5","modelid":"6032bda9-a12d-4544-9a78-fbfbcc8bd3a3"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
