(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("d738aa99-d53e-4776-a118-4861ea76c873");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'd738aa99-d53e-4776-a118-4861ea76c873' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"66a0967c-8a66-41bf-a68a-c61f540aea2a":{"roots":{"references":[{"attributes":{},"id":"b5ca634e-610a-4079-97de-014ffd00e2d2","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"ababbedf-8b5a-434d-a74a-891c14c0e19f","type":"ColumnDataSource"},"glyph":{"id":"5d4a3659-5aff-4fe8-b38e-03dff9cff798","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"773aa31e-1c48-4b1b-af3a-62c27fce3435","type":"Circle"},"selection_glyph":null,"view":{"id":"4b40ce2a-2713-4ff3-a33e-13408c652602","type":"CDSView"}},"id":"46fc1fd0-f444-4fd6-b42f-5ee5306de850","type":"GlyphRenderer"},{"attributes":{},"id":"7e147030-159f-4984-a4d3-4e51d1e4d303","type":"PanTool"},{"attributes":{"formatter":{"id":"b5ca634e-610a-4079-97de-014ffd00e2d2","type":"BasicTickFormatter"},"plot":{"id":"4133862f-aec5-4603-af18-a884aabd3a7a","subtype":"Figure","type":"Plot"},"ticker":{"id":"1e43e95d-cfcf-402f-a153-9382bf3263e3","type":"BasicTicker"}},"id":"68640bcb-93d3-4758-a86a-3168b12fdd9b","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.3},"x":{"field":"x"},"y":{"field":"y"}},"id":"773aa31e-1c48-4b1b-af3a-62c27fce3435","type":"Circle"},{"attributes":{"below":[{"id":"68640bcb-93d3-4758-a86a-3168b12fdd9b","type":"LinearAxis"}],"left":[{"id":"b742f6d4-0289-4adc-a887-a7f7b0e7612a","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"68640bcb-93d3-4758-a86a-3168b12fdd9b","type":"LinearAxis"},{"id":"ee2ff695-0175-466f-a360-2d80a13ec268","type":"Grid"},{"id":"b742f6d4-0289-4adc-a887-a7f7b0e7612a","type":"LinearAxis"},{"id":"c3c08420-1f1a-4b63-ab5c-70fde41c3917","type":"Grid"},{"id":"46fc1fd0-f444-4fd6-b42f-5ee5306de850","type":"GlyphRenderer"}],"title":{"id":"87fe84df-6b72-4c2c-b7ef-4d2bc3dc9f2a","type":"Title"},"toolbar":{"id":"a8b30c9d-ff3d-4470-b902-75ef7a8206c5","type":"Toolbar"},"x_range":{"id":"4678763c-5f9e-4e44-afec-0c7172c8e3e6","type":"DataRange1d"},"x_scale":{"id":"c0035d03-38cc-47bc-bb75-424552fec88b","type":"LinearScale"},"y_range":{"id":"649e10c4-536b-4d82-b464-6fb7a3686b69","type":"DataRange1d"},"y_scale":{"id":"176c09aa-e3ad-4095-b9c2-a54c585788b1","type":"LinearScale"}},"id":"4133862f-aec5-4603-af18-a884aabd3a7a","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"4678763c-5f9e-4e44-afec-0c7172c8e3e6","type":"DataRange1d"},{"attributes":{"source":{"id":"ababbedf-8b5a-434d-a74a-891c14c0e19f","type":"ColumnDataSource"}},"id":"4b40ce2a-2713-4ff3-a33e-13408c652602","type":"CDSView"},{"attributes":{"formatter":{"id":"2f637b9d-bc0a-4ba7-a3e5-e06675c4e1da","type":"BasicTickFormatter"},"plot":{"id":"4133862f-aec5-4603-af18-a884aabd3a7a","subtype":"Figure","type":"Plot"},"ticker":{"id":"11ba4655-25bc-46e1-89cb-bed9d01b0150","type":"BasicTicker"}},"id":"b742f6d4-0289-4adc-a887-a7f7b0e7612a","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"4133862f-aec5-4603-af18-a884aabd3a7a","subtype":"Figure","type":"Plot"},"ticker":{"id":"11ba4655-25bc-46e1-89cb-bed9d01b0150","type":"BasicTicker"}},"id":"c3c08420-1f1a-4b63-ab5c-70fde41c3917","type":"Grid"},{"attributes":{},"id":"2f637b9d-bc0a-4ba7-a3e5-e06675c4e1da","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"4133862f-aec5-4603-af18-a884aabd3a7a","subtype":"Figure","type":"Plot"},"ticker":{"id":"1e43e95d-cfcf-402f-a153-9382bf3263e3","type":"BasicTicker"}},"id":"ee2ff695-0175-466f-a360-2d80a13ec268","type":"Grid"},{"attributes":{"callback":null},"id":"649e10c4-536b-4d82-b464-6fb7a3686b69","type":"DataRange1d"},{"attributes":{},"id":"1e43e95d-cfcf-402f-a153-9382bf3263e3","type":"BasicTicker"},{"attributes":{},"id":"176c09aa-e3ad-4095-b9c2-a54c585788b1","type":"LinearScale"},{"attributes":{},"id":"127f944b-ad7c-40e8-9f9d-bd8341749890","type":"SaveTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2.5,3,2],"y":[2,3,1,1.5]}},"id":"ababbedf-8b5a-434d-a74a-891c14c0e19f","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.5},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.3},"x":{"field":"x"},"y":{"field":"y"}},"id":"5d4a3659-5aff-4fe8-b38e-03dff9cff798","type":"Circle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"7e147030-159f-4984-a4d3-4e51d1e4d303","type":"PanTool"},{"id":"ef043745-a54d-4b80-a102-16d23ace7979","type":"ResetTool"},{"id":"127f944b-ad7c-40e8-9f9d-bd8341749890","type":"SaveTool"}]},"id":"a8b30c9d-ff3d-4470-b902-75ef7a8206c5","type":"Toolbar"},{"attributes":{},"id":"11ba4655-25bc-46e1-89cb-bed9d01b0150","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"87fe84df-6b72-4c2c-b7ef-4d2bc3dc9f2a","type":"Title"},{"attributes":{},"id":"c0035d03-38cc-47bc-bb75-424552fec88b","type":"LinearScale"},{"attributes":{},"id":"ef043745-a54d-4b80-a102-16d23ace7979","type":"ResetTool"}],"root_ids":["4133862f-aec5-4603-af18-a884aabd3a7a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"66a0967c-8a66-41bf-a68a-c61f540aea2a","elementid":"d738aa99-d53e-4776-a118-4861ea76c873","modelid":"4133862f-aec5-4603-af18-a884aabd3a7a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
