(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("0e3ce63c-1fef-4700-aee5-85efbe4721ea");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '0e3ce63c-1fef-4700-aee5-85efbe4721ea' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"375d042d-3b39-4fe9-b6f3-1b29854087e7":{"roots":{"references":[{"attributes":{"dimension":1,"plot":{"id":"8f14e996-4f4f-4320-ab8c-f36b7d1e223d","subtype":"Figure","type":"Plot"},"ticker":{"id":"de64b934-3dac-4066-8f55-51abad8e96f5","type":"BasicTicker"}},"id":"34a79709-fd8c-49c8-b272-cd99ed590a63","type":"Grid"},{"attributes":{},"id":"31d816e8-6ddb-4695-9394-d72d000f7421","type":"HelpTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y0"}},"id":"a50a06f8-5f7d-4c30-bf3a-8143a83ab5b8","type":"Circle"},{"attributes":{},"id":"609e806d-1c01-4fe3-9e65-1fd6527daec3","type":"BasicTickFormatter"},{"attributes":{},"id":"898c6e35-58f4-40a0-b74d-8e64631952b0","type":"HelpTool"},{"attributes":{"sizing_mode":"scale_width","toolbar_location":"above","tools":[{"id":"817bc5b4-bfdf-44de-bffc-1c81a4abd121","type":"BoxSelectTool"},{"id":"ec83813c-55e8-42d9-881b-1058d74e67f4","type":"LassoSelectTool"},{"id":"31d816e8-6ddb-4695-9394-d72d000f7421","type":"HelpTool"},{"id":"434f82df-16e0-48e0-815a-3cb96a53f037","type":"BoxSelectTool"},{"id":"6a3b3b95-99ae-4ac8-8769-454ffe99a66a","type":"LassoSelectTool"},{"id":"898c6e35-58f4-40a0-b74d-8e64631952b0","type":"HelpTool"}]},"id":"0838a740-fb62-4399-8188-bfd80ee25267","type":"ToolbarBox"},{"attributes":{"below":[{"id":"4df27bdd-6ba9-4c4b-9be9-708d10982b9e","type":"LinearAxis"}],"left":[{"id":"36b8e31c-6a57-4d85-aefc-1164f3999d54","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"4df27bdd-6ba9-4c4b-9be9-708d10982b9e","type":"LinearAxis"},{"id":"1e6d01e0-6b94-4498-a404-de065afec3c2","type":"Grid"},{"id":"36b8e31c-6a57-4d85-aefc-1164f3999d54","type":"LinearAxis"},{"id":"2a12de97-7a98-4779-9afc-844744dd0404","type":"Grid"},{"id":"c6d72bb5-20a5-4ff6-a0d9-be954ecd230e","type":"BoxAnnotation"},{"id":"7540f754-c64f-4697-88ad-d1ba9cdd4a04","type":"PolyAnnotation"},{"id":"147a01ed-0aef-4b5f-b49d-b27b1b269339","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"88a0b1c5-794c-48bc-8ba2-600777364232","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"d4e501d0-16cc-4bd3-971e-328e3b868401","type":"DataRange1d"},"x_scale":{"id":"73d94331-f40b-4e69-9096-a17761b6ff1e","type":"LinearScale"},"y_range":{"id":"380f8220-9fd7-4e16-9802-439fa34ea38b","type":"DataRange1d"},"y_scale":{"id":"d36df5b2-4826-45d3-98cf-1117da1ecc1d","type":"LinearScale"}},"id":"4855dfd3-609e-4def-b844-9b544172d2ca","subtype":"Figure","type":"Plot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"434f82df-16e0-48e0-815a-3cb96a53f037","type":"BoxSelectTool"},{"id":"6a3b3b95-99ae-4ac8-8769-454ffe99a66a","type":"LassoSelectTool"},{"id":"898c6e35-58f4-40a0-b74d-8e64631952b0","type":"HelpTool"}]},"id":"0cdeae03-41f7-4889-9bf6-e0677b19b263","type":"Toolbar"},{"attributes":{},"id":"2dd30776-87ae-43e9-9886-ba187acc490f","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"826bf41e-1286-41fa-894e-a45d953b5b2b","type":"BasicTickFormatter"},"plot":{"id":"8f14e996-4f4f-4320-ab8c-f36b7d1e223d","subtype":"Figure","type":"Plot"},"ticker":{"id":"de64b934-3dac-4066-8f55-51abad8e96f5","type":"BasicTicker"}},"id":"74d40d6c-8204-4ba3-a34e-5cdb29022b13","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"7540f754-c64f-4697-88ad-d1ba9cdd4a04","type":"PolyAnnotation"},{"attributes":{"plot":{"id":"8f14e996-4f4f-4320-ab8c-f36b7d1e223d","subtype":"Figure","type":"Plot"},"ticker":{"id":"70609718-96aa-4858-bdb4-0ce129dc71bd","type":"BasicTicker"}},"id":"39485df6-4a3c-4b39-aa10-14bfffee0867","type":"Grid"},{"attributes":{},"id":"fab3bc1b-8dc4-4c8b-84e6-ba383d804a49","type":"BasicTicker"},{"attributes":{"children":[{"id":"4855dfd3-609e-4def-b844-9b544172d2ca","subtype":"Figure","type":"Plot"},{"id":"8f14e996-4f4f-4320-ab8c-f36b7d1e223d","subtype":"Figure","type":"Plot"}]},"id":"3e905575-71df-4def-9e80-1708358397bf","type":"Row"},{"attributes":{},"id":"d805f8fa-05bd-4e45-9f25-bdf82b061f62","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"4855dfd3-609e-4def-b844-9b544172d2ca","subtype":"Figure","type":"Plot"},"ticker":{"id":"fab3bc1b-8dc4-4c8b-84e6-ba383d804a49","type":"BasicTicker"}},"id":"2a12de97-7a98-4779-9afc-844744dd0404","type":"Grid"},{"attributes":{"source":{"id":"a0bfc510-b468-46a5-98e6-68090eced6cc","type":"ColumnDataSource"}},"id":"0ff059e6-41cc-4b36-9d70-2f6f813ead9b","type":"CDSView"},{"attributes":{"callback":null,"overlay":{"id":"c6d72bb5-20a5-4ff6-a0d9-be954ecd230e","type":"BoxAnnotation"},"renderers":[{"id":"147a01ed-0aef-4b5f-b49d-b27b1b269339","type":"GlyphRenderer"}]},"id":"817bc5b4-bfdf-44de-bffc-1c81a4abd121","type":"BoxSelectTool"},{"attributes":{"formatter":{"id":"609e806d-1c01-4fe3-9e65-1fd6527daec3","type":"BasicTickFormatter"},"plot":{"id":"4855dfd3-609e-4def-b844-9b544172d2ca","subtype":"Figure","type":"Plot"},"ticker":{"id":"55b9f9f3-64f0-4244-aeb3-b63c142b5d98","type":"BasicTicker"}},"id":"4df27bdd-6ba9-4c4b-9be9-708d10982b9e","type":"LinearAxis"},{"attributes":{"children":[{"id":"0838a740-fb62-4399-8188-bfd80ee25267","type":"ToolbarBox"},{"id":"9ae7b461-994b-467c-9f0b-11e25a5308b4","type":"Column"}]},"id":"59b8f6fa-1dca-41e3-b854-b07f1402a46d","type":"Column"},{"attributes":{"formatter":{"id":"7d288e9e-e4d7-49f2-bac7-a95b02f84490","type":"BasicTickFormatter"},"plot":{"id":"4855dfd3-609e-4def-b844-9b544172d2ca","subtype":"Figure","type":"Plot"},"ticker":{"id":"fab3bc1b-8dc4-4c8b-84e6-ba383d804a49","type":"BasicTicker"}},"id":"36b8e31c-6a57-4d85-aefc-1164f3999d54","type":"LinearAxis"},{"attributes":{"below":[{"id":"489a0dd6-62f1-4b90-b80d-3be06ee566d1","type":"LinearAxis"}],"left":[{"id":"74d40d6c-8204-4ba3-a34e-5cdb29022b13","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"489a0dd6-62f1-4b90-b80d-3be06ee566d1","type":"LinearAxis"},{"id":"39485df6-4a3c-4b39-aa10-14bfffee0867","type":"Grid"},{"id":"74d40d6c-8204-4ba3-a34e-5cdb29022b13","type":"LinearAxis"},{"id":"34a79709-fd8c-49c8-b272-cd99ed590a63","type":"Grid"},{"id":"bc5649ba-2737-469b-bd01-a2b3d06a926d","type":"BoxAnnotation"},{"id":"1b43a175-aa71-4e44-a7e4-76156ad2d571","type":"PolyAnnotation"},{"id":"1225df6c-276b-4361-92b5-fb9abe5a6eda","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"0cdeae03-41f7-4889-9bf6-e0677b19b263","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"cc7dd278-f9ca-464e-bc82-dea5997f6b48","type":"DataRange1d"},"x_scale":{"id":"d805f8fa-05bd-4e45-9f25-bdf82b061f62","type":"LinearScale"},"y_range":{"id":"629fd727-6ca6-439e-b033-51df02708d69","type":"DataRange1d"},"y_scale":{"id":"d63e3a1b-f187-47b9-9b64-c6d284c210bb","type":"LinearScale"}},"id":"8f14e996-4f4f-4320-ab8c-f36b7d1e223d","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"73d94331-f40b-4e69-9096-a17761b6ff1e","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y1","y0","x"],"data":{"x":[-20,-19,-18,-17,-16,-15,-14,-13,-12,-11,-10,-9,-8,-7,-6,-5,-4,-3,-2,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"y0":[20,19,18,17,16,15,14,13,12,11,10,9,8,7,6,5,4,3,2,1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"y1":[400,361,324,289,256,225,196,169,144,121,100,81,64,49,36,25,16,9,4,1,0,1,4,9,16,25,36,49,64,81,100,121,144,169,196,225,256,289,324,361,400]}},"id":"a0bfc510-b468-46a5-98e6-68090eced6cc","type":"ColumnDataSource"},{"attributes":{"children":[{"id":"3e905575-71df-4def-9e80-1708358397bf","type":"Row"}]},"id":"9ae7b461-994b-467c-9f0b-11e25a5308b4","type":"Column"},{"attributes":{"callback":null,"overlay":{"id":"7540f754-c64f-4697-88ad-d1ba9cdd4a04","type":"PolyAnnotation"}},"id":"ec83813c-55e8-42d9-881b-1058d74e67f4","type":"LassoSelectTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y1"}},"id":"e88e9870-7558-4da9-9431-a27bc7b45189","type":"Circle"},{"attributes":{"source":{"id":"a0bfc510-b468-46a5-98e6-68090eced6cc","type":"ColumnDataSource"}},"id":"ca8fd9f4-1228-44b5-be41-cf25a5f4bf12","type":"CDSView"},{"attributes":{},"id":"55b9f9f3-64f0-4244-aeb3-b63c142b5d98","type":"BasicTicker"},{"attributes":{},"id":"d36df5b2-4826-45d3-98cf-1117da1ecc1d","type":"LinearScale"},{"attributes":{"formatter":{"id":"2dd30776-87ae-43e9-9886-ba187acc490f","type":"BasicTickFormatter"},"plot":{"id":"8f14e996-4f4f-4320-ab8c-f36b7d1e223d","subtype":"Figure","type":"Plot"},"ticker":{"id":"70609718-96aa-4858-bdb4-0ce129dc71bd","type":"BasicTicker"}},"id":"489a0dd6-62f1-4b90-b80d-3be06ee566d1","type":"LinearAxis"},{"attributes":{"callback":null,"overlay":{"id":"bc5649ba-2737-469b-bd01-a2b3d06a926d","type":"BoxAnnotation"},"renderers":[{"id":"1225df6c-276b-4361-92b5-fb9abe5a6eda","type":"GlyphRenderer"}]},"id":"434f82df-16e0-48e0-815a-3cb96a53f037","type":"BoxSelectTool"},{"attributes":{},"id":"70609718-96aa-4858-bdb4-0ce129dc71bd","type":"BasicTicker"},{"attributes":{"data_source":{"id":"a0bfc510-b468-46a5-98e6-68090eced6cc","type":"ColumnDataSource"},"glyph":{"id":"785da0d7-8c0d-4e9d-b7ab-5df913cd8b20","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a50a06f8-5f7d-4c30-bf3a-8143a83ab5b8","type":"Circle"},"selection_glyph":null,"view":{"id":"0ff059e6-41cc-4b36-9d70-2f6f813ead9b","type":"CDSView"}},"id":"147a01ed-0aef-4b5f-b49d-b27b1b269339","type":"GlyphRenderer"},{"attributes":{},"id":"826bf41e-1286-41fa-894e-a45d953b5b2b","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"4855dfd3-609e-4def-b844-9b544172d2ca","subtype":"Figure","type":"Plot"},"ticker":{"id":"55b9f9f3-64f0-4244-aeb3-b63c142b5d98","type":"BasicTicker"}},"id":"1e6d01e0-6b94-4498-a404-de065afec3c2","type":"Grid"},{"attributes":{"data_source":{"id":"a0bfc510-b468-46a5-98e6-68090eced6cc","type":"ColumnDataSource"},"glyph":{"id":"43d24790-d9cf-409b-ab53-685119ab1eee","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e88e9870-7558-4da9-9431-a27bc7b45189","type":"Circle"},"selection_glyph":null,"view":{"id":"ca8fd9f4-1228-44b5-be41-cf25a5f4bf12","type":"CDSView"}},"id":"1225df6c-276b-4361-92b5-fb9abe5a6eda","type":"GlyphRenderer"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y0"}},"id":"785da0d7-8c0d-4e9d-b7ab-5df913cd8b20","type":"Circle"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"c6d72bb5-20a5-4ff6-a0d9-be954ecd230e","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"380f8220-9fd7-4e16-9802-439fa34ea38b","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"bc5649ba-2737-469b-bd01-a2b3d06a926d","type":"BoxAnnotation"},{"attributes":{},"id":"d63e3a1b-f187-47b9-9b64-c6d284c210bb","type":"LinearScale"},{"attributes":{},"id":"de64b934-3dac-4066-8f55-51abad8e96f5","type":"BasicTicker"},{"attributes":{},"id":"7d288e9e-e4d7-49f2-bac7-a95b02f84490","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"d4e501d0-16cc-4bd3-971e-328e3b868401","type":"DataRange1d"},{"attributes":{"callback":null,"overlay":{"id":"1b43a175-aa71-4e44-a7e4-76156ad2d571","type":"PolyAnnotation"}},"id":"6a3b3b95-99ae-4ac8-8769-454ffe99a66a","type":"LassoSelectTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"817bc5b4-bfdf-44de-bffc-1c81a4abd121","type":"BoxSelectTool"},{"id":"ec83813c-55e8-42d9-881b-1058d74e67f4","type":"LassoSelectTool"},{"id":"31d816e8-6ddb-4695-9394-d72d000f7421","type":"HelpTool"}]},"id":"88a0b1c5-794c-48bc-8ba2-600777364232","type":"Toolbar"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y1"}},"id":"43d24790-d9cf-409b-ab53-685119ab1eee","type":"Circle"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"1b43a175-aa71-4e44-a7e4-76156ad2d571","type":"PolyAnnotation"},{"attributes":{"callback":null},"id":"cc7dd278-f9ca-464e-bc82-dea5997f6b48","type":"DataRange1d"},{"attributes":{"callback":null},"id":"629fd727-6ca6-439e-b033-51df02708d69","type":"DataRange1d"}],"root_ids":["59b8f6fa-1dca-41e3-b854-b07f1402a46d"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"375d042d-3b39-4fe9-b6f3-1b29854087e7","elementid":"0e3ce63c-1fef-4700-aee5-85efbe4721ea","modelid":"59b8f6fa-1dca-41e3-b854-b07f1402a46d"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
