(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("4bb7b1a2-332f-400b-9606-1cc722055f9d");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '4bb7b1a2-332f-400b-9606-1cc722055f9d' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"3706177d-89fc-4b72-b304-95990ddb2112":{"roots":{"references":[{"attributes":{},"id":"2eb7c1c6-5838-4e93-b97d-6b6f27d4fa2f","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"13005b29-dc4d-40dc-a0e6-3bb843254bd5","type":"Circle"},{"attributes":{"dimension":1,"plot":{"id":"4187f9fb-363a-4686-a5e5-cfb8cb71231d","subtype":"Figure","type":"Plot"},"ticker":{"id":"2eb7c1c6-5838-4e93-b97d-6b6f27d4fa2f","type":"BasicTicker"}},"id":"41e49c33-fd63-4bef-8ac4-4e9a92e02e50","type":"Grid"},{"attributes":{"callback":null},"id":"e45f6465-8712-4264-8d8b-d6c46de03c94","type":"HoverTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"6f8bb772-846c-4258-a780-00cafd74ac9e","type":"Circle"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[1,2,3,4,5]}},"id":"e5ef6496-d110-4189-b055-9356b5395aa2","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"b389d97d-6bab-4ee7-b240-97fa16041ba7","type":"BasicTickFormatter"},"plot":{"id":"4187f9fb-363a-4686-a5e5-cfb8cb71231d","subtype":"Figure","type":"Plot"},"ticker":{"id":"a37d8ee9-9075-4abd-b766-b4ae1a83e970","type":"BasicTicker"}},"id":"a8692fd9-79b0-405b-98ad-9884fb29eb87","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"fc98ff5d-68a1-4912-95d9-ec61354df9af","type":"BoxAnnotation"},{"attributes":{"dimension":1,"plot":{"id":"16b1abbd-a918-4a98-835a-dbe2e48188f9","subtype":"Figure","type":"Plot"},"ticker":{"id":"65c10b84-307e-4673-a84f-a0a2c0bc7467","type":"BasicTicker"}},"id":"dfcaaf12-993c-43af-8804-740d4f3332e1","type":"Grid"},{"attributes":{},"id":"7e0d7dfa-93ef-43c3-8322-6b8377c9fcb4","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"059ee7cb-ec8d-449e-a5c2-65b48cbb6768","type":"BasicTickFormatter"},"plot":{"id":"4187f9fb-363a-4686-a5e5-cfb8cb71231d","subtype":"Figure","type":"Plot"},"ticker":{"id":"2eb7c1c6-5838-4e93-b97d-6b6f27d4fa2f","type":"BasicTicker"}},"id":"0baae8c1-9e56-4265-9346-93ada5210eb5","type":"LinearAxis"},{"attributes":{},"id":"b0e1bfec-2de4-4c94-bfdc-7fd88fcb3b5e","type":"ResetTool"},{"attributes":{},"id":"65c10b84-307e-4673-a84f-a0a2c0bc7467","type":"BasicTicker"},{"attributes":{"below":[{"id":"a8692fd9-79b0-405b-98ad-9884fb29eb87","type":"LinearAxis"}],"left":[{"id":"0baae8c1-9e56-4265-9346-93ada5210eb5","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"a8692fd9-79b0-405b-98ad-9884fb29eb87","type":"LinearAxis"},{"id":"177d4cf7-064b-4eb2-971a-32ea3999df14","type":"Grid"},{"id":"0baae8c1-9e56-4265-9346-93ada5210eb5","type":"LinearAxis"},{"id":"41e49c33-fd63-4bef-8ac4-4e9a92e02e50","type":"Grid"},{"id":"fc98ff5d-68a1-4912-95d9-ec61354df9af","type":"BoxAnnotation"},{"id":"c9ccc25a-df36-49df-8364-e625804ec960","type":"GlyphRenderer"}],"title":{"id":"14e75a34-3369-48cb-95d1-2ff360287487","type":"Title"},"toolbar":{"id":"df65b6a9-5d6e-4823-a54e-00229d1020fc","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"31554973-05a9-46a4-8c4b-8c4e2d49c679","type":"DataRange1d"},"x_scale":{"id":"d9cf8428-13fb-448f-bf45-7f8a9f8534d5","type":"LinearScale"},"y_range":{"id":"6cd663ad-8b2b-42ee-af7d-09f484b48c60","type":"DataRange1d"},"y_scale":{"id":"a079ec50-4205-46e5-bb02-3496c395f109","type":"LinearScale"}},"id":"4187f9fb-363a-4686-a5e5-cfb8cb71231d","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"b389d97d-6bab-4ee7-b240-97fa16041ba7","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"e5ef6496-d110-4189-b055-9356b5395aa2","type":"ColumnDataSource"},"glyph":{"id":"0faa00f1-f9d6-41ed-9110-b9b7be1596d8","type":"Circle"},"hover_glyph":{"id":"83fa4dc3-7aa3-4ed0-a53d-dec2e4d5b25f","type":"Circle"},"muted_glyph":null,"nonselection_glyph":{"id":"13005b29-dc4d-40dc-a0e6-3bb843254bd5","type":"Circle"},"selection_glyph":null,"view":{"id":"92e8c92d-20ea-4aa9-a07b-47b84bf2d492","type":"CDSView"}},"id":"a0005528-af6f-4ab4-8599-5fde2789098e","type":"GlyphRenderer"},{"attributes":{},"id":"28342d6f-7721-4e7f-ac65-3e4051b583e9","type":"ResetTool"},{"attributes":{"plot":{"id":"4187f9fb-363a-4686-a5e5-cfb8cb71231d","subtype":"Figure","type":"Plot"},"ticker":{"id":"a37d8ee9-9075-4abd-b766-b4ae1a83e970","type":"BasicTicker"}},"id":"177d4cf7-064b-4eb2-971a-32ea3999df14","type":"Grid"},{"attributes":{"callback":null,"overlay":{"id":"fc98ff5d-68a1-4912-95d9-ec61354df9af","type":"BoxAnnotation"},"renderers":[{"id":"c9ccc25a-df36-49df-8364-e625804ec960","type":"GlyphRenderer"}]},"id":"9d8a8137-9c1b-4153-ba3b-662034dc7765","type":"BoxSelectTool"},{"attributes":{},"id":"d9cf8428-13fb-448f-bf45-7f8a9f8534d5","type":"LinearScale"},{"attributes":{"plot":{"id":"16b1abbd-a918-4a98-835a-dbe2e48188f9","subtype":"Figure","type":"Plot"},"ticker":{"id":"373676c8-4636-415f-b2b9-434f6f08ff77","type":"BasicTicker"}},"id":"0d8a1c7a-935d-4780-9116-6b7521f5803c","type":"Grid"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"0faa00f1-f9d6-41ed-9110-b9b7be1596d8","type":"Circle"},{"attributes":{"below":[{"id":"52275aa6-4b63-417e-9e2c-08995d873465","type":"LinearAxis"}],"left":[{"id":"b965efd8-0ec3-4f70-a0eb-47d68126b79e","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"52275aa6-4b63-417e-9e2c-08995d873465","type":"LinearAxis"},{"id":"0d8a1c7a-935d-4780-9116-6b7521f5803c","type":"Grid"},{"id":"b965efd8-0ec3-4f70-a0eb-47d68126b79e","type":"LinearAxis"},{"id":"dfcaaf12-993c-43af-8804-740d4f3332e1","type":"Grid"},{"id":"21fd4b6e-943c-4673-988d-644a080e0960","type":"BoxAnnotation"},{"id":"a0005528-af6f-4ab4-8599-5fde2789098e","type":"GlyphRenderer"}],"title":{"id":"2e3c2a31-e1df-4551-82fb-c7fa980dd0e3","type":"Title"},"toolbar":{"id":"df6bafd3-a1d0-415e-824a-5409c9eaed73","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"990aff19-1015-4cba-814b-7599c939ee27","type":"DataRange1d"},"x_scale":{"id":"1d872b5c-7762-4d8f-b455-c1a22b099067","type":"LinearScale"},"y_range":{"id":"3024d795-0836-4a5a-bee1-09f2f2850482","type":"DataRange1d"},"y_scale":{"id":"8d2cee05-c60e-4814-b5ac-e97411e78cf1","type":"LinearScale"}},"id":"16b1abbd-a918-4a98-835a-dbe2e48188f9","subtype":"Figure","type":"Plot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"9d8a8137-9c1b-4153-ba3b-662034dc7765","type":"BoxSelectTool"},{"id":"e45f6465-8712-4264-8d8b-d6c46de03c94","type":"HoverTool"},{"id":"b0e1bfec-2de4-4c94-bfdc-7fd88fcb3b5e","type":"ResetTool"}]},"id":"df65b6a9-5d6e-4823-a54e-00229d1020fc","type":"Toolbar"},{"attributes":{"plot":null,"text":""},"id":"2e3c2a31-e1df-4551-82fb-c7fa980dd0e3","type":"Title"},{"attributes":{},"id":"a079ec50-4205-46e5-bb02-3496c395f109","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"817b577c-b626-4e31-b3d7-575ffe0248ac","type":"Circle"},{"attributes":{"source":{"id":"e5ef6496-d110-4189-b055-9356b5395aa2","type":"ColumnDataSource"}},"id":"80e2faa0-049f-41cf-a237-681c48c06d8d","type":"CDSView"},{"attributes":{},"id":"a37d8ee9-9075-4abd-b766-b4ae1a83e970","type":"BasicTicker"},{"attributes":{"children":[{"id":"4187f9fb-363a-4686-a5e5-cfb8cb71231d","subtype":"Figure","type":"Plot"},{"id":"16b1abbd-a918-4a98-835a-dbe2e48188f9","subtype":"Figure","type":"Plot"}]},"id":"f01854ae-8172-4d0f-959d-822dc711bf00","type":"Row"},{"attributes":{"callback":null},"id":"2b0c34d0-e8ad-480d-a948-d46b8073ad12","type":"HoverTool"},{"attributes":{},"id":"059ee7cb-ec8d-449e-a5c2-65b48cbb6768","type":"BasicTickFormatter"},{"attributes":{},"id":"373676c8-4636-415f-b2b9-434f6f08ff77","type":"BasicTicker"},{"attributes":{"fill_color":{"value":"red"},"line_color":{"value":"red"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"e2132c5b-f995-4c62-9b33-f9df412e85cb","type":"Circle"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"21fd4b6e-943c-4673-988d-644a080e0960","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"31554973-05a9-46a4-8c4b-8c4e2d49c679","type":"DataRange1d"},{"attributes":{"children":[{"id":"b36c9f0e-8650-45a9-a1a4-bd1063626222","type":"ToolbarBox"},{"id":"8bd96b11-cfc2-4ebb-84a0-d95973d60103","type":"Column"}]},"id":"43adc32c-6644-4a93-8d5c-a635e8e03073","type":"Column"},{"attributes":{"callback":null},"id":"3024d795-0836-4a5a-bee1-09f2f2850482","type":"DataRange1d"},{"attributes":{"formatter":{"id":"7e0d7dfa-93ef-43c3-8322-6b8377c9fcb4","type":"BasicTickFormatter"},"plot":{"id":"16b1abbd-a918-4a98-835a-dbe2e48188f9","subtype":"Figure","type":"Plot"},"ticker":{"id":"65c10b84-307e-4673-a84f-a0a2c0bc7467","type":"BasicTicker"}},"id":"b965efd8-0ec3-4f70-a0eb-47d68126b79e","type":"LinearAxis"},{"attributes":{"callback":null,"overlay":{"id":"21fd4b6e-943c-4673-988d-644a080e0960","type":"BoxAnnotation"},"renderers":[{"id":"a0005528-af6f-4ab4-8599-5fde2789098e","type":"GlyphRenderer"}]},"id":"f6db2530-4e21-4323-ab85-c932b4c9040a","type":"BoxSelectTool"},{"attributes":{"plot":null,"text":""},"id":"14e75a34-3369-48cb-95d1-2ff360287487","type":"Title"},{"attributes":{"indices":[0,2,4]},"id":"bd4597d0-fd9c-4d09-a806-d62b3e423f32","type":"IndexFilter"},{"attributes":{"callback":null},"id":"990aff19-1015-4cba-814b-7599c939ee27","type":"DataRange1d"},{"attributes":{"data_source":{"id":"e5ef6496-d110-4189-b055-9356b5395aa2","type":"ColumnDataSource"},"glyph":{"id":"6f8bb772-846c-4258-a780-00cafd74ac9e","type":"Circle"},"hover_glyph":{"id":"e2132c5b-f995-4c62-9b33-f9df412e85cb","type":"Circle"},"muted_glyph":null,"nonselection_glyph":{"id":"817b577c-b626-4e31-b3d7-575ffe0248ac","type":"Circle"},"selection_glyph":null,"view":{"id":"80e2faa0-049f-41cf-a237-681c48c06d8d","type":"CDSView"}},"id":"c9ccc25a-df36-49df-8364-e625804ec960","type":"GlyphRenderer"},{"attributes":{},"id":"1d872b5c-7762-4d8f-b455-c1a22b099067","type":"LinearScale"},{"attributes":{},"id":"c1f0a364-d32b-4b2e-829c-a142329f9211","type":"BasicTickFormatter"},{"attributes":{"children":[{"id":"f01854ae-8172-4d0f-959d-822dc711bf00","type":"Row"}]},"id":"8bd96b11-cfc2-4ebb-84a0-d95973d60103","type":"Column"},{"attributes":{"formatter":{"id":"c1f0a364-d32b-4b2e-829c-a142329f9211","type":"BasicTickFormatter"},"plot":{"id":"16b1abbd-a918-4a98-835a-dbe2e48188f9","subtype":"Figure","type":"Plot"},"ticker":{"id":"373676c8-4636-415f-b2b9-434f6f08ff77","type":"BasicTicker"}},"id":"52275aa6-4b63-417e-9e2c-08995d873465","type":"LinearAxis"},{"attributes":{"filters":[{"id":"bd4597d0-fd9c-4d09-a806-d62b3e423f32","type":"IndexFilter"}],"source":{"id":"e5ef6496-d110-4189-b055-9356b5395aa2","type":"ColumnDataSource"}},"id":"92e8c92d-20ea-4aa9-a07b-47b84bf2d492","type":"CDSView"},{"attributes":{"fill_color":{"value":"red"},"line_color":{"value":"red"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"83fa4dc3-7aa3-4ed0-a53d-dec2e4d5b25f","type":"Circle"},{"attributes":{"callback":null},"id":"6cd663ad-8b2b-42ee-af7d-09f484b48c60","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"f6db2530-4e21-4323-ab85-c932b4c9040a","type":"BoxSelectTool"},{"id":"2b0c34d0-e8ad-480d-a948-d46b8073ad12","type":"HoverTool"},{"id":"28342d6f-7721-4e7f-ac65-3e4051b583e9","type":"ResetTool"}]},"id":"df6bafd3-a1d0-415e-824a-5409c9eaed73","type":"Toolbar"},{"attributes":{"sizing_mode":"scale_width","toolbar_location":"above","tools":[{"id":"9d8a8137-9c1b-4153-ba3b-662034dc7765","type":"BoxSelectTool"},{"id":"e45f6465-8712-4264-8d8b-d6c46de03c94","type":"HoverTool"},{"id":"b0e1bfec-2de4-4c94-bfdc-7fd88fcb3b5e","type":"ResetTool"},{"id":"f6db2530-4e21-4323-ab85-c932b4c9040a","type":"BoxSelectTool"},{"id":"2b0c34d0-e8ad-480d-a948-d46b8073ad12","type":"HoverTool"},{"id":"28342d6f-7721-4e7f-ac65-3e4051b583e9","type":"ResetTool"}]},"id":"b36c9f0e-8650-45a9-a1a4-bd1063626222","type":"ToolbarBox"},{"attributes":{},"id":"8d2cee05-c60e-4814-b5ac-e97411e78cf1","type":"LinearScale"}],"root_ids":["43adc32c-6644-4a93-8d5c-a635e8e03073"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"3706177d-89fc-4b72-b304-95990ddb2112","elementid":"4bb7b1a2-332f-400b-9606-1cc722055f9d","modelid":"43adc32c-6644-4a93-8d5c-a635e8e03073"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
