(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("dee704b1-d584-4df1-8b07-716775ec35a7");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'dee704b1-d584-4df1-8b07-716775ec35a7' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"52360658-1dbb-4e00-a56a-680c97f92e42":{"roots":{"references":[{"attributes":{},"id":"b0dcc688-b56e-420e-baec-bc292773e0ae","type":"BasicTicker"},{"attributes":{"below":[{"id":"c6b605d2-2273-4c18-87fc-54597290b8c6","type":"LinearAxis"}],"left":[{"id":"8dec44fd-7056-4e33-8b80-7d7de8614484","type":"LinearAxis"}],"renderers":[{"id":"c6b605d2-2273-4c18-87fc-54597290b8c6","type":"LinearAxis"},{"id":"75c7bc2e-aa29-4f46-9539-89fae22b84ce","type":"Grid"},{"id":"8dec44fd-7056-4e33-8b80-7d7de8614484","type":"LinearAxis"},{"id":"92879912-66ce-4aec-a8c7-2d9584cd1540","type":"Grid"},{"id":"691107a4-db85-4560-8cb5-a000a6dba2d4","type":"TileRenderer"}],"title":{"id":"9a122cf8-2e87-4dd3-8898-6fff875ed906","type":"Title"},"toolbar":{"id":"f790fc28-7442-48a8-a2ec-75c9db3901e6","type":"Toolbar"},"x_range":{"id":"9ebc5262-b9f0-417e-bdfe-0ae71c232c30","type":"Range1d"},"x_scale":{"id":"b4dcd151-0119-4207-a85b-6c0d6f328459","type":"LinearScale"},"y_range":{"id":"90ea904a-c072-4334-81d6-bb9d1b06aa24","type":"Range1d"},"y_scale":{"id":"9769ed93-4821-4090-93c9-5ad698135438","type":"LinearScale"}},"id":"cc12ce84-469c-424f-a39b-cc71950105d7","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"end":20000000,"start":-20000000},"id":"90ea904a-c072-4334-81d6-bb9d1b06aa24","type":"Range1d"},{"attributes":{},"id":"9769ed93-4821-4090-93c9-5ad698135438","type":"LinearScale"},{"attributes":{},"id":"b4dcd151-0119-4207-a85b-6c0d6f328459","type":"LinearScale"},{"attributes":{},"id":"31a10e28-09a2-4c4a-8593-06b31277a060","type":"WheelZoomTool"},{"attributes":{"plot":null,"text":""},"id":"9a122cf8-2e87-4dd3-8898-6fff875ed906","type":"Title"},{"attributes":{"formatter":{"id":"796ce8be-ce7c-4d93-9535-5d8bbf81c3f9","type":"BasicTickFormatter"},"plot":{"id":"cc12ce84-469c-424f-a39b-cc71950105d7","subtype":"Figure","type":"Plot"},"ticker":{"id":"b0dcc688-b56e-420e-baec-bc292773e0ae","type":"BasicTicker"},"visible":false},"id":"c6b605d2-2273-4c18-87fc-54597290b8c6","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"cc12ce84-469c-424f-a39b-cc71950105d7","subtype":"Figure","type":"Plot"},"ticker":{"id":"b02ec06e-6a9e-4258-aa7b-4c976c324178","type":"BasicTicker"}},"id":"92879912-66ce-4aec-a8c7-2d9584cd1540","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"20ee0088-d160-41aa-a23d-52fd48e87a53","type":"PanTool"},{"id":"31a10e28-09a2-4c4a-8593-06b31277a060","type":"WheelZoomTool"}]},"id":"f790fc28-7442-48a8-a2ec-75c9db3901e6","type":"Toolbar"},{"attributes":{"callback":null,"end":20000000,"start":-20000000},"id":"9ebc5262-b9f0-417e-bdfe-0ae71c232c30","type":"Range1d"},{"attributes":{},"id":"796ce8be-ce7c-4d93-9535-5d8bbf81c3f9","type":"BasicTickFormatter"},{"attributes":{"attribution":"Map tiles by <a href=\"http://stamen.com\">Stamen Design</a>, under <a href=\"http://creativecommons.org/licenses/by/3.0\">CC BY 3.0</a>.Data by <a href=\"http://openstreetmap.org\">OpenStreetMap</a>, under <a href=\"http://www.openstreetmap.org/copyright\">ODbL</a>","url":"http://tile.stamen.com/toner/{Z}/{X}/{Y}.png"},"id":"5f6fb8b4-8d45-41ed-a205-1b81cf775c41","type":"WMTSTileSource"},{"attributes":{},"id":"20ee0088-d160-41aa-a23d-52fd48e87a53","type":"PanTool"},{"attributes":{"tile_source":{"id":"5f6fb8b4-8d45-41ed-a205-1b81cf775c41","type":"WMTSTileSource"}},"id":"691107a4-db85-4560-8cb5-a000a6dba2d4","type":"TileRenderer"},{"attributes":{},"id":"a308076c-620f-4729-9b5f-3f62f3cce611","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"cc12ce84-469c-424f-a39b-cc71950105d7","subtype":"Figure","type":"Plot"},"ticker":{"id":"b0dcc688-b56e-420e-baec-bc292773e0ae","type":"BasicTicker"}},"id":"75c7bc2e-aa29-4f46-9539-89fae22b84ce","type":"Grid"},{"attributes":{},"id":"b02ec06e-6a9e-4258-aa7b-4c976c324178","type":"BasicTicker"},{"attributes":{"formatter":{"id":"a308076c-620f-4729-9b5f-3f62f3cce611","type":"BasicTickFormatter"},"plot":{"id":"cc12ce84-469c-424f-a39b-cc71950105d7","subtype":"Figure","type":"Plot"},"ticker":{"id":"b02ec06e-6a9e-4258-aa7b-4c976c324178","type":"BasicTicker"},"visible":false},"id":"8dec44fd-7056-4e33-8b80-7d7de8614484","type":"LinearAxis"}],"root_ids":["cc12ce84-469c-424f-a39b-cc71950105d7"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"52360658-1dbb-4e00-a56a-680c97f92e42","elementid":"dee704b1-d584-4df1-8b07-716775ec35a7","modelid":"cc12ce84-469c-424f-a39b-cc71950105d7"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
