(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("9a0a7c08-f006-4ccf-849e-b07944fb42a5");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '9a0a7c08-f006-4ccf-849e-b07944fb42a5' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"00071cd8-2d3b-4776-9260-d24fb98ecb0b":{"roots":{"references":[{"attributes":{"formatter":{"id":"ab27422a-c33a-48fd-bca0-9e7ce59cd8bc","type":"BasicTickFormatter"},"plot":{"id":"ed2b7840-056b-42b1-b469-22bab5ef60dd","subtype":"Figure","type":"Plot"},"ticker":{"id":"5f0980bb-157d-4ac1-ada6-2c5599324a75","type":"BasicTicker"}},"id":"b1e3ad5a-c6d2-42d8-b3e8-fbccb77ef50b","type":"LinearAxis"},{"attributes":{"edge_renderer":{"id":"401582b9-35a6-42ef-b32d-f4d6be8d881c","type":"GlyphRenderer"},"inspection_policy":{"id":"23f7f884-25c2-4a2e-985f-049fd8ce9a94","type":"NodesOnly"},"layout_provider":{"id":"43bba697-ad8f-4a8c-984f-7373d5cbfb65","type":"StaticLayoutProvider"},"node_renderer":{"id":"a9eb4fd8-dce8-4d65-9429-99d81fae43f3","type":"GlyphRenderer"},"selection_policy":{"id":"a085301b-7fd2-4a2c-8894-df41ad28c94c","type":"NodesOnly"}},"id":"0bde7d41-e944-4ba0-bf48-63f2459a5693","type":"GraphRenderer"},{"attributes":{"plot":{"id":"ed2b7840-056b-42b1-b469-22bab5ef60dd","subtype":"Figure","type":"Plot"},"ticker":{"id":"5f0980bb-157d-4ac1-ada6-2c5599324a75","type":"BasicTicker"}},"id":"e2e0c9cf-f4be-46c2-ad74-1d86910a17a5","type":"Grid"},{"attributes":{},"id":"23f7f884-25c2-4a2e-985f-049fd8ce9a94","type":"NodesOnly"},{"attributes":{},"id":"5f0980bb-157d-4ac1-ada6-2c5599324a75","type":"BasicTicker"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"28328e6a-d7a0-4360-b809-d46cf7ad0a98","type":"Range1d"},{"attributes":{},"id":"bbe46bac-9fbb-4928-9ac5-76206a48f5d2","type":"BasicTickFormatter"},{"attributes":{},"id":"26ad5ecb-a98f-4e62-8fed-29380e6bdb33","type":"MultiLine"},{"attributes":{"formatter":{"id":"bbe46bac-9fbb-4928-9ac5-76206a48f5d2","type":"BasicTickFormatter"},"plot":{"id":"ed2b7840-056b-42b1-b469-22bab5ef60dd","subtype":"Figure","type":"Plot"},"ticker":{"id":"2560cc41-50b4-43a0-ba95-a58f5a85ef0b","type":"BasicTicker"}},"id":"0765bb01-b8ab-4ccb-8035-a363b418ed6a","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["index"],"data":{"index":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33]}},"id":"c067361a-3a73-4bc9-9957-426f9184ddfb","type":"ColumnDataSource"},{"attributes":{"below":[{"id":"b1e3ad5a-c6d2-42d8-b3e8-fbccb77ef50b","type":"LinearAxis"}],"left":[{"id":"0765bb01-b8ab-4ccb-8035-a363b418ed6a","type":"LinearAxis"}],"renderers":[{"id":"b1e3ad5a-c6d2-42d8-b3e8-fbccb77ef50b","type":"LinearAxis"},{"id":"e2e0c9cf-f4be-46c2-ad74-1d86910a17a5","type":"Grid"},{"id":"0765bb01-b8ab-4ccb-8035-a363b418ed6a","type":"LinearAxis"},{"id":"21e09b61-ec6a-4738-b654-6f286f9b7f13","type":"Grid"},{"id":"0bde7d41-e944-4ba0-bf48-63f2459a5693","type":"GraphRenderer"}],"title":{"id":"0571e48e-2d83-4296-8ab5-4f5bdf69c702","type":"Title"},"toolbar":{"id":"2746f580-baab-481d-bce4-2c5ede0431ff","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"552bead9-54b4-4d76-afdf-1ed147948a3d","type":"Range1d"},"x_scale":{"id":"0a03e2eb-66e3-4564-bd88-a0de95339e9f","type":"LinearScale"},"y_range":{"id":"28328e6a-d7a0-4360-b809-d46cf7ad0a98","type":"Range1d"},"y_scale":{"id":"b41ebe26-ff3c-432d-9e60-a75d87517bf3","type":"LinearScale"}},"id":"ed2b7840-056b-42b1-b469-22bab5ef60dd","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"column_names":["start","end"],"data":{"end":[1,2,3,4,5,6,7,8,10,11,12,13,17,19,21,31,2,3,7,13,17,19,21,30,3,32,7,8,9,13,27,28,7,12,13,10,6,16,10,6,16,32,30,33,33,33,32,33,32,33,32,33,33,32,33,32,33,32,25,27,29,33,25,27,31,31,33,29,33,33,31,32,33,33,32,33,32,33],"start":[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,3,3,3,4,4,5,5,5,6,8,8,8,9,13,14,14,15,15,18,18,19,20,20,22,22,23,23,23,23,23,24,24,24,25,26,26,27,28,28,29,29,30,30,31,31,32]}},"id":"79d0ae15-9d30-44a8-ac43-ec140cb22199","type":"ColumnDataSource"},{"attributes":{"graph_layout":{"0":[-0.06276825559795562,0.5678649200188022],"1":[0.07176718155290507,0.47787197741995735],"10":[-0.5118485752967209,0.8638626446801161],"11":[0.6791520859616156,0.5465179178113431],"12":[0.5578647686082092,0.7924868706371242],"13":[0.03754905718999679,0.20987349395019184],"14":[0.13842186683753654,-0.9998967216966098],"15":[-0.39790462982478814,-0.9434269842819286],"16":[-1.0,0.4894976863535043],"17":[0.31460869576486217,0.9385607242598699],"18":[-0.22218708943300447,-1.0],"19":[-0.38404384687375415,0.1990875170228419],"2":[0.11351394497308309,0.02948899227305901],"20":[-0.679405361171773,-0.6980413198928237],"21":[0.04677102066058736,1.0],"22":[0.3201023593485375,-0.9147734455137047],"23":[0.4588562314865541,-0.7470402405143708],"24":[0.9549392111229069,-0.13080990127008163],"25":[0.864979917203003,-0.39936055955859495],"26":[-0.5543947820151234,-0.8732241980339831],"27":[0.6155158128255589,-0.42705944951522934],"28":[0.3828952425079928,-0.4264111154510395],"29":[-0.04701331549450516,-0.958756754205935],"3":[0.38536765553692987,0.5062858497911298],"30":[-0.09984691737038798,-0.18118000328876505],"31":[0.4288504172419325,-0.15452918309175434],"32":[-0.029516870279656104,-0.6412045441715313],"33":[-0.08239685235877037,-0.5050526538534976],"4":[-0.354855335956746,0.9812084187536236],"5":[-0.8062864617824141,0.7011318909362376],"6":[-0.6941900661369818,0.8350705264325482],"7":[0.24843151382609285,0.7138920322675166],"8":[-0.2760353433113336,-0.10498382752382196],"9":[-0.5904685101390252,-0.2935827041409257]}},"id":"43bba697-ad8f-4a8c-984f-7373d5cbfb65","type":"StaticLayoutProvider"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"2746f580-baab-481d-bce4-2c5ede0431ff","type":"Toolbar"},{"attributes":{"plot":null,"text":"Networkx Integration Demonstration"},"id":"0571e48e-2d83-4296-8ab5-4f5bdf69c702","type":"Title"},{"attributes":{"source":{"id":"c067361a-3a73-4bc9-9957-426f9184ddfb","type":"ColumnDataSource"}},"id":"fdcdae32-87d1-48d0-a139-4c113c43bddc","type":"CDSView"},{"attributes":{},"id":"0a03e2eb-66e3-4564-bd88-a0de95339e9f","type":"LinearScale"},{"attributes":{"source":{"id":"79d0ae15-9d30-44a8-ac43-ec140cb22199","type":"ColumnDataSource"}},"id":"5108cc89-f109-4df3-b665-01adbde58581","type":"CDSView"},{"attributes":{},"id":"b41ebe26-ff3c-432d-9e60-a75d87517bf3","type":"LinearScale"},{"attributes":{"data_source":{"id":"79d0ae15-9d30-44a8-ac43-ec140cb22199","type":"ColumnDataSource"},"glyph":{"id":"26ad5ecb-a98f-4e62-8fed-29380e6bdb33","type":"MultiLine"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"5108cc89-f109-4df3-b665-01adbde58581","type":"CDSView"}},"id":"401582b9-35a6-42ef-b32d-f4d6be8d881c","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"ed2b7840-056b-42b1-b469-22bab5ef60dd","subtype":"Figure","type":"Plot"},"ticker":{"id":"2560cc41-50b4-43a0-ba95-a58f5a85ef0b","type":"BasicTicker"}},"id":"21e09b61-ec6a-4738-b654-6f286f9b7f13","type":"Grid"},{"attributes":{"data_source":{"id":"c067361a-3a73-4bc9-9957-426f9184ddfb","type":"ColumnDataSource"},"glyph":{"id":"e43488cb-f128-4c04-a6ae-c940daa3cf70","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"fdcdae32-87d1-48d0-a139-4c113c43bddc","type":"CDSView"}},"id":"a9eb4fd8-dce8-4d65-9429-99d81fae43f3","type":"GlyphRenderer"},{"attributes":{},"id":"ab27422a-c33a-48fd-bca0-9e7ce59cd8bc","type":"BasicTickFormatter"},{"attributes":{},"id":"a085301b-7fd2-4a2c-8894-df41ad28c94c","type":"NodesOnly"},{"attributes":{},"id":"2560cc41-50b4-43a0-ba95-a58f5a85ef0b","type":"BasicTicker"},{"attributes":{},"id":"e43488cb-f128-4c04-a6ae-c940daa3cf70","type":"Circle"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"552bead9-54b4-4d76-afdf-1ed147948a3d","type":"Range1d"}],"root_ids":["ed2b7840-056b-42b1-b469-22bab5ef60dd"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"00071cd8-2d3b-4776-9260-d24fb98ecb0b","elementid":"9a0a7c08-f006-4ccf-849e-b07944fb42a5","modelid":"ed2b7840-056b-42b1-b469-22bab5ef60dd"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
