(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("c5eff61b-13bc-4260-8607-f6b4a5fd00c8");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'c5eff61b-13bc-4260-8607-f6b4a5fd00c8' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"3e3cff89-7385-4d5f-baa1-f0345c778b98":{"roots":{"references":[{"attributes":{},"id":"a0734a27-eef9-4e21-a71d-464bcc725c65","type":"SaveTool"},{"attributes":{"args":{"source":{"id":"9a6c3ff6-d1ac-4724-be1a-bb60650700d6","type":"ColumnDataSource"}},"code":"\n        var data = source.data;\n        var f = cb_obj.value\n        x = data['x']\n        y = data['y']\n        for (i = 0; i < x.length; i++) {\n            y[i] = Math.pow(x[i], f)\n        }\n        source.change.emit();\n    "},"id":"ea5eb403-eda6-42fe-918c-270e94ffedea","type":"CustomJS"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"23fb6663-a3a3-4987-83c3-77990cb28e88","type":"PanTool"},{"id":"f738135d-de13-4dc8-a8ee-af13e6306e4b","type":"WheelZoomTool"},{"id":"a037641b-a38c-4140-830b-926c8de0f2d6","type":"BoxZoomTool"},{"id":"a0734a27-eef9-4e21-a71d-464bcc725c65","type":"SaveTool"},{"id":"4d536086-b731-45ce-a2fb-6d71f5779f84","type":"ResetTool"},{"id":"5d27f4a6-10bc-43e3-8344-4d81a0d66cf6","type":"HelpTool"}]},"id":"87210b3e-1f38-4021-a512-2fbfb3a81db3","type":"Toolbar"},{"attributes":{},"id":"4d536086-b731-45ce-a2fb-6d71f5779f84","type":"ResetTool"},{"attributes":{"overlay":{"id":"8145f989-894d-443e-bf3c-5dcaa4a51216","type":"BoxAnnotation"}},"id":"a037641b-a38c-4140-830b-926c8de0f2d6","type":"BoxZoomTool"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"e31a4000-bc00-466b-aeec-bfaa2e4c1856","type":"Line"},{"attributes":{"source":{"id":"9a6c3ff6-d1ac-4724-be1a-bb60650700d6","type":"ColumnDataSource"}},"id":"21466a5e-d529-4a42-968c-44976cefc9f0","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"8145f989-894d-443e-bf3c-5dcaa4a51216","type":"BoxAnnotation"},{"attributes":{},"id":"23fb6663-a3a3-4987-83c3-77990cb28e88","type":"PanTool"},{"attributes":{"formatter":{"id":"2be15bce-cb04-459d-9e25-90abea3a6106","type":"BasicTickFormatter"},"plot":{"id":"27bf383c-ce46-45dc-bd2e-3449a7a55457","subtype":"Figure","type":"Plot"},"ticker":{"id":"455765de-293c-4453-870c-06965ea8037f","type":"BasicTicker"}},"id":"1b5d1f01-e241-4cb7-9789-de3b347aaa85","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"27bf383c-ce46-45dc-bd2e-3449a7a55457","subtype":"Figure","type":"Plot"},"ticker":{"id":"455765de-293c-4453-870c-06965ea8037f","type":"BasicTicker"}},"id":"219206f1-662d-42cb-b369-557bf17455a1","type":"Grid"},{"attributes":{},"id":"192f6033-7187-49f6-9ea2-7a96bc4c2924","type":"LinearScale"},{"attributes":{},"id":"c65799be-935f-4129-a60e-5369bb097375","type":"BasicTickFormatter"},{"attributes":{},"id":"f738135d-de13-4dc8-a8ee-af13e6306e4b","type":"WheelZoomTool"},{"attributes":{},"id":"5d27f4a6-10bc-43e3-8344-4d81a0d66cf6","type":"HelpTool"},{"attributes":{"below":[{"id":"c094d69e-d9ec-4926-bff7-e2f2a9c876e0","type":"LinearAxis"}],"left":[{"id":"1b5d1f01-e241-4cb7-9789-de3b347aaa85","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"c094d69e-d9ec-4926-bff7-e2f2a9c876e0","type":"LinearAxis"},{"id":"3772e9be-99fe-4c73-a3a4-b1b60a80ed2f","type":"Grid"},{"id":"1b5d1f01-e241-4cb7-9789-de3b347aaa85","type":"LinearAxis"},{"id":"219206f1-662d-42cb-b369-557bf17455a1","type":"Grid"},{"id":"8145f989-894d-443e-bf3c-5dcaa4a51216","type":"BoxAnnotation"},{"id":"d2975ebb-9884-429d-95b6-efdef29d85e0","type":"GlyphRenderer"}],"title":{"id":"64ca64c9-b0b5-42dc-b971-3f5faf9509fa","type":"Title"},"toolbar":{"id":"87210b3e-1f38-4021-a512-2fbfb3a81db3","type":"Toolbar"},"x_range":{"id":"59f068f3-dcb8-4698-87e8-c462fa73ffb0","type":"DataRange1d"},"x_scale":{"id":"ad566f7e-b5c9-454f-9ce7-b48207d82dba","type":"LinearScale"},"y_range":{"id":"9d2fc3b2-9df2-4cba-980e-cb32ebaed892","type":"DataRange1d"},"y_scale":{"id":"192f6033-7187-49f6-9ea2-7a96bc4c2924","type":"LinearScale"}},"id":"27bf383c-ce46-45dc-bd2e-3449a7a55457","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"56b736d0-5254-40da-87e8-5dcdec6b0baf","type":"BasicTicker"},{"attributes":{"children":[{"id":"bdd9dcea-54cc-40f7-a173-8c4919458fe0","type":"Slider"}]},"id":"229c2419-3e3a-4055-b5a4-9d2478208a8b","type":"WidgetBox"},{"attributes":{"callback":null},"id":"59f068f3-dcb8-4698-87e8-c462fa73ffb0","type":"DataRange1d"},{"attributes":{},"id":"2be15bce-cb04-459d-9e25-90abea3a6106","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"64ca64c9-b0b5-42dc-b971-3f5faf9509fa","type":"Title"},{"attributes":{},"id":"455765de-293c-4453-870c-06965ea8037f","type":"BasicTicker"},{"attributes":{"data_source":{"id":"9a6c3ff6-d1ac-4724-be1a-bb60650700d6","type":"ColumnDataSource"},"glyph":{"id":"8b0120ca-a418-49ce-866b-fa5a56d3cc8d","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e31a4000-bc00-466b-aeec-bfaa2e4c1856","type":"Line"},"selection_glyph":null,"view":{"id":"21466a5e-d529-4a42-968c-44976cefc9f0","type":"CDSView"}},"id":"d2975ebb-9884-429d-95b6-efdef29d85e0","type":"GlyphRenderer"},{"attributes":{"callback":{"id":"ea5eb403-eda6-42fe-918c-270e94ffedea","type":"CustomJS"},"end":4,"start":0.1,"step":0.1,"title":"power","value":1},"id":"bdd9dcea-54cc-40f7-a173-8c4919458fe0","type":"Slider"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995],"y":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995]}},"id":"9a6c3ff6-d1ac-4724-be1a-bb60650700d6","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"9d2fc3b2-9df2-4cba-980e-cb32ebaed892","type":"DataRange1d"},{"attributes":{},"id":"ad566f7e-b5c9-454f-9ce7-b48207d82dba","type":"LinearScale"},{"attributes":{"children":[{"id":"229c2419-3e3a-4055-b5a4-9d2478208a8b","type":"WidgetBox"},{"id":"27bf383c-ce46-45dc-bd2e-3449a7a55457","subtype":"Figure","type":"Plot"}]},"id":"1f236edd-f0b5-4ab8-b958-e8fc09a4de1f","type":"Column"},{"attributes":{"formatter":{"id":"c65799be-935f-4129-a60e-5369bb097375","type":"BasicTickFormatter"},"plot":{"id":"27bf383c-ce46-45dc-bd2e-3449a7a55457","subtype":"Figure","type":"Plot"},"ticker":{"id":"56b736d0-5254-40da-87e8-5dcdec6b0baf","type":"BasicTicker"}},"id":"c094d69e-d9ec-4926-bff7-e2f2a9c876e0","type":"LinearAxis"},{"attributes":{"plot":{"id":"27bf383c-ce46-45dc-bd2e-3449a7a55457","subtype":"Figure","type":"Plot"},"ticker":{"id":"56b736d0-5254-40da-87e8-5dcdec6b0baf","type":"BasicTicker"}},"id":"3772e9be-99fe-4c73-a3a4-b1b60a80ed2f","type":"Grid"},{"attributes":{"line_alpha":{"value":0.6},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"8b0120ca-a418-49ce-866b-fa5a56d3cc8d","type":"Line"}],"root_ids":["1f236edd-f0b5-4ab8-b958-e8fc09a4de1f"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"3e3cff89-7385-4d5f-baa1-f0345c778b98","elementid":"c5eff61b-13bc-4260-8607-f6b4a5fd00c8","modelid":"1f236edd-f0b5-4ab8-b958-e8fc09a4de1f"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
