(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("96822f1a-84fe-4d53-96c6-381b396cae27");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '96822f1a-84fe-4d53-96c6-381b396cae27' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d95ec4ff-1a9a-48b8-b62b-d66285cf3f15":{"roots":{"references":[{"attributes":{},"id":"f424561c-89b0-4556-bd38-2421b121d83b","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"32c0aa0c-8bc1-40c3-ae6c-b27be8f70836","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"246110a7-fa8c-4213-a9b1-a5249f750ba5","type":"Circle"},{"attributes":{},"id":"9259a26e-41e5-46d2-bbcb-94821967362d","type":"BasicTicker"},{"attributes":{"args":{"s2":{"id":"5a2d3664-d226-4caf-b600-9314576f1114","type":"ColumnDataSource"}},"code":"\n        var inds = cb_obj.selected['1d'].indices;\n        var d1 = cb_obj.data;\n        var d2 = s2.data;\n        d2['x'] = []\n        d2['y'] = []\n        for (i = 0; i < inds.length; i++) {\n            d2['x'].push(d1['x'][inds[i]])\n            d2['y'].push(d1['y'][inds[i]])\n        }\n        s2.change.emit();\n    "},"id":"91a3b9c6-9f9b-4613-a039-838f57afce53","type":"CustomJS"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[],"y":[]}},"id":"5a2d3664-d226-4caf-b600-9314576f1114","type":"ColumnDataSource"},{"attributes":{"plot":null,"text":"Watch Here"},"id":"2593a4d8-0232-459c-8871-92585eea5f67","type":"Title"},{"attributes":{},"id":"46e6a11b-0a41-4527-a8e2-1774c2a13740","type":"BasicTicker"},{"attributes":{"below":[{"id":"744752b0-59fb-49e5-a9b4-6128a6c0dadd","type":"LinearAxis"}],"left":[{"id":"737e5dcf-2441-4867-a0c8-157f1b7d1813","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"744752b0-59fb-49e5-a9b4-6128a6c0dadd","type":"LinearAxis"},{"id":"25935695-04ff-4427-92f4-8ab649536a0a","type":"Grid"},{"id":"737e5dcf-2441-4867-a0c8-157f1b7d1813","type":"LinearAxis"},{"id":"7a57a6f4-fe8d-48b7-a1cb-d29f53013bfc","type":"Grid"},{"id":"491c0b98-efe6-4274-9c7f-7a45e6b9ff55","type":"PolyAnnotation"},{"id":"bb4c266f-8822-4059-915f-41224b61da53","type":"GlyphRenderer"}],"title":{"id":"78a1f144-8682-4338-9313-b1f9048ecace","type":"Title"},"toolbar":{"id":"392d3793-e0b6-4eff-8457-077d5b97d08a","type":"Toolbar"},"x_range":{"id":"32c0aa0c-8bc1-40c3-ae6c-b27be8f70836","type":"DataRange1d"},"x_scale":{"id":"add5bb75-d6d2-4e69-9f20-5bb5ae7eb5c1","type":"LinearScale"},"y_range":{"id":"0676d3d6-c119-4b77-a422-d60bf34b3dad","type":"DataRange1d"},"y_scale":{"id":"67b5d40a-0a2a-4f88-8279-578661a4b9e6","type":"LinearScale"}},"id":"32873623-e996-434d-9b02-11b13c322bdc","subtype":"Figure","type":"Plot"},{"attributes":{"plot":{"id":"87f66768-12c1-45ef-85e1-62c8dce1057b","subtype":"Figure","type":"Plot"},"ticker":{"id":"46e6a11b-0a41-4527-a8e2-1774c2a13740","type":"BasicTicker"}},"id":"9e9209b6-bf2a-4fbe-9344-edac0266eeaa","type":"Grid"},{"attributes":{},"id":"92451ece-1c6d-4aa7-b7a8-8cc8b6d241db","type":"BasicTickFormatter"},{"attributes":{},"id":"03fbaf39-646f-4577-a6e2-ea3b1fa98a78","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"0676d3d6-c119-4b77-a422-d60bf34b3dad","type":"DataRange1d"},{"attributes":{},"id":"d9f7b090-a46d-4d15-bc7d-9ab807b96b9b","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"491c0b98-efe6-4274-9c7f-7a45e6b9ff55","type":"PolyAnnotation"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"fe950614-4d88-466d-b977-7f4e24bcc8a2","type":"Toolbar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"a4a5ab1c-e99f-4e55-aba8-fc9dcf3b727f","type":"Circle"},{"attributes":{"callback":null},"id":"c766ee38-0bcc-452a-bc16-4db4e3b6cf5f","type":"Range1d"},{"attributes":{},"id":"67b5d40a-0a2a-4f88-8279-578661a4b9e6","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"5d41737e-d3c0-492f-9822-ee0ba2ff8392","type":"LassoSelectTool"}]},"id":"392d3793-e0b6-4eff-8457-077d5b97d08a","type":"Toolbar"},{"attributes":{"source":{"id":"5a2d3664-d226-4caf-b600-9314576f1114","type":"ColumnDataSource"}},"id":"6ed50b8d-24ae-42d3-9a6d-3ed4a2b7d7a9","type":"CDSView"},{"attributes":{},"id":"add5bb75-d6d2-4e69-9f20-5bb5ae7eb5c1","type":"LinearScale"},{"attributes":{},"id":"a9ec8965-fa10-4bfc-bc83-c8e38885155d","type":"BasicTicker"},{"attributes":{"formatter":{"id":"92451ece-1c6d-4aa7-b7a8-8cc8b6d241db","type":"BasicTickFormatter"},"plot":{"id":"87f66768-12c1-45ef-85e1-62c8dce1057b","subtype":"Figure","type":"Plot"},"ticker":{"id":"9259a26e-41e5-46d2-bbcb-94821967362d","type":"BasicTicker"}},"id":"92cfe6c7-aba7-483c-bb4a-2de8d9314f4a","type":"LinearAxis"},{"attributes":{"callback":null},"id":"2faaf208-c440-42ee-828d-528057c2446d","type":"Range1d"},{"attributes":{"source":{"id":"f791c844-aecd-4765-8379-d459b98bf7b6","type":"ColumnDataSource"}},"id":"977fbd26-12ad-4566-9256-32b88e37f2b6","type":"CDSView"},{"attributes":{},"id":"d84bc486-765b-4e82-8b75-06359c442984","type":"LinearScale"},{"attributes":{"callback":null,"overlay":{"id":"491c0b98-efe6-4274-9c7f-7a45e6b9ff55","type":"PolyAnnotation"}},"id":"5d41737e-d3c0-492f-9822-ee0ba2ff8392","type":"LassoSelectTool"},{"attributes":{"fill_alpha":{"value":0.6},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.6},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"ae00b94a-f98a-49b3-b4a4-f63c1905ad83","type":"Circle"},{"attributes":{"fill_alpha":{"value":0.6},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.6},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"731bac7a-97d2-4ef4-9c05-eb559788fe37","type":"Circle"},{"attributes":{"callback":{"id":"91a3b9c6-9f9b-4613-a039-838f57afce53","type":"CustomJS"},"column_names":["y","x"],"data":{"x":[0.8433995513590383,0.38828764245359815,0.8132214468114308,0.9338642659189378,0.47383091267224275,0.2804650390419602,0.4708840464351378,0.4291291970777844,0.9012767942084203,0.1483138434226121,0.49539143603547553,0.33843338816545854,0.6019039009008295,0.956975644337758,0.573599494861547,0.978302929192398,0.6963244604122916,0.8327719128543991,0.15838085396675672,0.13987138779405628,0.41512483497183317,0.2886267528283796,0.5335214085550184,0.7047126025617005,0.14633174330583776,0.07021210105484876,0.32054929085950545,0.16930455299319414,0.2726089425334691,0.4906967677352245,0.4153027912103813,0.24310092346491785,0.6532623756712843,0.19145964725154707,0.3965091014737533,0.6449456301768038,0.2501799574018997,0.6848680807907388,0.32202845125262036,0.06957807512868597,0.39209895725750354,0.8010545962247386,0.009055250271161275,0.7658006460650126,0.4972624812053671,0.11763752222082824,0.07185080070652439,0.6772975833989693,0.9829480297415915,0.10789704806666323,0.004921287787214901,0.35107044613246663,0.7652223386656658,0.6304880279623533,0.19497521332004553,0.5152121102500812,0.31595152178046093,0.7303433862381297,0.9773791333681853,0.8531179436547035,0.36865174304513904,0.3600139003208699,0.03584462534282806,0.8813499052203825,0.057113171438375354,0.3221675248938842,0.8640528276758223,0.4456069122927935,0.5943721746417127,0.06266283461150213,0.7361824705402356,0.14524920341389502,0.4002609627741175,0.8092935928028594,0.322164432429773,0.25018693129875547,0.09433049613595246,0.28066649711374303,0.3698228130466539,0.9256584415708671,0.3817295769169945,0.18635768376323514,0.0696336335103771,0.8291587325815185,0.832891196799108,0.8373911171230362,0.5073485994986308,0.5645452591020259,0.2246737029528023,0.4025807220529858,0.45854378760759607,0.17961764553397075,0.5917318579210791,0.9513462424872313,0.03051049520585214,0.27218462786458797,0.19170423657362745,0.17992898569887117,0.8494304011745145,0.8278985689522294,0.28071699587830357,0.833305083799424,0.6858935903453124,0.2948610915279194,0.10818161557514994,0.11139843367385682,0.053147836889625544,0.46274665897694645,0.09569510785257918,0.5781497028686609,0.003477890618711177,0.2701567875452249,0.08135966166974007,0.7405453930854076,0.13904908924067583,0.664825047734861,0.10205678240521465,0.3854956864807837,0.875679699249599,0.762972346759684,0.5135374319516691,0.0741928378723733,0.957104003737185,0.8122047232228649,0.9797491219669556,0.10217659548539393,0.19084846203153938,0.23691222043619808,0.3147365795159497,0.3155006697696041,0.14935937592521242,0.1796088286396157,0.5757082400293251,0.7056151191192825,0.583825574449445,0.19619011670492936,0.7787212533747193,0.7604027084614712,0.24639443535428485,0.9055794987699956,0.9085239949597156,0.6958979782148641,0.7862525520970373,0.3925972870707437,0.17266097801044988,0.39223478683560187,0.007301418320527553,0.6897370006812101,0.4466249993372535,0.8086512298573213,0.2304247268179801,0.9813208764147714,0.1820809597342229,0.7143573624841878,0.7052275665032356,0.9025308297696906,0.05697831841483003,0.9755343004408539,0.8891697794942334,0.9460467566918915,0.9377310829227448,0.9611742700866376,0.1352055564527529,0.7397043063362015,0.27918347196066107,0.1598421543049261,0.3286052118791304,0.4248963600809542,0.4214974268827494,0.09744501692799479,0.2523933145997581,0.40173672768008095,0.9789338550193434,0.04203442674758351,0.965272858482528,0.8431981347345651,0.25932974929675057,0.7708895957959918,0.11550095150283413,0.04769637293782314,0.6657075041085395,0.703987957615213,0.5536742157638315,0.7410166422448856,0.5834342731994913,0.8258129800094614,0.10774809390366524,0.6463660027927548,0.6039532937547889,0.7140076468857024,0.26532538057449206,0.6857104560884536,0.29299226960428126,0.40557437413206454,0.2742513595350623,0.4806430780708253,0.9476179432324092,0.3453626337113602,0.5924715837666087,0.7358826707441736,0.11407320965382939,0.5080678300475234,0.5665936756657849,0.7011387157482702,0.9823832195230179,0.3114098689800374,0.2759711978656506,0.006577370619332279,0.915506001037754,0.32461028309300344,0.7851237159277183,0.36893386116616433,0.8469263196704152,0.2553676919886798,0.570076603296597,0.9484538629993495,0.6127907600324601,0.21220741489396733,0.05683154156388004,0.054367052389272974,0.2331406746929361,0.8823435038792949,0.9340672083003385,0.5205561033429746,0.8922331270199406,0.20034396365618068,0.556312695015111,0.1911215325564093,0.9778140546129258,0.626915984161345,0.3535931636323484,0.45025404887224163,0.3636166159855706,0.5252977978867778,0.3313281192956955,0.04201574202755243,0.08444440957069788,0.7132400709666555,0.43687680994026856,0.5919837802364274,0.5459146193001545,0.6729238862294111,0.21528005852417786,0.3241339883300196,0.8702140582802407,0.22882507095430937,0.8695590921616769,0.6344821966259434,0.9810836463928952,0.7954724779055448,0.11527030971556029,0.9914886473897117,0.5126281105280769,0.7081415998007557,0.587844991455982,0.013217237997362852,0.852402078155609,0.6802109270187445,0.366570917494504,0.781152796644144,0.43589288365657985,0.8562766568547463,0.21905473324823688,0.3350840629530242,0.7788039412386943,0.4381953082088823,0.6319987863939526,0.11478468262143693,0.21508644947977895,0.7345445031580419,0.7829119354646384,0.9558194989886434,0.9051491717635587,0.886872926623495,0.5622317103540693,0.4468704486770799,0.206570075485342,0.0642305407230005,0.9039026264634429,0.24975923376681408,0.17868134925153234,0.727331147808278,0.733730554807958,0.6288842524057785,0.21475970290423785,0.9916059052668099,0.034733326366706674,0.5298243232546967,0.5888610771298839,0.1929358122412328,0.09685816946185466,0.996623002496615,0.17544402253176006,0.48698019259802494,0.8446143881392675,0.5723072900623088,0.2124464680498639,0.3581755334324551,0.38743371158972517,0.12488530000483722,0.5944426666650836,0.5249752867188747,0.539281954059352,0.5662673199837913,0.8415755111213398,0.7191705604281154,0.8363182058420779,0.8060530914743044,0.918637697664616,0.2556575924367769,0.3708198455670787,0.9089563121155818,0.3453340686587787,0.3632084770015531,0.20472296774655374,0.406272667529325,0.6320719786733476,0.5543161648245101,0.6071179359156724,0.37104332340857116,0.2711390080627476,0.6508434486082408,0.7261146328747987,0.5195233732154503,0.7900860241142645,0.39530108544256193,0.1558075661304834,0.5937590761477372,0.19665056994960584,0.7660115358894952,0.17574558857160516,0.4786067466549039,0.01223380468863533,0.46749580014578407,0.9840785305767215,0.3705014228328236,0.20449626827873923,0.6440113563298393,0.6036253890631648,0.274899460447357,0.20775444639210994,0.1639632281655221,0.9624937956204968,0.34752546767595016,0.025033531702877476,0.38470018769505754,0.4232018122335416,0.6685229802235847,0.995115591672796,0.7236202472828355,0.6617321093005738,0.3730375248267106,0.2081911263234021,0.6833346182798805,0.675591958651261,0.7349562282305063,0.23154777873747678,0.7647579029785181,0.5039790566516915,0.012572150901530743,0.9432682005799561,0.9671631951886889,0.009944608421827206,0.093704800629279,0.572848574766262,0.7311536226032973,0.2784087400092963,0.7775469235185843,0.08124274519641639,0.258744763925872,0.2849191180014822,0.6143059958588681,0.7498099787238997,0.5493080561895283,0.23407290200279163,0.15107901650059685,0.9031473751722128,0.4333877512330606,0.8303154511919959,0.2121921628321225,0.8864102355065112,0.7566241120779879,0.13677417907801848,0.06865061658679861,0.5682657538176953,0.7399003976226214,0.022649437861333555,0.2738229308496358,0.9703476716540856,0.6302147191813311,0.4216866570081319,0.3824538098357352,0.09710361061486783,0.08852524924580274,0.6345269286674017,0.5994528936176957,0.26409527097255303,0.3531738725543814,0.5213261435101881,0.6901090794486937,0.24614412697966948,0.9392051482147362,0.11240695220728025,0.39304104909948145,0.0826924824755857,0.6147647247789718,0.8847146622729462,0.2931745640314608,0.6011930328242568,0.35773953638630074,0.3401567924996216,0.7841330047692027,0.7928456157610382,0.5439832838318709,0.49451315169960475,0.15694872111825187,0.0296025707693367,0.0428829702879584,0.7458444774327577,0.19843314795284328,0.20544802689743613,0.9021584003908696,0.23524191648549497,0.28958504896926274,0.20282924773164746,0.21952015753910303,0.03721339524696332,0.05759775560417091,0.40189077017641606,0.28330477107982344,0.20988741072006245,0.1279660080439986,0.32014938948815974,0.7444520341635551,0.54245576503221,0.724321773624728,0.06220973254570983,0.5964502438535041,0.2072954300059947,0.5978274084088863,0.8285103287556602,0.5985735683023141,0.5531016343826827,0.5857336039488338,0.6179821449116288,0.7589839304642831,0.1500589027710516,0.39208041891914747,0.4888107554318307,0.2675091378525474,0.4507123299749236,0.6955423891228126,0.22450920949869835,0.28617276020853566,0.5408132204666134,0.0636755614078306,0.08844953436087011,0.38546440154399175,0.29991143676896437,0.5659594393764452,0.4266362644479149,0.9564603731982823,0.3803637081276925,0.3252039304739054,0.6730441550351153,0.8426047882807233,0.43561031230359004,0.6890708963471358,0.17601995129234704,0.8428909351936731,0.4431163614888176,0.1956964891489118,0.7051343995238156,0.3800696859578079,0.30821627869762525,0.8936306082000481,0.23029082820885083,0.7032892530416021,0.785223312684078,0.43560014477587616,0.8370654148017729,0.7052146719907258,0.28806464293600664,0.7215230863273712,0.2873945134430832,0.199093506922434,0.026941094190026216,0.291317206622022,0.5571561130527067,0.18318797140663723,0.14099269675707482,0.9598160241251222,0.9818219302222908,0.5390615838027559,0.5126554139038502,0.9646881177287476,0.05775893880388505,0.5758823266021449,0.6118191897048092,0.5557855741555107],"y":[0.8104844546092389,0.41625415802754084,0.9542495887759326,0.5596939120312875,0.6015053172731255,0.6183954787047425,0.973027020481487,0.9294836066300273,0.22381575859744085,0.3526714759212044,0.8017230278164188,0.4926431543559604,0.4956064963288591,0.4514430468921845,0.13198559017861888,0.12477947824019653,0.20328187699458022,0.5138461176613598,0.2459779003198449,0.4700421887295725,0.2431641942806353,0.7533687413425535,0.1695744308398235,0.10366300727262279,0.7869182341189381,0.8656293776341007,0.4504179601541155,0.6131492106544644,0.1433167357700268,0.4566124608644774,0.10209536300258093,0.5883023316805933,0.23347586737582648,0.25664524268047406,0.5762588486053167,0.5919629647315314,0.1584151772462491,0.21224058495200282,0.7316214589765555,0.6694218519016355,0.6720288256045126,0.46273412920427237,0.4970563073564025,0.8668946640244349,0.6839645488581678,0.6054041498907049,0.0253495939310876,0.3747062301499908,0.6648684305841869,0.6018029176515326,0.8641770456059942,0.03458622567453884,0.8542708991912603,0.8541044124234846,0.6906992694797083,0.3763269463093116,0.6048638356579669,0.09864953162411538,0.8276660432591516,0.3949948483936404,0.7695890284594568,0.27362846257173934,0.8968991776300467,0.8441903829523335,0.7087883214547765,0.5584120222111177,0.08204745482469666,0.8464985227959374,0.22525766413389026,0.24061199778173215,0.38257065640302956,0.6685157951952339,0.5667498654123733,0.1595717629149871,0.8874570118877817,0.15533291781462055,0.7638659403420678,0.9876806669015206,0.8011708182237258,0.7352571109346223,0.479881746905628,0.14322835839709214,0.38703111184922223,0.27126085565262315,0.015637630687279636,0.9294879052220913,0.21643009316232198,0.23578174731050539,0.3671511846640714,0.9722864584857187,0.8093049554131093,0.9419020956109247,0.8883221633808699,0.49990451978283346,0.29610982459183843,0.6634945447157824,0.270898153070552,0.5695081062970742,0.0349012639031091,0.5059366030877305,0.18754553027526832,0.15291203863897995,0.8319242557180135,0.6477907610998564,0.7272999316824186,0.6986532514103884,0.38052952813971475,0.26590317365669913,0.17305230957850215,0.32911065659702055,0.4689395717084327,0.4530533988195409,0.7993896477374282,0.59689178471736,0.336896167975653,0.04378955331930756,0.3360459476542048,0.08675094480351253,0.6230207527900337,0.15622532859684468,0.8751673051973345,0.9212562956090011,0.3748239019990689,0.1980465284552403,0.4206809796058103,0.5731496329579778,0.951989702328286,0.4817338493354085,0.7583010000575932,0.16397630669002217,0.9984775018838159,0.9224842655454669,0.7270099875128999,0.12428235798455467,0.9849990392344503,0.2876622619756768,0.2218175982485855,0.3227238233132307,0.5490673029099113,0.10750235444438005,0.9743621581455487,0.3397691417442933,0.8542918329361882,0.34665136751964465,0.4401015937291539,0.596787668763979,0.3579450831372736,0.5975950384244011,0.35717203909429485,0.013781415256043594,0.8660763022649771,0.16923774933344948,0.011985242785325534,0.6127544710540819,0.39890365616126533,0.5707495400316964,0.3641878469533403,0.8327434822713635,0.6312955042244431,0.22722174026121789,0.8337638522483862,0.43150025861436037,0.8076173767713595,0.5487283536446375,0.8292665499687266,0.31581136252488584,0.2503574563852806,0.18335139599920702,0.26570415212920084,0.3455740280377859,0.6309264493959592,0.19713955895257806,0.6033937378030525,0.4900280666766068,0.5401036448220116,0.952944716129442,0.9076371283826281,0.013551566005515436,0.12348297165375066,0.09508397536830471,0.15717155329768728,0.6366082122765514,0.5502100997753533,0.3961721146984879,0.008384139141836111,0.3525885176836897,0.37367755990793194,0.9604617376827068,0.5750186512873517,0.7409454532489247,0.33527785177676594,0.37628557630033443,0.0002477065857960925,0.3794542829098182,0.5311691266593853,0.731817510025391,0.8645792961173085,0.27871781568928733,0.8901029352495075,0.38645975525988807,0.5253970558638675,0.16720424717236892,0.40607302981801197,0.7014716268077206,0.23355854985012314,0.6715586762510098,0.8478047867396963,0.03408608521802925,0.18871700244667167,0.9182248736569198,0.5817144399959855,0.09977161800830314,0.5206234949479673,0.6118833457218875,0.5420828763538501,0.7198620891601292,0.9949961118698287,0.7495203982018399,0.06172307235310592,0.03929366928602496,0.7566620182196577,0.9145622199775396,0.26882017768536104,0.8920432705672969,0.5714150503895442,0.882539045973546,0.4805839809639738,0.1510412397157409,0.6226300594070193,0.48484112742936114,0.6528839844899781,0.5029947100139919,0.3948392244140917,0.119069620936338,0.20707594765856574,0.3077319957113791,0.7865075164870158,0.9736373568094157,0.48012451221658736,0.9898745586312118,0.2239524962404682,0.11280341853832765,0.5680420314384982,0.07483727156002706,0.015702897782905234,0.835695349828006,0.49783439582203226,0.4364003096635515,0.9888539778820258,0.5201201354293384,0.8730296278136211,0.235251659155156,0.19985016373569287,0.28531431660804574,0.6783657092087769,0.644411594932431,0.3368619161647334,0.9461318737830778,0.6499877644927965,0.19283435265743876,0.8862091842960166,0.6288965644798359,0.2727752260784142,0.20332271636745647,0.7676135511229967,0.13617857534484112,0.237045546421772,0.29866918897953054,0.6853909711342039,0.0015626342211192412,0.7705870814171827,0.1847114384838886,0.6029352170489863,0.04078773609120734,0.36991287867981104,0.02674940031483819,0.4450323294827936,0.29217362868457386,0.5165230845918736,0.18760079408823505,0.8593748045841246,0.4429954943582236,0.8764812002876898,0.03966856835846577,0.21293886156500286,0.5285814800409129,0.46952272849979326,0.13967625895553126,0.835863458741263,0.18331333098596891,0.19512824828105946,0.9420917989461575,0.7831498174446663,0.91236638026655,0.35659098392057564,0.7953125194779228,0.047119926937582046,0.6741763246166274,0.9919427861385107,0.5426570363341473,0.21109972264011734,0.2648976536894556,0.3640365602673725,0.06019077850242871,0.1764818464983613,0.8573055761903927,0.9388506802561613,0.23624379894105185,0.7367925852696711,0.5395598440434649,0.3233161502101236,0.8784184984781027,0.9225037522946429,0.010855884400666316,0.06391964875002731,0.6421895864236201,0.8553539425910786,0.6074690472844764,0.7940548601471604,0.6564153700178124,0.5757330739855605,0.24710226091446785,0.2806529634304573,0.7989282576149653,0.28355924702634594,0.5893132239403605,0.8476744923199061,0.6390778561808457,0.09852611944754819,0.8038314034687037,0.46662515738621113,0.8295050975066892,0.7049463996598343,0.7405657137661813,0.41957310159698513,0.4728197682706592,0.5927776743596819,0.5917548055919373,0.2568616599505983,0.5105657329897553,0.1412631389837261,0.9697892248186258,0.09140379912751173,0.19228773807601018,0.4542635233991966,0.806676082999577,0.891942779200406,0.8832006141108504,0.8313602940499617,0.13868842317286634,0.07575470752195934,0.5401045689601432,0.28553323706002043,0.7920203554602474,0.9904506397400725,0.49504977291436036,0.09957416363810623,0.36792968565479456,0.9801952766950699,0.36653731050762695,0.49756352337983834,0.6586836809425105,0.10993873488362271,0.12643487479543758,0.8562743686391339,0.8298078525133118,0.6059829575916524,0.7490503984283704,0.6020453453077752,0.04345298297834588,0.11345521336208308,0.10029881521068451,0.8097923781602099,0.33180411432410706,0.26065105848363646,0.4133035485939054,0.08035849415467833,0.6849462771996548,0.4374379878982345,0.9031883515325667,0.6762868417826209,0.5022965677462576,0.14691433734743076,0.676780267248367,0.13688547997023115,0.4177672872689763,0.8731811933939959,0.1221827014848812,0.3014021462941746,0.8322741051636666,0.6992683486800019,0.9616921800769209,0.9668234874911934,0.7255927456037833,0.6273164339631548,0.9472522878055991,0.9780997840566934,0.5549467182187654,0.6830255796580618,0.11253018109143009,0.9421247659742704,0.9784694556426704,0.3374106785575355,0.34626043510919857,0.3955925175552305,0.84221445769238,0.07505065271230082,0.7533582050300426,0.7789339726017508,0.35348460682707616,0.19697168395598696,0.03755203464093515,0.3612387226480377,0.4317319274237553,0.9249876035153795,0.8748213590152389,0.709663241410115,0.166029541673536,0.9853554718148303,0.9096660901523071,0.5709055359571134,0.4085149460377908,0.27946660479449825,0.794835866075322,0.23250820939986327,0.6852435217523808,0.2785635807369401,0.37101374484706817,0.956748462342949,0.7827794861613714,0.1278589999577977,0.08808287087714606,0.42248938255771407,0.6351568830749378,0.4785664708312225,0.35885527676686124,0.6009031525701405,0.38031699128277097,0.3461632568023004,0.46071077004539707,0.26547523235136095,0.1482093449656603,0.10859948425239363,0.9419258149411335,0.8635780761490016,0.2869820553427025,0.8885960066393322,0.792683823942519,0.22199697106896532,0.7773828870583647,0.047392519731118576,0.1488241370339819,0.06998677362267713,0.1625579657811289,0.7261122950496908,0.28778453802481585,0.13719009558985285,0.22515790467478092,0.5698858452241367,0.7790323103825244,0.4599296111489657,0.19538802990718862,0.6178257333982229,0.5017131626763689,0.9267014162245857,0.4695486226981598,0.9287290973594875,0.9354586553547736,0.9513890768462223,0.5189216384617854,0.5621702827510294,0.43184856605395094,0.6619987262072307,0.29549464710584716,0.8751643154223088,0.009929192372764462,0.1936669011024491,0.9194777367153031,0.32079300576943826,0.34978996091592396,0.3909542953575955,0.5883523133552487,0.386104265449411,0.6286110338556707,0.2735524023441568,0.9696343837185624,0.7911974485306978,0.6434456217164434,0.7004385932665572,0.30276433874274467,0.29177840720241355,0.13982318172652108,0.916162846786898,0.42642657566017184,0.8228446276515682,0.08479461797419885,0.8849798776623574,0.5944313666311397,0.753430178053897,0.6292078804392637]}},"id":"f791c844-aecd-4765-8379-d459b98bf7b6","type":"ColumnDataSource"},{"attributes":{"plot":{"id":"32873623-e996-434d-9b02-11b13c322bdc","subtype":"Figure","type":"Plot"},"ticker":{"id":"a9ec8965-fa10-4bfc-bc83-c8e38885155d","type":"BasicTicker"}},"id":"25935695-04ff-4427-92f4-8ab649536a0a","type":"Grid"},{"attributes":{"data_source":{"id":"5a2d3664-d226-4caf-b600-9314576f1114","type":"ColumnDataSource"},"glyph":{"id":"731bac7a-97d2-4ef4-9c05-eb559788fe37","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"246110a7-fa8c-4213-a9b1-a5249f750ba5","type":"Circle"},"selection_glyph":null,"view":{"id":"6ed50b8d-24ae-42d3-9a6d-3ed4a2b7d7a9","type":"CDSView"}},"id":"d9424111-dfa7-45cc-ae3a-745ef9f76498","type":"GlyphRenderer"},{"attributes":{"children":[{"id":"32873623-e996-434d-9b02-11b13c322bdc","subtype":"Figure","type":"Plot"},{"id":"87f66768-12c1-45ef-85e1-62c8dce1057b","subtype":"Figure","type":"Plot"}]},"id":"2259682a-34f8-4063-8762-4fde8c014ed2","type":"Row"},{"attributes":{},"id":"7ab4198b-9659-463f-be4d-8d06aafb3542","type":"BasicTicker"},{"attributes":{"formatter":{"id":"417c1994-e6b7-455d-80e0-4201865bdf68","type":"BasicTickFormatter"},"plot":{"id":"87f66768-12c1-45ef-85e1-62c8dce1057b","subtype":"Figure","type":"Plot"},"ticker":{"id":"46e6a11b-0a41-4527-a8e2-1774c2a13740","type":"BasicTicker"}},"id":"8734e3dd-d3c7-4801-a852-43f1b426f9f4","type":"LinearAxis"},{"attributes":{"plot":null,"text":"Select Here"},"id":"78a1f144-8682-4338-9313-b1f9048ecace","type":"Title"},{"attributes":{"dimension":1,"plot":{"id":"32873623-e996-434d-9b02-11b13c322bdc","subtype":"Figure","type":"Plot"},"ticker":{"id":"7ab4198b-9659-463f-be4d-8d06aafb3542","type":"BasicTicker"}},"id":"7a57a6f4-fe8d-48b7-a1cb-d29f53013bfc","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"87f66768-12c1-45ef-85e1-62c8dce1057b","subtype":"Figure","type":"Plot"},"ticker":{"id":"9259a26e-41e5-46d2-bbcb-94821967362d","type":"BasicTicker"}},"id":"f19d7703-3b4f-4661-893f-180307210200","type":"Grid"},{"attributes":{"formatter":{"id":"03fbaf39-646f-4577-a6e2-ea3b1fa98a78","type":"BasicTickFormatter"},"plot":{"id":"32873623-e996-434d-9b02-11b13c322bdc","subtype":"Figure","type":"Plot"},"ticker":{"id":"7ab4198b-9659-463f-be4d-8d06aafb3542","type":"BasicTicker"}},"id":"737e5dcf-2441-4867-a0c8-157f1b7d1813","type":"LinearAxis"},{"attributes":{"formatter":{"id":"f424561c-89b0-4556-bd38-2421b121d83b","type":"BasicTickFormatter"},"plot":{"id":"32873623-e996-434d-9b02-11b13c322bdc","subtype":"Figure","type":"Plot"},"ticker":{"id":"a9ec8965-fa10-4bfc-bc83-c8e38885155d","type":"BasicTicker"}},"id":"744752b0-59fb-49e5-a9b4-6128a6c0dadd","type":"LinearAxis"},{"attributes":{"data_source":{"id":"f791c844-aecd-4765-8379-d459b98bf7b6","type":"ColumnDataSource"},"glyph":{"id":"ae00b94a-f98a-49b3-b4a4-f63c1905ad83","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a4a5ab1c-e99f-4e55-aba8-fc9dcf3b727f","type":"Circle"},"selection_glyph":null,"view":{"id":"977fbd26-12ad-4566-9256-32b88e37f2b6","type":"CDSView"}},"id":"bb4c266f-8822-4059-915f-41224b61da53","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"8734e3dd-d3c7-4801-a852-43f1b426f9f4","type":"LinearAxis"}],"left":[{"id":"92cfe6c7-aba7-483c-bb4a-2de8d9314f4a","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"8734e3dd-d3c7-4801-a852-43f1b426f9f4","type":"LinearAxis"},{"id":"9e9209b6-bf2a-4fbe-9344-edac0266eeaa","type":"Grid"},{"id":"92cfe6c7-aba7-483c-bb4a-2de8d9314f4a","type":"LinearAxis"},{"id":"f19d7703-3b4f-4661-893f-180307210200","type":"Grid"},{"id":"d9424111-dfa7-45cc-ae3a-745ef9f76498","type":"GlyphRenderer"}],"title":{"id":"2593a4d8-0232-459c-8871-92585eea5f67","type":"Title"},"toolbar":{"id":"fe950614-4d88-466d-b977-7f4e24bcc8a2","type":"Toolbar"},"x_range":{"id":"2faaf208-c440-42ee-828d-528057c2446d","type":"Range1d"},"x_scale":{"id":"d84bc486-765b-4e82-8b75-06359c442984","type":"LinearScale"},"y_range":{"id":"c766ee38-0bcc-452a-bc16-4db4e3b6cf5f","type":"Range1d"},"y_scale":{"id":"d9f7b090-a46d-4d15-bc7d-9ab807b96b9b","type":"LinearScale"}},"id":"87f66768-12c1-45ef-85e1-62c8dce1057b","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"417c1994-e6b7-455d-80e0-4201865bdf68","type":"BasicTickFormatter"}],"root_ids":["2259682a-34f8-4063-8762-4fde8c014ed2"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d95ec4ff-1a9a-48b8-b62b-d66285cf3f15","elementid":"96822f1a-84fe-4d53-96c6-381b396cae27","modelid":"2259682a-34f8-4063-8762-4fde8c014ed2"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
