(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("473b1f44-8355-4bee-ba5c-534b0873fec7");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '473b1f44-8355-4bee-ba5c-534b0873fec7' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"094901b9-ef8e-4f1c-983d-1350a967b632":{"roots":{"references":[{"attributes":{"fill_color":{"value":"olive"},"line_color":{"value":"olive"},"size":{"units":"screen","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"db255fdf-bacd-423c-9335-14c61f47963d","type":"Circle"},{"attributes":{"callback":null},"id":"3d568796-9c1f-43a9-a1cc-995168a6258e","type":"DataRange1d"},{"attributes":{},"id":"9b0bb4f6-bc6d-4dbc-83a9-be423e74ed5b","type":"BasicTicker"},{"attributes":{"plot":{"id":"1b383ab7-6821-422e-bbe7-653ebf62a26b","subtype":"Figure","type":"Plot"},"ticker":{"id":"4cbb3c1b-353d-41a0-b460-57d23dc657ac","type":"BasicTicker"}},"id":"851e1794-88fe-46b1-9e52-1ba54f6d0154","type":"Grid"},{"attributes":{},"id":"92a734fa-c8da-4073-bb82-3dc787ad6d8a","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"92a734fa-c8da-4073-bb82-3dc787ad6d8a","type":"BasicTickFormatter"},"plot":{"id":"1b383ab7-6821-422e-bbe7-653ebf62a26b","subtype":"Figure","type":"Plot"},"ticker":{"id":"4cbb3c1b-353d-41a0-b460-57d23dc657ac","type":"BasicTicker"}},"id":"0bf011e4-24ad-4317-b385-87cb9d918457","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[2,3,5,6,8,7],"y":[6,4,3,8,7,5]}},"id":"17c52c8b-f5dd-4696-b617-8ec25dace92c","type":"ColumnDataSource"},{"attributes":{"callback":null,"column_names":["y1","y0","x0","x1"],"data":{"x0":[],"x1":[],"y0":[],"y1":[]}},"id":"46d9fdb7-67a0-4170-8673-ff7cebf15e0d","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"46d9fdb7-67a0-4170-8673-ff7cebf15e0d","type":"ColumnDataSource"},"glyph":{"id":"daff3aca-9bec-44dd-bcf3-5a4829dfd491","type":"Segment"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"f5e1faa6-ba0e-4b6b-90af-801cb041e6c1","type":"Segment"},"selection_glyph":null,"view":{"id":"c67b877c-9a59-44fa-a0bc-2cbaddb66fc4","type":"CDSView"}},"id":"ded03193-a15d-4da2-8b37-2744c423e67d","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"0bf011e4-24ad-4317-b385-87cb9d918457","type":"LinearAxis"}],"left":[{"id":"adbcfd35-b5b1-4749-845b-1999a2b5f28b","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"0bf011e4-24ad-4317-b385-87cb9d918457","type":"LinearAxis"},{"id":"851e1794-88fe-46b1-9e52-1ba54f6d0154","type":"Grid"},{"id":"adbcfd35-b5b1-4749-845b-1999a2b5f28b","type":"LinearAxis"},{"id":"fe0a0f96-bbdf-48d1-87a9-61ec1cf76f36","type":"Grid"},{"id":"ded03193-a15d-4da2-8b37-2744c423e67d","type":"GlyphRenderer"},{"id":"9eeac82b-922c-4938-aba3-0c7f2f568a30","type":"GlyphRenderer"}],"title":{"id":"e5a02ef4-d1ec-44cd-8828-23f603f60d39","type":"Title"},"toolbar":{"id":"b9fa0db5-0936-496e-9e40-b7940e5bfa33","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"3d568796-9c1f-43a9-a1cc-995168a6258e","type":"DataRange1d"},"x_scale":{"id":"34b4d81c-84d7-43c7-9aa6-8ef77a3fcb1a","type":"LinearScale"},"y_range":{"id":"9aa66878-dd0b-4447-9188-ab1315dbbaf7","type":"DataRange1d"},"y_scale":{"id":"e3f94af8-11b3-4e60-89d2-27296b8adb7f","type":"LinearScale"}},"id":"1b383ab7-6821-422e-bbe7-653ebf62a26b","subtype":"Figure","type":"Plot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"f3b68153-54b9-47a3-8be2-6be6b42cc2d6","type":"HoverTool"}]},"id":"b9fa0db5-0936-496e-9e40-b7940e5bfa33","type":"Toolbar"},{"attributes":{"fill_alpha":{"value":0.4},"fill_color":{"value":"olive"},"line_alpha":{"value":0.4},"line_color":{"value":"olive"},"size":{"units":"screen","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"bb7689f7-e38c-4076-9ecc-a1071f09f515","type":"Circle"},{"attributes":{"callback":null},"id":"9aa66878-dd0b-4447-9188-ab1315dbbaf7","type":"DataRange1d"},{"attributes":{"source":{"id":"46d9fdb7-67a0-4170-8673-ff7cebf15e0d","type":"ColumnDataSource"}},"id":"c67b877c-9a59-44fa-a0bc-2cbaddb66fc4","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"1b383ab7-6821-422e-bbe7-653ebf62a26b","subtype":"Figure","type":"Plot"},"ticker":{"id":"9b0bb4f6-bc6d-4dbc-83a9-be423e74ed5b","type":"BasicTicker"}},"id":"fe0a0f96-bbdf-48d1-87a9-61ec1cf76f36","type":"Grid"},{"attributes":{},"id":"4cbb3c1b-353d-41a0-b460-57d23dc657ac","type":"BasicTicker"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"f5e1faa6-ba0e-4b6b-90af-801cb041e6c1","type":"Segment"},{"attributes":{"data_source":{"id":"17c52c8b-f5dd-4696-b617-8ec25dace92c","type":"ColumnDataSource"},"glyph":{"id":"bb7689f7-e38c-4076-9ecc-a1071f09f515","type":"Circle"},"hover_glyph":{"id":"db255fdf-bacd-423c-9335-14c61f47963d","type":"Circle"},"muted_glyph":null,"nonselection_glyph":{"id":"4aa6c91b-3ad0-46d4-a67e-dcb269445719","type":"Circle"},"selection_glyph":null,"view":{"id":"2b74613d-7b69-4030-8014-6a66062f1f89","type":"CDSView"}},"id":"9eeac82b-922c-4938-aba3-0c7f2f568a30","type":"GlyphRenderer"},{"attributes":{},"id":"34b4d81c-84d7-43c7-9aa6-8ef77a3fcb1a","type":"LinearScale"},{"attributes":{"source":{"id":"17c52c8b-f5dd-4696-b617-8ec25dace92c","type":"ColumnDataSource"}},"id":"2b74613d-7b69-4030-8014-6a66062f1f89","type":"CDSView"},{"attributes":{"callback":{"id":"2911759c-6355-4ccc-8672-d7c47b753f52","type":"CustomJS"},"renderers":[{"id":"9eeac82b-922c-4938-aba3-0c7f2f568a30","type":"GlyphRenderer"}],"tooltips":null},"id":"f3b68153-54b9-47a3-8be2-6be6b42cc2d6","type":"HoverTool"},{"attributes":{"line_alpha":{"value":0.6},"line_color":{"value":"olive"},"line_width":{"value":3},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"daff3aca-9bec-44dd-bcf3-5a4829dfd491","type":"Segment"},{"attributes":{},"id":"18950dae-3839-4891-9baf-469eaec1cb20","type":"BasicTickFormatter"},{"attributes":{},"id":"e3f94af8-11b3-4e60-89d2-27296b8adb7f","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"4aa6c91b-3ad0-46d4-a67e-dcb269445719","type":"Circle"},{"attributes":{"args":{"circle":{"id":"17c52c8b-f5dd-4696-b617-8ec25dace92c","type":"ColumnDataSource"},"segment":{"id":"46d9fdb7-67a0-4170-8673-ff7cebf15e0d","type":"ColumnDataSource"}},"code":"\nvar links = {0: [1, 2], 1: [0, 3, 4], 2: [0, 5], 3: [1, 4], 4: [1, 3], 5: [2, 3, 4]};\nvar data = {'x0': [], 'y0': [], 'x1': [], 'y1': []};\nvar cdata = circle.data;\nvar indices = cb_data.index['1d'].indices;\nfor (i=0; i < indices.length; i++) {\n    ind0 = indices[i]\n    for (j=0; j < links[ind0].length; j++) {\n        ind1 = links[ind0][j];\n        data['x0'].push(cdata.x[ind0]);\n        data['y0'].push(cdata.y[ind0]);\n        data['x1'].push(cdata.x[ind1]);\n        data['y1'].push(cdata.y[ind1]);\n    }\n}\nsegment.data = data;\n"},"id":"2911759c-6355-4ccc-8672-d7c47b753f52","type":"CustomJS"},{"attributes":{"formatter":{"id":"18950dae-3839-4891-9baf-469eaec1cb20","type":"BasicTickFormatter"},"plot":{"id":"1b383ab7-6821-422e-bbe7-653ebf62a26b","subtype":"Figure","type":"Plot"},"ticker":{"id":"9b0bb4f6-bc6d-4dbc-83a9-be423e74ed5b","type":"BasicTicker"}},"id":"adbcfd35-b5b1-4749-845b-1999a2b5f28b","type":"LinearAxis"},{"attributes":{"plot":null,"text":"Hover over points"},"id":"e5a02ef4-d1ec-44cd-8828-23f603f60d39","type":"Title"}],"root_ids":["1b383ab7-6821-422e-bbe7-653ebf62a26b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"094901b9-ef8e-4f1c-983d-1350a967b632","elementid":"473b1f44-8355-4bee-ba5c-534b0873fec7","modelid":"1b383ab7-6821-422e-bbe7-653ebf62a26b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
