(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("3d0e37d7-e71e-4d94-bd9f-62ba645b7abb");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '3d0e37d7-e71e-4d94-bd9f-62ba645b7abb' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"443e91f1-b0b1-4903-87e0-2ea5eb24e798":{"roots":{"references":[{"attributes":{"callback":{"id":"dce1bcab-fd2d-4666-a32f-6172e327dc75","type":"OpenURL"}},"id":"9ac8d3a5-ec29-4e10-aca2-2639d896b225","type":"TapTool"},{"attributes":{},"id":"d34a12e3-18c4-4768-873b-54ce2dfffbfd","type":"BasicTickFormatter"},{"attributes":{},"id":"6439b1a1-d8a2-498d-90bc-a199d9dc0b66","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"field":"color"},"line_color":{"field":"color"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"a113a615-7a0e-4c38-a3ca-d1b7abcf87f3","type":"Circle"},{"attributes":{"formatter":{"id":"6439b1a1-d8a2-498d-90bc-a199d9dc0b66","type":"BasicTickFormatter"},"plot":{"id":"120f3cd6-b6d7-41fb-92ab-2f25e0f4003e","subtype":"Figure","type":"Plot"},"ticker":{"id":"52c6e8ee-d835-4483-aa51-6bc6092ac9ee","type":"BasicTicker"}},"id":"8baf7ef5-9e40-4b01-bfb3-6396ccb72a1f","type":"LinearAxis"},{"attributes":{},"id":"6918c240-f593-47de-bf6f-193d13a4e22e","type":"LinearScale"},{"attributes":{"plot":null,"text":"Click the Dots"},"id":"d2ba1503-c7c3-4ad2-a18a-029e9945a68a","type":"Title"},{"attributes":{"callback":null},"id":"5e3377a5-c131-450c-87b3-ac2be6cd50b6","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"4487d4ee-d354-469e-abb5-85c64a759ea5","type":"Circle"},{"attributes":{},"id":"52c6e8ee-d835-4483-aa51-6bc6092ac9ee","type":"BasicTicker"},{"attributes":{"url":"http://www.colors.commutercreative.com/@color/"},"id":"dce1bcab-fd2d-4666-a32f-6172e327dc75","type":"OpenURL"},{"attributes":{},"id":"ae997fc6-6f95-40c1-8c46-e0915f6d6be4","type":"LinearScale"},{"attributes":{"below":[{"id":"8baf7ef5-9e40-4b01-bfb3-6396ccb72a1f","type":"LinearAxis"}],"left":[{"id":"c239c686-279a-4054-b0d5-408b430c3e5b","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"8baf7ef5-9e40-4b01-bfb3-6396ccb72a1f","type":"LinearAxis"},{"id":"4d026af0-7266-45ff-a3ed-34a38547cadb","type":"Grid"},{"id":"c239c686-279a-4054-b0d5-408b430c3e5b","type":"LinearAxis"},{"id":"cfad3abe-eb25-4006-8e9d-72151e5d264b","type":"Grid"},{"id":"d2059931-9e69-486e-a35e-04b0d3d428b3","type":"GlyphRenderer"}],"title":{"id":"d2ba1503-c7c3-4ad2-a18a-029e9945a68a","type":"Title"},"toolbar":{"id":"0082f934-674b-4172-bc29-fdd0e2ebb129","type":"Toolbar"},"x_range":{"id":"5e3377a5-c131-450c-87b3-ac2be6cd50b6","type":"DataRange1d"},"x_scale":{"id":"6918c240-f593-47de-bf6f-193d13a4e22e","type":"LinearScale"},"y_range":{"id":"ec6bd8fe-29be-4887-bcee-0e6704b011de","type":"DataRange1d"},"y_scale":{"id":"ae997fc6-6f95-40c1-8c46-e0915f6d6be4","type":"LinearScale"}},"id":"120f3cd6-b6d7-41fb-92ab-2f25e0f4003e","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"ec6bd8fe-29be-4887-bcee-0e6704b011de","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["color","y","x"],"data":{"color":["navy","orange","olive","firebrick","gold"],"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"2a1f5db5-c436-45e9-8fc7-77d87bdbfd06","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"d34a12e3-18c4-4768-873b-54ce2dfffbfd","type":"BasicTickFormatter"},"plot":{"id":"120f3cd6-b6d7-41fb-92ab-2f25e0f4003e","subtype":"Figure","type":"Plot"},"ticker":{"id":"67c2fdfb-3ba5-441b-a4b6-47bb7bb1d8d8","type":"BasicTicker"}},"id":"c239c686-279a-4054-b0d5-408b430c3e5b","type":"LinearAxis"},{"attributes":{},"id":"67c2fdfb-3ba5-441b-a4b6-47bb7bb1d8d8","type":"BasicTicker"},{"attributes":{"plot":{"id":"120f3cd6-b6d7-41fb-92ab-2f25e0f4003e","subtype":"Figure","type":"Plot"},"ticker":{"id":"52c6e8ee-d835-4483-aa51-6bc6092ac9ee","type":"BasicTicker"}},"id":"4d026af0-7266-45ff-a3ed-34a38547cadb","type":"Grid"},{"attributes":{"data_source":{"id":"2a1f5db5-c436-45e9-8fc7-77d87bdbfd06","type":"ColumnDataSource"},"glyph":{"id":"a113a615-7a0e-4c38-a3ca-d1b7abcf87f3","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"4487d4ee-d354-469e-abb5-85c64a759ea5","type":"Circle"},"selection_glyph":null,"view":{"id":"db0968b8-d2a3-4c31-a04e-26082751f421","type":"CDSView"}},"id":"d2059931-9e69-486e-a35e-04b0d3d428b3","type":"GlyphRenderer"},{"attributes":{"source":{"id":"2a1f5db5-c436-45e9-8fc7-77d87bdbfd06","type":"ColumnDataSource"}},"id":"db0968b8-d2a3-4c31-a04e-26082751f421","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"120f3cd6-b6d7-41fb-92ab-2f25e0f4003e","subtype":"Figure","type":"Plot"},"ticker":{"id":"67c2fdfb-3ba5-441b-a4b6-47bb7bb1d8d8","type":"BasicTicker"}},"id":"cfad3abe-eb25-4006-8e9d-72151e5d264b","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"9ac8d3a5-ec29-4e10-aca2-2639d896b225","type":"TapTool"}]},"id":"0082f934-674b-4172-bc29-fdd0e2ebb129","type":"Toolbar"}],"root_ids":["120f3cd6-b6d7-41fb-92ab-2f25e0f4003e"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"443e91f1-b0b1-4903-87e0-2ea5eb24e798","elementid":"3d0e37d7-e71e-4d94-bd9f-62ba645b7abb","modelid":"120f3cd6-b6d7-41fb-92ab-2f25e0f4003e"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
