(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("f73da25c-8c4f-4d37-85a7-0657ad791da0");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'f73da25c-8c4f-4d37-85a7-0657ad791da0' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"5f0d696c-61b7-45c9-92ba-67a11157d401":{"roots":{"references":[{"attributes":{},"id":"9f75177b-9f7d-44f2-bbce-99510a7121bb","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"991bf137-2f7f-4888-a447-7aabd14994d5","subtype":"Figure","type":"Plot"},"ticker":{"id":"96b6a8d9-23df-4df2-ac8d-ef7971021d7b","type":"BasicTicker"}},"id":"c5b71973-b2d3-4594-9410-8d6d68a00ee2","type":"Grid"},{"attributes":{},"id":"3cf3db3d-9aca-46c1-a971-7db1dd9fab5d","type":"HelpTool"},{"attributes":{"formatter":{"id":"3702509a-83af-41b8-962f-4e788339e071","type":"BasicTickFormatter"},"plot":{"id":"0e72efcd-6c38-4d42-9206-7e6fdc4fb541","subtype":"Figure","type":"Plot"},"ticker":{"id":"112410a5-275b-4646-93d6-0467b21643f8","type":"BasicTicker"}},"id":"1a5e8f22-3585-407d-a44f-3426c87f781a","type":"LinearAxis"},{"attributes":{"callback":null},"id":"3699ba69-f620-4d3d-be0c-a6c874303ea5","type":"DataRange1d"},{"attributes":{},"id":"8b04e517-aac0-4274-94cd-d047c586fe1d","type":"ResetTool"},{"attributes":{},"id":"de653dea-b234-4527-872a-dc0b7150307e","type":"SaveTool"},{"attributes":{"overlay":{"id":"6d8e2ef1-93de-4438-9b35-1f94259a6f81","type":"BoxAnnotation"}},"id":"e0d218bb-3c65-422d-82de-eeb15e571b56","type":"BoxZoomTool"},{"attributes":{"child":{"id":"991bf137-2f7f-4888-a447-7aabd14994d5","subtype":"Figure","type":"Plot"},"title":"line"},"id":"8c92fc15-a1b3-49d3-8bca-28026a6f370e","type":"Panel"},{"attributes":{},"id":"d00215c9-6312-4ca7-a410-001fbefafba1","type":"WheelZoomTool"},{"attributes":{},"id":"96b6a8d9-23df-4df2-ac8d-ef7971021d7b","type":"BasicTicker"},{"attributes":{"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"871ddf05-2154-49c7-ad6f-d4c18b2fc97b","type":"Line"},{"attributes":{"below":[{"id":"8549251e-d55a-4f51-a484-f61146c432be","type":"LinearAxis"}],"left":[{"id":"1a5e8f22-3585-407d-a44f-3426c87f781a","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"8549251e-d55a-4f51-a484-f61146c432be","type":"LinearAxis"},{"id":"cde0f07f-3fae-43a7-b25f-ad0ac4f17f08","type":"Grid"},{"id":"1a5e8f22-3585-407d-a44f-3426c87f781a","type":"LinearAxis"},{"id":"2dea46fe-1871-49a8-b7c8-a14e3bd7d3be","type":"Grid"},{"id":"6d8e2ef1-93de-4438-9b35-1f94259a6f81","type":"BoxAnnotation"},{"id":"d1aca18b-443a-4e3d-9b26-84437e2dbcc8","type":"GlyphRenderer"}],"title":{"id":"3dbb5641-44c8-462e-8f88-91fb42ec8ead","type":"Title"},"toolbar":{"id":"c93f9cd9-cc6b-4070-92c0-6c2a27b5f6e0","type":"Toolbar"},"x_range":{"id":"f2286cad-8594-45cb-89d6-9b9b2dfe916c","type":"DataRange1d"},"x_scale":{"id":"897aea96-c940-4ec6-955b-7fc3070ffb5d","type":"LinearScale"},"y_range":{"id":"8f6c50fe-abbc-4de8-b55c-8c79e8255915","type":"DataRange1d"},"y_scale":{"id":"f33b7779-d469-463d-bbc1-6173276fca24","type":"LinearScale"}},"id":"0e72efcd-6c38-4d42-9206-7e6fdc4fb541","subtype":"Figure","type":"Plot"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"navy"},"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"9e39ea2c-3ea9-4a01-8a7d-f2e1af744090","type":"Circle"},{"attributes":{},"id":"f33b7779-d469-463d-bbc1-6173276fca24","type":"LinearScale"},{"attributes":{"callback":null,"tabs":[{"id":"d4a6330d-28d3-412f-a55c-f4cc205d356b","type":"Panel"},{"id":"8c92fc15-a1b3-49d3-8bca-28026a6f370e","type":"Panel"}]},"id":"08867e3a-3eaa-42ec-a30f-739bf54bfce5","type":"Tabs"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"87814cee-7a76-49af-9bee-25f00f48252f","type":"ColumnDataSource"},{"attributes":{},"id":"61c55621-d32e-40b1-b4ac-f8e24f2fc978","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"0e72efcd-6c38-4d42-9206-7e6fdc4fb541","subtype":"Figure","type":"Plot"},"ticker":{"id":"7b6dcf3c-e9b5-4cb5-88ae-0f2953321240","type":"BasicTicker"}},"id":"cde0f07f-3fae-43a7-b25f-ad0ac4f17f08","type":"Grid"},{"attributes":{},"id":"6dc2b7f5-44a3-439c-b2b0-b9331e9d1408","type":"LinearScale"},{"attributes":{"callback":null},"id":"f434797d-fefa-4486-8ab4-4a5be2e27b23","type":"DataRange1d"},{"attributes":{},"id":"e462e893-918f-43ad-9fa3-38933a0300dd","type":"BasicTickFormatter"},{"attributes":{},"id":"7b6dcf3c-e9b5-4cb5-88ae-0f2953321240","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"5da2694c-6ad1-4e73-9122-07dfd8a7c40b","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"9f75177b-9f7d-44f2-bbce-99510a7121bb","type":"BasicTickFormatter"},"plot":{"id":"0e72efcd-6c38-4d42-9206-7e6fdc4fb541","subtype":"Figure","type":"Plot"},"ticker":{"id":"7b6dcf3c-e9b5-4cb5-88ae-0f2953321240","type":"BasicTicker"}},"id":"8549251e-d55a-4f51-a484-f61146c432be","type":"LinearAxis"},{"attributes":{},"id":"112410a5-275b-4646-93d6-0467b21643f8","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"ad87d208-0a96-41b2-ab01-9f6533acf5d2","type":"PanTool"},{"id":"d00215c9-6312-4ca7-a410-001fbefafba1","type":"WheelZoomTool"},{"id":"21290665-9ae8-4433-8a8e-a08fe6b508f1","type":"BoxZoomTool"},{"id":"1c00f349-7611-4cd2-b1a2-c79b2d1387ca","type":"SaveTool"},{"id":"c9bbb75e-e881-4f31-929a-a55182c28a57","type":"ResetTool"},{"id":"3cf3db3d-9aca-46c1-a971-7db1dd9fab5d","type":"HelpTool"}]},"id":"49e603c6-a118-485a-9bf0-756979689c3d","type":"Toolbar"},{"attributes":{"plot":null,"text":""},"id":"3dbb5641-44c8-462e-8f88-91fb42ec8ead","type":"Title"},{"attributes":{},"id":"12e7f7ba-270a-44a7-a405-51309e840431","type":"HelpTool"},{"attributes":{},"id":"1c00f349-7611-4cd2-b1a2-c79b2d1387ca","type":"SaveTool"},{"attributes":{"overlay":{"id":"5da2694c-6ad1-4e73-9122-07dfd8a7c40b","type":"BoxAnnotation"}},"id":"21290665-9ae8-4433-8a8e-a08fe6b508f1","type":"BoxZoomTool"},{"attributes":{"below":[{"id":"b011f3f2-8640-4284-924c-f637f0f82281","type":"LinearAxis"}],"left":[{"id":"648d8a5c-08a0-4b8a-8175-9e3e9258181f","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"b011f3f2-8640-4284-924c-f637f0f82281","type":"LinearAxis"},{"id":"c5b71973-b2d3-4594-9410-8d6d68a00ee2","type":"Grid"},{"id":"648d8a5c-08a0-4b8a-8175-9e3e9258181f","type":"LinearAxis"},{"id":"ef2def33-c0b5-4756-8948-2d12ee6da876","type":"Grid"},{"id":"5da2694c-6ad1-4e73-9122-07dfd8a7c40b","type":"BoxAnnotation"},{"id":"84ba1b22-4dd2-407a-8d6d-647552fc2b45","type":"GlyphRenderer"}],"title":{"id":"b64681ca-b285-4705-b93d-fa5ba2abbbad","type":"Title"},"toolbar":{"id":"49e603c6-a118-485a-9bf0-756979689c3d","type":"Toolbar"},"x_range":{"id":"3699ba69-f620-4d3d-be0c-a6c874303ea5","type":"DataRange1d"},"x_scale":{"id":"cd0d23f3-6274-49fd-9883-50cb73f42ae2","type":"LinearScale"},"y_range":{"id":"f434797d-fefa-4486-8ab4-4a5be2e27b23","type":"DataRange1d"},"y_scale":{"id":"6dc2b7f5-44a3-439c-b2b0-b9331e9d1408","type":"LinearScale"}},"id":"991bf137-2f7f-4888-a447-7aabd14994d5","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"ad87d208-0a96-41b2-ab01-9f6533acf5d2","type":"PanTool"},{"attributes":{"plot":null,"text":""},"id":"b64681ca-b285-4705-b93d-fa5ba2abbbad","type":"Title"},{"attributes":{},"id":"897aea96-c940-4ec6-955b-7fc3070ffb5d","type":"LinearScale"},{"attributes":{"callback":null},"id":"f2286cad-8594-45cb-89d6-9b9b2dfe916c","type":"DataRange1d"},{"attributes":{},"id":"cd0d23f3-6274-49fd-9883-50cb73f42ae2","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"991bf137-2f7f-4888-a447-7aabd14994d5","subtype":"Figure","type":"Plot"},"ticker":{"id":"71dfa9b3-e4de-49e8-9128-7a02df684874","type":"BasicTicker"}},"id":"ef2def33-c0b5-4756-8948-2d12ee6da876","type":"Grid"},{"attributes":{},"id":"1d960062-d15b-42c5-a73a-de43dc181e30","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"1d960062-d15b-42c5-a73a-de43dc181e30","type":"BasicTickFormatter"},"plot":{"id":"991bf137-2f7f-4888-a447-7aabd14994d5","subtype":"Figure","type":"Plot"},"ticker":{"id":"96b6a8d9-23df-4df2-ac8d-ef7971021d7b","type":"BasicTicker"}},"id":"b011f3f2-8640-4284-924c-f637f0f82281","type":"LinearAxis"},{"attributes":{},"id":"71dfa9b3-e4de-49e8-9128-7a02df684874","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"8da4bee8-a760-4791-8140-070279cfc883","type":"ColumnDataSource"},{"attributes":{"source":{"id":"8da4bee8-a760-4791-8140-070279cfc883","type":"ColumnDataSource"}},"id":"c5f2005c-7d8b-4da7-a14d-f09e72b0fb88","type":"CDSView"},{"attributes":{},"id":"3702509a-83af-41b8-962f-4e788339e071","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"0e72efcd-6c38-4d42-9206-7e6fdc4fb541","subtype":"Figure","type":"Plot"},"ticker":{"id":"112410a5-275b-4646-93d6-0467b21643f8","type":"BasicTicker"}},"id":"2dea46fe-1871-49a8-b7c8-a14e3bd7d3be","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"dd305203-d2ab-49de-b121-3336132c1b9c","type":"Circle"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"6d8e2ef1-93de-4438-9b35-1f94259a6f81","type":"BoxAnnotation"},{"attributes":{},"id":"88a90bf6-347f-441c-839f-69aaa13cca64","type":"PanTool"},{"attributes":{},"id":"c9bbb75e-e881-4f31-929a-a55182c28a57","type":"ResetTool"},{"attributes":{"data_source":{"id":"8da4bee8-a760-4791-8140-070279cfc883","type":"ColumnDataSource"},"glyph":{"id":"9e39ea2c-3ea9-4a01-8a7d-f2e1af744090","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"dd305203-d2ab-49de-b121-3336132c1b9c","type":"Circle"},"selection_glyph":null,"view":{"id":"c5f2005c-7d8b-4da7-a14d-f09e72b0fb88","type":"CDSView"}},"id":"d1aca18b-443a-4e3d-9b26-84437e2dbcc8","type":"GlyphRenderer"},{"attributes":{"child":{"id":"0e72efcd-6c38-4d42-9206-7e6fdc4fb541","subtype":"Figure","type":"Plot"},"title":"circle"},"id":"d4a6330d-28d3-412f-a55c-f4cc205d356b","type":"Panel"},{"attributes":{"source":{"id":"87814cee-7a76-49af-9bee-25f00f48252f","type":"ColumnDataSource"}},"id":"3cb153bf-32b2-474e-a7c2-c71d12fe33af","type":"CDSView"},{"attributes":{"data_source":{"id":"87814cee-7a76-49af-9bee-25f00f48252f","type":"ColumnDataSource"},"glyph":{"id":"871ddf05-2154-49c7-ad6f-d4c18b2fc97b","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a4919977-79cf-4093-b4c4-f7d5d757f5db","type":"Line"},"selection_glyph":null,"view":{"id":"3cb153bf-32b2-474e-a7c2-c71d12fe33af","type":"CDSView"}},"id":"84ba1b22-4dd2-407a-8d6d-647552fc2b45","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"8f6c50fe-abbc-4de8-b55c-8c79e8255915","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"88a90bf6-347f-441c-839f-69aaa13cca64","type":"PanTool"},{"id":"61c55621-d32e-40b1-b4ac-f8e24f2fc978","type":"WheelZoomTool"},{"id":"e0d218bb-3c65-422d-82de-eeb15e571b56","type":"BoxZoomTool"},{"id":"de653dea-b234-4527-872a-dc0b7150307e","type":"SaveTool"},{"id":"8b04e517-aac0-4274-94cd-d047c586fe1d","type":"ResetTool"},{"id":"12e7f7ba-270a-44a7-a405-51309e840431","type":"HelpTool"}]},"id":"c93f9cd9-cc6b-4070-92c0-6c2a27b5f6e0","type":"Toolbar"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"a4919977-79cf-4093-b4c4-f7d5d757f5db","type":"Line"},{"attributes":{"formatter":{"id":"e462e893-918f-43ad-9fa3-38933a0300dd","type":"BasicTickFormatter"},"plot":{"id":"991bf137-2f7f-4888-a447-7aabd14994d5","subtype":"Figure","type":"Plot"},"ticker":{"id":"71dfa9b3-e4de-49e8-9128-7a02df684874","type":"BasicTicker"}},"id":"648d8a5c-08a0-4b8a-8175-9e3e9258181f","type":"LinearAxis"}],"root_ids":["08867e3a-3eaa-42ec-a30f-739bf54bfce5"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"5f0d696c-61b7-45c9-92ba-67a11157d401","elementid":"f73da25c-8c4f-4d37-85a7-0657ad791da0","modelid":"08867e3a-3eaa-42ec-a30f-739bf54bfce5"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
