(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ce645acb-30ff-4a7a-b822-2d56996f587c");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ce645acb-30ff-4a7a-b822-2d56996f587c' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"5ea79ce7-51a6-42e6-89ca-92b721fb1782":{"roots":{"references":[{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"0525b326-6738-4fee-aebc-bd443149f739","type":"Triangle"},{"attributes":{},"id":"64a79923-f63c-4dc5-b56d-9026da8c887b","type":"SaveTool"},{"attributes":{},"id":"ed01a1f9-b6e8-4642-84b6-3f1cb14afb2f","type":"LinearScale"},{"attributes":{"below":[{"id":"58374900-5145-4f5b-81a8-e71160d97cb3","type":"LinearAxis"}],"left":[{"id":"b87e748b-9a6d-47d5-8f8a-469e1dfec87a","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"58374900-5145-4f5b-81a8-e71160d97cb3","type":"LinearAxis"},{"id":"44934975-b1af-4eac-8269-103a4fcc7e99","type":"Grid"},{"id":"b87e748b-9a6d-47d5-8f8a-469e1dfec87a","type":"LinearAxis"},{"id":"6614c21e-c802-4060-a05a-acaeebb7ae5b","type":"Grid"},{"id":"cb981dbc-ee92-43af-b78d-cbd0421d1bf2","type":"BoxAnnotation"},{"id":"60fc05f8-181d-44d3-8046-50a22ad1692f","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"1bdbb2e2-4966-4e7c-91d0-1196749f171e","type":"Toolbar"},"x_range":{"id":"f99f55c9-28e0-4a53-a3e8-2c3c9e70ca24","type":"DataRange1d"},"x_scale":{"id":"42535151-a849-43b5-9f26-cebc016bbfa8","type":"LinearScale"},"y_range":{"id":"46970e0c-b1f7-47b0-85d8-d87ce9152a69","type":"DataRange1d"},"y_scale":{"id":"536bdf13-a4f0-4485-ae4c-16cef9b486a3","type":"LinearScale"}},"id":"09f029ca-2892-4051-9b7c-10ef2945bd6d","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"cc01c699-171b-4d04-b675-7f92612c5a8e","type":"DataRange1d"},{"attributes":{},"id":"e48dec26-c66c-4671-ad81-12ccedc953b4","type":"BasicTicker"},{"attributes":{},"id":"bc3fcdad-5476-49d9-82d9-423df828e988","type":"PanTool"},{"attributes":{},"id":"38d05a7e-1bc7-4bb7-bc4c-ffb2f056bf53","type":"BasicTicker"},{"attributes":{"callback":null},"id":"46970e0c-b1f7-47b0-85d8-d87ce9152a69","type":"DataRange1d"},{"attributes":{},"id":"d59cac23-3baa-4fc9-81f9-e0dee7e7a6aa","type":"PanTool"},{"attributes":{},"id":"47e14a08-fc45-461d-9acb-3e33dd8b1867","type":"HelpTool"},{"attributes":{},"id":"0e84f333-0a65-4ba1-9c4f-e1ee1033ca99","type":"BasicTicker"},{"attributes":{},"id":"7ad86630-ef72-4d65-8a25-ef9bc55f3e09","type":"WheelZoomTool"},{"attributes":{},"id":"80b8e221-9a45-41f2-b932-e2118deaf853","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"333835f8-e04e-43a8-9cad-cbe567262aa0","type":"ColumnDataSource"}},"id":"d36ef791-862e-4d05-8dde-dd18e69944c6","type":"CDSView"},{"attributes":{"formatter":{"id":"c55d86ef-e79e-48ff-8ae6-262eb486a3c0","type":"BasicTickFormatter"},"plot":{"id":"09f029ca-2892-4051-9b7c-10ef2945bd6d","subtype":"Figure","type":"Plot"},"ticker":{"id":"e48dec26-c66c-4671-ad81-12ccedc953b4","type":"BasicTicker"}},"id":"58374900-5145-4f5b-81a8-e71160d97cb3","type":"LinearAxis"},{"attributes":{},"id":"f574fbfd-9099-45d7-8df4-f219f33ace32","type":"WheelZoomTool"},{"attributes":{},"id":"536bdf13-a4f0-4485-ae4c-16cef9b486a3","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"cb981dbc-ee92-43af-b78d-cbd0421d1bf2","type":"BoxAnnotation"},{"attributes":{},"id":"c55d86ef-e79e-48ff-8ae6-262eb486a3c0","type":"BasicTickFormatter"},{"attributes":{},"id":"40025e9a-9979-44a4-aa47-3c7dc936a0fd","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"0a8676b1-19d0-492d-b1cd-e8271da676b4","type":"BoxAnnotation"}},"id":"961b575a-cc06-4e2e-998f-24276be44ef1","type":"BoxZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[5,4,3,2,1,0,1,2,3,4,5]}},"id":"1fa78fe9-0d02-456d-8b9e-86f3f283adfe","type":"ColumnDataSource"},{"attributes":{},"id":"c5233fde-5b41-4ddf-976b-87a74f75e485","type":"WheelZoomTool"},{"attributes":{"children":[{"id":"09f029ca-2892-4051-9b7c-10ef2945bd6d","subtype":"Figure","type":"Plot"},{"id":"3fde5842-3b32-4692-b327-5490eb333fa4","subtype":"Figure","type":"Plot"},{"id":"56f4f93f-7f58-40cc-93ae-1f00c074d8de","subtype":"Figure","type":"Plot"}]},"id":"ecad5738-0c8e-4d1d-9ce1-5c97724b7880","type":"Column"},{"attributes":{"formatter":{"id":"80b8e221-9a45-41f2-b932-e2118deaf853","type":"BasicTickFormatter"},"plot":{"id":"3fde5842-3b32-4692-b327-5490eb333fa4","subtype":"Figure","type":"Plot"},"ticker":{"id":"fbebb54e-1c21-466b-b8ec-5e6fcb5b7ff8","type":"BasicTicker"}},"id":"10332abe-2262-40e6-a0df-e9d9f0495c4b","type":"LinearAxis"},{"attributes":{"below":[{"id":"10332abe-2262-40e6-a0df-e9d9f0495c4b","type":"LinearAxis"}],"left":[{"id":"20cdc44d-6c66-4bfb-9f7e-324112946552","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"10332abe-2262-40e6-a0df-e9d9f0495c4b","type":"LinearAxis"},{"id":"08de6de5-5450-4882-9431-b05963b77f4f","type":"Grid"},{"id":"20cdc44d-6c66-4bfb-9f7e-324112946552","type":"LinearAxis"},{"id":"00721c25-7ba8-4951-b1ef-6e3eed053771","type":"Grid"},{"id":"0a8676b1-19d0-492d-b1cd-e8271da676b4","type":"BoxAnnotation"},{"id":"6dfb7d5a-e045-4778-807e-50b4ad373189","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"1fd978d0-cc0d-4254-bc37-5d7221ef6373","type":"Toolbar"},"x_range":{"id":"0449aee6-48ef-4c33-8486-41aff9cb3fef","type":"DataRange1d"},"x_scale":{"id":"1b1122ee-1b46-46b3-98ba-2cc6718de300","type":"LinearScale"},"y_range":{"id":"07e46200-fa9a-40e6-8dfa-93b323b2d242","type":"DataRange1d"},"y_scale":{"id":"ed01a1f9-b6e8-4642-84b6-3f1cb14afb2f","type":"LinearScale"}},"id":"3fde5842-3b32-4692-b327-5490eb333fa4","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"14678d2a-d341-4cca-9c29-492e5eefcb46","type":"HelpTool"},{"attributes":{"below":[{"id":"a8f3480c-0736-438a-be0c-31509cd91656","type":"LinearAxis"}],"left":[{"id":"932e7262-5510-4417-8384-8f42577373d9","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"a8f3480c-0736-438a-be0c-31509cd91656","type":"LinearAxis"},{"id":"72f9138b-379d-4ed2-b803-8c49af065b9a","type":"Grid"},{"id":"932e7262-5510-4417-8384-8f42577373d9","type":"LinearAxis"},{"id":"7d21218c-0f0d-4130-85b1-897f3c9c749e","type":"Grid"},{"id":"bc55da0d-de66-46fc-85e6-4a1b096fac29","type":"BoxAnnotation"},{"id":"72e7cc0b-90b7-4860-b1d3-db8bdbac964f","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"c3112461-7717-4afb-b299-bd4b5ffd265f","type":"Toolbar"},"x_range":{"id":"cc01c699-171b-4d04-b675-7f92612c5a8e","type":"DataRange1d"},"x_scale":{"id":"3a81351e-da59-4854-9a33-87460fee3915","type":"LinearScale"},"y_range":{"id":"93bb456e-c87d-4349-87dd-7b5860b5360d","type":"DataRange1d"},"y_scale":{"id":"6ab9e3ad-d83b-4b58-bcd9-ea4f7818e9b9","type":"LinearScale"}},"id":"56f4f93f-7f58-40cc-93ae-1f00c074d8de","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"0a1b54e5-d3bf-4747-91a5-75d95a59bc35","type":"PanTool"},{"attributes":{"dimension":1,"plot":{"id":"3fde5842-3b32-4692-b327-5490eb333fa4","subtype":"Figure","type":"Plot"},"ticker":{"id":"0e84f333-0a65-4ba1-9c4f-e1ee1033ca99","type":"BasicTicker"}},"id":"00721c25-7ba8-4951-b1ef-6e3eed053771","type":"Grid"},{"attributes":{"callback":null},"id":"07e46200-fa9a-40e6-8dfa-93b323b2d242","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"d59cac23-3baa-4fc9-81f9-e0dee7e7a6aa","type":"PanTool"},{"id":"7ad86630-ef72-4d65-8a25-ef9bc55f3e09","type":"WheelZoomTool"},{"id":"961b575a-cc06-4e2e-998f-24276be44ef1","type":"BoxZoomTool"},{"id":"e59a04e6-b26e-40d3-a41e-6ec6a3190f35","type":"SaveTool"},{"id":"945e3cf0-0251-4e18-8a2c-3726e76ea8e7","type":"ResetTool"},{"id":"47e14a08-fc45-461d-9acb-3e33dd8b1867","type":"HelpTool"}]},"id":"1fd978d0-cc0d-4254-bc37-5d7221ef6373","type":"Toolbar"},{"attributes":{},"id":"2a83f73d-9f86-47e9-b37f-294f567e6228","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"3fde5842-3b32-4692-b327-5490eb333fa4","subtype":"Figure","type":"Plot"},"ticker":{"id":"fbebb54e-1c21-466b-b8ec-5e6fcb5b7ff8","type":"BasicTicker"}},"id":"08de6de5-5450-4882-9431-b05963b77f4f","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"56f4f93f-7f58-40cc-93ae-1f00c074d8de","subtype":"Figure","type":"Plot"},"ticker":{"id":"f6478106-93c0-4c72-8b00-10fdc75ae0d3","type":"BasicTicker"}},"id":"7d21218c-0f0d-4130-85b1-897f3c9c749e","type":"Grid"},{"attributes":{"overlay":{"id":"bc55da0d-de66-46fc-85e6-4a1b096fac29","type":"BoxAnnotation"}},"id":"6ecce03f-39f9-4932-9063-2aab50b08f8c","type":"BoxZoomTool"},{"attributes":{},"id":"3613e4ac-ce9b-466a-aaa4-36d7a0c2e8c0","type":"ResetTool"},{"attributes":{"overlay":{"id":"cb981dbc-ee92-43af-b78d-cbd0421d1bf2","type":"BoxAnnotation"}},"id":"1e1f6474-8431-4e7e-966e-b467e040d511","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"f99f55c9-28e0-4a53-a3e8-2c3c9e70ca24","type":"DataRange1d"},{"attributes":{},"id":"3add99ce-d666-42de-b56d-235efce343c7","type":"ResetTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"bc55da0d-de66-46fc-85e6-4a1b096fac29","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"40025e9a-9979-44a4-aa47-3c7dc936a0fd","type":"BasicTickFormatter"},"plot":{"id":"3fde5842-3b32-4692-b327-5490eb333fa4","subtype":"Figure","type":"Plot"},"ticker":{"id":"0e84f333-0a65-4ba1-9c4f-e1ee1033ca99","type":"BasicTicker"}},"id":"20cdc44d-6c66-4bfb-9f7e-324112946552","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[10,9,8,7,6,5,4,3,2,1,0]}},"id":"5565ffa2-439a-4b04-8545-59db5ec83052","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"firebrick"},"line_alpha":{"value":0.5},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"29c525d4-2b6b-4625-a6e7-9de6375a1a1d","type":"Triangle"},{"attributes":{},"id":"6ab9e3ad-d83b-4b58-bcd9-ea4f7818e9b9","type":"LinearScale"},{"attributes":{"formatter":{"id":"afbe59f0-4bb6-427e-8412-120b6bf1afa4","type":"BasicTickFormatter"},"plot":{"id":"56f4f93f-7f58-40cc-93ae-1f00c074d8de","subtype":"Figure","type":"Plot"},"ticker":{"id":"f6478106-93c0-4c72-8b00-10fdc75ae0d3","type":"BasicTicker"}},"id":"932e7262-5510-4417-8384-8f42577373d9","type":"LinearAxis"},{"attributes":{},"id":"afbe59f0-4bb6-427e-8412-120b6bf1afa4","type":"BasicTickFormatter"},{"attributes":{},"id":"a3e11c5b-6afd-4fab-a0b0-358791d9a663","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"2a83f73d-9f86-47e9-b37f-294f567e6228","type":"BasicTickFormatter"},"plot":{"id":"56f4f93f-7f58-40cc-93ae-1f00c074d8de","subtype":"Figure","type":"Plot"},"ticker":{"id":"38d05a7e-1bc7-4bb7-bc4c-ffb2f056bf53","type":"BasicTicker"}},"id":"a8f3480c-0736-438a-be0c-31509cd91656","type":"LinearAxis"},{"attributes":{},"id":"22dd444f-a0ec-48ef-b27c-3545aa760f25","type":"BasicTicker"},{"attributes":{"source":{"id":"1fa78fe9-0d02-456d-8b9e-86f3f283adfe","type":"ColumnDataSource"}},"id":"e29ef42b-721f-4ad6-91b9-e7baa764f85c","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"09f029ca-2892-4051-9b7c-10ef2945bd6d","subtype":"Figure","type":"Plot"},"ticker":{"id":"22dd444f-a0ec-48ef-b27c-3545aa760f25","type":"BasicTicker"}},"id":"6614c21e-c802-4060-a05a-acaeebb7ae5b","type":"Grid"},{"attributes":{"callback":null},"id":"0449aee6-48ef-4c33-8486-41aff9cb3fef","type":"DataRange1d"},{"attributes":{"data_source":{"id":"1fa78fe9-0d02-456d-8b9e-86f3f283adfe","type":"ColumnDataSource"},"glyph":{"id":"1fe14a4a-8e93-41bd-bfd1-09ec588834f5","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a54dc969-03a1-4578-9253-525737e0b5ae","type":"Square"},"selection_glyph":null,"view":{"id":"e29ef42b-721f-4ad6-91b9-e7baa764f85c","type":"CDSView"}},"id":"72e7cc0b-90b7-4860-b1d3-db8bdbac964f","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"09f029ca-2892-4051-9b7c-10ef2945bd6d","subtype":"Figure","type":"Plot"},"ticker":{"id":"e48dec26-c66c-4671-ad81-12ccedc953b4","type":"BasicTicker"}},"id":"44934975-b1af-4eac-8269-103a4fcc7e99","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"0a8676b1-19d0-492d-b1cd-e8271da676b4","type":"BoxAnnotation"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[0,1,2,3,4,5,6,7,8,9,10]}},"id":"333835f8-e04e-43a8-9cad-cbe567262aa0","type":"ColumnDataSource"},{"attributes":{},"id":"3a81351e-da59-4854-9a33-87460fee3915","type":"LinearScale"},{"attributes":{"plot":{"id":"56f4f93f-7f58-40cc-93ae-1f00c074d8de","subtype":"Figure","type":"Plot"},"ticker":{"id":"38d05a7e-1bc7-4bb7-bc4c-ffb2f056bf53","type":"BasicTicker"}},"id":"72f9138b-379d-4ed2-b803-8c49af065b9a","type":"Grid"},{"attributes":{},"id":"f6478106-93c0-4c72-8b00-10fdc75ae0d3","type":"BasicTicker"},{"attributes":{},"id":"1b1122ee-1b46-46b3-98ba-2cc6718de300","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"olive"},"line_alpha":{"value":0.5},"line_color":{"value":"olive"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"1fe14a4a-8e93-41bd-bfd1-09ec588834f5","type":"Square"},{"attributes":{},"id":"cc8049a0-3f30-4504-b7b3-13156d58dfa3","type":"SaveTool"},{"attributes":{"source":{"id":"5565ffa2-439a-4b04-8545-59db5ec83052","type":"ColumnDataSource"}},"id":"af6e9091-8d01-441e-b43f-a0ef7a6d5b36","type":"CDSView"},{"attributes":{},"id":"0c42a41f-fed5-4291-905c-2a5b8a8ed9c0","type":"HelpTool"},{"attributes":{},"id":"fbebb54e-1c21-466b-b8ec-5e6fcb5b7ff8","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"navy"},"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"24ba813b-1a82-4899-b4cb-8d484354a27f","type":"Circle"},{"attributes":{},"id":"945e3cf0-0251-4e18-8a2c-3726e76ea8e7","type":"ResetTool"},{"attributes":{},"id":"e59a04e6-b26e-40d3-a41e-6ec6a3190f35","type":"SaveTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"0a1b54e5-d3bf-4747-91a5-75d95a59bc35","type":"PanTool"},{"id":"c5233fde-5b41-4ddf-976b-87a74f75e485","type":"WheelZoomTool"},{"id":"1e1f6474-8431-4e7e-966e-b467e040d511","type":"BoxZoomTool"},{"id":"64a79923-f63c-4dc5-b56d-9026da8c887b","type":"SaveTool"},{"id":"3add99ce-d666-42de-b56d-235efce343c7","type":"ResetTool"},{"id":"0c42a41f-fed5-4291-905c-2a5b8a8ed9c0","type":"HelpTool"}]},"id":"1bdbb2e2-4966-4e7c-91d0-1196749f171e","type":"Toolbar"},{"attributes":{"formatter":{"id":"a3e11c5b-6afd-4fab-a0b0-358791d9a663","type":"BasicTickFormatter"},"plot":{"id":"09f029ca-2892-4051-9b7c-10ef2945bd6d","subtype":"Figure","type":"Plot"},"ticker":{"id":"22dd444f-a0ec-48ef-b27c-3545aa760f25","type":"BasicTicker"}},"id":"b87e748b-9a6d-47d5-8f8a-469e1dfec87a","type":"LinearAxis"},{"attributes":{"data_source":{"id":"5565ffa2-439a-4b04-8545-59db5ec83052","type":"ColumnDataSource"},"glyph":{"id":"29c525d4-2b6b-4625-a6e7-9de6375a1a1d","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"0525b326-6738-4fee-aebc-bd443149f739","type":"Triangle"},"selection_glyph":null,"view":{"id":"af6e9091-8d01-441e-b43f-a0ef7a6d5b36","type":"CDSView"}},"id":"6dfb7d5a-e045-4778-807e-50b4ad373189","type":"GlyphRenderer"},{"attributes":{},"id":"42535151-a849-43b5-9f26-cebc016bbfa8","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"6072c3cb-4a47-49ec-a1b2-d2fd9a83eca8","type":"Circle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"bc3fcdad-5476-49d9-82d9-423df828e988","type":"PanTool"},{"id":"f574fbfd-9099-45d7-8df4-f219f33ace32","type":"WheelZoomTool"},{"id":"6ecce03f-39f9-4932-9063-2aab50b08f8c","type":"BoxZoomTool"},{"id":"cc8049a0-3f30-4504-b7b3-13156d58dfa3","type":"SaveTool"},{"id":"3613e4ac-ce9b-466a-aaa4-36d7a0c2e8c0","type":"ResetTool"},{"id":"14678d2a-d341-4cca-9c29-492e5eefcb46","type":"HelpTool"}]},"id":"c3112461-7717-4afb-b299-bd4b5ffd265f","type":"Toolbar"},{"attributes":{"callback":null},"id":"93bb456e-c87d-4349-87dd-7b5860b5360d","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"a54dc969-03a1-4578-9253-525737e0b5ae","type":"Square"},{"attributes":{"data_source":{"id":"333835f8-e04e-43a8-9cad-cbe567262aa0","type":"ColumnDataSource"},"glyph":{"id":"24ba813b-1a82-4899-b4cb-8d484354a27f","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"6072c3cb-4a47-49ec-a1b2-d2fd9a83eca8","type":"Circle"},"selection_glyph":null,"view":{"id":"d36ef791-862e-4d05-8dde-dd18e69944c6","type":"CDSView"}},"id":"60fc05f8-181d-44d3-8046-50a22ad1692f","type":"GlyphRenderer"}],"root_ids":["ecad5738-0c8e-4d1d-9ce1-5c97724b7880"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"5ea79ce7-51a6-42e6-89ca-92b721fb1782","elementid":"ce645acb-30ff-4a7a-b822-2d56996f587c","modelid":"ecad5738-0c8e-4d1d-9ce1-5c97724b7880"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
