(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("06aa56c3-eed9-4f47-999c-a4523c6f0123");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '06aa56c3-eed9-4f47-999c-a4523c6f0123' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"9540d251-0fcf-4cf0-9c13-b47447341e88":{"roots":{"references":[{"attributes":{"below":[{"id":"72712130-e059-4033-b690-a45ddfcfa7cb","type":"LinearAxis"}],"left":[{"id":"53aec1a0-f812-4970-8817-5b91ee4285f4","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"72712130-e059-4033-b690-a45ddfcfa7cb","type":"LinearAxis"},{"id":"cbd92516-e558-4fa4-982c-1d387162f29d","type":"Grid"},{"id":"53aec1a0-f812-4970-8817-5b91ee4285f4","type":"LinearAxis"},{"id":"f56df85c-8b2e-44f3-a673-f3f109d23db0","type":"Grid"},{"id":"c83250ac-7ee9-4861-a95d-1429b97ad652","type":"BoxAnnotation"},{"id":"f7b64b05-3952-4ad2-9a47-cd7ac852388b","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"53d4a67f-4fec-4184-8423-935cc1bc8d1c","type":"Toolbar"},"x_range":{"id":"bb212e85-40b9-41c6-9689-b345a97c1ade","type":"DataRange1d"},"x_scale":{"id":"77b0b058-b3d8-48aa-94e0-54db958e4dcf","type":"LinearScale"},"y_range":{"id":"950b7896-fd2c-4ac0-b619-3be84812d2f6","type":"DataRange1d"},"y_scale":{"id":"f4f4575b-f2e6-4d41-bffa-ed7334a005b5","type":"LinearScale"}},"id":"78c77414-169f-4d0f-bc8a-4d71bd1755bd","subtype":"Figure","type":"Plot"},{"attributes":{"plot":{"id":"669c5dc1-aaa1-46c6-930c-b78c1f8d2462","subtype":"Figure","type":"Plot"},"ticker":{"id":"a368a377-da70-48df-bbb3-c2003759d63f","type":"BasicTicker"}},"id":"39cfe2ec-dd83-4092-b4a0-9ae31eacf23b","type":"Grid"},{"attributes":{"callback":null},"id":"68acf863-d5c5-467b-bd01-b5ed7a710c86","type":"DataRange1d"},{"attributes":{},"id":"ac41880b-778a-4d10-9852-6b1be4d97862","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"356d6006-3ee3-4491-8afb-1bd4eb05597c","type":"Circle"},{"attributes":{},"id":"24917383-e3c3-4201-aab1-0baec1112321","type":"BasicTicker"},{"attributes":{},"id":"28a8f48b-3dec-4939-88e0-69fa553b9cf0","type":"BasicTicker"},{"attributes":{},"id":"87f73d46-4356-4cf8-abfe-73a62e4ea328","type":"LinearScale"},{"attributes":{},"id":"f99bfade-1aa4-4a94-9914-8e294f554943","type":"LinearScale"},{"attributes":{},"id":"6b589cf7-01fb-4e70-a6b5-6493b8597ee3","type":"WheelZoomTool"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"firebrick"},"line_alpha":{"value":0.5},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"7074a5bd-9cd5-48d3-9af6-8303f31ca193","type":"Triangle"},{"attributes":{},"id":"992d9875-95e0-47aa-9a6b-9889cb52f641","type":"ResetTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"e8581b19-c6ca-4ad8-84f2-36fbf1495adc","type":"BoxAnnotation"},{"attributes":{},"id":"3ed04fd4-d80c-4e2c-a5e5-52379993f7d3","type":"PanTool"},{"attributes":{},"id":"e07d14b1-afb1-4ef3-a74f-a9968e4e92de","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"b448235b-f52f-48e0-9f68-7f384a53a944","type":"LinearAxis"}],"left":[{"id":"490f27fd-43df-4f4b-80b1-e8889387f95d","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"b448235b-f52f-48e0-9f68-7f384a53a944","type":"LinearAxis"},{"id":"39cfe2ec-dd83-4092-b4a0-9ae31eacf23b","type":"Grid"},{"id":"490f27fd-43df-4f4b-80b1-e8889387f95d","type":"LinearAxis"},{"id":"68483dc3-3b05-47bc-8de8-9f2373c50a87","type":"Grid"},{"id":"e8581b19-c6ca-4ad8-84f2-36fbf1495adc","type":"BoxAnnotation"},{"id":"a50eb92b-f993-4ef1-8d79-a9bcde04617d","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"c3f3d171-8fa1-4d2a-907d-3d96c1fa22ac","type":"Toolbar"},"x_range":{"id":"3e36efd8-3743-4a6f-951b-e5f7d4b78d09","type":"DataRange1d"},"x_scale":{"id":"87f73d46-4356-4cf8-abfe-73a62e4ea328","type":"LinearScale"},"y_range":{"id":"3ec576a8-a135-44a6-ab69-f74cc931b91d","type":"DataRange1d"},"y_scale":{"id":"31d88fb2-1840-4fd1-96d9-c4f42f4df301","type":"LinearScale"}},"id":"669c5dc1-aaa1-46c6-930c-b78c1f8d2462","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"3cba02ba-f0a7-4d55-bf02-43a88d34316b","type":"PanTool"},{"attributes":{"formatter":{"id":"f72c0542-ec4b-434f-9610-4916101a03f7","type":"BasicTickFormatter"},"plot":{"id":"78c77414-169f-4d0f-bc8a-4d71bd1755bd","subtype":"Figure","type":"Plot"},"ticker":{"id":"ce6bc938-dba1-4ad3-8f1b-22adb538936b","type":"BasicTicker"}},"id":"53aec1a0-f812-4970-8817-5b91ee4285f4","type":"LinearAxis"},{"attributes":{},"id":"a066f85d-125d-4abf-af5a-16dfe6434765","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"navy"},"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"a7e6dd0b-0ebf-4b85-96c8-56619c6c7593","type":"Circle"},{"attributes":{"data_source":{"id":"1d8cf874-5e10-4f15-9c43-6c5a7083ea70","type":"ColumnDataSource"},"glyph":{"id":"a7e6dd0b-0ebf-4b85-96c8-56619c6c7593","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"356d6006-3ee3-4491-8afb-1bd4eb05597c","type":"Circle"},"selection_glyph":null,"view":{"id":"56413765-b2f9-4f44-8cd0-d7817abb2245","type":"CDSView"}},"id":"f7b64b05-3952-4ad2-9a47-cd7ac852388b","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"7ed6b8b5-e1d9-4279-817b-d5b2b1e14f98","type":"BasicTickFormatter"},"plot":{"id":"669c5dc1-aaa1-46c6-930c-b78c1f8d2462","subtype":"Figure","type":"Plot"},"ticker":{"id":"a368a377-da70-48df-bbb3-c2003759d63f","type":"BasicTicker"}},"id":"b448235b-f52f-48e0-9f68-7f384a53a944","type":"LinearAxis"},{"attributes":{},"id":"2c0ce945-cc14-4d3c-9f00-1f4f4a955213","type":"SaveTool"},{"attributes":{},"id":"6cd1689a-d058-4667-9968-965b7551151c","type":"SaveTool"},{"attributes":{},"id":"877515e8-d58d-457a-8b8f-b45262144fe2","type":"ResetTool"},{"attributes":{},"id":"47b8566f-e2c2-43b8-bdea-095f66df6158","type":"HelpTool"},{"attributes":{"dimension":1,"plot":{"id":"78c77414-169f-4d0f-bc8a-4d71bd1755bd","subtype":"Figure","type":"Plot"},"ticker":{"id":"ce6bc938-dba1-4ad3-8f1b-22adb538936b","type":"BasicTicker"}},"id":"f56df85c-8b2e-44f3-a673-f3f109d23db0","type":"Grid"},{"attributes":{},"id":"111f6829-bb37-4bbf-969d-7304908043da","type":"WheelZoomTool"},{"attributes":{},"id":"8410e0c9-9129-4c59-9fb1-6e03698458c8","type":"BasicTickFormatter"},{"attributes":{},"id":"31d88fb2-1840-4fd1-96d9-c4f42f4df301","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"088fd07e-18d3-4411-93d1-7bdcccf6f88c","type":"Triangle"},{"attributes":{"source":{"id":"222b3e86-0f56-488d-8855-948977952a37","type":"ColumnDataSource"}},"id":"e81a5816-ec71-4cf9-949b-8f0384fc3ee1","type":"CDSView"},{"attributes":{"callback":null},"id":"3e36efd8-3743-4a6f-951b-e5f7d4b78d09","type":"DataRange1d"},{"attributes":{"callback":null},"id":"d2b90737-0cc0-466a-82e0-66a314e2b185","type":"DataRange1d"},{"attributes":{"plot":{"id":"78c77414-169f-4d0f-bc8a-4d71bd1755bd","subtype":"Figure","type":"Plot"},"ticker":{"id":"504800b4-4c41-4975-a3e9-842c08833e61","type":"BasicTicker"}},"id":"cbd92516-e558-4fa4-982c-1d387162f29d","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"olive"},"line_alpha":{"value":0.5},"line_color":{"value":"olive"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"2976232d-6b76-470a-ad6b-0471a48518fd","type":"Square"},{"attributes":{"callback":null},"id":"bb212e85-40b9-41c6-9689-b345a97c1ade","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"b2f9d320-9d18-4b27-bc06-9771cbef46f6","type":"Square"},{"attributes":{},"id":"8983c24f-f111-4fd6-98c9-c17743dd6dcb","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"83bb91a3-3652-409c-8753-3ff4a764009d","type":"BoxAnnotation"},{"attributes":{},"id":"ce6bc938-dba1-4ad3-8f1b-22adb538936b","type":"BasicTicker"},{"attributes":{},"id":"6588363e-55ba-4807-8714-4b0ca34fb7d2","type":"PanTool"},{"attributes":{"formatter":{"id":"8410e0c9-9129-4c59-9fb1-6e03698458c8","type":"BasicTickFormatter"},"plot":{"id":"669c5dc1-aaa1-46c6-930c-b78c1f8d2462","subtype":"Figure","type":"Plot"},"ticker":{"id":"24917383-e3c3-4201-aab1-0baec1112321","type":"BasicTicker"}},"id":"490f27fd-43df-4f4b-80b1-e8889387f95d","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"915a828f-75fc-43a5-8de8-0181e92fe0fe","subtype":"Figure","type":"Plot"},"ticker":{"id":"28a8f48b-3dec-4939-88e0-69fa553b9cf0","type":"BasicTicker"}},"id":"49265377-56f6-4e46-96a0-77782e07ce66","type":"Grid"},{"attributes":{},"id":"1c70b334-f3d0-4c8c-bc60-93f077c2fe79","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"e8581b19-c6ca-4ad8-84f2-36fbf1495adc","type":"BoxAnnotation"}},"id":"fabc2e8d-232d-4623-b9f8-d24282424533","type":"BoxZoomTool"},{"attributes":{"source":{"id":"1eb5775a-80bc-41a2-872b-6bc35ad12ed0","type":"ColumnDataSource"}},"id":"c18f814c-4fa6-415f-b9b3-12d139c1cab1","type":"CDSView"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[10,9,8,7,6,5,4,3,2,1,0]}},"id":"222b3e86-0f56-488d-8855-948977952a37","type":"ColumnDataSource"},{"attributes":{},"id":"ae826f9b-625f-4367-9d6e-b8ab41528032","type":"ResetTool"},{"attributes":{"formatter":{"id":"e07d14b1-afb1-4ef3-a74f-a9968e4e92de","type":"BasicTickFormatter"},"plot":{"id":"915a828f-75fc-43a5-8de8-0181e92fe0fe","subtype":"Figure","type":"Plot"},"ticker":{"id":"a066f85d-125d-4abf-af5a-16dfe6434765","type":"BasicTicker"}},"id":"1577e3fa-4522-4201-bb46-1cdd36d6d4ec","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"6588363e-55ba-4807-8714-4b0ca34fb7d2","type":"PanTool"},{"id":"6b589cf7-01fb-4e70-a6b5-6493b8597ee3","type":"WheelZoomTool"},{"id":"7a1fdb95-9bf7-474c-af8f-78e501626bc4","type":"BoxZoomTool"},{"id":"0a60fa11-b9ad-4af1-9083-e31d9cc75e82","type":"SaveTool"},{"id":"877515e8-d58d-457a-8b8f-b45262144fe2","type":"ResetTool"},{"id":"9a0f57f8-028f-4414-8449-1c8ca71015c3","type":"HelpTool"}]},"id":"b40c1e51-b375-4c3c-947e-0dc52e1ca973","type":"Toolbar"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"3ed04fd4-d80c-4e2c-a5e5-52379993f7d3","type":"PanTool"},{"id":"dcbf5560-715e-4912-938f-98c8c42fecbd","type":"WheelZoomTool"},{"id":"409c1b18-7ba8-452c-a1a6-3cc8b59ab3d0","type":"BoxZoomTool"},{"id":"6cd1689a-d058-4667-9968-965b7551151c","type":"SaveTool"},{"id":"992d9875-95e0-47aa-9a6b-9889cb52f641","type":"ResetTool"},{"id":"0a33c3e2-dcb7-47e3-b9d0-abf044d946b0","type":"HelpTool"}]},"id":"53d4a67f-4fec-4184-8423-935cc1bc8d1c","type":"Toolbar"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"c83250ac-7ee9-4861-a95d-1429b97ad652","type":"BoxAnnotation"},{"attributes":{"source":{"id":"1d8cf874-5e10-4f15-9c43-6c5a7083ea70","type":"ColumnDataSource"}},"id":"56413765-b2f9-4f44-8cd0-d7817abb2245","type":"CDSView"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[0,1,2,3,4,5,6,7,8,9,10]}},"id":"1d8cf874-5e10-4f15-9c43-6c5a7083ea70","type":"ColumnDataSource"},{"attributes":{},"id":"a368a377-da70-48df-bbb3-c2003759d63f","type":"BasicTicker"},{"attributes":{"overlay":{"id":"c83250ac-7ee9-4861-a95d-1429b97ad652","type":"BoxAnnotation"}},"id":"409c1b18-7ba8-452c-a1a6-3cc8b59ab3d0","type":"BoxZoomTool"},{"attributes":{"children":[{"id":"78c77414-169f-4d0f-bc8a-4d71bd1755bd","subtype":"Figure","type":"Plot"},{"id":"915a828f-75fc-43a5-8de8-0181e92fe0fe","subtype":"Figure","type":"Plot"},{"id":"669c5dc1-aaa1-46c6-930c-b78c1f8d2462","subtype":"Figure","type":"Plot"}]},"id":"cbaeb020-b414-4554-a9c4-faface0e3ee9","type":"Row"},{"attributes":{"formatter":{"id":"ac41880b-778a-4d10-9852-6b1be4d97862","type":"BasicTickFormatter"},"plot":{"id":"915a828f-75fc-43a5-8de8-0181e92fe0fe","subtype":"Figure","type":"Plot"},"ticker":{"id":"28a8f48b-3dec-4939-88e0-69fa553b9cf0","type":"BasicTicker"}},"id":"dc408a75-7e7f-4f07-b649-db98461e0f05","type":"LinearAxis"},{"attributes":{"callback":null},"id":"950b7896-fd2c-4ac0-b619-3be84812d2f6","type":"DataRange1d"},{"attributes":{"overlay":{"id":"83bb91a3-3652-409c-8753-3ff4a764009d","type":"BoxAnnotation"}},"id":"7a1fdb95-9bf7-474c-af8f-78e501626bc4","type":"BoxZoomTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"3cba02ba-f0a7-4d55-bf02-43a88d34316b","type":"PanTool"},{"id":"111f6829-bb37-4bbf-969d-7304908043da","type":"WheelZoomTool"},{"id":"fabc2e8d-232d-4623-b9f8-d24282424533","type":"BoxZoomTool"},{"id":"2c0ce945-cc14-4d3c-9f00-1f4f4a955213","type":"SaveTool"},{"id":"ae826f9b-625f-4367-9d6e-b8ab41528032","type":"ResetTool"},{"id":"47b8566f-e2c2-43b8-bdea-095f66df6158","type":"HelpTool"}]},"id":"c3f3d171-8fa1-4d2a-907d-3d96c1fa22ac","type":"Toolbar"},{"attributes":{"plot":{"id":"915a828f-75fc-43a5-8de8-0181e92fe0fe","subtype":"Figure","type":"Plot"},"ticker":{"id":"a066f85d-125d-4abf-af5a-16dfe6434765","type":"BasicTicker"}},"id":"7f69bb1b-d9a7-4d8c-af46-0096081e72ae","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[5,4,3,2,1,0,1,2,3,4,5]}},"id":"1eb5775a-80bc-41a2-872b-6bc35ad12ed0","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"222b3e86-0f56-488d-8855-948977952a37","type":"ColumnDataSource"},"glyph":{"id":"7074a5bd-9cd5-48d3-9af6-8303f31ca193","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"088fd07e-18d3-4411-93d1-7bdcccf6f88c","type":"Triangle"},"selection_glyph":null,"view":{"id":"e81a5816-ec71-4cf9-949b-8f0384fc3ee1","type":"CDSView"}},"id":"dfe39c70-87c0-4237-884d-5711680095dd","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"669c5dc1-aaa1-46c6-930c-b78c1f8d2462","subtype":"Figure","type":"Plot"},"ticker":{"id":"24917383-e3c3-4201-aab1-0baec1112321","type":"BasicTicker"}},"id":"68483dc3-3b05-47bc-8de8-9f2373c50a87","type":"Grid"},{"attributes":{},"id":"77b0b058-b3d8-48aa-94e0-54db958e4dcf","type":"LinearScale"},{"attributes":{},"id":"9a0f57f8-028f-4414-8449-1c8ca71015c3","type":"HelpTool"},{"attributes":{"formatter":{"id":"1c70b334-f3d0-4c8c-bc60-93f077c2fe79","type":"BasicTickFormatter"},"plot":{"id":"78c77414-169f-4d0f-bc8a-4d71bd1755bd","subtype":"Figure","type":"Plot"},"ticker":{"id":"504800b4-4c41-4975-a3e9-842c08833e61","type":"BasicTicker"}},"id":"72712130-e059-4033-b690-a45ddfcfa7cb","type":"LinearAxis"},{"attributes":{},"id":"f4f4575b-f2e6-4d41-bffa-ed7334a005b5","type":"LinearScale"},{"attributes":{"below":[{"id":"1577e3fa-4522-4201-bb46-1cdd36d6d4ec","type":"LinearAxis"}],"left":[{"id":"dc408a75-7e7f-4f07-b649-db98461e0f05","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"1577e3fa-4522-4201-bb46-1cdd36d6d4ec","type":"LinearAxis"},{"id":"7f69bb1b-d9a7-4d8c-af46-0096081e72ae","type":"Grid"},{"id":"dc408a75-7e7f-4f07-b649-db98461e0f05","type":"LinearAxis"},{"id":"49265377-56f6-4e46-96a0-77782e07ce66","type":"Grid"},{"id":"83bb91a3-3652-409c-8753-3ff4a764009d","type":"BoxAnnotation"},{"id":"dfe39c70-87c0-4237-884d-5711680095dd","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"b40c1e51-b375-4c3c-947e-0dc52e1ca973","type":"Toolbar"},"x_range":{"id":"d2b90737-0cc0-466a-82e0-66a314e2b185","type":"DataRange1d"},"x_scale":{"id":"f99bfade-1aa4-4a94-9914-8e294f554943","type":"LinearScale"},"y_range":{"id":"68acf863-d5c5-467b-bd01-b5ed7a710c86","type":"DataRange1d"},"y_scale":{"id":"8983c24f-f111-4fd6-98c9-c17743dd6dcb","type":"LinearScale"}},"id":"915a828f-75fc-43a5-8de8-0181e92fe0fe","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"0a33c3e2-dcb7-47e3-b9d0-abf044d946b0","type":"HelpTool"},{"attributes":{"callback":null},"id":"3ec576a8-a135-44a6-ab69-f74cc931b91d","type":"DataRange1d"},{"attributes":{},"id":"f72c0542-ec4b-434f-9610-4916101a03f7","type":"BasicTickFormatter"},{"attributes":{},"id":"504800b4-4c41-4975-a3e9-842c08833e61","type":"BasicTicker"},{"attributes":{},"id":"7ed6b8b5-e1d9-4279-817b-d5b2b1e14f98","type":"BasicTickFormatter"},{"attributes":{},"id":"dcbf5560-715e-4912-938f-98c8c42fecbd","type":"WheelZoomTool"},{"attributes":{"data_source":{"id":"1eb5775a-80bc-41a2-872b-6bc35ad12ed0","type":"ColumnDataSource"},"glyph":{"id":"2976232d-6b76-470a-ad6b-0471a48518fd","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b2f9d320-9d18-4b27-bc06-9771cbef46f6","type":"Square"},"selection_glyph":null,"view":{"id":"c18f814c-4fa6-415f-b9b3-12d139c1cab1","type":"CDSView"}},"id":"a50eb92b-f993-4ef1-8d79-a9bcde04617d","type":"GlyphRenderer"},{"attributes":{},"id":"0a60fa11-b9ad-4af1-9083-e31d9cc75e82","type":"SaveTool"}],"root_ids":["cbaeb020-b414-4554-a9c4-faface0e3ee9"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"9540d251-0fcf-4cf0-9c13-b47447341e88","elementid":"06aa56c3-eed9-4f47-999c-a4523c6f0123","modelid":"cbaeb020-b414-4554-a9c4-faface0e3ee9"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
