(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("546be632-488f-4b09-a95c-b6ebe71658bf");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '546be632-488f-4b09-a95c-b6ebe71658bf' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"87d7e659-ebe2-47b0-895c-c802f313a963":{"roots":{"references":[{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"706ce0bc-ecc7-45d3-9941-12ab12cf5ab5","type":"BoxAnnotation"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[10,9,8,7,6,5,4,3,2,1,0]}},"id":"dcc5b7c0-30cd-41a6-aae8-68bce262f4de","type":"ColumnDataSource"},{"attributes":{},"id":"f68e6b32-db13-45e8-b7e2-d3ca758968bc","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"fd4cd6e8-507b-42cd-b952-742a09794ac0","type":"Square"},{"attributes":{},"id":"56a6618d-e7ce-476d-9893-c8f93202fa7d","type":"ResetTool"},{"attributes":{},"id":"f7c779c6-d1a7-4735-b1dd-53c908170960","type":"ResetTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"5db3cfdb-c353-44f9-90e5-86093135b1c4","type":"BoxAnnotation"},{"attributes":{},"id":"01ac915b-a89c-473f-b739-84dbed4ccc7d","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"30162c99-5f01-4a8d-9275-151ea2687acd","type":"BoxAnnotation"},{"attributes":{"dimension":1,"plot":{"id":"5e87eeb0-167f-4efc-8267-4f115eb057bc","subtype":"Figure","type":"Plot"},"ticker":{"id":"faab5716-e1cb-4355-a768-16bedbd5658e","type":"BasicTicker"}},"id":"c5d54e13-3499-4105-a455-dbdd0e39ff8a","type":"Grid"},{"attributes":{},"id":"c5666e5f-7335-411f-b5e4-7adce62225f3","type":"LinearScale"},{"attributes":{"callback":null},"id":"8da9c697-0a78-446a-ab81-c3a03deec5f9","type":"DataRange1d"},{"attributes":{},"id":"455b0278-e54c-4aad-a2f9-9a4f24a48688","type":"HelpTool"},{"attributes":{},"id":"d00d6452-ace2-451e-a274-d7d14934d389","type":"LinearScale"},{"attributes":{"formatter":{"id":"54c79e92-7c69-4200-a779-a60a8e0a1fd4","type":"BasicTickFormatter"},"plot":{"id":"0327c77e-8d29-4fac-afee-1ab2ba3324c8","subtype":"Figure","type":"Plot"},"ticker":{"id":"b0ec0d1c-f170-4e03-b989-2e2d400d31f4","type":"BasicTicker"}},"id":"7f8638ad-bf12-4c38-acd1-31225d69c480","type":"LinearAxis"},{"attributes":{},"id":"475e1f0c-69c6-4474-a0fd-313d29c445f8","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"7619fc74-0753-40d0-b24d-5fa341e1e6de","type":"BasicTickFormatter"},"plot":{"id":"0327c77e-8d29-4fac-afee-1ab2ba3324c8","subtype":"Figure","type":"Plot"},"ticker":{"id":"c3fa4176-a4e5-45a0-aa5f-16267889053d","type":"BasicTicker"}},"id":"192c885c-5fa8-4e4f-8f64-7903740dee5f","type":"LinearAxis"},{"attributes":{"children":[{"id":"2e6086ed-a84f-4615-873d-fcb6a4799eb0","type":"ToolbarBox"},{"id":"baa3ad82-bb9a-4835-b21e-01074fa1f6dc","type":"Column"}]},"id":"f39e1e7e-baf2-4de4-8e2a-c40c6336b906","type":"Column"},{"attributes":{},"id":"2f3c3419-82f9-4037-b629-cffcdb192638","type":"SaveTool"},{"attributes":{"formatter":{"id":"a1f6e225-c74f-49a8-875e-a4c4f8733dc2","type":"BasicTickFormatter"},"plot":{"id":"a2b14c9c-9282-4470-8440-cb54e4ef4316","subtype":"Figure","type":"Plot"},"ticker":{"id":"01ac915b-a89c-473f-b739-84dbed4ccc7d","type":"BasicTicker"}},"id":"5d27b92b-7494-46eb-9b70-6a950ea96623","type":"LinearAxis"},{"attributes":{},"id":"c2b60fba-7f34-4959-9e13-ddf934cbe90f","type":"SaveTool"},{"attributes":{"formatter":{"id":"7a222bee-216d-4210-9020-695c01c88ed9","type":"BasicTickFormatter"},"plot":{"id":"a2b14c9c-9282-4470-8440-cb54e4ef4316","subtype":"Figure","type":"Plot"},"ticker":{"id":"366a4f02-c7f4-41d3-8d9c-fbfb23309d9d","type":"BasicTicker"}},"id":"9dec1b37-9245-4a1e-bf3e-adef02ccce77","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"a3f5ad31-868b-4884-b8c9-755b534608e8","type":"Triangle"},{"attributes":{},"id":"3423f9dc-cdcc-45bf-b604-fce8d14e3b17","type":"PanTool"},{"attributes":{},"id":"faab5716-e1cb-4355-a768-16bedbd5658e","type":"BasicTicker"},{"attributes":{},"id":"6c26a9c9-5914-4cb1-83bb-8c5d2b6efe70","type":"PanTool"},{"attributes":{"callback":null},"id":"2cf638b7-8581-497a-932e-e64679a4dc02","type":"DataRange1d"},{"attributes":{"overlay":{"id":"30162c99-5f01-4a8d-9275-151ea2687acd","type":"BoxAnnotation"}},"id":"d270f669-7108-42a9-adf9-a2f4d71b7c60","type":"BoxZoomTool"},{"attributes":{},"id":"0fffe08d-faea-4622-9a2d-cdc78175afe1","type":"LinearScale"},{"attributes":{"formatter":{"id":"af187197-996e-44a3-9e6c-02fac7916b9a","type":"BasicTickFormatter"},"plot":{"id":"5e87eeb0-167f-4efc-8267-4f115eb057bc","subtype":"Figure","type":"Plot"},"ticker":{"id":"faab5716-e1cb-4355-a768-16bedbd5658e","type":"BasicTicker"}},"id":"596f4580-77cf-4190-b3a2-2c1104960460","type":"LinearAxis"},{"attributes":{},"id":"9472b48d-8a8a-4c39-b145-5a92fd09c10c","type":"LinearScale"},{"attributes":{"plot":{"id":"a2b14c9c-9282-4470-8440-cb54e4ef4316","subtype":"Figure","type":"Plot"},"ticker":{"id":"366a4f02-c7f4-41d3-8d9c-fbfb23309d9d","type":"BasicTicker"}},"id":"56f665c4-31ed-431c-8bdc-216ec8554110","type":"Grid"},{"attributes":{"source":{"id":"0f58c337-d583-426d-bbeb-05b8930e6f9f","type":"ColumnDataSource"}},"id":"ccc4b48e-2c5b-4f68-92b7-ab44bf682786","type":"CDSView"},{"attributes":{"formatter":{"id":"c0cc34af-e885-463f-9a35-d730bc3b3640","type":"BasicTickFormatter"},"plot":{"id":"5e87eeb0-167f-4efc-8267-4f115eb057bc","subtype":"Figure","type":"Plot"},"ticker":{"id":"4ba31ce1-ddda-413e-9256-2df635cef6dc","type":"BasicTicker"}},"id":"6ffb1872-f2a1-412e-b830-25a077abf997","type":"LinearAxis"},{"attributes":{"sizing_mode":"scale_width","toolbar_location":"above","tools":[{"id":"90cdbddd-8e34-45d0-aa00-24c0790c7a8e","type":"PanTool"},{"id":"475e1f0c-69c6-4474-a0fd-313d29c445f8","type":"WheelZoomTool"},{"id":"4c8aca8f-2d62-44dd-a70e-3a3afb97ccfc","type":"BoxZoomTool"},{"id":"c2b60fba-7f34-4959-9e13-ddf934cbe90f","type":"SaveTool"},{"id":"224d37aa-ab2b-49fc-9d73-bd500da2ffa1","type":"ResetTool"},{"id":"d41bf6c3-e2d4-43ec-8763-458bc08f170e","type":"HelpTool"},{"id":"6c26a9c9-5914-4cb1-83bb-8c5d2b6efe70","type":"PanTool"},{"id":"2b8206f8-95f3-4cc7-a6ab-5e095fd0c8a8","type":"WheelZoomTool"},{"id":"d270f669-7108-42a9-adf9-a2f4d71b7c60","type":"BoxZoomTool"},{"id":"be7bc333-bc35-451f-9d09-bf8c2b86ce94","type":"SaveTool"},{"id":"f7c779c6-d1a7-4735-b1dd-53c908170960","type":"ResetTool"},{"id":"455b0278-e54c-4aad-a2f9-9a4f24a48688","type":"HelpTool"},{"id":"3423f9dc-cdcc-45bf-b604-fce8d14e3b17","type":"PanTool"},{"id":"08eaf8bb-d6ce-4cb9-b285-0e80dd4c1708","type":"WheelZoomTool"},{"id":"573b5e4b-28cc-4e6a-8602-d073ef84e7ab","type":"BoxZoomTool"},{"id":"2f3c3419-82f9-4037-b629-cffcdb192638","type":"SaveTool"},{"id":"56a6618d-e7ce-476d-9893-c8f93202fa7d","type":"ResetTool"},{"id":"6eac2e90-f396-4b21-a9c4-caa837a6940d","type":"HelpTool"}]},"id":"2e6086ed-a84f-4615-873d-fcb6a4799eb0","type":"ToolbarBox"},{"attributes":{},"id":"4ba31ce1-ddda-413e-9256-2df635cef6dc","type":"BasicTicker"},{"attributes":{},"id":"6eac2e90-f396-4b21-a9c4-caa837a6940d","type":"HelpTool"},{"attributes":{"dimension":1,"plot":{"id":"0327c77e-8d29-4fac-afee-1ab2ba3324c8","subtype":"Figure","type":"Plot"},"ticker":{"id":"b0ec0d1c-f170-4e03-b989-2e2d400d31f4","type":"BasicTicker"}},"id":"6373bbf6-9873-4709-be9f-c28095a8a4b6","type":"Grid"},{"attributes":{"fill_color":{"value":"#FDE724"},"line_color":{"value":"#FDE724"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"4108a277-9217-484e-8c2f-ea3ce19ceca8","type":"Square"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"52b364bf-fbcf-4160-a535-fbc61e5dbb68","type":"Circle"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[0,1,2,3,4,5,6,7,8,9,10]}},"id":"0f58c337-d583-426d-bbeb-05b8930e6f9f","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"dcc5b7c0-30cd-41a6-aae8-68bce262f4de","type":"ColumnDataSource"},"glyph":{"id":"6befa135-b2a3-4c5c-ad9a-a341a428f02f","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a3f5ad31-868b-4884-b8c9-755b534608e8","type":"Triangle"},"selection_glyph":null,"view":{"id":"f9f86474-32ce-4de4-9a65-8563f6242696","type":"CDSView"}},"id":"f7144717-b1d6-4139-97d2-023f6c39e8bc","type":"GlyphRenderer"},{"attributes":{},"id":"54c79e92-7c69-4200-a779-a60a8e0a1fd4","type":"BasicTickFormatter"},{"attributes":{},"id":"2b8206f8-95f3-4cc7-a6ab-5e095fd0c8a8","type":"WheelZoomTool"},{"attributes":{"below":[{"id":"6ffb1872-f2a1-412e-b830-25a077abf997","type":"LinearAxis"}],"left":[{"id":"596f4580-77cf-4190-b3a2-2c1104960460","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"6ffb1872-f2a1-412e-b830-25a077abf997","type":"LinearAxis"},{"id":"aa97d942-aa7c-4fb2-904f-9debfe4075f5","type":"Grid"},{"id":"596f4580-77cf-4190-b3a2-2c1104960460","type":"LinearAxis"},{"id":"c5d54e13-3499-4105-a455-dbdd0e39ff8a","type":"Grid"},{"id":"5db3cfdb-c353-44f9-90e5-86093135b1c4","type":"BoxAnnotation"},{"id":"d949af15-ad05-491b-92a0-c260c68893bc","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"48a8ff0f-2a8b-4249-bf0b-a75b44c5f3ed","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"7aa47203-35e9-47b0-9962-d9d4dce46b68","type":"DataRange1d"},"x_scale":{"id":"0fffe08d-faea-4622-9a2d-cdc78175afe1","type":"LinearScale"},"y_range":{"id":"fd82bcc1-19e7-47f0-b978-a9d6b3046bdc","type":"DataRange1d"},"y_scale":{"id":"9472b48d-8a8a-4c39-b145-5a92fd09c10c","type":"LinearScale"}},"id":"5e87eeb0-167f-4efc-8267-4f115eb057bc","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"dba6ae57-87e4-4771-870c-984e8faf3686","type":"DataRange1d"},{"attributes":{"data_source":{"id":"0f58c337-d583-426d-bbeb-05b8930e6f9f","type":"ColumnDataSource"},"glyph":{"id":"f0e18cac-7e24-496f-9ad3-daa08b25fe49","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"52b364bf-fbcf-4160-a535-fbc61e5dbb68","type":"Circle"},"selection_glyph":null,"view":{"id":"ccc4b48e-2c5b-4f68-92b7-ab44bf682786","type":"CDSView"}},"id":"5e2ae7b5-d042-463b-9c95-92cfa66567aa","type":"GlyphRenderer"},{"attributes":{},"id":"c0cc34af-e885-463f-9a35-d730bc3b3640","type":"BasicTickFormatter"},{"attributes":{},"id":"b0ec0d1c-f170-4e03-b989-2e2d400d31f4","type":"BasicTicker"},{"attributes":{"below":[{"id":"192c885c-5fa8-4e4f-8f64-7903740dee5f","type":"LinearAxis"}],"left":[{"id":"7f8638ad-bf12-4c38-acd1-31225d69c480","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"192c885c-5fa8-4e4f-8f64-7903740dee5f","type":"LinearAxis"},{"id":"437b1e49-701a-4514-b83f-2d642f7e95e4","type":"Grid"},{"id":"7f8638ad-bf12-4c38-acd1-31225d69c480","type":"LinearAxis"},{"id":"6373bbf6-9873-4709-be9f-c28095a8a4b6","type":"Grid"},{"id":"706ce0bc-ecc7-45d3-9941-12ab12cf5ab5","type":"BoxAnnotation"},{"id":"5e2ae7b5-d042-463b-9c95-92cfa66567aa","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"bb465dae-40eb-490a-916e-2c8296fefd54","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"8da9c697-0a78-446a-ab81-c3a03deec5f9","type":"DataRange1d"},"x_scale":{"id":"198b628c-cc69-4ce9-aba6-6f09538f7759","type":"LinearScale"},"y_range":{"id":"2cf638b7-8581-497a-932e-e64679a4dc02","type":"DataRange1d"},"y_scale":{"id":"f68e6b32-db13-45e8-b7e2-d3ca758968bc","type":"LinearScale"}},"id":"0327c77e-8d29-4fac-afee-1ab2ba3324c8","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"91813468-1f82-47c3-b973-d69a23a3b223","type":"DataRange1d"},{"attributes":{"callback":null},"id":"fd82bcc1-19e7-47f0-b978-a9d6b3046bdc","type":"DataRange1d"},{"attributes":{},"id":"08eaf8bb-d6ce-4cb9-b285-0e80dd4c1708","type":"WheelZoomTool"},{"attributes":{"children":[{"id":"8724aba8-efd4-4b96-9568-54238309337d","type":"Spacer"},{"id":"5e87eeb0-167f-4efc-8267-4f115eb057bc","subtype":"Figure","type":"Plot"}]},"id":"5dc14e71-4b4b-4bbc-aa92-f62b0fdf8000","type":"Row"},{"attributes":{"dimension":1,"plot":{"id":"a2b14c9c-9282-4470-8440-cb54e4ef4316","subtype":"Figure","type":"Plot"},"ticker":{"id":"01ac915b-a89c-473f-b739-84dbed4ccc7d","type":"BasicTicker"}},"id":"b8f82f49-0338-45ff-b245-8be612ae504c","type":"Grid"},{"attributes":{},"id":"224d37aa-ab2b-49fc-9d73-bd500da2ffa1","type":"ResetTool"},{"attributes":{},"id":"198b628c-cc69-4ce9-aba6-6f09538f7759","type":"LinearScale"},{"attributes":{},"id":"a1f6e225-c74f-49a8-875e-a4c4f8733dc2","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"0327c77e-8d29-4fac-afee-1ab2ba3324c8","subtype":"Figure","type":"Plot"},"ticker":{"id":"c3fa4176-a4e5-45a0-aa5f-16267889053d","type":"BasicTicker"}},"id":"437b1e49-701a-4514-b83f-2d642f7e95e4","type":"Grid"},{"attributes":{"height":250,"width":250},"id":"8724aba8-efd4-4b96-9568-54238309337d","type":"Spacer"},{"attributes":{"below":[{"id":"9dec1b37-9245-4a1e-bf3e-adef02ccce77","type":"LinearAxis"}],"left":[{"id":"5d27b92b-7494-46eb-9b70-6a950ea96623","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"9dec1b37-9245-4a1e-bf3e-adef02ccce77","type":"LinearAxis"},{"id":"56f665c4-31ed-431c-8bdc-216ec8554110","type":"Grid"},{"id":"5d27b92b-7494-46eb-9b70-6a950ea96623","type":"LinearAxis"},{"id":"b8f82f49-0338-45ff-b245-8be612ae504c","type":"Grid"},{"id":"30162c99-5f01-4a8d-9275-151ea2687acd","type":"BoxAnnotation"},{"id":"f7144717-b1d6-4139-97d2-023f6c39e8bc","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"c8054f5c-2ff4-440d-80a0-ea854062ce93","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"91813468-1f82-47c3-b973-d69a23a3b223","type":"DataRange1d"},"x_scale":{"id":"c5666e5f-7335-411f-b5e4-7adce62225f3","type":"LinearScale"},"y_range":{"id":"dba6ae57-87e4-4771-870c-984e8faf3686","type":"DataRange1d"},"y_scale":{"id":"d00d6452-ace2-451e-a274-d7d14934d389","type":"LinearScale"}},"id":"a2b14c9c-9282-4470-8440-cb54e4ef4316","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"c3fa4176-a4e5-45a0-aa5f-16267889053d","type":"BasicTicker"},{"attributes":{"callback":null},"id":"7aa47203-35e9-47b0-9962-d9d4dce46b68","type":"DataRange1d"},{"attributes":{},"id":"d41bf6c3-e2d4-43ec-8763-458bc08f170e","type":"HelpTool"},{"attributes":{},"id":"7a222bee-216d-4210-9020-695c01c88ed9","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"cf038e75-7a59-44f0-87e4-527c838075af","type":"ColumnDataSource"}},"id":"999524d0-2a8d-4457-ad65-1f6bfb9d1a6f","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"3423f9dc-cdcc-45bf-b604-fce8d14e3b17","type":"PanTool"},{"id":"08eaf8bb-d6ce-4cb9-b285-0e80dd4c1708","type":"WheelZoomTool"},{"id":"573b5e4b-28cc-4e6a-8602-d073ef84e7ab","type":"BoxZoomTool"},{"id":"2f3c3419-82f9-4037-b629-cffcdb192638","type":"SaveTool"},{"id":"56a6618d-e7ce-476d-9893-c8f93202fa7d","type":"ResetTool"},{"id":"6eac2e90-f396-4b21-a9c4-caa837a6940d","type":"HelpTool"}]},"id":"48a8ff0f-2a8b-4249-bf0b-a75b44c5f3ed","type":"Toolbar"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"6c26a9c9-5914-4cb1-83bb-8c5d2b6efe70","type":"PanTool"},{"id":"2b8206f8-95f3-4cc7-a6ab-5e095fd0c8a8","type":"WheelZoomTool"},{"id":"d270f669-7108-42a9-adf9-a2f4d71b7c60","type":"BoxZoomTool"},{"id":"be7bc333-bc35-451f-9d09-bf8c2b86ce94","type":"SaveTool"},{"id":"f7c779c6-d1a7-4735-b1dd-53c908170960","type":"ResetTool"},{"id":"455b0278-e54c-4aad-a2f9-9a4f24a48688","type":"HelpTool"}]},"id":"c8054f5c-2ff4-440d-80a0-ea854062ce93","type":"Toolbar"},{"attributes":{"overlay":{"id":"706ce0bc-ecc7-45d3-9941-12ab12cf5ab5","type":"BoxAnnotation"}},"id":"4c8aca8f-2d62-44dd-a70e-3a3afb97ccfc","type":"BoxZoomTool"},{"attributes":{},"id":"90cdbddd-8e34-45d0-aa00-24c0790c7a8e","type":"PanTool"},{"attributes":{},"id":"7619fc74-0753-40d0-b24d-5fa341e1e6de","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"cf038e75-7a59-44f0-87e4-527c838075af","type":"ColumnDataSource"},"glyph":{"id":"4108a277-9217-484e-8c2f-ea3ce19ceca8","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"fd4cd6e8-507b-42cd-b952-742a09794ac0","type":"Square"},"selection_glyph":null,"view":{"id":"999524d0-2a8d-4457-ad65-1f6bfb9d1a6f","type":"CDSView"}},"id":"d949af15-ad05-491b-92a0-c260c68893bc","type":"GlyphRenderer"},{"attributes":{},"id":"366a4f02-c7f4-41d3-8d9c-fbfb23309d9d","type":"BasicTicker"},{"attributes":{"children":[{"id":"cca44530-0857-456f-8596-35de520b3604","type":"Row"},{"id":"5dc14e71-4b4b-4bbc-aa92-f62b0fdf8000","type":"Row"}]},"id":"baa3ad82-bb9a-4835-b21e-01074fa1f6dc","type":"Column"},{"attributes":{"source":{"id":"dcc5b7c0-30cd-41a6-aae8-68bce262f4de","type":"ColumnDataSource"}},"id":"f9f86474-32ce-4de4-9a65-8563f6242696","type":"CDSView"},{"attributes":{"fill_color":{"value":"#208F8C"},"line_color":{"value":"#208F8C"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"6befa135-b2a3-4c5c-ad9a-a341a428f02f","type":"Triangle"},{"attributes":{"overlay":{"id":"5db3cfdb-c353-44f9-90e5-86093135b1c4","type":"BoxAnnotation"}},"id":"573b5e4b-28cc-4e6a-8602-d073ef84e7ab","type":"BoxZoomTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"90cdbddd-8e34-45d0-aa00-24c0790c7a8e","type":"PanTool"},{"id":"475e1f0c-69c6-4474-a0fd-313d29c445f8","type":"WheelZoomTool"},{"id":"4c8aca8f-2d62-44dd-a70e-3a3afb97ccfc","type":"BoxZoomTool"},{"id":"c2b60fba-7f34-4959-9e13-ddf934cbe90f","type":"SaveTool"},{"id":"224d37aa-ab2b-49fc-9d73-bd500da2ffa1","type":"ResetTool"},{"id":"d41bf6c3-e2d4-43ec-8763-458bc08f170e","type":"HelpTool"}]},"id":"bb465dae-40eb-490a-916e-2c8296fefd54","type":"Toolbar"},{"attributes":{"plot":{"id":"5e87eeb0-167f-4efc-8267-4f115eb057bc","subtype":"Figure","type":"Plot"},"ticker":{"id":"4ba31ce1-ddda-413e-9256-2df635cef6dc","type":"BasicTicker"}},"id":"aa97d942-aa7c-4fb2-904f-9debfe4075f5","type":"Grid"},{"attributes":{},"id":"be7bc333-bc35-451f-9d09-bf8c2b86ce94","type":"SaveTool"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[5,4,3,2,1,0,1,2,3,4,5]}},"id":"cf038e75-7a59-44f0-87e4-527c838075af","type":"ColumnDataSource"},{"attributes":{"children":[{"id":"0327c77e-8d29-4fac-afee-1ab2ba3324c8","subtype":"Figure","type":"Plot"},{"id":"a2b14c9c-9282-4470-8440-cb54e4ef4316","subtype":"Figure","type":"Plot"}]},"id":"cca44530-0857-456f-8596-35de520b3604","type":"Row"},{"attributes":{"fill_color":{"value":"#440154"},"line_color":{"value":"#440154"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"f0e18cac-7e24-496f-9ad3-daa08b25fe49","type":"Circle"},{"attributes":{},"id":"af187197-996e-44a3-9e6c-02fac7916b9a","type":"BasicTickFormatter"}],"root_ids":["f39e1e7e-baf2-4de4-8e2a-c40c6336b906"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"87d7e659-ebe2-47b0-895c-c802f313a963","elementid":"546be632-488f-4b09-a95c-b6ebe71658bf","modelid":"f39e1e7e-baf2-4de4-8e2a-c40c6336b906"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
