(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b5aa27b5-f39d-4ff1-946c-e725e6c2ad67");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b5aa27b5-f39d-4ff1-946c-e725e6c2ad67' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"1f46cf08-611a-4dca-8cd2-810ca9b4f4f9":{"roots":{"references":[{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"fbae1e9b-4f1f-49b8-9b45-9ee2652cc751","type":"BoxAnnotation"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"91a8b11e-33f9-496b-b1ab-02e8685cd5a3","type":"ColumnDataSource"},{"attributes":{},"id":"9e64d75b-4f59-4426-b294-c481152e337e","type":"WheelZoomTool"},{"attributes":{"overlay":{"id":"fbae1e9b-4f1f-49b8-9b45-9ee2652cc751","type":"BoxAnnotation"}},"id":"3731a639-ab0e-473b-9f17-58edb9c79494","type":"BoxZoomTool"},{"attributes":{},"id":"0dbd7b93-4ef5-4fa7-bf3e-28cad6ba72b7","type":"BasicTickFormatter"},{"attributes":{},"id":"131e1652-dd7f-4c93-b4cb-8c7e148960db","type":"BasicTicker"},{"attributes":{"formatter":{"id":"0dbd7b93-4ef5-4fa7-bf3e-28cad6ba72b7","type":"BasicTickFormatter"},"plot":{"id":"0d5e375d-396b-4208-9229-1ede199b85cf","subtype":"Figure","type":"Plot"},"ticker":{"id":"4a811de1-6f6e-4d81-957b-aee0c7c09f18","type":"BasicTicker"}},"id":"2ab8f574-c408-4803-b68f-2bec66cb42f8","type":"LinearAxis"},{"attributes":{},"id":"6fb39b04-e57f-4b2a-aa7b-59c2306bf881","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"navy"},"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"a8c40cdb-b9de-4be3-898e-4f404decc995","type":"Circle"},{"attributes":{"callback":null},"id":"777df014-ac8e-4997-bf97-b0cf12388d08","type":"DataRange1d"},{"attributes":{},"id":"8cfd53a0-da7f-4024-baa4-46feabf2d242","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"0d5e375d-396b-4208-9229-1ede199b85cf","subtype":"Figure","type":"Plot"},"ticker":{"id":"131e1652-dd7f-4c93-b4cb-8c7e148960db","type":"BasicTicker"}},"id":"26e3afb0-d389-40b5-bdf1-b26a132d5a20","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"e6240674-d91e-4c14-8c03-6f519791ea91","type":"PanTool"},{"id":"9e64d75b-4f59-4426-b294-c481152e337e","type":"WheelZoomTool"},{"id":"3731a639-ab0e-473b-9f17-58edb9c79494","type":"BoxZoomTool"},{"id":"86c01871-07fd-4332-9d42-027e041abae0","type":"SaveTool"},{"id":"ef667dc9-3a19-46b2-8832-c0e9a91aaf7a","type":"ResetTool"},{"id":"b972fecf-67a7-43e1-9c6e-82939ba62bca","type":"HelpTool"}]},"id":"32390cd7-3744-4656-be66-f94a9745440a","type":"Toolbar"},{"attributes":{"formatter":{"id":"6fb39b04-e57f-4b2a-aa7b-59c2306bf881","type":"BasicTickFormatter"},"plot":{"id":"0d5e375d-396b-4208-9229-1ede199b85cf","subtype":"Figure","type":"Plot"},"ticker":{"id":"131e1652-dd7f-4c93-b4cb-8c7e148960db","type":"BasicTicker"}},"id":"c163b8fc-5c62-4d43-8793-0bc5fa22a37f","type":"LinearAxis"},{"attributes":{},"id":"ef667dc9-3a19-46b2-8832-c0e9a91aaf7a","type":"ResetTool"},{"attributes":{"source":{"id":"91a8b11e-33f9-496b-b1ab-02e8685cd5a3","type":"ColumnDataSource"}},"id":"a70a303b-951c-4a46-b8f3-9cbed0c98ce4","type":"CDSView"},{"attributes":{},"id":"4a811de1-6f6e-4d81-957b-aee0c7c09f18","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"74d0669d-fbd1-4057-9d6f-7476c944cbef","type":"Circle"},{"attributes":{"plot":{"id":"0d5e375d-396b-4208-9229-1ede199b85cf","subtype":"Figure","type":"Plot"},"ticker":{"id":"4a811de1-6f6e-4d81-957b-aee0c7c09f18","type":"BasicTicker"}},"id":"7c58f123-aedf-44c0-afd3-fcdf7b68031f","type":"Grid"},{"attributes":{"plot":null,"text":""},"id":"9d27393e-1b09-4eac-b1eb-ebe93b8e3cd2","type":"Title"},{"attributes":{"data_source":{"id":"91a8b11e-33f9-496b-b1ab-02e8685cd5a3","type":"ColumnDataSource"},"glyph":{"id":"a8c40cdb-b9de-4be3-898e-4f404decc995","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"74d0669d-fbd1-4057-9d6f-7476c944cbef","type":"Circle"},"selection_glyph":null,"view":{"id":"a70a303b-951c-4a46-b8f3-9cbed0c98ce4","type":"CDSView"}},"id":"e6bed067-547a-4d52-aa69-72188f735566","type":"GlyphRenderer"},{"attributes":{},"id":"86c01871-07fd-4332-9d42-027e041abae0","type":"SaveTool"},{"attributes":{"callback":null},"id":"4b0cc59e-b220-4456-8969-a9a9a13ca6fb","type":"DataRange1d"},{"attributes":{"below":[{"id":"2ab8f574-c408-4803-b68f-2bec66cb42f8","type":"LinearAxis"}],"left":[{"id":"c163b8fc-5c62-4d43-8793-0bc5fa22a37f","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"2ab8f574-c408-4803-b68f-2bec66cb42f8","type":"LinearAxis"},{"id":"7c58f123-aedf-44c0-afd3-fcdf7b68031f","type":"Grid"},{"id":"c163b8fc-5c62-4d43-8793-0bc5fa22a37f","type":"LinearAxis"},{"id":"26e3afb0-d389-40b5-bdf1-b26a132d5a20","type":"Grid"},{"id":"fbae1e9b-4f1f-49b8-9b45-9ee2652cc751","type":"BoxAnnotation"},{"id":"e6bed067-547a-4d52-aa69-72188f735566","type":"GlyphRenderer"}],"title":{"id":"9d27393e-1b09-4eac-b1eb-ebe93b8e3cd2","type":"Title"},"toolbar":{"id":"32390cd7-3744-4656-be66-f94a9745440a","type":"Toolbar"},"x_range":{"id":"4b0cc59e-b220-4456-8969-a9a9a13ca6fb","type":"DataRange1d"},"x_scale":{"id":"8cfd53a0-da7f-4024-baa4-46feabf2d242","type":"LinearScale"},"y_range":{"id":"777df014-ac8e-4997-bf97-b0cf12388d08","type":"DataRange1d"},"y_scale":{"id":"7e318a22-1cae-4439-bd99-8a5eaab8eb6f","type":"LinearScale"}},"id":"0d5e375d-396b-4208-9229-1ede199b85cf","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"7e318a22-1cae-4439-bd99-8a5eaab8eb6f","type":"LinearScale"},{"attributes":{},"id":"e6240674-d91e-4c14-8c03-6f519791ea91","type":"PanTool"},{"attributes":{},"id":"b972fecf-67a7-43e1-9c6e-82939ba62bca","type":"HelpTool"}],"root_ids":["0d5e375d-396b-4208-9229-1ede199b85cf"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"1f46cf08-611a-4dca-8cd2-810ca9b4f4f9","elementid":"b5aa27b5-f39d-4ff1-946c-e725e6c2ad67","modelid":"0d5e375d-396b-4208-9229-1ede199b85cf"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
