(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("35bc513e-ffcc-45f5-af0f-cca0776b70f8");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '35bc513e-ffcc-45f5-af0f-cca0776b70f8' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"0adfe259-5e5a-4fe1-a7bf-8a49487eb25e":{"roots":{"references":[{"attributes":{},"id":"bd4fa7de-d86e-4f72-ad42-61134f006589","type":"PanTool"},{"attributes":{},"id":"6b6d5bd4-90c2-4f9d-b22b-baf74a452229","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"a8de94cd-eea8-4d46-9880-258dda83bdeb","type":"BasicTickFormatter"},"plot":{"id":"0cf1c92f-97fd-4fc2-8712-0d0063d6fa90","subtype":"Figure","type":"Plot"},"ticker":{"id":"e1aca9d8-32ee-4cb1-80f7-61201ead2c78","type":"BasicTicker"}},"id":"bdfe732d-c5de-4b7b-a39c-a3bd8e44f6f3","type":"LinearAxis"},{"attributes":{},"id":"ac36a364-5ad0-4cbb-871d-52c045e82247","type":"HelpTool"},{"attributes":{"dimension":1,"plot":{"id":"0cf1c92f-97fd-4fc2-8712-0d0063d6fa90","subtype":"Figure","type":"Plot"},"ticker":{"id":"e1aca9d8-32ee-4cb1-80f7-61201ead2c78","type":"BasicTicker"}},"id":"1ffc885f-72d3-4044-8e34-e573dc1b7da2","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"bd4fa7de-d86e-4f72-ad42-61134f006589","type":"PanTool"},{"id":"6b6d5bd4-90c2-4f9d-b22b-baf74a452229","type":"WheelZoomTool"},{"id":"e5cb033f-474e-4841-92c0-eb40e0aea015","type":"BoxZoomTool"},{"id":"8355bcfb-c090-4ed6-8048-991b9d5560e5","type":"SaveTool"},{"id":"fcd7f074-772e-4dff-a1aa-ba80ec3ab6fc","type":"ResetTool"},{"id":"ac36a364-5ad0-4cbb-871d-52c045e82247","type":"HelpTool"}]},"id":"2c5208e2-791f-4097-8ce6-3153765de103","type":"Toolbar"},{"attributes":{"callback":null},"id":"d0eae967-e80c-4d36-afc8-bed488e2db3c","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"52fee70e-1b68-4d0d-be55-a41180487977","type":"BoxAnnotation"},{"attributes":{},"id":"fcd7f074-772e-4dff-a1aa-ba80ec3ab6fc","type":"ResetTool"},{"attributes":{"overlay":{"id":"52fee70e-1b68-4d0d-be55-a41180487977","type":"BoxAnnotation"}},"id":"e5cb033f-474e-4841-92c0-eb40e0aea015","type":"BoxZoomTool"},{"attributes":{},"id":"e1aca9d8-32ee-4cb1-80f7-61201ead2c78","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"olive"},"line_alpha":{"value":0.5},"line_color":{"value":"olive"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"62328bc0-4fd1-4294-87b2-911bd90d8566","type":"Square"},{"attributes":{},"id":"f8ce5cb7-907b-4396-a92f-5e23c5af0e31","type":"BasicTicker"},{"attributes":{"below":[{"id":"a1945c61-1873-4e3f-b710-b25b3fb448de","type":"LinearAxis"}],"left":[{"id":"bdfe732d-c5de-4b7b-a39c-a3bd8e44f6f3","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"a1945c61-1873-4e3f-b710-b25b3fb448de","type":"LinearAxis"},{"id":"d15a225b-8563-4da4-a84d-ea35aa4e1a7e","type":"Grid"},{"id":"bdfe732d-c5de-4b7b-a39c-a3bd8e44f6f3","type":"LinearAxis"},{"id":"1ffc885f-72d3-4044-8e34-e573dc1b7da2","type":"Grid"},{"id":"52fee70e-1b68-4d0d-be55-a41180487977","type":"BoxAnnotation"},{"id":"c93e8e16-4cc8-4654-855a-a8c5adbd41e0","type":"GlyphRenderer"}],"title":{"id":"d080069a-859d-4161-8ead-22ed77f6cdd7","type":"Title"},"toolbar":{"id":"2c5208e2-791f-4097-8ce6-3153765de103","type":"Toolbar"},"x_range":{"id":"ded52b65-a871-4008-9a89-263229a13441","type":"DataRange1d"},"x_scale":{"id":"72a9d297-7f25-422b-a209-fc1d7f9bb873","type":"LinearScale"},"y_range":{"id":"d0eae967-e80c-4d36-afc8-bed488e2db3c","type":"DataRange1d"},"y_scale":{"id":"09d48a1b-7455-484c-8479-30ea3fac146e","type":"LinearScale"}},"id":"0cf1c92f-97fd-4fc2-8712-0d0063d6fa90","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"ded52b65-a871-4008-9a89-263229a13441","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"2ef13200-ac43-4f06-b90a-6de1ce5a52ac","type":"Square"},{"attributes":{"plot":null,"text":""},"id":"d080069a-859d-4161-8ead-22ed77f6cdd7","type":"Title"},{"attributes":{},"id":"a9fde364-bf96-4495-beb6-f7cfe999d657","type":"BasicTickFormatter"},{"attributes":{},"id":"09d48a1b-7455-484c-8479-30ea3fac146e","type":"LinearScale"},{"attributes":{},"id":"a8de94cd-eea8-4d46-9880-258dda83bdeb","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"a9fde364-bf96-4495-beb6-f7cfe999d657","type":"BasicTickFormatter"},"plot":{"id":"0cf1c92f-97fd-4fc2-8712-0d0063d6fa90","subtype":"Figure","type":"Plot"},"ticker":{"id":"f8ce5cb7-907b-4396-a92f-5e23c5af0e31","type":"BasicTicker"}},"id":"a1945c61-1873-4e3f-b710-b25b3fb448de","type":"LinearAxis"},{"attributes":{},"id":"8355bcfb-c090-4ed6-8048-991b9d5560e5","type":"SaveTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"580d7b3f-31ef-435a-970f-d818ba827b4b","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"580d7b3f-31ef-435a-970f-d818ba827b4b","type":"ColumnDataSource"},"glyph":{"id":"62328bc0-4fd1-4294-87b2-911bd90d8566","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"2ef13200-ac43-4f06-b90a-6de1ce5a52ac","type":"Square"},"selection_glyph":null,"view":{"id":"ffec8b46-e206-43ef-8d93-03ba4a196fa5","type":"CDSView"}},"id":"c93e8e16-4cc8-4654-855a-a8c5adbd41e0","type":"GlyphRenderer"},{"attributes":{"source":{"id":"580d7b3f-31ef-435a-970f-d818ba827b4b","type":"ColumnDataSource"}},"id":"ffec8b46-e206-43ef-8d93-03ba4a196fa5","type":"CDSView"},{"attributes":{"plot":{"id":"0cf1c92f-97fd-4fc2-8712-0d0063d6fa90","subtype":"Figure","type":"Plot"},"ticker":{"id":"f8ce5cb7-907b-4396-a92f-5e23c5af0e31","type":"BasicTicker"}},"id":"d15a225b-8563-4da4-a84d-ea35aa4e1a7e","type":"Grid"},{"attributes":{},"id":"72a9d297-7f25-422b-a209-fc1d7f9bb873","type":"LinearScale"}],"root_ids":["0cf1c92f-97fd-4fc2-8712-0d0063d6fa90"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"0adfe259-5e5a-4fe1-a7bf-8a49487eb25e","elementid":"35bc513e-ffcc-45f5-af0f-cca0776b70f8","modelid":"0cf1c92f-97fd-4fc2-8712-0d0063d6fa90"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
