(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("74da93c4-76c5-4dc7-8337-373aaa4cb495");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '74da93c4-76c5-4dc7-8337-373aaa4cb495' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"01c61056-4fce-4109-bcce-873415270ce7":{"roots":{"references":[{"attributes":{"callback":null,"column_names":["ys","xs","line_color","line_alpha","fill_alpha","fill_color"],"data":{"fill_alpha":[0.8,0.3],"fill_color":["firebrick","navy"],"line_alpha":[0.8,0.3],"line_color":["firebrick","navy"],"xs":[[1,3,2],[3,4,6,6]],"ys":[[2,1,4],[4,7,8,5]]}},"id":"2b763679-f905-44e4-892c-19c030939909","type":"ColumnDataSource"},{"attributes":{},"id":"8893f9b5-bead-492f-9601-e853c662f220","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"2b763679-f905-44e4-892c-19c030939909","type":"ColumnDataSource"}},"id":"67cc74a8-bcd7-4295-8e9e-82456566c3e8","type":"CDSView"},{"attributes":{"callback":null},"id":"aa11884c-5738-4aec-9b0a-901a1812819b","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"afd37a52-959c-490f-af25-b133da1b5446","type":"Patches"},{"attributes":{"fill_alpha":{"field":"fill_alpha"},"fill_color":{"field":"fill_color"},"line_alpha":{"field":"line_alpha"},"line_color":{"field":"line_color"},"line_width":{"value":2},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"04c20dde-5215-48fa-9de7-95d800c7d4de","type":"Patches"},{"attributes":{"plot":{"id":"960f0fa9-17b3-48c6-8e65-3f4aa73c80fc","subtype":"Figure","type":"Plot"},"ticker":{"id":"ec5aada2-b708-49f0-8031-498f661ad72f","type":"BasicTicker"}},"id":"a3b51318-1e35-49af-af06-288b4d3203e6","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"960f0fa9-17b3-48c6-8e65-3f4aa73c80fc","subtype":"Figure","type":"Plot"},"ticker":{"id":"5677828b-5ded-4123-aaeb-fcbbabf36111","type":"BasicTicker"}},"id":"9bf3b3c3-c205-4541-b9a4-b4a727b1beda","type":"Grid"},{"attributes":{},"id":"aa61e6c0-d1e8-4709-b851-fce19c218155","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"e513f876-9b96-46b4-9911-08081c0c6b2e","type":"Title"},{"attributes":{},"id":"aa382314-e9f5-40f9-bfbe-5bdb3aa99c53","type":"LinearScale"},{"attributes":{},"id":"5677828b-5ded-4123-aaeb-fcbbabf36111","type":"BasicTicker"},{"attributes":{},"id":"a1049cd2-a3ef-4b0b-80aa-391c0270a4bd","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"4d23a70e-03be-4e25-a0fa-d2ff6c547058","type":"PanTool"},{"id":"0ba83538-ac1e-4bc2-b9b2-0f1fcfa5ca11","type":"WheelZoomTool"},{"id":"9ecd0d11-4df5-448e-b797-0111523e2812","type":"BoxZoomTool"},{"id":"93292666-795d-436d-92d8-36fe3948fb2c","type":"SaveTool"},{"id":"4773555b-6a9b-4917-8f18-ddb5544d2188","type":"ResetTool"},{"id":"57bdfe37-5761-41ea-b12a-a16e17b236d2","type":"HelpTool"}]},"id":"8e23e88e-f015-471c-a2c1-47a96b8bd327","type":"Toolbar"},{"attributes":{},"id":"93292666-795d-436d-92d8-36fe3948fb2c","type":"SaveTool"},{"attributes":{"data_source":{"id":"2b763679-f905-44e4-892c-19c030939909","type":"ColumnDataSource"},"glyph":{"id":"04c20dde-5215-48fa-9de7-95d800c7d4de","type":"Patches"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"afd37a52-959c-490f-af25-b133da1b5446","type":"Patches"},"selection_glyph":null,"view":{"id":"67cc74a8-bcd7-4295-8e9e-82456566c3e8","type":"CDSView"}},"id":"c87a6936-da7b-445c-944f-3e19bb5c50ea","type":"GlyphRenderer"},{"attributes":{},"id":"4773555b-6a9b-4917-8f18-ddb5544d2188","type":"ResetTool"},{"attributes":{"below":[{"id":"e6d6365c-0549-4e2a-8a2b-c467c6f2b451","type":"LinearAxis"}],"left":[{"id":"c72a1954-56fb-4204-b760-52c9c416f642","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"e6d6365c-0549-4e2a-8a2b-c467c6f2b451","type":"LinearAxis"},{"id":"a3b51318-1e35-49af-af06-288b4d3203e6","type":"Grid"},{"id":"c72a1954-56fb-4204-b760-52c9c416f642","type":"LinearAxis"},{"id":"9bf3b3c3-c205-4541-b9a4-b4a727b1beda","type":"Grid"},{"id":"83ea08bd-7c97-4da2-bdc1-7d776f54ccd4","type":"BoxAnnotation"},{"id":"c87a6936-da7b-445c-944f-3e19bb5c50ea","type":"GlyphRenderer"}],"title":{"id":"e513f876-9b96-46b4-9911-08081c0c6b2e","type":"Title"},"toolbar":{"id":"8e23e88e-f015-471c-a2c1-47a96b8bd327","type":"Toolbar"},"x_range":{"id":"a31e4fed-a635-4c91-8640-ed269d30693d","type":"DataRange1d"},"x_scale":{"id":"aa61e6c0-d1e8-4709-b851-fce19c218155","type":"LinearScale"},"y_range":{"id":"aa11884c-5738-4aec-9b0a-901a1812819b","type":"DataRange1d"},"y_scale":{"id":"aa382314-e9f5-40f9-bfbe-5bdb3aa99c53","type":"LinearScale"}},"id":"960f0fa9-17b3-48c6-8e65-3f4aa73c80fc","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"a31e4fed-a635-4c91-8640-ed269d30693d","type":"DataRange1d"},{"attributes":{},"id":"4d23a70e-03be-4e25-a0fa-d2ff6c547058","type":"PanTool"},{"attributes":{},"id":"0ba83538-ac1e-4bc2-b9b2-0f1fcfa5ca11","type":"WheelZoomTool"},{"attributes":{"overlay":{"id":"83ea08bd-7c97-4da2-bdc1-7d776f54ccd4","type":"BoxAnnotation"}},"id":"9ecd0d11-4df5-448e-b797-0111523e2812","type":"BoxZoomTool"},{"attributes":{},"id":"57bdfe37-5761-41ea-b12a-a16e17b236d2","type":"HelpTool"},{"attributes":{},"id":"ec5aada2-b708-49f0-8031-498f661ad72f","type":"BasicTicker"},{"attributes":{"formatter":{"id":"a1049cd2-a3ef-4b0b-80aa-391c0270a4bd","type":"BasicTickFormatter"},"plot":{"id":"960f0fa9-17b3-48c6-8e65-3f4aa73c80fc","subtype":"Figure","type":"Plot"},"ticker":{"id":"ec5aada2-b708-49f0-8031-498f661ad72f","type":"BasicTicker"}},"id":"e6d6365c-0549-4e2a-8a2b-c467c6f2b451","type":"LinearAxis"},{"attributes":{"formatter":{"id":"8893f9b5-bead-492f-9601-e853c662f220","type":"BasicTickFormatter"},"plot":{"id":"960f0fa9-17b3-48c6-8e65-3f4aa73c80fc","subtype":"Figure","type":"Plot"},"ticker":{"id":"5677828b-5ded-4123-aaeb-fcbbabf36111","type":"BasicTicker"}},"id":"c72a1954-56fb-4204-b760-52c9c416f642","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"83ea08bd-7c97-4da2-bdc1-7d776f54ccd4","type":"BoxAnnotation"}],"root_ids":["960f0fa9-17b3-48c6-8e65-3f4aa73c80fc"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"01c61056-4fce-4109-bcce-873415270ce7","elementid":"74da93c4-76c5-4dc7-8337-373aaa4cb495","modelid":"960f0fa9-17b3-48c6-8e65-3f4aa73c80fc"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
