(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ab810c96-c8cb-47dc-a9a7-032f925903f2");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ab810c96-c8cb-47dc-a9a7-032f925903f2' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"3b1d2541-6fcc-42eb-850f-32676fbaafa0":{"roots":{"references":[{"attributes":{"below":[{"id":"7c03f984-5a0d-48da-bdc4-2e483c771c8a","type":"LinearAxis"}],"left":[{"id":"22ce4b06-1a88-4fba-897d-9bc986182c52","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"7c03f984-5a0d-48da-bdc4-2e483c771c8a","type":"LinearAxis"},{"id":"edf91df4-923c-4cfa-8ab9-0d48d8f9b7a5","type":"Grid"},{"id":"22ce4b06-1a88-4fba-897d-9bc986182c52","type":"LinearAxis"},{"id":"f7f7245b-3638-4798-8751-202e93a3b279","type":"Grid"},{"id":"bad4b614-4487-436a-a213-8b61c7ce3d06","type":"BoxAnnotation"},{"id":"962fe0cd-637a-4969-973d-d2d61cc6e927","type":"GlyphRenderer"}],"title":{"id":"ffb22890-346b-4ff4-8ad8-d48f06f8b762","type":"Title"},"toolbar":{"id":"c3742991-a159-465d-8058-96c4f483799f","type":"Toolbar"},"x_range":{"id":"b63bcfda-bc7f-4499-abd2-71a6f4f5f201","type":"DataRange1d"},"x_scale":{"id":"c8ab7ce2-02d7-4079-b366-7305f8075471","type":"LinearScale"},"y_range":{"id":"b4b3f4b9-0fd1-4bc7-abb4-0166c9f2b781","type":"DataRange1d"},"y_scale":{"id":"5a424e6b-cac2-4188-b8be-10a6abe03b48","type":"LinearScale"}},"id":"996b1bed-1635-4620-b57c-682dc826bc86","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"b8d95838-c09a-4937-85f0-8ff1ca40a812","type":"BasicTicker"},{"attributes":{},"id":"8b1138a8-dfe0-42fc-80f4-2c00920c5cec","type":"SaveTool"},{"attributes":{},"id":"69f5281e-701e-42b1-bb0b-774db979900a","type":"BasicTickFormatter"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_color":{"value":"#CAB2D6"},"height":{"units":"screen","value":40},"line_color":{"value":"#CAB2D6"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"f1c30e3d-fa76-4fb7-852c-18e2516ce309","type":"Oval"},{"attributes":{"callback":null},"id":"b4b3f4b9-0fd1-4bc7-abb4-0166c9f2b781","type":"DataRange1d"},{"attributes":{"callback":null},"id":"b63bcfda-bc7f-4499-abd2-71a6f4f5f201","type":"DataRange1d"},{"attributes":{"plot":null,"text":""},"id":"ffb22890-346b-4ff4-8ad8-d48f06f8b762","type":"Title"},{"attributes":{"formatter":{"id":"69f5281e-701e-42b1-bb0b-774db979900a","type":"BasicTickFormatter"},"plot":{"id":"996b1bed-1635-4620-b57c-682dc826bc86","subtype":"Figure","type":"Plot"},"ticker":{"id":"26654810-0ed3-4ae1-a881-2a3699652fea","type":"BasicTicker"}},"id":"7c03f984-5a0d-48da-bdc4-2e483c771c8a","type":"LinearAxis"},{"attributes":{"overlay":{"id":"bad4b614-4487-436a-a213-8b61c7ce3d06","type":"BoxAnnotation"}},"id":"1ee0aa21-6bfa-4e5d-9429-e8930ae54d63","type":"BoxZoomTool"},{"attributes":{"data_source":{"id":"f7db16a5-e737-40b7-bfc1-c630f9b227cd","type":"ColumnDataSource"},"glyph":{"id":"f1c30e3d-fa76-4fb7-852c-18e2516ce309","type":"Oval"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e0c4de6a-e557-4d9d-8044-ad07d0ced895","type":"Oval"},"selection_glyph":null,"view":{"id":"c3eac15f-5486-44de-aaaf-e28260ba800c","type":"CDSView"}},"id":"962fe0cd-637a-4969-973d-d2d61cc6e927","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"996b1bed-1635-4620-b57c-682dc826bc86","subtype":"Figure","type":"Plot"},"ticker":{"id":"26654810-0ed3-4ae1-a881-2a3699652fea","type":"BasicTicker"}},"id":"edf91df4-923c-4cfa-8ab9-0d48d8f9b7a5","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"bad4b614-4487-436a-a213-8b61c7ce3d06","type":"BoxAnnotation"},{"attributes":{},"id":"7cb219fd-aa4c-4799-8631-06f711b239f0","type":"WheelZoomTool"},{"attributes":{},"id":"c8ab7ce2-02d7-4079-b366-7305f8075471","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"996b1bed-1635-4620-b57c-682dc826bc86","subtype":"Figure","type":"Plot"},"ticker":{"id":"b8d95838-c09a-4937-85f0-8ff1ca40a812","type":"BasicTicker"}},"id":"f7f7245b-3638-4798-8751-202e93a3b279","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"f7db16a5-e737-40b7-bfc1-c630f9b227cd","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"e730b39e-31f2-4227-8b54-101e86116ee2","type":"BasicTickFormatter"},"plot":{"id":"996b1bed-1635-4620-b57c-682dc826bc86","subtype":"Figure","type":"Plot"},"ticker":{"id":"b8d95838-c09a-4937-85f0-8ff1ca40a812","type":"BasicTicker"}},"id":"22ce4b06-1a88-4fba-897d-9bc986182c52","type":"LinearAxis"},{"attributes":{},"id":"26654810-0ed3-4ae1-a881-2a3699652fea","type":"BasicTicker"},{"attributes":{},"id":"79725c62-0375-4dd5-96de-1c61b3745f68","type":"ResetTool"},{"attributes":{},"id":"5a424e6b-cac2-4188-b8be-10a6abe03b48","type":"LinearScale"},{"attributes":{},"id":"3c687032-6070-44de-bc46-c7913f624212","type":"PanTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"3c687032-6070-44de-bc46-c7913f624212","type":"PanTool"},{"id":"7cb219fd-aa4c-4799-8631-06f711b239f0","type":"WheelZoomTool"},{"id":"1ee0aa21-6bfa-4e5d-9429-e8930ae54d63","type":"BoxZoomTool"},{"id":"8b1138a8-dfe0-42fc-80f4-2c00920c5cec","type":"SaveTool"},{"id":"79725c62-0375-4dd5-96de-1c61b3745f68","type":"ResetTool"},{"id":"90c8c34a-a814-4a7d-82fe-1cbada02a1bd","type":"HelpTool"}]},"id":"c3742991-a159-465d-8058-96c4f483799f","type":"Toolbar"},{"attributes":{},"id":"90c8c34a-a814-4a7d-82fe-1cbada02a1bd","type":"HelpTool"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"screen","value":40},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"e0c4de6a-e557-4d9d-8044-ad07d0ced895","type":"Oval"},{"attributes":{"source":{"id":"f7db16a5-e737-40b7-bfc1-c630f9b227cd","type":"ColumnDataSource"}},"id":"c3eac15f-5486-44de-aaaf-e28260ba800c","type":"CDSView"},{"attributes":{},"id":"e730b39e-31f2-4227-8b54-101e86116ee2","type":"BasicTickFormatter"}],"root_ids":["996b1bed-1635-4620-b57c-682dc826bc86"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"3b1d2541-6fcc-42eb-850f-32676fbaafa0","elementid":"ab810c96-c8cb-47dc-a9a7-032f925903f2","modelid":"996b1bed-1635-4620-b57c-682dc826bc86"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
