(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("f31a123e-ffa1-411f-b5f9-9c8bbe1a8899");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'f31a123e-ffa1-411f-b5f9-9c8bbe1a8899' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"1f375e16-70d0-45ed-9453-6ed9c229e91e":{"roots":{"references":[{"attributes":{"formatter":{"id":"b5234646-b3cb-48bb-a11d-1d409d26bd5a","type":"BasicTickFormatter"},"plot":{"id":"a308d3da-a413-402b-a23f-847e023791d6","subtype":"Figure","type":"Plot"},"ticker":{"id":"076a1e14-deb8-4d83-9434-043d42237368","type":"BasicTicker"}},"id":"cfd1b841-deda-49f0-846b-b6e37ec0b867","type":"LinearAxis"},{"attributes":{},"id":"88c9afc0-ea63-4358-b831-ceeff9d1e48a","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"60ee4f73-9c3a-4f80-8d21-29669b0d1152","type":"BasicTickFormatter"},"plot":{"id":"a308d3da-a413-402b-a23f-847e023791d6","subtype":"Figure","type":"Plot"},"ticker":{"id":"43091d60-8096-4a13-bcbf-1014354a9784","type":"BasicTicker"}},"id":"c45170fb-4fb6-47d4-aff8-fc7b7e6bb401","type":"LinearAxis"},{"attributes":{"end_angle":{"units":"rad","value":4.8},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.1},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"b20f51e6-c583-4826-9bbf-47099d7b4632","type":"Arc"},{"attributes":{},"id":"e045f445-0406-4be1-a802-cd6b092ab729","type":"HelpTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"545b3428-00fd-45de-9039-722162adf62e","type":"BoxAnnotation"},{"attributes":{},"id":"b17e3ab7-f5fa-4efa-9f8b-07436e632c0d","type":"LinearScale"},{"attributes":{"end_angle":{"units":"rad","value":4.8},"line_color":{"value":"navy"},"radius":{"units":"data","value":0.1},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"d6979eb4-b937-45c9-96ca-ad8ab83de6ce","type":"Arc"},{"attributes":{"source":{"id":"fd92b573-97d9-48b8-a76d-01b64936d505","type":"ColumnDataSource"}},"id":"4afcbb6f-2d63-41c6-9fdf-3cb58ba06159","type":"CDSView"},{"attributes":{},"id":"1e58eb4a-3d64-469e-8bb8-d2a6488f3d2a","type":"LinearScale"},{"attributes":{"below":[{"id":"cfd1b841-deda-49f0-846b-b6e37ec0b867","type":"LinearAxis"}],"left":[{"id":"c45170fb-4fb6-47d4-aff8-fc7b7e6bb401","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"cfd1b841-deda-49f0-846b-b6e37ec0b867","type":"LinearAxis"},{"id":"2a2fce47-7188-41a5-93a0-9d98c61a1b5d","type":"Grid"},{"id":"c45170fb-4fb6-47d4-aff8-fc7b7e6bb401","type":"LinearAxis"},{"id":"26d0feb2-dc2f-4f9d-a875-1ca23798f019","type":"Grid"},{"id":"545b3428-00fd-45de-9039-722162adf62e","type":"BoxAnnotation"},{"id":"6f13d917-e25d-4d6a-b548-f085eb529cbb","type":"GlyphRenderer"}],"title":{"id":"0178806b-0c60-44d5-a660-a80024c5c1b0","type":"Title"},"toolbar":{"id":"59dcaad4-255a-430f-84b1-3c6d8cfae700","type":"Toolbar"},"x_range":{"id":"ffe2f046-a027-41bb-a4f5-704b402a3dda","type":"DataRange1d"},"x_scale":{"id":"1e58eb4a-3d64-469e-8bb8-d2a6488f3d2a","type":"LinearScale"},"y_range":{"id":"fa212cef-7c10-4c36-997b-7f8e75e63399","type":"DataRange1d"},"y_scale":{"id":"b17e3ab7-f5fa-4efa-9f8b-07436e632c0d","type":"LinearScale"}},"id":"a308d3da-a413-402b-a23f-847e023791d6","subtype":"Figure","type":"Plot"},{"attributes":{"dimension":1,"plot":{"id":"a308d3da-a413-402b-a23f-847e023791d6","subtype":"Figure","type":"Plot"},"ticker":{"id":"43091d60-8096-4a13-bcbf-1014354a9784","type":"BasicTicker"}},"id":"26d0feb2-dc2f-4f9d-a875-1ca23798f019","type":"Grid"},{"attributes":{},"id":"5ca4ed76-c7e8-4566-a641-2f00b6954a3d","type":"PanTool"},{"attributes":{"callback":null},"id":"ffe2f046-a027-41bb-a4f5-704b402a3dda","type":"DataRange1d"},{"attributes":{},"id":"b5234646-b3cb-48bb-a11d-1d409d26bd5a","type":"BasicTickFormatter"},{"attributes":{},"id":"076a1e14-deb8-4d83-9434-043d42237368","type":"BasicTicker"},{"attributes":{"data_source":{"id":"fd92b573-97d9-48b8-a76d-01b64936d505","type":"ColumnDataSource"},"glyph":{"id":"d6979eb4-b937-45c9-96ca-ad8ab83de6ce","type":"Arc"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b20f51e6-c583-4826-9bbf-47099d7b4632","type":"Arc"},"selection_glyph":null,"view":{"id":"4afcbb6f-2d63-41c6-9fdf-3cb58ba06159","type":"CDSView"}},"id":"6f13d917-e25d-4d6a-b548-f085eb529cbb","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"a308d3da-a413-402b-a23f-847e023791d6","subtype":"Figure","type":"Plot"},"ticker":{"id":"076a1e14-deb8-4d83-9434-043d42237368","type":"BasicTicker"}},"id":"2a2fce47-7188-41a5-93a0-9d98c61a1b5d","type":"Grid"},{"attributes":{"callback":null},"id":"fa212cef-7c10-4c36-997b-7f8e75e63399","type":"DataRange1d"},{"attributes":{"overlay":{"id":"545b3428-00fd-45de-9039-722162adf62e","type":"BoxAnnotation"}},"id":"a3446d75-6576-4f44-82ae-859f7205ebd7","type":"BoxZoomTool"},{"attributes":{},"id":"60ee4f73-9c3a-4f80-8d21-29669b0d1152","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"fd92b573-97d9-48b8-a76d-01b64936d505","type":"ColumnDataSource"},{"attributes":{"plot":null,"text":""},"id":"0178806b-0c60-44d5-a660-a80024c5c1b0","type":"Title"},{"attributes":{},"id":"43091d60-8096-4a13-bcbf-1014354a9784","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"5ca4ed76-c7e8-4566-a641-2f00b6954a3d","type":"PanTool"},{"id":"88c9afc0-ea63-4358-b831-ceeff9d1e48a","type":"WheelZoomTool"},{"id":"a3446d75-6576-4f44-82ae-859f7205ebd7","type":"BoxZoomTool"},{"id":"8abbe98e-9e97-44e3-aa65-6a9beb2c7b96","type":"SaveTool"},{"id":"57089c52-3d4e-4a25-a604-d27e9046104a","type":"ResetTool"},{"id":"e045f445-0406-4be1-a802-cd6b092ab729","type":"HelpTool"}]},"id":"59dcaad4-255a-430f-84b1-3c6d8cfae700","type":"Toolbar"},{"attributes":{},"id":"57089c52-3d4e-4a25-a604-d27e9046104a","type":"ResetTool"},{"attributes":{},"id":"8abbe98e-9e97-44e3-aa65-6a9beb2c7b96","type":"SaveTool"}],"root_ids":["a308d3da-a413-402b-a23f-847e023791d6"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"1f375e16-70d0-45ed-9453-6ed9c229e91e","elementid":"f31a123e-ffa1-411f-b5f9-9c8bbe1a8899","modelid":"a308d3da-a413-402b-a23f-847e023791d6"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
