(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("916a6826-3bb0-4e92-b2c9-44f03fad756f");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '916a6826-3bb0-4e92-b2c9-44f03fad756f' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"4056d06a-20c6-4f42-8cca-d2f31fa650f1":{"roots":{"references":[{"attributes":{"end_angle":{"units":"rad","value":4.8},"fill_alpha":{"value":0.6},"fill_color":{"value":"green"},"inner_radius":{"units":"data","value":0.1},"line_alpha":{"value":0.6},"line_color":{"value":"green"},"outer_radius":{"units":"data","value":0.25},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"5014609e-2e4a-41a6-9322-6fbae49283ac","type":"AnnularWedge"},{"attributes":{},"id":"11de1b46-ad81-455c-bd9f-ef90e30cf42b","type":"BasicTicker"},{"attributes":{},"id":"c0d6aa0b-190d-4311-ada1-53c83ce13de7","type":"PanTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c0d6aa0b-190d-4311-ada1-53c83ce13de7","type":"PanTool"},{"id":"335d540c-1c0c-4af8-a407-4b2566634f9e","type":"WheelZoomTool"},{"id":"248631b0-a1d4-49ea-b177-5d76c1d46762","type":"BoxZoomTool"},{"id":"64be13f4-c104-4989-b19e-2c06bc320401","type":"SaveTool"},{"id":"05e7638d-d554-47b0-9e95-ccc777f31a76","type":"ResetTool"},{"id":"200dfbcf-ffed-45b1-9120-08ec69aafe5d","type":"HelpTool"}]},"id":"b3873161-9820-4dd7-ab2b-138f27b69643","type":"Toolbar"},{"attributes":{"plot":{"id":"366310cf-c200-4f7c-a29b-31849c3cb8b0","subtype":"Figure","type":"Plot"},"ticker":{"id":"dac9946a-e708-4e69-a7dc-b6433b1040e0","type":"BasicTicker"}},"id":"7f2fde25-93a1-4a35-8751-e7d92cab7d24","type":"Grid"},{"attributes":{},"id":"200dfbcf-ffed-45b1-9120-08ec69aafe5d","type":"HelpTool"},{"attributes":{},"id":"f702a333-462a-44c2-b3b0-78c6777dce84","type":"BasicTickFormatter"},{"attributes":{},"id":"dac9946a-e708-4e69-a7dc-b6433b1040e0","type":"BasicTicker"},{"attributes":{},"id":"1cb48bd4-d837-45b8-8ffa-aaa7765fb0df","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"472825ff-6008-47a7-b138-49557ebdab58","type":"DataRange1d"},{"attributes":{},"id":"64be13f4-c104-4989-b19e-2c06bc320401","type":"SaveTool"},{"attributes":{},"id":"05e7638d-d554-47b0-9e95-ccc777f31a76","type":"ResetTool"},{"attributes":{},"id":"6dbacb28-26bd-47fe-904b-b0bac17f2279","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"2f109655-bcff-43e1-bc0c-b817ff91058b","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"f7183074-ddf9-42b0-91c4-55e586cd8ff7","type":"DataRange1d"},{"attributes":{"formatter":{"id":"f702a333-462a-44c2-b3b0-78c6777dce84","type":"BasicTickFormatter"},"plot":{"id":"366310cf-c200-4f7c-a29b-31849c3cb8b0","subtype":"Figure","type":"Plot"},"ticker":{"id":"dac9946a-e708-4e69-a7dc-b6433b1040e0","type":"BasicTicker"}},"id":"25325c19-d0e2-4f48-ba0b-bf07c73344cc","type":"LinearAxis"},{"attributes":{"end_angle":{"units":"rad","value":4.8},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"inner_radius":{"units":"data","value":0.1},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"outer_radius":{"units":"data","value":0.25},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"b1345d34-90cb-41b8-87fb-a71325840064","type":"AnnularWedge"},{"attributes":{"source":{"id":"2f109655-bcff-43e1-bc0c-b817ff91058b","type":"ColumnDataSource"}},"id":"5985b895-26be-4823-a084-295de061e6a2","type":"CDSView"},{"attributes":{"overlay":{"id":"cad9928d-b549-4dc1-93f8-64992644b40d","type":"BoxAnnotation"}},"id":"248631b0-a1d4-49ea-b177-5d76c1d46762","type":"BoxZoomTool"},{"attributes":{"plot":null,"text":""},"id":"02893d56-6f08-4c6b-9745-6f0849128470","type":"Title"},{"attributes":{},"id":"335d540c-1c0c-4af8-a407-4b2566634f9e","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"1cb48bd4-d837-45b8-8ffa-aaa7765fb0df","type":"BasicTickFormatter"},"plot":{"id":"366310cf-c200-4f7c-a29b-31849c3cb8b0","subtype":"Figure","type":"Plot"},"ticker":{"id":"11de1b46-ad81-455c-bd9f-ef90e30cf42b","type":"BasicTicker"}},"id":"fa30099d-aa91-4452-b61e-f3eca76ba69a","type":"LinearAxis"},{"attributes":{},"id":"7297a636-f218-487c-a804-8ef1f8c28828","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"366310cf-c200-4f7c-a29b-31849c3cb8b0","subtype":"Figure","type":"Plot"},"ticker":{"id":"11de1b46-ad81-455c-bd9f-ef90e30cf42b","type":"BasicTicker"}},"id":"189f299e-b635-4fc2-9c19-28a873cb1091","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"cad9928d-b549-4dc1-93f8-64992644b40d","type":"BoxAnnotation"},{"attributes":{"below":[{"id":"25325c19-d0e2-4f48-ba0b-bf07c73344cc","type":"LinearAxis"}],"left":[{"id":"fa30099d-aa91-4452-b61e-f3eca76ba69a","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"25325c19-d0e2-4f48-ba0b-bf07c73344cc","type":"LinearAxis"},{"id":"7f2fde25-93a1-4a35-8751-e7d92cab7d24","type":"Grid"},{"id":"fa30099d-aa91-4452-b61e-f3eca76ba69a","type":"LinearAxis"},{"id":"189f299e-b635-4fc2-9c19-28a873cb1091","type":"Grid"},{"id":"cad9928d-b549-4dc1-93f8-64992644b40d","type":"BoxAnnotation"},{"id":"13573145-a76b-4cda-89e1-0758564b5319","type":"GlyphRenderer"}],"title":{"id":"02893d56-6f08-4c6b-9745-6f0849128470","type":"Title"},"toolbar":{"id":"b3873161-9820-4dd7-ab2b-138f27b69643","type":"Toolbar"},"x_range":{"id":"f7183074-ddf9-42b0-91c4-55e586cd8ff7","type":"DataRange1d"},"x_scale":{"id":"7297a636-f218-487c-a804-8ef1f8c28828","type":"LinearScale"},"y_range":{"id":"472825ff-6008-47a7-b138-49557ebdab58","type":"DataRange1d"},"y_scale":{"id":"6dbacb28-26bd-47fe-904b-b0bac17f2279","type":"LinearScale"}},"id":"366310cf-c200-4f7c-a29b-31849c3cb8b0","subtype":"Figure","type":"Plot"},{"attributes":{"data_source":{"id":"2f109655-bcff-43e1-bc0c-b817ff91058b","type":"ColumnDataSource"},"glyph":{"id":"5014609e-2e4a-41a6-9322-6fbae49283ac","type":"AnnularWedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b1345d34-90cb-41b8-87fb-a71325840064","type":"AnnularWedge"},"selection_glyph":null,"view":{"id":"5985b895-26be-4823-a084-295de061e6a2","type":"CDSView"}},"id":"13573145-a76b-4cda-89e1-0758564b5319","type":"GlyphRenderer"}],"root_ids":["366310cf-c200-4f7c-a29b-31849c3cb8b0"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"4056d06a-20c6-4f42-8cca-d2f31fa650f1","elementid":"916a6826-3bb0-4e92-b2c9-44f03fad756f","modelid":"366310cf-c200-4f7c-a29b-31849c3cb8b0"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
