(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("597b7607-cd32-451c-a699-25baf5c61aa6");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '597b7607-cd32-451c-a699-25baf5c61aa6' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"9b65f2f4-dc80-454f-bd1a-845e81b9f4ce":{"roots":{"references":[{"attributes":{"callback":null},"id":"48e16d59-1502-49d3-bf9b-257bbe4cdd7b","type":"DataRange1d"},{"attributes":{},"id":"be962ac6-a047-4603-a32c-734453480e9e","type":"SaveTool"},{"attributes":{},"id":"170f795e-deeb-416b-be4a-86cf6020059b","type":"BasicTicker"},{"attributes":{"source":{"id":"40e64f23-389d-4eb9-bd89-72ddb02c5a22","type":"ColumnDataSource"}},"id":"c62c1e51-e495-48f4-a826-5917dc0e9e60","type":"CDSView"},{"attributes":{},"id":"8985e5c7-6fab-4e8b-a229-6a9be554d1cb","type":"WheelZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"ef2aacfc-293b-4a59-a4dd-9b98ca024bf4","type":"BoxAnnotation"},{"attributes":{"plot":{"id":"b96ad4c9-96cd-4908-a77f-cd614577ae77","subtype":"Figure","type":"Plot"},"ticker":{"id":"1af4f270-31e2-43fa-a13f-8c05bbcbd6cc","type":"BasicTicker"}},"id":"fbde461e-b697-49ae-a693-702262943e71","type":"Grid"},{"attributes":{"below":[{"id":"da530f07-2d40-40a2-a0ae-a573717875d7","type":"LinearAxis"}],"left":[{"id":"09304960-a8b0-40ca-849a-97c03364d52c","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"da530f07-2d40-40a2-a0ae-a573717875d7","type":"LinearAxis"},{"id":"fbde461e-b697-49ae-a693-702262943e71","type":"Grid"},{"id":"09304960-a8b0-40ca-849a-97c03364d52c","type":"LinearAxis"},{"id":"76b720ab-90f2-4a67-8eff-77a6cf83749b","type":"Grid"},{"id":"ef2aacfc-293b-4a59-a4dd-9b98ca024bf4","type":"BoxAnnotation"},{"id":"471bd784-2b0e-4fac-8111-3d71f4983f47","type":"GlyphRenderer"}],"title":{"id":"4d34c095-d729-4e51-b052-379e72580462","type":"Title"},"toolbar":{"id":"28b8b0c1-0ed3-4a96-9457-c0f999d03309","type":"Toolbar"},"x_range":{"id":"48e16d59-1502-49d3-bf9b-257bbe4cdd7b","type":"DataRange1d"},"x_scale":{"id":"c5c4def8-43a5-43ed-a9ab-7dbb2325bf34","type":"LinearScale"},"y_range":{"id":"f9b031e6-4a73-4437-9b8a-331d8adbb148","type":"DataRange1d"},"y_scale":{"id":"d9741bae-b777-4ebf-9500-3125afd95d81","type":"LinearScale"}},"id":"b96ad4c9-96cd-4908-a77f-cd614577ae77","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"3c4799a6-9835-4a61-ae6c-570f12485053","type":"BasicTickFormatter"},"plot":{"id":"b96ad4c9-96cd-4908-a77f-cd614577ae77","subtype":"Figure","type":"Plot"},"ticker":{"id":"170f795e-deeb-416b-be4a-86cf6020059b","type":"BasicTicker"}},"id":"09304960-a8b0-40ca-849a-97c03364d52c","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"b96ad4c9-96cd-4908-a77f-cd614577ae77","subtype":"Figure","type":"Plot"},"ticker":{"id":"170f795e-deeb-416b-be4a-86cf6020059b","type":"BasicTicker"}},"id":"76b720ab-90f2-4a67-8eff-77a6cf83749b","type":"Grid"},{"attributes":{"formatter":{"id":"0b5c0743-fa29-4e39-a330-9ca6d60ff3c7","type":"BasicTickFormatter"},"plot":{"id":"b96ad4c9-96cd-4908-a77f-cd614577ae77","subtype":"Figure","type":"Plot"},"ticker":{"id":"1af4f270-31e2-43fa-a13f-8c05bbcbd6cc","type":"BasicTicker"}},"id":"da530f07-2d40-40a2-a0ae-a573717875d7","type":"LinearAxis"},{"attributes":{},"id":"1af4f270-31e2-43fa-a13f-8c05bbcbd6cc","type":"BasicTicker"},{"attributes":{},"id":"3c4799a6-9835-4a61-ae6c-570f12485053","type":"BasicTickFormatter"},{"attributes":{},"id":"0b5c0743-fa29-4e39-a330-9ca6d60ff3c7","type":"BasicTickFormatter"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"ffa035f4-a09d-4cb0-8748-410e2fc2a96a","type":"Line"},{"attributes":{},"id":"75165c8f-6ffa-45b7-9a8d-55bb46b9e767","type":"ResetTool"},{"attributes":{"plot":null,"text":""},"id":"4d34c095-d729-4e51-b052-379e72580462","type":"Title"},{"attributes":{},"id":"4b4e20ee-ab54-45e8-b0fd-f24a0f673f07","type":"HelpTool"},{"attributes":{},"id":"d9741bae-b777-4ebf-9500-3125afd95d81","type":"LinearScale"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"3b93ba57-0cd0-4f91-a820-82b518aa09ff","type":"Line"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"40e64f23-389d-4eb9-bd89-72ddb02c5a22","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"40e64f23-389d-4eb9-bd89-72ddb02c5a22","type":"ColumnDataSource"},"glyph":{"id":"ffa035f4-a09d-4cb0-8748-410e2fc2a96a","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"3b93ba57-0cd0-4f91-a820-82b518aa09ff","type":"Line"},"selection_glyph":null,"view":{"id":"c62c1e51-e495-48f4-a826-5917dc0e9e60","type":"CDSView"}},"id":"471bd784-2b0e-4fac-8111-3d71f4983f47","type":"GlyphRenderer"},{"attributes":{},"id":"c5c4def8-43a5-43ed-a9ab-7dbb2325bf34","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"db41a0fd-5bd3-403b-8fa8-e298e704a544","type":"PanTool"},{"id":"8985e5c7-6fab-4e8b-a229-6a9be554d1cb","type":"WheelZoomTool"},{"id":"7cfc3f1a-0f40-4f7c-9e96-8a8ccaa12e98","type":"BoxZoomTool"},{"id":"be962ac6-a047-4603-a32c-734453480e9e","type":"SaveTool"},{"id":"75165c8f-6ffa-45b7-9a8d-55bb46b9e767","type":"ResetTool"},{"id":"4b4e20ee-ab54-45e8-b0fd-f24a0f673f07","type":"HelpTool"}]},"id":"28b8b0c1-0ed3-4a96-9457-c0f999d03309","type":"Toolbar"},{"attributes":{"callback":null},"id":"f9b031e6-4a73-4437-9b8a-331d8adbb148","type":"DataRange1d"},{"attributes":{},"id":"db41a0fd-5bd3-403b-8fa8-e298e704a544","type":"PanTool"},{"attributes":{"overlay":{"id":"ef2aacfc-293b-4a59-a4dd-9b98ca024bf4","type":"BoxAnnotation"}},"id":"7cfc3f1a-0f40-4f7c-9e96-8a8ccaa12e98","type":"BoxZoomTool"}],"root_ids":["b96ad4c9-96cd-4908-a77f-cd614577ae77"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"9b65f2f4-dc80-454f-bd1a-845e81b9f4ce","elementid":"597b7607-cd32-451c-a699-25baf5c61aa6","modelid":"b96ad4c9-96cd-4908-a77f-cd614577ae77"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
