(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a00e933b-a0c8-4768-9509-cb6252286530");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a00e933b-a0c8-4768-9509-cb6252286530' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"17f864bd-4c97-4def-bb68-5aa9f74cd304":{"roots":{"references":[{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"inner_radius":{"units":"data","value":0.1},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"outer_radius":{"units":"data","value":0.25},"x":{"field":"x"},"y":{"field":"y"}},"id":"8dca3107-f116-4803-a7f0-67a187439a5f","type":"Annulus"},{"attributes":{},"id":"02a2fcb1-edd5-43c8-a245-18a13ccd1670","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"090c2a68-e59f-4d73-8d1a-9813c7b34263","type":"BasicTickFormatter"},"plot":{"id":"90cac167-987e-4f1c-bf40-34f4b5024ab6","subtype":"Figure","type":"Plot"},"ticker":{"id":"7ed09122-c538-4ca5-83fe-6f2fd18619bc","type":"BasicTicker"}},"id":"74f202ac-d434-4fa7-a580-a16a834f88ce","type":"LinearAxis"},{"attributes":{"below":[{"id":"91a19008-092e-4897-9fa0-ec6fc758c168","type":"LinearAxis"}],"left":[{"id":"74f202ac-d434-4fa7-a580-a16a834f88ce","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"91a19008-092e-4897-9fa0-ec6fc758c168","type":"LinearAxis"},{"id":"22d4dca7-555b-4a47-aef8-e855cf68108b","type":"Grid"},{"id":"74f202ac-d434-4fa7-a580-a16a834f88ce","type":"LinearAxis"},{"id":"72489d29-4d26-4e2b-9486-edd5263bdc3d","type":"Grid"},{"id":"3340f5e4-e203-4b63-88b9-c59938e4b661","type":"BoxAnnotation"},{"id":"80e98f23-7319-4fa6-9a5f-f386f25292d0","type":"GlyphRenderer"}],"title":{"id":"403b9f2f-8234-4e6f-9063-7e3dba751d32","type":"Title"},"toolbar":{"id":"32c08ba3-097e-41d1-ad23-339db40cfe86","type":"Toolbar"},"x_range":{"id":"a56ba918-37f0-4bbc-a76f-022b4db0a887","type":"DataRange1d"},"x_scale":{"id":"0bb61be0-3440-4c76-9593-381a603645c6","type":"LinearScale"},"y_range":{"id":"f4ec8ca2-857c-4a8f-8b8a-6dfe75fff25f","type":"DataRange1d"},"y_scale":{"id":"15607330-fa91-4bf2-8e27-5444e2d6a0cf","type":"LinearScale"}},"id":"90cac167-987e-4f1c-bf40-34f4b5024ab6","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"e7c4caaf-a807-47bc-ae5f-aee69f7e6586","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"90cac167-987e-4f1c-bf40-34f4b5024ab6","subtype":"Figure","type":"Plot"},"ticker":{"id":"7ed09122-c538-4ca5-83fe-6f2fd18619bc","type":"BasicTicker"}},"id":"72489d29-4d26-4e2b-9486-edd5263bdc3d","type":"Grid"},{"attributes":{"source":{"id":"e7c4caaf-a807-47bc-ae5f-aee69f7e6586","type":"ColumnDataSource"}},"id":"ae492715-6c4e-4cfb-9ac2-034722afeff4","type":"CDSView"},{"attributes":{},"id":"15607330-fa91-4bf2-8e27-5444e2d6a0cf","type":"LinearScale"},{"attributes":{},"id":"22d843c7-a247-420d-be13-e53db7e62a97","type":"ResetTool"},{"attributes":{"formatter":{"id":"93d3bad8-b083-42b5-bb56-8dc4e59eed4c","type":"BasicTickFormatter"},"plot":{"id":"90cac167-987e-4f1c-bf40-34f4b5024ab6","subtype":"Figure","type":"Plot"},"ticker":{"id":"1441cc30-d55f-4935-8a53-c70b7eea9197","type":"BasicTicker"}},"id":"91a19008-092e-4897-9fa0-ec6fc758c168","type":"LinearAxis"},{"attributes":{},"id":"090c2a68-e59f-4d73-8d1a-9813c7b34263","type":"BasicTickFormatter"},{"attributes":{},"id":"1441cc30-d55f-4935-8a53-c70b7eea9197","type":"BasicTicker"},{"attributes":{},"id":"7ed09122-c538-4ca5-83fe-6f2fd18619bc","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"403b9f2f-8234-4e6f-9063-7e3dba751d32","type":"Title"},{"attributes":{},"id":"7476255c-5118-4d92-b114-4a580e473bfb","type":"SaveTool"},{"attributes":{},"id":"0bb61be0-3440-4c76-9593-381a603645c6","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"1fbbba9f-b422-4dab-99d6-88fadb0fc437","type":"PanTool"},{"id":"02a2fcb1-edd5-43c8-a245-18a13ccd1670","type":"WheelZoomTool"},{"id":"7c7562bf-4de2-448e-bd5c-8a32e2af75d5","type":"BoxZoomTool"},{"id":"7476255c-5118-4d92-b114-4a580e473bfb","type":"SaveTool"},{"id":"22d843c7-a247-420d-be13-e53db7e62a97","type":"ResetTool"},{"id":"b5de7da8-5cd1-40bb-be77-7eb68d6b8efe","type":"HelpTool"}]},"id":"32c08ba3-097e-41d1-ad23-339db40cfe86","type":"Toolbar"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"3340f5e4-e203-4b63-88b9-c59938e4b661","type":"BoxAnnotation"},{"attributes":{"fill_alpha":{"value":0.6},"fill_color":{"value":"orange"},"inner_radius":{"units":"data","value":0.1},"line_alpha":{"value":0.6},"line_color":{"value":"orange"},"outer_radius":{"units":"data","value":0.25},"x":{"field":"x"},"y":{"field":"y"}},"id":"f91648df-f7d3-453a-990d-de3dee74cd16","type":"Annulus"},{"attributes":{"data_source":{"id":"e7c4caaf-a807-47bc-ae5f-aee69f7e6586","type":"ColumnDataSource"},"glyph":{"id":"f91648df-f7d3-453a-990d-de3dee74cd16","type":"Annulus"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"8dca3107-f116-4803-a7f0-67a187439a5f","type":"Annulus"},"selection_glyph":null,"view":{"id":"ae492715-6c4e-4cfb-9ac2-034722afeff4","type":"CDSView"}},"id":"80e98f23-7319-4fa6-9a5f-f386f25292d0","type":"GlyphRenderer"},{"attributes":{"overlay":{"id":"3340f5e4-e203-4b63-88b9-c59938e4b661","type":"BoxAnnotation"}},"id":"7c7562bf-4de2-448e-bd5c-8a32e2af75d5","type":"BoxZoomTool"},{"attributes":{"plot":{"id":"90cac167-987e-4f1c-bf40-34f4b5024ab6","subtype":"Figure","type":"Plot"},"ticker":{"id":"1441cc30-d55f-4935-8a53-c70b7eea9197","type":"BasicTicker"}},"id":"22d4dca7-555b-4a47-aef8-e855cf68108b","type":"Grid"},{"attributes":{"callback":null},"id":"a56ba918-37f0-4bbc-a76f-022b4db0a887","type":"DataRange1d"},{"attributes":{},"id":"b5de7da8-5cd1-40bb-be77-7eb68d6b8efe","type":"HelpTool"},{"attributes":{"callback":null},"id":"f4ec8ca2-857c-4a8f-8b8a-6dfe75fff25f","type":"DataRange1d"},{"attributes":{},"id":"1fbbba9f-b422-4dab-99d6-88fadb0fc437","type":"PanTool"},{"attributes":{},"id":"93d3bad8-b083-42b5-bb56-8dc4e59eed4c","type":"BasicTickFormatter"}],"root_ids":["90cac167-987e-4f1c-bf40-34f4b5024ab6"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"17f864bd-4c97-4def-bb68-5aa9f74cd304","elementid":"a00e933b-a0c8-4768-9509-cb6252286530","modelid":"90cac167-987e-4f1c-bf40-34f4b5024ab6"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
