(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("30ea9c2f-9764-466c-8f95-da58fa0b332f");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '30ea9c2f-9764-466c-8f95-da58fa0b332f' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"27e4910e-5594-44e3-9f67-67c259992896":{"roots":{"references":[{"attributes":{"plot":{"id":"0907b576-937b-4a2a-9e56-3328aa8582a1","subtype":"Figure","type":"Plot"},"ticker":{"id":"a439ca6d-646b-4361-8e6a-9c27f04dc61d","type":"BasicTicker"}},"id":"a2c30120-432a-40df-83fa-a755d44b022a","type":"Grid"},{"attributes":{},"id":"8f322672-18b0-4f29-a98a-f8786fbd0510","type":"LinearScale"},{"attributes":{},"id":"f6504d0a-9e34-425f-a6b2-2670656acab3","type":"BasicTicker"},{"attributes":{"callback":null},"id":"b3e682bb-4253-4b00-b09f-65fe36f18c6b","type":"DataRange1d"},{"attributes":{"data_source":{"id":"4c21702b-450f-4e0b-9844-4ba9f8f103b4","type":"ColumnDataSource"},"glyph":{"id":"0bbcd724-bb22-499a-a394-3d500957e46a","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"2c9d2c5d-adea-492c-96bc-3746bc99f2b9","type":"Line"},"selection_glyph":null,"view":{"id":"88c868b5-fbb8-44b0-a77c-19a4a702c530","type":"CDSView"}},"id":"f664d41c-4725-4130-a8bf-d003a168dc58","type":"GlyphRenderer"},{"attributes":{},"id":"9b9ca2b1-07a8-4761-b349-7285eba9a721","type":"HelpTool"},{"attributes":{},"id":"25bcfbc4-9d0f-4527-8347-d82763a271fe","type":"BasicTickFormatter"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"2c9d2c5d-adea-492c-96bc-3746bc99f2b9","type":"Line"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"d988659a-13ba-45c9-9c73-ebd9013433b7","type":"Circle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"e2a85ed1-cf80-4d98-aca5-319f397c9ced","type":"PanTool"},{"id":"9077b607-74f1-41b9-b064-a8dbcf3b26fb","type":"WheelZoomTool"},{"id":"5b5f1b0d-6ad3-4d3e-834e-310ec2905d1e","type":"BoxZoomTool"},{"id":"79430430-68c2-4934-8e7c-54b638cc59b4","type":"SaveTool"},{"id":"510446e0-6b06-48ee-bae6-5a6378f7cbd8","type":"ResetTool"},{"id":"9b9ca2b1-07a8-4761-b349-7285eba9a721","type":"HelpTool"}]},"id":"5fdc5da0-9b31-4c89-a1c6-71641052af8b","type":"Toolbar"},{"attributes":{"plot":null,"text":""},"id":"0a4a287c-ac40-4dd8-b2da-62fa363e9750","type":"Title"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,8,7,3]}},"id":"949932fa-5d6b-482c-9fe0-18d20d59c90b","type":"ColumnDataSource"},{"attributes":{"overlay":{"id":"51c4038b-053b-4b32-8264-fda798bb24a8","type":"BoxAnnotation"}},"id":"5b5f1b0d-6ad3-4d3e-834e-310ec2905d1e","type":"BoxZoomTool"},{"attributes":{},"id":"79430430-68c2-4934-8e7c-54b638cc59b4","type":"SaveTool"},{"attributes":{},"id":"9077b607-74f1-41b9-b064-a8dbcf3b26fb","type":"WheelZoomTool"},{"attributes":{"source":{"id":"949932fa-5d6b-482c-9fe0-18d20d59c90b","type":"ColumnDataSource"}},"id":"d71773d6-7ccc-4030-ba0d-9efd00cf7b0e","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"0907b576-937b-4a2a-9e56-3328aa8582a1","subtype":"Figure","type":"Plot"},"ticker":{"id":"f6504d0a-9e34-425f-a6b2-2670656acab3","type":"BasicTicker"}},"id":"c1096303-519e-4618-9303-c5face6e5e75","type":"Grid"},{"attributes":{},"id":"a439ca6d-646b-4361-8e6a-9c27f04dc61d","type":"BasicTicker"},{"attributes":{"formatter":{"id":"25bcfbc4-9d0f-4527-8347-d82763a271fe","type":"BasicTickFormatter"},"plot":{"id":"0907b576-937b-4a2a-9e56-3328aa8582a1","subtype":"Figure","type":"Plot"},"ticker":{"id":"f6504d0a-9e34-425f-a6b2-2670656acab3","type":"BasicTicker"}},"id":"7a4f57a2-84e4-4069-95f7-3a07f25ea31f","type":"LinearAxis"},{"attributes":{"callback":null},"id":"35011de3-15ac-41ce-9df2-8decf68397d9","type":"DataRange1d"},{"attributes":{},"id":"2db69eb9-c639-4c96-82d0-73f19163e0d7","type":"LinearScale"},{"attributes":{},"id":"510446e0-6b06-48ee-bae6-5a6378f7cbd8","type":"ResetTool"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"0bbcd724-bb22-499a-a394-3d500957e46a","type":"Line"},{"attributes":{"fill_color":{"value":"white"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"2d29e95e-abea-45fb-8406-2a2a3e6f34ab","type":"Circle"},{"attributes":{"data_source":{"id":"949932fa-5d6b-482c-9fe0-18d20d59c90b","type":"ColumnDataSource"},"glyph":{"id":"2d29e95e-abea-45fb-8406-2a2a3e6f34ab","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"d988659a-13ba-45c9-9c73-ebd9013433b7","type":"Circle"},"selection_glyph":null,"view":{"id":"d71773d6-7ccc-4030-ba0d-9efd00cf7b0e","type":"CDSView"}},"id":"1e685d54-2f38-4092-843e-7f882401fc65","type":"GlyphRenderer"},{"attributes":{},"id":"4309fcd8-4eca-48b5-8fc1-de7a510c777a","type":"BasicTickFormatter"},{"attributes":{},"id":"e2a85ed1-cf80-4d98-aca5-319f397c9ced","type":"PanTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,8,7,3]}},"id":"4c21702b-450f-4e0b-9844-4ba9f8f103b4","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"4309fcd8-4eca-48b5-8fc1-de7a510c777a","type":"BasicTickFormatter"},"plot":{"id":"0907b576-937b-4a2a-9e56-3328aa8582a1","subtype":"Figure","type":"Plot"},"ticker":{"id":"a439ca6d-646b-4361-8e6a-9c27f04dc61d","type":"BasicTicker"}},"id":"6a887ac3-82ff-4d66-842f-762e49156ba7","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"51c4038b-053b-4b32-8264-fda798bb24a8","type":"BoxAnnotation"},{"attributes":{"below":[{"id":"6a887ac3-82ff-4d66-842f-762e49156ba7","type":"LinearAxis"}],"left":[{"id":"7a4f57a2-84e4-4069-95f7-3a07f25ea31f","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"6a887ac3-82ff-4d66-842f-762e49156ba7","type":"LinearAxis"},{"id":"a2c30120-432a-40df-83fa-a755d44b022a","type":"Grid"},{"id":"7a4f57a2-84e4-4069-95f7-3a07f25ea31f","type":"LinearAxis"},{"id":"c1096303-519e-4618-9303-c5face6e5e75","type":"Grid"},{"id":"51c4038b-053b-4b32-8264-fda798bb24a8","type":"BoxAnnotation"},{"id":"f664d41c-4725-4130-a8bf-d003a168dc58","type":"GlyphRenderer"},{"id":"1e685d54-2f38-4092-843e-7f882401fc65","type":"GlyphRenderer"}],"title":{"id":"0a4a287c-ac40-4dd8-b2da-62fa363e9750","type":"Title"},"toolbar":{"id":"5fdc5da0-9b31-4c89-a1c6-71641052af8b","type":"Toolbar"},"x_range":{"id":"b3e682bb-4253-4b00-b09f-65fe36f18c6b","type":"DataRange1d"},"x_scale":{"id":"2db69eb9-c639-4c96-82d0-73f19163e0d7","type":"LinearScale"},"y_range":{"id":"35011de3-15ac-41ce-9df2-8decf68397d9","type":"DataRange1d"},"y_scale":{"id":"8f322672-18b0-4f29-a98a-f8786fbd0510","type":"LinearScale"}},"id":"0907b576-937b-4a2a-9e56-3328aa8582a1","subtype":"Figure","type":"Plot"},{"attributes":{"source":{"id":"4c21702b-450f-4e0b-9844-4ba9f8f103b4","type":"ColumnDataSource"}},"id":"88c868b5-fbb8-44b0-a77c-19a4a702c530","type":"CDSView"}],"root_ids":["0907b576-937b-4a2a-9e56-3328aa8582a1"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"27e4910e-5594-44e3-9f67-67c259992896","elementid":"30ea9c2f-9764-466c-8f95-da58fa0b332f","modelid":"0907b576-937b-4a2a-9e56-3328aa8582a1"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
