(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b30650cc-8a16-4b92-99a8-1e9712710fc0");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b30650cc-8a16-4b92-99a8-1e9712710fc0' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"98ee56f6-f800-4b80-bf2d-5f9a14cd6026":{"roots":{"references":[{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"5585374f-4115-403c-b777-e36879895265","type":"ColumnDataSource"},{"attributes":{},"id":"fdbe72b3-c89d-427b-9ea5-8d22c1d14dee","type":"LinearScale"},{"attributes":{},"id":"f163d1c6-3547-44b4-9445-9fe6ae2eebb0","type":"WheelZoomTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"d3b468bf-03b8-493b-ac4d-cb77592345dd","type":"Circle"},{"attributes":{},"id":"46447532-05a1-44ea-9858-b3cb730dd683","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"be0367dd-aae6-4291-a66d-fcf2635ee3be","type":"BoxAnnotation"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"1a8055ee-88b0-4420-9ae7-9e3c4a904267","type":"PanTool"},{"id":"f163d1c6-3547-44b4-9445-9fe6ae2eebb0","type":"WheelZoomTool"},{"id":"38b1a938-f8fe-4613-a63b-4906105bcdc6","type":"BoxZoomTool"},{"id":"56f7531d-3090-4b68-9158-f4a78ef20e8e","type":"SaveTool"},{"id":"d4376e29-0df1-4319-94d2-f2d088860e51","type":"ResetTool"},{"id":"be4e2a0d-0427-4078-bcab-05d23b4e2a9e","type":"HelpTool"}]},"id":"fdfa2c66-c1fa-4af6-853c-03da158ac14c","type":"Toolbar"},{"attributes":{},"id":"cb816749-ef6c-4bc9-95de-074917dbde60","type":"BasicTicker"},{"attributes":{"source":{"id":"5585374f-4115-403c-b777-e36879895265","type":"ColumnDataSource"}},"id":"9cced016-7799-4f64-ba8f-9c1a2bbb1146","type":"CDSView"},{"attributes":{"below":[{"id":"d8372edc-a4bb-4463-841c-54a3c52be7fe","type":"LinearAxis"}],"left":[{"id":"db9cfa38-c97b-4e3d-8dc9-3e75c414dae4","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"d8372edc-a4bb-4463-841c-54a3c52be7fe","type":"LinearAxis"},{"id":"92f89f70-3547-4753-9317-81ebbb183f60","type":"Grid"},{"id":"db9cfa38-c97b-4e3d-8dc9-3e75c414dae4","type":"LinearAxis"},{"id":"676b9181-70a5-45f1-92c7-d79447751d4e","type":"Grid"},{"id":"be0367dd-aae6-4291-a66d-fcf2635ee3be","type":"BoxAnnotation"},{"id":"7d384b7e-d1a9-44cc-b7a8-651165c99475","type":"GlyphRenderer"}],"title":{"id":"e8b05ecb-c571-40a8-92c3-c8bc6f9e2f99","type":"Title"},"toolbar":{"id":"fdfa2c66-c1fa-4af6-853c-03da158ac14c","type":"Toolbar"},"x_range":{"id":"284d53e2-5def-4b61-a4e2-c21666e7f506","type":"Range1d"},"x_scale":{"id":"46447532-05a1-44ea-9858-b3cb730dd683","type":"LinearScale"},"y_range":{"id":"f79d6824-fbcd-4432-872e-0afa3d475879","type":"Range1d"},"y_scale":{"id":"fdbe72b3-c89d-427b-9ea5-8d22c1d14dee","type":"LinearScale"}},"id":"10bc6420-5572-488a-9be2-1d597b4a6ac5","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"c78b586a-5d5d-48ae-9b4d-c231740a629a","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"e8b05ecb-c571-40a8-92c3-c8bc6f9e2f99","type":"Title"},{"attributes":{},"id":"1a8055ee-88b0-4420-9ae7-9e3c4a904267","type":"PanTool"},{"attributes":{"plot":{"id":"10bc6420-5572-488a-9be2-1d597b4a6ac5","subtype":"Figure","type":"Plot"},"ticker":{"id":"cb816749-ef6c-4bc9-95de-074917dbde60","type":"BasicTicker"}},"id":"92f89f70-3547-4753-9317-81ebbb183f60","type":"Grid"},{"attributes":{"callback":null,"end":15},"id":"f79d6824-fbcd-4432-872e-0afa3d475879","type":"Range1d"},{"attributes":{"data_source":{"id":"5585374f-4115-403c-b777-e36879895265","type":"ColumnDataSource"},"glyph":{"id":"6fa79d7d-e4a7-414e-8806-5bdf8d6575dc","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"d3b468bf-03b8-493b-ac4d-cb77592345dd","type":"Circle"},"selection_glyph":null,"view":{"id":"9cced016-7799-4f64-ba8f-9c1a2bbb1146","type":"CDSView"}},"id":"7d384b7e-d1a9-44cc-b7a8-651165c99475","type":"GlyphRenderer"},{"attributes":{},"id":"d4376e29-0df1-4319-94d2-f2d088860e51","type":"ResetTool"},{"attributes":{"dimension":1,"plot":{"id":"10bc6420-5572-488a-9be2-1d597b4a6ac5","subtype":"Figure","type":"Plot"},"ticker":{"id":"8fee5b08-007a-4c0c-966e-1878b28911a6","type":"BasicTicker"}},"id":"676b9181-70a5-45f1-92c7-d79447751d4e","type":"Grid"},{"attributes":{},"id":"be4e2a0d-0427-4078-bcab-05d23b4e2a9e","type":"HelpTool"},{"attributes":{},"id":"b91e40fb-c502-4780-9851-05ace82dc517","type":"BasicTickFormatter"},{"attributes":{},"id":"56f7531d-3090-4b68-9158-f4a78ef20e8e","type":"SaveTool"},{"attributes":{"callback":null,"end":20},"id":"284d53e2-5def-4b61-a4e2-c21666e7f506","type":"Range1d"},{"attributes":{"overlay":{"id":"be0367dd-aae6-4291-a66d-fcf2635ee3be","type":"BoxAnnotation"}},"id":"38b1a938-f8fe-4613-a63b-4906105bcdc6","type":"BoxZoomTool"},{"attributes":{},"id":"8fee5b08-007a-4c0c-966e-1878b28911a6","type":"BasicTicker"},{"attributes":{"formatter":{"id":"c78b586a-5d5d-48ae-9b4d-c231740a629a","type":"BasicTickFormatter"},"plot":{"id":"10bc6420-5572-488a-9be2-1d597b4a6ac5","subtype":"Figure","type":"Plot"},"ticker":{"id":"cb816749-ef6c-4bc9-95de-074917dbde60","type":"BasicTicker"}},"id":"d8372edc-a4bb-4463-841c-54a3c52be7fe","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"6fa79d7d-e4a7-414e-8806-5bdf8d6575dc","type":"Circle"},{"attributes":{"formatter":{"id":"b91e40fb-c502-4780-9851-05ace82dc517","type":"BasicTickFormatter"},"plot":{"id":"10bc6420-5572-488a-9be2-1d597b4a6ac5","subtype":"Figure","type":"Plot"},"ticker":{"id":"8fee5b08-007a-4c0c-966e-1878b28911a6","type":"BasicTicker"}},"id":"db9cfa38-c97b-4e3d-8dc9-3e75c414dae4","type":"LinearAxis"}],"root_ids":["10bc6420-5572-488a-9be2-1d597b4a6ac5"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"98ee56f6-f800-4b80-bf2d-5f9a14cd6026","elementid":"b30650cc-8a16-4b92-99a8-1e9712710fc0","modelid":"10bc6420-5572-488a-9be2-1d597b4a6ac5"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
