(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("1923dc8a-580d-482e-9509-8b0e2c7a51fd");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '1923dc8a-580d-482e-9509-8b0e2c7a51fd' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"edda7fea-43eb-497c-bd47-ceca353e8271":{"roots":{"references":[{"attributes":{},"id":"06cd5b4b-14ec-48b9-ad5a-3a46ad3a533b","type":"BasicTickFormatter"},{"attributes":{},"id":"7baf940f-bde6-4b34-b7b6-bc2f633c5791","type":"LinearScale"},{"attributes":{"formatter":{"id":"a359f57a-86a7-44f7-a1ed-ae0d1303f62c","type":"BasicTickFormatter"},"plot":{"id":"5cd18f35-0a40-49a8-819a-133fb48beec0","subtype":"Figure","type":"Plot"},"ticker":{"id":"813db8a6-9c2d-41e8-b764-cdeeffa9f530","type":"BasicTicker"}},"id":"922beaad-9290-4090-affa-02bf12329d94","type":"LinearAxis"},{"attributes":{},"id":"a359f57a-86a7-44f7-a1ed-ae0d1303f62c","type":"BasicTickFormatter"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":4},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"c3f2b89c-8f0e-4d29-a341-2a7e54e7b690","type":"MultiLine"},{"attributes":{},"id":"813db8a6-9c2d-41e8-b764-cdeeffa9f530","type":"BasicTicker"},{"attributes":{},"id":"053dfcd6-a5da-4bb5-bc32-6a5c10e453ed","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"5cd18f35-0a40-49a8-819a-133fb48beec0","subtype":"Figure","type":"Plot"},"ticker":{"id":"495b886d-2a16-4c97-a134-3ab01df3edd2","type":"BasicTicker"}},"id":"0972736f-8e97-414c-a025-bb855b1429f3","type":"Grid"},{"attributes":{},"id":"65df1086-879e-44a1-8d20-a7bc9b6a35a2","type":"PanTool"},{"attributes":{"callback":null,"column_names":["ys","xs","line_color","line_alpha"],"data":{"line_alpha":[0.8,0.3],"line_color":["firebrick","navy"],"xs":[[1,3,2],[3,4,6,6]],"ys":[[2,1,4],[4,7,8,5]]}},"id":"ff0f1dfe-9092-451d-8dd3-020fd0c97349","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"5cd18f35-0a40-49a8-819a-133fb48beec0","subtype":"Figure","type":"Plot"},"ticker":{"id":"813db8a6-9c2d-41e8-b764-cdeeffa9f530","type":"BasicTicker"}},"id":"3b4af95c-76f1-4622-9f11-cdfa00925ea5","type":"Grid"},{"attributes":{"line_alpha":{"field":"line_alpha"},"line_color":{"field":"line_color"},"line_width":{"value":4},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"0754c767-701b-4b73-b8c1-19cf5dc25a6d","type":"MultiLine"},{"attributes":{"below":[{"id":"e3b392c2-d5d2-47ed-b15c-4b38a864be75","type":"LinearAxis"}],"left":[{"id":"922beaad-9290-4090-affa-02bf12329d94","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"e3b392c2-d5d2-47ed-b15c-4b38a864be75","type":"LinearAxis"},{"id":"0972736f-8e97-414c-a025-bb855b1429f3","type":"Grid"},{"id":"922beaad-9290-4090-affa-02bf12329d94","type":"LinearAxis"},{"id":"3b4af95c-76f1-4622-9f11-cdfa00925ea5","type":"Grid"},{"id":"558fadb4-a0c8-443c-8a9b-97aee7be8fbe","type":"BoxAnnotation"},{"id":"a5bc188b-d490-444d-8b98-d83037d5eca1","type":"GlyphRenderer"}],"title":{"id":"7832984b-1d13-405b-a2d9-3bab4fafa4ac","type":"Title"},"toolbar":{"id":"cb9e4688-d1a6-473f-9506-35fa555e9662","type":"Toolbar"},"x_range":{"id":"7840abf9-a1f9-487a-9163-7ef3f5892c29","type":"DataRange1d"},"x_scale":{"id":"3f4ff6b9-2979-4398-b30d-697a8307f823","type":"LinearScale"},"y_range":{"id":"f2cc4fdc-ef33-423b-988a-2411b39d4308","type":"DataRange1d"},"y_scale":{"id":"7baf940f-bde6-4b34-b7b6-bc2f633c5791","type":"LinearScale"}},"id":"5cd18f35-0a40-49a8-819a-133fb48beec0","subtype":"Figure","type":"Plot"},{"attributes":{"source":{"id":"ff0f1dfe-9092-451d-8dd3-020fd0c97349","type":"ColumnDataSource"}},"id":"af732b1d-16b4-47fb-9495-ec8e5a1f9cde","type":"CDSView"},{"attributes":{"callback":null},"id":"7840abf9-a1f9-487a-9163-7ef3f5892c29","type":"DataRange1d"},{"attributes":{"overlay":{"id":"558fadb4-a0c8-443c-8a9b-97aee7be8fbe","type":"BoxAnnotation"}},"id":"f5cdc1d2-2bf9-4e7f-b410-1ee2d8930384","type":"BoxZoomTool"},{"attributes":{},"id":"bcd79f51-4f9a-46b8-a1cb-51872a053dcc","type":"HelpTool"},{"attributes":{"plot":null,"text":""},"id":"7832984b-1d13-405b-a2d9-3bab4fafa4ac","type":"Title"},{"attributes":{"formatter":{"id":"06cd5b4b-14ec-48b9-ad5a-3a46ad3a533b","type":"BasicTickFormatter"},"plot":{"id":"5cd18f35-0a40-49a8-819a-133fb48beec0","subtype":"Figure","type":"Plot"},"ticker":{"id":"495b886d-2a16-4c97-a134-3ab01df3edd2","type":"BasicTicker"}},"id":"e3b392c2-d5d2-47ed-b15c-4b38a864be75","type":"LinearAxis"},{"attributes":{"callback":null},"id":"f2cc4fdc-ef33-423b-988a-2411b39d4308","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"558fadb4-a0c8-443c-8a9b-97aee7be8fbe","type":"BoxAnnotation"},{"attributes":{},"id":"495b886d-2a16-4c97-a134-3ab01df3edd2","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"65df1086-879e-44a1-8d20-a7bc9b6a35a2","type":"PanTool"},{"id":"053dfcd6-a5da-4bb5-bc32-6a5c10e453ed","type":"WheelZoomTool"},{"id":"f5cdc1d2-2bf9-4e7f-b410-1ee2d8930384","type":"BoxZoomTool"},{"id":"f16fb0e4-b5d1-42f9-a9f7-f546fb9f4173","type":"SaveTool"},{"id":"d743a3d5-83e1-4f2a-8a89-c557d4bd06c4","type":"ResetTool"},{"id":"bcd79f51-4f9a-46b8-a1cb-51872a053dcc","type":"HelpTool"}]},"id":"cb9e4688-d1a6-473f-9506-35fa555e9662","type":"Toolbar"},{"attributes":{"data_source":{"id":"ff0f1dfe-9092-451d-8dd3-020fd0c97349","type":"ColumnDataSource"},"glyph":{"id":"0754c767-701b-4b73-b8c1-19cf5dc25a6d","type":"MultiLine"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c3f2b89c-8f0e-4d29-a341-2a7e54e7b690","type":"MultiLine"},"selection_glyph":null,"view":{"id":"af732b1d-16b4-47fb-9495-ec8e5a1f9cde","type":"CDSView"}},"id":"a5bc188b-d490-444d-8b98-d83037d5eca1","type":"GlyphRenderer"},{"attributes":{},"id":"f16fb0e4-b5d1-42f9-a9f7-f546fb9f4173","type":"SaveTool"},{"attributes":{},"id":"3f4ff6b9-2979-4398-b30d-697a8307f823","type":"LinearScale"},{"attributes":{},"id":"d743a3d5-83e1-4f2a-8a89-c557d4bd06c4","type":"ResetTool"}],"root_ids":["5cd18f35-0a40-49a8-819a-133fb48beec0"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"edda7fea-43eb-497c-bd47-ceca353e8271","elementid":"1923dc8a-580d-482e-9509-8b0e2c7a51fd","modelid":"5cd18f35-0a40-49a8-819a-133fb48beec0"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
