(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("d5517c74-3f7c-42fa-aae6-1fce30a6830c");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'd5517c74-3f7c-42fa-aae6-1fce30a6830c' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a9072e4a-58e8-4549-91bd-2316e9216fa9":{"roots":{"references":[{"attributes":{"plot":{"id":"d0ab8819-af32-42fe-b731-211381a38cc6","subtype":"Figure","type":"Plot"},"ticker":{"id":"cfda8081-89e1-41f7-8eab-80385f1ff03a","type":"BasicTicker"}},"id":"64f8c71a-71fd-43fa-a872-d4bb5add9fad","type":"Grid"},{"attributes":{},"id":"5a72c331-a071-4040-bf98-b55b1e9a3c4e","type":"PanTool"},{"attributes":{"callback":null},"id":"033bf177-6ac4-453e-821a-50b0cdc53a50","type":"DataRange1d"},{"attributes":{"formatter":{"id":"c15eafb3-7f01-42ce-bcf9-d3e04542cfb9","type":"BasicTickFormatter"},"plot":{"id":"d0ab8819-af32-42fe-b731-211381a38cc6","subtype":"Figure","type":"Plot"},"ticker":{"id":"cfda8081-89e1-41f7-8eab-80385f1ff03a","type":"BasicTicker"}},"id":"918c3df3-5db5-4384-a601-816660eeeada","type":"LinearAxis"},{"attributes":{},"id":"c58e5b5b-698e-46ab-b8b3-696db31b9105","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"5a72c331-a071-4040-bf98-b55b1e9a3c4e","type":"PanTool"},{"id":"a94207d5-1917-4348-9c8d-605a97cfabe5","type":"WheelZoomTool"},{"id":"f5a4c127-4fab-45a7-b557-d6d2855fbbd6","type":"BoxZoomTool"},{"id":"b5476069-aecb-4a75-aba5-3ca8947a6783","type":"SaveTool"},{"id":"4933765f-5ef6-4532-b68b-7efb85bfd374","type":"ResetTool"},{"id":"4b79cc1a-fe5f-43e1-af98-f470a606b8da","type":"HelpTool"}]},"id":"f3ea56d6-22d1-439a-b7d8-c43b14073302","type":"Toolbar"},{"attributes":{},"id":"cfda8081-89e1-41f7-8eab-80385f1ff03a","type":"BasicTicker"},{"attributes":{},"id":"c15eafb3-7f01-42ce-bcf9-d3e04542cfb9","type":"BasicTickFormatter"},{"attributes":{},"id":"b5476069-aecb-4a75-aba5-3ca8947a6783","type":"SaveTool"},{"attributes":{"callback":null},"id":"868ea958-bbdd-4cf1-970f-8db2de908eb1","type":"DataRange1d"},{"attributes":{"formatter":{"id":"bd465267-d98a-424b-ab50-af63f7dc7340","type":"BasicTickFormatter"},"plot":{"id":"d0ab8819-af32-42fe-b731-211381a38cc6","subtype":"Figure","type":"Plot"},"ticker":{"id":"b83c5944-3fca-40be-89cc-29419f31baf2","type":"BasicTicker"}},"id":"cf0364bc-b8b9-4b5a-9d7b-a4648aebec29","type":"LinearAxis"},{"attributes":{},"id":"4933765f-5ef6-4532-b68b-7efb85bfd374","type":"ResetTool"},{"attributes":{"overlay":{"id":"df6f5016-58ff-49ed-8d63-2dfff95f7823","type":"BoxAnnotation"}},"id":"f5a4c127-4fab-45a7-b557-d6d2855fbbd6","type":"BoxZoomTool"},{"attributes":{},"id":"74916682-fc21-42dd-ac86-b5c29f8429e9","type":"LinearScale"},{"attributes":{},"id":"4b79cc1a-fe5f-43e1-af98-f470a606b8da","type":"HelpTool"},{"attributes":{"plot":null,"text":""},"id":"b2f2573d-8b59-4ef5-9929-17840ffaaba0","type":"Title"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"6598d35f-a37d-4399-8d3c-3e88d9eb559e","type":"Line"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"70df0be7-7da0-48a2-81db-c4bafd3749e4","type":"Line"},{"attributes":{"below":[{"id":"918c3df3-5db5-4384-a601-816660eeeada","type":"LinearAxis"}],"left":[{"id":"cf0364bc-b8b9-4b5a-9d7b-a4648aebec29","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"918c3df3-5db5-4384-a601-816660eeeada","type":"LinearAxis"},{"id":"64f8c71a-71fd-43fa-a872-d4bb5add9fad","type":"Grid"},{"id":"cf0364bc-b8b9-4b5a-9d7b-a4648aebec29","type":"LinearAxis"},{"id":"285399dc-32fd-4ca5-8c04-6e0917104036","type":"Grid"},{"id":"df6f5016-58ff-49ed-8d63-2dfff95f7823","type":"BoxAnnotation"},{"id":"67662f30-4582-489d-b866-bf992e201069","type":"GlyphRenderer"}],"title":{"id":"b2f2573d-8b59-4ef5-9929-17840ffaaba0","type":"Title"},"toolbar":{"id":"f3ea56d6-22d1-439a-b7d8-c43b14073302","type":"Toolbar"},"x_range":{"id":"868ea958-bbdd-4cf1-970f-8db2de908eb1","type":"DataRange1d"},"x_scale":{"id":"74916682-fc21-42dd-ac86-b5c29f8429e9","type":"LinearScale"},"y_range":{"id":"033bf177-6ac4-453e-821a-50b0cdc53a50","type":"DataRange1d"},"y_scale":{"id":"c58e5b5b-698e-46ab-b8b3-696db31b9105","type":"LinearScale"}},"id":"d0ab8819-af32-42fe-b731-211381a38cc6","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"a94207d5-1917-4348-9c8d-605a97cfabe5","type":"WheelZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,"NaN",4,5],"y":[6,7,2,4,4,5]}},"id":"b5ec5914-d9f1-4a6c-a1be-d42947b52f75","type":"ColumnDataSource"},{"attributes":{},"id":"b83c5944-3fca-40be-89cc-29419f31baf2","type":"BasicTicker"},{"attributes":{"data_source":{"id":"b5ec5914-d9f1-4a6c-a1be-d42947b52f75","type":"ColumnDataSource"},"glyph":{"id":"6598d35f-a37d-4399-8d3c-3e88d9eb559e","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"70df0be7-7da0-48a2-81db-c4bafd3749e4","type":"Line"},"selection_glyph":null,"view":{"id":"e19962d5-1c83-4393-b75a-c44a88e56fe4","type":"CDSView"}},"id":"67662f30-4582-489d-b866-bf992e201069","type":"GlyphRenderer"},{"attributes":{},"id":"bd465267-d98a-424b-ab50-af63f7dc7340","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"d0ab8819-af32-42fe-b731-211381a38cc6","subtype":"Figure","type":"Plot"},"ticker":{"id":"b83c5944-3fca-40be-89cc-29419f31baf2","type":"BasicTicker"}},"id":"285399dc-32fd-4ca5-8c04-6e0917104036","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"df6f5016-58ff-49ed-8d63-2dfff95f7823","type":"BoxAnnotation"},{"attributes":{"source":{"id":"b5ec5914-d9f1-4a6c-a1be-d42947b52f75","type":"ColumnDataSource"}},"id":"e19962d5-1c83-4393-b75a-c44a88e56fe4","type":"CDSView"}],"root_ids":["d0ab8819-af32-42fe-b731-211381a38cc6"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a9072e4a-58e8-4549-91bd-2316e9216fa9","elementid":"d5517c74-3f7c-42fa-aae6-1fce30a6830c","modelid":"d0ab8819-af32-42fe-b731-211381a38cc6"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
