(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a52d0011-5665-4be6-9bbf-c0c9c1e5ad5e");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a52d0011-5665-4be6-9bbf-c0c9c1e5ad5e' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"1b13686c-b7dc-42fe-ba16-f1619d28e34f":{"roots":{"references":[{"attributes":{"source":{"id":"4223db69-41f1-4255-a002-e45a71abbb4b","type":"ColumnDataSource"}},"id":"7c80fe60-4c15-4389-b50c-8a08f04c1ae6","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"e1af8cb2-8105-4f4c-8acb-2c91ca3b0dc3","type":"BoxAnnotation"},{"attributes":{},"id":"ea045151-044f-4999-bab8-b2d374704dec","type":"ResetTool"},{"attributes":{},"id":"9e331bfd-ee24-4d0a-822e-d8a54d270f92","type":"BasicTickFormatter"},{"attributes":{},"id":"1d2b0794-530d-4e57-99de-210fd51e32ca","type":"LinearScale"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"screen","value":40},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"eb54c450-6d85-4744-b2e8-38fb7ed6bbd0","type":"Rect"},{"attributes":{},"id":"fdd4ad95-433d-4b56-a2f4-665bb7c20fd1","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"bcc8b4be-0427-41e4-ab34-f1a02171bf6a","type":"Title"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_color":{"value":"#CAB2D6"},"height":{"units":"screen","value":40},"line_color":{"value":"#CAB2D6"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"4a8d4797-92d0-4d5f-ace4-ad1b54cc06bc","type":"Rect"},{"attributes":{},"id":"b289664a-09dd-4089-a8db-1c5917ddf340","type":"PanTool"},{"attributes":{},"id":"96577d1a-37a1-4e65-ab84-3d0a672e1cbd","type":"WheelZoomTool"},{"attributes":{},"id":"468bd061-218d-4484-afa0-3bd2457710ba","type":"BasicTicker"},{"attributes":{},"id":"3d458140-a0a4-4e06-9a24-5e61a2c65520","type":"HelpTool"},{"attributes":{"formatter":{"id":"cd54ac12-2baa-4109-8968-46963de4f554","type":"BasicTickFormatter"},"plot":{"id":"8a1cbb97-d890-4b94-99ca-d75a303646ea","subtype":"Figure","type":"Plot"},"ticker":{"id":"ddf71db8-7ac3-48f5-8073-9a0fde74f939","type":"BasicTicker"}},"id":"c00765df-906a-4722-b1bb-16e71c97dd8d","type":"LinearAxis"},{"attributes":{},"id":"cd54ac12-2baa-4109-8968-46963de4f554","type":"BasicTickFormatter"},{"attributes":{},"id":"9b4dac85-7b1b-42b5-ad14-e0450e0ff632","type":"SaveTool"},{"attributes":{"formatter":{"id":"9e331bfd-ee24-4d0a-822e-d8a54d270f92","type":"BasicTickFormatter"},"plot":{"id":"8a1cbb97-d890-4b94-99ca-d75a303646ea","subtype":"Figure","type":"Plot"},"ticker":{"id":"468bd061-218d-4484-afa0-3bd2457710ba","type":"BasicTicker"}},"id":"fb801355-31cc-4da7-a720-110e33ada16d","type":"LinearAxis"},{"attributes":{},"id":"ddf71db8-7ac3-48f5-8073-9a0fde74f939","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"8a1cbb97-d890-4b94-99ca-d75a303646ea","subtype":"Figure","type":"Plot"},"ticker":{"id":"ddf71db8-7ac3-48f5-8073-9a0fde74f939","type":"BasicTicker"}},"id":"8ba95457-02bb-42a0-9f04-5c2b8340145e","type":"Grid"},{"attributes":{"below":[{"id":"fb801355-31cc-4da7-a720-110e33ada16d","type":"LinearAxis"}],"left":[{"id":"c00765df-906a-4722-b1bb-16e71c97dd8d","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"fb801355-31cc-4da7-a720-110e33ada16d","type":"LinearAxis"},{"id":"2f18a791-e689-46de-b3c7-82fdc55b9069","type":"Grid"},{"id":"c00765df-906a-4722-b1bb-16e71c97dd8d","type":"LinearAxis"},{"id":"8ba95457-02bb-42a0-9f04-5c2b8340145e","type":"Grid"},{"id":"e1af8cb2-8105-4f4c-8acb-2c91ca3b0dc3","type":"BoxAnnotation"},{"id":"17e6579d-32ef-47a9-99fe-73d2959d50b5","type":"GlyphRenderer"}],"title":{"id":"bcc8b4be-0427-41e4-ab34-f1a02171bf6a","type":"Title"},"toolbar":{"id":"1db24a63-b3fc-4248-8f23-32779b18dcf5","type":"Toolbar"},"x_range":{"id":"06b2dd4f-213c-4e69-90f4-6c56148ca42d","type":"DataRange1d"},"x_scale":{"id":"fdd4ad95-433d-4b56-a2f4-665bb7c20fd1","type":"LinearScale"},"y_range":{"id":"a29e65bb-5a33-40a2-8bd3-36c44cf212cc","type":"DataRange1d"},"y_scale":{"id":"1d2b0794-530d-4e57-99de-210fd51e32ca","type":"LinearScale"}},"id":"8a1cbb97-d890-4b94-99ca-d75a303646ea","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"06b2dd4f-213c-4e69-90f4-6c56148ca42d","type":"DataRange1d"},{"attributes":{"callback":null},"id":"a29e65bb-5a33-40a2-8bd3-36c44cf212cc","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"b289664a-09dd-4089-a8db-1c5917ddf340","type":"PanTool"},{"id":"96577d1a-37a1-4e65-ab84-3d0a672e1cbd","type":"WheelZoomTool"},{"id":"40376703-ca5e-4c91-8781-8c6e0db716ed","type":"BoxZoomTool"},{"id":"9b4dac85-7b1b-42b5-ad14-e0450e0ff632","type":"SaveTool"},{"id":"ea045151-044f-4999-bab8-b2d374704dec","type":"ResetTool"},{"id":"3d458140-a0a4-4e06-9a24-5e61a2c65520","type":"HelpTool"}]},"id":"1db24a63-b3fc-4248-8f23-32779b18dcf5","type":"Toolbar"},{"attributes":{"overlay":{"id":"e1af8cb2-8105-4f4c-8acb-2c91ca3b0dc3","type":"BoxAnnotation"}},"id":"40376703-ca5e-4c91-8781-8c6e0db716ed","type":"BoxZoomTool"},{"attributes":{"data_source":{"id":"4223db69-41f1-4255-a002-e45a71abbb4b","type":"ColumnDataSource"},"glyph":{"id":"4a8d4797-92d0-4d5f-ace4-ad1b54cc06bc","type":"Rect"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"eb54c450-6d85-4744-b2e8-38fb7ed6bbd0","type":"Rect"},"selection_glyph":null,"view":{"id":"7c80fe60-4c15-4389-b50c-8a08f04c1ae6","type":"CDSView"}},"id":"17e6579d-32ef-47a9-99fe-73d2959d50b5","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"8a1cbb97-d890-4b94-99ca-d75a303646ea","subtype":"Figure","type":"Plot"},"ticker":{"id":"468bd061-218d-4484-afa0-3bd2457710ba","type":"BasicTicker"}},"id":"2f18a791-e689-46de-b3c7-82fdc55b9069","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"4223db69-41f1-4255-a002-e45a71abbb4b","type":"ColumnDataSource"}],"root_ids":["8a1cbb97-d890-4b94-99ca-d75a303646ea"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"1b13686c-b7dc-42fe-ba16-f1619d28e34f","elementid":"a52d0011-5665-4be6-9bbf-c0c9c1e5ad5e","modelid":"8a1cbb97-d890-4b94-99ca-d75a303646ea"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
