(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a471d776-1d6e-4c7c-b157-8f9b5fdd969a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a471d776-1d6e-4c7c-b157-8f9b5fdd969a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"9c3972c7-e339-476b-b360-3e4b68671c21":{"roots":{"references":[{"attributes":{},"id":"ee8eab82-cf62-4f7b-8a61-89ea8cc0b925","type":"SaveTool"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.5},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"629d5bcf-4f84-45da-afe7-3f1eb03c7d81","type":"Patch"},{"attributes":{},"id":"5c4b0f36-2771-43ba-b330-e806d277670f","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"91ced2a7-12d5-4d5f-aae4-d055e487a63c","type":"Patch"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,8,7,3]}},"id":"afb30b21-df8e-41a5-a3ec-2a61fc163fcb","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"cc71b344-6341-4c61-8e93-03dc2e5a79ff","type":"DataRange1d"},{"attributes":{"source":{"id":"afb30b21-df8e-41a5-a3ec-2a61fc163fcb","type":"ColumnDataSource"}},"id":"b0d0c952-291c-4b63-9be0-8e336d3fb996","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"cddb47cf-cf48-41c1-b3fd-f1b595e0b1b7","type":"PanTool"},{"id":"018811e6-23da-4528-9549-4fcb45356383","type":"WheelZoomTool"},{"id":"e4be283b-6605-4116-a654-5c67c369da50","type":"BoxZoomTool"},{"id":"ee8eab82-cf62-4f7b-8a61-89ea8cc0b925","type":"SaveTool"},{"id":"94de27fd-cff9-4b60-97fa-ff854e286219","type":"ResetTool"},{"id":"5fa37258-c51b-4308-b61c-0bf945cb44cb","type":"HelpTool"}]},"id":"6d0ad67b-204d-49b2-aa7a-e2cbe9713129","type":"Toolbar"},{"attributes":{"formatter":{"id":"c086357d-dd36-49d6-937a-23ee2972a7df","type":"BasicTickFormatter"},"plot":{"id":"a93a8bc8-3601-4b81-8d1b-0996dbcc61c7","subtype":"Figure","type":"Plot"},"ticker":{"id":"5c4b0f36-2771-43ba-b330-e806d277670f","type":"BasicTicker"}},"id":"b322804d-749d-4fae-9830-23a4e27b7cb6","type":"LinearAxis"},{"attributes":{},"id":"b1e46e71-c6d5-420a-9a2d-82568c912804","type":"LinearScale"},{"attributes":{},"id":"cddb47cf-cf48-41c1-b3fd-f1b595e0b1b7","type":"PanTool"},{"attributes":{"dimension":1,"plot":{"id":"a93a8bc8-3601-4b81-8d1b-0996dbcc61c7","subtype":"Figure","type":"Plot"},"ticker":{"id":"702dba01-9573-4d02-9138-64cbbc8673b4","type":"BasicTicker"}},"id":"33baed66-a4de-450a-8239-1601b13e139a","type":"Grid"},{"attributes":{},"id":"018811e6-23da-4528-9549-4fcb45356383","type":"WheelZoomTool"},{"attributes":{},"id":"bb2faa0e-c9a2-4de0-b04f-c1d30b5dccaa","type":"LinearScale"},{"attributes":{"data_source":{"id":"afb30b21-df8e-41a5-a3ec-2a61fc163fcb","type":"ColumnDataSource"},"glyph":{"id":"629d5bcf-4f84-45da-afe7-3f1eb03c7d81","type":"Patch"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"91ced2a7-12d5-4d5f-aae4-d055e487a63c","type":"Patch"},"selection_glyph":null,"view":{"id":"b0d0c952-291c-4b63-9be0-8e336d3fb996","type":"CDSView"}},"id":"7f47ef6c-2ebd-4f2e-8cc8-7d0edef2ca37","type":"GlyphRenderer"},{"attributes":{},"id":"702dba01-9573-4d02-9138-64cbbc8673b4","type":"BasicTicker"},{"attributes":{},"id":"43279957-bd3c-468b-a70a-6bb109d37cd4","type":"BasicTickFormatter"},{"attributes":{},"id":"94de27fd-cff9-4b60-97fa-ff854e286219","type":"ResetTool"},{"attributes":{},"id":"5fa37258-c51b-4308-b61c-0bf945cb44cb","type":"HelpTool"},{"attributes":{"plot":null,"text":""},"id":"266f6a95-7e83-4299-9ebb-546a7420873c","type":"Title"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"828596b6-072c-414e-b8e0-e79235bc90d9","type":"BoxAnnotation"},{"attributes":{"plot":{"id":"a93a8bc8-3601-4b81-8d1b-0996dbcc61c7","subtype":"Figure","type":"Plot"},"ticker":{"id":"5c4b0f36-2771-43ba-b330-e806d277670f","type":"BasicTicker"}},"id":"c46390fc-25dc-4dc9-926a-310ec413688c","type":"Grid"},{"attributes":{"below":[{"id":"b322804d-749d-4fae-9830-23a4e27b7cb6","type":"LinearAxis"}],"left":[{"id":"8d181842-e9aa-4e1e-850d-77d7399dc9a2","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"b322804d-749d-4fae-9830-23a4e27b7cb6","type":"LinearAxis"},{"id":"c46390fc-25dc-4dc9-926a-310ec413688c","type":"Grid"},{"id":"8d181842-e9aa-4e1e-850d-77d7399dc9a2","type":"LinearAxis"},{"id":"33baed66-a4de-450a-8239-1601b13e139a","type":"Grid"},{"id":"828596b6-072c-414e-b8e0-e79235bc90d9","type":"BoxAnnotation"},{"id":"7f47ef6c-2ebd-4f2e-8cc8-7d0edef2ca37","type":"GlyphRenderer"}],"title":{"id":"266f6a95-7e83-4299-9ebb-546a7420873c","type":"Title"},"toolbar":{"id":"6d0ad67b-204d-49b2-aa7a-e2cbe9713129","type":"Toolbar"},"x_range":{"id":"cc71b344-6341-4c61-8e93-03dc2e5a79ff","type":"DataRange1d"},"x_scale":{"id":"b1e46e71-c6d5-420a-9a2d-82568c912804","type":"LinearScale"},"y_range":{"id":"3f7cdc2e-015b-4356-8068-b9bb2556d6b7","type":"DataRange1d"},"y_scale":{"id":"bb2faa0e-c9a2-4de0-b04f-c1d30b5dccaa","type":"LinearScale"}},"id":"a93a8bc8-3601-4b81-8d1b-0996dbcc61c7","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"43279957-bd3c-468b-a70a-6bb109d37cd4","type":"BasicTickFormatter"},"plot":{"id":"a93a8bc8-3601-4b81-8d1b-0996dbcc61c7","subtype":"Figure","type":"Plot"},"ticker":{"id":"702dba01-9573-4d02-9138-64cbbc8673b4","type":"BasicTicker"}},"id":"8d181842-e9aa-4e1e-850d-77d7399dc9a2","type":"LinearAxis"},{"attributes":{"overlay":{"id":"828596b6-072c-414e-b8e0-e79235bc90d9","type":"BoxAnnotation"}},"id":"e4be283b-6605-4116-a654-5c67c369da50","type":"BoxZoomTool"},{"attributes":{},"id":"c086357d-dd36-49d6-937a-23ee2972a7df","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"3f7cdc2e-015b-4356-8068-b9bb2556d6b7","type":"DataRange1d"}],"root_ids":["a93a8bc8-3601-4b81-8d1b-0996dbcc61c7"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"9c3972c7-e339-476b-b360-3e4b68671c21","elementid":"a471d776-1d6e-4c7c-b157-8f9b5fdd969a","modelid":"a93a8bc8-3601-4b81-8d1b-0996dbcc61c7"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
