(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2a78ec24-3dd9-412c-a979-ef9d81cb5f31");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2a78ec24-3dd9-412c-a979-ef9d81cb5f31' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"0377062e-9a51-4e95-9c41-e65d652c1126":{"roots":{"references":[{"attributes":{},"id":"4058fd5c-9352-4196-aeb0-2cd609d59271","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"0d5a2191-9327-4250-bb62-e5cb04868678","type":"DataRange1d"},{"attributes":{},"id":"485876c0-a2b9-45de-a3d5-be81c878bc0e","type":"ResetTool"},{"attributes":{},"id":"b2760fdd-8b0f-4aa4-997b-af8fc6dc15c3","type":"LinearScale"},{"attributes":{"axis_label":"x","formatter":{"id":"4058fd5c-9352-4196-aeb0-2cd609d59271","type":"BasicTickFormatter"},"plot":{"id":"c1cd063b-e5c8-4e5b-98ac-217fc53afd22","subtype":"Figure","type":"Plot"},"ticker":{"id":"44963bf3-00c4-4a6b-b841-f245c5ce875d","type":"BasicTicker"}},"id":"1a07638f-a7bc-44f8-88a6-68bf49b98fa3","type":"LinearAxis"},{"attributes":{"data_source":{"id":"85dca169-3268-4d53-a484-527b9275bdd9","type":"ColumnDataSource"},"glyph":{"id":"2cf0c3ff-5d87-40e9-bbd7-a40e90a4ccaa","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"20784349-7026-4d04-b41e-66c51d871a7b","type":"Line"},"selection_glyph":null,"view":{"id":"ac6f78db-ed78-4064-b294-010cb6a140ec","type":"CDSView"}},"id":"0b69b26c-9f4e-4b38-af04-e2b19709d1ad","type":"GlyphRenderer"},{"attributes":{"label":{"value":"Temp."},"renderers":[{"id":"0b69b26c-9f4e-4b38-af04-e2b19709d1ad","type":"GlyphRenderer"}]},"id":"3c9bd517-8b1a-4bc5-895f-449439b080f3","type":"LegendItem"},{"attributes":{"axis_label":"y","formatter":{"id":"a2da7729-31ae-446c-821c-ade34baa6a4f","type":"BasicTickFormatter"},"plot":{"id":"c1cd063b-e5c8-4e5b-98ac-217fc53afd22","subtype":"Figure","type":"Plot"},"ticker":{"id":"6515aaee-e1ae-4d5e-9022-2d5f6109e39d","type":"BasicTicker"}},"id":"e9d02271-0ddf-4f31-94be-fd5eb2e75620","type":"LinearAxis"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"20784349-7026-4d04-b41e-66c51d871a7b","type":"Line"},{"attributes":{},"id":"bcf0a1ca-ba5e-48c9-9059-d8f27ee488c3","type":"SaveTool"},{"attributes":{},"id":"6515aaee-e1ae-4d5e-9022-2d5f6109e39d","type":"BasicTicker"},{"attributes":{},"id":"557a3718-65d6-4833-8c33-007d7096fdb1","type":"WheelZoomTool"},{"attributes":{},"id":"a2da7729-31ae-446c-821c-ade34baa6a4f","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":"simple line example"},"id":"7bb0128c-5cd8-4d94-8f93-d1185e4a6363","type":"Title"},{"attributes":{"plot":{"id":"c1cd063b-e5c8-4e5b-98ac-217fc53afd22","subtype":"Figure","type":"Plot"},"ticker":{"id":"44963bf3-00c4-4a6b-b841-f245c5ce875d","type":"BasicTicker"}},"id":"5549dcc0-04fa-440f-a947-8bcfbf13930b","type":"Grid"},{"attributes":{"items":[{"id":"3c9bd517-8b1a-4bc5-895f-449439b080f3","type":"LegendItem"}],"plot":{"id":"c1cd063b-e5c8-4e5b-98ac-217fc53afd22","subtype":"Figure","type":"Plot"}},"id":"664b6662-a32a-4733-b0da-8c703f58d987","type":"Legend"},{"attributes":{},"id":"3b9f422a-098f-49a7-8e2b-52cf043e5e64","type":"PanTool"},{"attributes":{},"id":"10ddd0af-1513-4273-ad2a-1d424d8f42cb","type":"HelpTool"},{"attributes":{"source":{"id":"85dca169-3268-4d53-a484-527b9275bdd9","type":"ColumnDataSource"}},"id":"ac6f78db-ed78-4064-b294-010cb6a140ec","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"700b8966-e1e1-4608-8632-406430244258","type":"BoxAnnotation"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"2cf0c3ff-5d87-40e9-bbd7-a40e90a4ccaa","type":"Line"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"3b9f422a-098f-49a7-8e2b-52cf043e5e64","type":"PanTool"},{"id":"557a3718-65d6-4833-8c33-007d7096fdb1","type":"WheelZoomTool"},{"id":"8bddba4a-faef-4b53-ab01-257454e1cb65","type":"BoxZoomTool"},{"id":"bcf0a1ca-ba5e-48c9-9059-d8f27ee488c3","type":"SaveTool"},{"id":"485876c0-a2b9-45de-a3d5-be81c878bc0e","type":"ResetTool"},{"id":"10ddd0af-1513-4273-ad2a-1d424d8f42cb","type":"HelpTool"}]},"id":"f3e77369-a938-4788-ae61-64de3f7744f7","type":"Toolbar"},{"attributes":{},"id":"44963bf3-00c4-4a6b-b841-f245c5ce875d","type":"BasicTicker"},{"attributes":{"overlay":{"id":"700b8966-e1e1-4608-8632-406430244258","type":"BoxAnnotation"}},"id":"8bddba4a-faef-4b53-ab01-257454e1cb65","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"796801b7-0d76-43a1-9c2e-1ac34abcd38e","type":"DataRange1d"},{"attributes":{"below":[{"id":"1a07638f-a7bc-44f8-88a6-68bf49b98fa3","type":"LinearAxis"}],"left":[{"id":"e9d02271-0ddf-4f31-94be-fd5eb2e75620","type":"LinearAxis"}],"renderers":[{"id":"1a07638f-a7bc-44f8-88a6-68bf49b98fa3","type":"LinearAxis"},{"id":"5549dcc0-04fa-440f-a947-8bcfbf13930b","type":"Grid"},{"id":"e9d02271-0ddf-4f31-94be-fd5eb2e75620","type":"LinearAxis"},{"id":"761a1741-216c-4707-8645-5115c01e4843","type":"Grid"},{"id":"700b8966-e1e1-4608-8632-406430244258","type":"BoxAnnotation"},{"id":"664b6662-a32a-4733-b0da-8c703f58d987","type":"Legend"},{"id":"0b69b26c-9f4e-4b38-af04-e2b19709d1ad","type":"GlyphRenderer"}],"title":{"id":"7bb0128c-5cd8-4d94-8f93-d1185e4a6363","type":"Title"},"toolbar":{"id":"f3e77369-a938-4788-ae61-64de3f7744f7","type":"Toolbar"},"x_range":{"id":"796801b7-0d76-43a1-9c2e-1ac34abcd38e","type":"DataRange1d"},"x_scale":{"id":"b2760fdd-8b0f-4aa4-997b-af8fc6dc15c3","type":"LinearScale"},"y_range":{"id":"0d5a2191-9327-4250-bb62-e5cb04868678","type":"DataRange1d"},"y_scale":{"id":"a95255d9-d923-43a3-8135-36c6f3046e74","type":"LinearScale"}},"id":"c1cd063b-e5c8-4e5b-98ac-217fc53afd22","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"a95255d9-d923-43a3-8135-36c6f3046e74","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"85dca169-3268-4d53-a484-527b9275bdd9","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"c1cd063b-e5c8-4e5b-98ac-217fc53afd22","subtype":"Figure","type":"Plot"},"ticker":{"id":"6515aaee-e1ae-4d5e-9022-2d5f6109e39d","type":"BasicTicker"}},"id":"761a1741-216c-4707-8645-5115c01e4843","type":"Grid"}],"root_ids":["c1cd063b-e5c8-4e5b-98ac-217fc53afd22"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"0377062e-9a51-4e95-9c41-e65d652c1126","elementid":"2a78ec24-3dd9-412c-a979-ef9d81cb5f31","modelid":"c1cd063b-e5c8-4e5b-98ac-217fc53afd22"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
