(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("4acaaec4-8e33-4b31-82f2-a6e3fd8c9e59");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '4acaaec4-8e33-4b31-82f2-a6e3fd8c9e59' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"8d0057ed-0c29-4ae8-b4b4-c04a91c0821e":{"roots":{"references":[{"attributes":{},"id":"14609faf-4ca0-4206-bef4-49a849901b65","type":"BasicTicker"},{"attributes":{"formatter":{"id":"3be0081d-239f-4ba8-9f49-180070f95f3a","type":"BasicTickFormatter"},"plot":{"id":"6ede93cc-a263-4b5d-9fb9-3812b9d41178","subtype":"Figure","type":"Plot"},"ticker":{"id":"6632e608-9193-408c-ac74-4841ea4f8c0d","type":"BasicTicker"},"visible":false},"id":"3767d275-edf4-4602-8bd5-101f8b9fa489","type":"LinearAxis"},{"attributes":{"plot":null,"text":""},"id":"7fd843da-0ca3-4957-a70f-13c1e382368a","type":"Title"},{"attributes":{"line_color":{"value":"blue"},"x":{"field":"x"},"y":{"field":"y"}},"id":"c7443dba-adba-4e0b-99d9-abf82d3b3d8e","type":"Line"},{"attributes":{"callback":null},"id":"3d691169-bc5a-40d1-8f3d-242abdb34444","type":"DataRange1d"},{"attributes":{},"id":"6632e608-9193-408c-ac74-4841ea4f8c0d","type":"BasicTicker"},{"attributes":{"below":[{"id":"3767d275-edf4-4602-8bd5-101f8b9fa489","type":"LinearAxis"}],"left":[{"id":"c566abcf-b680-4e5a-97be-32b7edfa2f62","type":"LinearAxis"}],"plot_height":200,"plot_width":500,"renderers":[{"id":"3767d275-edf4-4602-8bd5-101f8b9fa489","type":"LinearAxis"},{"id":"498bff2e-fbfa-4e87-a17e-336acd56ce8b","type":"Grid"},{"id":"c566abcf-b680-4e5a-97be-32b7edfa2f62","type":"LinearAxis"},{"id":"dd962ece-9a50-4f9b-9e54-c7c0b1651bbc","type":"Grid"},{"id":"95599ecf-9d04-4838-9eb7-250506803d02","type":"GlyphRenderer"},{"id":"449423a9-b7a6-4919-8b90-3f2ed6e55434","type":"GlyphRenderer"}],"title":{"id":"7fd843da-0ca3-4957-a70f-13c1e382368a","type":"Title"},"toolbar":{"id":"75b49c65-273c-4cda-82ee-086609fed390","type":"Toolbar"},"x_range":{"id":"3d691169-bc5a-40d1-8f3d-242abdb34444","type":"DataRange1d"},"x_scale":{"id":"9f54b8d1-1b63-4e3e-82e8-ffabdf753923","type":"LinearScale"},"y_range":{"id":"12234bb5-94bb-407d-9b2d-de65862ea73d","type":"DataRange1d"},"y_scale":{"id":"fc236a92-b800-45ae-8f9c-65ff67024eb0","type":"LinearScale"}},"id":"6ede93cc-a263-4b5d-9fb9-3812b9d41178","subtype":"Figure","type":"Plot"},{"attributes":{"data_source":{"id":"b228d021-a7b1-4b4a-ad91-f7d6e87dbcf4","type":"ColumnDataSource"},"glyph":{"id":"8369c46c-6d15-445f-9a84-5738c4cb9031","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"db44c9d3-8c47-4009-a64c-26018605c820","type":"Line"},"selection_glyph":null,"view":{"id":"edb9d5a6-27f5-4657-affb-0b74d745dea3","type":"CDSView"},"visible":false},"id":"449423a9-b7a6-4919-8b90-3f2ed6e55434","type":"GlyphRenderer"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"db44c9d3-8c47-4009-a64c-26018605c820","type":"Line"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1,2,3],"y":[2,1,2]}},"id":"b228d021-a7b1-4b4a-ad91-f7d6e87dbcf4","type":"ColumnDataSource"},{"attributes":{"line_color":{"value":"pink"},"x":{"field":"x"},"y":{"field":"y"}},"id":"8369c46c-6d15-445f-9a84-5738c4cb9031","type":"Line"},{"attributes":{"plot":{"id":"6ede93cc-a263-4b5d-9fb9-3812b9d41178","subtype":"Figure","type":"Plot"},"ticker":{"id":"6632e608-9193-408c-ac74-4841ea4f8c0d","type":"BasicTicker"},"visible":false},"id":"498bff2e-fbfa-4e87-a17e-336acd56ce8b","type":"Grid"},{"attributes":{},"id":"9f54b8d1-1b63-4e3e-82e8-ffabdf753923","type":"LinearScale"},{"attributes":{"data_source":{"id":"53f41c78-ffb7-498b-9c68-bdd2de529ffc","type":"ColumnDataSource"},"glyph":{"id":"c7443dba-adba-4e0b-99d9-abf82d3b3d8e","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ba7ea4e5-152f-45fd-8c8a-5740c717225d","type":"Line"},"selection_glyph":null,"view":{"id":"6771a238-d9b3-4d65-8500-1226327c7c55","type":"CDSView"}},"id":"95599ecf-9d04-4838-9eb7-250506803d02","type":"GlyphRenderer"},{"attributes":{},"id":"fc236a92-b800-45ae-8f9c-65ff67024eb0","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"75b49c65-273c-4cda-82ee-086609fed390","type":"Toolbar"},{"attributes":{"formatter":{"id":"acf055e8-20c1-4238-b979-b17294212226","type":"BasicTickFormatter"},"plot":{"id":"6ede93cc-a263-4b5d-9fb9-3812b9d41178","subtype":"Figure","type":"Plot"},"ticker":{"id":"14609faf-4ca0-4206-bef4-49a849901b65","type":"BasicTicker"}},"id":"c566abcf-b680-4e5a-97be-32b7edfa2f62","type":"LinearAxis"},{"attributes":{"source":{"id":"53f41c78-ffb7-498b-9c68-bdd2de529ffc","type":"ColumnDataSource"}},"id":"6771a238-d9b3-4d65-8500-1226327c7c55","type":"CDSView"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1,2,3],"y":[1,2,1]}},"id":"53f41c78-ffb7-498b-9c68-bdd2de529ffc","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"6ede93cc-a263-4b5d-9fb9-3812b9d41178","subtype":"Figure","type":"Plot"},"ticker":{"id":"14609faf-4ca0-4206-bef4-49a849901b65","type":"BasicTicker"}},"id":"dd962ece-9a50-4f9b-9e54-c7c0b1651bbc","type":"Grid"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"ba7ea4e5-152f-45fd-8c8a-5740c717225d","type":"Line"},{"attributes":{"callback":null},"id":"12234bb5-94bb-407d-9b2d-de65862ea73d","type":"DataRange1d"},{"attributes":{"source":{"id":"b228d021-a7b1-4b4a-ad91-f7d6e87dbcf4","type":"ColumnDataSource"}},"id":"edb9d5a6-27f5-4657-affb-0b74d745dea3","type":"CDSView"},{"attributes":{},"id":"acf055e8-20c1-4238-b979-b17294212226","type":"BasicTickFormatter"},{"attributes":{},"id":"3be0081d-239f-4ba8-9f49-180070f95f3a","type":"BasicTickFormatter"}],"root_ids":["6ede93cc-a263-4b5d-9fb9-3812b9d41178"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"8d0057ed-0c29-4ae8-b4b4-c04a91c0821e","elementid":"4acaaec4-8e33-4b31-82f2-a6e3fd8c9e59","modelid":"6ede93cc-a263-4b5d-9fb9-3812b9d41178"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
