(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a688aca5-7e53-4b34-9075-0aed2dd4f2cc");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a688aca5-7e53-4b34-9075-0aed2dd4f2cc' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"110c31c7-df4e-4db3-918d-5a552bfd8976":{"roots":{"references":[{"attributes":{},"id":"e0937681-d209-4200-977f-64614d0d57db","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"38a76fae-a2d0-4384-b5c6-33281606a558","subtype":"Figure","type":"Plot"},"ticker":{"id":"5ef2c55f-09a9-45ab-87c5-73aa42ceab0a","type":"BasicTicker"}},"id":"863b70b0-f22f-41d0-8c19-0284f4e35014","type":"Grid"},{"attributes":{},"id":"f7cd255f-b61b-4571-8966-36d7df45886e","type":"LinearScale"},{"attributes":{"axis_label":"Temp","axis_line_color":{"value":"red"},"axis_line_width":{"value":3},"formatter":{"id":"3bcaac42-4bb4-4026-a0dc-4c1f3e3d35ff","type":"BasicTickFormatter"},"minor_tick_in":-3,"minor_tick_out":6,"plot":{"id":"38a76fae-a2d0-4384-b5c6-33281606a558","subtype":"Figure","type":"Plot"},"ticker":{"id":"98e845c7-1c96-4e98-95cf-0f271a98bcd7","type":"BasicTicker"}},"id":"a82b84ab-975c-4c9f-9daf-14fa8559ad1a","type":"LinearAxis"},{"attributes":{},"id":"3bcaac42-4bb4-4026-a0dc-4c1f3e3d35ff","type":"BasicTickFormatter"},{"attributes":{},"id":"75cb3042-a164-44e5-9a50-cacc8dc5cf70","type":"ResetTool"},{"attributes":{},"id":"5ef2c55f-09a9-45ab-87c5-73aa42ceab0a","type":"BasicTicker"},{"attributes":{"overlay":{"id":"dee3d82e-1114-4d3a-a751-fdd4ffcf3a3b","type":"BoxAnnotation"}},"id":"1fdc8075-09cc-497e-8813-3a94309bf9d2","type":"BoxZoomTool"},{"attributes":{},"id":"98e845c7-1c96-4e98-95cf-0f271a98bcd7","type":"BasicTicker"},{"attributes":{"axis_label":"Pressure","formatter":{"id":"f856f2e6-7870-4bdf-8adf-3ad419471798","type":"BasicTickFormatter"},"major_label_orientation":"vertical","major_label_text_color":{"value":"orange"},"minor_tick_in":-3,"minor_tick_out":6,"plot":{"id":"38a76fae-a2d0-4384-b5c6-33281606a558","subtype":"Figure","type":"Plot"},"ticker":{"id":"5ef2c55f-09a9-45ab-87c5-73aa42ceab0a","type":"BasicTicker"}},"id":"c32395e6-21ce-4667-9f0e-fab0350e60b2","type":"LinearAxis"},{"attributes":{},"id":"775bf2ff-e04a-4bbe-956b-00e3f54090b3","type":"HelpTool"},{"attributes":{"data_source":{"id":"7e860693-5787-4f7c-8bcc-2584bd02a38c","type":"ColumnDataSource"},"glyph":{"id":"34ab57e1-e5b3-46c4-99f4-fac7d2ef92db","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"8c5abea4-dab7-4aef-b1e0-a964d7bcaaea","type":"Circle"},"selection_glyph":null,"view":{"id":"b74e1e76-30a9-43eb-a4f6-b8078c213016","type":"CDSView"}},"id":"9ea767d7-12fc-47a6-95cb-47dc4ac7d4a1","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"ac265c6c-1f8b-4d5e-bf23-c1bc47cabeea","type":"DataRange1d"},{"attributes":{},"id":"a87b0f3c-728b-4276-b7ed-37fc644bb1e8","type":"WheelZoomTool"},{"attributes":{},"id":"f856f2e6-7870-4bdf-8adf-3ad419471798","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"34ab57e1-e5b3-46c4-99f4-fac7d2ef92db","type":"Circle"},{"attributes":{},"id":"b15f5e1f-182c-4e3f-9a52-b5e884e5bd70","type":"SaveTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"dee3d82e-1114-4d3a-a751-fdd4ffcf3a3b","type":"BoxAnnotation"},{"attributes":{"source":{"id":"7e860693-5787-4f7c-8bcc-2584bd02a38c","type":"ColumnDataSource"}},"id":"b74e1e76-30a9-43eb-a4f6-b8078c213016","type":"CDSView"},{"attributes":{"plot":{"id":"38a76fae-a2d0-4384-b5c6-33281606a558","subtype":"Figure","type":"Plot"},"ticker":{"id":"98e845c7-1c96-4e98-95cf-0f271a98bcd7","type":"BasicTicker"}},"id":"e85370f1-45e2-49b9-aef9-2565c3583044","type":"Grid"},{"attributes":{},"id":"bcfd1b4c-83d2-4cb0-b937-b34c6ecac734","type":"PanTool"},{"attributes":{"callback":null},"id":"3edb0c2f-f762-415f-b153-56f0de8aa29c","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"8c5abea4-dab7-4aef-b1e0-a964d7bcaaea","type":"Circle"},{"attributes":{"below":[{"id":"a82b84ab-975c-4c9f-9daf-14fa8559ad1a","type":"LinearAxis"}],"left":[{"id":"c32395e6-21ce-4667-9f0e-fab0350e60b2","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"a82b84ab-975c-4c9f-9daf-14fa8559ad1a","type":"LinearAxis"},{"id":"e85370f1-45e2-49b9-aef9-2565c3583044","type":"Grid"},{"id":"c32395e6-21ce-4667-9f0e-fab0350e60b2","type":"LinearAxis"},{"id":"863b70b0-f22f-41d0-8c19-0284f4e35014","type":"Grid"},{"id":"dee3d82e-1114-4d3a-a751-fdd4ffcf3a3b","type":"BoxAnnotation"},{"id":"9ea767d7-12fc-47a6-95cb-47dc4ac7d4a1","type":"GlyphRenderer"}],"title":{"id":"0c85888c-2643-405c-8aaa-0c21b39b0a3b","type":"Title"},"toolbar":{"id":"3148142d-6879-4378-b179-a8ff35e89133","type":"Toolbar"},"x_range":{"id":"3edb0c2f-f762-415f-b153-56f0de8aa29c","type":"DataRange1d"},"x_scale":{"id":"e0937681-d209-4200-977f-64614d0d57db","type":"LinearScale"},"y_range":{"id":"ac265c6c-1f8b-4d5e-bf23-c1bc47cabeea","type":"DataRange1d"},"y_scale":{"id":"f7cd255f-b61b-4571-8966-36d7df45886e","type":"LinearScale"}},"id":"38a76fae-a2d0-4384-b5c6-33281606a558","subtype":"Figure","type":"Plot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"bcfd1b4c-83d2-4cb0-b937-b34c6ecac734","type":"PanTool"},{"id":"a87b0f3c-728b-4276-b7ed-37fc644bb1e8","type":"WheelZoomTool"},{"id":"1fdc8075-09cc-497e-8813-3a94309bf9d2","type":"BoxZoomTool"},{"id":"b15f5e1f-182c-4e3f-9a52-b5e884e5bd70","type":"SaveTool"},{"id":"75cb3042-a164-44e5-9a50-cacc8dc5cf70","type":"ResetTool"},{"id":"775bf2ff-e04a-4bbe-956b-00e3f54090b3","type":"HelpTool"}]},"id":"3148142d-6879-4378-b179-a8ff35e89133","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"7e860693-5787-4f7c-8bcc-2584bd02a38c","type":"ColumnDataSource"},{"attributes":{"plot":null,"text":""},"id":"0c85888c-2643-405c-8aaa-0c21b39b0a3b","type":"Title"}],"root_ids":["38a76fae-a2d0-4384-b5c6-33281606a558"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"110c31c7-df4e-4db3-918d-5a552bfd8976","elementid":"a688aca5-7e53-4b34-9075-0aed2dd4f2cc","modelid":"38a76fae-a2d0-4384-b5c6-33281606a558"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
