(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("625dda6b-3cf0-4d93-a095-f866a76fd75d");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '625dda6b-3cf0-4d93-a095-f866a76fd75d' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"09bbd0ad-1b69-4e9b-bf44-d68e763e5e44":{"roots":{"references":[{"attributes":{"dimension":1,"plot":{"id":"712c7b82-5e77-4f22-b6ac-beba263874f9","subtype":"Figure","type":"Plot"},"ticker":{"id":"5c080951-fe7a-4693-a840-62f704b9d694","type":"BasicTicker"}},"id":"d09f6d93-fa9a-425a-9cea-f54a8926b977","type":"Grid"},{"attributes":{},"id":"422c5eba-5651-494b-97f1-28315cb795be","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"98edd8c9-62f5-40a2-8cb2-dcf77fc073e0","type":"PanTool"},{"id":"08747d29-e650-45b4-972d-ecb031ec7e79","type":"WheelZoomTool"},{"id":"b4d41f98-9514-4dc0-9403-3d605d48fb15","type":"BoxZoomTool"},{"id":"07daf9cf-4296-4c2f-a2f2-6cd8d31c233e","type":"SaveTool"},{"id":"2eeafa6d-625f-4d1a-be95-da15e69aa6fc","type":"ResetTool"},{"id":"4e1bef6e-2f7a-442a-a363-2aa59f6c5d2a","type":"HelpTool"}]},"id":"9000bef8-527a-4bb7-94ae-5440e04fbb5f","type":"Toolbar"},{"attributes":{"plot":null,"text":""},"id":"ad111c3c-f088-4266-8921-d68eef4abafb","type":"Title"},{"attributes":{},"id":"07daf9cf-4296-4c2f-a2f2-6cd8d31c233e","type":"SaveTool"},{"attributes":{},"id":"5c080951-fe7a-4693-a840-62f704b9d694","type":"BasicTicker"},{"attributes":{"formatter":{"id":"422c5eba-5651-494b-97f1-28315cb795be","type":"BasicTickFormatter"},"plot":{"id":"712c7b82-5e77-4f22-b6ac-beba263874f9","subtype":"Figure","type":"Plot"},"ticker":{"id":"5c080951-fe7a-4693-a840-62f704b9d694","type":"BasicTicker"}},"id":"7c68f796-0b2c-4197-94c9-9da2909aca03","type":"LinearAxis"},{"attributes":{"ticks":[2,3.5,4]},"id":"3754102b-7387-46d9-9838-9da4f9bc5c7c","type":"FixedTicker"},{"attributes":{},"id":"98edd8c9-62f5-40a2-8cb2-dcf77fc073e0","type":"PanTool"},{"attributes":{"below":[{"id":"3ecdac5d-f5fb-4080-b135-8eb5d9ea249e","type":"LinearAxis"}],"left":[{"id":"7c68f796-0b2c-4197-94c9-9da2909aca03","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"3ecdac5d-f5fb-4080-b135-8eb5d9ea249e","type":"LinearAxis"},{"id":"86836153-4fc9-4eb1-8da3-1bb308c9ac2c","type":"Grid"},{"id":"7c68f796-0b2c-4197-94c9-9da2909aca03","type":"LinearAxis"},{"id":"d09f6d93-fa9a-425a-9cea-f54a8926b977","type":"Grid"},{"id":"041eda6f-053f-43f9-a434-afe90b3c0845","type":"BoxAnnotation"},{"id":"7c707cdc-d8bf-4db5-b0b6-32ab7b721609","type":"GlyphRenderer"}],"title":{"id":"ad111c3c-f088-4266-8921-d68eef4abafb","type":"Title"},"toolbar":{"id":"9000bef8-527a-4bb7-94ae-5440e04fbb5f","type":"Toolbar"},"x_range":{"id":"2c25a4ef-107f-425b-b599-5e81a3ed9b79","type":"DataRange1d"},"x_scale":{"id":"c5250c67-51e9-4439-81c5-5b046b5fd09c","type":"LinearScale"},"y_range":{"id":"ef666b64-519a-4efb-b208-c79a9ef37dd2","type":"DataRange1d"},"y_scale":{"id":"5fdfcb83-7a06-4c66-9b13-940531b73c5c","type":"LinearScale"}},"id":"712c7b82-5e77-4f22-b6ac-beba263874f9","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"ef666b64-519a-4efb-b208-c79a9ef37dd2","type":"DataRange1d"},{"attributes":{},"id":"bbc43f47-5bf5-49d6-91de-2f78c6ced008","type":"BasicTicker"},{"attributes":{"overlay":{"id":"041eda6f-053f-43f9-a434-afe90b3c0845","type":"BoxAnnotation"}},"id":"b4d41f98-9514-4dc0-9403-3d605d48fb15","type":"BoxZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"0c7142cf-d08c-4b90-989f-5c75b35641ec","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"0c7142cf-d08c-4b90-989f-5c75b35641ec","type":"ColumnDataSource"},"glyph":{"id":"43337ffe-0d7e-4522-810d-8ed61205aa3a","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"21659bf7-18a1-4c25-879f-6e5100f1f913","type":"Circle"},"selection_glyph":null,"view":{"id":"e8705bbe-9437-4f13-83e5-b73ef658aa9b","type":"CDSView"}},"id":"7c707cdc-d8bf-4db5-b0b6-32ab7b721609","type":"GlyphRenderer"},{"attributes":{},"id":"2eeafa6d-625f-4d1a-be95-da15e69aa6fc","type":"ResetTool"},{"attributes":{"plot":{"id":"712c7b82-5e77-4f22-b6ac-beba263874f9","subtype":"Figure","type":"Plot"},"ticker":{"id":"bbc43f47-5bf5-49d6-91de-2f78c6ced008","type":"BasicTicker"}},"id":"86836153-4fc9-4eb1-8da3-1bb308c9ac2c","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"21659bf7-18a1-4c25-879f-6e5100f1f913","type":"Circle"},{"attributes":{},"id":"08747d29-e650-45b4-972d-ecb031ec7e79","type":"WheelZoomTool"},{"attributes":{},"id":"4e1bef6e-2f7a-442a-a363-2aa59f6c5d2a","type":"HelpTool"},{"attributes":{"formatter":{"id":"c82a5d83-220c-4353-aa7f-53044b58b87a","type":"BasicTickFormatter"},"plot":{"id":"712c7b82-5e77-4f22-b6ac-beba263874f9","subtype":"Figure","type":"Plot"},"ticker":{"id":"3754102b-7387-46d9-9838-9da4f9bc5c7c","type":"FixedTicker"}},"id":"3ecdac5d-f5fb-4080-b135-8eb5d9ea249e","type":"LinearAxis"},{"attributes":{"callback":null},"id":"2c25a4ef-107f-425b-b599-5e81a3ed9b79","type":"DataRange1d"},{"attributes":{},"id":"c82a5d83-220c-4353-aa7f-53044b58b87a","type":"BasicTickFormatter"},{"attributes":{},"id":"c5250c67-51e9-4439-81c5-5b046b5fd09c","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"041eda6f-053f-43f9-a434-afe90b3c0845","type":"BoxAnnotation"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"43337ffe-0d7e-4522-810d-8ed61205aa3a","type":"Circle"},{"attributes":{},"id":"5fdfcb83-7a06-4c66-9b13-940531b73c5c","type":"LinearScale"},{"attributes":{"source":{"id":"0c7142cf-d08c-4b90-989f-5c75b35641ec","type":"ColumnDataSource"}},"id":"e8705bbe-9437-4f13-83e5-b73ef658aa9b","type":"CDSView"}],"root_ids":["712c7b82-5e77-4f22-b6ac-beba263874f9"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"09bbd0ad-1b69-4e9b-bf44-d68e763e5e44","elementid":"625dda6b-3cf0-4d93-a095-f866a76fd75d","modelid":"712c7b82-5e77-4f22-b6ac-beba263874f9"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
