(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("1e49f681-2ce5-421e-8105-987809b04916");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '1e49f681-2ce5-421e-8105-987809b04916' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"6e64ead8-6de2-4b57-99e9-78293be606c0":{"roots":{"references":[{"attributes":{},"id":"73772022-b76c-4986-86b9-0c5ad33e7991","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"c42d6805-beff-41a7-a788-6136200a1bcf","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"f4d5ddf6-566d-47d2-aef4-96b08e1388d3","type":"ColumnDataSource"},{"attributes":{},"id":"de57139d-09a2-4346-8c73-704f81b2796f","type":"WheelZoomTool"},{"attributes":{},"id":"e4243e2a-2042-4597-aaa7-83d65262d8ce","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"b7970f79-cd9b-41a9-a4c3-94709de5c1db","type":"Title"},{"attributes":{},"id":"d0824f1e-15bf-4f60-b7ad-77b9a70539c9","type":"HelpTool"},{"attributes":{},"id":"8d42d6f4-75ae-41ea-98b3-dd37dd90c60a","type":"LinearScale"},{"attributes":{},"id":"94efc1f8-6942-4d65-84ac-e421f36bdf6e","type":"SaveTool"},{"attributes":{},"id":"791e4637-fa0e-48ff-a355-1fd0bc16a42a","type":"BasicTicker"},{"attributes":{"data_source":{"id":"f4d5ddf6-566d-47d2-aef4-96b08e1388d3","type":"ColumnDataSource"},"glyph":{"id":"d6912396-78b0-4d04-bcef-bbbe7292e06f","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"bc7db193-2996-4c00-972f-2a86434f0424","type":"Circle"},"selection_glyph":null,"view":{"id":"53f7a70f-8b19-4060-8a59-7eaffdc3507c","type":"CDSView"}},"id":"5705e4f4-a5fd-4d25-a4c0-28629615ae3a","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"92c5c298-7cd0-4c0d-999c-a5eaaa2c16df","type":"PanTool"},{"id":"de57139d-09a2-4346-8c73-704f81b2796f","type":"WheelZoomTool"},{"id":"e046c6b4-7958-4f7e-b9c2-005af1098249","type":"BoxZoomTool"},{"id":"94efc1f8-6942-4d65-84ac-e421f36bdf6e","type":"SaveTool"},{"id":"cacbe8d0-ec69-474b-88bc-98b9db9778c0","type":"ResetTool"},{"id":"d0824f1e-15bf-4f60-b7ad-77b9a70539c9","type":"HelpTool"}]},"id":"bfe4d1a0-20c1-438e-8d45-52041698804d","type":"Toolbar"},{"attributes":{"formatter":{"id":"e4243e2a-2042-4597-aaa7-83d65262d8ce","type":"BasicTickFormatter"},"major_tick_line_color":{"value":"firebrick"},"major_tick_line_width":{"value":3},"major_tick_out":10,"minor_tick_in":-3,"minor_tick_line_color":{"value":"orange"},"minor_tick_out":8,"plot":{"id":"0ca980fc-5964-494f-8052-6e5f556920c8","subtype":"Figure","type":"Plot"},"ticker":{"id":"791e4637-fa0e-48ff-a355-1fd0bc16a42a","type":"BasicTicker"}},"id":"84e7dda7-ba52-4b1d-8fc9-f723168ce4fa","type":"LinearAxis"},{"attributes":{"callback":null},"id":"b24f47ec-2f99-483a-a307-b9920f684171","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"99c96ca1-6f2d-4995-8ca3-772a954400cc","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"73772022-b76c-4986-86b9-0c5ad33e7991","type":"BasicTickFormatter"},"major_tick_out":10,"minor_tick_in":-3,"minor_tick_line_color":{"value":null},"minor_tick_out":8,"plot":{"id":"0ca980fc-5964-494f-8052-6e5f556920c8","subtype":"Figure","type":"Plot"},"ticker":{"id":"5446a893-cddc-462f-9eec-287134fb4e5f","type":"BasicTicker"}},"id":"b201d9dd-68be-4b99-a2af-98e31737126e","type":"LinearAxis"},{"attributes":{},"id":"cacbe8d0-ec69-474b-88bc-98b9db9778c0","type":"ResetTool"},{"attributes":{},"id":"d9faa589-fdd3-4f3b-8e8f-aa3c8ca35419","type":"LinearScale"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"d6912396-78b0-4d04-bcef-bbbe7292e06f","type":"Circle"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"bc7db193-2996-4c00-972f-2a86434f0424","type":"Circle"},{"attributes":{"source":{"id":"f4d5ddf6-566d-47d2-aef4-96b08e1388d3","type":"ColumnDataSource"}},"id":"53f7a70f-8b19-4060-8a59-7eaffdc3507c","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"0ca980fc-5964-494f-8052-6e5f556920c8","subtype":"Figure","type":"Plot"},"ticker":{"id":"5446a893-cddc-462f-9eec-287134fb4e5f","type":"BasicTicker"}},"id":"bed7a6c7-aa0a-4b75-8bd3-d9214ccdc2da","type":"Grid"},{"attributes":{},"id":"92c5c298-7cd0-4c0d-999c-a5eaaa2c16df","type":"PanTool"},{"attributes":{},"id":"5446a893-cddc-462f-9eec-287134fb4e5f","type":"BasicTicker"},{"attributes":{"below":[{"id":"84e7dda7-ba52-4b1d-8fc9-f723168ce4fa","type":"LinearAxis"}],"left":[{"id":"b201d9dd-68be-4b99-a2af-98e31737126e","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"84e7dda7-ba52-4b1d-8fc9-f723168ce4fa","type":"LinearAxis"},{"id":"83377031-ed4b-4707-8c61-89344cfa1132","type":"Grid"},{"id":"b201d9dd-68be-4b99-a2af-98e31737126e","type":"LinearAxis"},{"id":"bed7a6c7-aa0a-4b75-8bd3-d9214ccdc2da","type":"Grid"},{"id":"99c96ca1-6f2d-4995-8ca3-772a954400cc","type":"BoxAnnotation"},{"id":"5705e4f4-a5fd-4d25-a4c0-28629615ae3a","type":"GlyphRenderer"}],"title":{"id":"b7970f79-cd9b-41a9-a4c3-94709de5c1db","type":"Title"},"toolbar":{"id":"bfe4d1a0-20c1-438e-8d45-52041698804d","type":"Toolbar"},"x_range":{"id":"c42d6805-beff-41a7-a788-6136200a1bcf","type":"DataRange1d"},"x_scale":{"id":"d9faa589-fdd3-4f3b-8e8f-aa3c8ca35419","type":"LinearScale"},"y_range":{"id":"b24f47ec-2f99-483a-a307-b9920f684171","type":"DataRange1d"},"y_scale":{"id":"8d42d6f4-75ae-41ea-98b3-dd37dd90c60a","type":"LinearScale"}},"id":"0ca980fc-5964-494f-8052-6e5f556920c8","subtype":"Figure","type":"Plot"},{"attributes":{"overlay":{"id":"99c96ca1-6f2d-4995-8ca3-772a954400cc","type":"BoxAnnotation"}},"id":"e046c6b4-7958-4f7e-b9c2-005af1098249","type":"BoxZoomTool"},{"attributes":{"plot":{"id":"0ca980fc-5964-494f-8052-6e5f556920c8","subtype":"Figure","type":"Plot"},"ticker":{"id":"791e4637-fa0e-48ff-a355-1fd0bc16a42a","type":"BasicTicker"}},"id":"83377031-ed4b-4707-8c61-89344cfa1132","type":"Grid"}],"root_ids":["0ca980fc-5964-494f-8052-6e5f556920c8"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"6e64ead8-6de2-4b57-99e9-78293be606c0","elementid":"1e49f681-2ce5-421e-8105-987809b04916","modelid":"0ca980fc-5964-494f-8052-6e5f556920c8"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
