(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("77645173-9db1-4fd2-b1fd-6b5a25017f06");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '77645173-9db1-4fd2-b1fd-6b5a25017f06' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"35ebd40e-5a6d-430b-9bf6-6b78c5c269e6":{"roots":{"references":[{"attributes":{},"id":"720ec007-3c4a-4da2-ac10-e0b551e2256a","type":"PanTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"5a449335-7410-41d4-9a81-88a248927f92","type":"ColumnDataSource"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"cb7f96f0-b2b3-4904-8f0f-98f577f956cd","type":"Circle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"720ec007-3c4a-4da2-ac10-e0b551e2256a","type":"PanTool"},{"id":"a50ba9b4-c4d3-4ade-a12e-5a376b7f5ee9","type":"WheelZoomTool"},{"id":"0ae43af1-4823-4be1-be5c-7786cf1be7b0","type":"BoxZoomTool"},{"id":"24a99cc8-1a18-4294-b76a-940c8c9c4fae","type":"SaveTool"},{"id":"956bf112-11cf-45f6-b2fe-425121e80683","type":"ResetTool"},{"id":"54ec2fca-b53b-4e36-a74f-dd85b956bd74","type":"HelpTool"}]},"id":"972b8f0e-8bc3-4c88-a0d1-d355dce9cf9c","type":"Toolbar"},{"attributes":{"plot":{"id":"2598152d-ac06-4924-95ac-f9e1ae0395df","subtype":"Figure","type":"Plot"},"ticker":{"id":"b5adb2d4-9e8f-43e0-8cb4-1462f9a81889","type":"BasicTicker"}},"id":"a4a86874-046a-49d7-9dd0-b8fba9394110","type":"Grid"},{"attributes":{},"id":"a50ba9b4-c4d3-4ade-a12e-5a376b7f5ee9","type":"WheelZoomTool"},{"attributes":{},"id":"956bf112-11cf-45f6-b2fe-425121e80683","type":"ResetTool"},{"attributes":{"callback":null},"id":"da5d082d-a4d9-4c1e-a617-7b965348a80a","type":"DataRange1d"},{"attributes":{"below":[{"id":"b9472ed7-2374-488c-b60d-292d0b90df89","type":"LinearAxis"}],"left":[{"id":"23811b8f-75bd-4bc8-8ac5-7f60ef9e6c64","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"b9472ed7-2374-488c-b60d-292d0b90df89","type":"LinearAxis"},{"id":"a4a86874-046a-49d7-9dd0-b8fba9394110","type":"Grid"},{"id":"23811b8f-75bd-4bc8-8ac5-7f60ef9e6c64","type":"LinearAxis"},{"id":"1443a286-c75e-4a5b-b6aa-56022596df6e","type":"Grid"},{"id":"34b764a4-35da-4c18-8ca0-42cc895a7054","type":"BoxAnnotation"},{"id":"51a6ca95-a74f-45d5-bcf5-cdc9eb2f2312","type":"GlyphRenderer"}],"title":{"id":"da93f172-a234-441c-b0d6-14742ef152aa","type":"Title"},"toolbar":{"id":"972b8f0e-8bc3-4c88-a0d1-d355dce9cf9c","type":"Toolbar"},"x_range":{"id":"1570ec2c-5c7d-4af5-a881-e6b8f9c22b14","type":"DataRange1d"},"x_scale":{"id":"0235c9d7-c2d5-458a-93de-f93745a0ef22","type":"LinearScale"},"y_range":{"id":"da5d082d-a4d9-4c1e-a617-7b965348a80a","type":"DataRange1d"},"y_scale":{"id":"0aa37b67-37e4-4e12-af95-ffb9e3577ea9","type":"LinearScale"}},"id":"2598152d-ac06-4924-95ac-f9e1ae0395df","subtype":"Figure","type":"Plot"},{"attributes":{"format":"$0.00"},"id":"0b3f6497-2902-4db1-bd57-4ceee25efb5f","type":"NumeralTickFormatter"},{"attributes":{"formatter":{"id":"0b3f6497-2902-4db1-bd57-4ceee25efb5f","type":"NumeralTickFormatter"},"plot":{"id":"2598152d-ac06-4924-95ac-f9e1ae0395df","subtype":"Figure","type":"Plot"},"ticker":{"id":"13938730-9fc9-49ef-87aa-d984c04ac050","type":"BasicTicker"}},"id":"23811b8f-75bd-4bc8-8ac5-7f60ef9e6c64","type":"LinearAxis"},{"attributes":{},"id":"54ec2fca-b53b-4e36-a74f-dd85b956bd74","type":"HelpTool"},{"attributes":{},"id":"0235c9d7-c2d5-458a-93de-f93745a0ef22","type":"LinearScale"},{"attributes":{},"id":"13938730-9fc9-49ef-87aa-d984c04ac050","type":"BasicTicker"},{"attributes":{"overlay":{"id":"34b764a4-35da-4c18-8ca0-42cc895a7054","type":"BoxAnnotation"}},"id":"0ae43af1-4823-4be1-be5c-7786cf1be7b0","type":"BoxZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"34b764a4-35da-4c18-8ca0-42cc895a7054","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"1570ec2c-5c7d-4af5-a881-e6b8f9c22b14","type":"DataRange1d"},{"attributes":{"source":{"id":"5a449335-7410-41d4-9a81-88a248927f92","type":"ColumnDataSource"}},"id":"088547eb-fafe-472d-ac04-6d01017dc6ff","type":"CDSView"},{"attributes":{"data_source":{"id":"5a449335-7410-41d4-9a81-88a248927f92","type":"ColumnDataSource"},"glyph":{"id":"cb7f96f0-b2b3-4904-8f0f-98f577f956cd","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e3014c19-d490-439e-8757-86dfc484c99c","type":"Circle"},"selection_glyph":null,"view":{"id":"088547eb-fafe-472d-ac04-6d01017dc6ff","type":"CDSView"}},"id":"51a6ca95-a74f-45d5-bcf5-cdc9eb2f2312","type":"GlyphRenderer"},{"attributes":{},"id":"b5adb2d4-9e8f-43e0-8cb4-1462f9a81889","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"2598152d-ac06-4924-95ac-f9e1ae0395df","subtype":"Figure","type":"Plot"},"ticker":{"id":"13938730-9fc9-49ef-87aa-d984c04ac050","type":"BasicTicker"}},"id":"1443a286-c75e-4a5b-b6aa-56022596df6e","type":"Grid"},{"attributes":{},"id":"24a99cc8-1a18-4294-b76a-940c8c9c4fae","type":"SaveTool"},{"attributes":{"formatter":{"id":"93e8cdaa-770e-4ee5-841f-2e91099c5357","type":"NumeralTickFormatter"},"plot":{"id":"2598152d-ac06-4924-95ac-f9e1ae0395df","subtype":"Figure","type":"Plot"},"ticker":{"id":"b5adb2d4-9e8f-43e0-8cb4-1462f9a81889","type":"BasicTicker"}},"id":"b9472ed7-2374-488c-b60d-292d0b90df89","type":"LinearAxis"},{"attributes":{"format":"0.0%"},"id":"93e8cdaa-770e-4ee5-841f-2e91099c5357","type":"NumeralTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"da93f172-a234-441c-b0d6-14742ef152aa","type":"Title"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"e3014c19-d490-439e-8757-86dfc484c99c","type":"Circle"},{"attributes":{},"id":"0aa37b67-37e4-4e12-af95-ffb9e3577ea9","type":"LinearScale"}],"root_ids":["2598152d-ac06-4924-95ac-f9e1ae0395df"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"35ebd40e-5a6d-430b-9bf6-6b78c5c269e6","elementid":"77645173-9db1-4fd2-b1fd-6b5a25017f06","modelid":"2598152d-ac06-4924-95ac-f9e1ae0395df"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
