(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("af26aa53-f9bb-4e65-b973-8d4e2e65ecd9");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'af26aa53-f9bb-4e65-b973-8d4e2e65ecd9' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"7d4f24e7-7189-4724-ab48-0782da00faf2":{"roots":{"references":[{"attributes":{"formatter":{"id":"b9c71a83-e67f-447b-8d4b-61459a390a2a","type":"FuncTickFormatter"},"plot":{"id":"bb88d5e7-5b08-4cf1-8ac5-f9dce4a09149","subtype":"Figure","type":"Plot"},"ticker":{"id":"122fe7ee-fe4b-46b5-b059-2b965e122141","type":"BasicTicker"}},"id":"2c345354-d8b9-440f-bf50-06a9225794a6","type":"LinearAxis"},{"attributes":{"source":{"id":"03e7d348-9a7c-4158-9941-6fe428507583","type":"ColumnDataSource"}},"id":"66935553-0cbd-4675-ae7a-69063a67b492","type":"CDSView"},{"attributes":{"below":[{"id":"81efd0b0-b238-43bd-91e7-4d405183cd46","type":"LinearAxis"}],"left":[{"id":"2c345354-d8b9-440f-bf50-06a9225794a6","type":"LinearAxis"}],"plot_height":500,"plot_width":500,"renderers":[{"id":"81efd0b0-b238-43bd-91e7-4d405183cd46","type":"LinearAxis"},{"id":"44276094-c863-4a85-b2c0-35e7713193db","type":"Grid"},{"id":"2c345354-d8b9-440f-bf50-06a9225794a6","type":"LinearAxis"},{"id":"406b86c1-bc9e-4079-97a9-1d5a4f526c50","type":"Grid"},{"id":"7558be5f-3a23-4e24-ae26-9949adb4f80c","type":"BoxAnnotation"},{"id":"6c9e3419-90d3-4c09-bc64-a423094af5f5","type":"GlyphRenderer"}],"title":{"id":"25153f13-c640-4e71-a71b-f4e011b0030f","type":"Title"},"toolbar":{"id":"da376a06-afae-4105-80a0-e88ae3c17930","type":"Toolbar"},"x_range":{"id":"347dcef7-fbc8-400b-a281-f81d53c85e25","type":"DataRange1d"},"x_scale":{"id":"b6bae8ba-1d2a-480a-9a71-45189ede8cbb","type":"LinearScale"},"y_range":{"id":"57d6b43d-f0e6-43dd-a0c9-dac44016f2fa","type":"DataRange1d"},"y_scale":{"id":"a668afb3-e686-43bc-9733-83202b714839","type":"LinearScale"}},"id":"bb88d5e7-5b08-4cf1-8ac5-f9dce4a09149","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"0fc8f27a-ef28-48d3-8f87-559042e21367","type":"WheelZoomTool"},{"attributes":{},"id":"6cadafcb-aa19-4d54-9e30-90f477c5d360","type":"ResetTool"},{"attributes":{"code":"\n    return Math.floor(tick) + \" + \" + (tick % 1).toFixed(2)\n"},"id":"b9c71a83-e67f-447b-8d4b-61459a390a2a","type":"FuncTickFormatter"},{"attributes":{},"id":"e80b5ca4-a13c-451d-856b-651da5735a81","type":"SaveTool"},{"attributes":{},"id":"5d03191f-459d-4a7e-b29a-e924754d8a5f","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"7558be5f-3a23-4e24-ae26-9949adb4f80c","type":"BoxAnnotation"}},"id":"ec4aeaa4-1c48-461a-a453-f535e4e9c434","type":"BoxZoomTool"},{"attributes":{},"id":"d0ee4cc8-8b09-4367-9306-85eac4b4d439","type":"HelpTool"},{"attributes":{},"id":"b6bae8ba-1d2a-480a-9a71-45189ede8cbb","type":"LinearScale"},{"attributes":{"data_source":{"id":"03e7d348-9a7c-4158-9941-6fe428507583","type":"ColumnDataSource"},"glyph":{"id":"79cc5e84-2894-4ff8-9c74-3fc48b86110c","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"773c379f-3ff7-4b97-a998-cc0ce09cc831","type":"Circle"},"selection_glyph":null,"view":{"id":"66935553-0cbd-4675-ae7a-69063a67b492","type":"CDSView"}},"id":"6c9e3419-90d3-4c09-bc64-a423094af5f5","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"890b677f-ee27-4d49-8d8f-a94de1201971","type":"PanTool"},{"id":"0fc8f27a-ef28-48d3-8f87-559042e21367","type":"WheelZoomTool"},{"id":"ec4aeaa4-1c48-461a-a453-f535e4e9c434","type":"BoxZoomTool"},{"id":"e80b5ca4-a13c-451d-856b-651da5735a81","type":"SaveTool"},{"id":"6cadafcb-aa19-4d54-9e30-90f477c5d360","type":"ResetTool"},{"id":"d0ee4cc8-8b09-4367-9306-85eac4b4d439","type":"HelpTool"}]},"id":"da376a06-afae-4105-80a0-e88ae3c17930","type":"Toolbar"},{"attributes":{"plot":null,"text":""},"id":"25153f13-c640-4e71-a71b-f4e011b0030f","type":"Title"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,2,4,6,8,10],"y":[6,2,4,10,8,0]}},"id":"03e7d348-9a7c-4158-9941-6fe428507583","type":"ColumnDataSource"},{"attributes":{},"id":"ddc302a5-8d1c-479f-94ef-227ca6da2345","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"bb88d5e7-5b08-4cf1-8ac5-f9dce4a09149","subtype":"Figure","type":"Plot"},"ticker":{"id":"122fe7ee-fe4b-46b5-b059-2b965e122141","type":"BasicTicker"}},"id":"406b86c1-bc9e-4079-97a9-1d5a4f526c50","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"773c379f-3ff7-4b97-a998-cc0ce09cc831","type":"Circle"},{"attributes":{"callback":null},"id":"347dcef7-fbc8-400b-a281-f81d53c85e25","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"7558be5f-3a23-4e24-ae26-9949adb4f80c","type":"BoxAnnotation"},{"attributes":{"plot":{"id":"bb88d5e7-5b08-4cf1-8ac5-f9dce4a09149","subtype":"Figure","type":"Plot"},"ticker":{"id":"ddc302a5-8d1c-479f-94ef-227ca6da2345","type":"BasicTicker"}},"id":"44276094-c863-4a85-b2c0-35e7713193db","type":"Grid"},{"attributes":{"formatter":{"id":"5d03191f-459d-4a7e-b29a-e924754d8a5f","type":"BasicTickFormatter"},"plot":{"id":"bb88d5e7-5b08-4cf1-8ac5-f9dce4a09149","subtype":"Figure","type":"Plot"},"ticker":{"id":"ddc302a5-8d1c-479f-94ef-227ca6da2345","type":"BasicTicker"}},"id":"81efd0b0-b238-43bd-91e7-4d405183cd46","type":"LinearAxis"},{"attributes":{},"id":"a668afb3-e686-43bc-9733-83202b714839","type":"LinearScale"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"79cc5e84-2894-4ff8-9c74-3fc48b86110c","type":"Circle"},{"attributes":{"callback":null},"id":"57d6b43d-f0e6-43dd-a0c9-dac44016f2fa","type":"DataRange1d"},{"attributes":{},"id":"122fe7ee-fe4b-46b5-b059-2b965e122141","type":"BasicTicker"},{"attributes":{},"id":"890b677f-ee27-4d49-8d8f-a94de1201971","type":"PanTool"}],"root_ids":["bb88d5e7-5b08-4cf1-8ac5-f9dce4a09149"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"7d4f24e7-7189-4724-ab48-0782da00faf2","elementid":"af26aa53-f9bb-4e65-b973-8d4e2e65ecd9","modelid":"bb88d5e7-5b08-4cf1-8ac5-f9dce4a09149"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
