(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("f5c33b01-a7fc-4b91-9f8e-f7ad4d195d81");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'f5c33b01-a7fc-4b91-9f8e-f7ad4d195d81' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"0898d12e-cb06-433f-85ec-fadc4ec9239e":{"roots":{"references":[{"attributes":{"below":[{"id":"2401a83f-23fb-4166-813d-1d53304fa579","type":"LinearAxis"}],"left":[{"id":"d2a64caf-c08b-4016-85ba-67b32af171cf","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"2401a83f-23fb-4166-813d-1d53304fa579","type":"LinearAxis"},{"id":"92bd08ba-3e16-495e-93af-e67f96efc82f","type":"Grid"},{"id":"d2a64caf-c08b-4016-85ba-67b32af171cf","type":"LinearAxis"},{"id":"7efa4f5d-a936-455a-8923-6cc379012f32","type":"Grid"},{"id":"99d21bb0-35b2-4160-b63f-f981d1126520","type":"BoxAnnotation"},{"id":"0329333f-b5c1-40d0-b09c-4147b6d8d2c2","type":"GlyphRenderer"}],"title":{"id":"a9a9729e-4ab8-4091-a007-4bab31beb99a","type":"Title"},"toolbar":{"id":"857e65aa-baf5-4bb7-9771-bc0c45538023","type":"Toolbar"},"x_range":{"id":"a79d3d2a-27c3-45a4-b305-e27f31d30222","type":"DataRange1d"},"x_scale":{"id":"8b85170a-c3d5-4117-9bb2-1239b69a06aa","type":"LinearScale"},"y_range":{"id":"1ed45b84-2c27-4f10-8be1-32fa30071cd0","type":"DataRange1d"},"y_scale":{"id":"3f09b03f-fbbf-4cc4-9595-c9f7fae8b02f","type":"LinearScale"}},"id":"09af6c3c-5b08-4795-9f0b-b0eac0ffda53","subtype":"Figure","type":"Plot"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"99d21bb0-35b2-4160-b63f-f981d1126520","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"a79d3d2a-27c3-45a4-b305-e27f31d30222","type":"DataRange1d"},{"attributes":{},"id":"dd945be0-5429-4282-a2c3-1ece8157405b","type":"BasicTicker"},{"attributes":{},"id":"3f09b03f-fbbf-4cc4-9595-c9f7fae8b02f","type":"LinearScale"},{"attributes":{},"id":"b6751525-4b1e-48af-ac4a-ebe8ee76a115","type":"WheelZoomTool"},{"attributes":{"data_source":{"id":"2e8d720f-fdff-4179-98a9-7d711ef956f6","type":"ColumnDataSource"},"glyph":{"id":"4d680fe1-2835-46fc-bb9d-b67a5a6eab68","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"8ecce3bd-30e3-4783-952e-a275fe9477f6","type":"Circle"},"selection_glyph":null,"view":{"id":"b1863750-74b2-4e6e-914b-667f6da2fd4c","type":"CDSView"}},"id":"0329333f-b5c1-40d0-b09c-4147b6d8d2c2","type":"GlyphRenderer"},{"attributes":{"overlay":{"id":"99d21bb0-35b2-4160-b63f-f981d1126520","type":"BoxAnnotation"}},"id":"f165f767-b0ab-482d-a15e-3329e260b04f","type":"BoxZoomTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"8ecce3bd-30e3-4783-952e-a275fe9477f6","type":"Circle"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"2e8d720f-fdff-4179-98a9-7d711ef956f6","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"1ed45b84-2c27-4f10-8be1-32fa30071cd0","type":"DataRange1d"},{"attributes":{},"id":"8b85170a-c3d5-4117-9bb2-1239b69a06aa","type":"LinearScale"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"09af6c3c-5b08-4795-9f0b-b0eac0ffda53","subtype":"Figure","type":"Plot"},"ticker":{"id":"0428352b-fd28-4c4a-8760-096c7bac73fa","type":"BasicTicker"}},"id":"92bd08ba-3e16-495e-93af-e67f96efc82f","type":"Grid"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"4d680fe1-2835-46fc-bb9d-b67a5a6eab68","type":"Circle"},{"attributes":{},"id":"b22948ed-c9bc-4797-9520-0c67b968b901","type":"HelpTool"},{"attributes":{},"id":"0428352b-fd28-4c4a-8760-096c7bac73fa","type":"BasicTicker"},{"attributes":{},"id":"206fcf10-8598-4ad2-b39c-0422c619eab8","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"206fcf10-8598-4ad2-b39c-0422c619eab8","type":"BasicTickFormatter"},"plot":{"id":"09af6c3c-5b08-4795-9f0b-b0eac0ffda53","subtype":"Figure","type":"Plot"},"ticker":{"id":"0428352b-fd28-4c4a-8760-096c7bac73fa","type":"BasicTicker"}},"id":"2401a83f-23fb-4166-813d-1d53304fa579","type":"LinearAxis"},{"attributes":{},"id":"f394ec7a-43a1-4b38-a47c-6f7eae157f8b","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"a9a9729e-4ab8-4091-a007-4bab31beb99a","type":"Title"},{"attributes":{},"id":"237ec1fe-0942-4f0c-beac-8d9b0b18f2c3","type":"ResetTool"},{"attributes":{},"id":"e79112dd-1bdb-4323-9885-edff3f656399","type":"SaveTool"},{"attributes":{"formatter":{"id":"f394ec7a-43a1-4b38-a47c-6f7eae157f8b","type":"BasicTickFormatter"},"plot":{"id":"09af6c3c-5b08-4795-9f0b-b0eac0ffda53","subtype":"Figure","type":"Plot"},"ticker":{"id":"dd945be0-5429-4282-a2c3-1ece8157405b","type":"BasicTicker"}},"id":"d2a64caf-c08b-4016-85ba-67b32af171cf","type":"LinearAxis"},{"attributes":{"source":{"id":"2e8d720f-fdff-4179-98a9-7d711ef956f6","type":"ColumnDataSource"}},"id":"b1863750-74b2-4e6e-914b-667f6da2fd4c","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"93c79d41-4881-4fe6-83b2-9c9dffebe8f2","type":"PanTool"},{"id":"b6751525-4b1e-48af-ac4a-ebe8ee76a115","type":"WheelZoomTool"},{"id":"f165f767-b0ab-482d-a15e-3329e260b04f","type":"BoxZoomTool"},{"id":"e79112dd-1bdb-4323-9885-edff3f656399","type":"SaveTool"},{"id":"237ec1fe-0942-4f0c-beac-8d9b0b18f2c3","type":"ResetTool"},{"id":"b22948ed-c9bc-4797-9520-0c67b968b901","type":"HelpTool"}]},"id":"857e65aa-baf5-4bb7-9771-bc0c45538023","type":"Toolbar"},{"attributes":{},"id":"93c79d41-4881-4fe6-83b2-9c9dffebe8f2","type":"PanTool"},{"attributes":{"dimension":1,"grid_line_alpha":{"value":0.5},"grid_line_dash":[6,4],"plot":{"id":"09af6c3c-5b08-4795-9f0b-b0eac0ffda53","subtype":"Figure","type":"Plot"},"ticker":{"id":"dd945be0-5429-4282-a2c3-1ece8157405b","type":"BasicTicker"}},"id":"7efa4f5d-a936-455a-8923-6cc379012f32","type":"Grid"}],"root_ids":["09af6c3c-5b08-4795-9f0b-b0eac0ffda53"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"0898d12e-cb06-433f-85ec-fadc4ec9239e","elementid":"f5c33b01-a7fc-4b91-9f8e-f7ad4d195d81","modelid":"09af6c3c-5b08-4795-9f0b-b0eac0ffda53"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
