(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b2096240-88e0-4c81-88e3-fe62b172f125");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b2096240-88e0-4c81-88e3-fe62b172f125' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"2134b360-134d-4bdc-b436-08f99fa9912e":{"roots":{"references":[{"attributes":{"band_fill_alpha":{"value":0.1},"band_fill_color":{"value":"navy"},"dimension":1,"plot":{"id":"6b2e3175-5810-43c2-8281-722fcdfa9974","subtype":"Figure","type":"Plot"},"ticker":{"id":"d5c3ad48-bee5-43e3-a4a1-9758f601743c","type":"BasicTicker"}},"id":"e8ed4e81-4806-4ba3-b53e-a5f835f0387b","type":"Grid"},{"attributes":{},"id":"43677990-edb7-4bc5-bb80-2c239f853f3f","type":"ResetTool"},{"attributes":{},"id":"1a76f0d4-27b9-4f5a-a1ed-ea7b4043d36e","type":"HelpTool"},{"attributes":{"below":[{"id":"4494df7e-4555-4605-a478-eb9df9c82bb8","type":"LinearAxis"}],"left":[{"id":"e7d35a00-8385-45b2-aef1-89d25e84285a","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"4494df7e-4555-4605-a478-eb9df9c82bb8","type":"LinearAxis"},{"id":"8ecf3112-c9ed-46cd-9cef-1f90a97be4bb","type":"Grid"},{"id":"e7d35a00-8385-45b2-aef1-89d25e84285a","type":"LinearAxis"},{"id":"e8ed4e81-4806-4ba3-b53e-a5f835f0387b","type":"Grid"},{"id":"c8b0cb6f-8f5a-46b7-915d-1b033834a909","type":"BoxAnnotation"},{"id":"af26cd99-9901-4aa8-85d7-83c71e5adf67","type":"GlyphRenderer"}],"title":{"id":"494b5b13-9021-4093-a27e-cd1fb26c36aa","type":"Title"},"toolbar":{"id":"10d4a53a-c537-428b-9b4a-465b5c00da04","type":"Toolbar"},"x_range":{"id":"97bb6bf2-9c0e-4764-b531-032a2a74d5a3","type":"DataRange1d"},"x_scale":{"id":"19050c02-ebc0-4be1-8438-c9454e42b318","type":"LinearScale"},"y_range":{"id":"aede7a47-e8ad-41cf-820c-31b37f89ffa1","type":"DataRange1d"},"y_scale":{"id":"4b602a4a-58cb-4c6a-9d8d-a55121510979","type":"LinearScale"}},"id":"6b2e3175-5810-43c2-8281-722fcdfa9974","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"d5c3ad48-bee5-43e3-a4a1-9758f601743c","type":"BasicTicker"},{"attributes":{},"id":"19050c02-ebc0-4be1-8438-c9454e42b318","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"a0fff39b-3f6d-4ad4-a56f-f427177c40da","type":"Circle"},{"attributes":{},"id":"22ea3a1a-8294-4631-b498-ceb10fb58055","type":"SaveTool"},{"attributes":{"data_source":{"id":"4ce39d98-79cb-45d4-8fe2-b239318359e6","type":"ColumnDataSource"},"glyph":{"id":"834ca8a1-34cd-45f6-b584-4f815861b562","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a0fff39b-3f6d-4ad4-a56f-f427177c40da","type":"Circle"},"selection_glyph":null,"view":{"id":"9eb5f5ce-69ed-42ae-9858-bb1ec3285b32","type":"CDSView"}},"id":"af26cd99-9901-4aa8-85d7-83c71e5adf67","type":"GlyphRenderer"},{"attributes":{},"id":"4b602a4a-58cb-4c6a-9d8d-a55121510979","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"6f15bf55-c99e-4902-b265-df7d0636253e","type":"PanTool"},{"id":"1fc85056-e5d3-4cf9-8c3e-851b84a62899","type":"WheelZoomTool"},{"id":"6d05d404-cacc-4ac2-a1da-5a152c186f4c","type":"BoxZoomTool"},{"id":"22ea3a1a-8294-4631-b498-ceb10fb58055","type":"SaveTool"},{"id":"43677990-edb7-4bc5-bb80-2c239f853f3f","type":"ResetTool"},{"id":"1a76f0d4-27b9-4f5a-a1ed-ea7b4043d36e","type":"HelpTool"}]},"id":"10d4a53a-c537-428b-9b4a-465b5c00da04","type":"Toolbar"},{"attributes":{"formatter":{"id":"d306188f-55ba-4efc-8124-e96fb82da272","type":"BasicTickFormatter"},"plot":{"id":"6b2e3175-5810-43c2-8281-722fcdfa9974","subtype":"Figure","type":"Plot"},"ticker":{"id":"ea94dae3-4092-4c4a-9421-46b1b0eef08d","type":"BasicTicker"}},"id":"4494df7e-4555-4605-a478-eb9df9c82bb8","type":"LinearAxis"},{"attributes":{"source":{"id":"4ce39d98-79cb-45d4-8fe2-b239318359e6","type":"ColumnDataSource"}},"id":"9eb5f5ce-69ed-42ae-9858-bb1ec3285b32","type":"CDSView"},{"attributes":{},"id":"d306188f-55ba-4efc-8124-e96fb82da272","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"aede7a47-e8ad-41cf-820c-31b37f89ffa1","type":"DataRange1d"},{"attributes":{"formatter":{"id":"67cf1c30-b4b2-4b25-85f4-dc1b1a33c6cd","type":"BasicTickFormatter"},"plot":{"id":"6b2e3175-5810-43c2-8281-722fcdfa9974","subtype":"Figure","type":"Plot"},"ticker":{"id":"d5c3ad48-bee5-43e3-a4a1-9758f601743c","type":"BasicTicker"}},"id":"e7d35a00-8385-45b2-aef1-89d25e84285a","type":"LinearAxis"},{"attributes":{},"id":"ea94dae3-4092-4c4a-9421-46b1b0eef08d","type":"BasicTicker"},{"attributes":{"overlay":{"id":"c8b0cb6f-8f5a-46b7-915d-1b033834a909","type":"BoxAnnotation"}},"id":"6d05d404-cacc-4ac2-a1da-5a152c186f4c","type":"BoxZoomTool"},{"attributes":{},"id":"67cf1c30-b4b2-4b25-85f4-dc1b1a33c6cd","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"834ca8a1-34cd-45f6-b584-4f815861b562","type":"Circle"},{"attributes":{"callback":null},"id":"97bb6bf2-9c0e-4764-b531-032a2a74d5a3","type":"DataRange1d"},{"attributes":{"plot":null,"text":""},"id":"494b5b13-9021-4093-a27e-cd1fb26c36aa","type":"Title"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"6b2e3175-5810-43c2-8281-722fcdfa9974","subtype":"Figure","type":"Plot"},"ticker":{"id":"ea94dae3-4092-4c4a-9421-46b1b0eef08d","type":"BasicTicker"}},"id":"8ecf3112-c9ed-46cd-9cef-1f90a97be4bb","type":"Grid"},{"attributes":{},"id":"6f15bf55-c99e-4902-b265-df7d0636253e","type":"PanTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"c8b0cb6f-8f5a-46b7-915d-1b033834a909","type":"BoxAnnotation"},{"attributes":{},"id":"1fc85056-e5d3-4cf9-8c3e-851b84a62899","type":"WheelZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"4ce39d98-79cb-45d4-8fe2-b239318359e6","type":"ColumnDataSource"}],"root_ids":["6b2e3175-5810-43c2-8281-722fcdfa9974"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"2134b360-134d-4bdc-b436-08f99fa9912e","elementid":"b2096240-88e0-4c81-88e3-fe62b172f125","modelid":"6b2e3175-5810-43c2-8281-722fcdfa9974"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
