(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("cb90f6f1-fb34-4b63-8033-7b4890a88efa");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'cb90f6f1-fb34-4b63-8033-7b4890a88efa' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"f0464cba-1640-4e45-a6c6-64c9c439197f":{"roots":{"references":[{"attributes":{"callback":null},"id":"f845ae21-2cd4-413c-91a0-b225b84425d1","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"3dec79dc-4450-408a-9660-961f35de3bba","type":"PanTool"},{"id":"4e5db628-1ca2-4c77-a639-47a86370929c","type":"WheelZoomTool"},{"id":"c2fc7750-2fca-4dba-be81-455e1206558d","type":"BoxZoomTool"},{"id":"3ec54810-7fe6-4cee-b669-20f5b0f7595b","type":"SaveTool"},{"id":"bbf4e819-adbe-4983-8f63-379a6ca2eee5","type":"ResetTool"},{"id":"0dc4c192-2dbf-41a2-85ae-2f0109bc32b2","type":"HelpTool"}]},"id":"2dd8dfa3-c8e8-45d8-b4ff-871a2ecdf0f8","type":"Toolbar"},{"attributes":{"plot":{"id":"031d8107-780c-4866-98c4-0cb93e9ef0ac","subtype":"Figure","type":"Plot"},"ticker":{"id":"72279cca-b623-4fee-8720-a85539a6c41c","type":"BasicTicker"}},"id":"0500d6e1-0c65-431f-8e44-e44fda98ffa7","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"031d8107-780c-4866-98c4-0cb93e9ef0ac","subtype":"Figure","type":"Plot"},"ticker":{"id":"22fac6a9-6cbd-46cd-89fe-60badbe6513b","type":"BasicTicker"}},"id":"1c15ae29-d528-4dea-b84b-18e9d2706266","type":"Grid"},{"attributes":{},"id":"4e5db628-1ca2-4c77-a639-47a86370929c","type":"WheelZoomTool"},{"attributes":{},"id":"3dec79dc-4450-408a-9660-961f35de3bba","type":"PanTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"d02dcfa9-3289-40ae-b663-c22e06ca3ed2","type":"Circle"},{"attributes":{"callback":null},"id":"231a0d79-e71d-4521-8302-f371d4e9ccab","type":"DataRange1d"},{"attributes":{},"id":"9e80d415-70c1-462f-9a5f-9a345b7e3ae1","type":"BasicTickFormatter"},{"attributes":{},"id":"72279cca-b623-4fee-8720-a85539a6c41c","type":"BasicTicker"},{"attributes":{},"id":"f91b1b80-d4b0-4835-88f5-0099b83c7789","type":"LinearScale"},{"attributes":{},"id":"22fac6a9-6cbd-46cd-89fe-60badbe6513b","type":"BasicTicker"},{"attributes":{},"id":"bbf4e819-adbe-4983-8f63-379a6ca2eee5","type":"ResetTool"},{"attributes":{"below":[{"id":"6e9aca32-7f1b-439f-9201-be52b131a250","type":"LinearAxis"}],"left":[{"id":"390e6a97-3892-46c4-a5d3-0a9e79364fa2","type":"LinearAxis"}],"plot_height":300,"plot_width":700,"renderers":[{"id":"6e9aca32-7f1b-439f-9201-be52b131a250","type":"LinearAxis"},{"id":"0500d6e1-0c65-431f-8e44-e44fda98ffa7","type":"Grid"},{"id":"390e6a97-3892-46c4-a5d3-0a9e79364fa2","type":"LinearAxis"},{"id":"1c15ae29-d528-4dea-b84b-18e9d2706266","type":"Grid"},{"id":"42da5662-9c8a-4365-9ac9-8e56a2523104","type":"BoxAnnotation"},{"id":"869fe8dc-c9d1-4227-b986-59d716108e8e","type":"GlyphRenderer"}],"title":{"id":"bbc6600a-fa38-49e7-9772-fbba3dcd80ce","type":"Title"},"toolbar":{"id":"2dd8dfa3-c8e8-45d8-b4ff-871a2ecdf0f8","type":"Toolbar"},"x_range":{"id":"f845ae21-2cd4-413c-91a0-b225b84425d1","type":"DataRange1d"},"x_scale":{"id":"0073bda5-b616-49d4-a7fc-a07267999661","type":"LinearScale"},"y_range":{"id":"231a0d79-e71d-4521-8302-f371d4e9ccab","type":"DataRange1d"},"y_scale":{"id":"f91b1b80-d4b0-4835-88f5-0099b83c7789","type":"LinearScale"}},"id":"031d8107-780c-4866-98c4-0cb93e9ef0ac","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"3ec54810-7fe6-4cee-b669-20f5b0f7595b","type":"SaveTool"},{"attributes":{"formatter":{"id":"0f16e1a5-371b-41d7-9cbe-931fd4fb3fd4","type":"BasicTickFormatter"},"plot":{"id":"031d8107-780c-4866-98c4-0cb93e9ef0ac","subtype":"Figure","type":"Plot"},"ticker":{"id":"22fac6a9-6cbd-46cd-89fe-60badbe6513b","type":"BasicTicker"}},"id":"390e6a97-3892-46c4-a5d3-0a9e79364fa2","type":"LinearAxis"},{"attributes":{"formatter":{"id":"9e80d415-70c1-462f-9a5f-9a345b7e3ae1","type":"BasicTickFormatter"},"plot":{"id":"031d8107-780c-4866-98c4-0cb93e9ef0ac","subtype":"Figure","type":"Plot"},"ticker":{"id":"72279cca-b623-4fee-8720-a85539a6c41c","type":"BasicTicker"}},"id":"6e9aca32-7f1b-439f-9201-be52b131a250","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"46a0bd67-cb06-4fba-9a0a-cb33237ecc30","type":"Circle"},{"attributes":{"overlay":{"id":"42da5662-9c8a-4365-9ac9-8e56a2523104","type":"BoxAnnotation"}},"id":"c2fc7750-2fca-4dba-be81-455e1206558d","type":"BoxZoomTool"},{"attributes":{},"id":"0f16e1a5-371b-41d7-9cbe-931fd4fb3fd4","type":"BasicTickFormatter"},{"attributes":{},"id":"0dc4c192-2dbf-41a2-85ae-2f0109bc32b2","type":"HelpTool"},{"attributes":{"plot":null,"text":""},"id":"bbc6600a-fa38-49e7-9772-fbba3dcd80ce","type":"Title"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"42da5662-9c8a-4365-9ac9-8e56a2523104","type":"BoxAnnotation"},{"attributes":{"source":{"id":"1dc5f6dc-66e9-4868-a0e0-d4887207beea","type":"ColumnDataSource"}},"id":"a6021503-458c-4ed6-83d4-ecbae4b378fd","type":"CDSView"},{"attributes":{},"id":"0073bda5-b616-49d4-a7fc-a07267999661","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"1dc5f6dc-66e9-4868-a0e0-d4887207beea","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"1dc5f6dc-66e9-4868-a0e0-d4887207beea","type":"ColumnDataSource"},"glyph":{"id":"d02dcfa9-3289-40ae-b663-c22e06ca3ed2","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"46a0bd67-cb06-4fba-9a0a-cb33237ecc30","type":"Circle"},"selection_glyph":null,"view":{"id":"a6021503-458c-4ed6-83d4-ecbae4b378fd","type":"CDSView"}},"id":"869fe8dc-c9d1-4227-b986-59d716108e8e","type":"GlyphRenderer"}],"root_ids":["031d8107-780c-4866-98c4-0cb93e9ef0ac"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"f0464cba-1640-4e45-a6c6-64c9c439197f","elementid":"cb90f6f1-fb34-4b63-8033-7b4890a88efa","modelid":"031d8107-780c-4866-98c4-0cb93e9ef0ac"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
