(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("9f76d03e-b3cc-4255-9f0c-4919c6df4dcf");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '9f76d03e-b3cc-4255-9f0c-4919c6df4dcf' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"3e81f5f5-1b0d-41e8-8c0b-ff8b4ab98283":{"roots":{"references":[{"attributes":{},"id":"dbc308e3-8977-45f2-97fa-144893c7878c","type":"ResetTool"},{"attributes":{},"id":"2a171c06-a201-420f-b921-49087164cc02","type":"SaveTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"8b5b0982-6acf-4d70-be9d-c8b868ff3e4b","type":"Circle"},{"attributes":{"source":{"id":"018ea5a0-c93e-4816-9300-cf04e044f92b","type":"ColumnDataSource"}},"id":"3ef97b93-0d89-442b-8ce5-c83695717067","type":"CDSView"},{"attributes":{},"id":"f67698c4-ffc6-40ab-a55c-fa7b0a681572","type":"WheelZoomTool"},{"attributes":{"below":[{"id":"2c323e3c-a3c1-4171-9e98-787ec522f646","type":"LinearAxis"}],"left":[{"id":"794bc642-8845-4fc5-bfce-63b07d745873","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"2c323e3c-a3c1-4171-9e98-787ec522f646","type":"LinearAxis"},{"id":"71a6073a-2148-46ba-a3e6-11cd8627bb48","type":"Grid"},{"id":"794bc642-8845-4fc5-bfce-63b07d745873","type":"LinearAxis"},{"id":"98d90995-c670-4456-bc06-7ef975c73b47","type":"Grid"},{"id":"e664c8d0-0ece-4fb9-b059-1a311647b94b","type":"BoxAnnotation"},{"id":"b08fb33c-4f0f-423f-92bc-5700f80e3168","type":"GlyphRenderer"}],"title":{"id":"09f5bee8-1fc8-4033-af6f-ef6ae0b24354","type":"Title"},"toolbar":{"id":"67eed273-1c44-4502-8603-724e3c0eec4f","type":"Toolbar"},"x_range":{"id":"fee1dff1-cc64-43b9-a5c3-945323a39d84","type":"DataRange1d"},"x_scale":{"id":"6f3dfe81-d41b-439f-87cc-8d3448f960a8","type":"LinearScale"},"y_range":{"id":"d4123b87-2ead-4b0c-a8a7-38e8d0ec1e34","type":"DataRange1d"},"y_scale":{"id":"b503b32f-002d-4be9-b6a4-9a8be8513d05","type":"LinearScale"}},"id":"351245fa-67f4-46d0-a4c9-39d33e611c98","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"d4123b87-2ead-4b0c-a8a7-38e8d0ec1e34","type":"DataRange1d"},{"attributes":{},"id":"61a00d7d-f47c-4a7f-988a-acd6cbbedba5","type":"HelpTool"},{"attributes":{"plot":{"id":"351245fa-67f4-46d0-a4c9-39d33e611c98","subtype":"Figure","type":"Plot"},"ticker":{"id":"a7eafe27-9b16-44b7-b5d6-24a9c501e259","type":"BasicTicker"}},"id":"71a6073a-2148-46ba-a3e6-11cd8627bb48","type":"Grid"},{"attributes":{"formatter":{"id":"8599cb30-57f7-4950-8147-4112f14a1776","type":"BasicTickFormatter"},"plot":{"id":"351245fa-67f4-46d0-a4c9-39d33e611c98","subtype":"Figure","type":"Plot"},"ticker":{"id":"17d749d5-41e5-42b2-bd71-c73148e8ac44","type":"BasicTicker"}},"id":"794bc642-8845-4fc5-bfce-63b07d745873","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"f6f79220-ee41-4d1c-bf1a-4528dc3edc46","type":"PanTool"},{"id":"f67698c4-ffc6-40ab-a55c-fa7b0a681572","type":"WheelZoomTool"},{"id":"8111d9c0-3eb9-41cb-b0d3-b3262bbee835","type":"BoxZoomTool"},{"id":"2a171c06-a201-420f-b921-49087164cc02","type":"SaveTool"},{"id":"dbc308e3-8977-45f2-97fa-144893c7878c","type":"ResetTool"},{"id":"61a00d7d-f47c-4a7f-988a-acd6cbbedba5","type":"HelpTool"}]},"id":"67eed273-1c44-4502-8603-724e3c0eec4f","type":"Toolbar"},{"attributes":{},"id":"b503b32f-002d-4be9-b6a4-9a8be8513d05","type":"LinearScale"},{"attributes":{"formatter":{"id":"3b6a765d-9d34-4220-b7c3-8b8073daf2e7","type":"BasicTickFormatter"},"plot":{"id":"351245fa-67f4-46d0-a4c9-39d33e611c98","subtype":"Figure","type":"Plot"},"ticker":{"id":"a7eafe27-9b16-44b7-b5d6-24a9c501e259","type":"BasicTicker"}},"id":"2c323e3c-a3c1-4171-9e98-787ec522f646","type":"LinearAxis"},{"attributes":{"plot":null,"text":"Some Title","text_color":{"value":"olive"},"text_font":"times","text_font_style":"italic"},"id":"09f5bee8-1fc8-4033-af6f-ef6ae0b24354","type":"Title"},{"attributes":{},"id":"3b6a765d-9d34-4220-b7c3-8b8073daf2e7","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"cd3c4c32-2adc-4d92-a9a0-82e666f632af","type":"Circle"},{"attributes":{"overlay":{"id":"e664c8d0-0ece-4fb9-b059-1a311647b94b","type":"BoxAnnotation"}},"id":"8111d9c0-3eb9-41cb-b0d3-b3262bbee835","type":"BoxZoomTool"},{"attributes":{},"id":"8599cb30-57f7-4950-8147-4112f14a1776","type":"BasicTickFormatter"},{"attributes":{},"id":"a7eafe27-9b16-44b7-b5d6-24a9c501e259","type":"BasicTicker"},{"attributes":{},"id":"f6f79220-ee41-4d1c-bf1a-4528dc3edc46","type":"PanTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"018ea5a0-c93e-4816-9300-cf04e044f92b","type":"ColumnDataSource"},{"attributes":{},"id":"6f3dfe81-d41b-439f-87cc-8d3448f960a8","type":"LinearScale"},{"attributes":{"data_source":{"id":"018ea5a0-c93e-4816-9300-cf04e044f92b","type":"ColumnDataSource"},"glyph":{"id":"8b5b0982-6acf-4d70-be9d-c8b868ff3e4b","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"cd3c4c32-2adc-4d92-a9a0-82e666f632af","type":"Circle"},"selection_glyph":null,"view":{"id":"3ef97b93-0d89-442b-8ce5-c83695717067","type":"CDSView"}},"id":"b08fb33c-4f0f-423f-92bc-5700f80e3168","type":"GlyphRenderer"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"e664c8d0-0ece-4fb9-b059-1a311647b94b","type":"BoxAnnotation"},{"attributes":{},"id":"17d749d5-41e5-42b2-bd71-c73148e8ac44","type":"BasicTicker"},{"attributes":{"callback":null},"id":"fee1dff1-cc64-43b9-a5c3-945323a39d84","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"351245fa-67f4-46d0-a4c9-39d33e611c98","subtype":"Figure","type":"Plot"},"ticker":{"id":"17d749d5-41e5-42b2-bd71-c73148e8ac44","type":"BasicTicker"}},"id":"98d90995-c670-4456-bc06-7ef975c73b47","type":"Grid"}],"root_ids":["351245fa-67f4-46d0-a4c9-39d33e611c98"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"3e81f5f5-1b0d-41e8-8c0b-ff8b4ab98283","elementid":"9f76d03e-b3cc-4255-9f0c-4919c6df4dcf","modelid":"351245fa-67f4-46d0-a4c9-39d33e611c98"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
