(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("893fb4fb-f094-4100-bc25-e0db93179687");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '893fb4fb-f094-4100-bc25-e0db93179687' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a4458cba-bc3d-4dcd-bd16-e9c68edc0ed0":{"roots":{"references":[{"attributes":{},"id":"6a235dd8-8a5e-4153-9a58-27b3bea52752","type":"SaveTool"},{"attributes":{"plot":{"id":"ef6fbfe6-fadb-4da2-b82e-3383ce32671b","subtype":"Figure","type":"Plot"},"ticker":{"id":"86cb07b2-af2e-482b-9bcd-7f6d0adedec2","type":"BasicTicker"}},"id":"0fbcad10-2984-4972-ad12-dd33a1fe7c92","type":"Grid"},{"attributes":{},"id":"384ef000-c088-4008-b5b3-261a712e3ccc","type":"LinearScale"},{"attributes":{},"id":"1e234107-38bd-4519-afc0-1e76caa4b04e","type":"LinearScale"},{"attributes":{},"id":"86cb07b2-af2e-482b-9bcd-7f6d0adedec2","type":"BasicTicker"},{"attributes":{},"id":"b7a0d975-4f9b-4256-bbda-c9abdc42279a","type":"ResetTool"},{"attributes":{"callback":null},"id":"cbf6555a-07dc-4522-8782-88130f0daae9","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"bca5cb0c-e61a-4a16-b32e-4eb2e86c746d","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"e0b538b5-aba4-4b84-b682-81420dcb41ad","type":"DataRange1d"},{"attributes":{"source":{"id":"be17f493-1fa5-4210-91d5-8d5eeea1f2e4","type":"ColumnDataSource"}},"id":"1721d67a-b479-47be-af50-9515b91136b2","type":"CDSView"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"be17f493-1fa5-4210-91d5-8d5eeea1f2e4","type":"ColumnDataSource"},{"attributes":{},"id":"540ea12e-b6cc-48b4-aac6-f2861662e6b6","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"ef6fbfe6-fadb-4da2-b82e-3383ce32671b","subtype":"Figure","type":"Plot"},"ticker":{"id":"540ea12e-b6cc-48b4-aac6-f2861662e6b6","type":"BasicTicker"}},"id":"c0510005-c706-4fde-b495-99e1d020aad7","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"5c621873-8593-41ed-b157-aa7a2e3ba7cc","type":"PanTool"},{"id":"eb700869-fa3f-4672-b281-027949f1e9d7","type":"WheelZoomTool"},{"id":"b207ebb8-63a8-4e77-aa7a-78cc044f8da6","type":"BoxZoomTool"},{"id":"6a235dd8-8a5e-4153-9a58-27b3bea52752","type":"SaveTool"},{"id":"b7a0d975-4f9b-4256-bbda-c9abdc42279a","type":"ResetTool"},{"id":"ffe397ae-bd02-421b-93ed-038f34ebfafb","type":"HelpTool"}]},"id":"f44c47f9-89d9-40a2-941a-c92f80ad04b2","type":"Toolbar"},{"attributes":{},"id":"932b5c09-14f5-465f-a3c6-508226a1910c","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"bca5cb0c-e61a-4a16-b32e-4eb2e86c746d","type":"BoxAnnotation"}},"id":"b207ebb8-63a8-4e77-aa7a-78cc044f8da6","type":"BoxZoomTool"},{"attributes":{},"id":"ffe397ae-bd02-421b-93ed-038f34ebfafb","type":"HelpTool"},{"attributes":{},"id":"5c621873-8593-41ed-b157-aa7a2e3ba7cc","type":"PanTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"3e3357ac-989a-45c0-8d9f-09fd981ad3ac","type":"Circle"},{"attributes":{},"id":"eb700869-fa3f-4672-b281-027949f1e9d7","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"14fd61f5-7087-4496-bd98-0315d4563d49","type":"BasicTickFormatter"},"plot":{"id":"ef6fbfe6-fadb-4da2-b82e-3383ce32671b","subtype":"Figure","type":"Plot"},"ticker":{"id":"86cb07b2-af2e-482b-9bcd-7f6d0adedec2","type":"BasicTicker"}},"id":"af6ed9ec-335e-4073-9414-2d05b39ede12","type":"LinearAxis"},{"attributes":{"background_fill_alpha":{"value":0.5},"background_fill_color":{"value":"beige"},"below":[{"id":"af6ed9ec-335e-4073-9414-2d05b39ede12","type":"LinearAxis"}],"left":[{"id":"ef01bdc1-8083-4dac-9851-67fcc0bc3d3a","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"af6ed9ec-335e-4073-9414-2d05b39ede12","type":"LinearAxis"},{"id":"0fbcad10-2984-4972-ad12-dd33a1fe7c92","type":"Grid"},{"id":"ef01bdc1-8083-4dac-9851-67fcc0bc3d3a","type":"LinearAxis"},{"id":"c0510005-c706-4fde-b495-99e1d020aad7","type":"Grid"},{"id":"bca5cb0c-e61a-4a16-b32e-4eb2e86c746d","type":"BoxAnnotation"},{"id":"5a142386-ff15-4247-b35f-87131f6f33c3","type":"GlyphRenderer"}],"title":{"id":"2ffd1b2a-64e6-4b99-9378-6269cbb498b6","type":"Title"},"toolbar":{"id":"f44c47f9-89d9-40a2-941a-c92f80ad04b2","type":"Toolbar"},"x_range":{"id":"e0b538b5-aba4-4b84-b682-81420dcb41ad","type":"DataRange1d"},"x_scale":{"id":"1e234107-38bd-4519-afc0-1e76caa4b04e","type":"LinearScale"},"y_range":{"id":"cbf6555a-07dc-4522-8782-88130f0daae9","type":"DataRange1d"},"y_scale":{"id":"384ef000-c088-4008-b5b3-261a712e3ccc","type":"LinearScale"}},"id":"ef6fbfe6-fadb-4da2-b82e-3383ce32671b","subtype":"Figure","type":"Plot"},{"attributes":{"plot":null,"text":""},"id":"2ffd1b2a-64e6-4b99-9378-6269cbb498b6","type":"Title"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"800d4d02-4bad-470f-b1c0-67d7ccdc682f","type":"Circle"},{"attributes":{},"id":"14fd61f5-7087-4496-bd98-0315d4563d49","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"be17f493-1fa5-4210-91d5-8d5eeea1f2e4","type":"ColumnDataSource"},"glyph":{"id":"800d4d02-4bad-470f-b1c0-67d7ccdc682f","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"3e3357ac-989a-45c0-8d9f-09fd981ad3ac","type":"Circle"},"selection_glyph":null,"view":{"id":"1721d67a-b479-47be-af50-9515b91136b2","type":"CDSView"}},"id":"5a142386-ff15-4247-b35f-87131f6f33c3","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"932b5c09-14f5-465f-a3c6-508226a1910c","type":"BasicTickFormatter"},"plot":{"id":"ef6fbfe6-fadb-4da2-b82e-3383ce32671b","subtype":"Figure","type":"Plot"},"ticker":{"id":"540ea12e-b6cc-48b4-aac6-f2861662e6b6","type":"BasicTicker"}},"id":"ef01bdc1-8083-4dac-9851-67fcc0bc3d3a","type":"LinearAxis"}],"root_ids":["ef6fbfe6-fadb-4da2-b82e-3383ce32671b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a4458cba-bc3d-4dcd-bd16-e9c68edc0ed0","elementid":"893fb4fb-f094-4100-bc25-e0db93179687","modelid":"ef6fbfe6-fadb-4da2-b82e-3383ce32671b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
