(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("295156b9-2ebd-4ff8-82fc-d2c67628e4e7");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '295156b9-2ebd-4ff8-82fc-d2c67628e4e7' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"7b82dd5f-b4bc-4d1a-8dad-a9d4aac109dd":{"roots":{"references":[{"attributes":{"formatter":{"id":"eeda7de6-edde-487f-81cd-b5dc625194fb","type":"BasicTickFormatter"},"plot":{"id":"32a5fc03-bf3c-4a61-b178-a8c0b88389b5","subtype":"Figure","type":"Plot"},"ticker":{"id":"f8eba278-740f-4739-a1c4-d348a8fd7384","type":"BasicTicker"}},"id":"e06ef8a9-f2c5-40f1-bede-3c5f986f876b","type":"LinearAxis"},{"attributes":{"source":{"id":"24434326-f410-4b0a-bfcd-e79623a790ca","type":"ColumnDataSource"}},"id":"e89f5a05-0d7d-4b60-b13b-4c9ee397d769","type":"CDSView"},{"attributes":{},"id":"f8eba278-740f-4739-a1c4-d348a8fd7384","type":"BasicTicker"},{"attributes":{},"id":"eeda7de6-edde-487f-81cd-b5dc625194fb","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"b08b15e5-1734-4139-913a-c54bf32c63ac","type":"LinearAxis"}],"border_fill_color":{"value":"whitesmoke"},"left":[{"id":"e06ef8a9-f2c5-40f1-bede-3c5f986f876b","type":"LinearAxis"}],"min_border_left":80,"plot_height":400,"plot_width":400,"renderers":[{"id":"b08b15e5-1734-4139-913a-c54bf32c63ac","type":"LinearAxis"},{"id":"6e5c4739-9a4f-42f5-b539-72b595c8f7a4","type":"Grid"},{"id":"e06ef8a9-f2c5-40f1-bede-3c5f986f876b","type":"LinearAxis"},{"id":"0cd9ea32-4c98-4d2c-985d-959d1d83a359","type":"Grid"},{"id":"b6a84082-15ed-4662-af98-9b5f661e84f1","type":"BoxAnnotation"},{"id":"43de447f-8cf1-4c53-910e-71a1d8d14570","type":"GlyphRenderer"}],"title":{"id":"44ad1283-d526-4d05-801e-c550818b9376","type":"Title"},"toolbar":{"id":"3f9515e2-5422-46d7-8e6b-a057ec1341c4","type":"Toolbar"},"x_range":{"id":"00315b6b-7979-48a2-ac8a-361d1d5685cf","type":"DataRange1d"},"x_scale":{"id":"be0dae0c-7050-423a-a297-576e72a1f1c6","type":"LinearScale"},"y_range":{"id":"d5ca90d5-038e-4eab-9185-9b937f3ccb8a","type":"DataRange1d"},"y_scale":{"id":"1bd64c3c-1467-4bae-8258-a8d69e3e71b6","type":"LinearScale"}},"id":"32a5fc03-bf3c-4a61-b178-a8c0b88389b5","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"d5ca90d5-038e-4eab-9185-9b937f3ccb8a","type":"DataRange1d"},{"attributes":{},"id":"3e215f70-830f-474d-a712-375e28374ac3","type":"HelpTool"},{"attributes":{"plot":null,"text":""},"id":"44ad1283-d526-4d05-801e-c550818b9376","type":"Title"},{"attributes":{},"id":"9be9c66d-8dfd-4fda-8cf1-b5d3443b5a16","type":"BasicTicker"},{"attributes":{"formatter":{"id":"e7ea1d7a-d986-4ceb-8920-7e12b5d3628d","type":"BasicTickFormatter"},"plot":{"id":"32a5fc03-bf3c-4a61-b178-a8c0b88389b5","subtype":"Figure","type":"Plot"},"ticker":{"id":"9be9c66d-8dfd-4fda-8cf1-b5d3443b5a16","type":"BasicTicker"}},"id":"b08b15e5-1734-4139-913a-c54bf32c63ac","type":"LinearAxis"},{"attributes":{"overlay":{"id":"b6a84082-15ed-4662-af98-9b5f661e84f1","type":"BoxAnnotation"}},"id":"74ade1d9-a547-4de0-8e32-3c842bf942c2","type":"BoxZoomTool"},{"attributes":{},"id":"70e4060f-4b6e-4bc9-be9f-153c19764775","type":"PanTool"},{"attributes":{"plot":{"id":"32a5fc03-bf3c-4a61-b178-a8c0b88389b5","subtype":"Figure","type":"Plot"},"ticker":{"id":"9be9c66d-8dfd-4fda-8cf1-b5d3443b5a16","type":"BasicTicker"}},"id":"6e5c4739-9a4f-42f5-b539-72b595c8f7a4","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"24434326-f410-4b0a-bfcd-e79623a790ca","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"00315b6b-7979-48a2-ac8a-361d1d5685cf","type":"DataRange1d"},{"attributes":{},"id":"90c1d27a-b805-4c89-8d82-824eee111618","type":"ResetTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"70e4060f-4b6e-4bc9-be9f-153c19764775","type":"PanTool"},{"id":"b369faf1-f3cc-4843-8837-176023c3ef92","type":"WheelZoomTool"},{"id":"74ade1d9-a547-4de0-8e32-3c842bf942c2","type":"BoxZoomTool"},{"id":"218e8954-d084-4e1e-b91b-e656f259c607","type":"SaveTool"},{"id":"90c1d27a-b805-4c89-8d82-824eee111618","type":"ResetTool"},{"id":"3e215f70-830f-474d-a712-375e28374ac3","type":"HelpTool"}]},"id":"3f9515e2-5422-46d7-8e6b-a057ec1341c4","type":"Toolbar"},{"attributes":{"data_source":{"id":"24434326-f410-4b0a-bfcd-e79623a790ca","type":"ColumnDataSource"},"glyph":{"id":"31a9f576-5626-4beb-8d34-3a2bc5c0cb3a","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b3934b95-6002-44fe-9c9c-f7b94303cf96","type":"Circle"},"selection_glyph":null,"view":{"id":"e89f5a05-0d7d-4b60-b13b-4c9ee397d769","type":"CDSView"}},"id":"43de447f-8cf1-4c53-910e-71a1d8d14570","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"b3934b95-6002-44fe-9c9c-f7b94303cf96","type":"Circle"},{"attributes":{},"id":"b369faf1-f3cc-4843-8837-176023c3ef92","type":"WheelZoomTool"},{"attributes":{},"id":"1bd64c3c-1467-4bae-8258-a8d69e3e71b6","type":"LinearScale"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"31a9f576-5626-4beb-8d34-3a2bc5c0cb3a","type":"Circle"},{"attributes":{},"id":"be0dae0c-7050-423a-a297-576e72a1f1c6","type":"LinearScale"},{"attributes":{},"id":"e7ea1d7a-d986-4ceb-8920-7e12b5d3628d","type":"BasicTickFormatter"},{"attributes":{},"id":"218e8954-d084-4e1e-b91b-e656f259c607","type":"SaveTool"},{"attributes":{"dimension":1,"plot":{"id":"32a5fc03-bf3c-4a61-b178-a8c0b88389b5","subtype":"Figure","type":"Plot"},"ticker":{"id":"f8eba278-740f-4739-a1c4-d348a8fd7384","type":"BasicTicker"}},"id":"0cd9ea32-4c98-4d2c-985d-959d1d83a359","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"b6a84082-15ed-4662-af98-9b5f661e84f1","type":"BoxAnnotation"}],"root_ids":["32a5fc03-bf3c-4a61-b178-a8c0b88389b5"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"7b82dd5f-b4bc-4d1a-8dad-a9d4aac109dd","elementid":"295156b9-2ebd-4ff8-82fc-d2c67628e4e7","modelid":"32a5fc03-bf3c-4a61-b178-a8c0b88389b5"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
