(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("e01ce179-1b58-4852-bba3-e6f519beedaf");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'e01ce179-1b58-4852-bba3-e6f519beedaf' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"55865437-a412-484e-ab23-e8308e414b83":{"roots":{"references":[{"attributes":{},"id":"a0b9c742-4c4e-4999-b1d9-37ea94fa2831","type":"BasicTickFormatter"},{"attributes":{},"id":"d45d4bb8-21ad-4e88-a3e1-a274d31d1a44","type":"SaveTool"},{"attributes":{},"id":"79f26763-cdee-459e-8537-f9cecffea462","type":"WheelZoomTool"},{"attributes":{},"id":"ddb5162a-3053-4ce3-bbc0-aa26f67e0284","type":"LinearScale"},{"attributes":{},"id":"beb1d622-1291-499c-812b-4779b4c0cc9a","type":"BasicTicker"},{"attributes":{"data_source":{"id":"8cba2ed7-05fd-4cb4-9a16-ad57ec8e7f5c","type":"ColumnDataSource"},"glyph":{"id":"c3b92ced-be8c-4ddf-92f5-7fa887e51bdd","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ec97ecf1-4777-4a6a-92a9-4ecb11ab1392","type":"Circle"},"selection_glyph":null,"view":{"id":"8d25f1fb-ca4f-401d-90fe-6aae37b39c2f","type":"CDSView"}},"id":"0a56949e-12ee-4855-a6f7-d21878dd892b","type":"GlyphRenderer"},{"attributes":{"source":{"id":"8cba2ed7-05fd-4cb4-9a16-ad57ec8e7f5c","type":"ColumnDataSource"}},"id":"8d25f1fb-ca4f-401d-90fe-6aae37b39c2f","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"aa51eff4-baf6-4150-a474-145a17eec01b","subtype":"Figure","type":"Plot"},"ticker":{"id":"beb1d622-1291-499c-812b-4779b4c0cc9a","type":"BasicTicker"}},"id":"1d2168b3-04fb-4be8-aa35-f4ac666dfdb3","type":"Grid"},{"attributes":{},"id":"c6f084dc-e8f0-45f6-9668-f40df35c7414","type":"HelpTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"8cba2ed7-05fd-4cb4-9a16-ad57ec8e7f5c","type":"ColumnDataSource"},{"attributes":{},"id":"2bb910db-d39b-4352-9b41-2d335a6a5d03","type":"PanTool"},{"attributes":{},"id":"f71db4c3-c856-44d0-b5b2-7b1cbd2bbf33","type":"ResetTool"},{"attributes":{},"id":"48ed2ed5-3819-45b9-9ad7-2e622dcd29cf","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"e1625f21-b6cc-4a8a-be14-c0513b31b619","type":"Title"},{"attributes":{},"id":"b25a2031-c566-472d-8d73-70bb1a63d5fd","type":"BasicTicker"},{"attributes":{"below":[{"id":"fdb904e7-7f71-494c-92bb-19767ab0ea53","type":"LinearAxis"}],"left":[{"id":"54ebfe50-4282-46d4-9f8f-f89ca30217db","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"fdb904e7-7f71-494c-92bb-19767ab0ea53","type":"LinearAxis"},{"id":"4764ab2d-9868-455a-a3f2-e69c9874a1ac","type":"Grid"},{"id":"54ebfe50-4282-46d4-9f8f-f89ca30217db","type":"LinearAxis"},{"id":"1d2168b3-04fb-4be8-aa35-f4ac666dfdb3","type":"Grid"},{"id":"226ad025-42a6-4029-905d-c740b23a47ba","type":"BoxAnnotation"},{"id":"0a56949e-12ee-4855-a6f7-d21878dd892b","type":"GlyphRenderer"}],"title":{"id":"e1625f21-b6cc-4a8a-be14-c0513b31b619","type":"Title"},"toolbar":{"id":"0b5a823c-afc7-4d0f-8b6b-f874baaa6b0d","type":"Toolbar"},"x_range":{"id":"0d6d33d0-856d-4968-81ae-e1cf8fd14bd5","type":"DataRange1d"},"x_scale":{"id":"ddb5162a-3053-4ce3-bbc0-aa26f67e0284","type":"LinearScale"},"y_range":{"id":"fdf763bb-873d-4cce-b908-c49ff2e299fe","type":"DataRange1d"},"y_scale":{"id":"0a326830-01f9-45ac-87bb-b2f34ea385cc","type":"LinearScale"}},"id":"aa51eff4-baf6-4150-a474-145a17eec01b","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"fdf763bb-873d-4cce-b908-c49ff2e299fe","type":"DataRange1d"},{"attributes":{"overlay":{"id":"226ad025-42a6-4029-905d-c740b23a47ba","type":"BoxAnnotation"}},"id":"ccb6c170-6fc8-4731-8fe4-0afcd26ba96e","type":"BoxZoomTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"2bb910db-d39b-4352-9b41-2d335a6a5d03","type":"PanTool"},{"id":"79f26763-cdee-459e-8537-f9cecffea462","type":"WheelZoomTool"},{"id":"ccb6c170-6fc8-4731-8fe4-0afcd26ba96e","type":"BoxZoomTool"},{"id":"d45d4bb8-21ad-4e88-a3e1-a274d31d1a44","type":"SaveTool"},{"id":"f71db4c3-c856-44d0-b5b2-7b1cbd2bbf33","type":"ResetTool"},{"id":"c6f084dc-e8f0-45f6-9668-f40df35c7414","type":"HelpTool"}]},"id":"0b5a823c-afc7-4d0f-8b6b-f874baaa6b0d","type":"Toolbar"},{"attributes":{"formatter":{"id":"48ed2ed5-3819-45b9-9ad7-2e622dcd29cf","type":"BasicTickFormatter"},"plot":{"id":"aa51eff4-baf6-4150-a474-145a17eec01b","subtype":"Figure","type":"Plot"},"ticker":{"id":"b25a2031-c566-472d-8d73-70bb1a63d5fd","type":"BasicTicker"}},"id":"fdb904e7-7f71-494c-92bb-19767ab0ea53","type":"LinearAxis"},{"attributes":{"formatter":{"id":"a0b9c742-4c4e-4999-b1d9-37ea94fa2831","type":"BasicTickFormatter"},"plot":{"id":"aa51eff4-baf6-4150-a474-145a17eec01b","subtype":"Figure","type":"Plot"},"ticker":{"id":"beb1d622-1291-499c-812b-4779b4c0cc9a","type":"BasicTicker"}},"id":"54ebfe50-4282-46d4-9f8f-f89ca30217db","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"ec97ecf1-4777-4a6a-92a9-4ecb11ab1392","type":"Circle"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"226ad025-42a6-4029-905d-c740b23a47ba","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"0d6d33d0-856d-4968-81ae-e1cf8fd14bd5","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.2},"fill_color":{"value":"#1f77b4"},"line_color":{"value":"firebrick"},"line_dash":[6,3],"line_width":{"value":2},"size":{"units":"screen","value":60},"x":{"field":"x"},"y":{"field":"y"}},"id":"c3b92ced-be8c-4ddf-92f5-7fa887e51bdd","type":"Circle"},{"attributes":{},"id":"0a326830-01f9-45ac-87bb-b2f34ea385cc","type":"LinearScale"},{"attributes":{"plot":{"id":"aa51eff4-baf6-4150-a474-145a17eec01b","subtype":"Figure","type":"Plot"},"ticker":{"id":"b25a2031-c566-472d-8d73-70bb1a63d5fd","type":"BasicTicker"}},"id":"4764ab2d-9868-455a-a3f2-e69c9874a1ac","type":"Grid"}],"root_ids":["aa51eff4-baf6-4150-a474-145a17eec01b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"55865437-a412-484e-ab23-e8308e414b83","elementid":"e01ce179-1b58-4852-bba3-e6f519beedaf","modelid":"aa51eff4-baf6-4150-a474-145a17eec01b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
