(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("c5e74c86-2334-49d3-a020-6a2a030581f9");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'c5e74c86-2334-49d3-a020-6a2a030581f9' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"6b77bd2a-b4de-4f49-9ba1-58c977ea108e":{"roots":{"references":[{"attributes":{},"id":"059a848a-ff75-4aa4-a481-b8b9c03eb3ae","type":"LinearScale"},{"attributes":{"formatter":{"id":"2a3f63fd-a33d-4c85-b946-7fe60401e7c3","type":"BasicTickFormatter"},"plot":{"id":"4a856e32-058f-495b-a1ab-f830857b37c1","subtype":"Figure","type":"Plot"},"ticker":{"id":"f415d25d-a8c6-403c-9ed4-63a98df971ad","type":"BasicTicker"}},"id":"979393b3-d7c0-4af3-aaed-d3105c9f05cf","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"7607c150-3e4a-4615-b9b0-2807a789aab1","type":"Circle"},{"attributes":{},"id":"3d36d4e2-bcbc-445f-964f-5fef8371fc3d","type":"HelpTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"e4051cd8-36f3-43c6-8484-897e53e40f32","type":"ColumnDataSource"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"759e7123-9f4a-415b-ac42-61ab03f0e213","type":"Circle"},{"attributes":{},"id":"71e2f2af-bbc6-4468-bbc8-b4478168565e","type":"PanTool"},{"attributes":{"source":{"id":"e4051cd8-36f3-43c6-8484-897e53e40f32","type":"ColumnDataSource"}},"id":"4e937858-e9f8-4d31-8289-dffc8cf88a16","type":"CDSView"},{"attributes":{"callback":null},"id":"d4c6f9f0-5d52-4072-bb93-540cfd8e216d","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"4a856e32-058f-495b-a1ab-f830857b37c1","subtype":"Figure","type":"Plot"},"ticker":{"id":"e3489e9d-1a8f-410a-8314-94dfe65b413d","type":"BasicTicker"}},"id":"2be2a787-6315-4233-bb09-3a55862a20f1","type":"Grid"},{"attributes":{},"id":"15c5c6b6-69dc-4187-b094-d45478267eb2","type":"LinearScale"},{"attributes":{"callback":null},"id":"6ada437d-5336-4012-95cd-f641c246800f","type":"DataRange1d"},{"attributes":{"formatter":{"id":"bb1102a2-ee29-485e-9e9e-7fa0201d891d","type":"BasicTickFormatter"},"plot":{"id":"4a856e32-058f-495b-a1ab-f830857b37c1","subtype":"Figure","type":"Plot"},"ticker":{"id":"e3489e9d-1a8f-410a-8314-94dfe65b413d","type":"BasicTicker"}},"id":"e6878d1c-2980-4291-a944-ae9391fa1d7d","type":"LinearAxis"},{"attributes":{},"id":"e3489e9d-1a8f-410a-8314-94dfe65b413d","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"402c5218-7fce-4043-b74b-68955ca98e9c","type":"BoxAnnotation"},{"attributes":{"data_source":{"id":"e4051cd8-36f3-43c6-8484-897e53e40f32","type":"ColumnDataSource"},"glyph":{"id":"759e7123-9f4a-415b-ac42-61ab03f0e213","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7607c150-3e4a-4615-b9b0-2807a789aab1","type":"Circle"},"selection_glyph":null,"view":{"id":"4e937858-e9f8-4d31-8289-dffc8cf88a16","type":"CDSView"}},"id":"83f1c9ac-e057-4779-b3ca-d9eebda8ffe8","type":"GlyphRenderer"},{"attributes":{"overlay":{"id":"402c5218-7fce-4043-b74b-68955ca98e9c","type":"BoxAnnotation"}},"id":"cd92c8d0-c9a7-4441-89f8-812561bfa33c","type":"BoxZoomTool"},{"attributes":{},"id":"a54e98a1-b603-4b24-87af-f43f11e7e71a","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"4a856e32-058f-495b-a1ab-f830857b37c1","subtype":"Figure","type":"Plot"},"ticker":{"id":"f415d25d-a8c6-403c-9ed4-63a98df971ad","type":"BasicTicker"}},"id":"d3b04241-76e7-45e1-bec4-c9a5be4b8aa2","type":"Grid"},{"attributes":{},"id":"f415d25d-a8c6-403c-9ed4-63a98df971ad","type":"BasicTicker"},{"attributes":{},"id":"2a3f63fd-a33d-4c85-b946-7fe60401e7c3","type":"BasicTickFormatter"},{"attributes":{},"id":"bb1102a2-ee29-485e-9e9e-7fa0201d891d","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"979393b3-d7c0-4af3-aaed-d3105c9f05cf","type":"LinearAxis"}],"left":[{"id":"e6878d1c-2980-4291-a944-ae9391fa1d7d","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"979393b3-d7c0-4af3-aaed-d3105c9f05cf","type":"LinearAxis"},{"id":"d3b04241-76e7-45e1-bec4-c9a5be4b8aa2","type":"Grid"},{"id":"e6878d1c-2980-4291-a944-ae9391fa1d7d","type":"LinearAxis"},{"id":"2be2a787-6315-4233-bb09-3a55862a20f1","type":"Grid"},{"id":"402c5218-7fce-4043-b74b-68955ca98e9c","type":"BoxAnnotation"},{"id":"83f1c9ac-e057-4779-b3ca-d9eebda8ffe8","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"0b57089d-480a-4c5a-9248-a19612b113dd","type":"Toolbar"},"toolbar_location":"below","x_range":{"id":"d4c6f9f0-5d52-4072-bb93-540cfd8e216d","type":"DataRange1d"},"x_scale":{"id":"15c5c6b6-69dc-4187-b094-d45478267eb2","type":"LinearScale"},"y_range":{"id":"6ada437d-5336-4012-95cd-f641c246800f","type":"DataRange1d"},"y_scale":{"id":"059a848a-ff75-4aa4-a481-b8b9c03eb3ae","type":"LinearScale"}},"id":"4a856e32-058f-495b-a1ab-f830857b37c1","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"0ad86c06-2d77-4b74-93d8-951f1ce86ff8","type":"ResetTool"},{"attributes":{},"id":"7c003131-95fc-4575-92b0-cdbeb93eb194","type":"SaveTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"71e2f2af-bbc6-4468-bbc8-b4478168565e","type":"PanTool"},{"id":"a54e98a1-b603-4b24-87af-f43f11e7e71a","type":"WheelZoomTool"},{"id":"cd92c8d0-c9a7-4441-89f8-812561bfa33c","type":"BoxZoomTool"},{"id":"7c003131-95fc-4575-92b0-cdbeb93eb194","type":"SaveTool"},{"id":"0ad86c06-2d77-4b74-93d8-951f1ce86ff8","type":"ResetTool"},{"id":"3d36d4e2-bcbc-445f-964f-5fef8371fc3d","type":"HelpTool"}]},"id":"0b57089d-480a-4c5a-9248-a19612b113dd","type":"Toolbar"}],"root_ids":["4a856e32-058f-495b-a1ab-f830857b37c1"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"6b77bd2a-b4de-4f49-9ba1-58c977ea108e","elementid":"c5e74c86-2334-49d3-a020-6a2a030581f9","modelid":"4a856e32-058f-495b-a1ab-f830857b37c1"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
