(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("0f373ad3-36a7-4760-8035-545191b3b176");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '0f373ad3-36a7-4760-8035-545191b3b176' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"45dd6652-4a8b-4259-b2fc-eed206251e31":{"roots":{"references":[{"attributes":{},"id":"ce953d40-a990-46ae-9f83-4a33f512ea4c","type":"BasicTicker"},{"attributes":{"formatter":{"id":"89bd555b-19f8-4cfd-afda-142d9830678e","type":"BasicTickFormatter"},"plot":{"id":"603bbbdf-413a-4817-9958-fac434bd9e98","subtype":"Figure","type":"Plot"},"ticker":{"id":"5bee0311-eb39-4ceb-a908-341f0ae09cbe","type":"BasicTicker"}},"id":"c1ae6ae5-243f-4e47-b2f2-3800b7d9c191","type":"LinearAxis"},{"attributes":{},"id":"e86d7d7f-9e06-47d2-8728-4ff012653a49","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"603bbbdf-413a-4817-9958-fac434bd9e98","subtype":"Figure","type":"Plot"},"ticker":{"id":"5bee0311-eb39-4ceb-a908-341f0ae09cbe","type":"BasicTicker"}},"id":"3ab954a9-bb87-4ac2-b5ba-3b5e584f62dc","type":"Grid"},{"attributes":{},"id":"5bee0311-eb39-4ceb-a908-341f0ae09cbe","type":"BasicTicker"},{"attributes":{"callback":null},"id":"7313dcd3-6d40-485d-80c8-c15d0eed2323","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"4c484755-2368-4805-aad4-2fdd6281f9d4","type":"Circle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"1d9e369d-716e-46dc-9e81-90a2cba837fa","type":"PanTool"},{"id":"82973631-1b83-436a-8d07-1672408348a6","type":"WheelZoomTool"},{"id":"53085b76-5955-4ab8-9739-d3d9e42e5824","type":"BoxZoomTool"},{"id":"97167d77-31f3-4218-a15f-c2eb1cac6068","type":"SaveTool"},{"id":"9cae7538-5dff-4dc6-b1d9-290ce2c2ec72","type":"ResetTool"},{"id":"262bc9f5-bec2-496b-ae01-e79208f78a8d","type":"HelpTool"}]},"id":"e1901416-e4a0-4283-8c25-f8e7912a549a","type":"Toolbar"},{"attributes":{},"id":"a38dfbab-2264-42fc-93f4-0b23a4c9c88e","type":"BasicTickFormatter"},{"attributes":{},"id":"79becc76-907b-49b4-a9a3-92e095993bf6","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"8d957867-f228-411f-a910-a5286368b37f","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"94fe1a2a-7bde-48de-9994-d688caccde5e","type":"DataRange1d"},{"attributes":{"overlay":{"id":"8d957867-f228-411f-a910-a5286368b37f","type":"BoxAnnotation"}},"id":"53085b76-5955-4ab8-9739-d3d9e42e5824","type":"BoxZoomTool"},{"attributes":{},"id":"89bd555b-19f8-4cfd-afda-142d9830678e","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"a38dfbab-2264-42fc-93f4-0b23a4c9c88e","type":"BasicTickFormatter"},"plot":{"id":"603bbbdf-413a-4817-9958-fac434bd9e98","subtype":"Figure","type":"Plot"},"ticker":{"id":"ce953d40-a990-46ae-9f83-4a33f512ea4c","type":"BasicTicker"}},"id":"65e42529-2c91-420c-a445-2bdf0be9fa9a","type":"LinearAxis"},{"attributes":{"below":[{"id":"65e42529-2c91-420c-a445-2bdf0be9fa9a","type":"LinearAxis"}],"left":[{"id":"c1ae6ae5-243f-4e47-b2f2-3800b7d9c191","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"65e42529-2c91-420c-a445-2bdf0be9fa9a","type":"LinearAxis"},{"id":"99ce9339-5112-4082-82b2-104a5ef9bf8a","type":"Grid"},{"id":"c1ae6ae5-243f-4e47-b2f2-3800b7d9c191","type":"LinearAxis"},{"id":"3ab954a9-bb87-4ac2-b5ba-3b5e584f62dc","type":"Grid"},{"id":"8d957867-f228-411f-a910-a5286368b37f","type":"BoxAnnotation"},{"id":"01e5a90a-6844-4297-ae0f-2d3160d5e2c9","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"e1901416-e4a0-4283-8c25-f8e7912a549a","type":"Toolbar"},"toolbar_location":"below","toolbar_sticky":false,"x_range":{"id":"94fe1a2a-7bde-48de-9994-d688caccde5e","type":"DataRange1d"},"x_scale":{"id":"e86d7d7f-9e06-47d2-8728-4ff012653a49","type":"LinearScale"},"y_range":{"id":"7313dcd3-6d40-485d-80c8-c15d0eed2323","type":"DataRange1d"},"y_scale":{"id":"79becc76-907b-49b4-a9a3-92e095993bf6","type":"LinearScale"}},"id":"603bbbdf-413a-4817-9958-fac434bd9e98","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"e7dbdf4b-7dbf-46e0-b803-b6b7330718d2","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"e7dbdf4b-7dbf-46e0-b803-b6b7330718d2","type":"ColumnDataSource"},"glyph":{"id":"8091184d-a6b5-49e7-afaa-bc14d224e7e0","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"4c484755-2368-4805-aad4-2fdd6281f9d4","type":"Circle"},"selection_glyph":null,"view":{"id":"909731f0-0c7b-41a3-adb9-fd531250c205","type":"CDSView"}},"id":"01e5a90a-6844-4297-ae0f-2d3160d5e2c9","type":"GlyphRenderer"},{"attributes":{"source":{"id":"e7dbdf4b-7dbf-46e0-b803-b6b7330718d2","type":"ColumnDataSource"}},"id":"909731f0-0c7b-41a3-adb9-fd531250c205","type":"CDSView"},{"attributes":{},"id":"9cae7538-5dff-4dc6-b1d9-290ce2c2ec72","type":"ResetTool"},{"attributes":{"plot":{"id":"603bbbdf-413a-4817-9958-fac434bd9e98","subtype":"Figure","type":"Plot"},"ticker":{"id":"ce953d40-a990-46ae-9f83-4a33f512ea4c","type":"BasicTicker"}},"id":"99ce9339-5112-4082-82b2-104a5ef9bf8a","type":"Grid"},{"attributes":{},"id":"82973631-1b83-436a-8d07-1672408348a6","type":"WheelZoomTool"},{"attributes":{},"id":"97167d77-31f3-4218-a15f-c2eb1cac6068","type":"SaveTool"},{"attributes":{},"id":"262bc9f5-bec2-496b-ae01-e79208f78a8d","type":"HelpTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"8091184d-a6b5-49e7-afaa-bc14d224e7e0","type":"Circle"},{"attributes":{},"id":"1d9e369d-716e-46dc-9e81-90a2cba837fa","type":"PanTool"}],"root_ids":["603bbbdf-413a-4817-9958-fac434bd9e98"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"45dd6652-4a8b-4259-b2fc-eed206251e31","elementid":"0f373ad3-36a7-4760-8035-545191b3b176","modelid":"603bbbdf-413a-4817-9958-fac434bd9e98"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
