(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("fa3896ff-dcec-48de-b219-eb10711e598e");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'fa3896ff-dcec-48de-b219-eb10711e598e' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"6e7c4f0b-8891-4229-b6eb-b4b3a08aa003":{"roots":{"references":[{"attributes":{"callback":null},"id":"47b15ba7-f1a7-4127-958b-e8d6f7b74e66","type":"DataRange1d"},{"attributes":{"source":{"id":"0589197e-4934-4409-97a2-c44019b0be74","type":"ColumnDataSource"}},"id":"0edae955-5fbf-4ed6-87dc-af12712745fc","type":"CDSView"},{"attributes":{},"id":"fe50201a-9966-4daa-bbd8-08bdd166f8ba","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"95ffc6f3-46a4-48a0-a95a-6fc8eedd28bf","type":"Circle"},{"attributes":{"callback":null,"column_names":["imgs","y","desc","fonts","x"],"data":{"desc":["A","b","C","d","E"],"fonts":["<i>italics</i>","<pre>pre</pre>","<b>bold</b>","<small>small</small>","<del>del</del>"],"imgs":["https://bokeh.pydata.org/static/snake.jpg","https://bokeh.pydata.org/static/snake2.png","https://bokeh.pydata.org/static/snake3D.png","https://bokeh.pydata.org/static/snake4_TheRevenge.png","https://bokeh.pydata.org/static/snakebite.jpg"],"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"0589197e-4934-4409-97a2-c44019b0be74","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"ba62e205-aeb2-4536-9070-108b92d8a666","type":"HoverTool"}]},"id":"ce0a5a31-7614-4689-94b7-016fcabdfeea","type":"Toolbar"},{"attributes":{},"id":"c2f72d0c-0838-4c2b-86f0-9a87e81fe99d","type":"BasicTickFormatter"},{"attributes":{},"id":"47c3a825-9200-48cd-81df-3c6c34a66541","type":"LinearScale"},{"attributes":{"formatter":{"id":"fe50201a-9966-4daa-bbd8-08bdd166f8ba","type":"BasicTickFormatter"},"plot":{"id":"9cad835d-9443-4a2a-a40a-4d4a0420d93c","subtype":"Figure","type":"Plot"},"ticker":{"id":"3a94ff0c-48ec-4436-96c6-64a1d1b8dac5","type":"BasicTicker"}},"id":"8ab4ccd2-202b-4797-a849-4bb431c43d7a","type":"LinearAxis"},{"attributes":{"data_source":{"id":"0589197e-4934-4409-97a2-c44019b0be74","type":"ColumnDataSource"},"glyph":{"id":"cd00f393-ec1f-4df5-9671-e126e5a58331","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"95ffc6f3-46a4-48a0-a95a-6fc8eedd28bf","type":"Circle"},"selection_glyph":null,"view":{"id":"0edae955-5fbf-4ed6-87dc-af12712745fc","type":"CDSView"}},"id":"80e84e65-a206-42f8-a0f4-696ac346a076","type":"GlyphRenderer"},{"attributes":{},"id":"ceabb1b2-5f83-424e-a4ad-abf2f63c141f","type":"BasicTicker"},{"attributes":{},"id":"3a94ff0c-48ec-4436-96c6-64a1d1b8dac5","type":"BasicTicker"},{"attributes":{"callback":null,"tooltips":"\n    <div>\n        <div>\n            <img\n                src=\"@imgs\" height=\"42\" alt=\"@imgs\" width=\"42\"\n                style=\"float: left; margin: 0px 15px 15px 0px;\"\n                border=\"2\"\n            ></img>\n        </div>\n        <div>\n            <span style=\"font-size: 17px; font-weight: bold;\">@desc</span>\n            <span style=\"font-size: 15px; color: #966;\">[$index]</span>\n        </div>\n        <div>\n            <span>@fonts{safe}</span>\n        </div>\n        <div>\n            <span style=\"font-size: 15px;\">Location</span>\n            <span style=\"font-size: 10px; color: #696;\">($x, $y)</span>\n        </div>\n    </div>\n    "},"id":"ba62e205-aeb2-4536-9070-108b92d8a666","type":"HoverTool"},{"attributes":{"below":[{"id":"8ab4ccd2-202b-4797-a849-4bb431c43d7a","type":"LinearAxis"}],"left":[{"id":"7d8eb4c8-a7ae-4c09-bcf5-f38861f9e60f","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"8ab4ccd2-202b-4797-a849-4bb431c43d7a","type":"LinearAxis"},{"id":"fa3c0375-3a7a-4e6b-bcc9-40788f5f589f","type":"Grid"},{"id":"7d8eb4c8-a7ae-4c09-bcf5-f38861f9e60f","type":"LinearAxis"},{"id":"fc2ad590-f08b-4630-8a06-91d642e3c7ed","type":"Grid"},{"id":"80e84e65-a206-42f8-a0f4-696ac346a076","type":"GlyphRenderer"}],"title":{"id":"62931f23-88cf-4185-8927-f4cee656ecaf","type":"Title"},"toolbar":{"id":"ce0a5a31-7614-4689-94b7-016fcabdfeea","type":"Toolbar"},"x_range":{"id":"5baf7d13-0d56-438c-a053-420a4b5342a8","type":"DataRange1d"},"x_scale":{"id":"2ef86048-f273-4849-8bd3-19bbda95392d","type":"LinearScale"},"y_range":{"id":"47b15ba7-f1a7-4127-958b-e8d6f7b74e66","type":"DataRange1d"},"y_scale":{"id":"47c3a825-9200-48cd-81df-3c6c34a66541","type":"LinearScale"}},"id":"9cad835d-9443-4a2a-a40a-4d4a0420d93c","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"c2f72d0c-0838-4c2b-86f0-9a87e81fe99d","type":"BasicTickFormatter"},"plot":{"id":"9cad835d-9443-4a2a-a40a-4d4a0420d93c","subtype":"Figure","type":"Plot"},"ticker":{"id":"ceabb1b2-5f83-424e-a4ad-abf2f63c141f","type":"BasicTicker"}},"id":"7d8eb4c8-a7ae-4c09-bcf5-f38861f9e60f","type":"LinearAxis"},{"attributes":{},"id":"2ef86048-f273-4849-8bd3-19bbda95392d","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"9cad835d-9443-4a2a-a40a-4d4a0420d93c","subtype":"Figure","type":"Plot"},"ticker":{"id":"ceabb1b2-5f83-424e-a4ad-abf2f63c141f","type":"BasicTicker"}},"id":"fc2ad590-f08b-4630-8a06-91d642e3c7ed","type":"Grid"},{"attributes":{"plot":null,"text":"Mouse over the dots"},"id":"62931f23-88cf-4185-8927-f4cee656ecaf","type":"Title"},{"attributes":{"plot":{"id":"9cad835d-9443-4a2a-a40a-4d4a0420d93c","subtype":"Figure","type":"Plot"},"ticker":{"id":"3a94ff0c-48ec-4436-96c6-64a1d1b8dac5","type":"BasicTicker"}},"id":"fa3c0375-3a7a-4e6b-bcc9-40788f5f589f","type":"Grid"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"cd00f393-ec1f-4df5-9671-e126e5a58331","type":"Circle"},{"attributes":{"callback":null},"id":"5baf7d13-0d56-438c-a053-420a4b5342a8","type":"DataRange1d"}],"root_ids":["9cad835d-9443-4a2a-a40a-4d4a0420d93c"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"6e7c4f0b-8891-4229-b6eb-b4b3a08aa003","elementid":"fa3896ff-dcec-48de-b219-eb10711e598e","modelid":"9cad835d-9443-4a2a-a40a-4d4a0420d93c"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
