(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("bcde3e08-fec1-4798-889d-1aae8b129d03");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'bcde3e08-fec1-4798-889d-1aae8b129d03' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"3cd02379-aa42-4058-a2c9-791bce6d9d05":{"roots":{"references":[{"attributes":{"below":[{"id":"4b18bf0d-bb5f-466a-80ce-98fe64f3e89a","type":"LinearAxis"}],"left":[{"id":"3a058541-5991-41f9-96fd-98c1aaddde4d","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"4b18bf0d-bb5f-466a-80ce-98fe64f3e89a","type":"LinearAxis"},{"id":"73c05d1a-27f2-4935-a15c-4aeb18657eab","type":"Grid"},{"id":"3a058541-5991-41f9-96fd-98c1aaddde4d","type":"LinearAxis"},{"id":"9c425535-d72f-4e90-829e-14e6136f5098","type":"Grid"},{"id":"d7325c10-6ba2-4ada-8182-8396a1910282","type":"GlyphRenderer"}],"title":{"id":"23ee62e8-2ce5-455f-bbfa-8035d09d7165","type":"Title"},"toolbar":{"id":"253ff275-282c-4e17-8ea3-275656dbdb2a","type":"Toolbar"},"x_range":{"id":"4ef17ff3-7dc2-47eb-9faf-1570cc4c1844","type":"DataRange1d"},"x_scale":{"id":"905c406f-7543-41ce-bef4-a6971e354482","type":"LinearScale"},"y_range":{"id":"9e73d65c-6415-4a33-b7d4-93cc6b91e8ad","type":"DataRange1d"},"y_scale":{"id":"d8ba2ea6-b3e6-43ff-89b9-dc58b3140146","type":"LinearScale"}},"id":"cff980f2-bd0c-4069-bd98-1830f267abaa","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"9e73d65c-6415-4a33-b7d4-93cc6b91e8ad","type":"DataRange1d"},{"attributes":{"formatter":{"id":"9efb81ab-3acf-40e6-a496-dd3ab0bde9f3","type":"BasicTickFormatter"},"plot":{"id":"cff980f2-bd0c-4069-bd98-1830f267abaa","subtype":"Figure","type":"Plot"},"ticker":{"id":"7b7ea026-095b-4ba4-a267-2026aab93603","type":"BasicTicker"}},"id":"3a058541-5991-41f9-96fd-98c1aaddde4d","type":"LinearAxis"},{"attributes":{},"id":"905c406f-7543-41ce-bef4-a6971e354482","type":"LinearScale"},{"attributes":{"callback":null},"id":"4ef17ff3-7dc2-47eb-9faf-1570cc4c1844","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.5},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.3},"x":{"field":"x"},"y":{"field":"y"}},"id":"9b5f0e98-0ac0-4699-9a26-ceff3ec95125","type":"Circle"},{"attributes":{},"id":"c407b735-5140-4c98-8011-f4c3db54c2e4","type":"ResetTool"},{"attributes":{},"id":"d8ba2ea6-b3e6-43ff-89b9-dc58b3140146","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"23ee62e8-2ce5-455f-bbfa-8035d09d7165","type":"Title"},{"attributes":{},"id":"e229d37f-6c76-4b15-afec-04c0e516bcf6","type":"PanTool"},{"attributes":{"data_source":{"id":"29f0e3a7-5fdd-44d2-8431-7fe6fbd562b6","type":"ColumnDataSource"},"glyph":{"id":"9b5f0e98-0ac0-4699-9a26-ceff3ec95125","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b93cc347-88f0-4d50-a058-5c451df892b0","type":"Circle"},"selection_glyph":null,"view":{"id":"ccb207b7-bee6-47af-8440-23ba9aef7224","type":"CDSView"}},"id":"d7325c10-6ba2-4ada-8182-8396a1910282","type":"GlyphRenderer"},{"attributes":{},"id":"6bb4b224-64e9-42b1-9281-169665dd1d4d","type":"SaveTool"},{"attributes":{},"id":"20ea8910-e01f-48b4-a6bb-2e3931a9e1bb","type":"BasicTicker"},{"attributes":{"plot":{"id":"cff980f2-bd0c-4069-bd98-1830f267abaa","subtype":"Figure","type":"Plot"},"ticker":{"id":"20ea8910-e01f-48b4-a6bb-2e3931a9e1bb","type":"BasicTicker"}},"id":"73c05d1a-27f2-4935-a15c-4aeb18657eab","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.3},"x":{"field":"x"},"y":{"field":"y"}},"id":"b93cc347-88f0-4d50-a058-5c451df892b0","type":"Circle"},{"attributes":{"formatter":{"id":"73ec0749-96ce-4437-b6c8-59a9e56c5505","type":"BasicTickFormatter"},"plot":{"id":"cff980f2-bd0c-4069-bd98-1830f267abaa","subtype":"Figure","type":"Plot"},"ticker":{"id":"20ea8910-e01f-48b4-a6bb-2e3931a9e1bb","type":"BasicTicker"}},"id":"4b18bf0d-bb5f-466a-80ce-98fe64f3e89a","type":"LinearAxis"},{"attributes":{},"id":"7b7ea026-095b-4ba4-a267-2026aab93603","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"cff980f2-bd0c-4069-bd98-1830f267abaa","subtype":"Figure","type":"Plot"},"ticker":{"id":"7b7ea026-095b-4ba4-a267-2026aab93603","type":"BasicTicker"}},"id":"9c425535-d72f-4e90-829e-14e6136f5098","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2.5,3,2],"y":[2,3,1,1.5]}},"id":"29f0e3a7-5fdd-44d2-8431-7fe6fbd562b6","type":"ColumnDataSource"},{"attributes":{"source":{"id":"29f0e3a7-5fdd-44d2-8431-7fe6fbd562b6","type":"ColumnDataSource"}},"id":"ccb207b7-bee6-47af-8440-23ba9aef7224","type":"CDSView"},{"attributes":{},"id":"73ec0749-96ce-4437-b6c8-59a9e56c5505","type":"BasicTickFormatter"},{"attributes":{},"id":"9efb81ab-3acf-40e6-a496-dd3ab0bde9f3","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"e229d37f-6c76-4b15-afec-04c0e516bcf6","type":"PanTool"},{"id":"c407b735-5140-4c98-8011-f4c3db54c2e4","type":"ResetTool"},{"id":"6bb4b224-64e9-42b1-9281-169665dd1d4d","type":"SaveTool"}]},"id":"253ff275-282c-4e17-8ea3-275656dbdb2a","type":"Toolbar"}],"root_ids":["cff980f2-bd0c-4069-bd98-1830f267abaa"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"3cd02379-aa42-4058-a2c9-791bce6d9d05","elementid":"bcde3e08-fec1-4798-889d-1aae8b129d03","modelid":"cff980f2-bd0c-4069-bd98-1830f267abaa"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
