(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("64c6c18c-2165-4960-86a8-f2aa34cbce82");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '64c6c18c-2165-4960-86a8-f2aa34cbce82' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"6827f192-094c-4612-8850-41004315d6df":{"roots":{"references":[{"attributes":{},"id":"77e876b1-edc4-4cc0-9922-61e176636771","type":"MultiLine"},{"attributes":{"source":{"id":"1534817b-6b2b-4007-b513-803415f0d7df","type":"ColumnDataSource"}},"id":"3b01267d-9f63-4fc7-b502-e6c3b22b984c","type":"CDSView"},{"attributes":{"data_source":{"id":"508f7186-be4c-4fb1-a5cf-97c7a914abd3","type":"ColumnDataSource"},"glyph":{"id":"77e876b1-edc4-4cc0-9922-61e176636771","type":"MultiLine"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"9066eb5f-e2ca-4919-ad59-2de34b7c8183","type":"CDSView"}},"id":"5d22b6e0-6043-414a-993b-b320878d5931","type":"GlyphRenderer"},{"attributes":{"fill_color":{"field":"fill_color"},"height":{"units":"data","value":0.1},"width":{"units":"data","value":0.2}},"id":"690546f7-2d27-49ca-aaf2-4682d2b2ff6b","type":"Oval"},{"attributes":{"plot":{"id":"c8866c66-a06f-4a9c-84a7-402a913fe479","subtype":"Figure","type":"Plot"},"ticker":{"id":"f698dc06-b32c-463a-8e6a-53dc5036e7b7","type":"BasicTicker"}},"id":"e6f7b6d9-6979-45b7-8632-de74791cabdd","type":"Grid"},{"attributes":{},"id":"f525e2eb-18b6-4f74-9173-13fba57c05bd","type":"LinearScale"},{"attributes":{},"id":"1fccd504-be56-4480-ad20-0bf531df241c","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["index"],"data":{"fill_color":["#3288bd","#66c2a5","#abdda4","#e6f598","#fee08b","#fdae61","#f46d43","#d53e4f"],"index":[0,1,2,3,4,5,6,7]}},"id":"1534817b-6b2b-4007-b513-803415f0d7df","type":"ColumnDataSource"},{"attributes":{},"id":"5d8ca678-0850-4f10-963a-2aa09c9763f9","type":"NodesOnly"},{"attributes":{"below":[{"id":"db4da4f1-c2eb-4cfd-84b0-d4fa43cb7955","type":"LinearAxis"}],"left":[{"id":"678297b3-fb9c-4473-841f-45cb97b8529e","type":"LinearAxis"}],"renderers":[{"id":"db4da4f1-c2eb-4cfd-84b0-d4fa43cb7955","type":"LinearAxis"},{"id":"e6f7b6d9-6979-45b7-8632-de74791cabdd","type":"Grid"},{"id":"678297b3-fb9c-4473-841f-45cb97b8529e","type":"LinearAxis"},{"id":"5e069871-a4bb-4d45-9c59-cfec06c86fcb","type":"Grid"},{"id":"6a53afb1-5dfa-4a81-aae7-d456a6a31f57","type":"GraphRenderer"}],"title":{"id":"4aa7eae8-1167-4286-a7c6-3aff780ae6c9","type":"Title"},"toolbar":{"id":"9365dd51-adce-4ca0-b77c-4b016cdfcc30","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"02620ea1-1dad-4ecb-a951-f9b25bf5f7de","type":"Range1d"},"x_scale":{"id":"1cf41b9e-2eee-4dee-8aaa-176a968ce1e5","type":"LinearScale"},"y_range":{"id":"fe6cd871-2c3e-4275-8c7a-4bebefe0c4ef","type":"Range1d"},"y_scale":{"id":"f525e2eb-18b6-4f74-9173-13fba57c05bd","type":"LinearScale"}},"id":"c8866c66-a06f-4a9c-84a7-402a913fe479","subtype":"Figure","type":"Plot"},{"attributes":{"data_source":{"id":"1534817b-6b2b-4007-b513-803415f0d7df","type":"ColumnDataSource"},"glyph":{"id":"690546f7-2d27-49ca-aaf2-4682d2b2ff6b","type":"Oval"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"3b01267d-9f63-4fc7-b502-e6c3b22b984c","type":"CDSView"}},"id":"1568b347-2f95-4efb-bc2f-7d622788baad","type":"GlyphRenderer"},{"attributes":{"graph_layout":{"0":[1.0,0.0],"1":[0.7071067811865476,0.7071067811865475],"2":[6.123233995736766e-17,1.0],"3":[-0.7071067811865475,0.7071067811865476],"4":[-1.0,1.2246467991473532e-16],"5":[-0.7071067811865477,-0.7071067811865475],"6":[-1.8369701987210297e-16,-1.0],"7":[0.7071067811865475,-0.7071067811865477]}},"id":"60ab1311-dd91-41de-a963-119b06a5d027","type":"StaticLayoutProvider"},{"attributes":{},"id":"5631b3c1-c639-4676-954a-20f37929befc","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":"Graph Layout Demonstration"},"id":"4aa7eae8-1167-4286-a7c6-3aff780ae6c9","type":"Title"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"9365dd51-adce-4ca0-b77c-4b016cdfcc30","type":"Toolbar"},{"attributes":{},"id":"1cf41b9e-2eee-4dee-8aaa-176a968ce1e5","type":"LinearScale"},{"attributes":{"edge_renderer":{"id":"5d22b6e0-6043-414a-993b-b320878d5931","type":"GlyphRenderer"},"inspection_policy":{"id":"5d8ca678-0850-4f10-963a-2aa09c9763f9","type":"NodesOnly"},"layout_provider":{"id":"60ab1311-dd91-41de-a963-119b06a5d027","type":"StaticLayoutProvider"},"node_renderer":{"id":"1568b347-2f95-4efb-bc2f-7d622788baad","type":"GlyphRenderer"},"selection_policy":{"id":"f09290e7-7351-43a8-81a9-8ac0a416e961","type":"NodesOnly"}},"id":"6a53afb1-5dfa-4a81-aae7-d456a6a31f57","type":"GraphRenderer"},{"attributes":{"source":{"id":"508f7186-be4c-4fb1-a5cf-97c7a914abd3","type":"ColumnDataSource"}},"id":"9066eb5f-e2ca-4919-ad59-2de34b7c8183","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"c8866c66-a06f-4a9c-84a7-402a913fe479","subtype":"Figure","type":"Plot"},"ticker":{"id":"1fccd504-be56-4480-ad20-0bf531df241c","type":"BasicTicker"}},"id":"5e069871-a4bb-4d45-9c59-cfec06c86fcb","type":"Grid"},{"attributes":{},"id":"f55ce52f-27a8-48ca-bffb-6a1ff83cbe5c","type":"BasicTickFormatter"},{"attributes":{},"id":"f09290e7-7351-43a8-81a9-8ac0a416e961","type":"NodesOnly"},{"attributes":{"callback":null,"column_names":["start","end"],"data":{"end":[0,1,2,3,4,5,6,7],"start":[0,0,0,0,0,0,0,0]}},"id":"508f7186-be4c-4fb1-a5cf-97c7a914abd3","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"f55ce52f-27a8-48ca-bffb-6a1ff83cbe5c","type":"BasicTickFormatter"},"plot":{"id":"c8866c66-a06f-4a9c-84a7-402a913fe479","subtype":"Figure","type":"Plot"},"ticker":{"id":"1fccd504-be56-4480-ad20-0bf531df241c","type":"BasicTicker"}},"id":"678297b3-fb9c-4473-841f-45cb97b8529e","type":"LinearAxis"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"fe6cd871-2c3e-4275-8c7a-4bebefe0c4ef","type":"Range1d"},{"attributes":{},"id":"f698dc06-b32c-463a-8e6a-53dc5036e7b7","type":"BasicTicker"},{"attributes":{"formatter":{"id":"5631b3c1-c639-4676-954a-20f37929befc","type":"BasicTickFormatter"},"plot":{"id":"c8866c66-a06f-4a9c-84a7-402a913fe479","subtype":"Figure","type":"Plot"},"ticker":{"id":"f698dc06-b32c-463a-8e6a-53dc5036e7b7","type":"BasicTicker"}},"id":"db4da4f1-c2eb-4cfd-84b0-d4fa43cb7955","type":"LinearAxis"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"02620ea1-1dad-4ecb-a951-f9b25bf5f7de","type":"Range1d"}],"root_ids":["c8866c66-a06f-4a9c-84a7-402a913fe479"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"6827f192-094c-4612-8850-41004315d6df","elementid":"64c6c18c-2165-4960-86a8-f2aa34cbce82","modelid":"c8866c66-a06f-4a9c-84a7-402a913fe479"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
