(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("64554bf2-c7b7-4e76-85db-ae0e3dce5903");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '64554bf2-c7b7-4e76-85db-ae0e3dce5903' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"3ddf1f33-7926-4042-9bbb-5ccccbb34282":{"roots":{"references":[{"attributes":{"formatter":{"id":"a37ad8ed-e7b2-41d9-a216-05531da90412","type":"BasicTickFormatter"},"plot":{"id":"0bff55db-4aec-4c60-bf74-8dd5ac7e3c0e","subtype":"Figure","type":"Plot"},"ticker":{"id":"9094818c-160c-4ea5-b03c-4a0b0ce7b205","type":"BasicTicker"}},"id":"9004dccc-486f-47cb-ac7a-39ffcc7c524e","type":"LinearAxis"},{"attributes":{"formatter":{"id":"1e1293ad-ab93-45e5-a42f-441ac955acc5","type":"CategoricalTickFormatter"},"major_label_orientation":1,"plot":{"id":"0bff55db-4aec-4c60-bf74-8dd5ac7e3c0e","subtype":"Figure","type":"Plot"},"ticker":{"id":"294fca5d-c5c2-443f-844b-0b7d965d3c5e","type":"CategoricalTicker"}},"id":"9ed014ba-2893-4fa3-a439-478cdb3af545","type":"CategoricalAxis"},{"attributes":{"callback":null,"factors":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]],"range_padding":0.1},"id":"acd25341-f661-4d69-a155-6f02b4e9d195","type":"FactorRange"},{"attributes":{},"id":"1e1293ad-ab93-45e5-a42f-441ac955acc5","type":"CategoricalTickFormatter"},{"attributes":{},"id":"9094818c-160c-4ea5-b03c-4a0b0ce7b205","type":"BasicTicker"},{"attributes":{},"id":"294fca5d-c5c2-443f-844b-0b7d965d3c5e","type":"CategoricalTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"decfb51c-49ed-4a7c-a68b-5212c4b72393","type":"VBar"},{"attributes":{},"id":"e3ca02e0-4fa5-4335-87a8-2f9804d7b8b9","type":"LinearScale"},{"attributes":{"data_source":{"id":"a6619d2f-f0bd-4a17-8b75-c66b9f14dc47","type":"ColumnDataSource"},"glyph":{"id":"87aed170-055e-49db-bca6-c42adb9a5bf2","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"decfb51c-49ed-4a7c-a68b-5212c4b72393","type":"VBar"},"selection_glyph":null,"view":{"id":"40e83427-0068-4ac6-a174-462e4b8cb229","type":"CDSView"}},"id":"0bb77e08-fe23-4a48-a8fb-dde58c7e12c4","type":"GlyphRenderer"},{"attributes":{},"id":"bd84e573-d14f-48e1-9aff-678af939aa9b","type":"CategoricalScale"},{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"bc916029-2898-49a5-ae45-eaa7274cadd9","type":"Title"},{"attributes":{},"id":"a37ad8ed-e7b2-41d9-a216-05531da90412","type":"BasicTickFormatter"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"0bff55db-4aec-4c60-bf74-8dd5ac7e3c0e","subtype":"Figure","type":"Plot"},"ticker":{"id":"294fca5d-c5c2-443f-844b-0b7d965d3c5e","type":"CategoricalTicker"}},"id":"9da6d8f0-9bbb-4560-a618-1a21cfc37cad","type":"Grid"},{"attributes":{"fill_color":{"field":"x","transform":{"id":"d4cf5127-4fce-4f98-8872-28c6850bad80","type":"CategoricalColorMapper"}},"line_color":{"value":"white"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"87aed170-055e-49db-bca6-c42adb9a5bf2","type":"VBar"},{"attributes":{"below":[{"id":"9ed014ba-2893-4fa3-a439-478cdb3af545","type":"CategoricalAxis"}],"left":[{"id":"9004dccc-486f-47cb-ac7a-39ffcc7c524e","type":"LinearAxis"}],"plot_height":350,"renderers":[{"id":"9ed014ba-2893-4fa3-a439-478cdb3af545","type":"CategoricalAxis"},{"id":"9da6d8f0-9bbb-4560-a618-1a21cfc37cad","type":"Grid"},{"id":"9004dccc-486f-47cb-ac7a-39ffcc7c524e","type":"LinearAxis"},{"id":"820cc571-938e-4d46-805a-ac99e0a50de5","type":"Grid"},{"id":"0bb77e08-fe23-4a48-a8fb-dde58c7e12c4","type":"GlyphRenderer"}],"title":{"id":"bc916029-2898-49a5-ae45-eaa7274cadd9","type":"Title"},"toolbar":{"id":"f117053d-5dd6-4f0b-a5b3-748f276a4baa","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"acd25341-f661-4d69-a155-6f02b4e9d195","type":"FactorRange"},"x_scale":{"id":"bd84e573-d14f-48e1-9aff-678af939aa9b","type":"CategoricalScale"},"y_range":{"id":"287c6ac9-bf16-4abb-b5ac-8a898edd7297","type":"DataRange1d"},"y_scale":{"id":"e3ca02e0-4fa5-4335-87a8-2f9804d7b8b9","type":"LinearScale"}},"id":"0bff55db-4aec-4c60-bf74-8dd5ac7e3c0e","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"start":0},"id":"287c6ac9-bf16-4abb-b5ac-8a898edd7297","type":"DataRange1d"},{"attributes":{"end":2,"factors":["2015","2016","2017"],"palette":["#c9d9d3","#718dbf","#e84d60"],"start":1},"id":"d4cf5127-4fce-4f98-8872-28c6850bad80","type":"CategoricalColorMapper"},{"attributes":{"callback":null,"column_names":["x","counts"],"data":{"counts":[2,5,3,1,3,2,4,3,4,3,2,4,2,4,5,4,6,3],"x":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]]}},"id":"a6619d2f-f0bd-4a17-8b75-c66b9f14dc47","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"0bff55db-4aec-4c60-bf74-8dd5ac7e3c0e","subtype":"Figure","type":"Plot"},"ticker":{"id":"9094818c-160c-4ea5-b03c-4a0b0ce7b205","type":"BasicTicker"}},"id":"820cc571-938e-4d46-805a-ac99e0a50de5","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"f117053d-5dd6-4f0b-a5b3-748f276a4baa","type":"Toolbar"},{"attributes":{"source":{"id":"a6619d2f-f0bd-4a17-8b75-c66b9f14dc47","type":"ColumnDataSource"}},"id":"40e83427-0068-4ac6-a174-462e4b8cb229","type":"CDSView"}],"root_ids":["0bff55db-4aec-4c60-bf74-8dd5ac7e3c0e"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"3ddf1f33-7926-4042-9bbb-5ccccbb34282","elementid":"64554bf2-c7b7-4e76-85db-ae0e3dce5903","modelid":"0bff55db-4aec-4c60-bf74-8dd5ac7e3c0e"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
