(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("d7cadc2e-2379-48d2-911b-8b54494ea8c5");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'd7cadc2e-2379-48d2-911b-8b54494ea8c5' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"3c90c46e-b7ef-4598-8843-590c6ef08861":{"roots":{"references":[{"attributes":{"below":[{"id":"93416a61-330d-4cb5-b28c-174244f2fb5a","type":"CategoricalAxis"}],"left":[{"id":"f0585ae0-582f-47a8-8667-84b6f0b9949f","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"93416a61-330d-4cb5-b28c-174244f2fb5a","type":"CategoricalAxis"},{"id":"4ff7b408-6f73-4c65-9779-d63b27dbcc8f","type":"Grid"},{"id":"f0585ae0-582f-47a8-8667-84b6f0b9949f","type":"LinearAxis"},{"id":"ef68a61e-dc51-4f4e-8b74-12c9e2b4a419","type":"Grid"},{"id":"debcb1a1-1c7e-48ec-8a1a-9644beb474b0","type":"GlyphRenderer"},{"id":"3bac2f9b-dc47-4ae5-8bdb-66b8480896f8","type":"GlyphRenderer"}],"title":{"id":"bf789166-e79e-4a0a-ac57-fc88c288b49c","type":"Title"},"toolbar":{"id":"4c9d71d0-5366-4064-a074-794bb680632c","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"cdae99ad-1f16-4fbc-a373-607f127018ad","type":"FactorRange"},"x_scale":{"id":"070bc629-e07d-45b1-8dd5-68633f875cf3","type":"CategoricalScale"},"y_range":{"id":"512bd0e6-85a1-4b49-beae-f4d5d35267c9","type":"DataRange1d"},"y_scale":{"id":"70597684-cb2b-4ed7-8e12-58ccfd62527a","type":"LinearScale"}},"id":"78754da7-1578-47be-83a9-5966f54e428d","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"start":0},"id":"512bd0e6-85a1-4b49-beae-f4d5d35267c9","type":"DataRange1d"},{"attributes":{},"id":"d79e64f0-9899-4a0a-b4c3-6bc9145d49f2","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"4c9d71d0-5366-4064-a074-794bb680632c","type":"Toolbar"},{"attributes":{"source":{"id":"9c918146-16ef-4df3-a317-05655ce5efe2","type":"ColumnDataSource"}},"id":"7f4eb676-b882-47c6-b1b3-8a8c266de8cb","type":"CDSView"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":["Q1","Q2","Q3","Q4"],"y":[12,9,13,14]}},"id":"27d1c053-e93c-42b5-9639-451c251c7467","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"5b3260dd-80e8-4023-9ed8-3d9d2c988b1b","type":"VBar"},{"attributes":{"callback":null,"factors":[["Q1","jan"],["Q1","feb"],["Q1","mar"],["Q2","apr"],["Q2","may"],["Q2","jun"],["Q3","jul"],["Q3","aug"],["Q3","sep"],["Q4","oct"],["Q4","nov"],["Q4","dec"]],"range_padding":0.1},"id":"cdae99ad-1f16-4fbc-a373-607f127018ad","type":"FactorRange"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.5},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"58cb0e80-1254-4f4b-bec0-9d0fbc57dae1","type":"VBar"},{"attributes":{"formatter":{"id":"d79e64f0-9899-4a0a-b4c3-6bc9145d49f2","type":"BasicTickFormatter"},"plot":{"id":"78754da7-1578-47be-83a9-5966f54e428d","subtype":"Figure","type":"Plot"},"ticker":{"id":"45bd20cd-1836-436f-bf25-87441758042c","type":"BasicTicker"}},"id":"f0585ae0-582f-47a8-8667-84b6f0b9949f","type":"LinearAxis"},{"attributes":{},"id":"45bd20cd-1836-436f-bf25-87441758042c","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"78754da7-1578-47be-83a9-5966f54e428d","subtype":"Figure","type":"Plot"},"ticker":{"id":"45bd20cd-1836-436f-bf25-87441758042c","type":"BasicTicker"}},"id":"ef68a61e-dc51-4f4e-8b74-12c9e2b4a419","type":"Grid"},{"attributes":{"data_source":{"id":"9c918146-16ef-4df3-a317-05655ce5efe2","type":"ColumnDataSource"},"glyph":{"id":"58cb0e80-1254-4f4b-bec0-9d0fbc57dae1","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"5b3260dd-80e8-4023-9ed8-3d9d2c988b1b","type":"VBar"},"selection_glyph":null,"view":{"id":"7f4eb676-b882-47c6-b1b3-8a8c266de8cb","type":"CDSView"}},"id":"debcb1a1-1c7e-48ec-8a1a-9644beb474b0","type":"GlyphRenderer"},{"attributes":{},"id":"070bc629-e07d-45b1-8dd5-68633f875cf3","type":"CategoricalScale"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"78754da7-1578-47be-83a9-5966f54e428d","subtype":"Figure","type":"Plot"},"ticker":{"id":"92444a6a-d1db-402d-8523-4163998e2e9a","type":"CategoricalTicker"}},"id":"4ff7b408-6f73-4c65-9779-d63b27dbcc8f","type":"Grid"},{"attributes":{"formatter":{"id":"446ebf34-cd5a-4f17-9d1d-04196de54dc3","type":"CategoricalTickFormatter"},"major_label_orientation":1,"plot":{"id":"78754da7-1578-47be-83a9-5966f54e428d","subtype":"Figure","type":"Plot"},"ticker":{"id":"92444a6a-d1db-402d-8523-4163998e2e9a","type":"CategoricalTicker"}},"id":"93416a61-330d-4cb5-b28c-174244f2fb5a","type":"CategoricalAxis"},{"attributes":{"source":{"id":"27d1c053-e93c-42b5-9639-451c251c7467","type":"ColumnDataSource"}},"id":"6d25f424-9e4c-4335-b964-0631f9c847c9","type":"CDSView"},{"attributes":{},"id":"70597684-cb2b-4ed7-8e12-58ccfd62527a","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["top","x"],"data":{"top":[10,12,16,9,10,8,12,13,14,14,12,16],"x":[["Q1","jan"],["Q1","feb"],["Q1","mar"],["Q2","apr"],["Q2","may"],["Q2","jun"],["Q3","jul"],["Q3","aug"],["Q3","sep"],["Q4","oct"],["Q4","nov"],["Q4","dec"]]}},"id":"9c918146-16ef-4df3-a317-05655ce5efe2","type":"ColumnDataSource"},{"attributes":{},"id":"446ebf34-cd5a-4f17-9d1d-04196de54dc3","type":"CategoricalTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"bf789166-e79e-4a0a-ac57-fc88c288b49c","type":"Title"},{"attributes":{"line_color":{"value":"red"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"81991f46-7814-4500-8d8b-5c69f01503f6","type":"Line"},{"attributes":{"data_source":{"id":"27d1c053-e93c-42b5-9639-451c251c7467","type":"ColumnDataSource"},"glyph":{"id":"81991f46-7814-4500-8d8b-5c69f01503f6","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"4f3c0ea0-0e00-4893-9a12-40581b50df04","type":"Line"},"selection_glyph":null,"view":{"id":"6d25f424-9e4c-4335-b964-0631f9c847c9","type":"CDSView"}},"id":"3bac2f9b-dc47-4ae5-8bdb-66b8480896f8","type":"GlyphRenderer"},{"attributes":{},"id":"92444a6a-d1db-402d-8523-4163998e2e9a","type":"CategoricalTicker"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"4f3c0ea0-0e00-4893-9a12-40581b50df04","type":"Line"}],"root_ids":["78754da7-1578-47be-83a9-5966f54e428d"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"3c90c46e-b7ef-4598-8843-590c6ef08861","elementid":"d7cadc2e-2379-48d2-911b-8b54494ea8c5","modelid":"78754da7-1578-47be-83a9-5966f54e428d"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
