(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("0a182691-9b03-4949-ae0e-7df18c230329");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '0a182691-9b03-4949-ae0e-7df18c230329' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"81ac821c-f7c0-491c-9dee-3d44eca5022d":{"roots":{"references":[{"attributes":{"data_source":{"id":"6c2a5c72-445d-4c2f-8a0b-6b5950fa8104","type":"ColumnDataSource"},"glyph":{"id":"d0b8146c-9235-4c7d-8028-4b5bcdae85aa","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"397be02a-2273-4774-90c7-2a5b4f4e88ae","type":"VBar"},"selection_glyph":null,"view":{"id":"b67910b7-5a1f-459a-815d-b85894e2f74c","type":"CDSView"}},"id":"2c92e369-3e1d-4700-a8b7-3156e5bf80b1","type":"GlyphRenderer"},{"attributes":{},"id":"7ddf705d-6e77-40ca-8c98-754daf9e0cbf","type":"PanTool"},{"attributes":{"items":[{"id":"0dad8f14-d7ab-4d45-a83c-46ca7443bdd7","type":"LegendItem"}],"location":"top_center","orientation":"horizontal","plot":{"id":"5ea9db86-8f42-4213-b36f-50191af4d5d3","subtype":"Figure","type":"Plot"}},"id":"26227ff8-d5e6-4804-acfd-73cb1347c344","type":"Legend"},{"attributes":{},"id":"0dde29f9-14cf-489c-bc94-7ef90a088fd7","type":"CategoricalTickFormatter"},{"attributes":{},"id":"4f6fb0ed-1c99-482b-a40a-adb635bc8ac0","type":"HelpTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"397be02a-2273-4774-90c7-2a5b4f4e88ae","type":"VBar"},{"attributes":{"plot":null,"text":"Fruit Counts"},"id":"f4ee6f8b-e22a-4edd-8f8f-74314790c48c","type":"Title"},{"attributes":{},"id":"1a8d0693-25a8-42b0-8e29-f4b2594c4420","type":"LinearScale"},{"attributes":{"formatter":{"id":"2f3984a0-c083-4fc5-a9e2-6a2be89178aa","type":"BasicTickFormatter"},"plot":{"id":"5ea9db86-8f42-4213-b36f-50191af4d5d3","subtype":"Figure","type":"Plot"},"ticker":{"id":"9a7ec7e1-e901-4e5b-9082-41978746c3e6","type":"BasicTicker"}},"id":"aadf39c2-92c7-4390-881a-6ab5034624d3","type":"LinearAxis"},{"attributes":{"label":{"field":"fruits"},"renderers":[{"id":"2c92e369-3e1d-4700-a8b7-3156e5bf80b1","type":"GlyphRenderer"}]},"id":"0dad8f14-d7ab-4d45-a83c-46ca7443bdd7","type":"LegendItem"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"5ea9db86-8f42-4213-b36f-50191af4d5d3","subtype":"Figure","type":"Plot"},"ticker":{"id":"a8a8afaf-179b-48c2-bc30-0fa8cce690b3","type":"CategoricalTicker"}},"id":"5dcf0bf6-197e-4fb5-97af-66c4dae6f5c0","type":"Grid"},{"attributes":{"formatter":{"id":"0dde29f9-14cf-489c-bc94-7ef90a088fd7","type":"CategoricalTickFormatter"},"plot":{"id":"5ea9db86-8f42-4213-b36f-50191af4d5d3","subtype":"Figure","type":"Plot"},"ticker":{"id":"a8a8afaf-179b-48c2-bc30-0fa8cce690b3","type":"CategoricalTicker"}},"id":"6d228080-eedb-4377-afd8-214fbcaee7a2","type":"CategoricalAxis"},{"attributes":{},"id":"a8a8afaf-179b-48c2-bc30-0fa8cce690b3","type":"CategoricalTicker"},{"attributes":{},"id":"2f3984a0-c083-4fc5-a9e2-6a2be89178aa","type":"BasicTickFormatter"},{"attributes":{},"id":"9a7ec7e1-e901-4e5b-9082-41978746c3e6","type":"BasicTicker"},{"attributes":{"callback":null,"end":9,"start":0},"id":"36b2a3c2-fb06-48a0-af15-75a0f66b5f56","type":"DataRange1d"},{"attributes":{"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"palette":["#3288bd","#99d594","#e6f598","#fee08b","#fc8d59","#d53e4f"]},"id":"2bcfbf0f-202d-4caf-8d59-9650708c59af","type":"CategoricalColorMapper"},{"attributes":{"callback":null,"column_names":["counts","fruits"],"data":{"counts":[5,3,4,2,4,6],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"6c2a5c72-445d-4c2f-8a0b-6b5950fa8104","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"7ddf705d-6e77-40ca-8c98-754daf9e0cbf","type":"PanTool"},{"id":"4db6374b-6f75-4de1-b56b-be3cde8c2bc3","type":"WheelZoomTool"},{"id":"d2e58174-c14d-4cb2-9365-eb6003e3b5d1","type":"BoxZoomTool"},{"id":"8d6a84ea-7bcb-4fb8-a3c1-d2678fbc50bd","type":"SaveTool"},{"id":"a6a8e466-53b0-441c-970f-cff47ea13ceb","type":"ResetTool"},{"id":"4f6fb0ed-1c99-482b-a40a-adb635bc8ac0","type":"HelpTool"}]},"id":"053ac25a-6e5a-4b5a-b5f8-eb112ff266d6","type":"Toolbar"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"440e20f1-03eb-42c0-91bb-cd660dc3df9c","type":"BoxAnnotation"},{"attributes":{},"id":"8d6a84ea-7bcb-4fb8-a3c1-d2678fbc50bd","type":"SaveTool"},{"attributes":{"source":{"id":"6c2a5c72-445d-4c2f-8a0b-6b5950fa8104","type":"ColumnDataSource"}},"id":"b67910b7-5a1f-459a-815d-b85894e2f74c","type":"CDSView"},{"attributes":{},"id":"4db6374b-6f75-4de1-b56b-be3cde8c2bc3","type":"WheelZoomTool"},{"attributes":{},"id":"aee377e9-a926-4f0c-a3f6-2466432b1dfd","type":"CategoricalScale"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"75e4216d-ec3d-4457-a314-1e063c5a86f7","type":"FactorRange"},{"attributes":{},"id":"a6a8e466-53b0-441c-970f-cff47ea13ceb","type":"ResetTool"},{"attributes":{"below":[{"id":"6d228080-eedb-4377-afd8-214fbcaee7a2","type":"CategoricalAxis"}],"left":[{"id":"aadf39c2-92c7-4390-881a-6ab5034624d3","type":"LinearAxis"}],"plot_height":350,"renderers":[{"id":"6d228080-eedb-4377-afd8-214fbcaee7a2","type":"CategoricalAxis"},{"id":"5dcf0bf6-197e-4fb5-97af-66c4dae6f5c0","type":"Grid"},{"id":"aadf39c2-92c7-4390-881a-6ab5034624d3","type":"LinearAxis"},{"id":"320c534d-dc9e-4103-9678-8ff3ebd565fd","type":"Grid"},{"id":"440e20f1-03eb-42c0-91bb-cd660dc3df9c","type":"BoxAnnotation"},{"id":"26227ff8-d5e6-4804-acfd-73cb1347c344","type":"Legend"},{"id":"2c92e369-3e1d-4700-a8b7-3156e5bf80b1","type":"GlyphRenderer"}],"title":{"id":"f4ee6f8b-e22a-4edd-8f8f-74314790c48c","type":"Title"},"toolbar":{"id":"053ac25a-6e5a-4b5a-b5f8-eb112ff266d6","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"75e4216d-ec3d-4457-a314-1e063c5a86f7","type":"FactorRange"},"x_scale":{"id":"aee377e9-a926-4f0c-a3f6-2466432b1dfd","type":"CategoricalScale"},"y_range":{"id":"36b2a3c2-fb06-48a0-af15-75a0f66b5f56","type":"DataRange1d"},"y_scale":{"id":"1a8d0693-25a8-42b0-8e29-f4b2594c4420","type":"LinearScale"}},"id":"5ea9db86-8f42-4213-b36f-50191af4d5d3","subtype":"Figure","type":"Plot"},{"attributes":{"fill_color":{"field":"fruits","transform":{"id":"2bcfbf0f-202d-4caf-8d59-9650708c59af","type":"CategoricalColorMapper"}},"line_color":{"value":"white"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"d0b8146c-9235-4c7d-8028-4b5bcdae85aa","type":"VBar"},{"attributes":{"dimension":1,"plot":{"id":"5ea9db86-8f42-4213-b36f-50191af4d5d3","subtype":"Figure","type":"Plot"},"ticker":{"id":"9a7ec7e1-e901-4e5b-9082-41978746c3e6","type":"BasicTicker"}},"id":"320c534d-dc9e-4103-9678-8ff3ebd565fd","type":"Grid"},{"attributes":{"overlay":{"id":"440e20f1-03eb-42c0-91bb-cd660dc3df9c","type":"BoxAnnotation"}},"id":"d2e58174-c14d-4cb2-9365-eb6003e3b5d1","type":"BoxZoomTool"}],"root_ids":["5ea9db86-8f42-4213-b36f-50191af4d5d3"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"81ac821c-f7c0-491c-9dee-3d44eca5022d","elementid":"0a182691-9b03-4949-ae0e-7df18c230329","modelid":"5ea9db86-8f42-4213-b36f-50191af4d5d3"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
