(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("e8b2f045-e152-4503-ae40-25fc7387a5a1");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'e8b2f045-e152-4503-ae40-25fc7387a5a1' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d1482744-f777-49f7-8af2-5cf43fe7e305":{"roots":{"references":[{"attributes":{},"id":"4831d1ea-a65c-4253-8c85-59e03218834b","type":"WheelZoomTool"},{"attributes":{"num_minor_ticks":10},"id":"02a6c77c-8142-4aca-b3cb-2fb5410d48b3","type":"LogTicker"},{"attributes":{"plot":{"id":"ee077b0c-4614-4bfd-8c32-0c19f0f10862","subtype":"Figure","type":"Plot"},"ticker":{"id":"8feba75f-0148-4ec6-8d4d-4db00f196c88","type":"BasicTicker"}},"id":"a14945d5-2b2a-431d-a918-28efa3d19083","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"ee077b0c-4614-4bfd-8c32-0c19f0f10862","subtype":"Figure","type":"Plot"},"ticker":{"id":"02a6c77c-8142-4aca-b3cb-2fb5410d48b3","type":"LogTicker"}},"id":"d37ad5ee-c5fd-4a1e-904e-4684eb5922b0","type":"Grid"},{"attributes":{"fill_color":{"value":"white"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"3757d311-f135-4aef-8a47-dd8fe268afd3","type":"Circle"},{"attributes":{"source":{"id":"f3c628e6-36a5-44b7-af89-09c1d0528121","type":"ColumnDataSource"}},"id":"9ead83f6-d7e1-4381-8bd5-7ae5a8ba391f","type":"CDSView"},{"attributes":{},"id":"8704f1d5-7ccc-4341-9e3a-09120c9c0248","type":"HelpTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.1,0.5,1.0,1.5,2.0,2.5,3.0],"y":[1.2589254117941673,3.1622776601683795,10.0,31.622776601683793,100.0,316.22776601683796,1000.0]}},"id":"54ade586-4a75-44f9-9c7f-5f0b5793683c","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"15ef45eb-3e66-4fa4-a052-1bc0a73593bf","type":"PanTool"},{"id":"4831d1ea-a65c-4253-8c85-59e03218834b","type":"WheelZoomTool"},{"id":"9f70b0b6-ec83-43eb-859a-b16f213d9951","type":"BoxZoomTool"},{"id":"294b10da-e830-42e6-9cf6-2964f9e9a53c","type":"SaveTool"},{"id":"bca0f0ed-aafc-4c8f-8c07-04988b3eb4f2","type":"ResetTool"},{"id":"8704f1d5-7ccc-4341-9e3a-09120c9c0248","type":"HelpTool"}]},"id":"5797fc8d-79b8-4d07-bb45-5f110d2225be","type":"Toolbar"},{"attributes":{},"id":"55950019-e525-46a9-af79-86cfc253369e","type":"LogScale"},{"attributes":{"formatter":{"id":"95e15de0-a9c4-4222-bf68-d0cfb7ed734c","type":"BasicTickFormatter"},"plot":{"id":"ee077b0c-4614-4bfd-8c32-0c19f0f10862","subtype":"Figure","type":"Plot"},"ticker":{"id":"8feba75f-0148-4ec6-8d4d-4db00f196c88","type":"BasicTicker"}},"id":"891c7818-9a11-4064-afb9-e6ee0c3c72b0","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.1,0.5,1.0,1.5,2.0,2.5,3.0],"y":[1.2589254117941673,3.1622776601683795,10.0,31.622776601683793,100.0,316.22776601683796,1000.0]}},"id":"f3c628e6-36a5-44b7-af89-09c1d0528121","type":"ColumnDataSource"},{"attributes":{},"id":"8feba75f-0148-4ec6-8d4d-4db00f196c88","type":"BasicTicker"},{"attributes":{"ticker":null},"id":"36626852-915f-4bb8-b56c-00d3497e5cee","type":"LogTickFormatter"},{"attributes":{"data_source":{"id":"54ade586-4a75-44f9-9c7f-5f0b5793683c","type":"ColumnDataSource"},"glyph":{"id":"f38eb8e6-aaa7-49a9-9480-e75b8c86c538","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"27b39ab4-91de-4bde-a68c-a10cf5f5d7f2","type":"Line"},"selection_glyph":null,"view":{"id":"46f5e882-d438-41d9-acb5-d24461ca87f0","type":"CDSView"}},"id":"90fd67aa-7fa0-4ab4-9485-f30e6cacad05","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"c800e846-e751-4912-8304-9ad40f74bf07","type":"Circle"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"f38eb8e6-aaa7-49a9-9480-e75b8c86c538","type":"Line"},{"attributes":{},"id":"e88caf4e-ec80-489f-ac95-4387e611f36c","type":"LinearScale"},{"attributes":{"below":[{"id":"891c7818-9a11-4064-afb9-e6ee0c3c72b0","type":"LinearAxis"}],"left":[{"id":"a95508d8-c2e8-451b-be56-c43c97631987","type":"LogAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"891c7818-9a11-4064-afb9-e6ee0c3c72b0","type":"LinearAxis"},{"id":"a14945d5-2b2a-431d-a918-28efa3d19083","type":"Grid"},{"id":"a95508d8-c2e8-451b-be56-c43c97631987","type":"LogAxis"},{"id":"d37ad5ee-c5fd-4a1e-904e-4684eb5922b0","type":"Grid"},{"id":"367984ac-58bb-487a-95d5-88f0fe070fd9","type":"BoxAnnotation"},{"id":"90fd67aa-7fa0-4ab4-9485-f30e6cacad05","type":"GlyphRenderer"},{"id":"fb7762ea-21d8-4844-8c75-cccc9ede2809","type":"GlyphRenderer"}],"title":{"id":"90332e2b-3e9f-462c-afa4-7d292c43f566","type":"Title"},"toolbar":{"id":"5797fc8d-79b8-4d07-bb45-5f110d2225be","type":"Toolbar"},"x_range":{"id":"56d4574f-3464-49eb-a73e-3913fd9656fa","type":"DataRange1d"},"x_scale":{"id":"e88caf4e-ec80-489f-ac95-4387e611f36c","type":"LinearScale"},"y_range":{"id":"2d49ccd4-b4e3-4280-81b2-12d4394b5a8c","type":"DataRange1d"},"y_scale":{"id":"55950019-e525-46a9-af79-86cfc253369e","type":"LogScale"}},"id":"ee077b0c-4614-4bfd-8c32-0c19f0f10862","subtype":"Figure","type":"Plot"},{"attributes":{"plot":null,"text":""},"id":"90332e2b-3e9f-462c-afa4-7d292c43f566","type":"Title"},{"attributes":{"callback":null},"id":"2d49ccd4-b4e3-4280-81b2-12d4394b5a8c","type":"DataRange1d"},{"attributes":{"formatter":{"id":"36626852-915f-4bb8-b56c-00d3497e5cee","type":"LogTickFormatter"},"plot":{"id":"ee077b0c-4614-4bfd-8c32-0c19f0f10862","subtype":"Figure","type":"Plot"},"ticker":{"id":"02a6c77c-8142-4aca-b3cb-2fb5410d48b3","type":"LogTicker"}},"id":"a95508d8-c2e8-451b-be56-c43c97631987","type":"LogAxis"},{"attributes":{"callback":null},"id":"56d4574f-3464-49eb-a73e-3913fd9656fa","type":"DataRange1d"},{"attributes":{},"id":"15ef45eb-3e66-4fa4-a052-1bc0a73593bf","type":"PanTool"},{"attributes":{"overlay":{"id":"367984ac-58bb-487a-95d5-88f0fe070fd9","type":"BoxAnnotation"}},"id":"9f70b0b6-ec83-43eb-859a-b16f213d9951","type":"BoxZoomTool"},{"attributes":{},"id":"294b10da-e830-42e6-9cf6-2964f9e9a53c","type":"SaveTool"},{"attributes":{},"id":"95e15de0-a9c4-4222-bf68-d0cfb7ed734c","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"367984ac-58bb-487a-95d5-88f0fe070fd9","type":"BoxAnnotation"},{"attributes":{},"id":"bca0f0ed-aafc-4c8f-8c07-04988b3eb4f2","type":"ResetTool"},{"attributes":{"source":{"id":"54ade586-4a75-44f9-9c7f-5f0b5793683c","type":"ColumnDataSource"}},"id":"46f5e882-d438-41d9-acb5-d24461ca87f0","type":"CDSView"},{"attributes":{"data_source":{"id":"f3c628e6-36a5-44b7-af89-09c1d0528121","type":"ColumnDataSource"},"glyph":{"id":"3757d311-f135-4aef-8a47-dd8fe268afd3","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c800e846-e751-4912-8304-9ad40f74bf07","type":"Circle"},"selection_glyph":null,"view":{"id":"9ead83f6-d7e1-4381-8bd5-7ae5a8ba391f","type":"CDSView"}},"id":"fb7762ea-21d8-4844-8c75-cccc9ede2809","type":"GlyphRenderer"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"27b39ab4-91de-4bde-a68c-a10cf5f5d7f2","type":"Line"}],"root_ids":["ee077b0c-4614-4bfd-8c32-0c19f0f10862"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d1482744-f777-49f7-8af2-5cf43fe7e305","elementid":"e8b2f045-e152-4503-ae40-25fc7387a5a1","modelid":"ee077b0c-4614-4bfd-8c32-0c19f0f10862"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
