(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("7b9c2ce1-2c05-43c0-bf14-694260894c9f");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '7b9c2ce1-2c05-43c0-bf14-694260894c9f' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"ec4eb629-2e7f-4560-b127-9ca26b294b83":{"roots":{"references":[{"attributes":{"data_source":{"id":"e231e7c7-1961-47dc-99c5-6c1552879909","type":"ColumnDataSource"},"glyph":{"id":"fd8b5ca7-02dc-4f19-9b51-a51c423e4ee5","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"0ae67c0a-e358-4ee7-9df5-8096e11956af","type":"VBar"},"selection_glyph":null,"view":{"id":"7ee9d709-7754-47f6-b8df-49dc7f01db8d","type":"CDSView"}},"id":"7b0642de-2e2b-41c2-b486-05ddc2797199","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"0ae67c0a-e358-4ee7-9df5-8096e11956af","type":"VBar"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"0fd019e1-5561-4ddd-aacf-0c523e4de9b7","type":"Toolbar"},{"attributes":{"below":[{"id":"bab061f9-9992-45cc-967f-c0ab2dd7946e","type":"CategoricalAxis"}],"left":[{"id":"080a183a-8a65-4b36-a091-a35b946c7960","type":"LinearAxis"}],"plot_height":350,"renderers":[{"id":"bab061f9-9992-45cc-967f-c0ab2dd7946e","type":"CategoricalAxis"},{"id":"207fc0f2-3359-460d-8c9b-89f256932bc1","type":"Grid"},{"id":"080a183a-8a65-4b36-a091-a35b946c7960","type":"LinearAxis"},{"id":"0a668b7f-6ddc-4ae5-885f-538f9fd6f589","type":"Grid"},{"id":"7b0642de-2e2b-41c2-b486-05ddc2797199","type":"GlyphRenderer"},{"id":"fe25fe8f-99ed-4c27-821b-0cfd8d1726e9","type":"GlyphRenderer"}],"title":{"id":"0bed8956-3478-49a0-b720-6862a4eb12c9","type":"Title"},"toolbar":{"id":"0fd019e1-5561-4ddd-aacf-0c523e4de9b7","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"07aba83e-8a20-415b-a2c2-d880a7cf4549","type":"FactorRange"},"x_scale":{"id":"0e4644e7-e14c-479f-bc05-92da98e0a0c5","type":"CategoricalScale"},"y_range":{"id":"581ce046-ae10-4957-adf5-76f64c04afa6","type":"DataRange1d"},"y_scale":{"id":"bb9b664d-74d0-41ec-b1ea-5e642815759d","type":"LinearScale"}},"id":"7eaef235-61e7-49ce-b1be-9677f4d1a7fb","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"cc861e8f-f54e-43a8-af67-438ef2b2eab2","type":"CategoricalTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":["Q1","Q2","Q3","Q4"],"y":[12,9,13,14]}},"id":"31d1da42-b8f2-4d34-90f0-8fbb50645cee","type":"ColumnDataSource"},{"attributes":{"callback":null,"factors":[["Q1","jan"],["Q1","feb"],["Q1","mar"],["Q2","apr"],["Q2","may"],["Q2","jun"],["Q3","jul"],["Q3","aug"],["Q3","sep"],["Q4","oct"],["Q4","nov"],["Q4","dec"]],"range_padding":0.1},"id":"07aba83e-8a20-415b-a2c2-d880a7cf4549","type":"FactorRange"},{"attributes":{},"id":"0e4644e7-e14c-479f-bc05-92da98e0a0c5","type":"CategoricalScale"},{"attributes":{"data_source":{"id":"31d1da42-b8f2-4d34-90f0-8fbb50645cee","type":"ColumnDataSource"},"glyph":{"id":"add0d824-c5d6-4ef6-a86e-63e08a95a86e","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"244247f8-b656-4800-a872-6134c7535fa1","type":"Line"},"selection_glyph":null,"view":{"id":"3790e64a-08ba-45de-a996-aa861a42ff11","type":"CDSView"}},"id":"fe25fe8f-99ed-4c27-821b-0cfd8d1726e9","type":"GlyphRenderer"},{"attributes":{"source":{"id":"e231e7c7-1961-47dc-99c5-6c1552879909","type":"ColumnDataSource"}},"id":"7ee9d709-7754-47f6-b8df-49dc7f01db8d","type":"CDSView"},{"attributes":{"plot":null,"text":""},"id":"0bed8956-3478-49a0-b720-6862a4eb12c9","type":"Title"},{"attributes":{"callback":null,"column_names":["top","x"],"data":{"top":[10,12,16,9,10,8,12,13,14,14,12,16],"x":[["Q1","jan"],["Q1","feb"],["Q1","mar"],["Q2","apr"],["Q2","may"],["Q2","jun"],["Q3","jul"],["Q3","aug"],["Q3","sep"],["Q4","oct"],["Q4","nov"],["Q4","dec"]]}},"id":"e231e7c7-1961-47dc-99c5-6c1552879909","type":"ColumnDataSource"},{"attributes":{"line_color":{"value":"red"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"add0d824-c5d6-4ef6-a86e-63e08a95a86e","type":"Line"},{"attributes":{},"id":"3d7d618b-4234-4174-905b-444a50e63a64","type":"BasicTickFormatter"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"7eaef235-61e7-49ce-b1be-9677f4d1a7fb","subtype":"Figure","type":"Plot"},"ticker":{"id":"2a4ff517-34eb-40f5-baf7-20e99b686ed7","type":"CategoricalTicker"}},"id":"207fc0f2-3359-460d-8c9b-89f256932bc1","type":"Grid"},{"attributes":{"formatter":{"id":"3d7d618b-4234-4174-905b-444a50e63a64","type":"BasicTickFormatter"},"plot":{"id":"7eaef235-61e7-49ce-b1be-9677f4d1a7fb","subtype":"Figure","type":"Plot"},"ticker":{"id":"4077e86a-38ff-48e0-8852-b99867147e7c","type":"BasicTicker"}},"id":"080a183a-8a65-4b36-a091-a35b946c7960","type":"LinearAxis"},{"attributes":{"formatter":{"id":"cc861e8f-f54e-43a8-af67-438ef2b2eab2","type":"CategoricalTickFormatter"},"major_label_orientation":1,"plot":{"id":"7eaef235-61e7-49ce-b1be-9677f4d1a7fb","subtype":"Figure","type":"Plot"},"ticker":{"id":"2a4ff517-34eb-40f5-baf7-20e99b686ed7","type":"CategoricalTicker"}},"id":"bab061f9-9992-45cc-967f-c0ab2dd7946e","type":"CategoricalAxis"},{"attributes":{"dimension":1,"plot":{"id":"7eaef235-61e7-49ce-b1be-9677f4d1a7fb","subtype":"Figure","type":"Plot"},"ticker":{"id":"4077e86a-38ff-48e0-8852-b99867147e7c","type":"BasicTicker"}},"id":"0a668b7f-6ddc-4ae5-885f-538f9fd6f589","type":"Grid"},{"attributes":{},"id":"4077e86a-38ff-48e0-8852-b99867147e7c","type":"BasicTicker"},{"attributes":{},"id":"bb9b664d-74d0-41ec-b1ea-5e642815759d","type":"LinearScale"},{"attributes":{},"id":"2a4ff517-34eb-40f5-baf7-20e99b686ed7","type":"CategoricalTicker"},{"attributes":{"source":{"id":"31d1da42-b8f2-4d34-90f0-8fbb50645cee","type":"ColumnDataSource"}},"id":"3790e64a-08ba-45de-a996-aa861a42ff11","type":"CDSView"},{"attributes":{"callback":null,"start":0},"id":"581ce046-ae10-4957-adf5-76f64c04afa6","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.5},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"fd8b5ca7-02dc-4f19-9b51-a51c423e4ee5","type":"VBar"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"244247f8-b656-4800-a872-6134c7535fa1","type":"Line"}],"root_ids":["7eaef235-61e7-49ce-b1be-9677f4d1a7fb"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"ec4eb629-2e7f-4560-b127-9ca26b294b83","elementid":"7b9c2ce1-2c05-43c0-bf14-694260894c9f","modelid":"7eaef235-61e7-49ce-b1be-9677f4d1a7fb"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
