(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ff5fe9dd-f372-4681-bc4d-36a11adf2a1e");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ff5fe9dd-f372-4681-bc4d-36a11adf2a1e' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"50c15f36-2759-4da6-9b36-20a654078090":{"roots":{"references":[{"attributes":{},"id":"baf8d1eb-fdbc-43c4-a99e-94ec7e56f9b1","type":"SaveTool"},{"attributes":{},"id":"5bf039a2-98cd-4da6-b8fb-abefea69832e","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"519ddc40-24c6-40f7-b694-b0a43354e092","type":"ColumnDataSource"},{"attributes":{"plot":null,"text":""},"id":"560e4ee2-8d9f-4208-af07-b0aa3d147ece","type":"Title"},{"attributes":{"callback":null},"id":"ad495882-fd55-4647-8a1b-c7471cf08590","type":"DataRange1d"},{"attributes":{},"id":"9756ebc8-a9c3-4cff-891e-ceda71b92142","type":"LinearScale"},{"attributes":{},"id":"d8a85c94-5f34-451a-9267-0f80c7d0485b","type":"LinearScale"},{"attributes":{"formatter":{"id":"8be3eeda-baad-4fd0-91c4-42e0d919059b","type":"BasicTickFormatter"},"plot":{"id":"af842fa0-b823-4024-a4ff-47461f484650","subtype":"Figure","type":"Plot"},"ticker":{"id":"5bf039a2-98cd-4da6-b8fb-abefea69832e","type":"BasicTicker"}},"id":"6f9ff144-20eb-49a4-a71c-6146c0441cec","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"olive"},"line_alpha":{"value":0.5},"line_color":{"value":"olive"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"5126018a-0d9e-4666-befe-0e78695fe83a","type":"Square"},{"attributes":{},"id":"83bf89ce-d128-4f97-a64d-bff6bfc5f137","type":"ResetTool"},{"attributes":{"below":[{"id":"6af0e746-a304-45e2-bffc-7c83576d01ff","type":"LinearAxis"}],"left":[{"id":"6f9ff144-20eb-49a4-a71c-6146c0441cec","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"6af0e746-a304-45e2-bffc-7c83576d01ff","type":"LinearAxis"},{"id":"5138eec5-aab6-43a6-af7c-5d0c3b30760b","type":"Grid"},{"id":"6f9ff144-20eb-49a4-a71c-6146c0441cec","type":"LinearAxis"},{"id":"fafebdd3-9619-4392-b28f-d706d4ef8e9e","type":"Grid"},{"id":"2bf5abb4-1a0d-4a4e-ae5f-e2558dd32923","type":"BoxAnnotation"},{"id":"fac667cd-ba51-4bee-b839-c6850991f30a","type":"GlyphRenderer"}],"title":{"id":"560e4ee2-8d9f-4208-af07-b0aa3d147ece","type":"Title"},"toolbar":{"id":"a0cd7656-9c26-4d8c-8ab3-34eb31352e2b","type":"Toolbar"},"x_range":{"id":"ad495882-fd55-4647-8a1b-c7471cf08590","type":"DataRange1d"},"x_scale":{"id":"9756ebc8-a9c3-4cff-891e-ceda71b92142","type":"LinearScale"},"y_range":{"id":"894a4b63-391e-4954-908a-cb0394b5f9f9","type":"DataRange1d"},"y_scale":{"id":"d8a85c94-5f34-451a-9267-0f80c7d0485b","type":"LinearScale"}},"id":"af842fa0-b823-4024-a4ff-47461f484650","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"f3c2e2c5-6302-40cf-af0c-f1f01f6e8572","type":"HelpTool"},{"attributes":{},"id":"b91e3a90-b856-4c0a-b33c-fa7747e05bdf","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"2bf5abb4-1a0d-4a4e-ae5f-e2558dd32923","type":"BoxAnnotation"},{"attributes":{"overlay":{"id":"2bf5abb4-1a0d-4a4e-ae5f-e2558dd32923","type":"BoxAnnotation"}},"id":"b391178e-f726-4867-b2a4-5861e58fb7ed","type":"BoxZoomTool"},{"attributes":{"data_source":{"id":"519ddc40-24c6-40f7-b694-b0a43354e092","type":"ColumnDataSource"},"glyph":{"id":"5126018a-0d9e-4666-befe-0e78695fe83a","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a4008c29-c28b-4e73-933a-72568807b4d2","type":"Square"},"selection_glyph":null,"view":{"id":"ae259e4d-1522-4a73-997c-3a9ce08bf5eb","type":"CDSView"}},"id":"fac667cd-ba51-4bee-b839-c6850991f30a","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"af842fa0-b823-4024-a4ff-47461f484650","subtype":"Figure","type":"Plot"},"ticker":{"id":"8fdc65b1-cac2-4a85-ace2-e130343cc959","type":"BasicTicker"}},"id":"5138eec5-aab6-43a6-af7c-5d0c3b30760b","type":"Grid"},{"attributes":{},"id":"8be3eeda-baad-4fd0-91c4-42e0d919059b","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"af842fa0-b823-4024-a4ff-47461f484650","subtype":"Figure","type":"Plot"},"ticker":{"id":"5bf039a2-98cd-4da6-b8fb-abefea69832e","type":"BasicTicker"}},"id":"fafebdd3-9619-4392-b28f-d706d4ef8e9e","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"33d40675-cac6-4c4e-b466-47f9cade6be8","type":"PanTool"},{"id":"a301ef59-9e3b-475f-ba23-728d6182850d","type":"WheelZoomTool"},{"id":"b391178e-f726-4867-b2a4-5861e58fb7ed","type":"BoxZoomTool"},{"id":"baf8d1eb-fdbc-43c4-a99e-94ec7e56f9b1","type":"SaveTool"},{"id":"83bf89ce-d128-4f97-a64d-bff6bfc5f137","type":"ResetTool"},{"id":"f3c2e2c5-6302-40cf-af0c-f1f01f6e8572","type":"HelpTool"}]},"id":"a0cd7656-9c26-4d8c-8ab3-34eb31352e2b","type":"Toolbar"},{"attributes":{},"id":"8fdc65b1-cac2-4a85-ace2-e130343cc959","type":"BasicTicker"},{"attributes":{},"id":"33d40675-cac6-4c4e-b466-47f9cade6be8","type":"PanTool"},{"attributes":{"formatter":{"id":"b91e3a90-b856-4c0a-b33c-fa7747e05bdf","type":"BasicTickFormatter"},"plot":{"id":"af842fa0-b823-4024-a4ff-47461f484650","subtype":"Figure","type":"Plot"},"ticker":{"id":"8fdc65b1-cac2-4a85-ace2-e130343cc959","type":"BasicTicker"}},"id":"6af0e746-a304-45e2-bffc-7c83576d01ff","type":"LinearAxis"},{"attributes":{"callback":null},"id":"894a4b63-391e-4954-908a-cb0394b5f9f9","type":"DataRange1d"},{"attributes":{"source":{"id":"519ddc40-24c6-40f7-b694-b0a43354e092","type":"ColumnDataSource"}},"id":"ae259e4d-1522-4a73-997c-3a9ce08bf5eb","type":"CDSView"},{"attributes":{},"id":"a301ef59-9e3b-475f-ba23-728d6182850d","type":"WheelZoomTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"a4008c29-c28b-4e73-933a-72568807b4d2","type":"Square"}],"root_ids":["af842fa0-b823-4024-a4ff-47461f484650"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"50c15f36-2759-4da6-9b36-20a654078090","elementid":"ff5fe9dd-f372-4681-bc4d-36a11adf2a1e","modelid":"af842fa0-b823-4024-a4ff-47461f484650"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
