(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("67c00313-91ad-4dba-a4c2-b9155eca95da");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '67c00313-91ad-4dba-a4c2-b9155eca95da' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"ea8c225b-066b-4c0a-b7e3-c1fb0db22dd0":{"roots":{"references":[{"attributes":{"source":{"id":"336799a9-5897-4508-92c6-0aab2c30e225","type":"ColumnDataSource"}},"id":"b1168405-fc1a-4ee4-9264-7d428388becc","type":"CDSView"},{"attributes":{},"id":"dc7bd2ee-3ac7-40f9-ab5c-4b409475b767","type":"ResetTool"},{"attributes":{"data_source":{"id":"3b92178a-2221-4596-b9e5-5df1aeac83bc","type":"ColumnDataSource"},"glyph":{"id":"4dbeb2b3-32aa-4192-b3b4-d47454927f11","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a948a255-2337-42bc-b74c-7788515d6348","type":"Line"},"selection_glyph":null,"view":{"id":"fe74317a-7ee6-45d6-80da-ff2dc15f1664","type":"CDSView"}},"id":"945212d1-fa2a-481e-baaf-552060455cab","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"b789f230-7df2-4e82-9f7d-578f2f01c4c6","subtype":"Figure","type":"Plot"},"ticker":{"id":"466ab82f-6c55-48bc-b505-ec3502d642bc","type":"BasicTicker"}},"id":"6295ebb1-2c87-41b5-b044-39e08198446a","type":"Grid"},{"attributes":{},"id":"9ca789d0-45ae-404d-bc3a-e7a549931412","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"b789f230-7df2-4e82-9f7d-578f2f01c4c6","subtype":"Figure","type":"Plot"},"ticker":{"id":"2b73f380-a660-4189-a0a8-4b40f48e7e72","type":"BasicTicker"}},"id":"96efbeed-66e0-4c57-a1e4-365e25c31e26","type":"Grid"},{"attributes":{"callback":null},"id":"065d0fd8-8029-41cc-92a1-3b474418bac5","type":"DataRange1d"},{"attributes":{},"id":"85fe83bb-8185-49ae-84c6-73680a046ce1","type":"PanTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,8,7,3]}},"id":"3b92178a-2221-4596-b9e5-5df1aeac83bc","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"ee450dd1-9ca2-4d6c-8d32-a83978c9359b","type":"DataRange1d"},{"attributes":{"formatter":{"id":"9ca789d0-45ae-404d-bc3a-e7a549931412","type":"BasicTickFormatter"},"plot":{"id":"b789f230-7df2-4e82-9f7d-578f2f01c4c6","subtype":"Figure","type":"Plot"},"ticker":{"id":"466ab82f-6c55-48bc-b505-ec3502d642bc","type":"BasicTicker"}},"id":"1995b803-d21e-439b-ab37-1bce09f5010a","type":"LinearAxis"},{"attributes":{"source":{"id":"3b92178a-2221-4596-b9e5-5df1aeac83bc","type":"ColumnDataSource"}},"id":"fe74317a-7ee6-45d6-80da-ff2dc15f1664","type":"CDSView"},{"attributes":{},"id":"11b85956-90a2-499f-adbe-0cca0c4b9683","type":"HelpTool"},{"attributes":{},"id":"66b93d2d-f9dc-4b67-8592-9203bf9bb7bb","type":"LinearScale"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"4dbeb2b3-32aa-4192-b3b4-d47454927f11","type":"Line"},{"attributes":{"below":[{"id":"1995b803-d21e-439b-ab37-1bce09f5010a","type":"LinearAxis"}],"left":[{"id":"1fa596e4-86d0-4af7-b1ec-88faa910aee5","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"1995b803-d21e-439b-ab37-1bce09f5010a","type":"LinearAxis"},{"id":"6295ebb1-2c87-41b5-b044-39e08198446a","type":"Grid"},{"id":"1fa596e4-86d0-4af7-b1ec-88faa910aee5","type":"LinearAxis"},{"id":"96efbeed-66e0-4c57-a1e4-365e25c31e26","type":"Grid"},{"id":"35b9723d-26e4-46e6-824e-e232e7491501","type":"BoxAnnotation"},{"id":"945212d1-fa2a-481e-baaf-552060455cab","type":"GlyphRenderer"},{"id":"fd419239-4d31-4371-88d7-eacf7722f6b3","type":"GlyphRenderer"}],"title":{"id":"4cd1524c-840e-439b-8e49-a10bb9b9dc16","type":"Title"},"toolbar":{"id":"ecf42c36-6569-4e76-a26d-9c48f7102b78","type":"Toolbar"},"x_range":{"id":"ee450dd1-9ca2-4d6c-8d32-a83978c9359b","type":"DataRange1d"},"x_scale":{"id":"b57e7aa9-5e86-4bc6-b4f4-1c68cd207070","type":"LinearScale"},"y_range":{"id":"065d0fd8-8029-41cc-92a1-3b474418bac5","type":"DataRange1d"},"y_scale":{"id":"66b93d2d-f9dc-4b67-8592-9203bf9bb7bb","type":"LinearScale"}},"id":"b789f230-7df2-4e82-9f7d-578f2f01c4c6","subtype":"Figure","type":"Plot"},{"attributes":{"overlay":{"id":"35b9723d-26e4-46e6-824e-e232e7491501","type":"BoxAnnotation"}},"id":"661f1473-d632-4439-9d60-4470b22ec074","type":"BoxZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,8,7,3]}},"id":"336799a9-5897-4508-92c6-0aab2c30e225","type":"ColumnDataSource"},{"attributes":{"fill_color":{"value":"white"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"bc529b62-f8b4-429a-aaae-ac77fd3d0d70","type":"Circle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"85fe83bb-8185-49ae-84c6-73680a046ce1","type":"PanTool"},{"id":"dc4edad2-5f7a-4937-9a69-c625e96a046e","type":"WheelZoomTool"},{"id":"661f1473-d632-4439-9d60-4470b22ec074","type":"BoxZoomTool"},{"id":"15095d2d-3256-4735-bac2-d73eccb94e60","type":"SaveTool"},{"id":"dc7bd2ee-3ac7-40f9-ab5c-4b409475b767","type":"ResetTool"},{"id":"11b85956-90a2-499f-adbe-0cca0c4b9683","type":"HelpTool"}]},"id":"ecf42c36-6569-4e76-a26d-9c48f7102b78","type":"Toolbar"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"35b9723d-26e4-46e6-824e-e232e7491501","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"c73380c2-89af-4489-a5cb-650a0d34468a","type":"BasicTickFormatter"},"plot":{"id":"b789f230-7df2-4e82-9f7d-578f2f01c4c6","subtype":"Figure","type":"Plot"},"ticker":{"id":"2b73f380-a660-4189-a0a8-4b40f48e7e72","type":"BasicTicker"}},"id":"1fa596e4-86d0-4af7-b1ec-88faa910aee5","type":"LinearAxis"},{"attributes":{"data_source":{"id":"336799a9-5897-4508-92c6-0aab2c30e225","type":"ColumnDataSource"},"glyph":{"id":"bc529b62-f8b4-429a-aaae-ac77fd3d0d70","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c1a3063e-1304-4629-8fe7-38343dc0b45d","type":"Circle"},"selection_glyph":null,"view":{"id":"b1168405-fc1a-4ee4-9264-7d428388becc","type":"CDSView"}},"id":"fd419239-4d31-4371-88d7-eacf7722f6b3","type":"GlyphRenderer"},{"attributes":{"plot":null,"text":""},"id":"4cd1524c-840e-439b-8e49-a10bb9b9dc16","type":"Title"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"c1a3063e-1304-4629-8fe7-38343dc0b45d","type":"Circle"},{"attributes":{},"id":"c73380c2-89af-4489-a5cb-650a0d34468a","type":"BasicTickFormatter"},{"attributes":{},"id":"b57e7aa9-5e86-4bc6-b4f4-1c68cd207070","type":"LinearScale"},{"attributes":{},"id":"15095d2d-3256-4735-bac2-d73eccb94e60","type":"SaveTool"},{"attributes":{},"id":"dc4edad2-5f7a-4937-9a69-c625e96a046e","type":"WheelZoomTool"},{"attributes":{},"id":"466ab82f-6c55-48bc-b505-ec3502d642bc","type":"BasicTicker"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"a948a255-2337-42bc-b74c-7788515d6348","type":"Line"},{"attributes":{},"id":"2b73f380-a660-4189-a0a8-4b40f48e7e72","type":"BasicTicker"}],"root_ids":["b789f230-7df2-4e82-9f7d-578f2f01c4c6"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"ea8c225b-066b-4c0a-b7e3-c1fb0db22dd0","elementid":"67c00313-91ad-4dba-a4c2-b9155eca95da","modelid":"b789f230-7df2-4e82-9f7d-578f2f01c4c6"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
