(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ecaff77f-5458-4ef3-8658-2e5d85a7876c");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ecaff77f-5458-4ef3-8658-2e5d85a7876c' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"5b118da5-90a9-41b7-9d96-49ba599d4cc1":{"roots":{"references":[{"attributes":{"plot":{"id":"583575b9-1952-4cb6-a289-41a1bfa622f2","subtype":"Figure","type":"Plot"},"ticker":{"id":"c7e31475-9c6c-4206-9a86-12e599c9f2ad","type":"BasicTicker"}},"id":"b81e8699-1fce-46c7-9039-5c01d1e46d5a","type":"Grid"},{"attributes":{"plot":null,"text":""},"id":"6bab2abc-f85f-4df8-b3da-fd1d1e1c3f19","type":"Title"},{"attributes":{"direction":"clock","end_angle":{"units":"rad","value":4.8},"fill_alpha":{"value":0.6},"fill_color":{"value":"firebrick"},"line_alpha":{"value":0.6},"line_color":{"value":"firebrick"},"radius":{"units":"data","value":0.2},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"5c83cb85-be42-4f94-87cd-cee7eaa55b8d","type":"Wedge"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"d33ac1be-4dba-42eb-84af-0c350ebda26d","type":"PanTool"},{"id":"d9be1219-d72c-49cc-b5f2-9e4fb43a4202","type":"WheelZoomTool"},{"id":"8bb6299e-e82c-4e83-bcbc-0e91f83b6592","type":"BoxZoomTool"},{"id":"1ec2a71c-5567-4775-8758-e6973acaafc8","type":"SaveTool"},{"id":"38d5a382-e100-433c-948e-369e078ca111","type":"ResetTool"},{"id":"d62d5712-e0d6-4c3c-addb-1c7d2905e4f5","type":"HelpTool"}]},"id":"ef045ed3-bbfc-408b-b11a-0e36aad58851","type":"Toolbar"},{"attributes":{},"id":"c7e31475-9c6c-4206-9a86-12e599c9f2ad","type":"BasicTicker"},{"attributes":{"overlay":{"id":"b58461d3-6c9b-4f6c-927b-7ff2482ae694","type":"BoxAnnotation"}},"id":"8bb6299e-e82c-4e83-bcbc-0e91f83b6592","type":"BoxZoomTool"},{"attributes":{"below":[{"id":"c6644492-bb37-4cdc-9b24-87935fb1de67","type":"LinearAxis"}],"left":[{"id":"1fda5950-5b82-4859-a686-3dc4d42e6072","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"c6644492-bb37-4cdc-9b24-87935fb1de67","type":"LinearAxis"},{"id":"b81e8699-1fce-46c7-9039-5c01d1e46d5a","type":"Grid"},{"id":"1fda5950-5b82-4859-a686-3dc4d42e6072","type":"LinearAxis"},{"id":"538599d8-8e28-4ff9-aa89-284e65ac9202","type":"Grid"},{"id":"b58461d3-6c9b-4f6c-927b-7ff2482ae694","type":"BoxAnnotation"},{"id":"82440ff7-d5ae-422b-b3bd-ba94de069a41","type":"GlyphRenderer"}],"title":{"id":"6bab2abc-f85f-4df8-b3da-fd1d1e1c3f19","type":"Title"},"toolbar":{"id":"ef045ed3-bbfc-408b-b11a-0e36aad58851","type":"Toolbar"},"x_range":{"id":"23eae358-1ee6-4fb7-a74a-1bba9cefbcc2","type":"DataRange1d"},"x_scale":{"id":"3abeafe3-228e-427b-9775-35c25c6693d6","type":"LinearScale"},"y_range":{"id":"af826b74-14c7-4b50-9308-6a6212773fed","type":"DataRange1d"},"y_scale":{"id":"def9febc-98a6-45b5-97a0-942c939c79d4","type":"LinearScale"}},"id":"583575b9-1952-4cb6-a289-41a1bfa622f2","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"1ec2a71c-5567-4775-8758-e6973acaafc8","type":"SaveTool"},{"attributes":{"formatter":{"id":"684aacce-f320-4e1f-83f0-24154d3e7eaf","type":"BasicTickFormatter"},"plot":{"id":"583575b9-1952-4cb6-a289-41a1bfa622f2","subtype":"Figure","type":"Plot"},"ticker":{"id":"abde821d-66c1-402c-bc8f-aef0793311bd","type":"BasicTicker"}},"id":"1fda5950-5b82-4859-a686-3dc4d42e6072","type":"LinearAxis"},{"attributes":{},"id":"d9be1219-d72c-49cc-b5f2-9e4fb43a4202","type":"WheelZoomTool"},{"attributes":{},"id":"d33ac1be-4dba-42eb-84af-0c350ebda26d","type":"PanTool"},{"attributes":{},"id":"def9febc-98a6-45b5-97a0-942c939c79d4","type":"LinearScale"},{"attributes":{},"id":"684aacce-f320-4e1f-83f0-24154d3e7eaf","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"2ca71a9e-a802-4ba9-90b5-2a31153556f8","type":"BasicTickFormatter"},"plot":{"id":"583575b9-1952-4cb6-a289-41a1bfa622f2","subtype":"Figure","type":"Plot"},"ticker":{"id":"c7e31475-9c6c-4206-9a86-12e599c9f2ad","type":"BasicTicker"}},"id":"c6644492-bb37-4cdc-9b24-87935fb1de67","type":"LinearAxis"},{"attributes":{},"id":"abde821d-66c1-402c-bc8f-aef0793311bd","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"486345db-e5b3-47e6-a6f7-e15af61d266f","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"583575b9-1952-4cb6-a289-41a1bfa622f2","subtype":"Figure","type":"Plot"},"ticker":{"id":"abde821d-66c1-402c-bc8f-aef0793311bd","type":"BasicTicker"}},"id":"538599d8-8e28-4ff9-aa89-284e65ac9202","type":"Grid"},{"attributes":{},"id":"d62d5712-e0d6-4c3c-addb-1c7d2905e4f5","type":"HelpTool"},{"attributes":{"source":{"id":"486345db-e5b3-47e6-a6f7-e15af61d266f","type":"ColumnDataSource"}},"id":"2c44e31f-34ff-4c3b-aa62-607a4467862d","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"b58461d3-6c9b-4f6c-927b-7ff2482ae694","type":"BoxAnnotation"},{"attributes":{},"id":"3abeafe3-228e-427b-9775-35c25c6693d6","type":"LinearScale"},{"attributes":{"direction":"clock","end_angle":{"units":"rad","value":4.8},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.2},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"41421215-58e1-413f-bda8-63287ffb8510","type":"Wedge"},{"attributes":{},"id":"2ca71a9e-a802-4ba9-90b5-2a31153556f8","type":"BasicTickFormatter"},{"attributes":{},"id":"38d5a382-e100-433c-948e-369e078ca111","type":"ResetTool"},{"attributes":{"data_source":{"id":"486345db-e5b3-47e6-a6f7-e15af61d266f","type":"ColumnDataSource"},"glyph":{"id":"5c83cb85-be42-4f94-87cd-cee7eaa55b8d","type":"Wedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"41421215-58e1-413f-bda8-63287ffb8510","type":"Wedge"},"selection_glyph":null,"view":{"id":"2c44e31f-34ff-4c3b-aa62-607a4467862d","type":"CDSView"}},"id":"82440ff7-d5ae-422b-b3bd-ba94de069a41","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"af826b74-14c7-4b50-9308-6a6212773fed","type":"DataRange1d"},{"attributes":{"callback":null},"id":"23eae358-1ee6-4fb7-a74a-1bba9cefbcc2","type":"DataRange1d"}],"root_ids":["583575b9-1952-4cb6-a289-41a1bfa622f2"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"5b118da5-90a9-41b7-9d96-49ba599d4cc1","elementid":"ecaff77f-5458-4ef3-8658-2e5d85a7876c","modelid":"583575b9-1952-4cb6-a289-41a1bfa622f2"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
