(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("e2e1db64-a0ad-433b-ba65-2eca16ea3e22");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'e2e1db64-a0ad-433b-ba65-2eca16ea3e22' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"6e9de828-14ce-4dd0-b5c3-e5ab81031067":{"roots":{"references":[{"attributes":{"callback":null},"id":"53ffc34f-6774-4249-9039-77b00b17d14f","type":"DataRange1d"},{"attributes":{},"id":"318e067c-ed23-43ca-a413-a14ed9f71fe3","type":"HelpTool"},{"attributes":{},"id":"fd2e802f-550c-45ca-8a94-ad994e5197d8","type":"BasicTicker"},{"attributes":{},"id":"c2cf84dc-afae-45b9-ac33-b085eb736136","type":"SaveTool"},{"attributes":{"formatter":{"id":"7c5219c7-f7f0-4307-95ec-549badf0e4cc","type":"BasicTickFormatter"},"plot":{"id":"96e2f805-ad23-4d95-a8e6-42c4d8496570","subtype":"Figure","type":"Plot"},"ticker":{"id":"fd2e802f-550c-45ca-8a94-ad994e5197d8","type":"BasicTicker"}},"id":"da0c738c-bdf4-4f97-9237-cad5ac731c17","type":"LinearAxis"},{"attributes":{"plot":{"id":"96e2f805-ad23-4d95-a8e6-42c4d8496570","subtype":"Figure","type":"Plot"},"ticker":{"id":"0ed7a237-3427-4326-9105-85ae3c03ea8f","type":"BasicTicker"}},"id":"94cf58a6-e3cd-49fc-8fdf-1592c8c5c3bc","type":"Grid"},{"attributes":{"source":{"id":"07960359-481c-4782-ac7a-57e38864f3f8","type":"ColumnDataSource"}},"id":"150a3928-27aa-4202-81bc-322be8f97dba","type":"CDSView"},{"attributes":{},"id":"d86af84e-a0a2-4e21-9c10-22a9303e4934","type":"LinearScale"},{"attributes":{},"id":"a603c74d-f9c5-472c-b6ae-f4bbfaf21ecb","type":"LinearScale"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"screen","value":40},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"0e586ceb-59bd-4d12-8853-dd06e0f20071","type":"Oval"},{"attributes":{"callback":null},"id":"cf991de0-b871-4d61-bf90-fa323343f17a","type":"DataRange1d"},{"attributes":{},"id":"2daef087-57e4-41ba-b261-25db685367ba","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"07960359-481c-4782-ac7a-57e38864f3f8","type":"ColumnDataSource"},"glyph":{"id":"310980b1-5f11-497f-a7b7-c077fb500f9d","type":"Oval"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"0e586ceb-59bd-4d12-8853-dd06e0f20071","type":"Oval"},"selection_glyph":null,"view":{"id":"150a3928-27aa-4202-81bc-322be8f97dba","type":"CDSView"}},"id":"ff46f19d-973c-46f7-ae5a-fe5f79231a59","type":"GlyphRenderer"},{"attributes":{},"id":"0ed7a237-3427-4326-9105-85ae3c03ea8f","type":"BasicTicker"},{"attributes":{},"id":"7c5219c7-f7f0-4307-95ec-549badf0e4cc","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"1c4e91fa-3ba8-4511-836b-75dcdd3ba97a","type":"PanTool"},{"id":"3ea0d49a-9f9e-4c04-aa1c-ccac693635ec","type":"WheelZoomTool"},{"id":"cf69082a-4e0c-4a9e-9f4d-32223f854599","type":"BoxZoomTool"},{"id":"c2cf84dc-afae-45b9-ac33-b085eb736136","type":"SaveTool"},{"id":"4f16f443-3151-4ea5-9002-2aa27f1d8a8c","type":"ResetTool"},{"id":"318e067c-ed23-43ca-a413-a14ed9f71fe3","type":"HelpTool"}]},"id":"65ce7f26-709a-4c4f-83b7-9744beae6916","type":"Toolbar"},{"attributes":{"below":[{"id":"61544ce0-9f9a-41a4-b744-eed7d7adf1d2","type":"LinearAxis"}],"left":[{"id":"da0c738c-bdf4-4f97-9237-cad5ac731c17","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"61544ce0-9f9a-41a4-b744-eed7d7adf1d2","type":"LinearAxis"},{"id":"94cf58a6-e3cd-49fc-8fdf-1592c8c5c3bc","type":"Grid"},{"id":"da0c738c-bdf4-4f97-9237-cad5ac731c17","type":"LinearAxis"},{"id":"28d88533-06b4-4da2-aa9c-13656a3987c0","type":"Grid"},{"id":"3a34e895-356f-4047-90b3-38e719f6714c","type":"BoxAnnotation"},{"id":"ff46f19d-973c-46f7-ae5a-fe5f79231a59","type":"GlyphRenderer"}],"title":{"id":"a8d8f43c-80a8-40e0-bad2-4dd69bb93356","type":"Title"},"toolbar":{"id":"65ce7f26-709a-4c4f-83b7-9744beae6916","type":"Toolbar"},"x_range":{"id":"53ffc34f-6774-4249-9039-77b00b17d14f","type":"DataRange1d"},"x_scale":{"id":"d86af84e-a0a2-4e21-9c10-22a9303e4934","type":"LinearScale"},"y_range":{"id":"cf991de0-b871-4d61-bf90-fa323343f17a","type":"DataRange1d"},"y_scale":{"id":"a603c74d-f9c5-472c-b6ae-f4bbfaf21ecb","type":"LinearScale"}},"id":"96e2f805-ad23-4d95-a8e6-42c4d8496570","subtype":"Figure","type":"Plot"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_color":{"value":"#CAB2D6"},"height":{"units":"screen","value":40},"line_color":{"value":"#CAB2D6"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"310980b1-5f11-497f-a7b7-c077fb500f9d","type":"Oval"},{"attributes":{},"id":"4f16f443-3151-4ea5-9002-2aa27f1d8a8c","type":"ResetTool"},{"attributes":{"overlay":{"id":"3a34e895-356f-4047-90b3-38e719f6714c","type":"BoxAnnotation"}},"id":"cf69082a-4e0c-4a9e-9f4d-32223f854599","type":"BoxZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"3a34e895-356f-4047-90b3-38e719f6714c","type":"BoxAnnotation"},{"attributes":{"dimension":1,"plot":{"id":"96e2f805-ad23-4d95-a8e6-42c4d8496570","subtype":"Figure","type":"Plot"},"ticker":{"id":"fd2e802f-550c-45ca-8a94-ad994e5197d8","type":"BasicTicker"}},"id":"28d88533-06b4-4da2-aa9c-13656a3987c0","type":"Grid"},{"attributes":{"formatter":{"id":"2daef087-57e4-41ba-b261-25db685367ba","type":"BasicTickFormatter"},"plot":{"id":"96e2f805-ad23-4d95-a8e6-42c4d8496570","subtype":"Figure","type":"Plot"},"ticker":{"id":"0ed7a237-3427-4326-9105-85ae3c03ea8f","type":"BasicTicker"}},"id":"61544ce0-9f9a-41a4-b744-eed7d7adf1d2","type":"LinearAxis"},{"attributes":{},"id":"3ea0d49a-9f9e-4c04-aa1c-ccac693635ec","type":"WheelZoomTool"},{"attributes":{},"id":"1c4e91fa-3ba8-4511-836b-75dcdd3ba97a","type":"PanTool"},{"attributes":{"plot":null,"text":""},"id":"a8d8f43c-80a8-40e0-bad2-4dd69bb93356","type":"Title"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"07960359-481c-4782-ac7a-57e38864f3f8","type":"ColumnDataSource"}],"root_ids":["96e2f805-ad23-4d95-a8e6-42c4d8496570"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"6e9de828-14ce-4dd0-b5c3-e5ab81031067","elementid":"e2e1db64-a0ad-433b-ba65-2eca16ea3e22","modelid":"96e2f805-ad23-4d95-a8e6-42c4d8496570"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
