(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("0d7eea95-b225-429e-abbc-6077d9de06f7");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '0d7eea95-b225-429e-abbc-6077d9de06f7' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"1c8ddbaf-84f4-4703-bfcc-1f3c5a02399f":{"roots":{"references":[{"attributes":{},"id":"fff0d3ac-77a2-4f05-b2bb-9d320e3f8826","type":"LinearScale"},{"attributes":{},"id":"cae3f542-d5b4-4c1d-aa5e-f233416fab4b","type":"WheelZoomTool"},{"attributes":{"source":{"id":"72dcc46e-8761-4b7b-ae1f-6afcacac5503","type":"ColumnDataSource"}},"id":"fd086b8f-7f9f-4946-8459-a16492d16132","type":"CDSView"},{"attributes":{},"id":"ed9f7ed9-34f1-4539-b6f4-1b5b6204d9fb","type":"BasicTicker"},{"attributes":{},"id":"ac6f7f6f-80e2-4ab2-8ff4-85c08bdd90a7","type":"HelpTool"},{"attributes":{"data_source":{"id":"72dcc46e-8761-4b7b-ae1f-6afcacac5503","type":"ColumnDataSource"},"glyph":{"id":"19ad1d41-d464-44c8-a9c6-1dc6f22dcd0e","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a936bbeb-4089-4205-806c-e6cb2eef50c5","type":"Circle"},"selection_glyph":null,"view":{"id":"fd086b8f-7f9f-4946-8459-a16492d16132","type":"CDSView"}},"id":"77635963-2c73-4bef-bc20-b9abc9fc3130","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"636db757-9c68-4969-a37d-037b076faf32","subtype":"Figure","type":"Plot"},"ticker":{"id":"ed9f7ed9-34f1-4539-b6f4-1b5b6204d9fb","type":"BasicTicker"}},"id":"e43a1ef5-7a11-4ce4-badc-23929a81e251","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"96f9eefc-fe5c-4be5-8e57-ff0ffc89fde9","type":"BoxAnnotation"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"6b5bad22-8f44-4ecc-9753-827c61075dbe","type":"PanTool"},{"id":"cae3f542-d5b4-4c1d-aa5e-f233416fab4b","type":"WheelZoomTool"},{"id":"426b05b2-02ef-4bc0-b05c-ef9834f56141","type":"BoxZoomTool"},{"id":"5a50b9d2-386b-43f2-be51-f351d355a6af","type":"SaveTool"},{"id":"60d98978-9a26-4807-97ff-c4963b209f61","type":"ResetTool"},{"id":"ac6f7f6f-80e2-4ab2-8ff4-85c08bdd90a7","type":"HelpTool"}]},"id":"638f3d15-b299-420a-a56b-2989aaf0522a","type":"Toolbar"},{"attributes":{"overlay":{"id":"96f9eefc-fe5c-4be5-8e57-ff0ffc89fde9","type":"BoxAnnotation"}},"id":"426b05b2-02ef-4bc0-b05c-ef9834f56141","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"23db4b75-51fd-4f67-9957-9c3b0f7f2346","type":"BasicTickFormatter"},"major_label_orientation":"vertical","plot":{"id":"636db757-9c68-4969-a37d-037b076faf32","subtype":"Figure","type":"Plot"},"ticker":{"id":"cffe42c2-814e-405b-a112-1f91a959445e","type":"BasicTicker"}},"id":"b10975ce-3bed-47cd-93bd-48f9478b004b","type":"LinearAxis"},{"attributes":{},"id":"5a50b9d2-386b-43f2-be51-f351d355a6af","type":"SaveTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"72dcc46e-8761-4b7b-ae1f-6afcacac5503","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"a936bbeb-4089-4205-806c-e6cb2eef50c5","type":"Circle"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"19ad1d41-d464-44c8-a9c6-1dc6f22dcd0e","type":"Circle"},{"attributes":{},"id":"7590b6cf-874a-44fe-aa42-46012173cc32","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"df79d470-8a0a-4acd-8b92-f6846eeffdc8","type":"LinearAxis"}],"left":[{"id":"b10975ce-3bed-47cd-93bd-48f9478b004b","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"df79d470-8a0a-4acd-8b92-f6846eeffdc8","type":"LinearAxis"},{"id":"e43a1ef5-7a11-4ce4-badc-23929a81e251","type":"Grid"},{"id":"b10975ce-3bed-47cd-93bd-48f9478b004b","type":"LinearAxis"},{"id":"ddcf9192-7627-41f4-810d-c3715f53d15b","type":"Grid"},{"id":"96f9eefc-fe5c-4be5-8e57-ff0ffc89fde9","type":"BoxAnnotation"},{"id":"77635963-2c73-4bef-bc20-b9abc9fc3130","type":"GlyphRenderer"}],"title":{"id":"cc7b9cf9-f021-460e-948b-a07f58f31a23","type":"Title"},"toolbar":{"id":"638f3d15-b299-420a-a56b-2989aaf0522a","type":"Toolbar"},"x_range":{"id":"d49ff7e5-cd2d-4183-be0d-20833014bafd","type":"DataRange1d"},"x_scale":{"id":"c6befd09-c468-419e-b50f-084366e8dc90","type":"LinearScale"},"y_range":{"id":"ff8739be-985e-4bb8-b233-47b35bdd76dc","type":"DataRange1d"},"y_scale":{"id":"fff0d3ac-77a2-4f05-b2bb-9d320e3f8826","type":"LinearScale"}},"id":"636db757-9c68-4969-a37d-037b076faf32","subtype":"Figure","type":"Plot"},{"attributes":{"dimension":1,"plot":{"id":"636db757-9c68-4969-a37d-037b076faf32","subtype":"Figure","type":"Plot"},"ticker":{"id":"cffe42c2-814e-405b-a112-1f91a959445e","type":"BasicTicker"}},"id":"ddcf9192-7627-41f4-810d-c3715f53d15b","type":"Grid"},{"attributes":{"formatter":{"id":"7590b6cf-874a-44fe-aa42-46012173cc32","type":"BasicTickFormatter"},"major_label_orientation":0.7853981633974483,"plot":{"id":"636db757-9c68-4969-a37d-037b076faf32","subtype":"Figure","type":"Plot"},"ticker":{"id":"ed9f7ed9-34f1-4539-b6f4-1b5b6204d9fb","type":"BasicTicker"}},"id":"df79d470-8a0a-4acd-8b92-f6846eeffdc8","type":"LinearAxis"},{"attributes":{"callback":null},"id":"d49ff7e5-cd2d-4183-be0d-20833014bafd","type":"DataRange1d"},{"attributes":{},"id":"6b5bad22-8f44-4ecc-9753-827c61075dbe","type":"PanTool"},{"attributes":{},"id":"c6befd09-c468-419e-b50f-084366e8dc90","type":"LinearScale"},{"attributes":{},"id":"cffe42c2-814e-405b-a112-1f91a959445e","type":"BasicTicker"},{"attributes":{},"id":"60d98978-9a26-4807-97ff-c4963b209f61","type":"ResetTool"},{"attributes":{"callback":null},"id":"ff8739be-985e-4bb8-b233-47b35bdd76dc","type":"DataRange1d"},{"attributes":{"plot":null,"text":""},"id":"cc7b9cf9-f021-460e-948b-a07f58f31a23","type":"Title"},{"attributes":{},"id":"23db4b75-51fd-4f67-9957-9c3b0f7f2346","type":"BasicTickFormatter"}],"root_ids":["636db757-9c68-4969-a37d-037b076faf32"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"1c8ddbaf-84f4-4703-bfcc-1f3c5a02399f","elementid":"0d7eea95-b225-429e-abbc-6077d9de06f7","modelid":"636db757-9c68-4969-a37d-037b076faf32"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
