(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("0da34039-7a0b-41d1-8c9c-e9e9d826ec74");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '0da34039-7a0b-41d1-8c9c-e9e9d826ec74' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"46c2bc28-b8b4-4c3a-9cec-b2079c7da050":{"roots":{"references":[{"attributes":{"dimension":1,"grid_line_alpha":{"value":0.5},"grid_line_dash":[6,4],"plot":{"id":"035164ea-aca1-4a4a-a723-3cfae026ac14","subtype":"Figure","type":"Plot"},"ticker":{"id":"61559e37-36dc-4e6f-a27e-92b78dcfdc87","type":"BasicTicker"}},"id":"3922feda-6ef4-430e-8b27-f3068416138a","type":"Grid"},{"attributes":{},"id":"26ef57f5-a8c8-423b-bd47-7f827ba35ed0","type":"ResetTool"},{"attributes":{},"id":"ad16240d-6eda-4826-aa7c-94b5d8fdbeff","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"3359a188-53f9-4bca-9dd7-2651f1ca71cf","type":"Title"},{"attributes":{},"id":"163aac3c-8195-4775-9d93-e1f6ed24abcc","type":"BasicTicker"},{"attributes":{},"id":"869c0d11-1084-4260-af17-a893ba409b3c","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"c73c7dc0-a058-4fd1-b102-35f2572bad90","type":"DataRange1d"},{"attributes":{"below":[{"id":"b64fcdb3-a506-4b41-9a6a-7f435d3a3e43","type":"LinearAxis"}],"left":[{"id":"053d47d5-2049-40be-9d65-a7faa9c6041a","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"b64fcdb3-a506-4b41-9a6a-7f435d3a3e43","type":"LinearAxis"},{"id":"e3c61c71-cd0e-4b81-ab89-2917fac51a4d","type":"Grid"},{"id":"053d47d5-2049-40be-9d65-a7faa9c6041a","type":"LinearAxis"},{"id":"3922feda-6ef4-430e-8b27-f3068416138a","type":"Grid"},{"id":"be639f50-409e-4bce-a0fb-0c3b48bf0420","type":"BoxAnnotation"},{"id":"2fc3b32d-cd4c-404c-a8fb-69a00cc31ee0","type":"GlyphRenderer"}],"title":{"id":"3359a188-53f9-4bca-9dd7-2651f1ca71cf","type":"Title"},"toolbar":{"id":"f0fed3ae-7318-4ae5-bef9-0f645cc94ca0","type":"Toolbar"},"x_range":{"id":"ce7984f7-988c-48b7-8c8c-15a88a6208bd","type":"DataRange1d"},"x_scale":{"id":"ad16240d-6eda-4826-aa7c-94b5d8fdbeff","type":"LinearScale"},"y_range":{"id":"c73c7dc0-a058-4fd1-b102-35f2572bad90","type":"DataRange1d"},"y_scale":{"id":"2bf47f22-2661-42a7-b22e-e8fd671f2f28","type":"LinearScale"}},"id":"035164ea-aca1-4a4a-a723-3cfae026ac14","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"ce7984f7-988c-48b7-8c8c-15a88a6208bd","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"9aaea849-680d-4c52-afd1-2a9217097776","type":"Circle"},{"attributes":{"overlay":{"id":"be639f50-409e-4bce-a0fb-0c3b48bf0420","type":"BoxAnnotation"}},"id":"816f6e3c-9984-42f2-9526-a2041bd8b77d","type":"BoxZoomTool"},{"attributes":{"source":{"id":"15b52234-1208-443a-9b1d-ece304d9b2f3","type":"ColumnDataSource"}},"id":"a40f1e3a-a3e7-446f-8f08-dd311f584930","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"5ffabf60-4e91-4db4-919b-780b4b2f60da","type":"PanTool"},{"id":"15642eba-9a73-4a28-a65f-f56ad0634b90","type":"WheelZoomTool"},{"id":"816f6e3c-9984-42f2-9526-a2041bd8b77d","type":"BoxZoomTool"},{"id":"6817675f-5939-4a9c-9ae5-e1b4fed0c09a","type":"SaveTool"},{"id":"26ef57f5-a8c8-423b-bd47-7f827ba35ed0","type":"ResetTool"},{"id":"2dca83c2-d791-4d89-9e78-3b073f43cb09","type":"HelpTool"}]},"id":"f0fed3ae-7318-4ae5-bef9-0f645cc94ca0","type":"Toolbar"},{"attributes":{"formatter":{"id":"869c0d11-1084-4260-af17-a893ba409b3c","type":"BasicTickFormatter"},"plot":{"id":"035164ea-aca1-4a4a-a723-3cfae026ac14","subtype":"Figure","type":"Plot"},"ticker":{"id":"163aac3c-8195-4775-9d93-e1f6ed24abcc","type":"BasicTicker"}},"id":"b64fcdb3-a506-4b41-9a6a-7f435d3a3e43","type":"LinearAxis"},{"attributes":{},"id":"15642eba-9a73-4a28-a65f-f56ad0634b90","type":"WheelZoomTool"},{"attributes":{},"id":"dff2157b-52c7-43b2-a805-6c33bde71154","type":"BasicTickFormatter"},{"attributes":{},"id":"2dca83c2-d791-4d89-9e78-3b073f43cb09","type":"HelpTool"},{"attributes":{},"id":"5ffabf60-4e91-4db4-919b-780b4b2f60da","type":"PanTool"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"035164ea-aca1-4a4a-a723-3cfae026ac14","subtype":"Figure","type":"Plot"},"ticker":{"id":"163aac3c-8195-4775-9d93-e1f6ed24abcc","type":"BasicTicker"}},"id":"e3c61c71-cd0e-4b81-ab89-2917fac51a4d","type":"Grid"},{"attributes":{},"id":"2bf47f22-2661-42a7-b22e-e8fd671f2f28","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"be639f50-409e-4bce-a0fb-0c3b48bf0420","type":"BoxAnnotation"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"b4f12d01-1d7d-49bd-a087-881c9aecad03","type":"Circle"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"15b52234-1208-443a-9b1d-ece304d9b2f3","type":"ColumnDataSource"},{"attributes":{},"id":"61559e37-36dc-4e6f-a27e-92b78dcfdc87","type":"BasicTicker"},{"attributes":{"data_source":{"id":"15b52234-1208-443a-9b1d-ece304d9b2f3","type":"ColumnDataSource"},"glyph":{"id":"b4f12d01-1d7d-49bd-a087-881c9aecad03","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"9aaea849-680d-4c52-afd1-2a9217097776","type":"Circle"},"selection_glyph":null,"view":{"id":"a40f1e3a-a3e7-446f-8f08-dd311f584930","type":"CDSView"}},"id":"2fc3b32d-cd4c-404c-a8fb-69a00cc31ee0","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"dff2157b-52c7-43b2-a805-6c33bde71154","type":"BasicTickFormatter"},"plot":{"id":"035164ea-aca1-4a4a-a723-3cfae026ac14","subtype":"Figure","type":"Plot"},"ticker":{"id":"61559e37-36dc-4e6f-a27e-92b78dcfdc87","type":"BasicTicker"}},"id":"053d47d5-2049-40be-9d65-a7faa9c6041a","type":"LinearAxis"},{"attributes":{},"id":"6817675f-5939-4a9c-9ae5-e1b4fed0c09a","type":"SaveTool"}],"root_ids":["035164ea-aca1-4a4a-a723-3cfae026ac14"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"46c2bc28-b8b4-4c3a-9cec-b2079c7da050","elementid":"0da34039-7a0b-41d1-8c9c-e9e9d826ec74","modelid":"035164ea-aca1-4a4a-a723-3cfae026ac14"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
