(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("27f1cc36-d5d0-4a86-b471-575f62c2bb88");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '27f1cc36-d5d0-4a86-b471-575f62c2bb88' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"3c04ee65-3308-429e-b648-1c4c10aa5742":{"roots":{"references":[{"attributes":{"below":[{"id":"d2a6dd22-40e3-4e9c-bd2f-c41459ed277b","type":"LinearAxis"}],"left":[{"id":"7305f168-c84f-4abf-8f78-4833ee7f6b3d","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"d2a6dd22-40e3-4e9c-bd2f-c41459ed277b","type":"LinearAxis"},{"id":"f6503168-0ca4-40bb-892d-4af540190383","type":"Grid"},{"id":"7305f168-c84f-4abf-8f78-4833ee7f6b3d","type":"LinearAxis"},{"id":"78545e43-420d-48dc-b5d7-51e149e918e0","type":"Grid"},{"id":"fcdc43d4-efea-4980-8d13-26c704ef86c7","type":"GlyphRenderer"}],"title":{"id":"fd37a652-8db7-4b28-bc7c-33fdb083cb03","type":"Title"},"toolbar":{"id":"21c5e6ce-116e-466f-a8ba-f83d4460b603","type":"Toolbar"},"x_range":{"id":"1555d082-4d49-4cef-a579-1099c2608065","type":"Range1d"},"x_scale":{"id":"aecc5cd9-b778-4b9d-bb26-4131e3204047","type":"LinearScale"},"y_range":{"id":"f6704dba-7cc2-45d1-9323-5fc939c6c000","type":"Range1d"},"y_scale":{"id":"4ffe87f2-6c63-486a-b082-e6e396ed65e4","type":"LinearScale"}},"id":"cf0f18c4-872c-4d8f-8c4e-bf2e8642c1a1","subtype":"Figure","type":"Plot"},{"attributes":{"below":[{"id":"8387fc56-c4ce-4c36-b2c9-73d11d6c43b6","type":"LinearAxis"}],"left":[{"id":"c010bd27-1430-4e8a-b25d-bdf682224888","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"8387fc56-c4ce-4c36-b2c9-73d11d6c43b6","type":"LinearAxis"},{"id":"c8cb577d-9c08-49b5-bf9f-354feb715c11","type":"Grid"},{"id":"c010bd27-1430-4e8a-b25d-bdf682224888","type":"LinearAxis"},{"id":"a16c42f7-bc52-494c-953d-d5dceaae237d","type":"Grid"},{"id":"b1abdda8-669e-4543-b46a-6d0b0dd783da","type":"PolyAnnotation"},{"id":"5f70780b-010a-4dbf-8884-c38dec12f082","type":"GlyphRenderer"}],"title":{"id":"e064958b-37b3-457b-ad21-13c701bcded3","type":"Title"},"toolbar":{"id":"e6fe6dcd-e210-48c0-96f8-5402376885cd","type":"Toolbar"},"x_range":{"id":"67293bcf-8599-4439-b1a7-4cccc7e0afca","type":"DataRange1d"},"x_scale":{"id":"379fe15f-63b1-4620-b634-4a8e4f736b1d","type":"LinearScale"},"y_range":{"id":"d36d216b-039e-449b-9539-94d0c44b3e0c","type":"DataRange1d"},"y_scale":{"id":"d48de55c-ae0a-4079-8a2f-3358c56b3edd","type":"LinearScale"}},"id":"13142aed-73b4-493e-94cc-b8bd3908d608","subtype":"Figure","type":"Plot"},{"attributes":{"callback":{"id":"85d6c84f-1065-4563-9a72-132c58c963df","type":"CustomJS"},"column_names":["y","x"],"data":{"x":[0.6000899967361045,0.9667022626323173,0.8692705041970932,0.13452575945888012,0.49417324503414806,0.34240247848330707,0.8019379234036644,0.15437671760330962,0.4546397037017669,0.03670791894732317,0.1620056835398488,0.16223083963679186,0.20013016416115137,0.536443503178982,0.66629414467567,0.580743522326365,0.5889710615463837,0.8709158434017172,0.7116659868723635,0.670229512232746,0.2124801227283476,0.6015566038138738,0.8446152497812268,0.2221328357072806,0.8125146778006678,0.49069196830999795,0.3859648333731359,0.9945744141586915,0.170397762616187,0.7404552794264958,0.2281123983056067,0.6746821952119616,0.7540738751688927,0.9902246511406209,0.11538116210264127,0.7466075052573239,0.0032039250450309753,0.2547439951070467,0.3689331251909638,0.8284473533840352,0.3865524547045557,0.6306990087782156,0.9562719476378494,0.9168630593907632,0.3770533538216946,0.8188931938569611,0.39944302142743837,0.0011267517551161177,0.16123876210891785,0.2591250547949455,0.4575604446046204,0.7897266824303122,0.21766672729741798,0.9401743244603217,0.2821536067929359,0.6190147197155254,0.9363906020533688,0.4134181950480511,0.3228104720936138,0.9341334020910356,0.17848586882668283,0.5496079566468465,0.7906140161058308,0.9051419621589967,0.16835070853299483,0.6217061462529347,0.7599926049035676,0.9483577171416826,0.6119238198063257,0.07842115855778453,0.27420894024937037,0.2797620049635924,0.08821376233592415,0.5690350977485538,0.029244379288897226,0.6654885172772963,0.43528202772726043,0.2477645265427697,0.9300173615163374,0.2628121685561622,0.9352514500671315,0.7401463475895278,0.4176447486958066,0.8962649268645659,0.1832007432372278,0.5072261878969045,0.3057370783893073,0.506775065889077,0.7892130846733357,0.2608033953633738,0.1714474236735074,0.9086790321454392,0.9958684716550336,0.5059748696317696,0.20902477153631005,0.030592579401943598,0.8795807112702698,0.1521845157606051,0.1766064685011035,0.3282491422517413,0.9014621846215795,0.950518961846014,0.6644724647541485,0.11073763316544516,0.35673004840468814,0.44816482555895887,0.4262215648871216,0.4472344603863879,0.9691210554771187,0.8392548437061986,0.7773258242253589,0.7433128670794448,0.07862794185758326,0.04945551680631444,0.7907871779934273,0.38757183851677,0.5545478554076745,0.006481579933854342,0.8053720379564162,0.3673361210256618,0.4874194964836186,0.84811024114478,0.14614867346807314,0.22851588673844303,0.9226499457462233,0.7249055136511244,0.19408003007162145,0.770865698278284,0.13385505533246123,0.6798342899857318,0.1607812551103074,0.13352713019139728,0.3424693359919525,0.042777865659720526,0.1638887567471673,0.4625072456954067,0.7643396173927709,0.08649975313995828,0.9464623476008512,0.42659765412283757,0.24007859310234847,0.04795621789741378,0.38373884973826633,0.5275423549280216,0.14357563943556917,0.09152809998903044,0.28253728635609066,0.7328164586506963,0.2934162253163488,0.17311771124039255,0.6476900810186441,0.017773892345244735,0.027268574754876762,0.35629251953643537,0.9657431098454097,0.8093437145473852,0.013141233702360533,0.8300652041542994,0.5420106065806746,0.6709884466952021,0.9973660440736996,0.041338895345210735,0.5205303780538181,0.7946448776912384,0.6672835000788887,0.6234367547614269,0.47195791537917553,0.5459154082577101,0.9221338559958989,0.32004299447952844,0.02965911869049298,0.45502751690945176,0.6425772803676919,0.03192507399880884,0.936633015074448,0.3101463453737491,0.018161786297875793,0.7591497262504989,0.5141456467254932,0.8756726625152023,0.8382263724969824,0.560545841612583,0.29966749116040636,0.6439209758569446,0.8664760736707281,0.17984008044429733,0.10774967214338327,0.4551116451094047,0.7746920855451869,0.9669592069596135,0.263878999278068,0.03454956582494173,0.6305201519601409,0.6349000721866856,0.32461315176085015,0.8782430810779626,0.8493621781035964,0.620950381607381,0.5110796840916787,0.8310675472329955,0.21237399802653656,0.45575797108860705,0.3251399371259115,0.3363655270382072,0.8205877638721437,0.007461579506307436,0.5866659208732425,0.332709329938619,0.2947720552819342,0.3303066917012061,0.5039185877737296,0.6277662097825629,0.04303413189332417,0.26208173343707253,0.16760139623031267,0.40654396963741257,0.7077359184690512,0.49685406169535284,0.97889667515754,0.4546378173659831,0.06191065362509485,0.3839354672501444,0.7461848255397109,0.44307668113374843,0.09506945269709799,0.08945041431796863,0.24508421712806683,0.2549811833582304,0.38026789600026156,0.4225200475633727,0.9271158750687049,0.06305757730724171,0.017520910090774944,0.7267065211429988,0.43486311384450294,0.524161690487722,0.7729388436257868,0.4055441356838041,0.19982241721656302,0.3622017612349646,0.2006405451862543,0.540341739762794,0.9041838972086427,0.8762230031473428,0.3907591353383404,0.6939671169504427,0.9179194365817903,0.3041736948881626,0.8848653440091309,0.18399992164289858,0.2489753439025808,0.28990121380564393,0.3825113797878671,0.8209823360952729,0.972574039368196,0.05936131567693248,0.7514912303078785,0.37963637119418625,0.9295098546944782,0.3680756172504789,0.2969909121188786,0.4490943683004235,0.34057128885603305,0.02407482167444841,0.4787746829682641,0.09885982680290917,0.5590413210794056,0.5812333126759206,0.25575309360637566,0.5277580473386233,0.01749649502739159,0.7857780892968017,0.8770326835297424,0.479226944336412,0.42320145892615,0.5053579022066146,0.48692860083847533,0.8237319404059757,0.42938297285647864,0.07246988403047483,0.20605507472029383,0.14803677083803257,0.48310975314808824,0.898552790837271,0.5611859982365154,0.6604902694609839,0.06463803032481807,0.471341043967331,0.6979108820971305,0.5218307030538128,0.7980391287701778,0.3443093360104934,0.2606391684499899,0.020690691850923093,0.5568998948955333,0.8902512407259544,0.6748058665155583,0.287693821569015,0.8043878195075256,0.5011387991104761,0.4674913049063816,0.011811803607034155,0.22223094827228518,0.8738359499955393,0.6927547539328734,0.18443628169319448,0.8482976523191188,0.738971265480459,0.1458755135296168,0.6364204557451527,0.5969331310097796,0.006175641010049193,0.40468744714141214,0.9290767574952221,0.8755710815761306,0.21295871197099425,0.1830784305790646,0.5067574674083037,0.9665629764460116,0.18037534616161655,0.12245739308974812,0.3986241595636847,0.5251530066761217,0.16329378390115623,0.4162012641008618,0.9355849917060984,0.8066448258938543,0.7403477863249346,0.5683843223894932,0.5798401058813191,0.25534408433574274,0.5884445708860714,0.8350986555075516,0.5873820210817793,0.49790442771866805,0.11667894049432426,0.8185685210218624,0.6919959320215804,0.14863020324139853,0.959338210639834,0.6184904564168913,0.16809360018748976,0.339590321684461,0.8482063778204478,0.8943349128383452,0.7368335199107344,0.1237277439974761,0.23720352160000013,0.7981954910798569,0.7037180885055228,0.9161447523386439,0.8731253667478855,0.24777451933556416,0.9984545025693304,0.4772988755774725,0.6596487025282752,0.8090406986318647,0.9955483407412477,0.8772403452834824,0.6151839757964055,0.5978658817548689,0.15167175564326218,0.7231568307335866,0.8211510157983969,0.15312250246663794,0.781797764579233,0.31572340586602976,0.5229471773732397,0.5663629288138139,0.5418659759879944,0.9723735100537166,0.9561816036017364,0.7422978478265737,0.806370471254532,0.2849606176258931,0.5146004437716337,0.9170658327227098,0.4729997395626706,0.9674024461030747,0.37468353419724854,0.14468070156496426,0.49463556164427636,0.7941793337700787,0.9310415470103012,0.7890571875722379,0.30486480808002137,0.44771931557133926,0.938178749260594,0.8716268318948031,0.5466032626981332,0.5404055818690917,0.34590847588544604,0.21948596153883215,0.15454845068344036,0.11048782751141151,0.3803231178656389,0.39001499775233595,0.2022393981199555,0.36305918921210745,0.1798834674414368,0.41305732893898406,0.8929204308175728,0.5880955028195759,0.6169297516832654,0.08841614554355837,0.9318119867423861,0.24630874394551716,0.4179727490693994,0.9134217099015142,0.45838194374440644,0.24623013608038402,0.8409054587566919,0.41565358853203604,0.2755774639075601,0.7465986332454863,0.23442123607845267,0.2608405661658232,0.45960555099442224,0.8709891294598086,0.30380991409522173,0.9448391135305767,0.8090773331693639,0.6669775738181218,0.6563402717822411,0.9283375546358374,0.8166161860532845,0.1086095913442564,0.6503742942927818,0.29998076288086806,0.1541453746293755,0.10774942483626082,0.5019342916767847,0.37120866392616225,0.8317600811320274,0.6128077404206068,0.07424565847247522,0.8984667090876634,0.9157656534220756,0.3674069004456,0.788641527966649,0.8633943574585422,0.1574059860968583,0.2504262324301244,0.0629131446958574,0.6091767299925173,0.8453291429703121,0.5330892159487127,0.047665299660562654,0.44214624403764,0.0017456778595693612,0.35013549618871953,0.27264548754702833,0.8243744256372374,0.6992657816065974,0.7001245535322101,0.9863485551580821,0.660538039763001,0.47050448424286706,0.6351785912467902,0.5690521925745994,0.9656134612090302,0.6631623719860791,0.06781600379543051,0.6456327097523995,0.9314152197023325,0.23949453755915495,0.5980186306813368,0.4922463396421318,0.44392144543871936,0.3912804604042912,0.21162263335048315,0.08635797223228026,0.8147087391157971,0.09427089692527535,0.7410812226546286,0.09490716598223092,0.6249421608049373,0.699544649786014,0.7920145271209897,0.9018004067506704,0.5639889227867614,0.5401582770031343,0.4015524548329126,0.17212471523188422,0.7125898564674064,0.21785290487943798,0.5435895373551844,0.7412143944598474,0.3617586773363892,0.2685464328191869,0.4147386395805823,0.7419178374956386,0.6892518199493962,0.44751572523343985,0.7868840676971713,0.7495485435259291,0.5696195377719769,0.6316582631906651,0.9832656023529689,0.783292306808702],"y":[0.2601729697113222,0.2793166245543508,0.8025048720571034,0.18344675399520838,0.990641363262925,0.1841629350125391,0.05206647848925594,0.11754857087123516,0.2883638875953135,0.9261549496680939,0.12140749535811812,0.8356349720916346,0.12391344421818085,0.8470819524781309,0.7731245671060717,0.2571719614785021,0.025712570741200813,0.14950444961278986,0.021510735264145486,0.5144793646137363,0.038042585643019655,0.8629585440822225,0.5852804153131881,0.41985027065787894,0.5714657214753185,0.9970109890855084,0.7878655857904519,0.7412969823989507,0.8770767698508538,0.7842793062220351,0.5389990477112523,0.7512771274252612,0.8226781297339028,0.6286648714818928,0.6686109589609815,0.22826684274763231,0.4770558369561593,0.9111497255675165,0.02221438473212356,0.7598476826337544,0.9427057140981655,0.3772045018834199,0.9679767416007,0.37423405775712604,0.1935766251208757,0.3527848609680203,0.104971429090983,0.8815621369914992,0.16087843522426137,0.8356921907681754,0.2504594989769393,0.8480176199295102,0.7273177424442917,0.1893944023039954,0.27574549513678404,0.8606787140132525,0.9166334393567027,0.3153033322814027,0.17342940855818179,0.1559581887849567,0.49647514020684513,0.6665610102205579,0.8322302399746561,0.09704846597066397,0.08815342066015475,0.812584725227495,0.014097686314040403,0.3130692938949168,0.3246333132160448,0.9153638088116617,0.26610860842771156,0.8175423532173473,0.7128852093331669,0.646823902170264,0.8813940826524259,0.813950197139551,0.7296264749572345,0.0545919170525585,0.4470262610324456,0.3587900307697812,0.373042292043102,0.6278114819913552,0.7639033661726516,0.12149632627010809,0.9363276064226869,0.8693404102397297,0.27597150706370255,0.18212369287349373,0.7205969889824828,0.5207820277558253,0.6886838010041317,0.3552605291603047,0.7283039122621675,0.2688418748339457,0.21793867859474103,0.9989107765407274,0.2524948965825369,0.48461785175410577,0.5858552068972279,0.873941869108309,0.6322438204055171,0.9350179541591647,0.06989172558880696,0.9066057995339,0.29254975437524855,0.6225178714043204,0.4069854902166048,0.1922099933502942,0.7300798786011301,0.1307004024409727,0.09739098844962646,0.5868563608777151,0.3281243813672352,0.2506415503159293,0.517252640023132,0.4065904740210887,0.6812965917588091,0.1304036289495316,0.7413870733175534,0.599798455732685,0.19012142122242803,0.8155047941567837,0.9015798824149469,0.48439948811469125,0.620802740548839,0.15239724978733105,0.11402200828059383,0.060614922584719455,0.8265690134179486,0.06149487816795718,0.10378613677038506,0.8801588971130442,0.2655474710034976,0.3756576136354389,0.3892085306348968,0.4495861331834301,0.4184618863087811,0.7793510822011729,0.37447894205421073,0.9077994253740872,0.14953073136175077,0.8845174960814477,0.351049191103308,0.2814199385874354,0.46838893154111205,0.8548143222641215,0.5200458421263937,0.6825643131644402,0.9287923776646893,0.3472595731864232,0.39404768728435857,0.4043373483595718,0.9977840867512264,0.08899285534426393,0.7182735463488926,0.21270245351346917,0.18643641257524124,0.004575046886128198,0.9085145861239666,0.8605668040565324,0.14856308364826865,0.3290101443714415,0.565634236785613,0.5771250935404756,0.3079785702546466,0.2324214947149713,0.11794280511113975,0.2647433995479944,0.6468173085572341,0.7697434714328625,0.5410283443407617,0.29307354839970157,0.48149223583450285,0.29410557055832054,0.9523812794013198,0.9381108967053553,0.29183043967677225,0.7886589571372834,0.655296811506071,0.9268946088902728,0.6404761603558572,0.0028357439344260937,0.34554959206907954,0.4719007742451202,0.9513337033752648,0.618213049707771,0.6360204612688958,0.4460112227746086,0.9069485161243586,0.9456540307579395,0.8467460624900365,0.8224817137758688,0.25953477055970253,0.45378818293784917,0.22472058115956894,0.5408688325894935,0.3446117184115599,0.7535511625644331,0.7875233704306087,0.36705169859710995,0.542465222980244,0.2970039448313748,0.4402142887636211,0.5239043530780478,0.5356296486332032,0.6682142436666325,0.692468234143327,0.10400761071429909,0.058735981300910955,0.6452481694171016,0.07539755137638027,0.09958290043809004,0.6270615383272258,0.9926109900974549,0.9321056519054459,0.37462056179050773,0.38990058593714016,0.4358047244596438,0.06715133767157533,0.6687014725356021,0.1640597855616256,0.3870201575304387,0.7975075486727062,0.06799245622614292,0.47253371870915495,0.06861117047038601,0.7310029898761026,0.5317952180282275,0.19418974946528644,0.8697521800220892,0.17009594137067596,0.9297560262552598,0.7660863372297743,0.14281117074228167,0.9689278955139441,0.9551832935835368,0.4080061203631601,0.7677327423276622,0.9643380455946367,0.6740844569283247,0.04484646542824089,0.46693287578477005,0.5634316803895506,0.8824428781502363,0.3060046515616456,0.23492864467123076,0.6844968494320242,0.25037184402576806,0.730293614396619,0.10688141591503164,0.5181792507320357,0.54026197089783,0.1694843581856571,0.9166014120128714,0.9409602115966366,0.13969029193566118,0.7030649812383253,0.15213865751402766,0.8723650347648293,0.02425913541548852,0.6169294802787199,0.8617991168927829,0.568545501490993,0.3744270815191295,0.0043221454821443794,0.3807931111994427,0.6433028563528497,0.30126678157805786,0.02535530877999226,0.977336964215074,0.36952127961728576,0.2642247977359218,0.25668471816384464,0.1065213466942515,0.5422580471644363,0.8638402953379797,0.7066090309560098,0.35836271000995734,0.9212218204671402,0.5321195739142612,0.4446510846052256,0.7496708203882416,0.17746647603273424,0.22973809725096117,0.5410471358938439,0.3831532248495172,0.33652170544673,0.9641308959885079,0.3477920152645122,0.5751323168535889,0.9856115575588679,0.3888291732341709,0.2803835120847876,0.8260719425299727,0.042628269068937574,0.15801643592748305,0.8189512667237338,0.3961092229235834,0.3650234825420098,0.4636386833761643,0.3295187402183847,0.5918963304252094,0.09950550871469122,0.16180399707673143,0.14459030990867838,0.7737691067717536,0.9082655205443975,0.8665857959301843,0.2725382918865489,0.5308592750252088,0.4858892354756489,0.46355837359651386,0.05594441460749555,0.2115162103563638,0.08322136966905269,0.9992594076128404,0.10137937842775602,0.07137057619067277,0.04053829133536446,0.2255728647125801,0.3891545469624653,0.9975035414591055,0.5456640569198774,0.12646134468942993,0.6595059346846494,0.8864912488731481,0.3710568394236238,0.9811894878340802,0.3927748053538974,0.29050931364033417,0.4503004145236499,0.6015725450145694,0.5375746351301948,0.46045378824844274,0.506970268598528,0.6502496063316324,0.7868126514729639,0.631421871317966,0.16351705234243308,0.16642636463564486,0.5755401730270167,0.7349441118176636,0.2673920785199675,0.429754256840859,0.21513850708803706,0.3903203993313318,0.26384160145943125,0.4531647180002335,0.7415118844973223,0.6482584225084155,0.8929961531570676,0.7681414949520399,0.21715333194314057,0.6584084415094335,0.3261352726568776,0.038694503291272775,0.4653013382195118,0.21610998235790624,0.14781809216784736,0.5229392754085418,0.8018621240805777,0.9582655074605979,0.5484993692662609,0.5979421941122818,0.71311896046477,0.21562565024052893,0.4507584779388861,0.3716592741049538,0.9308639725974936,0.3042473555705716,0.8426705338445716,0.15869489627739808,0.353576842925148,0.8923881342415098,0.32579547673158427,0.3011809418561394,0.9235244771592491,0.09484062895021994,0.3460797146446475,0.8575466594004771,0.7951541760227706,0.27239115715922857,0.2477260420995152,0.9372567741202279,0.18884271060638025,0.5437976705226639,0.44431834391120584,0.2818878435676595,0.7581105016425896,0.6087864403855738,0.1488866989013521,0.484828742118688,0.7121405333383847,0.8055714105577478,0.9633927016645905,0.1407004283351473,0.07891001987704194,0.7707056675968805,0.15826587114702906,0.3704762234495441,0.5944008915880875,0.9082375057088339,0.8936698642827535,0.9171537954397441,0.5669810872214718,0.08927449897420248,0.49056225923552055,0.6884166935142365,0.3749296692561225,0.9458590505220847,0.818423582396811,0.9977164712958289,0.9287994482475445,0.3802992567750143,0.7953799820406151,0.14841748066176197,0.7669909859761259,0.27763774217607173,0.0012320357358024392,0.5128052775723058,0.9709786210058305,0.7373642616858226,0.2095851973781837,0.31682762735571246,0.09909109006327765,0.8431694781552138,0.30853949358070887,0.30245542569285866,0.4654145184134565,0.4580075529853401,0.9581833725264288,0.32313477066115814,0.8486829841390907,0.847907333267561,0.5958356911248642,0.02260465002311951,0.16621232965950017,0.3977640062024814,0.613861038994767,0.1758493091540123,0.05071416430139242,0.4636452773660549,0.9659042576916272,0.7881306321617172,0.32457925530583254,0.7970655382027572,0.7384589846613099,0.029183150704779726,0.26965347400741646,0.17258491659139596,0.7132537786858836,0.06318300786952624,0.9898069461988083,0.5518396946687817,0.5267899560902038,0.8682180062813025,0.03241883520004274,0.8261967882997958,0.07019019190546061,0.3653372831603232,0.3265603711640441,0.07240952582465154,0.7102734352934961,0.6286343359082799,0.5436498657910939,0.34961894476720534,0.2632099743756855,0.11199695664216458,0.09170455477235806,0.36922983075176485,0.8796391746788037,0.5501023710845415,0.6838610639973923,0.4082956092542853,0.5755037273448746,0.9657946273704276,0.8436793154696917,0.453431601972654,0.7580140608402537,0.29560994427206333,0.08255851306030382,0.5952516046768042,0.06418626867928023,0.4371045047004759,0.7545057472447919,0.9922441559202351,0.8328480194662538,0.6199082822729372,0.27736745923645145,0.4043443284709273,0.8853593981431452,0.29311046079130443,0.9985617135108354,0.47377149642421323,0.33815387774937355,0.4768620836660935,0.8932587450765852,0.3084941856412744,0.2672133509939094,0.8903468382569111]}},"id":"c86aaf16-f5a1-42a3-8905-a4043d38ba0d","type":"ColumnDataSource"},{"attributes":{"plot":{"id":"cf0f18c4-872c-4d8f-8c4e-bf2e8642c1a1","subtype":"Figure","type":"Plot"},"ticker":{"id":"48a7daf8-cddb-402b-8bef-5afd0418615a","type":"BasicTicker"}},"id":"f6503168-0ca4-40bb-892d-4af540190383","type":"Grid"},{"attributes":{},"id":"a70e4139-de6f-4ddb-a3a9-a8049c422421","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"c86aaf16-f5a1-42a3-8905-a4043d38ba0d","type":"ColumnDataSource"},"glyph":{"id":"13768435-cad1-499d-9a48-0aea9f770c55","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"63432ca9-2e7c-4464-897c-fff0d5e8562d","type":"Circle"},"selection_glyph":null,"view":{"id":"169c9124-1f25-422c-bd9e-2a0dfd5ada2c","type":"CDSView"}},"id":"5f70780b-010a-4dbf-8884-c38dec12f082","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"21c5e6ce-116e-466f-a8ba-f83d4460b603","type":"Toolbar"},{"attributes":{"callback":null},"id":"67293bcf-8599-4439-b1a7-4cccc7e0afca","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"63432ca9-2e7c-4464-897c-fff0d5e8562d","type":"Circle"},{"attributes":{},"id":"48a7daf8-cddb-402b-8bef-5afd0418615a","type":"BasicTicker"},{"attributes":{},"id":"4ffe87f2-6c63-486a-b082-e6e396ed65e4","type":"LinearScale"},{"attributes":{"formatter":{"id":"43c70ce3-3c04-4c4c-92c0-d4b23d47663f","type":"BasicTickFormatter"},"plot":{"id":"cf0f18c4-872c-4d8f-8c4e-bf2e8642c1a1","subtype":"Figure","type":"Plot"},"ticker":{"id":"7cbee9dd-76e9-4c47-ab5c-d7aecded92ac","type":"BasicTicker"}},"id":"7305f168-c84f-4abf-8f78-4833ee7f6b3d","type":"LinearAxis"},{"attributes":{"children":[{"id":"13142aed-73b4-493e-94cc-b8bd3908d608","subtype":"Figure","type":"Plot"},{"id":"cf0f18c4-872c-4d8f-8c4e-bf2e8642c1a1","subtype":"Figure","type":"Plot"}]},"id":"01b0d0e7-d838-409d-8dac-589efc89984e","type":"Row"},{"attributes":{},"id":"d48de55c-ae0a-4079-8a2f-3358c56b3edd","type":"LinearScale"},{"attributes":{},"id":"fc3c0b05-6d2b-4a39-ad79-60b60f93dc98","type":"BasicTicker"},{"attributes":{"plot":null,"text":"Watch Here"},"id":"fd37a652-8db7-4b28-bc7c-33fdb083cb03","type":"Title"},{"attributes":{"args":{"s2":{"id":"c52fd29d-6429-4c80-bcc3-d070569efa3e","type":"ColumnDataSource"}},"code":"\n        var inds = cb_obj.selected['1d'].indices;\n        var d1 = cb_obj.data;\n        var d2 = s2.data;\n        d2['x'] = []\n        d2['y'] = []\n        for (i = 0; i < inds.length; i++) {\n            d2['x'].push(d1['x'][inds[i]])\n            d2['y'].push(d1['y'][inds[i]])\n        }\n        s2.change.emit();\n    "},"id":"85d6c84f-1065-4563-9a72-132c58c963df","type":"CustomJS"},{"attributes":{},"id":"7ad11266-8b5f-4a5b-8791-d6f7f1b156d2","type":"BasicTicker"},{"attributes":{"source":{"id":"c86aaf16-f5a1-42a3-8905-a4043d38ba0d","type":"ColumnDataSource"}},"id":"169c9124-1f25-422c-bd9e-2a0dfd5ada2c","type":"CDSView"},{"attributes":{},"id":"aecc5cd9-b778-4b9d-bb26-4131e3204047","type":"LinearScale"},{"attributes":{"formatter":{"id":"dc415b39-a10e-4438-9ece-fd40419b0fe6","type":"BasicTickFormatter"},"plot":{"id":"cf0f18c4-872c-4d8f-8c4e-bf2e8642c1a1","subtype":"Figure","type":"Plot"},"ticker":{"id":"48a7daf8-cddb-402b-8bef-5afd0418615a","type":"BasicTicker"}},"id":"d2a6dd22-40e3-4e9c-bd2f-c41459ed277b","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.6},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.6},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"db72af45-3a78-4061-a3a7-2022ba405848","type":"Circle"},{"attributes":{},"id":"dc415b39-a10e-4438-9ece-fd40419b0fe6","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[],"y":[]}},"id":"c52fd29d-6429-4c80-bcc3-d070569efa3e","type":"ColumnDataSource"},{"attributes":{"plot":{"id":"13142aed-73b4-493e-94cc-b8bd3908d608","subtype":"Figure","type":"Plot"},"ticker":{"id":"fc3c0b05-6d2b-4a39-ad79-60b60f93dc98","type":"BasicTicker"}},"id":"c8cb577d-9c08-49b5-bf9f-354feb715c11","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"13142aed-73b4-493e-94cc-b8bd3908d608","subtype":"Figure","type":"Plot"},"ticker":{"id":"7ad11266-8b5f-4a5b-8791-d6f7f1b156d2","type":"BasicTicker"}},"id":"a16c42f7-bc52-494c-953d-d5dceaae237d","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"8e8ac85a-e8de-4b50-95f6-b0db1d5a374e","type":"LassoSelectTool"}]},"id":"e6fe6dcd-e210-48c0-96f8-5402376885cd","type":"Toolbar"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"b1abdda8-669e-4543-b46a-6d0b0dd783da","type":"PolyAnnotation"},{"attributes":{"fill_alpha":{"value":0.6},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.6},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"13768435-cad1-499d-9a48-0aea9f770c55","type":"Circle"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"4b215332-b2a4-4f66-9938-eb9cd02d87c3","type":"Circle"},{"attributes":{"callback":null},"id":"d36d216b-039e-449b-9539-94d0c44b3e0c","type":"DataRange1d"},{"attributes":{"callback":null},"id":"f6704dba-7cc2-45d1-9323-5fc939c6c000","type":"Range1d"},{"attributes":{"callback":null,"overlay":{"id":"b1abdda8-669e-4543-b46a-6d0b0dd783da","type":"PolyAnnotation"}},"id":"8e8ac85a-e8de-4b50-95f6-b0db1d5a374e","type":"LassoSelectTool"},{"attributes":{},"id":"379fe15f-63b1-4620-b634-4a8e4f736b1d","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"cf0f18c4-872c-4d8f-8c4e-bf2e8642c1a1","subtype":"Figure","type":"Plot"},"ticker":{"id":"7cbee9dd-76e9-4c47-ab5c-d7aecded92ac","type":"BasicTicker"}},"id":"78545e43-420d-48dc-b5d7-51e149e918e0","type":"Grid"},{"attributes":{},"id":"43c70ce3-3c04-4c4c-92c0-d4b23d47663f","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"c52fd29d-6429-4c80-bcc3-d070569efa3e","type":"ColumnDataSource"},"glyph":{"id":"db72af45-3a78-4061-a3a7-2022ba405848","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"4b215332-b2a4-4f66-9938-eb9cd02d87c3","type":"Circle"},"selection_glyph":null,"view":{"id":"af04d79f-603c-43c6-974e-2f99c2b3dc27","type":"CDSView"}},"id":"fcdc43d4-efea-4980-8d13-26c704ef86c7","type":"GlyphRenderer"},{"attributes":{},"id":"78976c41-72eb-4bed-b2a3-cc018fab7e14","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"78976c41-72eb-4bed-b2a3-cc018fab7e14","type":"BasicTickFormatter"},"plot":{"id":"13142aed-73b4-493e-94cc-b8bd3908d608","subtype":"Figure","type":"Plot"},"ticker":{"id":"fc3c0b05-6d2b-4a39-ad79-60b60f93dc98","type":"BasicTicker"}},"id":"8387fc56-c4ce-4c36-b2c9-73d11d6c43b6","type":"LinearAxis"},{"attributes":{"plot":null,"text":"Select Here"},"id":"e064958b-37b3-457b-ad21-13c701bcded3","type":"Title"},{"attributes":{"formatter":{"id":"a70e4139-de6f-4ddb-a3a9-a8049c422421","type":"BasicTickFormatter"},"plot":{"id":"13142aed-73b4-493e-94cc-b8bd3908d608","subtype":"Figure","type":"Plot"},"ticker":{"id":"7ad11266-8b5f-4a5b-8791-d6f7f1b156d2","type":"BasicTicker"}},"id":"c010bd27-1430-4e8a-b25d-bdf682224888","type":"LinearAxis"},{"attributes":{},"id":"7cbee9dd-76e9-4c47-ab5c-d7aecded92ac","type":"BasicTicker"},{"attributes":{"callback":null},"id":"1555d082-4d49-4cef-a579-1099c2608065","type":"Range1d"},{"attributes":{"source":{"id":"c52fd29d-6429-4c80-bcc3-d070569efa3e","type":"ColumnDataSource"}},"id":"af04d79f-603c-43c6-974e-2f99c2b3dc27","type":"CDSView"}],"root_ids":["01b0d0e7-d838-409d-8dac-589efc89984e"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"3c04ee65-3308-429e-b648-1c4c10aa5742","elementid":"27f1cc36-d5d0-4a86-b471-575f62c2bb88","modelid":"01b0d0e7-d838-409d-8dac-589efc89984e"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
