(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("41118b1a-4cc0-4e39-9ffc-454c33383f5c");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '41118b1a-4cc0-4e39-9ffc-454c33383f5c' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"7e7cc06e-48da-4c9c-b6ca-5f6bc261a6d8":{"roots":{"references":[{"attributes":{"callback":null},"id":"a0136ba5-f37b-4c80-af15-4470b3c56df0","type":"DataRange1d"},{"attributes":{},"id":"b06c7911-6401-4e61-bf44-ef4ea38ed0d8","type":"HelpTool"},{"attributes":{},"id":"84d737ea-9ae1-448f-ae7e-0f71f3383e30","type":"WheelZoomTool"},{"attributes":{"below":[{"id":"39bd6524-127a-47d1-bc2d-02c8f4365fa9","type":"LinearAxis"}],"left":[{"id":"6d9e1cd8-2ab1-432f-849f-9fdd98125aa0","type":"LinearAxis"}],"outline_line_alpha":{"value":0.3},"outline_line_color":{"value":"navy"},"outline_line_width":{"value":7},"plot_height":400,"plot_width":400,"renderers":[{"id":"39bd6524-127a-47d1-bc2d-02c8f4365fa9","type":"LinearAxis"},{"id":"da393146-f35d-469f-bc6c-728cf26baacd","type":"Grid"},{"id":"6d9e1cd8-2ab1-432f-849f-9fdd98125aa0","type":"LinearAxis"},{"id":"ecd2f988-0dac-4d3c-8ea8-59a774382716","type":"Grid"},{"id":"eafd8438-7c3c-469c-88c7-512ec6dad458","type":"BoxAnnotation"},{"id":"8dcc876a-ebb5-41c1-8d6f-2720794e4d49","type":"GlyphRenderer"}],"title":{"id":"55c40ea4-360f-4ea5-97e8-ab9b6fd8c456","type":"Title"},"toolbar":{"id":"021e669e-273f-4ad8-9353-c22223643e78","type":"Toolbar"},"x_range":{"id":"a0136ba5-f37b-4c80-af15-4470b3c56df0","type":"DataRange1d"},"x_scale":{"id":"fdfe443a-31cf-4f28-82bb-4bc440768541","type":"LinearScale"},"y_range":{"id":"3eb132d3-2fb4-46d1-8288-d9acffb38fbb","type":"DataRange1d"},"y_scale":{"id":"059b8107-6ef0-4185-baa9-4135ffe9fc47","type":"LinearScale"}},"id":"bd03ec49-84e2-4ae4-b5f5-10e6f2444bb7","subtype":"Figure","type":"Plot"},{"attributes":{"overlay":{"id":"eafd8438-7c3c-469c-88c7-512ec6dad458","type":"BoxAnnotation"}},"id":"177877c5-52de-48c6-853c-e924ffbdb5b0","type":"BoxZoomTool"},{"attributes":{},"id":"27388972-02c1-4141-bddc-7df715914479","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"07a9b84a-8eaf-4477-b998-78a5397e6c6a","type":"PanTool"},{"id":"84d737ea-9ae1-448f-ae7e-0f71f3383e30","type":"WheelZoomTool"},{"id":"177877c5-52de-48c6-853c-e924ffbdb5b0","type":"BoxZoomTool"},{"id":"6a223099-6867-4e11-accc-d8d2d9aa7596","type":"SaveTool"},{"id":"21dcbfbc-a5bc-46dc-a940-47035cc24904","type":"ResetTool"},{"id":"b06c7911-6401-4e61-bf44-ef4ea38ed0d8","type":"HelpTool"}]},"id":"021e669e-273f-4ad8-9353-c22223643e78","type":"Toolbar"},{"attributes":{"plot":{"id":"bd03ec49-84e2-4ae4-b5f5-10e6f2444bb7","subtype":"Figure","type":"Plot"},"ticker":{"id":"8c72a1a5-2a02-4a68-a6e2-0e09879148ea","type":"BasicTicker"}},"id":"da393146-f35d-469f-bc6c-728cf26baacd","type":"Grid"},{"attributes":{"formatter":{"id":"27388972-02c1-4141-bddc-7df715914479","type":"BasicTickFormatter"},"plot":{"id":"bd03ec49-84e2-4ae4-b5f5-10e6f2444bb7","subtype":"Figure","type":"Plot"},"ticker":{"id":"74ecdc4e-8653-48e2-a8ac-a417b78ed610","type":"BasicTicker"}},"id":"6d9e1cd8-2ab1-432f-849f-9fdd98125aa0","type":"LinearAxis"},{"attributes":{},"id":"8c72a1a5-2a02-4a68-a6e2-0e09879148ea","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"79631299-ba9f-41f6-a925-d603e8edbed6","type":"Circle"},{"attributes":{},"id":"fdfe443a-31cf-4f28-82bb-4bc440768541","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"eafd8438-7c3c-469c-88c7-512ec6dad458","type":"BoxAnnotation"},{"attributes":{"plot":null,"text":""},"id":"55c40ea4-360f-4ea5-97e8-ab9b6fd8c456","type":"Title"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"d3ff1a54-a0b4-4d23-b8f4-42bfb38ac080","type":"Circle"},{"attributes":{},"id":"6a223099-6867-4e11-accc-d8d2d9aa7596","type":"SaveTool"},{"attributes":{},"id":"21dcbfbc-a5bc-46dc-a940-47035cc24904","type":"ResetTool"},{"attributes":{"source":{"id":"6028db2f-9c07-4702-8676-702dbb05fc52","type":"ColumnDataSource"}},"id":"322ad3f5-545b-45a4-8b8a-853f1674d587","type":"CDSView"},{"attributes":{},"id":"74ecdc4e-8653-48e2-a8ac-a417b78ed610","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"bd03ec49-84e2-4ae4-b5f5-10e6f2444bb7","subtype":"Figure","type":"Plot"},"ticker":{"id":"74ecdc4e-8653-48e2-a8ac-a417b78ed610","type":"BasicTicker"}},"id":"ecd2f988-0dac-4d3c-8ea8-59a774382716","type":"Grid"},{"attributes":{"data_source":{"id":"6028db2f-9c07-4702-8676-702dbb05fc52","type":"ColumnDataSource"},"glyph":{"id":"d3ff1a54-a0b4-4d23-b8f4-42bfb38ac080","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"79631299-ba9f-41f6-a925-d603e8edbed6","type":"Circle"},"selection_glyph":null,"view":{"id":"322ad3f5-545b-45a4-8b8a-853f1674d587","type":"CDSView"}},"id":"8dcc876a-ebb5-41c1-8d6f-2720794e4d49","type":"GlyphRenderer"},{"attributes":{},"id":"07a9b84a-8eaf-4477-b998-78a5397e6c6a","type":"PanTool"},{"attributes":{"formatter":{"id":"8bbf6ce2-524f-4201-82d6-1448a4969a1b","type":"BasicTickFormatter"},"plot":{"id":"bd03ec49-84e2-4ae4-b5f5-10e6f2444bb7","subtype":"Figure","type":"Plot"},"ticker":{"id":"8c72a1a5-2a02-4a68-a6e2-0e09879148ea","type":"BasicTicker"}},"id":"39bd6524-127a-47d1-bc2d-02c8f4365fa9","type":"LinearAxis"},{"attributes":{},"id":"059b8107-6ef0-4185-baa9-4135ffe9fc47","type":"LinearScale"},{"attributes":{"callback":null},"id":"3eb132d3-2fb4-46d1-8288-d9acffb38fbb","type":"DataRange1d"},{"attributes":{},"id":"8bbf6ce2-524f-4201-82d6-1448a4969a1b","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"6028db2f-9c07-4702-8676-702dbb05fc52","type":"ColumnDataSource"}],"root_ids":["bd03ec49-84e2-4ae4-b5f5-10e6f2444bb7"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"7e7cc06e-48da-4c9c-b6ca-5f6bc261a6d8","elementid":"41118b1a-4cc0-4e39-9ffc-454c33383f5c","modelid":"bd03ec49-84e2-4ae4-b5f5-10e6f2444bb7"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
