(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b3a3926e-3791-4d5f-bcc7-e8390d098181");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b3a3926e-3791-4d5f-bcc7-e8390d098181' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a4c7c34a-1160-4705-8964-9bb7ffe6f158":{"roots":{"references":[{"attributes":{"source":{"id":"bdee110e-7cda-41f6-88bd-e54f99022b15","type":"ColumnDataSource"}},"id":"7af88f66-a5c3-4c2c-b34b-e26cae7bd706","type":"CDSView"},{"attributes":{},"id":"db0679cf-c5f9-4b66-8907-add5fa5364b8","type":"PanTool"},{"attributes":{},"id":"4bd63d18-95b4-432d-8266-e1a22fe57a02","type":"SaveTool"},{"attributes":{},"id":"fdad6c23-bfc3-4bdc-b1e1-f323297e47f3","type":"LinearScale"},{"attributes":{},"id":"dc2b00eb-4c00-4a90-87d1-15b410f70e36","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["ys","xs","line_color","line_alpha","fill_alpha","fill_color"],"data":{"fill_alpha":[0.8,0.3],"fill_color":["firebrick","navy"],"line_alpha":[0.8,0.3],"line_color":["firebrick","navy"],"xs":[[1,3,2],[3,4,6,6]],"ys":[[2,1,4],[4,7,8,5]]}},"id":"bdee110e-7cda-41f6-88bd-e54f99022b15","type":"ColumnDataSource"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"632538fd-0a49-4660-9a8d-095cf8046218","type":"BoxAnnotation"},{"attributes":{},"id":"1a519b6b-dd68-432f-bc5d-09f6bcb03b10","type":"WheelZoomTool"},{"attributes":{"fill_alpha":{"field":"fill_alpha"},"fill_color":{"field":"fill_color"},"line_alpha":{"field":"line_alpha"},"line_color":{"field":"line_color"},"line_width":{"value":2},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"5d1ed1d3-badf-460c-895d-7629e9eae97a","type":"Patches"},{"attributes":{},"id":"d6b95574-80ac-4a6b-9e60-294df7a15d33","type":"BasicTickFormatter"},{"attributes":{},"id":"b483ae5b-215b-4f53-8618-227e4db91781","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"43ec1c1c-7eb5-42bf-844f-cc34051cb646","type":"Title"},{"attributes":{"data_source":{"id":"bdee110e-7cda-41f6-88bd-e54f99022b15","type":"ColumnDataSource"},"glyph":{"id":"5d1ed1d3-badf-460c-895d-7629e9eae97a","type":"Patches"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"81e016c7-f6b9-44b9-aa3e-786925d5da11","type":"Patches"},"selection_glyph":null,"view":{"id":"7af88f66-a5c3-4c2c-b34b-e26cae7bd706","type":"CDSView"}},"id":"9823ddd8-7411-495d-aaef-8eebfbaac7ab","type":"GlyphRenderer"},{"attributes":{},"id":"597b28f6-1fd3-4232-9861-23f91b3686ae","type":"HelpTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"81e016c7-f6b9-44b9-aa3e-786925d5da11","type":"Patches"},{"attributes":{"plot":{"id":"b34fb1fc-a297-4fc4-9e9c-850682d0ca3d","subtype":"Figure","type":"Plot"},"ticker":{"id":"6de874e0-0826-4103-8e0e-0f7b43c1290c","type":"BasicTicker"}},"id":"c5a86cbb-7ba0-4bec-a8e2-4531dbe97129","type":"Grid"},{"attributes":{"below":[{"id":"a4a027f3-2a0e-4cd0-af84-479324af87db","type":"LinearAxis"}],"left":[{"id":"e98c313b-d1e8-4773-90fd-0be0c962fb74","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"a4a027f3-2a0e-4cd0-af84-479324af87db","type":"LinearAxis"},{"id":"c5a86cbb-7ba0-4bec-a8e2-4531dbe97129","type":"Grid"},{"id":"e98c313b-d1e8-4773-90fd-0be0c962fb74","type":"LinearAxis"},{"id":"3150be35-5994-4fec-94e8-a2eb1a95e361","type":"Grid"},{"id":"632538fd-0a49-4660-9a8d-095cf8046218","type":"BoxAnnotation"},{"id":"9823ddd8-7411-495d-aaef-8eebfbaac7ab","type":"GlyphRenderer"}],"title":{"id":"43ec1c1c-7eb5-42bf-844f-cc34051cb646","type":"Title"},"toolbar":{"id":"d1eabdf8-bf3c-425a-9497-e93b510f233a","type":"Toolbar"},"x_range":{"id":"3502d3ee-4ce8-4b12-8f20-2dff32f48eb5","type":"DataRange1d"},"x_scale":{"id":"fdad6c23-bfc3-4bdc-b1e1-f323297e47f3","type":"LinearScale"},"y_range":{"id":"8d85b554-9fd9-4023-acd8-a61dbbbda96c","type":"DataRange1d"},"y_scale":{"id":"81d8b2c1-b071-4436-a6cb-2ce4b3f15acf","type":"LinearScale"}},"id":"b34fb1fc-a297-4fc4-9e9c-850682d0ca3d","subtype":"Figure","type":"Plot"},{"attributes":{"overlay":{"id":"632538fd-0a49-4660-9a8d-095cf8046218","type":"BoxAnnotation"}},"id":"1b834009-4c0f-4399-b192-6acfe7ddcbdf","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"3502d3ee-4ce8-4b12-8f20-2dff32f48eb5","type":"DataRange1d"},{"attributes":{"callback":null},"id":"8d85b554-9fd9-4023-acd8-a61dbbbda96c","type":"DataRange1d"},{"attributes":{"formatter":{"id":"d6b95574-80ac-4a6b-9e60-294df7a15d33","type":"BasicTickFormatter"},"plot":{"id":"b34fb1fc-a297-4fc4-9e9c-850682d0ca3d","subtype":"Figure","type":"Plot"},"ticker":{"id":"6de874e0-0826-4103-8e0e-0f7b43c1290c","type":"BasicTicker"}},"id":"a4a027f3-2a0e-4cd0-af84-479324af87db","type":"LinearAxis"},{"attributes":{},"id":"81d8b2c1-b071-4436-a6cb-2ce4b3f15acf","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"db0679cf-c5f9-4b66-8907-add5fa5364b8","type":"PanTool"},{"id":"1a519b6b-dd68-432f-bc5d-09f6bcb03b10","type":"WheelZoomTool"},{"id":"1b834009-4c0f-4399-b192-6acfe7ddcbdf","type":"BoxZoomTool"},{"id":"4bd63d18-95b4-432d-8266-e1a22fe57a02","type":"SaveTool"},{"id":"ff24abcf-1ec8-41a7-9893-2730d3d2cb48","type":"ResetTool"},{"id":"597b28f6-1fd3-4232-9861-23f91b3686ae","type":"HelpTool"}]},"id":"d1eabdf8-bf3c-425a-9497-e93b510f233a","type":"Toolbar"},{"attributes":{"formatter":{"id":"dc2b00eb-4c00-4a90-87d1-15b410f70e36","type":"BasicTickFormatter"},"plot":{"id":"b34fb1fc-a297-4fc4-9e9c-850682d0ca3d","subtype":"Figure","type":"Plot"},"ticker":{"id":"b483ae5b-215b-4f53-8618-227e4db91781","type":"BasicTicker"}},"id":"e98c313b-d1e8-4773-90fd-0be0c962fb74","type":"LinearAxis"},{"attributes":{},"id":"6de874e0-0826-4103-8e0e-0f7b43c1290c","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"b34fb1fc-a297-4fc4-9e9c-850682d0ca3d","subtype":"Figure","type":"Plot"},"ticker":{"id":"b483ae5b-215b-4f53-8618-227e4db91781","type":"BasicTicker"}},"id":"3150be35-5994-4fec-94e8-a2eb1a95e361","type":"Grid"},{"attributes":{},"id":"ff24abcf-1ec8-41a7-9893-2730d3d2cb48","type":"ResetTool"}],"root_ids":["b34fb1fc-a297-4fc4-9e9c-850682d0ca3d"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a4c7c34a-1160-4705-8964-9bb7ffe6f158","elementid":"b3a3926e-3791-4d5f-bcc7-e8390d098181","modelid":"b34fb1fc-a297-4fc4-9e9c-850682d0ca3d"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
