(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ae85556e-f018-42aa-afdd-938b19d14f4a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ae85556e-f018-42aa-afdd-938b19d14f4a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"3f111b88-7441-4aa9-8223-efe3e2fcc11f":{"roots":{"references":[{"attributes":{},"id":"78660558-3910-49ad-b682-f8303d19da50","type":"ResetTool"},{"attributes":{"formatter":{"id":"1d06c47d-38e5-4a88-b461-91222223ff38","type":"BasicTickFormatter"},"plot":{"id":"73b8ab0f-6a1c-4a55-ace4-7e289a21b5cb","subtype":"Figure","type":"Plot"},"ticker":{"id":"3cefd964-3fb3-4b89-b2a7-fdbdd772482b","type":"BasicTicker"}},"id":"1db02639-4304-4b07-920c-818ac363f26a","type":"LinearAxis"},{"attributes":{},"id":"3cefd964-3fb3-4b89-b2a7-fdbdd772482b","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"c0bed33f-bf18-4112-be09-a0d96c40ce33","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"be10e700-69f9-462d-92fa-434157b7be1a","type":"DataRange1d"},{"attributes":{"formatter":{"id":"4514c34d-d770-49f6-bc6a-f986c038242d","type":"BasicTickFormatter"},"plot":{"id":"73b8ab0f-6a1c-4a55-ace4-7e289a21b5cb","subtype":"Figure","type":"Plot"},"ticker":{"id":"0fe415e4-08fd-4884-bfd9-e6a4459cc8f5","type":"BasicTicker"}},"id":"60986a0f-6e5c-4c4c-b392-8eb4e025b413","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"f1ca8497-e971-42bc-a830-f58d9a995f32","type":"PanTool"},{"id":"43837248-9e9b-4563-8e74-589c7bd6c04c","type":"WheelZoomTool"},{"id":"4bb7bc30-2496-4208-b8b4-55ab4636a968","type":"BoxZoomTool"},{"id":"13c6d8ef-4781-4718-8bf7-065e0a4f9a31","type":"SaveTool"},{"id":"78660558-3910-49ad-b682-f8303d19da50","type":"ResetTool"},{"id":"d61fa906-02b4-473c-b7b6-41c313830f5c","type":"HelpTool"}]},"id":"7ff2875e-31c4-43f9-bfd5-207a239b56b9","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2],"y":[3,4]}},"id":"e7e5c801-8c87-4fb9-a1ec-1c6a1e75ccd0","type":"ColumnDataSource"},{"attributes":{"below":[{"id":"60986a0f-6e5c-4c4c-b392-8eb4e025b413","type":"LinearAxis"}],"left":[{"id":"1db02639-4304-4b07-920c-818ac363f26a","type":"LinearAxis"}],"plot_height":300,"renderers":[{"id":"60986a0f-6e5c-4c4c-b392-8eb4e025b413","type":"LinearAxis"},{"id":"f8a34469-9c1d-4e0c-8fe2-3024de4d4acb","type":"Grid"},{"id":"1db02639-4304-4b07-920c-818ac363f26a","type":"LinearAxis"},{"id":"8e66ae8a-2e69-468d-9829-de4b0ccf5748","type":"Grid"},{"id":"c0bed33f-bf18-4112-be09-a0d96c40ce33","type":"BoxAnnotation"},{"id":"545c6c82-274a-4958-b819-302866a26a68","type":"GlyphRenderer"}],"title":{"id":"8eb8f5b1-b071-45f6-b499-bf6778497984","type":"Title"},"toolbar":{"id":"7ff2875e-31c4-43f9-bfd5-207a239b56b9","type":"Toolbar"},"toolbar_location":"above","x_range":{"id":"29e501f9-f785-4ed6-b778-fe0ea4f025fa","type":"DataRange1d"},"x_scale":{"id":"d9bebb37-0e7a-4713-97dd-7b5b6304290e","type":"LinearScale"},"y_range":{"id":"be10e700-69f9-462d-92fa-434157b7be1a","type":"DataRange1d"},"y_scale":{"id":"f4562da9-4d6e-4547-b94c-2bcd52d1cbfc","type":"LinearScale"}},"id":"73b8ab0f-6a1c-4a55-ace4-7e289a21b5cb","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"1d06c47d-38e5-4a88-b461-91222223ff38","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"73b8ab0f-6a1c-4a55-ace4-7e289a21b5cb","subtype":"Figure","type":"Plot"},"ticker":{"id":"0fe415e4-08fd-4884-bfd9-e6a4459cc8f5","type":"BasicTicker"}},"id":"f8a34469-9c1d-4e0c-8fe2-3024de4d4acb","type":"Grid"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"ebc3d67e-e966-4bd2-b2f7-4a29b4c08ece","type":"Circle"},{"attributes":{"dimension":1,"plot":{"id":"73b8ab0f-6a1c-4a55-ace4-7e289a21b5cb","subtype":"Figure","type":"Plot"},"ticker":{"id":"3cefd964-3fb3-4b89-b2a7-fdbdd772482b","type":"BasicTicker"}},"id":"8e66ae8a-2e69-468d-9829-de4b0ccf5748","type":"Grid"},{"attributes":{},"id":"d9bebb37-0e7a-4713-97dd-7b5b6304290e","type":"LinearScale"},{"attributes":{},"id":"0fe415e4-08fd-4884-bfd9-e6a4459cc8f5","type":"BasicTicker"},{"attributes":{},"id":"4514c34d-d770-49f6-bc6a-f986c038242d","type":"BasicTickFormatter"},{"attributes":{},"id":"13c6d8ef-4781-4718-8bf7-065e0a4f9a31","type":"SaveTool"},{"attributes":{"data_source":{"id":"e7e5c801-8c87-4fb9-a1ec-1c6a1e75ccd0","type":"ColumnDataSource"},"glyph":{"id":"ebc3d67e-e966-4bd2-b2f7-4a29b4c08ece","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"bb69064b-396b-4a0a-96ba-beb592b95a09","type":"Circle"},"selection_glyph":null,"view":{"id":"8536e667-0946-40e7-b22e-10c3a366ddcd","type":"CDSView"}},"id":"545c6c82-274a-4958-b819-302866a26a68","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"bb69064b-396b-4a0a-96ba-beb592b95a09","type":"Circle"},{"attributes":{"plot":null,"text":"Top Title with Toolbar"},"id":"8eb8f5b1-b071-45f6-b499-bf6778497984","type":"Title"},{"attributes":{"callback":null},"id":"29e501f9-f785-4ed6-b778-fe0ea4f025fa","type":"DataRange1d"},{"attributes":{"source":{"id":"e7e5c801-8c87-4fb9-a1ec-1c6a1e75ccd0","type":"ColumnDataSource"}},"id":"8536e667-0946-40e7-b22e-10c3a366ddcd","type":"CDSView"},{"attributes":{"overlay":{"id":"c0bed33f-bf18-4112-be09-a0d96c40ce33","type":"BoxAnnotation"}},"id":"4bb7bc30-2496-4208-b8b4-55ab4636a968","type":"BoxZoomTool"},{"attributes":{},"id":"f4562da9-4d6e-4547-b94c-2bcd52d1cbfc","type":"LinearScale"},{"attributes":{},"id":"f1ca8497-e971-42bc-a830-f58d9a995f32","type":"PanTool"},{"attributes":{},"id":"d61fa906-02b4-473c-b7b6-41c313830f5c","type":"HelpTool"},{"attributes":{},"id":"43837248-9e9b-4563-8e74-589c7bd6c04c","type":"WheelZoomTool"}],"root_ids":["73b8ab0f-6a1c-4a55-ace4-7e289a21b5cb"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"3f111b88-7441-4aa9-8223-efe3e2fcc11f","elementid":"ae85556e-f018-42aa-afdd-938b19d14f4a","modelid":"73b8ab0f-6a1c-4a55-ace4-7e289a21b5cb"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
