(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("8fd4f174-992b-4ac1-8388-0f14f23e4703");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '8fd4f174-992b-4ac1-8388-0f14f23e4703' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"932db349-8337-4f55-961f-6064b9347af4":{"roots":{"references":[{"attributes":{"angle":{"field":"angle","units":"rad"},"text_align":"center","text_baseline":"middle","text_color":{"value":"black"},"text_font_size":{"value":"9pt"},"x":{"field":"x"},"y":{"field":"y"}},"id":"682bad34-9903-4eaf-bc16-ba3a7b4ba883","type":"Text"},{"attributes":{"callback":null,"column_names":["radius"],"data":{"radius":{"__ndarray__":"AAAAAAAgckDHcwaqNPVtQDjj0CUzIWlABsmM1zIPZUCg0sRXLXlhQBRFOMxxdlxAAAAAAACAVkA=","dtype":"float64","shape":[7]}}},"id":"e7538271-43c3-4bf9-806f-ecce674d31bd","type":"ColumnDataSource"},{"attributes":{"source":{"id":"e7538271-43c3-4bf9-806f-ecce674d31bd","type":"ColumnDataSource"}},"id":"17658354-4de9-4d9b-9d12-0d18ed0bb739","type":"CDSView"},{"attributes":{"data_source":{"id":"dbeafe0a-0b57-4f2c-9044-77b8affc3683","type":"ColumnDataSource"},"glyph":{"id":"a30a8d65-5568-49eb-b769-a2e667a939ff","type":"AnnularWedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e0668085-73b4-413d-bb2b-12b948431e37","type":"AnnularWedge"},"selection_glyph":null,"view":{"id":"ec2da1ec-cf62-4bf2-b5d2-c40d83eb4a67","type":"CDSView"}},"id":"7237b661-1c50-46d3-8eff-812925ab9c2a","type":"GlyphRenderer"},{"attributes":{"source":{"id":"1b59aeb0-5813-4290-9b1c-0e3eca51e71e","type":"ColumnDataSource"}},"id":"68d1af55-4cc8-4428-ae44-3cc984a4cd8e","type":"CDSView"},{"attributes":{"source":{"id":"b4421695-d6bc-4317-84bf-4043e290e0fd","type":"ColumnDataSource"}},"id":"06804d8e-b992-4523-8eb7-732a61a971e8","type":"CDSView"},{"attributes":{"end_angle":{"field":"end_angle","units":"rad"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"inner_radius":{"units":"data","value":90},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"outer_radius":{"field":"outer_radius","units":"data"},"start_angle":{"field":"start_angle","units":"rad"},"x":{"value":0},"y":{"value":0}},"id":"731a9a9e-fcf3-41f9-bbee-ac539c51927d","type":"AnnularWedge"},{"attributes":{"text_align":"center","text_alpha":{"value":0.1},"text_baseline":"middle","text_color":{"value":"black"},"text_font_size":{"value":"8pt"},"x":{"value":0},"y":{"field":"y"}},"id":"3aea7bf6-34cf-4495-a42e-4301221f1d4f","type":"Text"},{"attributes":{"end_angle":{"field":"end_angle","units":"rad"},"fill_color":{"field":"fill_color"},"inner_radius":{"units":"data","value":90},"line_color":{"field":"line_color"},"outer_radius":{"units":"data","value":290},"start_angle":{"field":"start_angle","units":"rad"},"x":{"value":0},"y":{"value":0}},"id":"96344e80-ce88-441e-9e64-5569dbc688e4","type":"AnnularWedge"},{"attributes":{"source":{"id":"9adc63bb-546f-4c7d-8ca2-d528bdded434","type":"ColumnDataSource"}},"id":"49479379-5b76-4d3c-8ffa-55b3b35c3eee","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"data","value":13},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"units":"data","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"d036ea55-ec8f-41df-a4d4-193327fa0fde","type":"Rect"},{"attributes":{"data_source":{"id":"e7538271-43c3-4bf9-806f-ecce674d31bd","type":"ColumnDataSource"},"glyph":{"id":"af954d06-ed78-4f50-b7fe-ab348b61ff45","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"5516dcee-c77b-4202-a1ff-96a1d46c0427","type":"Circle"},"selection_glyph":null,"view":{"id":"17658354-4de9-4d9b-9d12-0d18ed0bb739","type":"CDSView"}},"id":"99207197-a9c2-40a3-99f8-51ab79c96508","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"93dec517-802e-40a8-8801-d354e1e938aa","type":"PanTool"},{"id":"9799c86f-aec9-4cda-97ee-d8f5dbc07984","type":"WheelZoomTool"},{"id":"51dc346f-c7bc-42f8-ba55-becda7117712","type":"BoxZoomTool"},{"id":"658d2675-8c89-48e4-8f42-015b792abc07","type":"SaveTool"},{"id":"9ace3250-f061-475e-94ba-0d8e1469d9a2","type":"ResetTool"},{"id":"e0688b31-3994-4f2b-a76e-f8326a89bd31","type":"HelpTool"}]},"id":"2b43f9af-8e87-45eb-88dd-a17064a06003","type":"Toolbar"},{"attributes":{},"id":"9799c86f-aec9-4cda-97ee-d8f5dbc07984","type":"WheelZoomTool"},{"attributes":{"text_alpha":{"value":0.1},"text_baseline":"middle","text_color":{"value":"black"},"text_font_size":{"value":"7pt"},"x":{"field":"x"},"y":{"field":"y"}},"id":"05a3ca75-0891-4dec-b91d-6a53700ff0c3","type":"Text"},{"attributes":{"source":{"id":"fd994aeb-e87e-4b95-9c66-d8be909ac8bd","type":"ColumnDataSource"}},"id":"883b577f-8c17-49c5-b736-e5df4cb55d3a","type":"CDSView"},{"attributes":{"data_source":{"id":"b1968f5e-78bd-4880-a650-bc98aad461d0","type":"ColumnDataSource"},"glyph":{"id":"126a411f-5f67-4000-8fda-838f655243ee","type":"AnnularWedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"731a9a9e-fcf3-41f9-bbee-ac539c51927d","type":"AnnularWedge"},"selection_glyph":null,"view":{"id":"3b45715b-fbc6-4592-92fa-a9831e52d658","type":"CDSView"}},"id":"5c517e93-04af-4c79-be4e-c70553fe7182","type":"GlyphRenderer"},{"attributes":{"source":{"id":"637bec64-eab5-489f-be3e-ea7df592a90b","type":"ColumnDataSource"}},"id":"50564ce6-3781-4883-96b8-1c7e5cf7016b","type":"CDSView"},{"attributes":{"callback":null,"column_names":["text","y","x"],"data":{"text":["Gram-positive","Gram-negative"],"x":[-30,-30],"y":[-370,-390]}},"id":"9adc63bb-546f-4c7d-8ca2-d528bdded434","type":"ColumnDataSource"},{"attributes":{"callback":null,"end":420,"start":-420},"id":"f7d45059-31d7-436f-9e44-10c7a7746da0","type":"Range1d"},{"attributes":{"data_source":{"id":"dd66db2b-33fd-4d65-bbbd-1354b4f47ec8","type":"ColumnDataSource"},"glyph":{"id":"949d9185-dd07-4c11-ae4d-426a108f8e9f","type":"Text"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"3aea7bf6-34cf-4495-a42e-4301221f1d4f","type":"Text"},"selection_glyph":null,"view":{"id":"82c0095a-867a-404a-90d3-a052ae84feb7","type":"CDSView"}},"id":"54ac2e48-a8b6-4641-9dd3-b14880efe97f","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"9adc63bb-546f-4c7d-8ca2-d528bdded434","type":"ColumnDataSource"},"glyph":{"id":"5d601158-65bc-41c1-a710-9638482556e0","type":"Text"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"05a3ca75-0891-4dec-b91d-6a53700ff0c3","type":"Text"},"selection_glyph":null,"view":{"id":"49479379-5b76-4d3c-8ffa-55b3b35c3eee","type":"CDSView"}},"id":"6eae97f3-91fd-4b2c-bc84-5da77cd5664c","type":"GlyphRenderer"},{"attributes":{"end_angle":{"field":"end_angle","units":"rad"},"fill_color":{"value":"#c64737"},"inner_radius":{"units":"data","value":90},"line_color":{"value":"#c64737"},"outer_radius":{"field":"outer_radius","units":"data"},"start_angle":{"field":"start_angle","units":"rad"},"x":{"value":0},"y":{"value":0}},"id":"126a411f-5f67-4000-8fda-838f655243ee","type":"AnnularWedge"},{"attributes":{"callback":null,"column_names":["start_angle","end_angle","outer_radius"],"data":{"end_angle":{"__ndarray__":"Zv0QQcZU9T+i9BDxytXuP3ru/18JAuM/RKG7Ox+5zD9kd4gI55XCvwQkM1M7eeC/LCpE5PxM7L8smKo6XxD0v0AbMwNA+vm/U567yyDk/7+0ECLKAOcCwD5SZi7x2wXAyJOqkuHQCMBS1e720cULwN8WM1vCug7ANKy7X9nXEMA=","dtype":"float64","shape":[16]},"outer_radius":{"__ndarray__":"bLZfBPAOV0Cg0sRXLXlhQDLrDr5nTGNA1FIAQwHoVkAGyYzXMg9lQNRSAEMB6FZAFEU4zHF2XEAGyYzXMg9lQHi2fdUW2VZAAAAAAAAgckAGyYzXMg9lQIaiNChEiGtA/HdeznjObkAAAAAAACByQKYExgH2o29ApgTGAfajb0A=","dtype":"float64","shape":[16]},"start_angle":{"__ndarray__":"Pw8ikoF89D9UGDOTQSXtPysSIgKAUeE/CDBExPn2xT+g6P9/DFjJv1IAEbHEKeK/egYiQob97b9Thpnpo+j0v2cJIrKE0vq/PUZVvTJeAMDIh5khI1MDwFLJ3YUTSAbA3Aoi6gM9CcBmTGZO9DEMwPONqrLkJg/Avmd3i+oNEcA=","dtype":"float64","shape":[16]}}},"id":"b4421695-d6bc-4317-84bf-4043e290e0fd","type":"ColumnDataSource"},{"attributes":{},"id":"e0688b31-3994-4f2b-a76e-f8326a89bd31","type":"HelpTool"},{"attributes":{"end_angle":{"field":"end_angle","units":"rad"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"inner_radius":{"units":"data","value":80},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"outer_radius":{"units":"data","value":300},"start_angle":{"field":"start_angle","units":"rad"},"x":{"value":0},"y":{"value":0}},"id":"92ba3496-6adb-483d-9606-bcd998340375","type":"AnnularWedge"},{"attributes":{"angle":{"field":"angle","units":"rad"},"text_align":"center","text_alpha":{"value":0.1},"text_baseline":"middle","text_color":{"value":"black"},"text_font_size":{"value":"9pt"},"x":{"field":"x"},"y":{"field":"y"}},"id":"2371aac7-c87c-469a-9a52-23678846655a","type":"Text"},{"attributes":{"source":{"id":"260fc868-e351-453c-912e-4f8766eac517","type":"ColumnDataSource"}},"id":"3a963984-4cfb-49bf-9d70-5167b5f37cec","type":"CDSView"},{"attributes":{"fill_color":{"field":"fill_color"},"line_color":{"field":"line_color"},"radius":{"units":"data","value":5},"x":{"field":"x"},"y":{"field":"y"}},"id":"9236c5c2-7304-4224-9542-15d1f5a5b136","type":"Circle"},{"attributes":{"source":{"id":"b5c410ab-11b5-46fc-8831-489d23f0205a","type":"ColumnDataSource"}},"id":"894daa9a-06f8-4dac-8194-e1b3818dbda4","type":"CDSView"},{"attributes":{"text_baseline":"middle","text_color":{"value":"black"},"text_font_size":{"value":"9pt"},"x":{"field":"x"},"y":{"field":"y"}},"id":"59b3873a-0933-4824-b9e4-f1cc92c60f1d","type":"Text"},{"attributes":{"data_source":{"id":"b5c410ab-11b5-46fc-8831-489d23f0205a","type":"ColumnDataSource"},"glyph":{"id":"ef7e19e1-19ea-48bf-8d0c-57749eb5c409","type":"AnnularWedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"92ba3496-6adb-483d-9606-bcd998340375","type":"AnnularWedge"},"selection_glyph":null,"view":{"id":"894daa9a-06f8-4dac-8194-e1b3818dbda4","type":"CDSView"}},"id":"18c4684b-e1a9-47f0-b3a3-62699b2b101b","type":"GlyphRenderer"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"890ed816-7f65-4f46-b9ba-9404596c8e50","type":"BoxAnnotation"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":5},"x":{"field":"x"},"y":{"field":"y"}},"id":"311e16db-7cc9-4cba-a876-b23aa3e81f70","type":"Circle"},{"attributes":{"data_source":{"id":"fd994aeb-e87e-4b95-9c66-d8be909ac8bd","type":"ColumnDataSource"},"glyph":{"id":"779a13f1-c6ef-42a8-b5fd-63df5985e52b","type":"Rect"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"d036ea55-ec8f-41df-a4d4-193327fa0fde","type":"Rect"},"selection_glyph":null,"view":{"id":"883b577f-8c17-49c5-b736-e5df4cb55d3a","type":"CDSView"}},"id":"6c4d0de4-9f5c-4bcb-9c11-861d0db5e207","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["x","y","line_color","fill_color"],"data":{"fill_color":["#aeaeb8","#e69584"],"line_color":["#aeaeb8","#e69584"],"x":[-40,-40],"y":[-370,-390]}},"id":"27304273-28b0-4c8b-85bd-9feda83acb0d","type":"ColumnDataSource"},{"attributes":{"source":{"id":"dbeafe0a-0b57-4f2c-9044-77b8affc3683","type":"ColumnDataSource"}},"id":"ec2da1ec-cf62-4bf2-b5d2-c40d83eb4a67","type":"CDSView"},{"attributes":{"callback":null,"column_names":["angle","text","y","x"],"data":{"angle":{"__ndarray__":"BKq7ixo48z/dTWaGc5zqP2iPqupjkd0/WgwiIoOntz8+iZlZor3Rv8nK3b2SsuS/eGh3JypD8L+O6//vCi32v47r/+8KLfY/emh3JypD8D/Iyt29krLkP0CJmVmivdE/QAwiIoOnt79gj6rqY5Hdv+BNZoZznOq/BKq7ixo4878=","dtype":"float64","shape":[16]},"text":["Mycobacterium tuberculosis","Salmonella schottmuelleri","Proteus vulgaris","Klebsiella pneumoniae","Brucella abortus","Pseudomonas aeruginosa","Escherichia coli","Salmonella (Eberthella) typhosa","Aerobacter aerogenes","Brucella antracis","Streptococcus fecalis","Staphylococcus aureus","Staphylococcus albus","Streptococcus hemolyticus","Streptococcus viridans","Diplococcus pneumoniae"],"x":{"__ndarray__":"cGn7M6UwWkA0VkZE5WtoQKq2lcOOOXBAjuBL4jQMckDOGdT43m5xQMF6BpGZ7WxA7SBXXEoVY0AXTcs3yKRKQBJNyzfIpErA6CBXXEoVY8DBegaRme1swM4Z1PjebnHAj+BL4jQMcsCrtpXDjjlwwDJWRkTla2jAcWn7M6UwWsA=","dtype":"float64","shape":[16]},"y":{"__ndarray__":"aywf0KvmcEAmrFe0AMpqQKfycbJzKGBAv6EJxQDCOkC6LG9iL9dTwNZbjg1z2GXAdpVS2APSbsAYUkjE/tBxwBhSSMT+0HHAepVS2APSbsDWW44Nc9hlwL8sb2Iv11PAmaEJxQDCOkCi8nGycyhgQCasV7QAympAaywf0KvmcEA=","dtype":"float64","shape":[16]}}},"id":"637bec64-eab5-489f-be3e-ea7df592a90b","type":"ColumnDataSource"},{"attributes":{"background_fill_color":{"value":"#f0e1d2"},"border_fill_color":{"value":"#f0e1d2"},"min_border":0,"outline_line_color":{"value":"black"},"plot_height":800,"plot_width":800,"renderers":[{"id":"890ed816-7f65-4f46-b9ba-9404596c8e50","type":"BoxAnnotation"},{"id":"c99008b7-3b22-45aa-aa50-dfd3b039a10c","type":"GlyphRenderer"},{"id":"93078d38-deae-4212-a4e3-351ff8168a30","type":"GlyphRenderer"},{"id":"5c517e93-04af-4c79-be4e-c70553fe7182","type":"GlyphRenderer"},{"id":"7237b661-1c50-46d3-8eff-812925ab9c2a","type":"GlyphRenderer"},{"id":"99207197-a9c2-40a3-99f8-51ab79c96508","type":"GlyphRenderer"},{"id":"54ac2e48-a8b6-4641-9dd3-b14880efe97f","type":"GlyphRenderer"},{"id":"18c4684b-e1a9-47f0-b3a3-62699b2b101b","type":"GlyphRenderer"},{"id":"4919f178-3c16-44b5-add5-f6988f891416","type":"GlyphRenderer"},{"id":"8923462f-bcf1-4910-bb16-a69f0685a662","type":"GlyphRenderer"},{"id":"6eae97f3-91fd-4b2c-bc84-5da77cd5664c","type":"GlyphRenderer"},{"id":"6c4d0de4-9f5c-4bcb-9c11-861d0db5e207","type":"GlyphRenderer"},{"id":"acad0915-c321-4a3f-bc1b-cf05f80905a8","type":"GlyphRenderer"}],"title":{"id":"84d1a816-774d-4631-996c-5a50a00c7877","type":"Title"},"toolbar":{"id":"2b43f9af-8e87-45eb-88dd-a17064a06003","type":"Toolbar"},"toolbar_sticky":false,"x_range":{"id":"f7d45059-31d7-436f-9e44-10c7a7746da0","type":"Range1d"},"x_scale":{"id":"2e36f399-f26a-4db3-9214-44441ae71cdb","type":"LinearScale"},"y_range":{"id":"2f514f88-c9cf-4050-b59c-ea02501bf657","type":"Range1d"},"y_scale":{"id":"9d9e5e40-b3c3-4c36-bd1a-3fc1b548435b","type":"LinearScale"}},"id":"6ba83d58-e3a3-42c6-af0b-c446882f3c05","subtype":"Figure","type":"Plot"},{"attributes":{"end_angle":{"field":"end_angle","units":"rad"},"fill_color":{"value":"black"},"inner_radius":{"units":"data","value":90},"outer_radius":{"field":"outer_radius","units":"data"},"start_angle":{"field":"start_angle","units":"rad"},"x":{"value":0},"y":{"value":0}},"id":"a30a8d65-5568-49eb-b769-a2e667a939ff","type":"AnnularWedge"},{"attributes":{},"id":"9d9e5e40-b3c3-4c36-bd1a-3fc1b548435b","type":"LinearScale"},{"attributes":{"text_align":"center","text_baseline":"middle","text_color":{"value":"black"},"text_font_size":{"value":"8pt"},"x":{"value":0},"y":{"field":"y"}},"id":"949d9185-dd07-4c11-ae4d-426a108f8e9f","type":"Text"},{"attributes":{"source":{"id":"dd66db2b-33fd-4d65-bbbd-1354b4f47ec8","type":"ColumnDataSource"}},"id":"82c0095a-867a-404a-90d3-a052ae84feb7","type":"CDSView"},{"attributes":{"end_angle":{"field":"end_angle","units":"rad"},"fill_color":{"value":"#0d3362"},"inner_radius":{"units":"data","value":90},"line_color":{"value":"#0d3362"},"outer_radius":{"field":"outer_radius","units":"data"},"start_angle":{"field":"start_angle","units":"rad"},"x":{"value":0},"y":{"value":0}},"id":"4b6db8cb-576a-4ffe-a37e-ab11788cb5de","type":"AnnularWedge"},{"attributes":{"callback":null,"column_names":["y","x","line_color","fill_color"],"data":{"fill_color":["#0d3362","#c64737","black"],"line_color":["#0d3362","#c64737","black"],"x":[-40,-40,-40],"y":[18,0,-18]}},"id":"fd994aeb-e87e-4b95-9c66-d8be909ac8bd","type":"ColumnDataSource"},{"attributes":{"text_alpha":{"value":0.1},"text_baseline":"middle","text_color":{"value":"black"},"text_font_size":{"value":"9pt"},"x":{"field":"x"},"y":{"field":"y"}},"id":"7649a634-3698-42ea-b434-0707cf8b2b09","type":"Text"},{"attributes":{"end_angle":{"field":"end_angle","units":"rad"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"inner_radius":{"units":"data","value":90},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"outer_radius":{"field":"outer_radius","units":"data"},"start_angle":{"field":"start_angle","units":"rad"},"x":{"value":0},"y":{"value":0}},"id":"cd90a89a-4594-40bc-9eea-e9979ff48c67","type":"AnnularWedge"},{"attributes":{},"id":"9ace3250-f061-475e-94ba-0d8e1469d9a2","type":"ResetTool"},{"attributes":{"end_angle":{"field":"end_angle","units":"rad"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"inner_radius":{"units":"data","value":90},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"outer_radius":{"field":"outer_radius","units":"data"},"start_angle":{"field":"start_angle","units":"rad"},"x":{"value":0},"y":{"value":0}},"id":"e0668085-73b4-413d-bb2b-12b948431e37","type":"AnnularWedge"},{"attributes":{"callback":null,"column_names":["start_angle","end_angle","outer_radius"],"data":{"end_angle":{"__ndarray__":"FyEz4zyk8z8EPFU1uHTrP7hriEjtQd8/ln2Zmahpvj/urLv7GA3Qv6Lc7g5O2uO/yuL/nw+u7797dIiY6MD1v4/3EGHJqvu/Ub3MFFXKAMDc/hB5Rb8DwGZAVd01tAbA8IGZQSapCcB6w92lFp4MwAcFIgoHkw/ARyMzt/tDEcA=","dtype":"float64","shape":[16]},"outer_radius":{"__ndarray__":"pmlXNAGDYkDWwF0C/m1lQDjj0CUzIWlAZ+OHhpjCZECbzPtu2O9jQJvM+27Y72NAHRgJcjWcZkAdGAlyNZxmQAbJjNcyD2VAx3MGqjT1bUAGyYzXMg9lQIaiNChEiGtAOOPQJTMhaUDoDDhWBvtgQKDSxFcteWFASjEX/kFVYUA=","dtype":"float64","shape":[16]},"start_angle":{"__ndarray__":"8DJENPjL8j+1X3fXLsTpPxqzzIza4Ns/Hpuqql3lsD+MZXe3K27Tv/G4zGzXiuW/jN/ufkyv8L+iYndHLZn2v7bl/w8Og/y/ZTREbHc2AcDwdYjQZysEwHq3zDRYIAfABPkQmUgVCsCOOlX9OAoNwBt8mWEp/w/A0d7u4gx6EcA=","dtype":"float64","shape":[16]}}},"id":"b1968f5e-78bd-4880-a650-bc98aad461d0","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"637bec64-eab5-489f-be3e-ea7df592a90b","type":"ColumnDataSource"},"glyph":{"id":"682bad34-9903-4eaf-bc16-ba3a7b4ba883","type":"Text"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"2371aac7-c87c-469a-9a52-23678846655a","type":"Text"},"selection_glyph":null,"view":{"id":"50564ce6-3781-4883-96b8-1c7e5cf7016b","type":"CDSView"}},"id":"4919f178-3c16-44b5-add5-f6988f891416","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"field":"radius","units":"data"},"x":{"value":0},"y":{"value":0}},"id":"5516dcee-c77b-4202-a1ff-96a1d46c0427","type":"Circle"},{"attributes":{"callback":null,"column_names":["start_angle","end_angle","line_color","fill_color"],"data":{"end_angle":{"__ndarray__":"juv/7wot9j95aHcnKkPwP8nK3b2SsuQ/QImZWaK90T9QDCIig6e3v2iPqupjkd2/3E1mhnOc6r8EqruLGjjzvxgtRFT7Ifm/LLDMHNwL/7+hmapy3noCwCvb7tbObwXAtRwzO79kCMA/Xnefr1kLwMufuwOgTg7AqvD/M8ihEMA=","dtype":"float64","shape":[16]},"fill_color":["#e69584","#e69584","#e69584","#e69584","#e69584","#e69584","#e69584","#e69584","#e69584","#aeaeb8","#aeaeb8","#aeaeb8","#aeaeb8","#aeaeb8","#aeaeb8","#aeaeb8"],"line_color":["#e69584","#e69584","#e69584","#e69584","#e69584","#e69584","#e69584","#e69584","#e69584","#aeaeb8","#aeaeb8","#aeaeb8","#aeaeb8","#aeaeb8","#aeaeb8","#aeaeb8"],"start_angle":{"__ndarray__":"eWh3JypD8D/Iyt29krLkPz+JmVmivdE/TAwiIoOnt79nj6rqY5Hdv95NZoZznOq/A6q7ixo4878ZLURU+yH5vy2wzBzcC/+/oJmqct56AsAr2+7Wzm8FwLUcMzu/ZAjAP153n69ZC8DJn7sDoE4OwKvw/zPIoRDAbxEiZkAcEsA=","dtype":"float64","shape":[16]}}},"id":"260fc868-e351-453c-912e-4f8766eac517","type":"ColumnDataSource"},{"attributes":{"source":{"id":"b1968f5e-78bd-4880-a650-bc98aad461d0","type":"ColumnDataSource"}},"id":"3b45715b-fbc6-4592-92fa-a9831e52d658","type":"CDSView"},{"attributes":{"fill_color":{"field":"fill_color"},"height":{"units":"data","value":13},"line_color":{"field":"line_color"},"width":{"units":"data","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"779a13f1-c6ef-42a8-b5fd-63df5985e52b","type":"Rect"},{"attributes":{"overlay":{"id":"890ed816-7f65-4f46-b9ba-9404596c8e50","type":"BoxAnnotation"}},"id":"51dc346f-c7bc-42f8-ba55-becda7117712","type":"BoxZoomTool"},{"attributes":{"callback":null,"column_names":["text","y","x"],"data":{"text":["Penicillin","Streptomycin","Neomycin"],"x":[-15,-15,-15],"y":[18,0,-18]}},"id":"1b59aeb0-5813-4290-9b1c-0e3eca51e71e","type":"ColumnDataSource"},{"attributes":{"source":{"id":"27304273-28b0-4c8b-85bd-9feda83acb0d","type":"ColumnDataSource"}},"id":"8c462b2f-224f-448b-9177-5e5855b92ce7","type":"CDSView"},{"attributes":{"data_source":{"id":"1b59aeb0-5813-4290-9b1c-0e3eca51e71e","type":"ColumnDataSource"},"glyph":{"id":"59b3873a-0933-4824-b9e4-f1cc92c60f1d","type":"Text"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7649a634-3698-42ea-b434-0707cf8b2b09","type":"Text"},"selection_glyph":null,"view":{"id":"68d1af55-4cc8-4428-ae44-3cc984a4cd8e","type":"CDSView"}},"id":"acad0915-c321-4a3f-bc1b-cf05f80905a8","type":"GlyphRenderer"},{"attributes":{"plot":null,"text":""},"id":"84d1a816-774d-4631-996c-5a50a00c7877","type":"Title"},{"attributes":{"callback":null,"column_names":["start_angle","end_angle"],"data":{"end_angle":{"__ndarray__":"eWh3JypD8D/Iyt29krLkPz+JmVmivdE/TAwiIoOnt79nj6rqY5Hdv95NZoZznOq/A6q7ixo4878ZLURU+yH5vy2wzBzcC/+/oJmqct56AsAr2+7Wzm8FwLUcMzu/ZAjAP153n69ZC8DJn7sDoE4OwKvw/zPIoRDAbxEiZkAcEsA=","dtype":"float64","shape":[16]},"start_angle":{"__ndarray__":"eWh3JypD8D/Iyt29krLkPz+JmVmivdE/TAwiIoOnt79nj6rqY5Hdv95NZoZznOq/A6q7ixo4878ZLURU+yH5vy2wzBzcC/+/oJmqct56AsAr2+7Wzm8FwLUcMzu/ZAjAP153n69ZC8DJn7sDoE4OwKvw/zPIoRDAbxEiZkAcEsA=","dtype":"float64","shape":[16]}}},"id":"b5c410ab-11b5-46fc-8831-489d23f0205a","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"27304273-28b0-4c8b-85bd-9feda83acb0d","type":"ColumnDataSource"},"glyph":{"id":"9236c5c2-7304-4224-9542-15d1f5a5b136","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"311e16db-7cc9-4cba-a876-b23aa3e81f70","type":"Circle"},"selection_glyph":null,"view":{"id":"8c462b2f-224f-448b-9177-5e5855b92ce7","type":"CDSView"}},"id":"8923462f-bcf1-4910-bb16-a69f0685a662","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"260fc868-e351-453c-912e-4f8766eac517","type":"ColumnDataSource"},"glyph":{"id":"96344e80-ce88-441e-9e64-5569dbc688e4","type":"AnnularWedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"fc7f6386-c057-41bf-83ef-b5878ec5a08a","type":"AnnularWedge"},"selection_glyph":null,"view":{"id":"3a963984-4cfb-49bf-9d70-5167b5f37cec","type":"CDSView"}},"id":"c99008b7-3b22-45aa-aa50-dfd3b039a10c","type":"GlyphRenderer"},{"attributes":{"callback":null,"end":420,"start":-420},"id":"2f514f88-c9cf-4050-b59c-ea02501bf657","type":"Range1d"},{"attributes":{"callback":null,"column_names":["text","y"],"data":{"text":["0.001","0.01","0.1","1.0","10.0","100.0"],"y":{"__ndarray__":"AAAAAAAgckDHcwaqNPVtQDjj0CUzIWlABsmM1zIPZUCg0sRXLXlhQBRFOMxxdlxA","dtype":"float64","shape":[6]}}},"id":"dd66db2b-33fd-4d65-bbbd-1354b4f47ec8","type":"ColumnDataSource"},{"attributes":{"end_angle":{"field":"end_angle","units":"rad"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"inner_radius":{"units":"data","value":90},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"outer_radius":{"units":"data","value":290},"start_angle":{"field":"start_angle","units":"rad"},"x":{"value":0},"y":{"value":0}},"id":"fc7f6386-c057-41bf-83ef-b5878ec5a08a","type":"AnnularWedge"},{"attributes":{"text_baseline":"middle","text_color":{"value":"black"},"text_font_size":{"value":"7pt"},"x":{"field":"x"},"y":{"field":"y"}},"id":"5d601158-65bc-41c1-a710-9638482556e0","type":"Text"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"white"},"radius":{"field":"radius","units":"data"},"x":{"value":0},"y":{"value":0}},"id":"af954d06-ed78-4f50-b7fe-ab348b61ff45","type":"Circle"},{"attributes":{"data_source":{"id":"b4421695-d6bc-4317-84bf-4043e290e0fd","type":"ColumnDataSource"},"glyph":{"id":"4b6db8cb-576a-4ffe-a37e-ab11788cb5de","type":"AnnularWedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"cd90a89a-4594-40bc-9eea-e9979ff48c67","type":"AnnularWedge"},"selection_glyph":null,"view":{"id":"06804d8e-b992-4523-8eb7-732a61a971e8","type":"CDSView"}},"id":"93078d38-deae-4212-a4e3-351ff8168a30","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["start_angle","end_angle","outer_radius"],"data":{"end_angle":{"__ndarray__":"yERVhbPz8T9mg5l5pRPoP3v6ENHHf9g/KMXd3ZUIiz8rHjNzPs/Wv0CVqspgO+e/tM3dLZGH8b/KUGb2cXH3v97T7r5SW/2/eKu7w5miAcAD7f8nipcEwI0uRIx6jAfAF3CI8GqBCsChscxUW3YNwJd5iNylNRDAW5qqDh6wEcA=","dtype":"float64","shape":[16]},"outer_radius":{"__ndarray__":"m8z7btjvY0D9PDy5w1RpQDjj0CUzIWlABsmM1zIPZUChS31Y0mVsQB0YCXI1nGZAOOPQJTMhaUCyh+QAGnxuQM3Wg944S2RA/HdeznjObkA449AlMyFpQAAAAAAAIHJAAAAAAAAgckCg0sRXLXlhQFhbROgM+V5AoNLEVy15YUA=","dtype":"float64","shape":[16]},"start_angle":{"__ndarray__":"oVZm1m4b8T8Xp7sbHGPmP91BVRW1HtU/p1NmZnBGpL/J1u4uUTDav49xiCjq6+i/27vM3NVf8r/xPlWltkn4vwXC3W2XM/6/jCIzG7wOAsAXZHd/rAMFwKGlu+Oc+AfAK+f/R43tCsC1KESsfeINwCE1RAi3axDA5VVmOi/mEcA=","dtype":"float64","shape":[16]}}},"id":"dbeafe0a-0b57-4f2c-9044-77b8affc3683","type":"ColumnDataSource"},{"attributes":{},"id":"658d2675-8c89-48e4-8f42-015b792abc07","type":"SaveTool"},{"attributes":{"end_angle":{"field":"end_angle","units":"rad"},"fill_color":{"value":"black"},"inner_radius":{"units":"data","value":80},"outer_radius":{"units":"data","value":300},"start_angle":{"field":"start_angle","units":"rad"},"x":{"value":0},"y":{"value":0}},"id":"ef7e19e1-19ea-48bf-8d0c-57749eb5c409","type":"AnnularWedge"},{"attributes":{},"id":"2e36f399-f26a-4db3-9214-44441ae71cdb","type":"LinearScale"},{"attributes":{},"id":"93dec517-802e-40a8-8801-d354e1e938aa","type":"PanTool"}],"root_ids":["6ba83d58-e3a3-42c6-af0b-c446882f3c05"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"932db349-8337-4f55-961f-6064b9347af4","elementid":"8fd4f174-992b-4ac1-8388-0f14f23e4703","modelid":"6ba83d58-e3a3-42c6-af0b-c446882f3c05"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
