(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("6d3d639f-6157-4931-a16c-39187950481f");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '6d3d639f-6157-4931-a16c-39187950481f' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"34482753-84b8-4b45-b143-9bf14d805916":{"roots":{"references":[{"attributes":{"below":[{"id":"fc754def-e6bd-4e45-990e-ce746ecc1155","type":"LinearAxis"}],"left":[{"id":"d0aefeb8-9538-4129-a713-02aea3299c5f","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"fc754def-e6bd-4e45-990e-ce746ecc1155","type":"LinearAxis"},{"id":"561da95d-50fa-4e10-9cf6-c6a26165d296","type":"Grid"},{"id":"d0aefeb8-9538-4129-a713-02aea3299c5f","type":"LinearAxis"},{"id":"a745166b-66e3-48bf-8738-71b30f0a58d3","type":"Grid"},{"id":"82103308-d72f-4dd7-a97d-414f2ec78798","type":"BoxAnnotation"},{"id":"725490f3-87de-4c78-820c-687b8e35b3e3","type":"GlyphRenderer"}],"title":{"id":"e2138704-aec1-4ce9-9fa8-89f1c0f0e441","type":"Title"},"toolbar":{"id":"717f1e78-094a-493b-a5db-33e7dbd286e7","type":"Toolbar"},"x_range":{"id":"6528b1fd-eaed-40a3-b668-6d4683b95b0b","type":"DataRange1d"},"x_scale":{"id":"7ae69fab-2379-41f3-a2ee-d79bb2eefb4b","type":"LinearScale"},"y_range":{"id":"477167c5-514e-4acc-89df-1c16740d5984","type":"DataRange1d"},"y_scale":{"id":"e81eaf7a-15d6-4230-ba11-1c0f0c803c77","type":"LinearScale"}},"id":"6b90e059-745b-436e-a374-10b577bb6467","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"7ae69fab-2379-41f3-a2ee-d79bb2eefb4b","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"e2138704-aec1-4ce9-9fa8-89f1c0f0e441","type":"Title"},{"attributes":{},"id":"3c6fab0c-5e5f-4225-bf15-1eb0a0cb99b3","type":"SaveTool"},{"attributes":{"data_source":{"id":"771a4e89-1685-40df-977b-c02910cab0e6","type":"ColumnDataSource"},"glyph":{"id":"9ea2fef1-a9d2-4519-a661-672ef33bb911","type":"Rect"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"eeeb2f1b-b9c7-46e1-91eb-0dca98e63ef6","type":"Rect"},"selection_glyph":null,"view":{"id":"c2675c3e-c8b3-45b6-916f-8bf2cea6e6d4","type":"CDSView"}},"id":"725490f3-87de-4c78-820c-687b8e35b3e3","type":"GlyphRenderer"},{"attributes":{},"id":"a98b3e3a-a092-4776-b3c5-e445b487e11e","type":"HelpTool"},{"attributes":{"formatter":{"id":"ff8cd8c7-904b-4ffc-a996-d7b2fdc79f0b","type":"BasicTickFormatter"},"plot":{"id":"6b90e059-745b-436e-a374-10b577bb6467","subtype":"Figure","type":"Plot"},"ticker":{"id":"8fbb3803-053a-4448-8412-9c4495eedbc3","type":"BasicTicker"}},"id":"fc754def-e6bd-4e45-990e-ce746ecc1155","type":"LinearAxis"},{"attributes":{"callback":null},"id":"477167c5-514e-4acc-89df-1c16740d5984","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"6b90e059-745b-436e-a374-10b577bb6467","subtype":"Figure","type":"Plot"},"ticker":{"id":"bab5d53a-cb91-4333-a089-3d29c991068b","type":"BasicTicker"}},"id":"a745166b-66e3-48bf-8738-71b30f0a58d3","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"d7264521-3789-403f-8119-f6871a9b1a03","type":"PanTool"},{"id":"4fe3c0b6-cb07-40bd-a5f8-00a275cdb470","type":"WheelZoomTool"},{"id":"e5a4baa5-927f-40b1-bae8-96cc735f0e7c","type":"BoxZoomTool"},{"id":"3c6fab0c-5e5f-4225-bf15-1eb0a0cb99b3","type":"SaveTool"},{"id":"cb5f10b4-4f79-49e3-bc91-bfcfa89329ac","type":"ResetTool"},{"id":"a98b3e3a-a092-4776-b3c5-e445b487e11e","type":"HelpTool"}]},"id":"717f1e78-094a-493b-a5db-33e7dbd286e7","type":"Toolbar"},{"attributes":{"plot":{"id":"6b90e059-745b-436e-a374-10b577bb6467","subtype":"Figure","type":"Plot"},"ticker":{"id":"8fbb3803-053a-4448-8412-9c4495eedbc3","type":"BasicTicker"}},"id":"561da95d-50fa-4e10-9cf6-c6a26165d296","type":"Grid"},{"attributes":{},"id":"40a0068b-6eee-47aa-b443-2efe44f22e10","type":"BasicTickFormatter"},{"attributes":{},"id":"8fbb3803-053a-4448-8412-9c4495eedbc3","type":"BasicTicker"},{"attributes":{},"id":"e81eaf7a-15d6-4230-ba11-1c0f0c803c77","type":"LinearScale"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"screen","value":40},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"eeeb2f1b-b9c7-46e1-91eb-0dca98e63ef6","type":"Rect"},{"attributes":{"overlay":{"id":"82103308-d72f-4dd7-a97d-414f2ec78798","type":"BoxAnnotation"}},"id":"e5a4baa5-927f-40b1-bae8-96cc735f0e7c","type":"BoxZoomTool"},{"attributes":{"source":{"id":"771a4e89-1685-40df-977b-c02910cab0e6","type":"ColumnDataSource"}},"id":"c2675c3e-c8b3-45b6-916f-8bf2cea6e6d4","type":"CDSView"},{"attributes":{},"id":"ff8cd8c7-904b-4ffc-a996-d7b2fdc79f0b","type":"BasicTickFormatter"},{"attributes":{},"id":"cb5f10b4-4f79-49e3-bc91-bfcfa89329ac","type":"ResetTool"},{"attributes":{},"id":"d7264521-3789-403f-8119-f6871a9b1a03","type":"PanTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"771a4e89-1685-40df-977b-c02910cab0e6","type":"ColumnDataSource"},{"attributes":{},"id":"bab5d53a-cb91-4333-a089-3d29c991068b","type":"BasicTicker"},{"attributes":{"formatter":{"id":"40a0068b-6eee-47aa-b443-2efe44f22e10","type":"BasicTickFormatter"},"plot":{"id":"6b90e059-745b-436e-a374-10b577bb6467","subtype":"Figure","type":"Plot"},"ticker":{"id":"bab5d53a-cb91-4333-a089-3d29c991068b","type":"BasicTicker"}},"id":"d0aefeb8-9538-4129-a713-02aea3299c5f","type":"LinearAxis"},{"attributes":{"callback":null},"id":"6528b1fd-eaed-40a3-b668-6d4683b95b0b","type":"DataRange1d"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_color":{"value":"#CAB2D6"},"height":{"units":"screen","value":40},"line_color":{"value":"#CAB2D6"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"9ea2fef1-a9d2-4519-a661-672ef33bb911","type":"Rect"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"82103308-d72f-4dd7-a97d-414f2ec78798","type":"BoxAnnotation"},{"attributes":{},"id":"4fe3c0b6-cb07-40bd-a5f8-00a275cdb470","type":"WheelZoomTool"}],"root_ids":["6b90e059-745b-436e-a374-10b577bb6467"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"34482753-84b8-4b45-b143-9bf14d805916","elementid":"6d3d639f-6157-4931-a16c-39187950481f","modelid":"6b90e059-745b-436e-a374-10b577bb6467"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
