(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b7c23f85-dbb6-4f35-9812-23ec0b80b8da");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b7c23f85-dbb6-4f35-9812-23ec0b80b8da' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"1fe00857-b09c-4662-809c-fc0e21d55a51":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"4112c73f-9748-46d4-8a10-a4bea3da1029","type":"Toolbar"},{"attributes":{"data_source":{"id":"69f11abc-e07f-47e1-bf8b-fb13178c6045","type":"ColumnDataSource"},"glyph":{"id":"c5884a18-f415-4753-a596-b948262ce466","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"9ef97c78-b391-4671-9e28-322ac2c1b7c3","type":"CDSView"}},"id":"72dd9338-aaad-4f2e-a0ed-348a4fd93b51","type":"GlyphRenderer"},{"attributes":{},"id":"6272d044-8763-4041-baa8-dbf9c484942b","type":"NodesOnly"},{"attributes":{"dimension":1,"plot":{"id":"54be9c03-796c-4fdd-bc27-e4eb5cb2832d","subtype":"Figure","type":"Plot"},"ticker":{"id":"4fd21605-6d03-45bd-a799-f757b578eb65","type":"BasicTicker"}},"id":"9c8b6011-8e77-4a5d-94a0-83b4429a4934","type":"Grid"},{"attributes":{"source":{"id":"61ab9c5a-4dfb-4a9e-bae9-3b8b3622d292","type":"ColumnDataSource"}},"id":"85267a92-091d-4b1d-ae39-d7f636bc8cf1","type":"CDSView"},{"attributes":{},"id":"9e07b586-916c-4c99-a348-ef5e682fc28a","type":"MultiLine"},{"attributes":{"callback":null,"column_names":["start","end"],"data":{"end":[1,2,3,4,5,6,7,8,10,11,12,13,17,19,21,31,2,3,7,13,17,19,21,30,3,32,7,8,9,13,27,28,7,12,13,10,6,16,10,6,16,32,30,33,33,33,32,33,32,33,32,33,33,32,33,32,33,32,25,27,29,33,25,27,31,31,33,29,33,33,31,32,33,33,32,33,32,33],"start":[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,3,3,3,4,4,5,5,5,6,8,8,8,9,13,14,14,15,15,18,18,19,20,20,22,22,23,23,23,23,23,24,24,24,25,26,26,27,28,28,29,29,30,30,31,31,32]}},"id":"61ab9c5a-4dfb-4a9e-bae9-3b8b3622d292","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"3d25a560-3f6c-434d-b5ef-aab9f8256f31","type":"BasicTickFormatter"},"plot":{"id":"54be9c03-796c-4fdd-bc27-e4eb5cb2832d","subtype":"Figure","type":"Plot"},"ticker":{"id":"4fd21605-6d03-45bd-a799-f757b578eb65","type":"BasicTicker"}},"id":"7ed56305-9c55-459e-b0fb-7f693ea1a9d9","type":"LinearAxis"},{"attributes":{},"id":"3d25a560-3f6c-434d-b5ef-aab9f8256f31","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["index"],"data":{"index":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33]}},"id":"69f11abc-e07f-47e1-bf8b-fb13178c6045","type":"ColumnDataSource"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"7edf4d4e-9116-4508-90f2-96a5f2faf1c9","type":"Range1d"},{"attributes":{},"id":"6a19ab59-4289-4cdc-b023-5a80ea4cbae6","type":"LinearScale"},{"attributes":{"data_source":{"id":"61ab9c5a-4dfb-4a9e-bae9-3b8b3622d292","type":"ColumnDataSource"},"glyph":{"id":"9e07b586-916c-4c99-a348-ef5e682fc28a","type":"MultiLine"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"85267a92-091d-4b1d-ae39-d7f636bc8cf1","type":"CDSView"}},"id":"5a970a14-b39f-4f3f-bf6f-f645fa63efbc","type":"GlyphRenderer"},{"attributes":{},"id":"bcf73667-c9e7-4e72-b5f3-94631684d0e6","type":"LinearScale"},{"attributes":{},"id":"c5884a18-f415-4753-a596-b948262ce466","type":"Circle"},{"attributes":{},"id":"4d756cea-bb8d-4f84-8fe0-a5dae39b7609","type":"NodesOnly"},{"attributes":{},"id":"3033bd68-9705-4f3c-bf2e-c3754a43b7da","type":"BasicTicker"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"08bbdf2a-0ed8-4305-8dcd-9be67d2b8417","type":"Range1d"},{"attributes":{},"id":"4fd21605-6d03-45bd-a799-f757b578eb65","type":"BasicTicker"},{"attributes":{"edge_renderer":{"id":"5a970a14-b39f-4f3f-bf6f-f645fa63efbc","type":"GlyphRenderer"},"inspection_policy":{"id":"4d756cea-bb8d-4f84-8fe0-a5dae39b7609","type":"NodesOnly"},"layout_provider":{"id":"5e17aca9-b56d-4289-ab85-7afe50042a50","type":"StaticLayoutProvider"},"node_renderer":{"id":"72dd9338-aaad-4f2e-a0ed-348a4fd93b51","type":"GlyphRenderer"},"selection_policy":{"id":"6272d044-8763-4041-baa8-dbf9c484942b","type":"NodesOnly"}},"id":"f8712388-0751-43b5-843f-6b2a8484dfc3","type":"GraphRenderer"},{"attributes":{},"id":"11e48cdf-1978-43d8-bb1c-7a89d19e5322","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":"Networkx Integration Demonstration"},"id":"68e3909d-d516-4467-a34c-c078d0bdc6c5","type":"Title"},{"attributes":{"formatter":{"id":"11e48cdf-1978-43d8-bb1c-7a89d19e5322","type":"BasicTickFormatter"},"plot":{"id":"54be9c03-796c-4fdd-bc27-e4eb5cb2832d","subtype":"Figure","type":"Plot"},"ticker":{"id":"3033bd68-9705-4f3c-bf2e-c3754a43b7da","type":"BasicTicker"}},"id":"f9a143cd-ad30-430f-a5ec-8a7fa579cd4b","type":"LinearAxis"},{"attributes":{"plot":{"id":"54be9c03-796c-4fdd-bc27-e4eb5cb2832d","subtype":"Figure","type":"Plot"},"ticker":{"id":"3033bd68-9705-4f3c-bf2e-c3754a43b7da","type":"BasicTicker"}},"id":"c3ccc878-d653-43f3-b063-2957e131b532","type":"Grid"},{"attributes":{"graph_layout":{"0":[-0.10041621506614407,0.503580092177097],"1":[-0.20624169684268379,0.3342493226603471],"10":[-0.24788977855663585,0.9825424201632069],"11":[-0.11220141925141203,1.0],"12":[-0.6358968700806604,0.8386433149249377],"13":[-0.5743353849130577,0.17221232860854618],"14":[-0.588981920553755,-0.8748264653965647],"15":[0.1604359838190781,-0.9028724662993364],"16":[0.657001152625045,0.6338194770551597],"17":[0.43500302948967606,0.4706297111945976],"18":[-0.20968204664944912,-1.0],"19":[0.12015646876020947,0.09774216164559668],"2":[-0.38195641876057274,-0.10251843623752133],"20":[-0.9151379259913849,-0.550132377527399],"21":[0.15265069541791854,0.7335338164110756],"22":[-0.8122286299142958,-0.6917083889227527],"23":[0.002557422309638291,-0.9085484966723554],"24":[0.5948252897938944,-0.7361147505849528],"25":[0.6861172430536786,-0.6145673894551005],"26":[-1.0,-0.35964327734907797],"27":[0.18549255027411649,-0.6655692133262191],"28":[0.09596597170949539,-0.4410578351296658],"29":[-0.6412524221924418,-0.7396841486026337],"3":[-0.5785361402068122,0.5342626108099997],"30":[-0.17858224473242001,-0.23254563580295173],"31":[0.28642907981332577,-0.30667425421070194],"32":[-0.3131065471599872,-0.6179513402757735],"33":[-0.3205817429957263,-0.4965294106545943],"4":[0.2510052194149668,0.9195330247360769],"5":[0.13652674616902605,0.945906973445438],"6":[0.45812859558466434,0.787204273176731],"7":[-0.7284014955816731,0.42843952413780273],"8":[-0.22072633490167415,-0.04110865671022812],"9":[-0.4309874789680572,-0.9063403567284283]}},"id":"5e17aca9-b56d-4289-ab85-7afe50042a50","type":"StaticLayoutProvider"},{"attributes":{"below":[{"id":"f9a143cd-ad30-430f-a5ec-8a7fa579cd4b","type":"LinearAxis"}],"left":[{"id":"7ed56305-9c55-459e-b0fb-7f693ea1a9d9","type":"LinearAxis"}],"renderers":[{"id":"f9a143cd-ad30-430f-a5ec-8a7fa579cd4b","type":"LinearAxis"},{"id":"c3ccc878-d653-43f3-b063-2957e131b532","type":"Grid"},{"id":"7ed56305-9c55-459e-b0fb-7f693ea1a9d9","type":"LinearAxis"},{"id":"9c8b6011-8e77-4a5d-94a0-83b4429a4934","type":"Grid"},{"id":"f8712388-0751-43b5-843f-6b2a8484dfc3","type":"GraphRenderer"}],"title":{"id":"68e3909d-d516-4467-a34c-c078d0bdc6c5","type":"Title"},"toolbar":{"id":"4112c73f-9748-46d4-8a10-a4bea3da1029","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"7edf4d4e-9116-4508-90f2-96a5f2faf1c9","type":"Range1d"},"x_scale":{"id":"bcf73667-c9e7-4e72-b5f3-94631684d0e6","type":"LinearScale"},"y_range":{"id":"08bbdf2a-0ed8-4305-8dcd-9be67d2b8417","type":"Range1d"},"y_scale":{"id":"6a19ab59-4289-4cdc-b023-5a80ea4cbae6","type":"LinearScale"}},"id":"54be9c03-796c-4fdd-bc27-e4eb5cb2832d","subtype":"Figure","type":"Plot"},{"attributes":{"source":{"id":"69f11abc-e07f-47e1-bf8b-fb13178c6045","type":"ColumnDataSource"}},"id":"9ef97c78-b391-4671-9e28-322ac2c1b7c3","type":"CDSView"}],"root_ids":["54be9c03-796c-4fdd-bc27-e4eb5cb2832d"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"1fe00857-b09c-4662-809c-fc0e21d55a51","elementid":"b7c23f85-dbb6-4f35-9812-23ec0b80b8da","modelid":"54be9c03-796c-4fdd-bc27-e4eb5cb2832d"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
