(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b19a6e33-0a8d-4c17-aa98-cd95d5e402bd");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b19a6e33-0a8d-4c17-aa98-cd95d5e402bd' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"2857de1c-4975-4942-815a-a1e652eeb6b4":{"roots":{"references":[{"attributes":{"data_source":{"id":"29233035-2e98-4904-876b-f5a3055ea7f7","type":"ColumnDataSource"},"glyph":{"id":"0fd19d6e-3791-4903-bbcc-2bd7bf5a2b22","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"bdeb84cc-53c3-44c3-ba6d-74dbb2e16b5d","type":"Circle"},"selection_glyph":null,"view":{"id":"c883c6cd-be91-4177-b099-1e5f43a8594c","type":"CDSView"}},"id":"7d11abcc-a64e-43b3-ad9b-cf64c6105605","type":"GlyphRenderer"},{"attributes":{"plot":null,"text":""},"id":"0f0d31aa-e9bc-4aa3-9c66-9347646f6013","type":"Title"},{"attributes":{},"id":"f0bfa8bf-d0fb-433f-ad42-0a30332b67fa","type":"LinearScale"},{"attributes":{"children":[{"id":"2dc44da6-6088-4504-93e9-5c1d2e3f0638","subtype":"Figure","type":"Plot"}]},"id":"2ae61ec4-53eb-4926-882d-858683a83c74","type":"Row"},{"attributes":{},"id":"1ccedd0b-af32-4407-a044-96c20f064220","type":"ResetTool"},{"attributes":{},"id":"fd8e6961-f91f-4c58-91e4-6e060e598ebc","type":"LinearScale"},{"attributes":{"data_source":{"id":"0f65b13a-b390-4c30-934c-ca75fa886373","type":"ColumnDataSource"},"glyph":{"id":"3120ef33-0a5c-49de-a478-99c63acbafeb","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"088e7a36-11aa-4af4-842c-aa68a203bc58","type":"Triangle"},"selection_glyph":null,"view":{"id":"8f2fb5e1-d597-44b8-aa2d-83e6a937e9ab","type":"CDSView"}},"id":"c2426e51-0882-4479-91d9-68a286d84692","type":"GlyphRenderer"},{"attributes":{},"id":"5cb7afde-c21e-4fbd-8274-d3dd13fa9565","type":"HelpTool"},{"attributes":{},"id":"807986c5-552a-4d46-8f0b-649df7c807b8","type":"PanTool"},{"attributes":{},"id":"c0d3c6f1-27ac-481b-9562-612935a30545","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[5,4,3,2,1,0,1,2,3,4,5]}},"id":"4cda67f2-db5a-480f-bd11-8c317496ab5b","type":"ColumnDataSource"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[10,9,8,7,6,5,4,3,2,1,0]}},"id":"0f65b13a-b390-4c30-934c-ca75fa886373","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"4cda67f2-db5a-480f-bd11-8c317496ab5b","type":"ColumnDataSource"},"glyph":{"id":"3337efc1-d4bc-420a-a7c3-403a88cdbc28","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7d5bb5f2-e9f6-4a42-8f9f-09fe01e2ce61","type":"Square"},"selection_glyph":null,"view":{"id":"3e2db25c-b41f-42fc-a81d-80dc7e79af88","type":"CDSView"}},"id":"68950e91-1067-4f44-be45-5c2cd3657772","type":"GlyphRenderer"},{"attributes":{"fill_color":{"value":"#208F8C"},"line_color":{"value":"#208F8C"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"3120ef33-0a5c-49de-a478-99c63acbafeb","type":"Triangle"},{"attributes":{"callback":null},"id":"b24d2702-83f7-4552-a226-4f8705c9a2ef","type":"DataRange1d"},{"attributes":{"formatter":{"id":"c0e0b953-3dee-48c9-9664-33a923de0712","type":"BasicTickFormatter"},"plot":{"id":"57b6a2f1-e6cb-4967-bff6-6988f98ba80d","subtype":"Figure","type":"Plot"},"ticker":{"id":"70952f31-3c90-4782-b390-5265ee84980e","type":"BasicTicker"}},"id":"445b8bbc-e85e-47fe-beec-885f0bc5a580","type":"LinearAxis"},{"attributes":{},"id":"47558af4-9b19-4601-a5be-cbf216633116","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[0,1,2,3,4,5,6,7,8,9,10]}},"id":"29233035-2e98-4904-876b-f5a3055ea7f7","type":"ColumnDataSource"},{"attributes":{"plot":null,"text":""},"id":"bcd9b4cd-dd38-411d-ab19-c47dffd57ad5","type":"Title"},{"attributes":{"callback":null},"id":"7119dcc9-59c0-4cc4-b957-ddd08b23aecf","type":"DataRange1d"},{"attributes":{"source":{"id":"29233035-2e98-4904-876b-f5a3055ea7f7","type":"ColumnDataSource"}},"id":"c883c6cd-be91-4177-b099-1e5f43a8594c","type":"CDSView"},{"attributes":{},"id":"20d722dc-5f0b-4574-b7ea-c65692971d5e","type":"WheelZoomTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"088e7a36-11aa-4af4-842c-aa68a203bc58","type":"Triangle"},{"attributes":{},"id":"eb8c559b-1b7c-4f9f-9692-25951496027f","type":"SaveTool"},{"attributes":{"plot":{"id":"bfec6cf9-d2d6-4037-9daa-ed2b3b37b099","subtype":"Figure","type":"Plot"},"ticker":{"id":"dfbd8090-38b2-46cc-9a4b-f18f795c225b","type":"BasicTicker"}},"id":"7bd61623-c697-494a-9774-866ecf63636a","type":"Grid"},{"attributes":{"callback":null},"id":"4a022a6f-6c5b-4d91-a995-80ed50762a1f","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"a979fbe4-e3fd-4888-ae9e-7e0df00ea8f1","type":"BoxAnnotation"},{"attributes":{},"id":"39135af3-d3e5-4800-9c8d-fea88b94e944","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"57b6a2f1-e6cb-4967-bff6-6988f98ba80d","subtype":"Figure","type":"Plot"},"ticker":{"id":"70952f31-3c90-4782-b390-5265ee84980e","type":"BasicTicker"}},"id":"b299afbf-9501-4163-b6c5-64d39f2162c7","type":"Grid"},{"attributes":{},"id":"3ef45814-6732-4e18-ba28-ff0ed354dcb8","type":"BasicTicker"},{"attributes":{},"id":"e29373d1-a35b-4597-9899-efb2267c2129","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"39135af3-d3e5-4800-9c8d-fea88b94e944","type":"BasicTickFormatter"},"plot":{"id":"bfec6cf9-d2d6-4037-9daa-ed2b3b37b099","subtype":"Figure","type":"Plot"},"ticker":{"id":"583a493f-a418-457b-ba69-09d51b90a3de","type":"BasicTicker"}},"id":"c013fd09-3327-45fb-b47e-e10609822f30","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"c3911f77-9c33-4720-abaf-b6e1370e2e75","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"3e43d874-800c-4bb0-a032-26b1c3a43661","type":"DataRange1d"},{"attributes":{"overlay":{"id":"a979fbe4-e3fd-4888-ae9e-7e0df00ea8f1","type":"BoxAnnotation"}},"id":"6061bf1e-5f95-46e2-8118-85aa0602a7a9","type":"BoxZoomTool"},{"attributes":{},"id":"0fae9116-c945-42cc-9968-dfd93db35d07","type":"HelpTool"},{"attributes":{"overlay":{"id":"c3911f77-9c33-4720-abaf-b6e1370e2e75","type":"BoxAnnotation"}},"id":"6e3d7b25-d136-4905-b63e-edacdccc0dc7","type":"BoxZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"bfec6cf9-d2d6-4037-9daa-ed2b3b37b099","subtype":"Figure","type":"Plot"},"ticker":{"id":"583a493f-a418-457b-ba69-09d51b90a3de","type":"BasicTicker"}},"id":"22121c52-f56a-4cc5-9d14-3d3538e9d633","type":"Grid"},{"attributes":{"formatter":{"id":"c0d3c6f1-27ac-481b-9562-612935a30545","type":"BasicTickFormatter"},"plot":{"id":"bfec6cf9-d2d6-4037-9daa-ed2b3b37b099","subtype":"Figure","type":"Plot"},"ticker":{"id":"dfbd8090-38b2-46cc-9a4b-f18f795c225b","type":"BasicTicker"}},"id":"3f279556-35a8-433b-ba23-905fa99699ea","type":"LinearAxis"},{"attributes":{"children":[{"id":"802e1053-d385-4ee2-bce8-1e4cd1576e4e","type":"Row"},{"id":"2ae61ec4-53eb-4926-882d-858683a83c74","type":"Row"}]},"id":"061aaebc-1649-44ab-a8a8-20dba3e68fff","type":"Column"},{"attributes":{},"id":"1046eeb4-dc70-400f-a510-6d38fea03e0a","type":"SaveTool"},{"attributes":{},"id":"aa772364-368b-4f4c-a3c5-a03b59f5e895","type":"SaveTool"},{"attributes":{"formatter":{"id":"44ceefd3-7ddb-40bf-b89a-1f7d3105a6be","type":"BasicTickFormatter"},"plot":{"id":"2dc44da6-6088-4504-93e9-5c1d2e3f0638","subtype":"Figure","type":"Plot"},"ticker":{"id":"3ef45814-6732-4e18-ba28-ff0ed354dcb8","type":"BasicTicker"}},"id":"986f8b1f-67ca-4537-9df6-7e7cf2ca845c","type":"LinearAxis"},{"attributes":{"callback":null},"id":"3798c370-6bdf-44fc-bd81-b509f85c8ef4","type":"DataRange1d"},{"attributes":{},"id":"aea4be2c-69b6-45f6-9c8f-339221d9cd32","type":"PanTool"},{"attributes":{},"id":"39e62986-34b2-474e-b160-77aae9ba8518","type":"WheelZoomTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"807986c5-552a-4d46-8f0b-649df7c807b8","type":"PanTool"},{"id":"39e62986-34b2-474e-b160-77aae9ba8518","type":"WheelZoomTool"},{"id":"6061bf1e-5f95-46e2-8118-85aa0602a7a9","type":"BoxZoomTool"},{"id":"eb8c559b-1b7c-4f9f-9692-25951496027f","type":"SaveTool"},{"id":"710f4e08-bf15-43f4-b196-ca84318e4afb","type":"ResetTool"},{"id":"c08a2511-26f5-4d34-af48-8ef427f93675","type":"HelpTool"}]},"id":"47e1b6a1-e96c-4d83-a10d-9ec63f2925cc","type":"Toolbar"},{"attributes":{"formatter":{"id":"e29373d1-a35b-4597-9899-efb2267c2129","type":"BasicTickFormatter"},"plot":{"id":"57b6a2f1-e6cb-4967-bff6-6988f98ba80d","subtype":"Figure","type":"Plot"},"ticker":{"id":"f641873f-64c3-45b2-9678-32951bded52f","type":"BasicTicker"}},"id":"02aca729-112c-405c-9c98-3a5cc9d4805c","type":"LinearAxis"},{"attributes":{},"id":"024ece64-3ca5-4117-b401-7b9f7083f800","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"bdeb84cc-53c3-44c3-ba6d-74dbb2e16b5d","type":"Circle"},{"attributes":{},"id":"f641873f-64c3-45b2-9678-32951bded52f","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"57b6a2f1-e6cb-4967-bff6-6988f98ba80d","subtype":"Figure","type":"Plot"},"ticker":{"id":"f641873f-64c3-45b2-9678-32951bded52f","type":"BasicTicker"}},"id":"8617bd6d-7424-402c-8f5e-00a82ad2da33","type":"Grid"},{"attributes":{"formatter":{"id":"024ece64-3ca5-4117-b401-7b9f7083f800","type":"BasicTickFormatter"},"plot":{"id":"2dc44da6-6088-4504-93e9-5c1d2e3f0638","subtype":"Figure","type":"Plot"},"ticker":{"id":"3e6198fa-bb8c-4e6a-b712-94c2317e8961","type":"BasicTicker"}},"id":"f5f4ab1a-ef55-4e9c-82f4-0a135a9ff8c4","type":"LinearAxis"},{"attributes":{"plot":{"id":"2dc44da6-6088-4504-93e9-5c1d2e3f0638","subtype":"Figure","type":"Plot"},"ticker":{"id":"3ef45814-6732-4e18-ba28-ff0ed354dcb8","type":"BasicTicker"}},"id":"7ff77103-0115-4922-99b5-254dd8fe1d2f","type":"Grid"},{"attributes":{},"id":"2f678073-108d-4c41-a9ed-6e740c335215","type":"LinearScale"},{"attributes":{},"id":"c08a2511-26f5-4d34-af48-8ef427f93675","type":"HelpTool"},{"attributes":{"below":[{"id":"3f279556-35a8-433b-ba23-905fa99699ea","type":"LinearAxis"}],"left":[{"id":"c013fd09-3327-45fb-b47e-e10609822f30","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"3f279556-35a8-433b-ba23-905fa99699ea","type":"LinearAxis"},{"id":"7bd61623-c697-494a-9774-866ecf63636a","type":"Grid"},{"id":"c013fd09-3327-45fb-b47e-e10609822f30","type":"LinearAxis"},{"id":"22121c52-f56a-4cc5-9d14-3d3538e9d633","type":"Grid"},{"id":"c3911f77-9c33-4720-abaf-b6e1370e2e75","type":"BoxAnnotation"},{"id":"7d11abcc-a64e-43b3-ad9b-cf64c6105605","type":"GlyphRenderer"}],"title":{"id":"0f0d31aa-e9bc-4aa3-9c66-9347646f6013","type":"Title"},"toolbar":{"id":"13e9a914-62b8-435a-b8f9-3a657970bec0","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"0a5e6c8b-46a4-4c23-a5a9-cb087aad57f0","type":"DataRange1d"},"x_scale":{"id":"c8ad0d5a-eadd-4ea9-a9f5-bbc490c2500a","type":"LinearScale"},"y_range":{"id":"3798c370-6bdf-44fc-bd81-b509f85c8ef4","type":"DataRange1d"},"y_scale":{"id":"47558af4-9b19-4601-a5be-cbf216633116","type":"LinearScale"}},"id":"bfec6cf9-d2d6-4037-9daa-ed2b3b37b099","subtype":"Figure","type":"Plot"},{"attributes":{"fill_color":{"value":"#FDE724"},"line_color":{"value":"#FDE724"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"3337efc1-d4bc-420a-a7c3-403a88cdbc28","type":"Square"},{"attributes":{},"id":"70952f31-3c90-4782-b390-5265ee84980e","type":"BasicTicker"},{"attributes":{},"id":"c8ad0d5a-eadd-4ea9-a9f5-bbc490c2500a","type":"LinearScale"},{"attributes":{"sizing_mode":"scale_width","toolbar_location":"above","tools":[{"id":"85e38ca6-9733-4b48-bcea-6a379652ddf1","type":"PanTool"},{"id":"20d722dc-5f0b-4574-b7ea-c65692971d5e","type":"WheelZoomTool"},{"id":"6e3d7b25-d136-4905-b63e-edacdccc0dc7","type":"BoxZoomTool"},{"id":"aa772364-368b-4f4c-a3c5-a03b59f5e895","type":"SaveTool"},{"id":"1ccedd0b-af32-4407-a044-96c20f064220","type":"ResetTool"},{"id":"0fae9116-c945-42cc-9968-dfd93db35d07","type":"HelpTool"},{"id":"807986c5-552a-4d46-8f0b-649df7c807b8","type":"PanTool"},{"id":"39e62986-34b2-474e-b160-77aae9ba8518","type":"WheelZoomTool"},{"id":"6061bf1e-5f95-46e2-8118-85aa0602a7a9","type":"BoxZoomTool"},{"id":"eb8c559b-1b7c-4f9f-9692-25951496027f","type":"SaveTool"},{"id":"710f4e08-bf15-43f4-b196-ca84318e4afb","type":"ResetTool"},{"id":"c08a2511-26f5-4d34-af48-8ef427f93675","type":"HelpTool"},{"id":"aea4be2c-69b6-45f6-9c8f-339221d9cd32","type":"PanTool"},{"id":"44232a95-301e-47cf-a5b6-9f4df63fb250","type":"WheelZoomTool"},{"id":"0332e77f-4284-4855-991f-39e3d42a66a8","type":"BoxZoomTool"},{"id":"1046eeb4-dc70-400f-a510-6d38fea03e0a","type":"SaveTool"},{"id":"1325fb15-f041-407d-8aa9-46fe5f6cd0d2","type":"ResetTool"},{"id":"5cb7afde-c21e-4fbd-8274-d3dd13fa9565","type":"HelpTool"}]},"id":"7e016d4f-eeed-41ad-8e5f-4674551aff95","type":"ToolbarBox"},{"attributes":{"fill_color":{"value":"#440154"},"line_color":{"value":"#440154"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"0fd19d6e-3791-4903-bbcc-2bd7bf5a2b22","type":"Circle"},{"attributes":{"source":{"id":"4cda67f2-db5a-480f-bd11-8c317496ab5b","type":"ColumnDataSource"}},"id":"3e2db25c-b41f-42fc-a81d-80dc7e79af88","type":"CDSView"},{"attributes":{},"id":"dfbd8090-38b2-46cc-9a4b-f18f795c225b","type":"BasicTicker"},{"attributes":{},"id":"710f4e08-bf15-43f4-b196-ca84318e4afb","type":"ResetTool"},{"attributes":{"source":{"id":"0f65b13a-b390-4c30-934c-ca75fa886373","type":"ColumnDataSource"}},"id":"8f2fb5e1-d597-44b8-aa2d-83e6a937e9ab","type":"CDSView"},{"attributes":{},"id":"c0e0b953-3dee-48c9-9664-33a923de0712","type":"BasicTickFormatter"},{"attributes":{"children":[{"id":"7e016d4f-eeed-41ad-8e5f-4674551aff95","type":"ToolbarBox"},{"id":"061aaebc-1649-44ab-a8a8-20dba3e68fff","type":"Column"}]},"id":"ca3c6c5e-e8a1-4715-bffe-0c9f5eee2281","type":"Column"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"7d5bb5f2-e9f6-4a42-8f9f-09fe01e2ce61","type":"Square"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"57877e6c-6e60-41d0-a818-6e9a968a09d1","type":"BoxAnnotation"},{"attributes":{},"id":"583a493f-a418-457b-ba69-09d51b90a3de","type":"BasicTicker"},{"attributes":{},"id":"05561c6c-2e0f-4148-9a56-0c8d94dbaa95","type":"LinearScale"},{"attributes":{"callback":null},"id":"0a5e6c8b-46a4-4c23-a5a9-cb087aad57f0","type":"DataRange1d"},{"attributes":{},"id":"44ceefd3-7ddb-40bf-b89a-1f7d3105a6be","type":"BasicTickFormatter"},{"attributes":{},"id":"44232a95-301e-47cf-a5b6-9f4df63fb250","type":"WheelZoomTool"},{"attributes":{"plot":null,"text":""},"id":"bcb45d5d-d1b8-4bdd-8935-64d1a691ac2f","type":"Title"},{"attributes":{"children":[{"id":"bfec6cf9-d2d6-4037-9daa-ed2b3b37b099","subtype":"Figure","type":"Plot"},{"id":"57b6a2f1-e6cb-4967-bff6-6988f98ba80d","subtype":"Figure","type":"Plot"}]},"id":"802e1053-d385-4ee2-bce8-1e4cd1576e4e","type":"Row"},{"attributes":{"overlay":{"id":"57877e6c-6e60-41d0-a818-6e9a968a09d1","type":"BoxAnnotation"}},"id":"0332e77f-4284-4855-991f-39e3d42a66a8","type":"BoxZoomTool"},{"attributes":{"below":[{"id":"986f8b1f-67ca-4537-9df6-7e7cf2ca845c","type":"LinearAxis"}],"left":[{"id":"f5f4ab1a-ef55-4e9c-82f4-0a135a9ff8c4","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"986f8b1f-67ca-4537-9df6-7e7cf2ca845c","type":"LinearAxis"},{"id":"7ff77103-0115-4922-99b5-254dd8fe1d2f","type":"Grid"},{"id":"f5f4ab1a-ef55-4e9c-82f4-0a135a9ff8c4","type":"LinearAxis"},{"id":"33ceac41-f55c-487b-8821-a4a809784ba5","type":"Grid"},{"id":"57877e6c-6e60-41d0-a818-6e9a968a09d1","type":"BoxAnnotation"},{"id":"68950e91-1067-4f44-be45-5c2cd3657772","type":"GlyphRenderer"}],"title":{"id":"bcb45d5d-d1b8-4bdd-8935-64d1a691ac2f","type":"Title"},"toolbar":{"id":"f66b84b7-12e8-4ac0-af30-0898c5355c0e","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"4a022a6f-6c5b-4d91-a995-80ed50762a1f","type":"DataRange1d"},"x_scale":{"id":"f0bfa8bf-d0fb-433f-ad42-0a30332b67fa","type":"LinearScale"},"y_range":{"id":"7119dcc9-59c0-4cc4-b957-ddd08b23aecf","type":"DataRange1d"},"y_scale":{"id":"05561c6c-2e0f-4148-9a56-0c8d94dbaa95","type":"LinearScale"}},"id":"2dc44da6-6088-4504-93e9-5c1d2e3f0638","subtype":"Figure","type":"Plot"},{"attributes":{"below":[{"id":"445b8bbc-e85e-47fe-beec-885f0bc5a580","type":"LinearAxis"}],"left":[{"id":"02aca729-112c-405c-9c98-3a5cc9d4805c","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"445b8bbc-e85e-47fe-beec-885f0bc5a580","type":"LinearAxis"},{"id":"b299afbf-9501-4163-b6c5-64d39f2162c7","type":"Grid"},{"id":"02aca729-112c-405c-9c98-3a5cc9d4805c","type":"LinearAxis"},{"id":"8617bd6d-7424-402c-8f5e-00a82ad2da33","type":"Grid"},{"id":"a979fbe4-e3fd-4888-ae9e-7e0df00ea8f1","type":"BoxAnnotation"},{"id":"c2426e51-0882-4479-91d9-68a286d84692","type":"GlyphRenderer"}],"title":{"id":"bcd9b4cd-dd38-411d-ab19-c47dffd57ad5","type":"Title"},"toolbar":{"id":"47e1b6a1-e96c-4d83-a10d-9ec63f2925cc","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"b24d2702-83f7-4552-a226-4f8705c9a2ef","type":"DataRange1d"},"x_scale":{"id":"2f678073-108d-4c41-a9ed-6e740c335215","type":"LinearScale"},"y_range":{"id":"3e43d874-800c-4bb0-a032-26b1c3a43661","type":"DataRange1d"},"y_scale":{"id":"fd8e6961-f91f-4c58-91e4-6e060e598ebc","type":"LinearScale"}},"id":"57b6a2f1-e6cb-4967-bff6-6988f98ba80d","subtype":"Figure","type":"Plot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"aea4be2c-69b6-45f6-9c8f-339221d9cd32","type":"PanTool"},{"id":"44232a95-301e-47cf-a5b6-9f4df63fb250","type":"WheelZoomTool"},{"id":"0332e77f-4284-4855-991f-39e3d42a66a8","type":"BoxZoomTool"},{"id":"1046eeb4-dc70-400f-a510-6d38fea03e0a","type":"SaveTool"},{"id":"1325fb15-f041-407d-8aa9-46fe5f6cd0d2","type":"ResetTool"},{"id":"5cb7afde-c21e-4fbd-8274-d3dd13fa9565","type":"HelpTool"}]},"id":"f66b84b7-12e8-4ac0-af30-0898c5355c0e","type":"Toolbar"},{"attributes":{},"id":"1325fb15-f041-407d-8aa9-46fe5f6cd0d2","type":"ResetTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"85e38ca6-9733-4b48-bcea-6a379652ddf1","type":"PanTool"},{"id":"20d722dc-5f0b-4574-b7ea-c65692971d5e","type":"WheelZoomTool"},{"id":"6e3d7b25-d136-4905-b63e-edacdccc0dc7","type":"BoxZoomTool"},{"id":"aa772364-368b-4f4c-a3c5-a03b59f5e895","type":"SaveTool"},{"id":"1ccedd0b-af32-4407-a044-96c20f064220","type":"ResetTool"},{"id":"0fae9116-c945-42cc-9968-dfd93db35d07","type":"HelpTool"}]},"id":"13e9a914-62b8-435a-b8f9-3a657970bec0","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"2dc44da6-6088-4504-93e9-5c1d2e3f0638","subtype":"Figure","type":"Plot"},"ticker":{"id":"3e6198fa-bb8c-4e6a-b712-94c2317e8961","type":"BasicTicker"}},"id":"33ceac41-f55c-487b-8821-a4a809784ba5","type":"Grid"},{"attributes":{},"id":"3e6198fa-bb8c-4e6a-b712-94c2317e8961","type":"BasicTicker"},{"attributes":{},"id":"85e38ca6-9733-4b48-bcea-6a379652ddf1","type":"PanTool"}],"root_ids":["ca3c6c5e-e8a1-4715-bffe-0c9f5eee2281"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"2857de1c-4975-4942-815a-a1e652eeb6b4","elementid":"b19a6e33-0a8d-4c17-aa98-cd95d5e402bd","modelid":"ca3c6c5e-e8a1-4715-bffe-0c9f5eee2281"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
