(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("30eda343-30e2-4b37-92ca-9543f1595381");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '30eda343-30e2-4b37-92ca-9543f1595381' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"0422e4b4-38d0-4f5a-9590-f69b11ef8dee":{"roots":{"references":[{"attributes":{"plot":null,"text":""},"id":"a52d9193-c345-4df6-8782-62ef956752a0","type":"Title"},{"attributes":{"plot":{"id":"405c2f06-c12d-49b7-ac29-df61f011d8d5","subtype":"Figure","type":"Plot"},"ticker":{"id":"80a8eeaa-a218-4b55-97e6-1a6a5ecdd5ff","type":"BasicTicker"}},"id":"483d94d9-6b76-45c9-998c-88171ef33ef6","type":"Grid"},{"attributes":{},"id":"6b4514ef-0f70-434f-a811-f5857ee1ad67","type":"ResetTool"},{"attributes":{"formatter":{"id":"6e626344-3694-431c-b8b4-7ff937f4c643","type":"BasicTickFormatter"},"plot":{"id":"405c2f06-c12d-49b7-ac29-df61f011d8d5","subtype":"Figure","type":"Plot"},"ticker":{"id":"80a8eeaa-a218-4b55-97e6-1a6a5ecdd5ff","type":"BasicTicker"}},"id":"faf0e12f-c33b-4ae3-aee7-0916160225c2","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,8,7,3]}},"id":"20a74a37-5875-43c9-abdf-34b5d7016642","type":"ColumnDataSource"},{"attributes":{},"id":"e63d4fee-5b53-49ca-9177-9c9273d55ed9","type":"HelpTool"},{"attributes":{},"id":"6e626344-3694-431c-b8b4-7ff937f4c643","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"908a6a36-a528-41aa-aa42-74e194f0672b","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"12d0018f-ba87-4376-a902-978a33c5f6a6","type":"Patch"},{"attributes":{},"id":"2d075640-671d-4062-9601-91858576fdca","type":"WheelZoomTool"},{"attributes":{},"id":"8d53c47f-3fe6-4c04-802e-d2fceabae097","type":"BasicTickFormatter"},{"attributes":{},"id":"80a8eeaa-a218-4b55-97e6-1a6a5ecdd5ff","type":"BasicTicker"},{"attributes":{"data_source":{"id":"20a74a37-5875-43c9-abdf-34b5d7016642","type":"ColumnDataSource"},"glyph":{"id":"ba8781b0-51ae-47ad-bac9-ae8dc533bc9d","type":"Patch"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"12d0018f-ba87-4376-a902-978a33c5f6a6","type":"Patch"},"selection_glyph":null,"view":{"id":"af16f080-a114-4236-9f0b-b748bec71553","type":"CDSView"}},"id":"e9b70445-99ad-401a-be86-e48ef74d952d","type":"GlyphRenderer"},{"attributes":{},"id":"a9b7b238-1b07-48a0-8dc5-f317424f72f3","type":"SaveTool"},{"attributes":{},"id":"e92978dc-c5be-42d1-9dcb-a1f831561daf","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"a199c7fc-68ec-4bf1-8bb1-998cf1c2503b","type":"BoxAnnotation"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"499bb875-89f4-4616-98a0-9f368e56eafb","type":"PanTool"},{"id":"2d075640-671d-4062-9601-91858576fdca","type":"WheelZoomTool"},{"id":"5a1be0ca-3f0a-4e41-b451-d195c964ebac","type":"BoxZoomTool"},{"id":"a9b7b238-1b07-48a0-8dc5-f317424f72f3","type":"SaveTool"},{"id":"6b4514ef-0f70-434f-a811-f5857ee1ad67","type":"ResetTool"},{"id":"e63d4fee-5b53-49ca-9177-9c9273d55ed9","type":"HelpTool"}]},"id":"15c5531e-28f2-4ccd-aa04-ec1c69a3fa3f","type":"Toolbar"},{"attributes":{"formatter":{"id":"8d53c47f-3fe6-4c04-802e-d2fceabae097","type":"BasicTickFormatter"},"plot":{"id":"405c2f06-c12d-49b7-ac29-df61f011d8d5","subtype":"Figure","type":"Plot"},"ticker":{"id":"e92978dc-c5be-42d1-9dcb-a1f831561daf","type":"BasicTicker"}},"id":"69fff21e-8d52-4f65-81c0-6ba710189033","type":"LinearAxis"},{"attributes":{"callback":null},"id":"6d1268da-dbbb-4f9e-826f-9e3e468ad052","type":"DataRange1d"},{"attributes":{"below":[{"id":"faf0e12f-c33b-4ae3-aee7-0916160225c2","type":"LinearAxis"}],"left":[{"id":"69fff21e-8d52-4f65-81c0-6ba710189033","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"faf0e12f-c33b-4ae3-aee7-0916160225c2","type":"LinearAxis"},{"id":"483d94d9-6b76-45c9-998c-88171ef33ef6","type":"Grid"},{"id":"69fff21e-8d52-4f65-81c0-6ba710189033","type":"LinearAxis"},{"id":"e5b52d1b-f9a6-40b7-a5a3-e119bbba64a2","type":"Grid"},{"id":"a199c7fc-68ec-4bf1-8bb1-998cf1c2503b","type":"BoxAnnotation"},{"id":"e9b70445-99ad-401a-be86-e48ef74d952d","type":"GlyphRenderer"}],"title":{"id":"a52d9193-c345-4df6-8782-62ef956752a0","type":"Title"},"toolbar":{"id":"15c5531e-28f2-4ccd-aa04-ec1c69a3fa3f","type":"Toolbar"},"x_range":{"id":"908a6a36-a528-41aa-aa42-74e194f0672b","type":"DataRange1d"},"x_scale":{"id":"cd09c733-9aa6-499a-93e3-46043cc832c2","type":"LinearScale"},"y_range":{"id":"6d1268da-dbbb-4f9e-826f-9e3e468ad052","type":"DataRange1d"},"y_scale":{"id":"506a1b30-296b-4bb0-a858-c062ff24ab7f","type":"LinearScale"}},"id":"405c2f06-c12d-49b7-ac29-df61f011d8d5","subtype":"Figure","type":"Plot"},{"attributes":{"dimension":1,"plot":{"id":"405c2f06-c12d-49b7-ac29-df61f011d8d5","subtype":"Figure","type":"Plot"},"ticker":{"id":"e92978dc-c5be-42d1-9dcb-a1f831561daf","type":"BasicTicker"}},"id":"e5b52d1b-f9a6-40b7-a5a3-e119bbba64a2","type":"Grid"},{"attributes":{},"id":"499bb875-89f4-4616-98a0-9f368e56eafb","type":"PanTool"},{"attributes":{},"id":"506a1b30-296b-4bb0-a858-c062ff24ab7f","type":"LinearScale"},{"attributes":{"overlay":{"id":"a199c7fc-68ec-4bf1-8bb1-998cf1c2503b","type":"BoxAnnotation"}},"id":"5a1be0ca-3f0a-4e41-b451-d195c964ebac","type":"BoxZoomTool"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.5},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"ba8781b0-51ae-47ad-bac9-ae8dc533bc9d","type":"Patch"},{"attributes":{"source":{"id":"20a74a37-5875-43c9-abdf-34b5d7016642","type":"ColumnDataSource"}},"id":"af16f080-a114-4236-9f0b-b748bec71553","type":"CDSView"},{"attributes":{},"id":"cd09c733-9aa6-499a-93e3-46043cc832c2","type":"LinearScale"}],"root_ids":["405c2f06-c12d-49b7-ac29-df61f011d8d5"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"0422e4b4-38d0-4f5a-9590-f69b11ef8dee","elementid":"30eda343-30e2-4b37-92ca-9543f1595381","modelid":"405c2f06-c12d-49b7-ac29-df61f011d8d5"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
