(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ca09b570-107e-49dd-b8a9-eac850e3858f");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ca09b570-107e-49dd-b8a9-eac850e3858f' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"ce03bd28-802f-422b-84ed-fc1e7a4d28e8":{"roots":{"references":[{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":50},"x":{"field":"x"},"y":{"field":"y"}},"id":"ecc27be8-9946-441b-a1bf-5c9aa99e004f","type":"Circle"},{"attributes":{"plot":null,"text":"Select a circle"},"id":"b04715f7-fab6-4499-b3d7-0e08098b557e","type":"Title"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"3dc7326a-292d-42e6-b880-9b8792d986cf","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"53979726-df73-4eb2-b52d-1ec8b5c87494","type":"BasicTickFormatter"},"plot":{"id":"12bfbd96-1459-47db-85df-d7d3ebdd5220","subtype":"Figure","type":"Plot"},"ticker":{"id":"14ad66a6-f48b-475f-bd98-c662e5740370","type":"BasicTicker"}},"id":"7f135cd9-f92e-435e-ab5c-e2969c972c80","type":"LinearAxis"},{"attributes":{"plot":{"id":"12bfbd96-1459-47db-85df-d7d3ebdd5220","subtype":"Figure","type":"Plot"},"ticker":{"id":"cd9f3c20-955b-401c-8f18-cbe0bf3f9fb6","type":"BasicTicker"}},"id":"99166bfd-6571-4999-8f4d-705cee4d940d","type":"Grid"},{"attributes":{"source":{"id":"3dc7326a-292d-42e6-b880-9b8792d986cf","type":"ColumnDataSource"}},"id":"0dcd9ce9-3f65-40d7-8369-a8e59e5c6af6","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"12bfbd96-1459-47db-85df-d7d3ebdd5220","subtype":"Figure","type":"Plot"},"ticker":{"id":"14ad66a6-f48b-475f-bd98-c662e5740370","type":"BasicTicker"}},"id":"1b0a7985-7bc8-44a3-8918-4a186673f01c","type":"Grid"},{"attributes":{},"id":"14ad66a6-f48b-475f-bd98-c662e5740370","type":"BasicTicker"},{"attributes":{},"id":"cd9f3c20-955b-401c-8f18-cbe0bf3f9fb6","type":"BasicTicker"},{"attributes":{},"id":"fc7e7cef-6243-41a7-acb1-5ccb4f9b4327","type":"LinearScale"},{"attributes":{"data_source":{"id":"3dc7326a-292d-42e6-b880-9b8792d986cf","type":"ColumnDataSource"},"glyph":{"id":"ecc27be8-9946-441b-a1bf-5c9aa99e004f","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a9f3208c-9be3-492c-8d1d-fa7542a735e9","type":"Circle"},"selection_glyph":{"id":"36f7f7e4-ecf9-4aed-baf6-667143bd3a03","type":"Circle"},"view":{"id":"0dcd9ce9-3f65-40d7-8369-a8e59e5c6af6","type":"CDSView"}},"id":"94be8bb4-8b0a-4e07-b1e8-61463914ce91","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"0b6c996f-86bf-4db3-a0ed-0a8cfdb2de42","type":"TapTool"}]},"id":"4978df0a-0155-47a7-b069-1e57a369a479","type":"Toolbar"},{"attributes":{"formatter":{"id":"8727af86-1fc3-47dd-9521-0d991f88e255","type":"BasicTickFormatter"},"plot":{"id":"12bfbd96-1459-47db-85df-d7d3ebdd5220","subtype":"Figure","type":"Plot"},"ticker":{"id":"cd9f3c20-955b-401c-8f18-cbe0bf3f9fb6","type":"BasicTicker"}},"id":"bcd34e0b-2b3b-4059-94eb-3e1a1416e0db","type":"LinearAxis"},{"attributes":{"callback":null},"id":"95acd3b2-bc51-4292-885f-54065754bd28","type":"DataRange1d"},{"attributes":{},"id":"4ee6eeb9-d3a1-45cc-a600-266d24675050","type":"LinearScale"},{"attributes":{"fill_color":{"value":"firebrick"},"line_color":{"value":null}},"id":"36f7f7e4-ecf9-4aed-baf6-667143bd3a03","type":"Circle"},{"attributes":{"below":[{"id":"bcd34e0b-2b3b-4059-94eb-3e1a1416e0db","type":"LinearAxis"}],"left":[{"id":"7f135cd9-f92e-435e-ab5c-e2969c972c80","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"bcd34e0b-2b3b-4059-94eb-3e1a1416e0db","type":"LinearAxis"},{"id":"99166bfd-6571-4999-8f4d-705cee4d940d","type":"Grid"},{"id":"7f135cd9-f92e-435e-ab5c-e2969c972c80","type":"LinearAxis"},{"id":"1b0a7985-7bc8-44a3-8918-4a186673f01c","type":"Grid"},{"id":"94be8bb4-8b0a-4e07-b1e8-61463914ce91","type":"GlyphRenderer"}],"title":{"id":"b04715f7-fab6-4499-b3d7-0e08098b557e","type":"Title"},"toolbar":{"id":"4978df0a-0155-47a7-b069-1e57a369a479","type":"Toolbar"},"x_range":{"id":"3de4532f-83ab-4cb1-ada6-6b268b8b8885","type":"DataRange1d"},"x_scale":{"id":"fc7e7cef-6243-41a7-acb1-5ccb4f9b4327","type":"LinearScale"},"y_range":{"id":"95acd3b2-bc51-4292-885f-54065754bd28","type":"DataRange1d"},"y_scale":{"id":"4ee6eeb9-d3a1-45cc-a600-266d24675050","type":"LinearScale"}},"id":"12bfbd96-1459-47db-85df-d7d3ebdd5220","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"53979726-df73-4eb2-b52d-1ec8b5c87494","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.2},"fill_color":{"value":"blue"},"line_color":{"value":"firebrick"}},"id":"a9f3208c-9be3-492c-8d1d-fa7542a735e9","type":"Circle"},{"attributes":{"callback":null},"id":"0b6c996f-86bf-4db3-a0ed-0a8cfdb2de42","type":"TapTool"},{"attributes":{},"id":"8727af86-1fc3-47dd-9521-0d991f88e255","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"3de4532f-83ab-4cb1-ada6-6b268b8b8885","type":"DataRange1d"}],"root_ids":["12bfbd96-1459-47db-85df-d7d3ebdd5220"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"ce03bd28-802f-422b-84ed-fc1e7a4d28e8","elementid":"ca09b570-107e-49dd-b8a9-eac850e3858f","modelid":"12bfbd96-1459-47db-85df-d7d3ebdd5220"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
