(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("d35f35db-cbd7-492a-80ce-206211add4d7");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'd35f35db-cbd7-492a-80ce-206211add4d7' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e3cb1b9c-db45-4437-9b62-dcf3c96861b8":{"roots":{"references":[{"attributes":{"below":[{"id":"86cd5400-7190-4f04-9c7b-7b8e095947af","type":"LinearAxis"}],"left":[{"id":"9af7b4fd-6c7f-46ef-a584-10a91384b1cc","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"86cd5400-7190-4f04-9c7b-7b8e095947af","type":"LinearAxis"},{"id":"565ef704-efeb-42aa-8017-a6c8b4bded93","type":"Grid"},{"id":"9af7b4fd-6c7f-46ef-a584-10a91384b1cc","type":"LinearAxis"},{"id":"15cddab7-363e-45a0-a102-33d45df3d95b","type":"Grid"},{"id":"633bd2e4-a622-4f93-9b5c-f3814190eb57","type":"BoxAnnotation"},{"id":"1af49f13-d51b-4dfa-be7e-0bb90309701e","type":"GlyphRenderer"}],"title":{"id":"751bca36-2cef-4e72-8573-c39d904fce3b","type":"Title"},"toolbar":{"id":"b7491bfd-d167-4606-808a-b3c8cf7cb003","type":"Toolbar"},"x_range":{"id":"3917a56a-6474-4b5d-a312-d472e7a0f4a8","type":"DataRange1d"},"x_scale":{"id":"927504c8-102b-4746-b648-01d19cfcf7e8","type":"LinearScale"},"y_range":{"id":"d741799c-a950-479c-a8f4-5cb77bbfdee2","type":"DataRange1d"},"y_scale":{"id":"8125c045-ff86-48f7-a888-88537e8ff68a","type":"LinearScale"}},"id":"25255c47-6f09-40a4-8b0b-2da58088f71a","subtype":"Figure","type":"Plot"},{"attributes":{"callback":{"id":"7e250e64-6ec2-4b7b-8bed-974afc0ad74a","type":"CustomJS"},"end":4,"start":0.1,"step":0.1,"title":"power","value":1},"id":"03757878-46ff-49c2-8706-97a4d06de08f","type":"Slider"},{"attributes":{},"id":"1907ccd3-9f8d-458f-a14e-8ba10eadf537","type":"ResetTool"},{"attributes":{"source":{"id":"b61acac7-9ba3-4846-b486-9ae778683b2e","type":"ColumnDataSource"}},"id":"4439988d-5c73-4691-9cbf-9786c1b0eb0a","type":"CDSView"},{"attributes":{},"id":"08537c30-0fb8-40e7-8a32-a54616566920","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"3917a56a-6474-4b5d-a312-d472e7a0f4a8","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995],"y":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995]}},"id":"b61acac7-9ba3-4846-b486-9ae778683b2e","type":"ColumnDataSource"},{"attributes":{"children":[{"id":"c78c217a-6980-49fe-ae27-836fdd4dd645","type":"WidgetBox"},{"id":"25255c47-6f09-40a4-8b0b-2da58088f71a","subtype":"Figure","type":"Plot"}]},"id":"c216b021-50b6-4549-9f2e-639433882407","type":"Column"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"633bd2e4-a622-4f93-9b5c-f3814190eb57","type":"BoxAnnotation"},{"attributes":{},"id":"7b2ae78d-1809-4622-bd43-edf6c97ebc61","type":"BasicTicker"},{"attributes":{},"id":"57d8727a-116b-48aa-b9e0-9a15bc9bb1e4","type":"PanTool"},{"attributes":{"line_alpha":{"value":0.6},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"ab8cfebb-fe15-480a-b154-2ffc0045b67b","type":"Line"},{"attributes":{"plot":null,"text":""},"id":"751bca36-2cef-4e72-8573-c39d904fce3b","type":"Title"},{"attributes":{},"id":"87770ff7-e071-41dd-9b31-a33703dab2aa","type":"BasicTicker"},{"attributes":{"children":[{"id":"03757878-46ff-49c2-8706-97a4d06de08f","type":"Slider"}]},"id":"c78c217a-6980-49fe-ae27-836fdd4dd645","type":"WidgetBox"},{"attributes":{"data_source":{"id":"b61acac7-9ba3-4846-b486-9ae778683b2e","type":"ColumnDataSource"},"glyph":{"id":"ab8cfebb-fe15-480a-b154-2ffc0045b67b","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c0ff3f04-3634-4f7d-ab22-8dfdfc02e6b7","type":"Line"},"selection_glyph":null,"view":{"id":"4439988d-5c73-4691-9cbf-9786c1b0eb0a","type":"CDSView"}},"id":"1af49f13-d51b-4dfa-be7e-0bb90309701e","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"0ffcf23b-4bed-4748-b195-6e630242ac63","type":"BasicTickFormatter"},"plot":{"id":"25255c47-6f09-40a4-8b0b-2da58088f71a","subtype":"Figure","type":"Plot"},"ticker":{"id":"87770ff7-e071-41dd-9b31-a33703dab2aa","type":"BasicTicker"}},"id":"86cd5400-7190-4f04-9c7b-7b8e095947af","type":"LinearAxis"},{"attributes":{},"id":"927504c8-102b-4746-b648-01d19cfcf7e8","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"25255c47-6f09-40a4-8b0b-2da58088f71a","subtype":"Figure","type":"Plot"},"ticker":{"id":"7b2ae78d-1809-4622-bd43-edf6c97ebc61","type":"BasicTicker"}},"id":"15cddab7-363e-45a0-a102-33d45df3d95b","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"57d8727a-116b-48aa-b9e0-9a15bc9bb1e4","type":"PanTool"},{"id":"f9199939-f6e6-46aa-a2f0-0fcbe6ff9726","type":"WheelZoomTool"},{"id":"c2cd2bfd-5c1f-4ebf-a1ef-158c202b62ce","type":"BoxZoomTool"},{"id":"4a1266fc-35f8-48f3-8739-6b77220bcd64","type":"SaveTool"},{"id":"1907ccd3-9f8d-458f-a14e-8ba10eadf537","type":"ResetTool"},{"id":"7cfd88f8-04e2-4140-842c-f3ff7fddd4ad","type":"HelpTool"}]},"id":"b7491bfd-d167-4606-808a-b3c8cf7cb003","type":"Toolbar"},{"attributes":{},"id":"4a1266fc-35f8-48f3-8739-6b77220bcd64","type":"SaveTool"},{"attributes":{"args":{"source":{"id":"b61acac7-9ba3-4846-b486-9ae778683b2e","type":"ColumnDataSource"}},"code":"\n        var data = source.data;\n        var f = cb_obj.value\n        x = data['x']\n        y = data['y']\n        for (i = 0; i < x.length; i++) {\n            y[i] = Math.pow(x[i], f)\n        }\n        source.change.emit();\n    "},"id":"7e250e64-6ec2-4b7b-8bed-974afc0ad74a","type":"CustomJS"},{"attributes":{},"id":"8125c045-ff86-48f7-a888-88537e8ff68a","type":"LinearScale"},{"attributes":{"callback":null},"id":"d741799c-a950-479c-a8f4-5cb77bbfdee2","type":"DataRange1d"},{"attributes":{"overlay":{"id":"633bd2e4-a622-4f93-9b5c-f3814190eb57","type":"BoxAnnotation"}},"id":"c2cd2bfd-5c1f-4ebf-a1ef-158c202b62ce","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"08537c30-0fb8-40e7-8a32-a54616566920","type":"BasicTickFormatter"},"plot":{"id":"25255c47-6f09-40a4-8b0b-2da58088f71a","subtype":"Figure","type":"Plot"},"ticker":{"id":"7b2ae78d-1809-4622-bd43-edf6c97ebc61","type":"BasicTicker"}},"id":"9af7b4fd-6c7f-46ef-a584-10a91384b1cc","type":"LinearAxis"},{"attributes":{},"id":"f9199939-f6e6-46aa-a2f0-0fcbe6ff9726","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"25255c47-6f09-40a4-8b0b-2da58088f71a","subtype":"Figure","type":"Plot"},"ticker":{"id":"87770ff7-e071-41dd-9b31-a33703dab2aa","type":"BasicTicker"}},"id":"565ef704-efeb-42aa-8017-a6c8b4bded93","type":"Grid"},{"attributes":{},"id":"0ffcf23b-4bed-4748-b195-6e630242ac63","type":"BasicTickFormatter"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"c0ff3f04-3634-4f7d-ab22-8dfdfc02e6b7","type":"Line"},{"attributes":{},"id":"7cfd88f8-04e2-4140-842c-f3ff7fddd4ad","type":"HelpTool"}],"root_ids":["c216b021-50b6-4549-9f2e-639433882407"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e3cb1b9c-db45-4437-9b62-dcf3c96861b8","elementid":"d35f35db-cbd7-492a-80ce-206211add4d7","modelid":"c216b021-50b6-4549-9f2e-639433882407"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
