(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("5e332f30-3fea-4831-a4b0-0aee02975db2");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '5e332f30-3fea-4831-a4b0-0aee02975db2' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"cecfc477-e113-4df6-b64c-441146d1fe4a":{"roots":{"references":[{"attributes":{},"id":"f68d2e26-4c95-4e0b-aa47-d4451f730830","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"d0693a8a-698d-44dc-9ee6-113f7d928337","type":"PanTool"},{"id":"f233faf0-118f-44e9-b455-d53fa0bbf63d","type":"WheelZoomTool"},{"id":"179097ed-47ac-488f-8c4e-7d108597d82f","type":"BoxZoomTool"},{"id":"ad45669b-9f95-4122-86d7-91cdc547d585","type":"SaveTool"},{"id":"a459d29d-c421-4aa8-a06c-17f3fb829a0b","type":"ResetTool"},{"id":"00a044ed-cedf-4401-a182-b3b747c2797a","type":"HelpTool"}]},"id":"1e30486d-f7f1-4c9b-9f95-a66214f1329b","type":"Toolbar"},{"attributes":{"data_source":{"id":"56eaf1cd-657d-4d20-b3ba-066cc2fdb577","type":"ColumnDataSource"},"glyph":{"id":"a6170450-ef40-4ed4-9b0a-758f65acf3d4","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"810d615c-35cf-499e-b561-855b97dc30c9","type":"Square"},"selection_glyph":null,"view":{"id":"eccbe9d1-634d-469f-89a8-13135e854c18","type":"CDSView"}},"id":"4082e440-5cc9-4136-802e-1d788d6a6bff","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"810d615c-35cf-499e-b561-855b97dc30c9","type":"Square"},{"attributes":{},"id":"7ba1ea00-89df-40b5-8710-0d1863ff38f1","type":"LinearScale"},{"attributes":{"source":{"id":"56eaf1cd-657d-4d20-b3ba-066cc2fdb577","type":"ColumnDataSource"}},"id":"eccbe9d1-634d-469f-89a8-13135e854c18","type":"CDSView"},{"attributes":{},"id":"b6825864-b932-4cbd-aee8-128c194e29b6","type":"ResetTool"},{"attributes":{"data_source":{"id":"6051a68f-5aaf-4c19-ab4b-8a75b63f4eed","type":"ColumnDataSource"},"glyph":{"id":"d4a71817-c384-4c31-91f4-a3bff29e392e","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"cdafbc1a-2003-4372-a6b6-30f879cb0899","type":"Circle"},"selection_glyph":null,"view":{"id":"2ecea6f2-9c19-4b4a-a2d1-3c712caf06c7","type":"CDSView"}},"id":"b52f4d3e-68a5-4953-bc77-fda4b3570fdd","type":"GlyphRenderer"},{"attributes":{},"id":"a459d29d-c421-4aa8-a06c-17f3fb829a0b","type":"ResetTool"},{"attributes":{"source":{"id":"6ebc3eab-807e-4848-8e44-da323f5bebf9","type":"ColumnDataSource"}},"id":"08b3f8c4-1c31-408f-9d35-e30f7f2d0a05","type":"CDSView"},{"attributes":{},"id":"deee5efd-5dc6-4fe5-b44d-113e2992426f","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"24cfe37a-8081-4dae-b895-cec4a5527f5f","type":"BoxAnnotation"},{"attributes":{"dimension":1,"plot":{"id":"6c3bdb2f-9be2-4a42-973b-af3002d56a48","subtype":"Figure","type":"Plot"},"ticker":{"id":"76fc1276-748a-4ab6-98c0-41d8105914e4","type":"BasicTicker"}},"id":"4ea7d552-949c-47ea-990c-e54508ca7b7a","type":"Grid"},{"attributes":{"overlay":{"id":"2374203c-7d3a-4b25-8a85-dccd7f169e79","type":"BoxAnnotation"}},"id":"179097ed-47ac-488f-8c4e-7d108597d82f","type":"BoxZoomTool"},{"attributes":{"overlay":{"id":"0cc4ae6d-993b-4185-8db5-17613343ae58","type":"BoxAnnotation"}},"id":"74c0c349-cc3c-47a7-b505-a46d5a22a330","type":"BoxZoomTool"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"navy"},"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"d4a71817-c384-4c31-91f4-a3bff29e392e","type":"Circle"},{"attributes":{},"id":"63db634f-8012-4548-94af-decf7dffff54","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"e88a4343-eef9-4117-b824-0d09ac770c19","type":"Triangle"},{"attributes":{},"id":"b9356919-685d-4023-9efd-002d04f6900c","type":"LinearScale"},{"attributes":{},"id":"7a28b9c2-7628-4557-a7f3-47b91171a6b2","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"11899f1c-b441-4140-8214-89e7498deafa","type":"LinearAxis"}],"left":[{"id":"df167551-36d5-44aa-859f-aa8f8ca63e78","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"11899f1c-b441-4140-8214-89e7498deafa","type":"LinearAxis"},{"id":"8620bae0-d6e6-44c9-b0ff-edf466c651cd","type":"Grid"},{"id":"df167551-36d5-44aa-859f-aa8f8ca63e78","type":"LinearAxis"},{"id":"4ea7d552-949c-47ea-990c-e54508ca7b7a","type":"Grid"},{"id":"24cfe37a-8081-4dae-b895-cec4a5527f5f","type":"BoxAnnotation"},{"id":"b52f4d3e-68a5-4953-bc77-fda4b3570fdd","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"8351552e-fc89-4992-b5ff-34b526b6d35e","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"80055422-cf1b-4159-ae4b-e23b33146238","type":"DataRange1d"},"x_scale":{"id":"0ecc0f86-1ebe-452d-a4b1-43e4e4d66b3a","type":"LinearScale"},"y_range":{"id":"2d59c0b4-b4d1-4f14-b0e9-044bc71668ed","type":"DataRange1d"},"y_scale":{"id":"bf96004e-187f-4d1e-8ffe-c728c03cb79b","type":"LinearScale"}},"id":"6c3bdb2f-9be2-4a42-973b-af3002d56a48","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"00a044ed-cedf-4401-a182-b3b747c2797a","type":"HelpTool"},{"attributes":{"formatter":{"id":"7fc587b4-9ac6-42c2-a722-e80cc7c6dd45","type":"BasicTickFormatter"},"plot":{"id":"6c3bdb2f-9be2-4a42-973b-af3002d56a48","subtype":"Figure","type":"Plot"},"ticker":{"id":"76fc1276-748a-4ab6-98c0-41d8105914e4","type":"BasicTicker"}},"id":"df167551-36d5-44aa-859f-aa8f8ca63e78","type":"LinearAxis"},{"attributes":{},"id":"d0693a8a-698d-44dc-9ee6-113f7d928337","type":"PanTool"},{"attributes":{},"id":"bf96004e-187f-4d1e-8ffe-c728c03cb79b","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"2374203c-7d3a-4b25-8a85-dccd7f169e79","type":"BoxAnnotation"},{"attributes":{"data_source":{"id":"6ebc3eab-807e-4848-8e44-da323f5bebf9","type":"ColumnDataSource"},"glyph":{"id":"b28d8c3d-84cb-4af3-a537-ed2f5519f361","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e88a4343-eef9-4117-b824-0d09ac770c19","type":"Triangle"},"selection_glyph":null,"view":{"id":"08b3f8c4-1c31-408f-9d35-e30f7f2d0a05","type":"CDSView"}},"id":"4e0b651e-ad0a-47f1-b729-5640645c08e8","type":"GlyphRenderer"},{"attributes":{},"id":"e13ccebc-7ab4-41b9-b33c-edd0a441f149","type":"PanTool"},{"attributes":{"source":{"id":"6051a68f-5aaf-4c19-ab4b-8a75b63f4eed","type":"ColumnDataSource"}},"id":"2ecea6f2-9c19-4b4a-a2d1-3c712caf06c7","type":"CDSView"},{"attributes":{"plot":{"id":"6c3bdb2f-9be2-4a42-973b-af3002d56a48","subtype":"Figure","type":"Plot"},"ticker":{"id":"63db634f-8012-4548-94af-decf7dffff54","type":"BasicTicker"}},"id":"8620bae0-d6e6-44c9-b0ff-edf466c651cd","type":"Grid"},{"attributes":{},"id":"76fc1276-748a-4ab6-98c0-41d8105914e4","type":"BasicTicker"},{"attributes":{},"id":"5fea4a64-9d1b-4286-98b5-ec07fe0f122c","type":"LinearScale"},{"attributes":{"children":[{"id":"6c3bdb2f-9be2-4a42-973b-af3002d56a48","subtype":"Figure","type":"Plot"},{"id":"1f7060c2-bbc1-46a3-8779-dd38c770546b","subtype":"Figure","type":"Plot"},{"id":"315a2137-70e1-44ad-b925-da3d64022381","subtype":"Figure","type":"Plot"}]},"id":"aa833888-d9c3-402e-8900-017a89d70d50","type":"Row"},{"attributes":{},"id":"1a939664-8031-4487-ba2a-a47de573092d","type":"SaveTool"},{"attributes":{},"id":"a221eef2-4088-4ae9-9cc4-07016c717e52","type":"HelpTool"},{"attributes":{},"id":"118bde28-41d7-48da-8a99-36b26c095354","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"315a2137-70e1-44ad-b925-da3d64022381","subtype":"Figure","type":"Plot"},"ticker":{"id":"7394e793-4909-41a1-a192-9c4451c6ec56","type":"BasicTicker"}},"id":"4de000d9-521b-47b2-8524-64d8234ea281","type":"Grid"},{"attributes":{},"id":"7b1e37de-072f-435c-b357-8be9672e6ff0","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"1f7060c2-bbc1-46a3-8779-dd38c770546b","subtype":"Figure","type":"Plot"},"ticker":{"id":"deee5efd-5dc6-4fe5-b44d-113e2992426f","type":"BasicTicker"}},"id":"f36155c4-0f00-4d70-8e17-c4e39e7b7d89","type":"Grid"},{"attributes":{},"id":"7394e793-4909-41a1-a192-9c4451c6ec56","type":"BasicTicker"},{"attributes":{},"id":"7fc587b4-9ac6-42c2-a722-e80cc7c6dd45","type":"BasicTickFormatter"},{"attributes":{},"id":"e85eae83-10f8-4880-9f53-a78dd16abc4d","type":"WheelZoomTool"},{"attributes":{},"id":"f233faf0-118f-44e9-b455-d53fa0bbf63d","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"3ce89561-9e39-4a5f-8b1d-cfca8391242a","type":"BasicTickFormatter"},"plot":{"id":"1f7060c2-bbc1-46a3-8779-dd38c770546b","subtype":"Figure","type":"Plot"},"ticker":{"id":"deee5efd-5dc6-4fe5-b44d-113e2992426f","type":"BasicTicker"}},"id":"f2b864f8-16e5-43d8-b656-60517dfda1de","type":"LinearAxis"},{"attributes":{},"id":"319cea2f-997d-4803-bdd1-03ffaf1fa0cb","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[10,9,8,7,6,5,4,3,2,1,0]}},"id":"6ebc3eab-807e-4848-8e44-da323f5bebf9","type":"ColumnDataSource"},{"attributes":{},"id":"2583e2df-8859-429b-98c0-808f3bfb2fe7","type":"HelpTool"},{"attributes":{"formatter":{"id":"37c65076-f1be-4bf2-80bb-6e9e447e80c1","type":"BasicTickFormatter"},"plot":{"id":"6c3bdb2f-9be2-4a42-973b-af3002d56a48","subtype":"Figure","type":"Plot"},"ticker":{"id":"63db634f-8012-4548-94af-decf7dffff54","type":"BasicTicker"}},"id":"11899f1c-b441-4140-8214-89e7498deafa","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[5,4,3,2,1,0,1,2,3,4,5]}},"id":"56eaf1cd-657d-4d20-b3ba-066cc2fdb577","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"315a2137-70e1-44ad-b925-da3d64022381","subtype":"Figure","type":"Plot"},"ticker":{"id":"fd5a2cd3-f3c2-4abd-9063-6b5d53ba4713","type":"BasicTicker"}},"id":"b85bfda5-e066-4423-b3f7-94fe5b2de834","type":"Grid"},{"attributes":{"callback":null},"id":"d75e0e45-44c9-46e1-9988-4e92476276ff","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"olive"},"line_alpha":{"value":0.5},"line_color":{"value":"olive"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"a6170450-ef40-4ed4-9b0a-758f65acf3d4","type":"Square"},{"attributes":{"overlay":{"id":"24cfe37a-8081-4dae-b895-cec4a5527f5f","type":"BoxAnnotation"}},"id":"64c41832-6938-4754-a7ae-9974cfe33212","type":"BoxZoomTool"},{"attributes":{"below":[{"id":"54f0baad-5d06-4b94-9694-650f2c7803a0","type":"LinearAxis"}],"left":[{"id":"a2edd5da-468c-4d2c-8ba0-467fe141b0db","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"54f0baad-5d06-4b94-9694-650f2c7803a0","type":"LinearAxis"},{"id":"4de000d9-521b-47b2-8524-64d8234ea281","type":"Grid"},{"id":"a2edd5da-468c-4d2c-8ba0-467fe141b0db","type":"LinearAxis"},{"id":"b85bfda5-e066-4423-b3f7-94fe5b2de834","type":"Grid"},{"id":"2374203c-7d3a-4b25-8a85-dccd7f169e79","type":"BoxAnnotation"},{"id":"4082e440-5cc9-4136-802e-1d788d6a6bff","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"1e30486d-f7f1-4c9b-9f95-a66214f1329b","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"80055422-cf1b-4159-ae4b-e23b33146238","type":"DataRange1d"},"x_scale":{"id":"3c8de998-9ed7-4b09-8501-b72ed6957df6","type":"LinearScale"},"y_range":{"id":"d75e0e45-44c9-46e1-9988-4e92476276ff","type":"DataRange1d"},"y_scale":{"id":"7ba1ea00-89df-40b5-8710-0d1863ff38f1","type":"LinearScale"}},"id":"315a2137-70e1-44ad-b925-da3d64022381","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[0,1,2,3,4,5,6,7,8,9,10]}},"id":"6051a68f-5aaf-4c19-ab4b-8a75b63f4eed","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"cdafbc1a-2003-4372-a6b6-30f879cb0899","type":"Circle"},{"attributes":{},"id":"fd5a2cd3-f3c2-4abd-9063-6b5d53ba4713","type":"BasicTicker"},{"attributes":{},"id":"67023801-d456-4217-a226-aad367019297","type":"SaveTool"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"firebrick"},"line_alpha":{"value":0.5},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"b28d8c3d-84cb-4af3-a537-ed2f5519f361","type":"Triangle"},{"attributes":{},"id":"3ce89561-9e39-4a5f-8b1d-cfca8391242a","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"599c01ed-3cc5-4110-b749-380b81e12bef","type":"LinearAxis"}],"left":[{"id":"f2b864f8-16e5-43d8-b656-60517dfda1de","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"599c01ed-3cc5-4110-b749-380b81e12bef","type":"LinearAxis"},{"id":"5bca368a-6568-420b-8ee2-e70fd8cc23f4","type":"Grid"},{"id":"f2b864f8-16e5-43d8-b656-60517dfda1de","type":"LinearAxis"},{"id":"f36155c4-0f00-4d70-8e17-c4e39e7b7d89","type":"Grid"},{"id":"0cc4ae6d-993b-4185-8db5-17613343ae58","type":"BoxAnnotation"},{"id":"4e0b651e-ad0a-47f1-b729-5640645c08e8","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"9e53fd40-994b-40cb-80a7-b564e72f9e41","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"80055422-cf1b-4159-ae4b-e23b33146238","type":"DataRange1d"},"x_scale":{"id":"b9356919-685d-4023-9efd-002d04f6900c","type":"LinearScale"},"y_range":{"id":"2d59c0b4-b4d1-4f14-b0e9-044bc71668ed","type":"DataRange1d"},"y_scale":{"id":"5fea4a64-9d1b-4286-98b5-ec07fe0f122c","type":"LinearScale"}},"id":"1f7060c2-bbc1-46a3-8779-dd38c770546b","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"3c8de998-9ed7-4b09-8501-b72ed6957df6","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"0cc4ae6d-993b-4185-8db5-17613343ae58","type":"BoxAnnotation"},{"attributes":{},"id":"0ecc0f86-1ebe-452d-a4b1-43e4e4d66b3a","type":"LinearScale"},{"attributes":{"formatter":{"id":"f68d2e26-4c95-4e0b-aa47-d4451f730830","type":"BasicTickFormatter"},"plot":{"id":"315a2137-70e1-44ad-b925-da3d64022381","subtype":"Figure","type":"Plot"},"ticker":{"id":"fd5a2cd3-f3c2-4abd-9063-6b5d53ba4713","type":"BasicTicker"}},"id":"a2edd5da-468c-4d2c-8ba0-467fe141b0db","type":"LinearAxis"},{"attributes":{"callback":null},"id":"2d59c0b4-b4d1-4f14-b0e9-044bc71668ed","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"e13ccebc-7ab4-41b9-b33c-edd0a441f149","type":"PanTool"},{"id":"118bde28-41d7-48da-8a99-36b26c095354","type":"WheelZoomTool"},{"id":"64c41832-6938-4754-a7ae-9974cfe33212","type":"BoxZoomTool"},{"id":"1a939664-8031-4487-ba2a-a47de573092d","type":"SaveTool"},{"id":"b6825864-b932-4cbd-aee8-128c194e29b6","type":"ResetTool"},{"id":"a221eef2-4088-4ae9-9cc4-07016c717e52","type":"HelpTool"}]},"id":"8351552e-fc89-4992-b5ff-34b526b6d35e","type":"Toolbar"},{"attributes":{"children":[{"id":"aa833888-d9c3-402e-8900-017a89d70d50","type":"Row"}]},"id":"3c4a8a34-d0c4-4a86-bc26-5a8cf60f525b","type":"Column"},{"attributes":{},"id":"7f61b330-b0b9-4415-bfae-acf2daa57694","type":"ResetTool"},{"attributes":{"plot":{"id":"1f7060c2-bbc1-46a3-8779-dd38c770546b","subtype":"Figure","type":"Plot"},"ticker":{"id":"319cea2f-997d-4803-bdd1-03ffaf1fa0cb","type":"BasicTicker"}},"id":"5bca368a-6568-420b-8ee2-e70fd8cc23f4","type":"Grid"},{"attributes":{},"id":"3161d211-dfef-4367-a3d9-f30f9efecc14","type":"PanTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"3161d211-dfef-4367-a3d9-f30f9efecc14","type":"PanTool"},{"id":"e85eae83-10f8-4880-9f53-a78dd16abc4d","type":"WheelZoomTool"},{"id":"74c0c349-cc3c-47a7-b505-a46d5a22a330","type":"BoxZoomTool"},{"id":"67023801-d456-4217-a226-aad367019297","type":"SaveTool"},{"id":"7f61b330-b0b9-4415-bfae-acf2daa57694","type":"ResetTool"},{"id":"2583e2df-8859-429b-98c0-808f3bfb2fe7","type":"HelpTool"}]},"id":"9e53fd40-994b-40cb-80a7-b564e72f9e41","type":"Toolbar"},{"attributes":{},"id":"ad45669b-9f95-4122-86d7-91cdc547d585","type":"SaveTool"},{"attributes":{"callback":null},"id":"80055422-cf1b-4159-ae4b-e23b33146238","type":"DataRange1d"},{"attributes":{},"id":"37c65076-f1be-4bf2-80bb-6e9e447e80c1","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"7a28b9c2-7628-4557-a7f3-47b91171a6b2","type":"BasicTickFormatter"},"plot":{"id":"315a2137-70e1-44ad-b925-da3d64022381","subtype":"Figure","type":"Plot"},"ticker":{"id":"7394e793-4909-41a1-a192-9c4451c6ec56","type":"BasicTicker"}},"id":"54f0baad-5d06-4b94-9694-650f2c7803a0","type":"LinearAxis"},{"attributes":{"formatter":{"id":"7b1e37de-072f-435c-b357-8be9672e6ff0","type":"BasicTickFormatter"},"plot":{"id":"1f7060c2-bbc1-46a3-8779-dd38c770546b","subtype":"Figure","type":"Plot"},"ticker":{"id":"319cea2f-997d-4803-bdd1-03ffaf1fa0cb","type":"BasicTicker"}},"id":"599c01ed-3cc5-4110-b749-380b81e12bef","type":"LinearAxis"}],"root_ids":["3c4a8a34-d0c4-4a86-bc26-5a8cf60f525b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"cecfc477-e113-4df6-b64c-441146d1fe4a","elementid":"5e332f30-3fea-4831-a4b0-0aee02975db2","modelid":"3c4a8a34-d0c4-4a86-bc26-5a8cf60f525b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
