(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b5ac977b-d417-469c-93f4-894b052fa99f");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b5ac977b-d417-469c-93f4-894b052fa99f' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"0bd015f4-6e13-4a45-968c-937fa2da7fbf":{"roots":{"references":[{"attributes":{},"id":"fe14b6a2-492d-40bb-8104-9ed448e1d33b","type":"ResetTool"},{"attributes":{},"id":"307047b7-1aa3-43d5-9a85-16c69b9f51fe","type":"PanTool"},{"attributes":{},"id":"c06980cc-4776-45b0-87e6-f9cffe29cf50","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"b1c29cb5-9248-4868-8f49-630280149543","subtype":"Figure","type":"Plot"},"ticker":{"id":"c53d2837-e9e6-4e2f-a028-0072aa265939","type":"BasicTicker"}},"id":"1923df11-31b8-4cde-9722-d081c884109a","type":"Grid"},{"attributes":{"below":[{"id":"5d553709-7e54-426b-89ef-2db0a124cb85","type":"LinearAxis"}],"left":[{"id":"6e417079-a236-4479-9fae-92f1444ea588","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"5d553709-7e54-426b-89ef-2db0a124cb85","type":"LinearAxis"},{"id":"b9da06d2-da57-42d7-a487-4fa18cf4dec2","type":"Grid"},{"id":"6e417079-a236-4479-9fae-92f1444ea588","type":"LinearAxis"},{"id":"1923df11-31b8-4cde-9722-d081c884109a","type":"Grid"},{"id":"4273a002-27b2-49be-a1a1-d9f2b8c4bf8e","type":"BoxAnnotation"},{"id":"092d99f9-a87c-424f-84c7-913e31dd26e2","type":"GlyphRenderer"}],"title":{"id":"0453ed26-0505-4d3f-bad4-726a77eaf279","type":"Title"},"toolbar":{"id":"47794adc-43cf-4eb7-b002-15adfc0db772","type":"Toolbar"},"x_range":{"id":"3058b2dd-5b18-4e27-bdf5-aaaa93e3a032","type":"DataRange1d"},"x_scale":{"id":"5d620ae2-10df-443c-b160-d74091277444","type":"LinearScale"},"y_range":{"id":"43238d26-6e98-4aa9-a9c0-7b09ebf3ba06","type":"DataRange1d"},"y_scale":{"id":"7da19c50-86a5-46bf-b5de-b916153c8cfd","type":"LinearScale"}},"id":"b1c29cb5-9248-4868-8f49-630280149543","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"6c4c028f-4094-4dff-9779-d7cc77cdd8ae","type":"BasicTicker"},{"attributes":{"formatter":{"id":"f6f7a91d-ced1-4091-a4b9-49692e01b27e","type":"BasicTickFormatter"},"plot":{"id":"b1c29cb5-9248-4868-8f49-630280149543","subtype":"Figure","type":"Plot"},"ticker":{"id":"c53d2837-e9e6-4e2f-a028-0072aa265939","type":"BasicTicker"}},"id":"6e417079-a236-4479-9fae-92f1444ea588","type":"LinearAxis"},{"attributes":{},"id":"f6f7a91d-ced1-4091-a4b9-49692e01b27e","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"43238d26-6e98-4aa9-a9c0-7b09ebf3ba06","type":"DataRange1d"},{"attributes":{"callback":null},"id":"3058b2dd-5b18-4e27-bdf5-aaaa93e3a032","type":"DataRange1d"},{"attributes":{},"id":"8f68f261-1e97-4e2d-9af5-b6c64436fdc3","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"b1c29cb5-9248-4868-8f49-630280149543","subtype":"Figure","type":"Plot"},"ticker":{"id":"6c4c028f-4094-4dff-9779-d7cc77cdd8ae","type":"BasicTicker"}},"id":"b9da06d2-da57-42d7-a487-4fa18cf4dec2","type":"Grid"},{"attributes":{},"id":"ba011fa9-37ed-4798-a25b-d0db08be0639","type":"SaveTool"},{"attributes":{"plot":null,"text":""},"id":"0453ed26-0505-4d3f-bad4-726a77eaf279","type":"Title"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"da215941-7373-4689-a2f9-29a890dd481c","type":"Segment"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"307047b7-1aa3-43d5-9a85-16c69b9f51fe","type":"PanTool"},{"id":"8f68f261-1e97-4e2d-9af5-b6c64436fdc3","type":"WheelZoomTool"},{"id":"923c2bf9-fcd2-4c47-b280-d26611ee285f","type":"BoxZoomTool"},{"id":"ba011fa9-37ed-4798-a25b-d0db08be0639","type":"SaveTool"},{"id":"fe14b6a2-492d-40bb-8104-9ed448e1d33b","type":"ResetTool"},{"id":"15ed364b-e7cb-4c99-82f6-855fde1d136f","type":"HelpTool"}]},"id":"47794adc-43cf-4eb7-b002-15adfc0db772","type":"Toolbar"},{"attributes":{},"id":"c53d2837-e9e6-4e2f-a028-0072aa265939","type":"BasicTicker"},{"attributes":{},"id":"15ed364b-e7cb-4c99-82f6-855fde1d136f","type":"HelpTool"},{"attributes":{"line_color":{"value":"#F4A582"},"line_width":{"value":3},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"f55c86a4-14bc-45e0-a4a0-6193134b6cec","type":"Segment"},{"attributes":{"overlay":{"id":"4273a002-27b2-49be-a1a1-d9f2b8c4bf8e","type":"BoxAnnotation"}},"id":"923c2bf9-fcd2-4c47-b280-d26611ee285f","type":"BoxZoomTool"},{"attributes":{},"id":"7da19c50-86a5-46bf-b5de-b916153c8cfd","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y1","y0","x0","x1"],"data":{"x0":[1,2,3],"x1":[1.2,2.4,3.1],"y0":[1,2,3],"y1":[1.2,2.5,3.7]}},"id":"b38e6a63-5a4a-4417-99bc-556e8e210b29","type":"ColumnDataSource"},{"attributes":{"source":{"id":"b38e6a63-5a4a-4417-99bc-556e8e210b29","type":"ColumnDataSource"}},"id":"60839bfe-5b87-46e0-9f5b-47517a6e79eb","type":"CDSView"},{"attributes":{"formatter":{"id":"c06980cc-4776-45b0-87e6-f9cffe29cf50","type":"BasicTickFormatter"},"plot":{"id":"b1c29cb5-9248-4868-8f49-630280149543","subtype":"Figure","type":"Plot"},"ticker":{"id":"6c4c028f-4094-4dff-9779-d7cc77cdd8ae","type":"BasicTicker"}},"id":"5d553709-7e54-426b-89ef-2db0a124cb85","type":"LinearAxis"},{"attributes":{"data_source":{"id":"b38e6a63-5a4a-4417-99bc-556e8e210b29","type":"ColumnDataSource"},"glyph":{"id":"f55c86a4-14bc-45e0-a4a0-6193134b6cec","type":"Segment"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"da215941-7373-4689-a2f9-29a890dd481c","type":"Segment"},"selection_glyph":null,"view":{"id":"60839bfe-5b87-46e0-9f5b-47517a6e79eb","type":"CDSView"}},"id":"092d99f9-a87c-424f-84c7-913e31dd26e2","type":"GlyphRenderer"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"4273a002-27b2-49be-a1a1-d9f2b8c4bf8e","type":"BoxAnnotation"},{"attributes":{},"id":"5d620ae2-10df-443c-b160-d74091277444","type":"LinearScale"}],"root_ids":["b1c29cb5-9248-4868-8f49-630280149543"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"0bd015f4-6e13-4a45-968c-937fa2da7fbf","elementid":"b5ac977b-d417-469c-93f4-894b052fa99f","modelid":"b1c29cb5-9248-4868-8f49-630280149543"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
