(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("f639ec41-ea5d-4de2-bd9b-8dae61c81a08");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'f639ec41-ea5d-4de2-bd9b-8dae61c81a08' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"f232ba1e-b259-42ef-96ec-2a90c71f45ac":{"roots":{"references":[{"attributes":{"source":{"id":"b47ea2dd-b20e-4f25-89d2-cf47b38e7b0b","type":"ColumnDataSource"}},"id":"d011ab41-87be-473d-b9f9-c7740af49995","type":"CDSView"},{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[-1,0,-1,-3,-2,-1],"2016":[-2,-1,-3,-1,-2,-2],"2017":[-1,-2,-1,0,-2,-2],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"b47ea2dd-b20e-4f25-89d2-cf47b38e7b0b","type":"ColumnDataSource"},{"attributes":{"label":{"value":"2015 exports"},"renderers":[{"id":"c1a91da7-168b-4a80-9793-fcf3904a5fd5","type":"GlyphRenderer"}]},"id":"0fb7d788-6607-43f1-a895-491016655295","type":"LegendItem"},{"attributes":{"below":[{"id":"07251a98-227c-495f-839f-b7faea7a3373","type":"LinearAxis"}],"left":[{"id":"94e773d2-3f51-49e0-bb53-6d13725f1b6d","type":"CategoricalAxis"}],"outline_line_color":{"value":null},"plot_height":250,"renderers":[{"id":"07251a98-227c-495f-839f-b7faea7a3373","type":"LinearAxis"},{"id":"e6a93641-c376-4a6f-9058-a7644af15899","type":"Grid"},{"id":"94e773d2-3f51-49e0-bb53-6d13725f1b6d","type":"CategoricalAxis"},{"id":"b180ebc2-c05b-4b77-8a65-7d4e165fdc9e","type":"Grid"},{"id":"f136541d-3567-4187-bb74-9a74e7f81565","type":"BoxAnnotation"},{"id":"91df643c-ec82-4536-87cd-ef598797667c","type":"Legend"},{"id":"c1a91da7-168b-4a80-9793-fcf3904a5fd5","type":"GlyphRenderer"},{"id":"d2dc2661-552b-4451-bed2-b3267ffcb2c8","type":"GlyphRenderer"},{"id":"75d2500e-1697-403b-a257-e2d2b55bc669","type":"GlyphRenderer"},{"id":"6dd66aa5-c081-46a6-8013-e72c5512ab9e","type":"GlyphRenderer"},{"id":"cd5a575e-3514-4145-8872-6bf875495176","type":"GlyphRenderer"},{"id":"c0f33f95-140c-4547-a8b6-20fe61a6c266","type":"GlyphRenderer"}],"title":{"id":"df4252dd-87f6-423a-a306-12304eb8594f","type":"Title"},"toolbar":{"id":"80e63c19-1a40-4a6a-bd06-f9570e6313a9","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"3f0de4d4-51ef-4988-9b38-30d2b2332f0e","type":"Range1d"},"x_scale":{"id":"ddd2de2c-863e-4b62-8b29-921f07daa0c7","type":"LinearScale"},"y_range":{"id":"d4a2b9b5-e437-4a4b-9dcd-594d2e14bfc2","type":"FactorRange"},"y_scale":{"id":"d7e83c2b-7243-473e-a4da-3ce68ae8e9ec","type":"CategoricalScale"}},"id":"032b64cc-fe8e-4e0f-ab9c-82b3a6346608","subtype":"Figure","type":"Plot"},{"attributes":{"fields":["2015","2016","2017"]},"id":"3ef81959-0d93-4d95-891a-553f611a9745","type":"Stack"},{"attributes":{"label":{"value":"2016 exports"},"renderers":[{"id":"d2dc2661-552b-4451-bed2-b3267ffcb2c8","type":"GlyphRenderer"}]},"id":"ad599402-8b86-4758-ad1f-4b61d32d3dcc","type":"LegendItem"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"range_padding":0.1},"id":"d4a2b9b5-e437-4a4b-9dcd-594d2e14bfc2","type":"FactorRange"},{"attributes":{},"id":"83dfe9a7-cf93-47b0-8a94-7bd184dcd75d","type":"BasicTicker"},{"attributes":{"fill_color":{"value":"#e0f3db"},"height":{"value":0.9},"left":{"expr":{"id":"f38de676-d992-4683-9136-93cd79e48e7d","type":"Stack"}},"line_color":{"value":"#e0f3db"},"right":{"expr":{"id":"06d07b09-7443-4979-ad62-ce8c8e470f8e","type":"Stack"}},"y":{"field":"fruits"}},"id":"72c102f4-5297-4194-ae0a-68cd765c7d21","type":"HBar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"9291b15a-b04c-4717-975d-67de8f885848","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"adf7a5e8-95ff-4e21-9e82-56ec09623bfa","type":"Stack"}},"y":{"field":"fruits"}},"id":"d3e9937a-5583-4e95-be14-f2f9360b2fc4","type":"HBar"},{"attributes":{"label":{"value":"2017 imports"},"renderers":[{"id":"c0f33f95-140c-4547-a8b6-20fe61a6c266","type":"GlyphRenderer"}]},"id":"ddf9e9f5-6448-4433-b696-a315ee20897c","type":"LegendItem"},{"attributes":{"items":[{"id":"0fb7d788-6607-43f1-a895-491016655295","type":"LegendItem"},{"id":"ad599402-8b86-4758-ad1f-4b61d32d3dcc","type":"LegendItem"},{"id":"659a7849-920a-47f1-bc3f-f728956bd0b6","type":"LegendItem"},{"id":"db3dbfa9-1778-4066-94b3-b36cc213e491","type":"LegendItem"},{"id":"44b2212d-be5c-40d3-ab0f-f973e2c99b20","type":"LegendItem"},{"id":"ddf9e9f5-6448-4433-b696-a315ee20897c","type":"LegendItem"}],"location":"top_left","plot":{"id":"032b64cc-fe8e-4e0f-ab9c-82b3a6346608","subtype":"Figure","type":"Plot"}},"id":"91df643c-ec82-4536-87cd-ef598797667c","type":"Legend"},{"attributes":{},"id":"7d2db0e9-e940-4c30-8fbc-43c63ac17143","type":"HelpTool"},{"attributes":{"fields":["2015","2016"]},"id":"f38de676-d992-4683-9136-93cd79e48e7d","type":"Stack"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"f38de676-d992-4683-9136-93cd79e48e7d","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"06d07b09-7443-4979-ad62-ce8c8e470f8e","type":"Stack"}},"y":{"field":"fruits"}},"id":"6dbe5432-e114-43fd-846d-748bd1b80d45","type":"HBar"},{"attributes":{"fields":["2015"]},"id":"2ffeee30-41c3-4399-a5eb-7c4649533624","type":"Stack"},{"attributes":{"source":{"id":"6d0ff4ee-e657-431c-b31a-bbb44dba0e07","type":"ColumnDataSource"}},"id":"2d4dcefa-b119-464c-91f2-889664bfb832","type":"CDSView"},{"attributes":{"fill_color":{"value":"#43a2ca"},"height":{"value":0.9},"left":{"expr":{"id":"9291b15a-b04c-4717-975d-67de8f885848","type":"Stack"}},"line_color":{"value":"#43a2ca"},"right":{"expr":{"id":"adf7a5e8-95ff-4e21-9e82-56ec09623bfa","type":"Stack"}},"y":{"field":"fruits"}},"id":"8b331863-f757-49ea-a138-496b136a47a9","type":"HBar"},{"attributes":{"formatter":{"id":"9d9bd232-d18d-45ad-80cf-bbc22783d336","type":"BasicTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"032b64cc-fe8e-4e0f-ab9c-82b3a6346608","subtype":"Figure","type":"Plot"},"ticker":{"id":"83dfe9a7-cf93-47b0-8a94-7bd184dcd75d","type":"BasicTicker"}},"id":"07251a98-227c-495f-839f-b7faea7a3373","type":"LinearAxis"},{"attributes":{},"id":"9d9bd232-d18d-45ad-80cf-bbc22783d336","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"grid_line_color":{"value":null},"plot":{"id":"032b64cc-fe8e-4e0f-ab9c-82b3a6346608","subtype":"Figure","type":"Plot"},"ticker":{"id":"ba1d28e4-8196-4c77-b4dd-a2820cd8a522","type":"CategoricalTicker"}},"id":"b180ebc2-c05b-4b77-8a65-7d4e165fdc9e","type":"Grid"},{"attributes":{"fill_color":{"value":"#a8ddb5"},"height":{"value":0.9},"left":{"expr":{"id":"17a434d8-5b6c-413c-8430-7c88f0500f38","type":"Stack"}},"line_color":{"value":"#a8ddb5"},"right":{"expr":{"id":"3c5e8889-49d1-493d-9385-3d81277c9865","type":"Stack"}},"y":{"field":"fruits"}},"id":"1076eae0-cfaf-4105-bf85-a9791086caf1","type":"HBar"},{"attributes":{"fill_color":{"value":"#e34a33"},"height":{"value":0.9},"left":{"expr":{"id":"4d2dda4d-3a8f-4037-b2f3-86fc53c8807a","type":"Stack"}},"line_color":{"value":"#e34a33"},"right":{"expr":{"id":"3a0056fb-a2f3-485b-9a12-c73bbbb5bd8b","type":"Stack"}},"y":{"field":"fruits"}},"id":"e5b0caa0-b54d-40d8-bd88-750ea1469821","type":"HBar"},{"attributes":{"fields":[]},"id":"4d2dda4d-3a8f-4037-b2f3-86fc53c8807a","type":"Stack"},{"attributes":{"fields":["2015"]},"id":"3a0056fb-a2f3-485b-9a12-c73bbbb5bd8b","type":"Stack"},{"attributes":{},"id":"a9bde453-7dfc-4d68-9a8a-e20f13408dd6","type":"WheelZoomTool"},{"attributes":{"data_source":{"id":"b47ea2dd-b20e-4f25-89d2-cf47b38e7b0b","type":"ColumnDataSource"},"glyph":{"id":"2908591e-dec3-4e82-9b18-2da6950f5e41","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"23188649-4f41-46e5-9c68-fb8d5bec4d9e","type":"HBar"},"selection_glyph":null,"view":{"id":"edb8aae4-08e7-409f-b1fb-9c59b7beab82","type":"CDSView"}},"id":"c0f33f95-140c-4547-a8b6-20fe61a6c266","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"6d0ff4ee-e657-431c-b31a-bbb44dba0e07","type":"ColumnDataSource"},"glyph":{"id":"8b331863-f757-49ea-a138-496b136a47a9","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"d3e9937a-5583-4e95-be14-f2f9360b2fc4","type":"HBar"},"selection_glyph":null,"view":{"id":"2d4dcefa-b119-464c-91f2-889664bfb832","type":"CDSView"}},"id":"c1a91da7-168b-4a80-9793-fcf3904a5fd5","type":"GlyphRenderer"},{"attributes":{"fill_color":{"value":"#fdbb84"},"height":{"value":0.9},"left":{"expr":{"id":"2ffeee30-41c3-4399-a5eb-7c4649533624","type":"Stack"}},"line_color":{"value":"#fdbb84"},"right":{"expr":{"id":"ee185f20-310d-4c1c-ad16-a2f8935d172b","type":"Stack"}},"y":{"field":"fruits"}},"id":"ddf848c8-23b1-4925-89f6-9acb472c4e55","type":"HBar"},{"attributes":{"source":{"id":"6d0ff4ee-e657-431c-b31a-bbb44dba0e07","type":"ColumnDataSource"}},"id":"367dfe20-14d0-471d-ae7e-f6c8d6621377","type":"CDSView"},{"attributes":{"data_source":{"id":"6d0ff4ee-e657-431c-b31a-bbb44dba0e07","type":"ColumnDataSource"},"glyph":{"id":"1076eae0-cfaf-4105-bf85-a9791086caf1","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ad488d91-48b4-419e-ba83-1b2acc39922a","type":"HBar"},"selection_glyph":null,"view":{"id":"367dfe20-14d0-471d-ae7e-f6c8d6621377","type":"CDSView"}},"id":"d2dc2661-552b-4451-bed2-b3267ffcb2c8","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"4d2dda4d-3a8f-4037-b2f3-86fc53c8807a","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"3a0056fb-a2f3-485b-9a12-c73bbbb5bd8b","type":"Stack"}},"y":{"field":"fruits"}},"id":"e9a26d2d-4c6e-4a70-9a84-b21a3b557dc7","type":"HBar"},{"attributes":{"plot":{"id":"032b64cc-fe8e-4e0f-ab9c-82b3a6346608","subtype":"Figure","type":"Plot"},"ticker":{"id":"83dfe9a7-cf93-47b0-8a94-7bd184dcd75d","type":"BasicTicker"}},"id":"e6a93641-c376-4a6f-9058-a7644af15899","type":"Grid"},{"attributes":{"source":{"id":"b47ea2dd-b20e-4f25-89d2-cf47b38e7b0b","type":"ColumnDataSource"}},"id":"edb8aae4-08e7-409f-b1fb-9c59b7beab82","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"2ffeee30-41c3-4399-a5eb-7c4649533624","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"ee185f20-310d-4c1c-ad16-a2f8935d172b","type":"Stack"}},"y":{"field":"fruits"}},"id":"41078ff6-be1a-46ae-90ff-17f425ee6ad7","type":"HBar"},{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[2,1,4,3,2,4],"2016":[5,3,4,2,4,6],"2017":[3,2,4,4,5,3],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"6d0ff4ee-e657-431c-b31a-bbb44dba0e07","type":"ColumnDataSource"},{"attributes":{"fill_color":{"value":"#fee8c8"},"height":{"value":0.9},"left":{"expr":{"id":"76fb3bf5-37a9-48f8-8e6f-8dddeac4729a","type":"Stack"}},"line_color":{"value":"#fee8c8"},"right":{"expr":{"id":"3ef81959-0d93-4d95-891a-553f611a9745","type":"Stack"}},"y":{"field":"fruits"}},"id":"2908591e-dec3-4e82-9b18-2da6950f5e41","type":"HBar"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"f136541d-3567-4187-bb74-9a74e7f81565","type":"BoxAnnotation"},{"attributes":{"fields":["2015"]},"id":"adf7a5e8-95ff-4e21-9e82-56ec09623bfa","type":"Stack"},{"attributes":{"fields":["2015","2016"]},"id":"76fb3bf5-37a9-48f8-8e6f-8dddeac4729a","type":"Stack"},{"attributes":{},"id":"65728130-d2e5-4c29-a4dd-e3fed9c0a1a2","type":"PanTool"},{"attributes":{"fields":[]},"id":"9291b15a-b04c-4717-975d-67de8f885848","type":"Stack"},{"attributes":{"source":{"id":"6d0ff4ee-e657-431c-b31a-bbb44dba0e07","type":"ColumnDataSource"}},"id":"04d8c6fa-2af5-4a2b-b07f-f285381a8425","type":"CDSView"},{"attributes":{"formatter":{"id":"24fd4820-0851-437c-bcdc-02beae741a78","type":"CategoricalTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"032b64cc-fe8e-4e0f-ab9c-82b3a6346608","subtype":"Figure","type":"Plot"},"ticker":{"id":"ba1d28e4-8196-4c77-b4dd-a2820cd8a522","type":"CategoricalTicker"}},"id":"94e773d2-3f51-49e0-bb53-6d13725f1b6d","type":"CategoricalAxis"},{"attributes":{"data_source":{"id":"6d0ff4ee-e657-431c-b31a-bbb44dba0e07","type":"ColumnDataSource"},"glyph":{"id":"72c102f4-5297-4194-ae0a-68cd765c7d21","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"6dbe5432-e114-43fd-846d-748bd1b80d45","type":"HBar"},"selection_glyph":null,"view":{"id":"04d8c6fa-2af5-4a2b-b07f-f285381a8425","type":"CDSView"}},"id":"75d2500e-1697-403b-a257-e2d2b55bc669","type":"GlyphRenderer"},{"attributes":{"plot":null,"text":"Fruit import/export, by year"},"id":"df4252dd-87f6-423a-a306-12304eb8594f","type":"Title"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"65728130-d2e5-4c29-a4dd-e3fed9c0a1a2","type":"PanTool"},{"id":"a9bde453-7dfc-4d68-9a8a-e20f13408dd6","type":"WheelZoomTool"},{"id":"433e0200-e573-469b-9774-95f9da4f35c2","type":"BoxZoomTool"},{"id":"459900bb-c7aa-4e90-9914-637d66cb1921","type":"SaveTool"},{"id":"a33ff2e8-cf31-4c80-8a0f-06453a90fbdd","type":"ResetTool"},{"id":"7d2db0e9-e940-4c30-8fbc-43c63ac17143","type":"HelpTool"}]},"id":"80e63c19-1a40-4a6a-bd06-f9570e6313a9","type":"Toolbar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"76fb3bf5-37a9-48f8-8e6f-8dddeac4729a","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"3ef81959-0d93-4d95-891a-553f611a9745","type":"Stack"}},"y":{"field":"fruits"}},"id":"23188649-4f41-46e5-9c68-fb8d5bec4d9e","type":"HBar"},{"attributes":{},"id":"459900bb-c7aa-4e90-9914-637d66cb1921","type":"SaveTool"},{"attributes":{"label":{"value":"2016 imports"},"renderers":[{"id":"cd5a575e-3514-4145-8872-6bf875495176","type":"GlyphRenderer"}]},"id":"44b2212d-be5c-40d3-ab0f-f973e2c99b20","type":"LegendItem"},{"attributes":{"fields":["2015","2016","2017"]},"id":"06d07b09-7443-4979-ad62-ce8c8e470f8e","type":"Stack"},{"attributes":{"label":{"value":"2017 exports"},"renderers":[{"id":"75d2500e-1697-403b-a257-e2d2b55bc669","type":"GlyphRenderer"}]},"id":"659a7849-920a-47f1-bc3f-f728956bd0b6","type":"LegendItem"},{"attributes":{"data_source":{"id":"b47ea2dd-b20e-4f25-89d2-cf47b38e7b0b","type":"ColumnDataSource"},"glyph":{"id":"ddf848c8-23b1-4925-89f6-9acb472c4e55","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"41078ff6-be1a-46ae-90ff-17f425ee6ad7","type":"HBar"},"selection_glyph":null,"view":{"id":"7122ea16-3122-46c8-bf38-aa23c76f2f87","type":"CDSView"}},"id":"cd5a575e-3514-4145-8872-6bf875495176","type":"GlyphRenderer"},{"attributes":{"source":{"id":"b47ea2dd-b20e-4f25-89d2-cf47b38e7b0b","type":"ColumnDataSource"}},"id":"7122ea16-3122-46c8-bf38-aa23c76f2f87","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"17a434d8-5b6c-413c-8430-7c88f0500f38","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"3c5e8889-49d1-493d-9385-3d81277c9865","type":"Stack"}},"y":{"field":"fruits"}},"id":"ad488d91-48b4-419e-ba83-1b2acc39922a","type":"HBar"},{"attributes":{"callback":null,"end":16,"start":-16},"id":"3f0de4d4-51ef-4988-9b38-30d2b2332f0e","type":"Range1d"},{"attributes":{},"id":"24fd4820-0851-437c-bcdc-02beae741a78","type":"CategoricalTickFormatter"},{"attributes":{},"id":"a33ff2e8-cf31-4c80-8a0f-06453a90fbdd","type":"ResetTool"},{"attributes":{"data_source":{"id":"b47ea2dd-b20e-4f25-89d2-cf47b38e7b0b","type":"ColumnDataSource"},"glyph":{"id":"e5b0caa0-b54d-40d8-bd88-750ea1469821","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e9a26d2d-4c6e-4a70-9a84-b21a3b557dc7","type":"HBar"},"selection_glyph":null,"view":{"id":"d011ab41-87be-473d-b9f9-c7740af49995","type":"CDSView"}},"id":"6dd66aa5-c081-46a6-8013-e72c5512ab9e","type":"GlyphRenderer"},{"attributes":{"label":{"value":"2015 imports"},"renderers":[{"id":"6dd66aa5-c081-46a6-8013-e72c5512ab9e","type":"GlyphRenderer"}]},"id":"db3dbfa9-1778-4066-94b3-b36cc213e491","type":"LegendItem"},{"attributes":{},"id":"ddd2de2c-863e-4b62-8b29-921f07daa0c7","type":"LinearScale"},{"attributes":{"fields":["2015"]},"id":"17a434d8-5b6c-413c-8430-7c88f0500f38","type":"Stack"},{"attributes":{"fields":["2015","2016"]},"id":"ee185f20-310d-4c1c-ad16-a2f8935d172b","type":"Stack"},{"attributes":{},"id":"ba1d28e4-8196-4c77-b4dd-a2820cd8a522","type":"CategoricalTicker"},{"attributes":{"overlay":{"id":"f136541d-3567-4187-bb74-9a74e7f81565","type":"BoxAnnotation"}},"id":"433e0200-e573-469b-9774-95f9da4f35c2","type":"BoxZoomTool"},{"attributes":{},"id":"d7e83c2b-7243-473e-a4da-3ce68ae8e9ec","type":"CategoricalScale"},{"attributes":{"fields":["2015","2016"]},"id":"3c5e8889-49d1-493d-9385-3d81277c9865","type":"Stack"}],"root_ids":["032b64cc-fe8e-4e0f-ab9c-82b3a6346608"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"f232ba1e-b259-42ef-96ec-2a90c71f45ac","elementid":"f639ec41-ea5d-4de2-bd9b-8dae61c81a08","modelid":"032b64cc-fe8e-4e0f-ab9c-82b3a6346608"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
