(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("f1a91d96-d5b8-42be-aef4-9fc1361c76e6");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'f1a91d96-d5b8-42be-aef4-9fc1361c76e6' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"2d9543cb-b807-4c3b-9926-0b1bf783cc20":{"roots":{"references":[{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"bcbc6d68-cc1c-40a4-ab9d-32f2dca7955b","type":"PolyAnnotation"},{"attributes":{},"id":"ec106a9e-232a-4dd0-9e11-2e6a97bf15e5","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"ed3e54c8-b0ec-4fb0-ab66-3f906d764db4","subtype":"Figure","type":"Plot"},"ticker":{"id":"fcdd7c85-fd28-4eb8-9593-642f12cb6a58","type":"BasicTicker"}},"id":"b0ecf2af-8265-497d-bfbc-96a564bc5a0c","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"a3dfbf64-327c-4634-9ff8-8daa1b09c588","type":"PolyAnnotation"},{"attributes":{"children":[{"id":"91210be1-a1be-409c-921e-d97032da32b7","type":"ToolbarBox"},{"id":"493388d2-acec-416e-b1c0-f7c081f05a3b","type":"Column"}]},"id":"16cd5a1e-7044-4750-a58b-56a5c8f6d32d","type":"Column"},{"attributes":{"callback":null,"overlay":{"id":"bcbc6d68-cc1c-40a4-ab9d-32f2dca7955b","type":"PolyAnnotation"}},"id":"636dec81-25ec-49fe-8562-3a9519a82c2a","type":"LassoSelectTool"},{"attributes":{"filters":[{"id":"f5b484e4-228f-4595-a065-f5dc7077ef08","type":"BooleanFilter"}],"source":{"id":"2ca8e615-7d11-4d01-8d5c-79d536698bb0","type":"ColumnDataSource"}},"id":"ca709253-e482-4dcc-8737-a435908b7361","type":"CDSView"},{"attributes":{},"id":"bb5a3ee5-34c1-4e4f-94d0-fb8425c4ad09","type":"LinearScale"},{"attributes":{},"id":"d7e78b46-813e-4873-b859-81de4cde4b79","type":"LinearScale"},{"attributes":{"children":[{"id":"7f8293ea-a305-4aea-aa9b-728087bfd36f","type":"Row"}]},"id":"493388d2-acec-416e-b1c0-f7c081f05a3b","type":"Column"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y0"}},"id":"32db00b9-23dd-410c-8892-87b6c47d914d","type":"Circle"},{"attributes":{"source":{"id":"2ca8e615-7d11-4d01-8d5c-79d536698bb0","type":"ColumnDataSource"}},"id":"5010b466-17db-4fcd-87b6-015b82cda2d5","type":"CDSView"},{"attributes":{"plot":{"id":"60a15298-5741-428f-b798-6943b205bec3","subtype":"Figure","type":"Plot"},"ticker":{"id":"7a379ea0-405a-4cb3-8e8a-5a03fee0ae3b","type":"BasicTicker"}},"id":"63d02a2f-5acc-4a5c-9eb4-247e4dfdd281","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"60a15298-5741-428f-b798-6943b205bec3","subtype":"Figure","type":"Plot"},"ticker":{"id":"f7cc4a3b-3be6-4821-a16f-9a4288004a3f","type":"BasicTicker"}},"id":"8b4a8156-f554-406a-a446-f53a00c99269","type":"Grid"},{"attributes":{},"id":"fcdd7c85-fd28-4eb8-9593-642f12cb6a58","type":"BasicTicker"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y1"}},"id":"d271213d-3eba-4936-b53a-61ebeab1cbc9","type":"Circle"},{"attributes":{"callback":null},"id":"86bb77ed-fd76-4e1e-843a-8061be97ccd8","type":"DataRange1d"},{"attributes":{},"id":"b0a5b423-0230-418e-b3b4-502b9cd34977","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"3e7a57e6-d5ab-43e4-b188-f82d6d77cfcc","type":"LinearAxis"}],"left":[{"id":"c28fd5ae-0192-4133-851d-d297ab3e72f0","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"3e7a57e6-d5ab-43e4-b188-f82d6d77cfcc","type":"LinearAxis"},{"id":"63d02a2f-5acc-4a5c-9eb4-247e4dfdd281","type":"Grid"},{"id":"c28fd5ae-0192-4133-851d-d297ab3e72f0","type":"LinearAxis"},{"id":"8b4a8156-f554-406a-a446-f53a00c99269","type":"Grid"},{"id":"eee14088-11cc-49da-bc3c-c2536a8d4c6f","type":"BoxAnnotation"},{"id":"a3dfbf64-327c-4634-9ff8-8daa1b09c588","type":"PolyAnnotation"},{"id":"81d86ccc-8c7a-4c44-8493-b9b02e7308b9","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"89179462-0b70-4086-ba31-8ddf813e1485","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"86bb77ed-fd76-4e1e-843a-8061be97ccd8","type":"DataRange1d"},"x_scale":{"id":"36a60225-f1bd-4685-bc48-d073e4290144","type":"LinearScale"},"y_range":{"id":"99f5e138-417c-4d0f-ab2d-ed88da204525","type":"DataRange1d"},"y_scale":{"id":"d7e78b46-813e-4873-b859-81de4cde4b79","type":"LinearScale"}},"id":"60a15298-5741-428f-b798-6943b205bec3","subtype":"Figure","type":"Plot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"fa603105-5b36-4dac-b271-a5195d9b37b3","type":"BoxSelectTool"},{"id":"c602dd48-94a2-4d21-993c-b40c0c02b26f","type":"LassoSelectTool"},{"id":"74b5e89a-6abe-4746-9935-3257aa275d57","type":"HoverTool"},{"id":"b0b43e60-9ef5-4f52-b9e1-122bc3765a91","type":"HelpTool"}]},"id":"89179462-0b70-4086-ba31-8ddf813e1485","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["y1","y0","x"],"data":{"x":[-20,-19,-18,-17,-16,-15,-14,-13,-12,-11,-10,-9,-8,-7,-6,-5,-4,-3,-2,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"y0":[20,19,18,17,16,15,14,13,12,11,10,9,8,7,6,5,4,3,2,1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"y1":[400,361,324,289,256,225,196,169,144,121,100,81,64,49,36,25,16,9,4,1,0,1,4,9,16,25,36,49,64,81,100,121,144,169,196,225,256,289,324,361,400]}},"id":"2ca8e615-7d11-4d01-8d5c-79d536698bb0","type":"ColumnDataSource"},{"attributes":{},"id":"36a60225-f1bd-4685-bc48-d073e4290144","type":"LinearScale"},{"attributes":{"callback":null,"overlay":{"id":"a3dfbf64-327c-4634-9ff8-8daa1b09c588","type":"PolyAnnotation"}},"id":"c602dd48-94a2-4d21-993c-b40c0c02b26f","type":"LassoSelectTool"},{"attributes":{"sizing_mode":"scale_width","toolbar_location":"above","tools":[{"id":"fa603105-5b36-4dac-b271-a5195d9b37b3","type":"BoxSelectTool"},{"id":"c602dd48-94a2-4d21-993c-b40c0c02b26f","type":"LassoSelectTool"},{"id":"74b5e89a-6abe-4746-9935-3257aa275d57","type":"HoverTool"},{"id":"b0b43e60-9ef5-4f52-b9e1-122bc3765a91","type":"HelpTool"},{"id":"d2edf3a5-722e-4aa0-9bb7-2d9fa508524a","type":"BoxSelectTool"},{"id":"636dec81-25ec-49fe-8562-3a9519a82c2a","type":"LassoSelectTool"},{"id":"63adbd3c-e333-4fba-8bc2-7dca8a534f89","type":"HoverTool"},{"id":"53b7687c-ec76-4fbc-adb2-7bf4b8a623f5","type":"HelpTool"}]},"id":"91210be1-a1be-409c-921e-d97032da32b7","type":"ToolbarBox"},{"attributes":{"formatter":{"id":"358559d6-1e05-4e52-b2d2-aeb1fed241c3","type":"BasicTickFormatter"},"plot":{"id":"60a15298-5741-428f-b798-6943b205bec3","subtype":"Figure","type":"Plot"},"ticker":{"id":"7a379ea0-405a-4cb3-8e8a-5a03fee0ae3b","type":"BasicTicker"}},"id":"3e7a57e6-d5ab-43e4-b188-f82d6d77cfcc","type":"LinearAxis"},{"attributes":{"callback":null},"id":"d848d4db-65e7-4d3d-a659-830d4176948c","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"d2edf3a5-722e-4aa0-9bb7-2d9fa508524a","type":"BoxSelectTool"},{"id":"636dec81-25ec-49fe-8562-3a9519a82c2a","type":"LassoSelectTool"},{"id":"63adbd3c-e333-4fba-8bc2-7dca8a534f89","type":"HoverTool"},{"id":"53b7687c-ec76-4fbc-adb2-7bf4b8a623f5","type":"HelpTool"}]},"id":"f62dbee1-d038-478c-9290-36ed75d4dba5","type":"Toolbar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y1"}},"id":"ff828888-5939-43fb-ab48-0a3bc07c2f74","type":"Circle"},{"attributes":{},"id":"7a379ea0-405a-4cb3-8e8a-5a03fee0ae3b","type":"BasicTicker"},{"attributes":{},"id":"f7cc4a3b-3be6-4821-a16f-9a4288004a3f","type":"BasicTicker"},{"attributes":{"formatter":{"id":"b0a5b423-0230-418e-b3b4-502b9cd34977","type":"BasicTickFormatter"},"plot":{"id":"60a15298-5741-428f-b798-6943b205bec3","subtype":"Figure","type":"Plot"},"ticker":{"id":"f7cc4a3b-3be6-4821-a16f-9a4288004a3f","type":"BasicTicker"}},"id":"c28fd5ae-0192-4133-851d-d297ab3e72f0","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"eee14088-11cc-49da-bc3c-c2536a8d4c6f","type":"BoxAnnotation"},{"attributes":{"data_source":{"id":"2ca8e615-7d11-4d01-8d5c-79d536698bb0","type":"ColumnDataSource"},"glyph":{"id":"d271213d-3eba-4936-b53a-61ebeab1cbc9","type":"Circle"},"hover_glyph":{"id":"3f036a58-f1c5-418a-8be2-06c053cc7e1e","type":"Circle"},"muted_glyph":null,"nonselection_glyph":{"id":"ff828888-5939-43fb-ab48-0a3bc07c2f74","type":"Circle"},"selection_glyph":null,"view":{"id":"ca709253-e482-4dcc-8737-a435908b7361","type":"CDSView"}},"id":"2e2e0538-405e-4ce1-9f5b-f3a043c1d18c","type":"GlyphRenderer"},{"attributes":{"fill_color":{"value":"firebrick"},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y1"}},"id":"3f036a58-f1c5-418a-8be2-06c053cc7e1e","type":"Circle"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y0"}},"id":"6d668514-1b95-4bfb-a6ed-e2f97b49a39c","type":"Circle"},{"attributes":{"booleans":[true,true,true,true,true,false,false,false,false,false,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,false,false,false,false,false,true,true,true,true,true]},"id":"f5b484e4-228f-4595-a065-f5dc7077ef08","type":"BooleanFilter"},{"attributes":{},"id":"6412ae92-05c6-42d8-9639-8f4503d109e8","type":"LinearScale"},{"attributes":{},"id":"358559d6-1e05-4e52-b2d2-aeb1fed241c3","type":"BasicTickFormatter"},{"attributes":{},"id":"9c9caa31-b74d-47e5-b3e6-e73afd1d5ab4","type":"BasicTickFormatter"},{"attributes":{},"id":"b0b43e60-9ef5-4f52-b9e1-122bc3765a91","type":"HelpTool"},{"attributes":{"fill_color":{"value":"firebrick"},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y0"}},"id":"13a7260d-aca6-49bc-bca1-392b88d6219e","type":"Circle"},{"attributes":{"data_source":{"id":"2ca8e615-7d11-4d01-8d5c-79d536698bb0","type":"ColumnDataSource"},"glyph":{"id":"32db00b9-23dd-410c-8892-87b6c47d914d","type":"Circle"},"hover_glyph":{"id":"13a7260d-aca6-49bc-bca1-392b88d6219e","type":"Circle"},"muted_glyph":null,"nonselection_glyph":{"id":"6d668514-1b95-4bfb-a6ed-e2f97b49a39c","type":"Circle"},"selection_glyph":null,"view":{"id":"5010b466-17db-4fcd-87b6-015b82cda2d5","type":"CDSView"}},"id":"81d86ccc-8c7a-4c44-8493-b9b02e7308b9","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"63adbd3c-e333-4fba-8bc2-7dca8a534f89","type":"HoverTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"198ba715-c9ab-4403-815b-f405027deb81","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"74b5e89a-6abe-4746-9935-3257aa275d57","type":"HoverTool"},{"attributes":{"callback":null},"id":"08661275-327d-4758-9903-82ec61c8cd77","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"ed3e54c8-b0ec-4fb0-ab66-3f906d764db4","subtype":"Figure","type":"Plot"},"ticker":{"id":"ed79e187-89d9-423a-8fa1-711c1608f29a","type":"BasicTicker"}},"id":"eb113e66-7ded-40dd-84d2-380df5bb4e00","type":"Grid"},{"attributes":{"callback":null,"overlay":{"id":"eee14088-11cc-49da-bc3c-c2536a8d4c6f","type":"BoxAnnotation"},"renderers":[{"id":"81d86ccc-8c7a-4c44-8493-b9b02e7308b9","type":"GlyphRenderer"}]},"id":"fa603105-5b36-4dac-b271-a5195d9b37b3","type":"BoxSelectTool"},{"attributes":{"formatter":{"id":"9c9caa31-b74d-47e5-b3e6-e73afd1d5ab4","type":"BasicTickFormatter"},"plot":{"id":"ed3e54c8-b0ec-4fb0-ab66-3f906d764db4","subtype":"Figure","type":"Plot"},"ticker":{"id":"ed79e187-89d9-423a-8fa1-711c1608f29a","type":"BasicTicker"}},"id":"ac6d0329-63f0-497f-91ff-40ec5cd78b33","type":"LinearAxis"},{"attributes":{},"id":"53b7687c-ec76-4fbc-adb2-7bf4b8a623f5","type":"HelpTool"},{"attributes":{"formatter":{"id":"ec106a9e-232a-4dd0-9e11-2e6a97bf15e5","type":"BasicTickFormatter"},"plot":{"id":"ed3e54c8-b0ec-4fb0-ab66-3f906d764db4","subtype":"Figure","type":"Plot"},"ticker":{"id":"fcdd7c85-fd28-4eb8-9593-642f12cb6a58","type":"BasicTicker"}},"id":"725ad57d-33ff-4f69-818b-52b4af3f1bce","type":"LinearAxis"},{"attributes":{"callback":null},"id":"99f5e138-417c-4d0f-ab2d-ed88da204525","type":"DataRange1d"},{"attributes":{"children":[{"id":"60a15298-5741-428f-b798-6943b205bec3","subtype":"Figure","type":"Plot"},{"id":"ed3e54c8-b0ec-4fb0-ab66-3f906d764db4","subtype":"Figure","type":"Plot"}]},"id":"7f8293ea-a305-4aea-aa9b-728087bfd36f","type":"Row"},{"attributes":{},"id":"ed79e187-89d9-423a-8fa1-711c1608f29a","type":"BasicTicker"},{"attributes":{"below":[{"id":"725ad57d-33ff-4f69-818b-52b4af3f1bce","type":"LinearAxis"}],"left":[{"id":"ac6d0329-63f0-497f-91ff-40ec5cd78b33","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"725ad57d-33ff-4f69-818b-52b4af3f1bce","type":"LinearAxis"},{"id":"b0ecf2af-8265-497d-bfbc-96a564bc5a0c","type":"Grid"},{"id":"ac6d0329-63f0-497f-91ff-40ec5cd78b33","type":"LinearAxis"},{"id":"eb113e66-7ded-40dd-84d2-380df5bb4e00","type":"Grid"},{"id":"198ba715-c9ab-4403-815b-f405027deb81","type":"BoxAnnotation"},{"id":"bcbc6d68-cc1c-40a4-ab9d-32f2dca7955b","type":"PolyAnnotation"},{"id":"2e2e0538-405e-4ce1-9f5b-f3a043c1d18c","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"f62dbee1-d038-478c-9290-36ed75d4dba5","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"d848d4db-65e7-4d3d-a659-830d4176948c","type":"DataRange1d"},"x_scale":{"id":"bb5a3ee5-34c1-4e4f-94d0-fb8425c4ad09","type":"LinearScale"},"y_range":{"id":"08661275-327d-4758-9903-82ec61c8cd77","type":"DataRange1d"},"y_scale":{"id":"6412ae92-05c6-42d8-9639-8f4503d109e8","type":"LinearScale"}},"id":"ed3e54c8-b0ec-4fb0-ab66-3f906d764db4","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"overlay":{"id":"198ba715-c9ab-4403-815b-f405027deb81","type":"BoxAnnotation"},"renderers":[{"id":"2e2e0538-405e-4ce1-9f5b-f3a043c1d18c","type":"GlyphRenderer"}]},"id":"d2edf3a5-722e-4aa0-9bb7-2d9fa508524a","type":"BoxSelectTool"}],"root_ids":["16cd5a1e-7044-4750-a58b-56a5c8f6d32d"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"2d9543cb-b807-4c3b-9926-0b1bf783cc20","elementid":"f1a91d96-d5b8-42be-aef4-9fc1361c76e6","modelid":"16cd5a1e-7044-4750-a58b-56a5c8f6d32d"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
