(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("01e2201b-57dd-4583-9211-0ab43a7663ae");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '01e2201b-57dd-4583-9211-0ab43a7663ae' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"0e7388f9-fb1b-46ed-84a6-7969874aceac":{"roots":{"references":[{"attributes":{"callback":null,"start":0},"id":"38f074f8-dd7d-4f3a-bf6b-1745deed23c5","type":"DataRange1d"},{"attributes":{"data_source":{"id":"78c7fbda-b733-41f3-96a3-63059e5a019a","type":"ColumnDataSource"},"glyph":{"id":"7ac9bb5b-dcfe-4ecd-89ea-e290f6ccde35","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7d5355d6-deb2-4102-984b-24bd0bcef40c","type":"VBar"},"selection_glyph":null,"view":{"id":"1d340fd4-298d-4e44-a9d6-ed77ec1bef5c","type":"CDSView"}},"id":"e1f67007-9884-4a89-9e1f-6f663a5080bc","type":"GlyphRenderer"},{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"550fecfb-8692-4646-a299-876d4b528eb2","type":"Title"},{"attributes":{},"id":"a0a1b906-97ac-4f7b-9571-d4dbeb4e1ad1","type":"LinearScale"},{"attributes":{"callback":null,"factors":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]],"range_padding":0.1},"id":"28f08e6e-a101-4feb-807e-5f8db9c68d94","type":"FactorRange"},{"attributes":{},"id":"46c5c591-45dd-427f-91ae-86f69f6386b3","type":"CategoricalTickFormatter"},{"attributes":{"source":{"id":"78c7fbda-b733-41f3-96a3-63059e5a019a","type":"ColumnDataSource"}},"id":"1d340fd4-298d-4e44-a9d6-ed77ec1bef5c","type":"CDSView"},{"attributes":{},"id":"5755b97a-5e2d-482b-9b51-a5ff1a155f27","type":"CategoricalScale"},{"attributes":{"callback":null,"column_names":["x","counts"],"data":{"counts":[2,5,3,1,3,2,4,3,4,3,2,4,2,4,5,4,6,3],"x":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]]}},"id":"78c7fbda-b733-41f3-96a3-63059e5a019a","type":"ColumnDataSource"},{"attributes":{},"id":"bbb8919a-8309-4a25-8676-3ca2168eeaf7","type":"BasicTickFormatter"},{"attributes":{},"id":"7b409e82-f469-4331-abe0-57eafffd7626","type":"CategoricalTicker"},{"attributes":{"formatter":{"id":"46c5c591-45dd-427f-91ae-86f69f6386b3","type":"CategoricalTickFormatter"},"major_label_orientation":1,"plot":{"id":"ec8e6239-bd70-4e4c-896e-f7c4a398cbf6","subtype":"Figure","type":"Plot"},"ticker":{"id":"7b409e82-f469-4331-abe0-57eafffd7626","type":"CategoricalTicker"}},"id":"dae11cb1-a9ee-45a3-a83e-b1776e4519ca","type":"CategoricalAxis"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"ec8e6239-bd70-4e4c-896e-f7c4a398cbf6","subtype":"Figure","type":"Plot"},"ticker":{"id":"7b409e82-f469-4331-abe0-57eafffd7626","type":"CategoricalTicker"}},"id":"850922af-f9bd-4852-a384-723bc849f88f","type":"Grid"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"7ac9bb5b-dcfe-4ecd-89ea-e290f6ccde35","type":"VBar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"7d5355d6-deb2-4102-984b-24bd0bcef40c","type":"VBar"},{"attributes":{},"id":"511da9a0-3a5d-473a-b71f-f43f02dc7983","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"ec8e6239-bd70-4e4c-896e-f7c4a398cbf6","subtype":"Figure","type":"Plot"},"ticker":{"id":"511da9a0-3a5d-473a-b71f-f43f02dc7983","type":"BasicTicker"}},"id":"cdbdcb38-6ace-41a4-ad25-60c1a7ff67b4","type":"Grid"},{"attributes":{"below":[{"id":"dae11cb1-a9ee-45a3-a83e-b1776e4519ca","type":"CategoricalAxis"}],"left":[{"id":"f1c7b5ca-27fb-4f29-ae97-7841114df739","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"dae11cb1-a9ee-45a3-a83e-b1776e4519ca","type":"CategoricalAxis"},{"id":"850922af-f9bd-4852-a384-723bc849f88f","type":"Grid"},{"id":"f1c7b5ca-27fb-4f29-ae97-7841114df739","type":"LinearAxis"},{"id":"cdbdcb38-6ace-41a4-ad25-60c1a7ff67b4","type":"Grid"},{"id":"e1f67007-9884-4a89-9e1f-6f663a5080bc","type":"GlyphRenderer"}],"title":{"id":"550fecfb-8692-4646-a299-876d4b528eb2","type":"Title"},"toolbar":{"id":"c0b95db3-a9aa-4e0e-a3e4-fef48d8ae4ca","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"28f08e6e-a101-4feb-807e-5f8db9c68d94","type":"FactorRange"},"x_scale":{"id":"5755b97a-5e2d-482b-9b51-a5ff1a155f27","type":"CategoricalScale"},"y_range":{"id":"38f074f8-dd7d-4f3a-bf6b-1745deed23c5","type":"DataRange1d"},"y_scale":{"id":"a0a1b906-97ac-4f7b-9571-d4dbeb4e1ad1","type":"LinearScale"}},"id":"ec8e6239-bd70-4e4c-896e-f7c4a398cbf6","subtype":"Figure","type":"Plot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"c0b95db3-a9aa-4e0e-a3e4-fef48d8ae4ca","type":"Toolbar"},{"attributes":{"formatter":{"id":"bbb8919a-8309-4a25-8676-3ca2168eeaf7","type":"BasicTickFormatter"},"plot":{"id":"ec8e6239-bd70-4e4c-896e-f7c4a398cbf6","subtype":"Figure","type":"Plot"},"ticker":{"id":"511da9a0-3a5d-473a-b71f-f43f02dc7983","type":"BasicTicker"}},"id":"f1c7b5ca-27fb-4f29-ae97-7841114df739","type":"LinearAxis"}],"root_ids":["ec8e6239-bd70-4e4c-896e-f7c4a398cbf6"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"0e7388f9-fb1b-46ed-84a6-7969874aceac","elementid":"01e2201b-57dd-4583-9211-0ab43a7663ae","modelid":"ec8e6239-bd70-4e4c-896e-f7c4a398cbf6"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
