(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("babe3651-1928-40c8-b1db-00da723d92f0");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'babe3651-1928-40c8-b1db-00da723d92f0' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"6fc46818-86b7-4200-8644-9c827b501930":{"roots":{"references":[{"attributes":{"callback":null,"end":20.5,"start":-0.5},"id":"e5501226-c9c9-461d-abee-606a721efee4","type":"Range1d"},{"attributes":{"dimension":1,"plot":{"id":"fef7c6b4-3f41-4000-98d6-ab32f66c353e","type":"Plot"},"ticker":{"id":"1d07c9ba-117e-4a9a-8954-34496537b3f1","type":"BasicTicker"}},"id":"f6bf05ad-30d3-4931-ac7b-4179fca2f6d6","type":"Grid"},{"attributes":{},"id":"9d046f9d-f9ad-4906-890e-838b6c4f317c","type":"LinearScale"},{"attributes":{"axis_line_color":{"value":null},"formatter":{"id":"0bd31517-efee-476f-a6bb-270c26bcc475","type":"BasicTickFormatter"},"plot":{"id":"43e05871-f372-4e95-a38e-c943a845566c","type":"Plot"},"ticker":{"id":"f3299772-b22e-4e64-8af3-9a0f84932f1c","type":"BasicTicker"}},"id":"a63c4255-9536-4e30-b0e4-17c814ab616a","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#cc6633"},"line_color":{"value":"#cc6633"},"size":{"units":"screen","value":12},"x":{"field":"xii"},"y":{"field":"yii"}},"id":"e20ddc15-4a71-4a4b-9ba1-e835841d95de","type":"Circle"},{"attributes":{"plot":null,"text":"II"},"id":"333c516e-a1f7-4558-8821-c20bf268b21e","type":"Title"},{"attributes":{},"id":"0bd31517-efee-476f-a6bb-270c26bcc475","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"d886568f-19e0-409e-ab86-fcbdb8cf5652","type":"ColumnDataSource"}},"id":"909a21f3-57d4-47a3-991a-d637fb41c880","type":"CDSView"},{"attributes":{"line_color":{"value":"#666699"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"38f90ad3-7033-45d3-80d4-ddd133a67428","type":"Line"},{"attributes":{},"id":"f3299772-b22e-4e64-8af3-9a0f84932f1c","type":"BasicTicker"},{"attributes":{"data_source":{"id":"d886568f-19e0-409e-ab86-fcbdb8cf5652","type":"ColumnDataSource"},"glyph":{"id":"5f808238-f2b6-4dfc-82b0-e6da8cff5c1a","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"7602f2c2-8c65-484d-afbb-9810919045b3","type":"CDSView"}},"id":"509debf6-ff1b-4105-906d-18cc455306e8","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#cc6633"},"line_color":{"value":"#cc6633"},"size":{"units":"screen","value":12},"x":{"field":"xiv"},"y":{"field":"yiv"}},"id":"e7d2f9bc-b7d8-4aec-9e8e-7d95d6518c40","type":"Circle"},{"attributes":{"background_fill_color":{"value":"#e9e0db"},"below":[{"id":"8c9671ab-43b9-4dd4-a8d2-8b2575feaf6a","type":"LinearAxis"}],"border_fill_color":{"value":"white"},"left":[{"id":"d80fb01b-425e-41c6-9404-540a0e518527","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"8c9671ab-43b9-4dd4-a8d2-8b2575feaf6a","type":"LinearAxis"},{"id":"d80fb01b-425e-41c6-9404-540a0e518527","type":"LinearAxis"},{"id":"d63ea51a-c2ad-4628-9cd8-bc860e036a16","type":"Grid"},{"id":"411fe5bb-0d13-4c4d-862e-22cecc214d85","type":"Grid"},{"id":"28128cec-af47-4c4d-ac80-aa2eb71fc442","type":"GlyphRenderer"},{"id":"154c52e7-a88b-4281-a204-82b57a32dce9","type":"GlyphRenderer"}],"title":{"id":"333c516e-a1f7-4558-8821-c20bf268b21e","type":"Title"},"toolbar":{"id":"a9bf96fd-c938-4a01-8c3b-14772ab2e182","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"7a42331c-cc2f-4679-8c7b-37917c4fc840","type":"Range1d"},"x_scale":{"id":"9d046f9d-f9ad-4906-890e-838b6c4f317c","type":"LinearScale"},"y_range":{"id":"e5501226-c9c9-461d-abee-606a721efee4","type":"Range1d"},"y_scale":{"id":"7592b52c-b7cf-4d42-8127-2a19ca506742","type":"LinearScale"}},"id":"3fde5c98-7927-4acf-a1a4-666e83a59848","type":"Plot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"3be3723a-0863-471c-acd3-d6656c4293b6","type":"Toolbar"},{"attributes":{"axis_line_color":{"value":null},"formatter":{"id":"92930838-951b-484c-8957-2b2e45105797","type":"BasicTickFormatter"},"plot":{"id":"fef7c6b4-3f41-4000-98d6-ab32f66c353e","type":"Plot"},"ticker":{"id":"1d07c9ba-117e-4a9a-8954-34496537b3f1","type":"BasicTicker"}},"id":"3dfa8b0c-bd12-496e-8f1b-d2c97cbe3ab0","type":"LinearAxis"},{"attributes":{"plot":null,"text":"IV"},"id":"5c4d203e-01f4-4653-8926-286c3e0a700d","type":"Title"},{"attributes":{},"id":"750d1c77-bfc5-4b9f-82b6-d84dda3b9d62","type":"LinearScale"},{"attributes":{"axis_line_color":{"value":null},"formatter":{"id":"68811c28-6a52-447e-96e5-8f1fa55e90e0","type":"BasicTickFormatter"},"plot":{"id":"3fde5c98-7927-4acf-a1a4-666e83a59848","type":"Plot"},"ticker":{"id":"269f36bd-afb0-4025-bd0c-d41023b46aee","type":"BasicTicker"}},"id":"d80fb01b-425e-41c6-9404-540a0e518527","type":"LinearAxis"},{"attributes":{"data_source":{"id":"d886568f-19e0-409e-ab86-fcbdb8cf5652","type":"ColumnDataSource"},"glyph":{"id":"e7d2f9bc-b7d8-4aec-9e8e-7d95d6518c40","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"9408f3f7-427c-4450-9470-e0d80f8f555a","type":"CDSView"}},"id":"d657fe3a-9160-4566-a33b-ec515c281575","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"d886568f-19e0-409e-ab86-fcbdb8cf5652","type":"ColumnDataSource"},"glyph":{"id":"e20ddc15-4a71-4a4b-9ba1-e835841d95de","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"909a21f3-57d4-47a3-991a-d637fb41c880","type":"CDSView"}},"id":"154c52e7-a88b-4281-a204-82b57a32dce9","type":"GlyphRenderer"},{"attributes":{},"id":"06a26342-9665-498d-8f6b-4b51934e5d67","type":"BasicTicker"},{"attributes":{},"id":"b9c63fef-94f1-4cce-a69c-8c7e8bc1460a","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"43e05871-f372-4e95-a38e-c943a845566c","type":"Plot"},"ticker":{"id":"75a2da34-960a-46bb-bc66-eaca40673528","type":"BasicTicker"}},"id":"96611262-a657-4ba1-a494-185556de5425","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"8dc11240-3f5a-459a-b33e-8b0d7236df9a","type":"Toolbar"},{"attributes":{"axis_line_color":{"value":null},"formatter":{"id":"29dfd9fb-dc2c-428e-8ecf-5258410e5e61","type":"BasicTickFormatter"},"plot":{"id":"3fde5c98-7927-4acf-a1a4-666e83a59848","type":"Plot"},"ticker":{"id":"5f83deb7-2d42-40c8-8e47-e2abc2153b92","type":"BasicTicker"}},"id":"8c9671ab-43b9-4dd4-a8d2-8b2575feaf6a","type":"LinearAxis"},{"attributes":{},"id":"cb93777a-5615-412d-bd07-6737f9ffd894","type":"BasicTickFormatter"},{"attributes":{},"id":"f930ef44-1af2-45b0-803e-e1cd723dcd54","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":{"__ndarray__":"AAAAAAAA4L9WVVVVVVX9P6uqqqqqqhBAAAAAAAAAGkCrqqqqqqohQFZVVVVVVSZAAAAAAAAAK0CsqqqqqqovQKuqqqqqKjJAAAAAAACANEA=","dtype":"float64","shape":[10]},"y":{"__ndarray__":"AAAAAAAABkBWVVVVVVUPQFZVVVVVVRRAAAAAAAAAGUCrqqqqqqodQKuqqqqqKiFAAAAAAACAI0BWVVVVVdUlQKuqqqqqKihAAAAAAACAKkA=","dtype":"float64","shape":[10]}}},"id":"ff3bbb7e-c3f2-4961-b210-472a4a0f7d76","type":"ColumnDataSource"},{"attributes":{},"id":"68811c28-6a52-447e-96e5-8f1fa55e90e0","type":"BasicTickFormatter"},{"attributes":{},"id":"c504cb0a-1cdd-4cf3-811b-093204b45775","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"86b840be-2f31-4ea1-8c97-764a05fe9d59","type":"Plot"},"ticker":{"id":"06a26342-9665-498d-8f6b-4b51934e5d67","type":"BasicTicker"}},"id":"59c89728-f289-4f52-ab18-42170094a1d7","type":"Grid"},{"attributes":{"source":{"id":"d886568f-19e0-409e-ab86-fcbdb8cf5652","type":"ColumnDataSource"}},"id":"7602f2c2-8c65-484d-afbb-9810919045b3","type":"CDSView"},{"attributes":{"plot":null,"text":"III"},"id":"b59b9419-b647-404d-adcc-835c069e0b37","type":"Title"},{"attributes":{"background_fill_color":{"value":"#e9e0db"},"below":[{"id":"1f00dbf5-f445-485a-a0b2-7673f4901551","type":"LinearAxis"}],"border_fill_color":{"value":"white"},"left":[{"id":"3dfa8b0c-bd12-496e-8f1b-d2c97cbe3ab0","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"1f00dbf5-f445-485a-a0b2-7673f4901551","type":"LinearAxis"},{"id":"3dfa8b0c-bd12-496e-8f1b-d2c97cbe3ab0","type":"LinearAxis"},{"id":"cec80622-1595-496b-be6f-b72de23247b1","type":"Grid"},{"id":"f6bf05ad-30d3-4931-ac7b-4179fca2f6d6","type":"Grid"},{"id":"1524e7a3-cc4d-427b-956e-0d6f9a1311d7","type":"GlyphRenderer"},{"id":"509debf6-ff1b-4105-906d-18cc455306e8","type":"GlyphRenderer"}],"title":{"id":"b59b9419-b647-404d-adcc-835c069e0b37","type":"Title"},"toolbar":{"id":"f2ff93bb-8cbd-441f-813c-5e5130756e2e","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"7a42331c-cc2f-4679-8c7b-37917c4fc840","type":"Range1d"},"x_scale":{"id":"03e8a268-bff2-4e2f-861f-1889e7779593","type":"LinearScale"},"y_range":{"id":"e5501226-c9c9-461d-abee-606a721efee4","type":"Range1d"},"y_scale":{"id":"51a75ce4-8d71-4c84-b0cf-f3638f5b2b19","type":"LinearScale"}},"id":"fef7c6b4-3f41-4000-98d6-ab32f66c353e","type":"Plot"},{"attributes":{"callback":null,"end":20.5,"start":-0.5},"id":"7a42331c-cc2f-4679-8c7b-37917c4fc840","type":"Range1d"},{"attributes":{},"id":"e67d85f0-e7aa-4003-b84a-7fd91503e73b","type":"BasicTicker"},{"attributes":{},"id":"2e265a88-96ad-45a3-bcf3-88a88ef928b7","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#cc6633"},"line_color":{"value":"#cc6633"},"size":{"units":"screen","value":12},"x":{"field":"xiii"},"y":{"field":"yiii"}},"id":"5f808238-f2b6-4dfc-82b0-e6da8cff5c1a","type":"Circle"},{"attributes":{"source":{"id":"ff3bbb7e-c3f2-4961-b210-472a4a0f7d76","type":"ColumnDataSource"}},"id":"f40568a6-6ebb-4cf4-ae39-5554a958f483","type":"CDSView"},{"attributes":{},"id":"92930838-951b-484c-8957-2b2e45105797","type":"BasicTickFormatter"},{"attributes":{"axis_line_color":{"value":null},"formatter":{"id":"c504cb0a-1cdd-4cf3-811b-093204b45775","type":"BasicTickFormatter"},"plot":{"id":"86b840be-2f31-4ea1-8c97-764a05fe9d59","type":"Plot"},"ticker":{"id":"06a26342-9665-498d-8f6b-4b51934e5d67","type":"BasicTicker"}},"id":"ac12012b-b179-4038-ac4a-05a0251c178b","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["yiii","yi","xi","xii","yii","yiv","xiv","xiii"],"data":{"xi":{"__ndarray__":"AAAAAAAAJEAAAAAAAAAgQAAAAAAAACpAAAAAAAAAIkAAAAAAAAAmQAAAAAAAACxAAAAAAAAAGEAAAAAAAAAQQAAAAAAAAChAAAAAAAAAHEAAAAAAAAAUQA==","dtype":"float64","shape":[11]},"xii":{"__ndarray__":"AAAAAAAAJEAAAAAAAAAgQAAAAAAAACpAAAAAAAAAIkAAAAAAAAAmQAAAAAAAACxAAAAAAAAAGEAAAAAAAAAQQAAAAAAAAChAAAAAAAAAHEAAAAAAAAAUQA==","dtype":"float64","shape":[11]},"xiii":{"__ndarray__":"AAAAAAAAJEAAAAAAAAAgQAAAAAAAACpAAAAAAAAAIkAAAAAAAAAmQAAAAAAAACxAAAAAAAAAGEAAAAAAAAAQQAAAAAAAAChAAAAAAAAAHEAAAAAAAAAUQA==","dtype":"float64","shape":[11]},"xiv":{"__ndarray__":"AAAAAAAAIEAAAAAAAAAgQAAAAAAAACBAAAAAAAAAIEAAAAAAAAAgQAAAAAAAACBAAAAAAAAAIEAAAAAAAAAzQAAAAAAAACBAAAAAAAAAIEAAAAAAAAAgQA==","dtype":"float64","shape":[11]},"yi":{"__ndarray__":"FK5H4XoUIEDNzMzMzMwbQFK4HoXrUR5AH4XrUbieIUApXI/C9aggQOxRuB6F6yNA9ihcj8L1HEAK16NwPQoRQK5H4XoUriVASOF6FK5HE0C4HoXrUbgWQA==","dtype":"float64","shape":[11]},"yii":{"__ndarray__":"SOF6FK5HIkBI4XoUrkcgQHsUrkfheiFACtejcD2KIUCF61G4HoUiQDMzMzMzMyBAhetRuB6FGEDNzMzMzMwIQMP1KFyPQiJACtejcD0KHUD2KFyPwvUSQA==","dtype":"float64","shape":[11]},"yiii":{"__ndarray__":"16NwPQrXHUAUrkfhehQbQHsUrkfheilAcT0K16NwHEA9CtejcD0fQK5H4XoUriFAUrgehetRGECPwvUoXI8VQM3MzMzMTCBArkfhehSuGUDsUbgehesWQA==","dtype":"float64","shape":[11]},"yiv":{"__ndarray__":"UrgehetRGkAK16NwPQoXQNejcD0K1x5ArkfhehSuIUBxPQrXo/AgQClcj8L1KBxAAAAAAAAAFUAAAAAAAAApQD0K16NwPRZApHA9CtejH0CPwvUoXI8bQA==","dtype":"float64","shape":[11]}}},"id":"d886568f-19e0-409e-ab86-fcbdb8cf5652","type":"ColumnDataSource"},{"attributes":{},"id":"269f36bd-afb0-4025-bd0c-d41023b46aee","type":"BasicTicker"},{"attributes":{"children":[{"id":"86b840be-2f31-4ea1-8c97-764a05fe9d59","type":"Plot"},{"id":"3fde5c98-7927-4acf-a1a4-666e83a59848","type":"Plot"}]},"id":"32e4035b-8c4c-4216-a59d-3faf30eb2ce0","type":"Row"},{"attributes":{"line_color":{"value":"#666699"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"02c6b524-3ee8-424e-8dea-4af2aa3c5e0c","type":"Line"},{"attributes":{"plot":{"id":"fef7c6b4-3f41-4000-98d6-ab32f66c353e","type":"Plot"},"ticker":{"id":"2e265a88-96ad-45a3-bcf3-88a88ef928b7","type":"BasicTicker"}},"id":"cec80622-1595-496b-be6f-b72de23247b1","type":"Grid"},{"attributes":{"data_source":{"id":"ff3bbb7e-c3f2-4961-b210-472a4a0f7d76","type":"ColumnDataSource"},"glyph":{"id":"4b622619-4e8c-4a4b-be95-bde3810854ee","type":"Line"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"101d786a-535f-4d86-b8b1-2561b4810648","type":"CDSView"}},"id":"1524e7a3-cc4d-427b-956e-0d6f9a1311d7","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"a9bf96fd-c938-4a01-8c3b-14772ab2e182","type":"Toolbar"},{"attributes":{},"id":"75a2da34-960a-46bb-bc66-eaca40673528","type":"BasicTicker"},{"attributes":{"data_source":{"id":"ff3bbb7e-c3f2-4961-b210-472a4a0f7d76","type":"ColumnDataSource"},"glyph":{"id":"38f90ad3-7033-45d3-80d4-ddd133a67428","type":"Line"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"1479d8ed-8be9-4eb7-920a-208c30c59e5a","type":"CDSView"}},"id":"78f3e8d5-3a66-47ec-a38e-b42a7d937b37","type":"GlyphRenderer"},{"attributes":{"line_color":{"value":"#666699"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"4b622619-4e8c-4a4b-be95-bde3810854ee","type":"Line"},{"attributes":{},"id":"d2f93c7b-36ed-4625-bba7-dec2f158921f","type":"LinearScale"},{"attributes":{"background_fill_color":{"value":"#e9e0db"},"below":[{"id":"ac12012b-b179-4038-ac4a-05a0251c178b","type":"LinearAxis"}],"border_fill_color":{"value":"white"},"left":[{"id":"a0182396-2604-43e5-9faf-48f05bddac96","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"ac12012b-b179-4038-ac4a-05a0251c178b","type":"LinearAxis"},{"id":"a0182396-2604-43e5-9faf-48f05bddac96","type":"LinearAxis"},{"id":"59c89728-f289-4f52-ab18-42170094a1d7","type":"Grid"},{"id":"7fccf50e-2188-445e-a9bc-2fda4993b7f3","type":"Grid"},{"id":"26677eaa-e63b-4d85-b5ba-33a20fc79c0d","type":"GlyphRenderer"},{"id":"48fc476c-f2c2-4a25-9fdc-b73c6ddb4e75","type":"GlyphRenderer"}],"title":{"id":"8b9cf778-950c-444a-a7a2-7878b8a6ae82","type":"Title"},"toolbar":{"id":"8dc11240-3f5a-459a-b33e-8b0d7236df9a","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"7a42331c-cc2f-4679-8c7b-37917c4fc840","type":"Range1d"},"x_scale":{"id":"750d1c77-bfc5-4b9f-82b6-d84dda3b9d62","type":"LinearScale"},"y_range":{"id":"e5501226-c9c9-461d-abee-606a721efee4","type":"Range1d"},"y_scale":{"id":"e44a3126-2c92-4185-aa9e-aa6aacd7257d","type":"LinearScale"}},"id":"86b840be-2f31-4ea1-8c97-764a05fe9d59","type":"Plot"},{"attributes":{},"id":"03e8a268-bff2-4e2f-861f-1889e7779593","type":"LinearScale"},{"attributes":{"axis_line_color":{"value":null},"formatter":{"id":"b9c63fef-94f1-4cce-a69c-8c7e8bc1460a","type":"BasicTickFormatter"},"plot":{"id":"43e05871-f372-4e95-a38e-c943a845566c","type":"Plot"},"ticker":{"id":"75a2da34-960a-46bb-bc66-eaca40673528","type":"BasicTicker"}},"id":"144260da-2ea7-4a34-bf50-f6233b88f519","type":"LinearAxis"},{"attributes":{"background_fill_color":{"value":"#e9e0db"},"below":[{"id":"a63c4255-9536-4e30-b0e4-17c814ab616a","type":"LinearAxis"}],"border_fill_color":{"value":"white"},"left":[{"id":"144260da-2ea7-4a34-bf50-f6233b88f519","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"a63c4255-9536-4e30-b0e4-17c814ab616a","type":"LinearAxis"},{"id":"144260da-2ea7-4a34-bf50-f6233b88f519","type":"LinearAxis"},{"id":"308da5ca-767c-46b6-a22b-14c4372d566c","type":"Grid"},{"id":"96611262-a657-4ba1-a494-185556de5425","type":"Grid"},{"id":"78f3e8d5-3a66-47ec-a38e-b42a7d937b37","type":"GlyphRenderer"},{"id":"d657fe3a-9160-4566-a33b-ec515c281575","type":"GlyphRenderer"}],"title":{"id":"5c4d203e-01f4-4653-8926-286c3e0a700d","type":"Title"},"toolbar":{"id":"3be3723a-0863-471c-acd3-d6656c4293b6","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"7a42331c-cc2f-4679-8c7b-37917c4fc840","type":"Range1d"},"x_scale":{"id":"f930ef44-1af2-45b0-803e-e1cd723dcd54","type":"LinearScale"},"y_range":{"id":"e5501226-c9c9-461d-abee-606a721efee4","type":"Range1d"},"y_scale":{"id":"d2f93c7b-36ed-4625-bba7-dec2f158921f","type":"LinearScale"}},"id":"43e05871-f372-4e95-a38e-c943a845566c","type":"Plot"},{"attributes":{"source":{"id":"ff3bbb7e-c3f2-4961-b210-472a4a0f7d76","type":"ColumnDataSource"}},"id":"f738805e-610b-44a8-817a-2e8f7e10e8c7","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"3fde5c98-7927-4acf-a1a4-666e83a59848","type":"Plot"},"ticker":{"id":"269f36bd-afb0-4025-bd0c-d41023b46aee","type":"BasicTicker"}},"id":"411fe5bb-0d13-4c4d-862e-22cecc214d85","type":"Grid"},{"attributes":{"data_source":{"id":"ff3bbb7e-c3f2-4961-b210-472a4a0f7d76","type":"ColumnDataSource"},"glyph":{"id":"02c6b524-3ee8-424e-8dea-4af2aa3c5e0c","type":"Line"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"f40568a6-6ebb-4cf4-ae39-5554a958f483","type":"CDSView"}},"id":"28128cec-af47-4c4d-ac80-aa2eb71fc442","type":"GlyphRenderer"},{"attributes":{},"id":"51a75ce4-8d71-4c84-b0cf-f3638f5b2b19","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"f2ff93bb-8cbd-441f-813c-5e5130756e2e","type":"Toolbar"},{"attributes":{"plot":{"id":"43e05871-f372-4e95-a38e-c943a845566c","type":"Plot"},"ticker":{"id":"f3299772-b22e-4e64-8af3-9a0f84932f1c","type":"BasicTicker"}},"id":"308da5ca-767c-46b6-a22b-14c4372d566c","type":"Grid"},{"attributes":{},"id":"29dfd9fb-dc2c-428e-8ecf-5258410e5e61","type":"BasicTickFormatter"},{"attributes":{"children":[{"id":"32e4035b-8c4c-4216-a59d-3faf30eb2ce0","type":"Row"},{"id":"ebe2161d-3e47-4efd-8b79-a2aa5926cb05","type":"Row"}]},"id":"08b4bb36-a2b0-4425-a391-2a65d610f4ba","type":"Column"},{"attributes":{},"id":"5f83deb7-2d42-40c8-8e47-e2abc2153b92","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"86b840be-2f31-4ea1-8c97-764a05fe9d59","type":"Plot"},"ticker":{"id":"e67d85f0-e7aa-4003-b84a-7fd91503e73b","type":"BasicTicker"}},"id":"7fccf50e-2188-445e-a9bc-2fda4993b7f3","type":"Grid"},{"attributes":{"source":{"id":"d886568f-19e0-409e-ab86-fcbdb8cf5652","type":"ColumnDataSource"}},"id":"bf7e213c-8a0e-49ff-ae7a-3a09ad48a667","type":"CDSView"},{"attributes":{"source":{"id":"ff3bbb7e-c3f2-4961-b210-472a4a0f7d76","type":"ColumnDataSource"}},"id":"1479d8ed-8be9-4eb7-920a-208c30c59e5a","type":"CDSView"},{"attributes":{},"id":"7592b52c-b7cf-4d42-8127-2a19ca506742","type":"LinearScale"},{"attributes":{"plot":null,"text":"I"},"id":"8b9cf778-950c-444a-a7a2-7878b8a6ae82","type":"Title"},{"attributes":{"source":{"id":"ff3bbb7e-c3f2-4961-b210-472a4a0f7d76","type":"ColumnDataSource"}},"id":"101d786a-535f-4d86-b8b1-2561b4810648","type":"CDSView"},{"attributes":{"axis_line_color":{"value":null},"formatter":{"id":"d3f7dbb3-d62e-4808-a50e-de116959c73b","type":"BasicTickFormatter"},"plot":{"id":"fef7c6b4-3f41-4000-98d6-ab32f66c353e","type":"Plot"},"ticker":{"id":"2e265a88-96ad-45a3-bcf3-88a88ef928b7","type":"BasicTicker"}},"id":"1f00dbf5-f445-485a-a0b2-7673f4901551","type":"LinearAxis"},{"attributes":{"source":{"id":"d886568f-19e0-409e-ab86-fcbdb8cf5652","type":"ColumnDataSource"}},"id":"9408f3f7-427c-4450-9470-e0d80f8f555a","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#cc6633"},"line_color":{"value":"#cc6633"},"size":{"units":"screen","value":12},"x":{"field":"xi"},"y":{"field":"yi"}},"id":"22a38491-40d1-4ef0-8890-76a0bd168eb9","type":"Circle"},{"attributes":{"data_source":{"id":"ff3bbb7e-c3f2-4961-b210-472a4a0f7d76","type":"ColumnDataSource"},"glyph":{"id":"1e6c256a-a846-44ba-8f5e-b36690a902a5","type":"Line"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"f738805e-610b-44a8-817a-2e8f7e10e8c7","type":"CDSView"}},"id":"26677eaa-e63b-4d85-b5ba-33a20fc79c0d","type":"GlyphRenderer"},{"attributes":{},"id":"d3f7dbb3-d62e-4808-a50e-de116959c73b","type":"BasicTickFormatter"},{"attributes":{},"id":"1d07c9ba-117e-4a9a-8954-34496537b3f1","type":"BasicTicker"},{"attributes":{"plot":{"id":"3fde5c98-7927-4acf-a1a4-666e83a59848","type":"Plot"},"ticker":{"id":"5f83deb7-2d42-40c8-8e47-e2abc2153b92","type":"BasicTicker"}},"id":"d63ea51a-c2ad-4628-9cd8-bc860e036a16","type":"Grid"},{"attributes":{"axis_line_color":{"value":null},"formatter":{"id":"cb93777a-5615-412d-bd07-6737f9ffd894","type":"BasicTickFormatter"},"plot":{"id":"86b840be-2f31-4ea1-8c97-764a05fe9d59","type":"Plot"},"ticker":{"id":"e67d85f0-e7aa-4003-b84a-7fd91503e73b","type":"BasicTicker"}},"id":"a0182396-2604-43e5-9faf-48f05bddac96","type":"LinearAxis"},{"attributes":{"data_source":{"id":"d886568f-19e0-409e-ab86-fcbdb8cf5652","type":"ColumnDataSource"},"glyph":{"id":"22a38491-40d1-4ef0-8890-76a0bd168eb9","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"bf7e213c-8a0e-49ff-ae7a-3a09ad48a667","type":"CDSView"}},"id":"48fc476c-f2c2-4a25-9fdc-b73c6ddb4e75","type":"GlyphRenderer"},{"attributes":{"children":[{"id":"fef7c6b4-3f41-4000-98d6-ab32f66c353e","type":"Plot"},{"id":"43e05871-f372-4e95-a38e-c943a845566c","type":"Plot"}]},"id":"ebe2161d-3e47-4efd-8b79-a2aa5926cb05","type":"Row"},{"attributes":{},"id":"e44a3126-2c92-4185-aa9e-aa6aacd7257d","type":"LinearScale"},{"attributes":{"line_color":{"value":"#666699"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"1e6c256a-a846-44ba-8f5e-b36690a902a5","type":"Line"}],"root_ids":["08b4bb36-a2b0-4425-a391-2a65d610f4ba"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"6fc46818-86b7-4200-8644-9c827b501930","elementid":"babe3651-1928-40c8-b1db-00da723d92f0","modelid":"08b4bb36-a2b0-4425-a391-2a65d610f4ba"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
