(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2460a82b-5d42-4efe-af72-594fddee372b");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2460a82b-5d42-4efe-af72-594fddee372b' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"eff34d5c-f6e3-4baa-89ca-5765395f4bc7":{"roots":{"references":[{"attributes":{"plot":null,"text":""},"id":"95d1315f-b99f-4d26-ba35-68c0dea2c4f4","type":"Title"},{"attributes":{},"id":"7cc383da-c9e4-436c-aec0-93f873d052cb","type":"BasicTickFormatter"},{"attributes":{"axis_label":"Temp","axis_line_color":{"value":"red"},"axis_line_width":{"value":3},"formatter":{"id":"c6cb452a-009d-4394-a119-59b3e2cee1b3","type":"BasicTickFormatter"},"minor_tick_in":-3,"minor_tick_out":6,"plot":{"id":"e1db83ca-fcd7-4ad7-a58c-c8de732f92bc","subtype":"Figure","type":"Plot"},"ticker":{"id":"18e90361-7291-44b0-a472-f0c74aea4bd3","type":"BasicTicker"}},"id":"31ca9094-35ae-4649-80ab-9d737bac36dd","type":"LinearAxis"},{"attributes":{"data_source":{"id":"8747d25e-9bd0-42f2-9646-a4dca0e60291","type":"ColumnDataSource"},"glyph":{"id":"79baa5a5-e990-4bda-90b6-7b0623f462c6","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b1008d3e-8149-4b5a-a5de-82c1c80853cb","type":"Circle"},"selection_glyph":null,"view":{"id":"bac93c02-1b23-404b-8ef9-a09a8b353c55","type":"CDSView"}},"id":"81ba6975-11f8-4bf4-b970-c621433fe65a","type":"GlyphRenderer"},{"attributes":{"overlay":{"id":"169c3ad2-f31a-4fbc-bb08-c24696db330d","type":"BoxAnnotation"}},"id":"57d1d0fb-43ea-4a1c-8a99-703edd16d9e3","type":"BoxZoomTool"},{"attributes":{"below":[{"id":"31ca9094-35ae-4649-80ab-9d737bac36dd","type":"LinearAxis"}],"left":[{"id":"3cb1be83-d09e-4b6b-aec2-a9b09c91dfff","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"31ca9094-35ae-4649-80ab-9d737bac36dd","type":"LinearAxis"},{"id":"5581c2fb-6211-455b-bb1c-d11acef3c89a","type":"Grid"},{"id":"3cb1be83-d09e-4b6b-aec2-a9b09c91dfff","type":"LinearAxis"},{"id":"7ec9b3c3-ce0e-4c1a-9e2f-13d0c87b24bb","type":"Grid"},{"id":"169c3ad2-f31a-4fbc-bb08-c24696db330d","type":"BoxAnnotation"},{"id":"81ba6975-11f8-4bf4-b970-c621433fe65a","type":"GlyphRenderer"}],"title":{"id":"95d1315f-b99f-4d26-ba35-68c0dea2c4f4","type":"Title"},"toolbar":{"id":"3f1c6391-112e-4ffc-bef0-097c92c68bfd","type":"Toolbar"},"x_range":{"id":"70545971-16a7-41e8-a5ea-ceb5e5c1e67e","type":"DataRange1d"},"x_scale":{"id":"125971ae-f3f3-4e14-a5be-555a5bbb0419","type":"LinearScale"},"y_range":{"id":"1bec1b6e-7500-48d4-9920-4aef42d2397e","type":"DataRange1d"},"y_scale":{"id":"d0513f50-cb28-4fa5-9cb3-66977f9d5108","type":"LinearScale"}},"id":"e1db83ca-fcd7-4ad7-a58c-c8de732f92bc","subtype":"Figure","type":"Plot"},{"attributes":{"source":{"id":"8747d25e-9bd0-42f2-9646-a4dca0e60291","type":"ColumnDataSource"}},"id":"bac93c02-1b23-404b-8ef9-a09a8b353c55","type":"CDSView"},{"attributes":{},"id":"0c9440d0-30fb-4238-a962-f8e2bc2a9608","type":"SaveTool"},{"attributes":{"dimension":1,"plot":{"id":"e1db83ca-fcd7-4ad7-a58c-c8de732f92bc","subtype":"Figure","type":"Plot"},"ticker":{"id":"dc05c1c5-43f6-42f8-bfdc-572ebedc970c","type":"BasicTicker"}},"id":"7ec9b3c3-ce0e-4c1a-9e2f-13d0c87b24bb","type":"Grid"},{"attributes":{},"id":"37762bbd-d8a1-47b4-ba2c-1786b5a37390","type":"HelpTool"},{"attributes":{"callback":null},"id":"70545971-16a7-41e8-a5ea-ceb5e5c1e67e","type":"DataRange1d"},{"attributes":{},"id":"18e90361-7291-44b0-a472-f0c74aea4bd3","type":"BasicTicker"},{"attributes":{},"id":"b6143192-d445-465d-9d41-af5d208ed305","type":"ResetTool"},{"attributes":{},"id":"dc05c1c5-43f6-42f8-bfdc-572ebedc970c","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"f86e52a4-8a4f-4da1-8bed-a89153964f7e","type":"PanTool"},{"id":"9103f5ef-2cb2-4da2-827f-dbaec2cf0de7","type":"WheelZoomTool"},{"id":"57d1d0fb-43ea-4a1c-8a99-703edd16d9e3","type":"BoxZoomTool"},{"id":"0c9440d0-30fb-4238-a962-f8e2bc2a9608","type":"SaveTool"},{"id":"b6143192-d445-465d-9d41-af5d208ed305","type":"ResetTool"},{"id":"37762bbd-d8a1-47b4-ba2c-1786b5a37390","type":"HelpTool"}]},"id":"3f1c6391-112e-4ffc-bef0-097c92c68bfd","type":"Toolbar"},{"attributes":{},"id":"c6cb452a-009d-4394-a119-59b3e2cee1b3","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"169c3ad2-f31a-4fbc-bb08-c24696db330d","type":"BoxAnnotation"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"79baa5a5-e990-4bda-90b6-7b0623f462c6","type":"Circle"},{"attributes":{},"id":"d0513f50-cb28-4fa5-9cb3-66977f9d5108","type":"LinearScale"},{"attributes":{"plot":{"id":"e1db83ca-fcd7-4ad7-a58c-c8de732f92bc","subtype":"Figure","type":"Plot"},"ticker":{"id":"18e90361-7291-44b0-a472-f0c74aea4bd3","type":"BasicTicker"}},"id":"5581c2fb-6211-455b-bb1c-d11acef3c89a","type":"Grid"},{"attributes":{},"id":"f86e52a4-8a4f-4da1-8bed-a89153964f7e","type":"PanTool"},{"attributes":{},"id":"9103f5ef-2cb2-4da2-827f-dbaec2cf0de7","type":"WheelZoomTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"b1008d3e-8149-4b5a-a5de-82c1c80853cb","type":"Circle"},{"attributes":{"axis_label":"Pressure","formatter":{"id":"7cc383da-c9e4-436c-aec0-93f873d052cb","type":"BasicTickFormatter"},"major_label_orientation":"vertical","major_label_text_color":{"value":"orange"},"minor_tick_in":-3,"minor_tick_out":6,"plot":{"id":"e1db83ca-fcd7-4ad7-a58c-c8de732f92bc","subtype":"Figure","type":"Plot"},"ticker":{"id":"dc05c1c5-43f6-42f8-bfdc-572ebedc970c","type":"BasicTicker"}},"id":"3cb1be83-d09e-4b6b-aec2-a9b09c91dfff","type":"LinearAxis"},{"attributes":{"callback":null},"id":"1bec1b6e-7500-48d4-9920-4aef42d2397e","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"8747d25e-9bd0-42f2-9646-a4dca0e60291","type":"ColumnDataSource"},{"attributes":{},"id":"125971ae-f3f3-4e14-a5be-555a5bbb0419","type":"LinearScale"}],"root_ids":["e1db83ca-fcd7-4ad7-a58c-c8de732f92bc"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"eff34d5c-f6e3-4baa-89ca-5765395f4bc7","elementid":"2460a82b-5d42-4efe-af72-594fddee372b","modelid":"e1db83ca-fcd7-4ad7-a58c-c8de732f92bc"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
