(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("21e54ee7-f072-4903-8536-2a4e17c2be5d");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '21e54ee7-f072-4903-8536-2a4e17c2be5d' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"65a62441-a1d8-4ff8-b508-246bcf8b159a":{"roots":{"references":[{"attributes":{"data_source":{"id":"18379828-4192-496e-85f0-80de6b69310d","type":"ColumnDataSource"},"glyph":{"id":"ec89a126-9fdd-4895-86f2-f835d6c30c01","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"d10280b9-f8e5-48a0-8aae-3ee61d140fab","type":"VBar"},"selection_glyph":null,"view":{"id":"2ab92eaa-c6f6-4fbe-b092-cbb56bc03aba","type":"CDSView"}},"id":"5ff1b3b8-30c5-4b48-a7cf-03168c3a5ae4","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"d10280b9-f8e5-48a0-8aae-3ee61d140fab","type":"VBar"},{"attributes":{},"id":"feaa7576-c40b-4b10-97e0-54af2ce5cd47","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"12d322c9-5e64-4695-8d1f-2ebab4f084ae","subtype":"Figure","type":"Plot"},"ticker":{"id":"feaa7576-c40b-4b10-97e0-54af2ce5cd47","type":"BasicTicker"}},"id":"d14fecd0-5773-4e7b-bd87-cd0735c0bd26","type":"Grid"},{"attributes":{"formatter":{"id":"31f1a77b-4574-4c51-b8ad-c52188cf12c5","type":"BasicTickFormatter"},"plot":{"id":"12d322c9-5e64-4695-8d1f-2ebab4f084ae","subtype":"Figure","type":"Plot"},"ticker":{"id":"feaa7576-c40b-4b10-97e0-54af2ce5cd47","type":"BasicTicker"}},"id":"dbb0b35b-c030-41f9-b4b2-62b958167c84","type":"LinearAxis"},{"attributes":{},"id":"f827a209-119f-4b1a-ad45-c9d0cd10ccbd","type":"CategoricalTickFormatter"},{"attributes":{"callback":null,"column_names":["color","counts","fruits"],"data":{"color":["#3288bd","#99d594","#e6f598","#fee08b","#fc8d59","#d53e4f"],"counts":[5,3,4,2,4,6],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"18379828-4192-496e-85f0-80de6b69310d","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"2f6ab8d5-4b53-4002-8dfc-4eceff93f6be","type":"Toolbar"},{"attributes":{"below":[{"id":"dd203b5e-26ee-4066-a674-9ff1d91ce6a5","type":"CategoricalAxis"}],"left":[{"id":"dbb0b35b-c030-41f9-b4b2-62b958167c84","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"dd203b5e-26ee-4066-a674-9ff1d91ce6a5","type":"CategoricalAxis"},{"id":"52b0b37e-4cab-440a-adbe-33a109e2d877","type":"Grid"},{"id":"dbb0b35b-c030-41f9-b4b2-62b958167c84","type":"LinearAxis"},{"id":"d14fecd0-5773-4e7b-bd87-cd0735c0bd26","type":"Grid"},{"id":"718cc0c2-5424-4e2e-a7dd-0d91255da9ce","type":"Legend"},{"id":"5ff1b3b8-30c5-4b48-a7cf-03168c3a5ae4","type":"GlyphRenderer"}],"title":{"id":"97666a9c-77c1-492f-9c73-1ea4769cfcbc","type":"Title"},"toolbar":{"id":"2f6ab8d5-4b53-4002-8dfc-4eceff93f6be","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"ca5b44c0-9235-4942-8197-8c3e266112e8","type":"FactorRange"},"x_scale":{"id":"be22b2a1-a8e6-4922-884f-d7653daae07c","type":"CategoricalScale"},"y_range":{"id":"8fec7657-a264-4d63-9124-ded5f732140a","type":"Range1d"},"y_scale":{"id":"84fe4ba3-a139-4e62-a5a5-2c68b1fb31f5","type":"LinearScale"}},"id":"12d322c9-5e64-4695-8d1f-2ebab4f084ae","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"84fe4ba3-a139-4e62-a5a5-2c68b1fb31f5","type":"LinearScale"},{"attributes":{"plot":null,"text":"Fruit Counts"},"id":"97666a9c-77c1-492f-9c73-1ea4769cfcbc","type":"Title"},{"attributes":{"source":{"id":"18379828-4192-496e-85f0-80de6b69310d","type":"ColumnDataSource"}},"id":"2ab92eaa-c6f6-4fbe-b092-cbb56bc03aba","type":"CDSView"},{"attributes":{"label":{"field":"fruits"},"renderers":[{"id":"5ff1b3b8-30c5-4b48-a7cf-03168c3a5ae4","type":"GlyphRenderer"}]},"id":"18a14a90-a9f3-412b-9914-1b500771a8d9","type":"LegendItem"},{"attributes":{},"id":"be22b2a1-a8e6-4922-884f-d7653daae07c","type":"CategoricalScale"},{"attributes":{},"id":"31f1a77b-4574-4c51-b8ad-c52188cf12c5","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"field":"color"},"line_color":{"field":"color"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"ec89a126-9fdd-4895-86f2-f835d6c30c01","type":"VBar"},{"attributes":{},"id":"b101a6c7-a409-4ad2-b0be-735a1057ab69","type":"CategoricalTicker"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"ca5b44c0-9235-4942-8197-8c3e266112e8","type":"FactorRange"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"12d322c9-5e64-4695-8d1f-2ebab4f084ae","subtype":"Figure","type":"Plot"},"ticker":{"id":"b101a6c7-a409-4ad2-b0be-735a1057ab69","type":"CategoricalTicker"}},"id":"52b0b37e-4cab-440a-adbe-33a109e2d877","type":"Grid"},{"attributes":{"formatter":{"id":"f827a209-119f-4b1a-ad45-c9d0cd10ccbd","type":"CategoricalTickFormatter"},"plot":{"id":"12d322c9-5e64-4695-8d1f-2ebab4f084ae","subtype":"Figure","type":"Plot"},"ticker":{"id":"b101a6c7-a409-4ad2-b0be-735a1057ab69","type":"CategoricalTicker"}},"id":"dd203b5e-26ee-4066-a674-9ff1d91ce6a5","type":"CategoricalAxis"},{"attributes":{"items":[{"id":"18a14a90-a9f3-412b-9914-1b500771a8d9","type":"LegendItem"}],"location":"top_center","orientation":"horizontal","plot":{"id":"12d322c9-5e64-4695-8d1f-2ebab4f084ae","subtype":"Figure","type":"Plot"}},"id":"718cc0c2-5424-4e2e-a7dd-0d91255da9ce","type":"Legend"},{"attributes":{"callback":null,"end":9},"id":"8fec7657-a264-4d63-9124-ded5f732140a","type":"Range1d"}],"root_ids":["12d322c9-5e64-4695-8d1f-2ebab4f084ae"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"65a62441-a1d8-4ff8-b508-246bcf8b159a","elementid":"21e54ee7-f072-4903-8536-2a4e17c2be5d","modelid":"12d322c9-5e64-4695-8d1f-2ebab4f084ae"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
