(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("cde6a256-3b30-4822-a2ce-095d4157039d");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'cde6a256-3b30-4822-a2ce-095d4157039d' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"003ea403-f133-4ac8-bf00-f42de65ba215":{"roots":{"references":[{"attributes":{"plot":null,"text":""},"id":"a95c4d9e-a712-4baa-bbd7-5a045176b0db","type":"Title"},{"attributes":{},"id":"15972c55-eb83-4097-a66f-aa593c919a13","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"15972c55-eb83-4097-a66f-aa593c919a13","type":"BasicTickFormatter"},"major_tick_line_color":{"value":"firebrick"},"major_tick_line_width":{"value":3},"major_tick_out":10,"minor_tick_in":-3,"minor_tick_line_color":{"value":"orange"},"minor_tick_out":8,"plot":{"id":"74b2c6be-591f-45ca-abbf-413efe8fee28","subtype":"Figure","type":"Plot"},"ticker":{"id":"ecfe6842-9f13-47de-b849-6145cb9b89b4","type":"BasicTicker"}},"id":"56b27b24-d519-4cf0-adf6-7c7408cb875a","type":"LinearAxis"},{"attributes":{"overlay":{"id":"f7476494-34ab-4b04-a616-54f1f190dfdd","type":"BoxAnnotation"}},"id":"fb5e936d-c255-437a-a164-34a13e7e18a1","type":"BoxZoomTool"},{"attributes":{"source":{"id":"9864d47a-e587-4b35-90bf-dc8e4d533931","type":"ColumnDataSource"}},"id":"530dd279-7c11-406c-bae0-b05b8c5514f7","type":"CDSView"},{"attributes":{},"id":"b121c951-8a73-4770-8e41-ec518590ac80","type":"BasicTicker"},{"attributes":{"data_source":{"id":"9864d47a-e587-4b35-90bf-dc8e4d533931","type":"ColumnDataSource"},"glyph":{"id":"c77ae34f-b0f3-4e48-9f37-093833fb2163","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"f3b3e7df-24d0-4200-8045-fa50e05e03a6","type":"Circle"},"selection_glyph":null,"view":{"id":"530dd279-7c11-406c-bae0-b05b8c5514f7","type":"CDSView"}},"id":"53509afe-7b2e-4083-bc79-8e14f86e130c","type":"GlyphRenderer"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"c77ae34f-b0f3-4e48-9f37-093833fb2163","type":"Circle"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"f7476494-34ab-4b04-a616-54f1f190dfdd","type":"BoxAnnotation"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"9864d47a-e587-4b35-90bf-dc8e4d533931","type":"ColumnDataSource"},{"attributes":{},"id":"78f7b2be-be12-4908-8f83-fd63a9f9c5d5","type":"ResetTool"},{"attributes":{},"id":"03d088ea-7325-4c42-90bb-5e46ceee2126","type":"PanTool"},{"attributes":{"callback":null},"id":"a5d0cd9e-a5b0-4b9b-a9aa-32550d19d94e","type":"DataRange1d"},{"attributes":{"formatter":{"id":"09c0a6ac-01d2-4e0a-95f1-585201401f5d","type":"BasicTickFormatter"},"major_tick_out":10,"minor_tick_in":-3,"minor_tick_line_color":{"value":null},"minor_tick_out":8,"plot":{"id":"74b2c6be-591f-45ca-abbf-413efe8fee28","subtype":"Figure","type":"Plot"},"ticker":{"id":"b121c951-8a73-4770-8e41-ec518590ac80","type":"BasicTicker"}},"id":"bb3521e3-2e62-4183-98d4-f140032e861c","type":"LinearAxis"},{"attributes":{},"id":"9c9e5772-fb05-49e4-b494-ed6e86b20338","type":"LinearScale"},{"attributes":{},"id":"4276df96-9fd7-4e28-aebb-7da6463b987d","type":"LinearScale"},{"attributes":{},"id":"09c0a6ac-01d2-4e0a-95f1-585201401f5d","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"03d088ea-7325-4c42-90bb-5e46ceee2126","type":"PanTool"},{"id":"7c8e8f93-cc13-4ffd-b308-a60a61f3a4c5","type":"WheelZoomTool"},{"id":"fb5e936d-c255-437a-a164-34a13e7e18a1","type":"BoxZoomTool"},{"id":"d8629d83-b1f9-4535-bc51-f918f8e132d8","type":"SaveTool"},{"id":"78f7b2be-be12-4908-8f83-fd63a9f9c5d5","type":"ResetTool"},{"id":"14826a8e-1bfd-48c6-a98b-b5272a283307","type":"HelpTool"}]},"id":"78585781-1183-433f-a760-db63b58e6873","type":"Toolbar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"f3b3e7df-24d0-4200-8045-fa50e05e03a6","type":"Circle"},{"attributes":{"callback":null},"id":"6e5115fa-7299-4b55-835e-afdbefe6c5a7","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"74b2c6be-591f-45ca-abbf-413efe8fee28","subtype":"Figure","type":"Plot"},"ticker":{"id":"b121c951-8a73-4770-8e41-ec518590ac80","type":"BasicTicker"}},"id":"150bf9ad-aa34-4bfb-aba1-d6e74d8062d5","type":"Grid"},{"attributes":{},"id":"ecfe6842-9f13-47de-b849-6145cb9b89b4","type":"BasicTicker"},{"attributes":{"below":[{"id":"56b27b24-d519-4cf0-adf6-7c7408cb875a","type":"LinearAxis"}],"left":[{"id":"bb3521e3-2e62-4183-98d4-f140032e861c","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"56b27b24-d519-4cf0-adf6-7c7408cb875a","type":"LinearAxis"},{"id":"4b49f8a0-1ef6-41be-89bf-6592e5c187c9","type":"Grid"},{"id":"bb3521e3-2e62-4183-98d4-f140032e861c","type":"LinearAxis"},{"id":"150bf9ad-aa34-4bfb-aba1-d6e74d8062d5","type":"Grid"},{"id":"f7476494-34ab-4b04-a616-54f1f190dfdd","type":"BoxAnnotation"},{"id":"53509afe-7b2e-4083-bc79-8e14f86e130c","type":"GlyphRenderer"}],"title":{"id":"a95c4d9e-a712-4baa-bbd7-5a045176b0db","type":"Title"},"toolbar":{"id":"78585781-1183-433f-a760-db63b58e6873","type":"Toolbar"},"x_range":{"id":"a5d0cd9e-a5b0-4b9b-a9aa-32550d19d94e","type":"DataRange1d"},"x_scale":{"id":"4276df96-9fd7-4e28-aebb-7da6463b987d","type":"LinearScale"},"y_range":{"id":"6e5115fa-7299-4b55-835e-afdbefe6c5a7","type":"DataRange1d"},"y_scale":{"id":"9c9e5772-fb05-49e4-b494-ed6e86b20338","type":"LinearScale"}},"id":"74b2c6be-591f-45ca-abbf-413efe8fee28","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"d8629d83-b1f9-4535-bc51-f918f8e132d8","type":"SaveTool"},{"attributes":{},"id":"7c8e8f93-cc13-4ffd-b308-a60a61f3a4c5","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"74b2c6be-591f-45ca-abbf-413efe8fee28","subtype":"Figure","type":"Plot"},"ticker":{"id":"ecfe6842-9f13-47de-b849-6145cb9b89b4","type":"BasicTicker"}},"id":"4b49f8a0-1ef6-41be-89bf-6592e5c187c9","type":"Grid"},{"attributes":{},"id":"14826a8e-1bfd-48c6-a98b-b5272a283307","type":"HelpTool"}],"root_ids":["74b2c6be-591f-45ca-abbf-413efe8fee28"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"003ea403-f133-4ac8-bf00-f42de65ba215","elementid":"cde6a256-3b30-4822-a2ce-095d4157039d","modelid":"74b2c6be-591f-45ca-abbf-413efe8fee28"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
