(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("569ed0e4-6417-45f2-b39c-860340353215");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '569ed0e4-6417-45f2-b39c-860340353215' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"03065a9f-4424-4d9d-a3c5-1cebc37aaaf7":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"cec3e7d6-edd9-4d68-8561-8d72192e3f0c","type":"Toolbar"},{"attributes":{"formatter":{"id":"974b9729-8fad-474f-979d-2fc478216fb0","type":"CategoricalTickFormatter"},"plot":{"id":"c57f34fe-19a8-4305-9e4c-c2f55bb85075","subtype":"Figure","type":"Plot"},"ticker":{"id":"7d1931ff-7ecf-47c7-9682-8b308118bf36","type":"CategoricalTicker"}},"id":"480cb7a4-074c-4437-89e7-0b6785647105","type":"CategoricalAxis"},{"attributes":{},"id":"7d1931ff-7ecf-47c7-9682-8b308118bf36","type":"CategoricalTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"b100dd35-cc17-40b7-babd-abe0d76d21c7","type":"VBar"},{"attributes":{"dimension":1,"plot":{"id":"c57f34fe-19a8-4305-9e4c-c2f55bb85075","subtype":"Figure","type":"Plot"},"ticker":{"id":"d12b6f71-1217-43b5-991f-1ab080579882","type":"BasicTicker"}},"id":"05952a37-aefb-4c96-8bb6-fbcb622512cf","type":"Grid"},{"attributes":{},"id":"974b9729-8fad-474f-979d-2fc478216fb0","type":"CategoricalTickFormatter"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"c428b2c8-0818-4a94-b2e3-4c71e3a4df7f","type":"FactorRange"},{"attributes":{"below":[{"id":"480cb7a4-074c-4437-89e7-0b6785647105","type":"CategoricalAxis"}],"left":[{"id":"63e86be2-12d8-4227-a6f2-9926a4038ee5","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"480cb7a4-074c-4437-89e7-0b6785647105","type":"CategoricalAxis"},{"id":"2c896f03-09b9-4d12-ae7a-51e7b0486eaf","type":"Grid"},{"id":"63e86be2-12d8-4227-a6f2-9926a4038ee5","type":"LinearAxis"},{"id":"05952a37-aefb-4c96-8bb6-fbcb622512cf","type":"Grid"},{"id":"7e86a58b-e8e5-4ec8-9aab-5d370cfb1cf4","type":"GlyphRenderer"}],"title":{"id":"937da4ed-b453-4ff1-b907-b582aaee771f","type":"Title"},"toolbar":{"id":"cec3e7d6-edd9-4d68-8561-8d72192e3f0c","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"c428b2c8-0818-4a94-b2e3-4c71e3a4df7f","type":"FactorRange"},"x_scale":{"id":"df045db9-a26b-45e0-a190-3a7b92258940","type":"CategoricalScale"},"y_range":{"id":"ff77ad64-5767-44b7-820c-87a1b1c9277a","type":"DataRange1d"},"y_scale":{"id":"60f27685-8a10-4a94-84d5-d06f2128256f","type":"LinearScale"}},"id":"c57f34fe-19a8-4305-9e4c-c2f55bb85075","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"df045db9-a26b-45e0-a190-3a7b92258940","type":"CategoricalScale"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"70b1dfbe-32e3-4899-90c8-5889147ddd50","type":"VBar"},{"attributes":{},"id":"3fe11f57-aee6-499a-a618-679d2fc10ce2","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["x","top"],"data":{"top":[5,3,4,2,4,6],"x":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"c2bc5c27-1743-4d66-ad03-5fedb074ab21","type":"ColumnDataSource"},{"attributes":{"plot":null,"text":"Fruit Counts"},"id":"937da4ed-b453-4ff1-b907-b582aaee771f","type":"Title"},{"attributes":{"formatter":{"id":"3fe11f57-aee6-499a-a618-679d2fc10ce2","type":"BasicTickFormatter"},"plot":{"id":"c57f34fe-19a8-4305-9e4c-c2f55bb85075","subtype":"Figure","type":"Plot"},"ticker":{"id":"d12b6f71-1217-43b5-991f-1ab080579882","type":"BasicTicker"}},"id":"63e86be2-12d8-4227-a6f2-9926a4038ee5","type":"LinearAxis"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"c57f34fe-19a8-4305-9e4c-c2f55bb85075","subtype":"Figure","type":"Plot"},"ticker":{"id":"7d1931ff-7ecf-47c7-9682-8b308118bf36","type":"CategoricalTicker"}},"id":"2c896f03-09b9-4d12-ae7a-51e7b0486eaf","type":"Grid"},{"attributes":{"callback":null,"start":0},"id":"ff77ad64-5767-44b7-820c-87a1b1c9277a","type":"DataRange1d"},{"attributes":{},"id":"d12b6f71-1217-43b5-991f-1ab080579882","type":"BasicTicker"},{"attributes":{"source":{"id":"c2bc5c27-1743-4d66-ad03-5fedb074ab21","type":"ColumnDataSource"}},"id":"5bff5b49-d3d6-4c54-b4e8-22f5b354a623","type":"CDSView"},{"attributes":{"data_source":{"id":"c2bc5c27-1743-4d66-ad03-5fedb074ab21","type":"ColumnDataSource"},"glyph":{"id":"70b1dfbe-32e3-4899-90c8-5889147ddd50","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b100dd35-cc17-40b7-babd-abe0d76d21c7","type":"VBar"},"selection_glyph":null,"view":{"id":"5bff5b49-d3d6-4c54-b4e8-22f5b354a623","type":"CDSView"}},"id":"7e86a58b-e8e5-4ec8-9aab-5d370cfb1cf4","type":"GlyphRenderer"},{"attributes":{},"id":"60f27685-8a10-4a94-84d5-d06f2128256f","type":"LinearScale"}],"root_ids":["c57f34fe-19a8-4305-9e4c-c2f55bb85075"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"03065a9f-4424-4d9d-a3c5-1cebc37aaaf7","elementid":"569ed0e4-6417-45f2-b39c-860340353215","modelid":"c57f34fe-19a8-4305-9e4c-c2f55bb85075"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
