(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("4e795841-ce1a-4eb1-a517-fa89eb35ba94");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '4e795841-ce1a-4eb1-a517-fa89eb35ba94' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"368d8b44-8d48-4404-b55c-f81e4fc8f836":{"roots":{"references":[{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"2828728d-66d0-4715-a767-5519adb730fd","type":"ColumnDataSource"},{"attributes":{"source":{"id":"2828728d-66d0-4715-a767-5519adb730fd","type":"ColumnDataSource"}},"id":"5910f642-0ef7-46da-825f-9236b1525df0","type":"CDSView"},{"attributes":{},"id":"143bfa0f-66b2-4a70-bd32-117de6c8577d","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c1a143d6-c955-4cc9-9804-d858feea4e12","type":"PanTool"},{"id":"089fce2b-ee22-43e6-bbf0-878509fd4928","type":"WheelZoomTool"},{"id":"6c059688-637c-4708-8e59-964eb23ed380","type":"BoxZoomTool"},{"id":"f9329602-6a84-49c5-bf0e-e53ecd68577a","type":"SaveTool"},{"id":"d7b81b1b-eec1-4403-ac7f-9c1820625d40","type":"ResetTool"},{"id":"90df52c6-2964-4453-82e7-72fcc9eeeb73","type":"HelpTool"}]},"id":"dcf63a37-4f49-48bc-bb9a-ae1111e626da","type":"Toolbar"},{"attributes":{"callback":null},"id":"15c1f60f-998a-414d-8e18-e9de28f2168b","type":"DataRange1d"},{"attributes":{"overlay":{"id":"8d9e80ef-f502-4cab-9f0a-e074be190784","type":"BoxAnnotation"}},"id":"6c059688-637c-4708-8e59-964eb23ed380","type":"BoxZoomTool"},{"attributes":{},"id":"90df52c6-2964-4453-82e7-72fcc9eeeb73","type":"HelpTool"},{"attributes":{"dimension":1,"plot":{"id":"c8b7c5d4-72d3-48ff-8ffd-0d015c04b661","subtype":"Figure","type":"Plot"},"ticker":{"id":"8205daa5-7672-4beb-8525-0fe497d21e68","type":"BasicTicker"}},"id":"239901e3-718b-4436-9d63-ca33072d705f","type":"Grid"},{"attributes":{"data_source":{"id":"2828728d-66d0-4715-a767-5519adb730fd","type":"ColumnDataSource"},"glyph":{"id":"8ee3020f-bae4-4c65-a672-2b74d59f5ca9","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"4bf190d6-5aa7-4d8c-a68d-c41596b5699d","type":"Circle"},"selection_glyph":null,"view":{"id":"5910f642-0ef7-46da-825f-9236b1525df0","type":"CDSView"}},"id":"faa375b2-7b29-417e-a711-69c603cbc690","type":"GlyphRenderer"},{"attributes":{},"id":"47f3e853-3e59-45cd-8e6d-1a9f31098011","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"4bf190d6-5aa7-4d8c-a68d-c41596b5699d","type":"Circle"},{"attributes":{},"id":"f9329602-6a84-49c5-bf0e-e53ecd68577a","type":"SaveTool"},{"attributes":{"formatter":{"id":"47f3e853-3e59-45cd-8e6d-1a9f31098011","type":"BasicTickFormatter"},"plot":{"id":"c8b7c5d4-72d3-48ff-8ffd-0d015c04b661","subtype":"Figure","type":"Plot"},"ticker":{"id":"8205daa5-7672-4beb-8525-0fe497d21e68","type":"BasicTicker"}},"id":"2186e732-f94e-4262-9bdc-8cce1c2f1554","type":"LinearAxis"},{"attributes":{},"id":"93a9c023-c403-4fe8-a511-7b4e6a1126cf","type":"LinearScale"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"8ee3020f-bae4-4c65-a672-2b74d59f5ca9","type":"Circle"},{"attributes":{},"id":"d7b81b1b-eec1-4403-ac7f-9c1820625d40","type":"ResetTool"},{"attributes":{"plot":{"id":"c8b7c5d4-72d3-48ff-8ffd-0d015c04b661","subtype":"Figure","type":"Plot"},"ticker":{"id":"48b372a1-b0c8-447d-ace2-b78e7ee74f41","type":"BasicTicker"}},"id":"b0511759-aa34-4302-909a-93f858fff348","type":"Grid"},{"attributes":{},"id":"8205daa5-7672-4beb-8525-0fe497d21e68","type":"BasicTicker"},{"attributes":{},"id":"48b372a1-b0c8-447d-ace2-b78e7ee74f41","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"8d9e80ef-f502-4cab-9f0a-e074be190784","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"543b8935-877a-4550-b7c2-6653da8c5cb4","type":"DataRange1d"},{"attributes":{},"id":"c1a143d6-c955-4cc9-9804-d858feea4e12","type":"PanTool"},{"attributes":{"formatter":{"id":"143bfa0f-66b2-4a70-bd32-117de6c8577d","type":"BasicTickFormatter"},"plot":{"id":"c8b7c5d4-72d3-48ff-8ffd-0d015c04b661","subtype":"Figure","type":"Plot"},"ticker":{"id":"48b372a1-b0c8-447d-ace2-b78e7ee74f41","type":"BasicTicker"}},"id":"4c8f600a-b90c-492c-8272-53472f765db6","type":"LinearAxis"},{"attributes":{},"id":"089fce2b-ee22-43e6-bbf0-878509fd4928","type":"WheelZoomTool"},{"attributes":{"below":[{"id":"4c8f600a-b90c-492c-8272-53472f765db6","type":"LinearAxis"}],"left":[{"id":"2186e732-f94e-4262-9bdc-8cce1c2f1554","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"4c8f600a-b90c-492c-8272-53472f765db6","type":"LinearAxis"},{"id":"b0511759-aa34-4302-909a-93f858fff348","type":"Grid"},{"id":"2186e732-f94e-4262-9bdc-8cce1c2f1554","type":"LinearAxis"},{"id":"239901e3-718b-4436-9d63-ca33072d705f","type":"Grid"},{"id":"8d9e80ef-f502-4cab-9f0a-e074be190784","type":"BoxAnnotation"},{"id":"faa375b2-7b29-417e-a711-69c603cbc690","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"dcf63a37-4f49-48bc-bb9a-ae1111e626da","type":"Toolbar"},"toolbar_location":"below","toolbar_sticky":false,"x_range":{"id":"543b8935-877a-4550-b7c2-6653da8c5cb4","type":"DataRange1d"},"x_scale":{"id":"96206302-9821-4885-9af5-85b756d06a16","type":"LinearScale"},"y_range":{"id":"15c1f60f-998a-414d-8e18-e9de28f2168b","type":"DataRange1d"},"y_scale":{"id":"93a9c023-c403-4fe8-a511-7b4e6a1126cf","type":"LinearScale"}},"id":"c8b7c5d4-72d3-48ff-8ffd-0d015c04b661","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"96206302-9821-4885-9af5-85b756d06a16","type":"LinearScale"}],"root_ids":["c8b7c5d4-72d3-48ff-8ffd-0d015c04b661"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"368d8b44-8d48-4404-b55c-f81e4fc8f836","elementid":"4e795841-ce1a-4eb1-a517-fa89eb35ba94","modelid":"c8b7c5d4-72d3-48ff-8ffd-0d015c04b661"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
