(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("138b9014-cd9d-4879-a75c-2f208680e0c7");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '138b9014-cd9d-4879-a75c-2f208680e0c7' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"fede0cfc-3d88-4913-883d-995fe08e298d":{"roots":{"references":[{"attributes":{},"id":"6b0cdeb2-3754-43a7-af3b-7972d6b57810","type":"BasicTickFormatter"},{"attributes":{},"id":"75c27ae9-ef59-43d6-b14c-64a16912ba6e","type":"LinearScale"},{"attributes":{},"id":"5a62ba15-ab90-46ad-9cc9-e78d27c6abc9","type":"HelpTool"},{"attributes":{},"id":"db4df9af-b1ab-4077-b044-bf3c9adf0354","type":"SaveTool"},{"attributes":{"line_alpha":{"value":0.6},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"afb40517-900c-4190-9ce9-d3372832eb1b","type":"Line"},{"attributes":{"callback":null},"id":"6ab6efc5-bc4c-4358-bad4-aa8e97b07564","type":"DataRange1d"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"daa05daf-c8da-4e18-99ba-af98070da44f","type":"Line"},{"attributes":{},"id":"4799e29f-7104-4b05-a0ff-04db88a50468","type":"ResetTool"},{"attributes":{},"id":"f0d788bd-9550-498b-ab53-17d4a65853fa","type":"BasicTicker"},{"attributes":{"children":[{"id":"249eaecf-2943-42bb-9013-504dcb6407ef","type":"Slider"}]},"id":"be1e5c94-e306-4ec6-8586-b98e56d282f1","type":"WidgetBox"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"65b289b8-235b-4d10-845c-fad5455e4161","type":"PanTool"},{"id":"1960c898-09c0-44b7-8109-e2a72eed6bcd","type":"WheelZoomTool"},{"id":"3e410761-4317-48fe-bdd8-e88cd49886f1","type":"BoxZoomTool"},{"id":"db4df9af-b1ab-4077-b044-bf3c9adf0354","type":"SaveTool"},{"id":"4799e29f-7104-4b05-a0ff-04db88a50468","type":"ResetTool"},{"id":"5a62ba15-ab90-46ad-9cc9-e78d27c6abc9","type":"HelpTool"}]},"id":"e5b99d04-17e4-4585-8e8b-ca6b24cbf7b5","type":"Toolbar"},{"attributes":{"overlay":{"id":"60bb8762-a626-4489-ab41-0ac0d5aaad1a","type":"BoxAnnotation"}},"id":"3e410761-4317-48fe-bdd8-e88cd49886f1","type":"BoxZoomTool"},{"attributes":{"data_source":{"id":"efb872c2-60a5-431f-9632-f199fb76bfa4","type":"ColumnDataSource"},"glyph":{"id":"afb40517-900c-4190-9ce9-d3372832eb1b","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"daa05daf-c8da-4e18-99ba-af98070da44f","type":"Line"},"selection_glyph":null,"view":{"id":"e6e0f342-9fbe-4446-9daa-b3149a18f425","type":"CDSView"}},"id":"913e6d26-1a45-41bf-a70b-d9c4532f478e","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"4cb4eee6-9b9e-4ece-a832-eb26608e9405","type":"BasicTickFormatter"},"plot":{"id":"dd55140f-9307-4e48-92b6-9ae90bdd2a32","subtype":"Figure","type":"Plot"},"ticker":{"id":"f0d788bd-9550-498b-ab53-17d4a65853fa","type":"BasicTicker"}},"id":"44de2fb5-09f1-4114-b955-1f47a5510491","type":"LinearAxis"},{"attributes":{"source":{"id":"efb872c2-60a5-431f-9632-f199fb76bfa4","type":"ColumnDataSource"}},"id":"e6e0f342-9fbe-4446-9daa-b3149a18f425","type":"CDSView"},{"attributes":{"plot":{"id":"dd55140f-9307-4e48-92b6-9ae90bdd2a32","subtype":"Figure","type":"Plot"},"ticker":{"id":"f0d788bd-9550-498b-ab53-17d4a65853fa","type":"BasicTicker"}},"id":"b9fad1ce-a7ba-4306-9b27-090d5c86ac49","type":"Grid"},{"attributes":{"plot":null,"text":""},"id":"5f785c7d-12ba-44eb-bc0f-b058bb8b62fc","type":"Title"},{"attributes":{},"id":"1960c898-09c0-44b7-8109-e2a72eed6bcd","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"6b0cdeb2-3754-43a7-af3b-7972d6b57810","type":"BasicTickFormatter"},"plot":{"id":"dd55140f-9307-4e48-92b6-9ae90bdd2a32","subtype":"Figure","type":"Plot"},"ticker":{"id":"49eded17-f82f-491c-abee-9f6e659edf14","type":"BasicTicker"}},"id":"9b79edea-0ac6-4e4d-8bf4-0ca64ce425ea","type":"LinearAxis"},{"attributes":{"callback":{"id":"07303c15-0e83-49d8-b9ee-0c1c81fb6ce1","type":"CustomJS"},"end":4,"start":0.1,"step":0.1,"title":"power","value":1},"id":"249eaecf-2943-42bb-9013-504dcb6407ef","type":"Slider"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"60bb8762-a626-4489-ab41-0ac0d5aaad1a","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"315be6e1-37af-42c8-856f-4382f705f933","type":"DataRange1d"},{"attributes":{},"id":"31c8a105-fd10-4f19-b755-fd965acaa326","type":"LinearScale"},{"attributes":{"children":[{"id":"be1e5c94-e306-4ec6-8586-b98e56d282f1","type":"WidgetBox"},{"id":"dd55140f-9307-4e48-92b6-9ae90bdd2a32","subtype":"Figure","type":"Plot"}]},"id":"bc8d2149-32c7-433d-9132-2caa2bf8f4d4","type":"Column"},{"attributes":{"args":{"source":{"id":"efb872c2-60a5-431f-9632-f199fb76bfa4","type":"ColumnDataSource"}},"code":"var _pyfunc_range = function (start, end, step) {\nvar i, res = [];\n    var val = start;\n    var n = (end - start) / step;\n    for (i=0; i<n; i++) {\n        res.push(val);\n        val += step;\n    }\n    return res;\n};\nvar cb;\ncb = function (source, window) {\n    var data, f, i, stub1_, x, y;\n    source = (source === undefined) ? source: source;\n    window = (window === undefined) ? null: window;\n    data = source.data;\n    f = cb_obj.value;\n    stub1_ = [data[\"x\"], data[\"y\"]];\n    x = stub1_[0];y = stub1_[1];\n    for (i = 0; i < x.length; i += 1) {\n        y[i] = window.Math.pow(x[i], f);\n    }\n    source.change.emit();\n    return null;\n};\ncb(source, window);\n"},"id":"07303c15-0e83-49d8-b9ee-0c1c81fb6ce1","type":"CustomJS"},{"attributes":{},"id":"49eded17-f82f-491c-abee-9f6e659edf14","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"dd55140f-9307-4e48-92b6-9ae90bdd2a32","subtype":"Figure","type":"Plot"},"ticker":{"id":"49eded17-f82f-491c-abee-9f6e659edf14","type":"BasicTicker"}},"id":"1319e285-d1f2-4150-b892-5afa1be9593b","type":"Grid"},{"attributes":{"below":[{"id":"44de2fb5-09f1-4114-b955-1f47a5510491","type":"LinearAxis"}],"left":[{"id":"9b79edea-0ac6-4e4d-8bf4-0ca64ce425ea","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"44de2fb5-09f1-4114-b955-1f47a5510491","type":"LinearAxis"},{"id":"b9fad1ce-a7ba-4306-9b27-090d5c86ac49","type":"Grid"},{"id":"9b79edea-0ac6-4e4d-8bf4-0ca64ce425ea","type":"LinearAxis"},{"id":"1319e285-d1f2-4150-b892-5afa1be9593b","type":"Grid"},{"id":"60bb8762-a626-4489-ab41-0ac0d5aaad1a","type":"BoxAnnotation"},{"id":"913e6d26-1a45-41bf-a70b-d9c4532f478e","type":"GlyphRenderer"}],"title":{"id":"5f785c7d-12ba-44eb-bc0f-b058bb8b62fc","type":"Title"},"toolbar":{"id":"e5b99d04-17e4-4585-8e8b-ca6b24cbf7b5","type":"Toolbar"},"x_range":{"id":"315be6e1-37af-42c8-856f-4382f705f933","type":"DataRange1d"},"x_scale":{"id":"31c8a105-fd10-4f19-b755-fd965acaa326","type":"LinearScale"},"y_range":{"id":"6ab6efc5-bc4c-4358-bad4-aa8e97b07564","type":"DataRange1d"},"y_scale":{"id":"75c27ae9-ef59-43d6-b14c-64a16912ba6e","type":"LinearScale"}},"id":"dd55140f-9307-4e48-92b6-9ae90bdd2a32","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"65b289b8-235b-4d10-845c-fad5455e4161","type":"PanTool"},{"attributes":{},"id":"4cb4eee6-9b9e-4ece-a832-eb26608e9405","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995],"y":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995]}},"id":"efb872c2-60a5-431f-9632-f199fb76bfa4","type":"ColumnDataSource"}],"root_ids":["bc8d2149-32c7-433d-9132-2caa2bf8f4d4"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"fede0cfc-3d88-4913-883d-995fe08e298d","elementid":"138b9014-cd9d-4879-a75c-2f208680e0c7","modelid":"bc8d2149-32c7-433d-9132-2caa2bf8f4d4"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
