(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("05ff2815-58bc-4ca2-a5f2-6418a9d7887b");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '05ff2815-58bc-4ca2-a5f2-6418a9d7887b' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"2dc9afc8-ac44-450d-a767-ddad499308b0":{"roots":{"references":[{"attributes":{},"id":"1cea8450-7513-4b04-b321-9012526f9276","type":"ResetTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"c70784ef-5600-4e7e-b43f-15a82af1ecdc","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"3c13838d-e132-487b-8f71-8aa1b08874f5","type":"Circle"},{"attributes":{},"id":"8cfad242-50ed-4f38-b14c-1e996be8649e","type":"ResetTool"},{"attributes":{"callback":null,"tabs":[{"id":"f1bde41c-882f-49e5-836f-c51500cb822e","type":"Panel"},{"id":"042fde3a-4c6a-4001-bb7b-0ebe181e87fa","type":"Panel"}]},"id":"c290a365-0137-4321-9fad-94b47f8c29f8","type":"Tabs"},{"attributes":{},"id":"5ddb41ab-bd64-48b0-aa3d-42d8f4e81149","type":"LinearScale"},{"attributes":{},"id":"eab0e7f8-0de4-448c-a865-7a0e7a9b3263","type":"SaveTool"},{"attributes":{},"id":"a606dda1-2e23-4a9c-8e30-98dd6da32363","type":"BasicTickFormatter"},{"attributes":{},"id":"7e2df0ef-f5c3-4e2c-8508-1e335b432138","type":"PanTool"},{"attributes":{"dimension":1,"plot":{"id":"e9dd798d-625d-4292-9afa-6331fa65b2bc","subtype":"Figure","type":"Plot"},"ticker":{"id":"f9d3f044-2bf2-453e-99ea-21ba821dd8e4","type":"BasicTicker"}},"id":"f69384d8-6a08-4ae2-b977-18f35a570193","type":"Grid"},{"attributes":{"formatter":{"id":"b9d384ac-e986-4025-93cd-8427937eadcd","type":"BasicTickFormatter"},"plot":{"id":"e9dd798d-625d-4292-9afa-6331fa65b2bc","subtype":"Figure","type":"Plot"},"ticker":{"id":"f9d3f044-2bf2-453e-99ea-21ba821dd8e4","type":"BasicTicker"}},"id":"49c6f27d-ed67-4414-a762-0815feace82c","type":"LinearAxis"},{"attributes":{"plot":{"id":"fb249ecd-e2d6-43d4-99cb-c7d39482abe8","subtype":"Figure","type":"Plot"},"ticker":{"id":"a3e88cee-8944-4657-99ac-fa5e1f3a90c0","type":"BasicTicker"}},"id":"5ede4379-aaa8-4802-88ec-64cc8f950f92","type":"Grid"},{"attributes":{"overlay":{"id":"d14d8a6f-8841-45e5-9f7c-88e731a503f5","type":"BoxAnnotation"}},"id":"746c321c-35dd-46e4-b0f6-c62ff3ea0b0a","type":"BoxZoomTool"},{"attributes":{"plot":{"id":"e9dd798d-625d-4292-9afa-6331fa65b2bc","subtype":"Figure","type":"Plot"},"ticker":{"id":"0dc2d1a7-504b-4c0c-be61-6c9eec664789","type":"BasicTicker"}},"id":"21b785e0-d9f7-4a84-adf9-2a78c3c326b7","type":"Grid"},{"attributes":{},"id":"a3e88cee-8944-4657-99ac-fa5e1f3a90c0","type":"BasicTicker"},{"attributes":{},"id":"0dc2d1a7-504b-4c0c-be61-6c9eec664789","type":"BasicTicker"},{"attributes":{"formatter":{"id":"530e5196-2f69-43b5-a001-b43060654795","type":"BasicTickFormatter"},"plot":{"id":"fb249ecd-e2d6-43d4-99cb-c7d39482abe8","subtype":"Figure","type":"Plot"},"ticker":{"id":"a3e88cee-8944-4657-99ac-fa5e1f3a90c0","type":"BasicTicker"}},"id":"f4cf97f3-49cc-452f-b509-ef13663f1a7c","type":"LinearAxis"},{"attributes":{},"id":"15209e0e-9ae2-4ced-be60-63685d91e09e","type":"SaveTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"d14d8a6f-8841-45e5-9f7c-88e731a503f5","type":"BoxAnnotation"},{"attributes":{"child":{"id":"e9dd798d-625d-4292-9afa-6331fa65b2bc","subtype":"Figure","type":"Plot"},"title":"circle"},"id":"f1bde41c-882f-49e5-836f-c51500cb822e","type":"Panel"},{"attributes":{},"id":"06daa429-0d0a-4972-9203-2e3def3cf668","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"12ffcfe3-d525-4cb0-a229-56c09fd58883","type":"Title"},{"attributes":{"source":{"id":"c71ff06e-acb6-4fb4-afd4-7e16cf3532b3","type":"ColumnDataSource"}},"id":"05cf7f85-f85b-4f3e-a694-f4470ea4c02d","type":"CDSView"},{"attributes":{},"id":"a7829ddf-d02c-41b1-988b-e6723aedc698","type":"LinearScale"},{"attributes":{"data_source":{"id":"c70784ef-5600-4e7e-b43f-15a82af1ecdc","type":"ColumnDataSource"},"glyph":{"id":"9b61e01c-d86b-4277-9452-82abafa97023","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c462eb41-36f2-4162-a851-89f8e27197cd","type":"Line"},"selection_glyph":null,"view":{"id":"cc287fea-2d07-4d0e-91ab-e1d1117b9996","type":"CDSView"}},"id":"d818ad46-6455-4256-bb51-306272e9a63f","type":"GlyphRenderer"},{"attributes":{},"id":"d47f8395-6d74-456c-9ad8-f557d761469e","type":"PanTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"d47f8395-6d74-456c-9ad8-f557d761469e","type":"PanTool"},{"id":"a986efb2-26be-437e-80d9-7597e0a819b5","type":"WheelZoomTool"},{"id":"746c321c-35dd-46e4-b0f6-c62ff3ea0b0a","type":"BoxZoomTool"},{"id":"15209e0e-9ae2-4ced-be60-63685d91e09e","type":"SaveTool"},{"id":"1cea8450-7513-4b04-b321-9012526f9276","type":"ResetTool"},{"id":"4a5c3621-02f6-408b-86b8-c2f9f9a4825e","type":"HelpTool"}]},"id":"8b167c32-3d54-4b66-bd52-7b958e5059b3","type":"Toolbar"},{"attributes":{},"id":"4a5c3621-02f6-408b-86b8-c2f9f9a4825e","type":"HelpTool"},{"attributes":{"plot":null,"text":""},"id":"5390fa4e-52ed-4f97-9015-dbc934f88d36","type":"Title"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"c71ff06e-acb6-4fb4-afd4-7e16cf3532b3","type":"ColumnDataSource"},{"attributes":{},"id":"530e5196-2f69-43b5-a001-b43060654795","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"badec5c5-0df9-42d7-a4af-64c67d17d7d0","type":"BoxAnnotation"},{"attributes":{},"id":"182a72e9-ae04-469c-be53-a3319d63cadd","type":"BasicTickFormatter"},{"attributes":{},"id":"83593749-923f-4222-a1e5-c1df566d137a","type":"BasicTicker"},{"attributes":{"formatter":{"id":"a606dda1-2e23-4a9c-8e30-98dd6da32363","type":"BasicTickFormatter"},"plot":{"id":"fb249ecd-e2d6-43d4-99cb-c7d39482abe8","subtype":"Figure","type":"Plot"},"ticker":{"id":"83593749-923f-4222-a1e5-c1df566d137a","type":"BasicTicker"}},"id":"2b638dc9-f243-4af8-a0ae-d90caa5f8662","type":"LinearAxis"},{"attributes":{"callback":null},"id":"5e623a6c-e21b-466b-93c6-c77acf0bfb94","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"7e2df0ef-f5c3-4e2c-8508-1e335b432138","type":"PanTool"},{"id":"2aba194b-b52b-4c93-a45e-804e572f5ba0","type":"WheelZoomTool"},{"id":"15194fd9-9ebc-4800-b898-ad42091ca371","type":"BoxZoomTool"},{"id":"eab0e7f8-0de4-448c-a865-7a0e7a9b3263","type":"SaveTool"},{"id":"8cfad242-50ed-4f38-b14c-1e996be8649e","type":"ResetTool"},{"id":"8176904c-62ed-4b5f-8bea-c98131adae6b","type":"HelpTool"}]},"id":"472ffb07-ef85-4100-bf0d-85f5e6f844c4","type":"Toolbar"},{"attributes":{"callback":null},"id":"44fd0116-721f-4d46-867e-550a3b92349f","type":"DataRange1d"},{"attributes":{"formatter":{"id":"182a72e9-ae04-469c-be53-a3319d63cadd","type":"BasicTickFormatter"},"plot":{"id":"e9dd798d-625d-4292-9afa-6331fa65b2bc","subtype":"Figure","type":"Plot"},"ticker":{"id":"0dc2d1a7-504b-4c0c-be61-6c9eec664789","type":"BasicTicker"}},"id":"cecc61ad-9d1f-4780-8dd7-6388ec97adb1","type":"LinearAxis"},{"attributes":{"below":[{"id":"cecc61ad-9d1f-4780-8dd7-6388ec97adb1","type":"LinearAxis"}],"left":[{"id":"49c6f27d-ed67-4414-a762-0815feace82c","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"cecc61ad-9d1f-4780-8dd7-6388ec97adb1","type":"LinearAxis"},{"id":"21b785e0-d9f7-4a84-adf9-2a78c3c326b7","type":"Grid"},{"id":"49c6f27d-ed67-4414-a762-0815feace82c","type":"LinearAxis"},{"id":"f69384d8-6a08-4ae2-b977-18f35a570193","type":"Grid"},{"id":"badec5c5-0df9-42d7-a4af-64c67d17d7d0","type":"BoxAnnotation"},{"id":"c4df33df-6c49-4041-801a-c0fefe6a6bf2","type":"GlyphRenderer"}],"title":{"id":"12ffcfe3-d525-4cb0-a229-56c09fd58883","type":"Title"},"toolbar":{"id":"472ffb07-ef85-4100-bf0d-85f5e6f844c4","type":"Toolbar"},"x_range":{"id":"a86bd06a-afa8-4cd7-8460-745f7b85ecf3","type":"DataRange1d"},"x_scale":{"id":"5ddb41ab-bd64-48b0-aa3d-42d8f4e81149","type":"LinearScale"},"y_range":{"id":"5e623a6c-e21b-466b-93c6-c77acf0bfb94","type":"DataRange1d"},"y_scale":{"id":"06daa429-0d0a-4972-9203-2e3def3cf668","type":"LinearScale"}},"id":"e9dd798d-625d-4292-9afa-6331fa65b2bc","subtype":"Figure","type":"Plot"},{"attributes":{"dimension":1,"plot":{"id":"fb249ecd-e2d6-43d4-99cb-c7d39482abe8","subtype":"Figure","type":"Plot"},"ticker":{"id":"83593749-923f-4222-a1e5-c1df566d137a","type":"BasicTicker"}},"id":"3d196b74-5516-4195-bd1e-e7c2e5c6fdc8","type":"Grid"},{"attributes":{"source":{"id":"c70784ef-5600-4e7e-b43f-15a82af1ecdc","type":"ColumnDataSource"}},"id":"cc287fea-2d07-4d0e-91ab-e1d1117b9996","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"navy"},"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"a4f56d27-b92c-4b9b-b7bc-a1408bca55fb","type":"Circle"},{"attributes":{"overlay":{"id":"badec5c5-0df9-42d7-a4af-64c67d17d7d0","type":"BoxAnnotation"}},"id":"15194fd9-9ebc-4800-b898-ad42091ca371","type":"BoxZoomTool"},{"attributes":{"data_source":{"id":"c71ff06e-acb6-4fb4-afd4-7e16cf3532b3","type":"ColumnDataSource"},"glyph":{"id":"a4f56d27-b92c-4b9b-b7bc-a1408bca55fb","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"3c13838d-e132-487b-8f71-8aa1b08874f5","type":"Circle"},"selection_glyph":null,"view":{"id":"05cf7f85-f85b-4f3e-a694-f4470ea4c02d","type":"CDSView"}},"id":"c4df33df-6c49-4041-801a-c0fefe6a6bf2","type":"GlyphRenderer"},{"attributes":{},"id":"a986efb2-26be-437e-80d9-7597e0a819b5","type":"WheelZoomTool"},{"attributes":{"callback":null},"id":"a86bd06a-afa8-4cd7-8460-745f7b85ecf3","type":"DataRange1d"},{"attributes":{},"id":"2aba194b-b52b-4c93-a45e-804e572f5ba0","type":"WheelZoomTool"},{"attributes":{},"id":"f9d3f044-2bf2-453e-99ea-21ba821dd8e4","type":"BasicTicker"},{"attributes":{"callback":null},"id":"1edd4591-ab6d-42d3-b8a2-c51a06431606","type":"DataRange1d"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"c462eb41-36f2-4162-a851-89f8e27197cd","type":"Line"},{"attributes":{"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"9b61e01c-d86b-4277-9452-82abafa97023","type":"Line"},{"attributes":{"child":{"id":"fb249ecd-e2d6-43d4-99cb-c7d39482abe8","subtype":"Figure","type":"Plot"},"title":"line"},"id":"042fde3a-4c6a-4001-bb7b-0ebe181e87fa","type":"Panel"},{"attributes":{},"id":"4610f3c0-2b63-4974-849d-fcb7881dd601","type":"LinearScale"},{"attributes":{"below":[{"id":"f4cf97f3-49cc-452f-b509-ef13663f1a7c","type":"LinearAxis"}],"left":[{"id":"2b638dc9-f243-4af8-a0ae-d90caa5f8662","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"f4cf97f3-49cc-452f-b509-ef13663f1a7c","type":"LinearAxis"},{"id":"5ede4379-aaa8-4802-88ec-64cc8f950f92","type":"Grid"},{"id":"2b638dc9-f243-4af8-a0ae-d90caa5f8662","type":"LinearAxis"},{"id":"3d196b74-5516-4195-bd1e-e7c2e5c6fdc8","type":"Grid"},{"id":"d14d8a6f-8841-45e5-9f7c-88e731a503f5","type":"BoxAnnotation"},{"id":"d818ad46-6455-4256-bb51-306272e9a63f","type":"GlyphRenderer"}],"title":{"id":"5390fa4e-52ed-4f97-9015-dbc934f88d36","type":"Title"},"toolbar":{"id":"8b167c32-3d54-4b66-bd52-7b958e5059b3","type":"Toolbar"},"x_range":{"id":"44fd0116-721f-4d46-867e-550a3b92349f","type":"DataRange1d"},"x_scale":{"id":"a7829ddf-d02c-41b1-988b-e6723aedc698","type":"LinearScale"},"y_range":{"id":"1edd4591-ab6d-42d3-b8a2-c51a06431606","type":"DataRange1d"},"y_scale":{"id":"4610f3c0-2b63-4974-849d-fcb7881dd601","type":"LinearScale"}},"id":"fb249ecd-e2d6-43d4-99cb-c7d39482abe8","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"8176904c-62ed-4b5f-8bea-c98131adae6b","type":"HelpTool"},{"attributes":{},"id":"b9d384ac-e986-4025-93cd-8427937eadcd","type":"BasicTickFormatter"}],"root_ids":["c290a365-0137-4321-9fad-94b47f8c29f8"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"2dc9afc8-ac44-450d-a767-ddad499308b0","elementid":"05ff2815-58bc-4ca2-a5f2-6418a9d7887b","modelid":"c290a365-0137-4321-9fad-94b47f8c29f8"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
