(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("333e2183-5944-44f0-b54f-6eb68fe960d3");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '333e2183-5944-44f0-b54f-6eb68fe960d3' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"1a544eea-7f8f-458d-acde-3ee4ad685179":{"roots":{"references":[{"attributes":{"callback":null},"id":"73961016-cd12-4ce1-8195-b6f3ea2a2a64","type":"DataRange1d"},{"attributes":{"callback":null},"id":"2d7449a7-69e0-4500-a9f1-ce5c474f8de2","type":"DataRange1d"},{"attributes":{"plot":null,"text":"Mouse over the dots"},"id":"fffdd300-612f-4bb4-874c-f1438dea90be","type":"Title"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"f3a009e7-72c3-4093-b77b-fbdff69651db","type":"HoverTool"}]},"id":"11d0c7b7-1cd4-4179-abf2-9705cd90f287","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["y","x","desc"],"data":{"desc":["A","b","C","d","E"],"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"cb288676-efce-4b7f-a63b-3043cb2680cd","type":"ColumnDataSource"},{"attributes":{"callback":null,"tooltips":[["index","$index"],["(x,y)","($x, $y)"],["desc","@desc"]]},"id":"f3a009e7-72c3-4093-b77b-fbdff69651db","type":"HoverTool"},{"attributes":{"below":[{"id":"e78e9901-3cc7-40c2-b382-c64ae586bb42","type":"LinearAxis"}],"left":[{"id":"7c172f80-4750-4a7b-ac93-f184fdef74dd","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"e78e9901-3cc7-40c2-b382-c64ae586bb42","type":"LinearAxis"},{"id":"b3166d12-3325-44d2-95c0-0ae208341be2","type":"Grid"},{"id":"7c172f80-4750-4a7b-ac93-f184fdef74dd","type":"LinearAxis"},{"id":"e5c64885-25d9-40f9-9240-9d5271c57ab3","type":"Grid"},{"id":"9c732b75-94d9-416d-85fd-0bcdab645f2c","type":"GlyphRenderer"}],"title":{"id":"fffdd300-612f-4bb4-874c-f1438dea90be","type":"Title"},"toolbar":{"id":"11d0c7b7-1cd4-4179-abf2-9705cd90f287","type":"Toolbar"},"x_range":{"id":"73961016-cd12-4ce1-8195-b6f3ea2a2a64","type":"DataRange1d"},"x_scale":{"id":"718f30ee-48d8-4ea8-be50-b5496a7da729","type":"LinearScale"},"y_range":{"id":"2d7449a7-69e0-4500-a9f1-ce5c474f8de2","type":"DataRange1d"},"y_scale":{"id":"60d8631a-5483-4d41-abb8-4b267833aa39","type":"LinearScale"}},"id":"910a0564-8dee-422c-b1b2-876911a5b078","subtype":"Figure","type":"Plot"},{"attributes":{"source":{"id":"cb288676-efce-4b7f-a63b-3043cb2680cd","type":"ColumnDataSource"}},"id":"0dc778f7-5e67-4119-adce-e1857c266598","type":"CDSView"},{"attributes":{},"id":"718f30ee-48d8-4ea8-be50-b5496a7da729","type":"LinearScale"},{"attributes":{"formatter":{"id":"9e1b762d-3daa-41e2-89c6-a01f5f255579","type":"BasicTickFormatter"},"plot":{"id":"910a0564-8dee-422c-b1b2-876911a5b078","subtype":"Figure","type":"Plot"},"ticker":{"id":"e8b26972-2749-4e76-8716-3ca0f6bfdf20","type":"BasicTicker"}},"id":"7c172f80-4750-4a7b-ac93-f184fdef74dd","type":"LinearAxis"},{"attributes":{"data_source":{"id":"cb288676-efce-4b7f-a63b-3043cb2680cd","type":"ColumnDataSource"},"glyph":{"id":"bbada706-b2dd-4d76-8720-bcde1a403659","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c5906965-57ff-4e87-9909-db65467aa9bf","type":"Circle"},"selection_glyph":null,"view":{"id":"0dc778f7-5e67-4119-adce-e1857c266598","type":"CDSView"}},"id":"9c732b75-94d9-416d-85fd-0bcdab645f2c","type":"GlyphRenderer"},{"attributes":{},"id":"11277f84-5b2e-48ba-9a40-d968a052e1c0","type":"BasicTicker"},{"attributes":{},"id":"134126b7-5b57-4787-80ef-8e4e72c25699","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"910a0564-8dee-422c-b1b2-876911a5b078","subtype":"Figure","type":"Plot"},"ticker":{"id":"e8b26972-2749-4e76-8716-3ca0f6bfdf20","type":"BasicTicker"}},"id":"e5c64885-25d9-40f9-9240-9d5271c57ab3","type":"Grid"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"bbada706-b2dd-4d76-8720-bcde1a403659","type":"Circle"},{"attributes":{},"id":"60d8631a-5483-4d41-abb8-4b267833aa39","type":"LinearScale"},{"attributes":{"formatter":{"id":"134126b7-5b57-4787-80ef-8e4e72c25699","type":"BasicTickFormatter"},"plot":{"id":"910a0564-8dee-422c-b1b2-876911a5b078","subtype":"Figure","type":"Plot"},"ticker":{"id":"11277f84-5b2e-48ba-9a40-d968a052e1c0","type":"BasicTicker"}},"id":"e78e9901-3cc7-40c2-b382-c64ae586bb42","type":"LinearAxis"},{"attributes":{},"id":"e8b26972-2749-4e76-8716-3ca0f6bfdf20","type":"BasicTicker"},{"attributes":{},"id":"9e1b762d-3daa-41e2-89c6-a01f5f255579","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"910a0564-8dee-422c-b1b2-876911a5b078","subtype":"Figure","type":"Plot"},"ticker":{"id":"11277f84-5b2e-48ba-9a40-d968a052e1c0","type":"BasicTicker"}},"id":"b3166d12-3325-44d2-95c0-0ae208341be2","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"c5906965-57ff-4e87-9909-db65467aa9bf","type":"Circle"}],"root_ids":["910a0564-8dee-422c-b1b2-876911a5b078"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"1a544eea-7f8f-458d-acde-3ee4ad685179","elementid":"333e2183-5944-44f0-b54f-6eb68fe960d3","modelid":"910a0564-8dee-422c-b1b2-876911a5b078"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
