(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("dd8f5b46-91e5-479d-b509-3ab5338c6a14");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'dd8f5b46-91e5-479d-b509-3ab5338c6a14' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"3f438ce7-4368-4f7d-a36a-69ce98ca68cc":{"roots":{"references":[{"attributes":{"fields":["2015","2016"]},"id":"9d3ed7f1-15ad-407e-aaf7-a0187d835297","type":"Stack"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"range_padding":0.1},"id":"6fcbb76e-2085-4486-b245-7b6bf89808fb","type":"FactorRange"},{"attributes":{"source":{"id":"8db22efa-1b91-404e-92fc-4990d8093656","type":"ColumnDataSource"}},"id":"d9fe1fc4-e5dc-41f3-b7a3-81c80b6ae2aa","type":"CDSView"},{"attributes":{"label":{"value":"2016"},"renderers":[{"id":"813c948e-1f77-47d3-945d-81e1186eba40","type":"GlyphRenderer"}]},"id":"c4cfd780-4dde-4c7f-9d69-aed86f222867","type":"LegendItem"},{"attributes":{"label":{"value":"2017"},"renderers":[{"id":"916925dc-4aa0-4fee-bda7-9b4446e1a9d8","type":"GlyphRenderer"}]},"id":"0957d77f-9877-4659-9fff-41095e9b0aa8","type":"LegendItem"},{"attributes":{"callback":null,"start":0},"id":"093df7f3-7e18-4c81-a1a9-068fb59728b1","type":"DataRange1d"},{"attributes":{"formatter":{"id":"4aee3266-f18e-4b0a-b82a-377b2840a281","type":"CategoricalTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"b54619db-d2e1-48fd-9878-e000385f494a","subtype":"Figure","type":"Plot"},"ticker":{"id":"e1f605fc-248f-46bf-835a-d0c68c76f185","type":"CategoricalTicker"}},"id":"cc3db17c-bab4-48ee-b19b-aac4c875acd2","type":"CategoricalAxis"},{"attributes":{"bottom":{"expr":{"id":"9d3ed7f1-15ad-407e-aaf7-a0187d835297","type":"Stack"}},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"expr":{"id":"7fb41555-8338-4c18-b723-038e176e98be","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"72845e65-58a8-4f2c-8647-66db0eec0df2","type":"VBar"},{"attributes":{"fields":["2015","2016","2017"]},"id":"7fb41555-8338-4c18-b723-038e176e98be","type":"Stack"},{"attributes":{"bottom":{"expr":{"id":"ccdf4f1e-ea31-4c03-8a62-86e93d18a37a","type":"Stack"}},"fill_color":{"value":"#c9d9d3"},"line_color":{"value":"#c9d9d3"},"top":{"expr":{"id":"0aac629f-88db-41d7-9c0f-89c43442a9db","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"7cba512c-8fef-45db-b82a-5a543af52db6","type":"VBar"},{"attributes":{"data_source":{"id":"8db22efa-1b91-404e-92fc-4990d8093656","type":"ColumnDataSource"},"glyph":{"id":"7cba512c-8fef-45db-b82a-5a543af52db6","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"d687f824-3108-492a-928a-694bcbe172a6","type":"VBar"},"selection_glyph":null,"view":{"id":"d9fe1fc4-e5dc-41f3-b7a3-81c80b6ae2aa","type":"CDSView"}},"id":"f83ca35b-3680-40e6-9623-298db6518841","type":"GlyphRenderer"},{"attributes":{"bottom":{"expr":{"id":"9d3ed7f1-15ad-407e-aaf7-a0187d835297","type":"Stack"}},"fill_color":{"value":"#e84d60"},"line_color":{"value":"#e84d60"},"top":{"expr":{"id":"7fb41555-8338-4c18-b723-038e176e98be","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"941bfc6b-f02d-4b0c-b8d4-48409bb1ba44","type":"VBar"},{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"43b04d7e-f938-4485-82fe-5ef59b123d35","type":"Title"},{"attributes":{"source":{"id":"8db22efa-1b91-404e-92fc-4990d8093656","type":"ColumnDataSource"}},"id":"eb22a501-7def-401c-baa0-a5fad718f4d8","type":"CDSView"},{"attributes":{},"id":"7dec81ea-4306-40cc-90cd-38905dab0fa1","type":"CategoricalScale"},{"attributes":{"bottom":{"expr":{"id":"bbbf35f3-e8b0-4bb6-bb6e-f4ebe49f336a","type":"Stack"}},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"expr":{"id":"f1ae6ac7-2bf0-4206-8037-a81285bbf639","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"777d531d-220a-4cc6-9934-038d8256e332","type":"VBar"},{"attributes":{"formatter":{"id":"01263afe-71df-4464-b3d2-e5c1a28dafda","type":"BasicTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"b54619db-d2e1-48fd-9878-e000385f494a","subtype":"Figure","type":"Plot"},"ticker":{"id":"fc56fd60-fa13-45f9-88dd-7cea5b7e7a36","type":"BasicTicker"}},"id":"5171d7e1-9793-4e6b-8fda-3989c225ee57","type":"LinearAxis"},{"attributes":{"fields":["2015"]},"id":"bbbf35f3-e8b0-4bb6-bb6e-f4ebe49f336a","type":"Stack"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"2f64a582-6e11-4f9c-a197-d6a2948c6b42","type":"Toolbar"},{"attributes":{"items":[{"id":"6bf15c4c-82b2-4550-bf61-7c63908dbbf4","type":"LegendItem"},{"id":"c4cfd780-4dde-4c7f-9d69-aed86f222867","type":"LegendItem"},{"id":"0957d77f-9877-4659-9fff-41095e9b0aa8","type":"LegendItem"}],"location":"top_left","orientation":"horizontal","plot":{"id":"b54619db-d2e1-48fd-9878-e000385f494a","subtype":"Figure","type":"Plot"}},"id":"e44d99f0-e16b-49e4-92f9-32018caf1b56","type":"Legend"},{"attributes":{"source":{"id":"8db22efa-1b91-404e-92fc-4990d8093656","type":"ColumnDataSource"}},"id":"a6a52db1-ae88-4ff5-b5d2-18fedc4da997","type":"CDSView"},{"attributes":{"fields":["2015"]},"id":"0aac629f-88db-41d7-9c0f-89c43442a9db","type":"Stack"},{"attributes":{},"id":"01263afe-71df-4464-b3d2-e5c1a28dafda","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"8db22efa-1b91-404e-92fc-4990d8093656","type":"ColumnDataSource"},"glyph":{"id":"8da7b88a-2528-4072-ab8f-bf256272bd63","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"777d531d-220a-4cc6-9934-038d8256e332","type":"VBar"},"selection_glyph":null,"view":{"id":"eb22a501-7def-401c-baa0-a5fad718f4d8","type":"CDSView"}},"id":"813c948e-1f77-47d3-945d-81e1186eba40","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"cc3db17c-bab4-48ee-b19b-aac4c875acd2","type":"CategoricalAxis"}],"left":[{"id":"5171d7e1-9793-4e6b-8fda-3989c225ee57","type":"LinearAxis"}],"outline_line_color":{"value":null},"plot_height":250,"renderers":[{"id":"cc3db17c-bab4-48ee-b19b-aac4c875acd2","type":"CategoricalAxis"},{"id":"470eb9dd-fa2d-41c7-a849-429a61d0b92d","type":"Grid"},{"id":"5171d7e1-9793-4e6b-8fda-3989c225ee57","type":"LinearAxis"},{"id":"e7b34e5f-bd9d-42d8-9a57-53fa64c17061","type":"Grid"},{"id":"e44d99f0-e16b-49e4-92f9-32018caf1b56","type":"Legend"},{"id":"f83ca35b-3680-40e6-9623-298db6518841","type":"GlyphRenderer"},{"id":"813c948e-1f77-47d3-945d-81e1186eba40","type":"GlyphRenderer"},{"id":"916925dc-4aa0-4fee-bda7-9b4446e1a9d8","type":"GlyphRenderer"}],"title":{"id":"43b04d7e-f938-4485-82fe-5ef59b123d35","type":"Title"},"toolbar":{"id":"2f64a582-6e11-4f9c-a197-d6a2948c6b42","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"6fcbb76e-2085-4486-b245-7b6bf89808fb","type":"FactorRange"},"x_scale":{"id":"7dec81ea-4306-40cc-90cd-38905dab0fa1","type":"CategoricalScale"},"y_range":{"id":"093df7f3-7e18-4c81-a1a9-068fb59728b1","type":"DataRange1d"},"y_scale":{"id":"b9b77994-8b17-4c21-afce-2756cf7ccd9b","type":"LinearScale"}},"id":"b54619db-d2e1-48fd-9878-e000385f494a","subtype":"Figure","type":"Plot"},{"attributes":{"bottom":{"expr":{"id":"bbbf35f3-e8b0-4bb6-bb6e-f4ebe49f336a","type":"Stack"}},"fill_color":{"value":"#718dbf"},"line_color":{"value":"#718dbf"},"top":{"expr":{"id":"f1ae6ac7-2bf0-4206-8037-a81285bbf639","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"8da7b88a-2528-4072-ab8f-bf256272bd63","type":"VBar"},{"attributes":{"data_source":{"id":"8db22efa-1b91-404e-92fc-4990d8093656","type":"ColumnDataSource"},"glyph":{"id":"941bfc6b-f02d-4b0c-b8d4-48409bb1ba44","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"72845e65-58a8-4f2c-8647-66db0eec0df2","type":"VBar"},"selection_glyph":null,"view":{"id":"a6a52db1-ae88-4ff5-b5d2-18fedc4da997","type":"CDSView"}},"id":"916925dc-4aa0-4fee-bda7-9b4446e1a9d8","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"b54619db-d2e1-48fd-9878-e000385f494a","subtype":"Figure","type":"Plot"},"ticker":{"id":"fc56fd60-fa13-45f9-88dd-7cea5b7e7a36","type":"BasicTicker"}},"id":"e7b34e5f-bd9d-42d8-9a57-53fa64c17061","type":"Grid"},{"attributes":{"bottom":{"expr":{"id":"ccdf4f1e-ea31-4c03-8a62-86e93d18a37a","type":"Stack"}},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"expr":{"id":"0aac629f-88db-41d7-9c0f-89c43442a9db","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"d687f824-3108-492a-928a-694bcbe172a6","type":"VBar"},{"attributes":{},"id":"e1f605fc-248f-46bf-835a-d0c68c76f185","type":"CategoricalTicker"},{"attributes":{"fields":[]},"id":"ccdf4f1e-ea31-4c03-8a62-86e93d18a37a","type":"Stack"},{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[2,1,4,3,2,4],"2016":[5,3,4,2,4,6],"2017":[3,2,4,4,5,3],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"8db22efa-1b91-404e-92fc-4990d8093656","type":"ColumnDataSource"},{"attributes":{},"id":"b9b77994-8b17-4c21-afce-2756cf7ccd9b","type":"LinearScale"},{"attributes":{},"id":"4aee3266-f18e-4b0a-b82a-377b2840a281","type":"CategoricalTickFormatter"},{"attributes":{"fields":["2015","2016"]},"id":"f1ae6ac7-2bf0-4206-8037-a81285bbf639","type":"Stack"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"b54619db-d2e1-48fd-9878-e000385f494a","subtype":"Figure","type":"Plot"},"ticker":{"id":"e1f605fc-248f-46bf-835a-d0c68c76f185","type":"CategoricalTicker"}},"id":"470eb9dd-fa2d-41c7-a849-429a61d0b92d","type":"Grid"},{"attributes":{"label":{"value":"2015"},"renderers":[{"id":"f83ca35b-3680-40e6-9623-298db6518841","type":"GlyphRenderer"}]},"id":"6bf15c4c-82b2-4550-bf61-7c63908dbbf4","type":"LegendItem"},{"attributes":{},"id":"fc56fd60-fa13-45f9-88dd-7cea5b7e7a36","type":"BasicTicker"}],"root_ids":["b54619db-d2e1-48fd-9878-e000385f494a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"3f438ce7-4368-4f7d-a36a-69ce98ca68cc","elementid":"dd8f5b46-91e5-479d-b509-3ab5338c6a14","modelid":"b54619db-d2e1-48fd-9878-e000385f494a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
