(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a1b4ed39-d088-4ba7-adbb-43efaf478069");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a1b4ed39-d088-4ba7-adbb-43efaf478069' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e7c59194-33ed-428e-9a82-a6347c4bcb66":{"roots":{"references":[{"attributes":{},"id":"3c3bb97c-424f-4bc1-b275-9e55515f1914","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"40a6f9a9-e8db-4bb0-91ac-2426b7b0b89e","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"e17e05f9-0ce9-4164-959a-f5f5397df3f5","subtype":"Figure","type":"Plot"},"ticker":{"id":"25a913e8-288b-4cb5-a2bd-1ae6f5571778","type":"BasicTicker"}},"id":"85feca27-4e6a-424d-bb3c-33651eec53ad","type":"Grid"},{"attributes":{"data_source":{"id":"40a6f9a9-e8db-4bb0-91ac-2426b7b0b89e","type":"ColumnDataSource"},"glyph":{"id":"adf9b6ff-69c8-4dc5-8f45-6dc018725a56","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"33bbb41c-4139-4d65-9271-bcab65570b8b","type":"Circle"},"selection_glyph":null,"view":{"id":"91ce796b-b284-4c9a-b552-f2dce83252d6","type":"CDSView"}},"id":"bea458a4-c487-42d0-8f49-8166eae97348","type":"GlyphRenderer"},{"attributes":{},"id":"25a913e8-288b-4cb5-a2bd-1ae6f5571778","type":"BasicTicker"},{"attributes":{},"id":"b54e0f7e-84a7-435a-ad9f-61f17b553d5c","type":"LinearScale"},{"attributes":{"callback":null},"id":"596791e0-f1d4-434c-960e-c941c3b0b2e6","type":"DataRange1d"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"adf9b6ff-69c8-4dc5-8f45-6dc018725a56","type":"Circle"},{"attributes":{},"id":"794cd3f4-a993-4f05-a85a-7e5d15c10f10","type":"BasicTickFormatter"},{"attributes":{},"id":"9561bfe5-6db5-4103-b99e-4e7fccdc436d","type":"PanTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"9561bfe5-6db5-4103-b99e-4e7fccdc436d","type":"PanTool"},{"id":"9bac9f18-90e5-4aa1-ab13-cabe829a40e2","type":"WheelZoomTool"},{"id":"2a9f229f-380b-4872-9a31-066c53389359","type":"BoxZoomTool"},{"id":"9e751c11-3238-49ce-af5f-5340518f577b","type":"SaveTool"},{"id":"8b18d72b-045c-4439-abbc-c1dead8c8453","type":"ResetTool"},{"id":"2ef8a7ac-0530-4647-9c96-20fe2794a653","type":"HelpTool"}]},"id":"7e87acc4-72b9-4774-9e39-69773aa66293","type":"Toolbar"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"39fa4797-0b58-42b0-9819-006814d1925c","type":"BoxAnnotation"},{"attributes":{},"id":"9bac9f18-90e5-4aa1-ab13-cabe829a40e2","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"c3054a96-93eb-4c47-9e7f-1655b0839423","type":"BasicTickFormatter"},"plot":{"id":"e17e05f9-0ce9-4164-959a-f5f5397df3f5","subtype":"Figure","type":"Plot"},"ticker":{"id":"37e051e7-1bd5-462e-8164-5fb1790bf4da","type":"BasicTicker"}},"id":"2c62b8aa-64b0-40cc-a56f-d047711d75f0","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"33bbb41c-4139-4d65-9271-bcab65570b8b","type":"Circle"},{"attributes":{"overlay":{"id":"39fa4797-0b58-42b0-9819-006814d1925c","type":"BoxAnnotation"}},"id":"2a9f229f-380b-4872-9a31-066c53389359","type":"BoxZoomTool"},{"attributes":{},"id":"9e751c11-3238-49ce-af5f-5340518f577b","type":"SaveTool"},{"attributes":{},"id":"8b18d72b-045c-4439-abbc-c1dead8c8453","type":"ResetTool"},{"attributes":{},"id":"2ef8a7ac-0530-4647-9c96-20fe2794a653","type":"HelpTool"},{"attributes":{},"id":"37e051e7-1bd5-462e-8164-5fb1790bf4da","type":"BasicTicker"},{"attributes":{},"id":"c3054a96-93eb-4c47-9e7f-1655b0839423","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"6542f170-c8ce-4b42-b243-beddf2d245a0","type":"DataRange1d"},{"attributes":{"below":[{"id":"2c62b8aa-64b0-40cc-a56f-d047711d75f0","type":"LinearAxis"}],"left":[{"id":"6fe33331-576a-4ff4-85cd-61d0f75f8be9","type":"LinearAxis"}],"plot_height":300,"plot_width":700,"renderers":[{"id":"2c62b8aa-64b0-40cc-a56f-d047711d75f0","type":"LinearAxis"},{"id":"9ff7016c-85e5-41d1-bf60-c4b534640236","type":"Grid"},{"id":"6fe33331-576a-4ff4-85cd-61d0f75f8be9","type":"LinearAxis"},{"id":"85feca27-4e6a-424d-bb3c-33651eec53ad","type":"Grid"},{"id":"39fa4797-0b58-42b0-9819-006814d1925c","type":"BoxAnnotation"},{"id":"bea458a4-c487-42d0-8f49-8166eae97348","type":"GlyphRenderer"}],"title":{"id":"db2d7996-4f3d-4402-bc3c-783bd91d2e46","type":"Title"},"toolbar":{"id":"7e87acc4-72b9-4774-9e39-69773aa66293","type":"Toolbar"},"x_range":{"id":"6542f170-c8ce-4b42-b243-beddf2d245a0","type":"DataRange1d"},"x_scale":{"id":"b54e0f7e-84a7-435a-ad9f-61f17b553d5c","type":"LinearScale"},"y_range":{"id":"596791e0-f1d4-434c-960e-c941c3b0b2e6","type":"DataRange1d"},"y_scale":{"id":"3c3bb97c-424f-4bc1-b275-9e55515f1914","type":"LinearScale"}},"id":"e17e05f9-0ce9-4164-959a-f5f5397df3f5","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"794cd3f4-a993-4f05-a85a-7e5d15c10f10","type":"BasicTickFormatter"},"plot":{"id":"e17e05f9-0ce9-4164-959a-f5f5397df3f5","subtype":"Figure","type":"Plot"},"ticker":{"id":"25a913e8-288b-4cb5-a2bd-1ae6f5571778","type":"BasicTicker"}},"id":"6fe33331-576a-4ff4-85cd-61d0f75f8be9","type":"LinearAxis"},{"attributes":{"source":{"id":"40a6f9a9-e8db-4bb0-91ac-2426b7b0b89e","type":"ColumnDataSource"}},"id":"91ce796b-b284-4c9a-b552-f2dce83252d6","type":"CDSView"},{"attributes":{"plot":null,"text":""},"id":"db2d7996-4f3d-4402-bc3c-783bd91d2e46","type":"Title"},{"attributes":{"plot":{"id":"e17e05f9-0ce9-4164-959a-f5f5397df3f5","subtype":"Figure","type":"Plot"},"ticker":{"id":"37e051e7-1bd5-462e-8164-5fb1790bf4da","type":"BasicTicker"}},"id":"9ff7016c-85e5-41d1-bf60-c4b534640236","type":"Grid"}],"root_ids":["e17e05f9-0ce9-4164-959a-f5f5397df3f5"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e7c59194-33ed-428e-9a82-a6347c4bcb66","elementid":"a1b4ed39-d088-4ba7-adbb-43efaf478069","modelid":"e17e05f9-0ce9-4164-959a-f5f5397df3f5"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
