(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2c0a606d-3184-493f-b937-e05521e814f3");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2c0a606d-3184-493f-b937-e05521e814f3' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"342a37e9-b5b5-45c1-9759-ca64ee14d3f4":{"roots":{"references":[{"attributes":{"overlay":{"id":"ff63e7fb-7a13-4526-9197-85abbbc93e26","type":"BoxAnnotation"}},"id":"12a43403-5213-40aa-93b8-3d34097a04fd","type":"BoxZoomTool"},{"attributes":{"fill_alpha":{"value":0.6},"fill_color":{"value":"orange"},"inner_radius":{"units":"data","value":0.1},"line_alpha":{"value":0.6},"line_color":{"value":"orange"},"outer_radius":{"units":"data","value":0.25},"x":{"field":"x"},"y":{"field":"y"}},"id":"6cdbf9db-6313-4511-b4e1-fa24f69c942b","type":"Annulus"},{"attributes":{},"id":"35bcac08-8fd8-4559-b432-bf5c472567d6","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"inner_radius":{"units":"data","value":0.1},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"outer_radius":{"units":"data","value":0.25},"x":{"field":"x"},"y":{"field":"y"}},"id":"f5733308-0c89-4619-b3bf-09c777f54abf","type":"Annulus"},{"attributes":{},"id":"78b89414-340a-4a94-a377-464432140b6f","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"9b09a7f3-1ec5-4d88-aebe-436cbb524b42","type":"DataRange1d"},{"attributes":{},"id":"dd66efce-9227-4cdb-ae53-b5ccb364eb84","type":"LinearScale"},{"attributes":{"plot":{"id":"267fb148-860f-46af-93c2-df54290b01db","subtype":"Figure","type":"Plot"},"ticker":{"id":"37f99658-65f8-43a6-872d-e4301a8c5b27","type":"BasicTicker"}},"id":"ee8e5d63-006d-442a-96d9-0e792239472b","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"ec68de2c-a794-4df7-b5cb-33d14f3ba6e7","type":"ColumnDataSource"},{"attributes":{},"id":"f9c874e5-3fe9-4147-ad24-760ca21503e7","type":"ResetTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"967dfb25-b451-43a0-b39c-e09379134b02","type":"PanTool"},{"id":"569997d3-becc-457b-801e-5d2c155f4470","type":"WheelZoomTool"},{"id":"12a43403-5213-40aa-93b8-3d34097a04fd","type":"BoxZoomTool"},{"id":"9984d026-b465-419c-a107-b02e01a211aa","type":"SaveTool"},{"id":"f9c874e5-3fe9-4147-ad24-760ca21503e7","type":"ResetTool"},{"id":"51a1ae0b-e3ec-40e3-84c1-10888b84174a","type":"HelpTool"}]},"id":"10710b1d-ca63-4efb-a5ac-f9ac1da26654","type":"Toolbar"},{"attributes":{},"id":"5e813ae3-2ad1-4ddf-bbcf-1339e03db348","type":"BasicTickFormatter"},{"attributes":{},"id":"9984d026-b465-419c-a107-b02e01a211aa","type":"SaveTool"},{"attributes":{"formatter":{"id":"78b89414-340a-4a94-a377-464432140b6f","type":"BasicTickFormatter"},"plot":{"id":"267fb148-860f-46af-93c2-df54290b01db","subtype":"Figure","type":"Plot"},"ticker":{"id":"ca9a968e-3789-413f-a8e7-fe14463ffdf7","type":"BasicTicker"}},"id":"ecff8041-f857-4552-acc4-786df54069b2","type":"LinearAxis"},{"attributes":{"callback":null},"id":"d0d0a2ad-809f-449b-a844-394f152a495d","type":"DataRange1d"},{"attributes":{"data_source":{"id":"ec68de2c-a794-4df7-b5cb-33d14f3ba6e7","type":"ColumnDataSource"},"glyph":{"id":"6cdbf9db-6313-4511-b4e1-fa24f69c942b","type":"Annulus"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"f5733308-0c89-4619-b3bf-09c777f54abf","type":"Annulus"},"selection_glyph":null,"view":{"id":"0948842c-a789-4617-8f02-3daefc045f14","type":"CDSView"}},"id":"723a5a85-e30d-4c7e-9114-a98d3e375fa3","type":"GlyphRenderer"},{"attributes":{},"id":"ca9a968e-3789-413f-a8e7-fe14463ffdf7","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"d80287ed-cc56-4479-8dc8-37556a08c11e","type":"Title"},{"attributes":{},"id":"51a1ae0b-e3ec-40e3-84c1-10888b84174a","type":"HelpTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"ff63e7fb-7a13-4526-9197-85abbbc93e26","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"5e813ae3-2ad1-4ddf-bbcf-1339e03db348","type":"BasicTickFormatter"},"plot":{"id":"267fb148-860f-46af-93c2-df54290b01db","subtype":"Figure","type":"Plot"},"ticker":{"id":"37f99658-65f8-43a6-872d-e4301a8c5b27","type":"BasicTicker"}},"id":"7ee897fc-6e60-4f0e-873d-7b48a0340f68","type":"LinearAxis"},{"attributes":{"below":[{"id":"7ee897fc-6e60-4f0e-873d-7b48a0340f68","type":"LinearAxis"}],"left":[{"id":"ecff8041-f857-4552-acc4-786df54069b2","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"7ee897fc-6e60-4f0e-873d-7b48a0340f68","type":"LinearAxis"},{"id":"ee8e5d63-006d-442a-96d9-0e792239472b","type":"Grid"},{"id":"ecff8041-f857-4552-acc4-786df54069b2","type":"LinearAxis"},{"id":"a5375be0-a976-4bcc-a6f4-a322fef94cf7","type":"Grid"},{"id":"ff63e7fb-7a13-4526-9197-85abbbc93e26","type":"BoxAnnotation"},{"id":"723a5a85-e30d-4c7e-9114-a98d3e375fa3","type":"GlyphRenderer"}],"title":{"id":"d80287ed-cc56-4479-8dc8-37556a08c11e","type":"Title"},"toolbar":{"id":"10710b1d-ca63-4efb-a5ac-f9ac1da26654","type":"Toolbar"},"x_range":{"id":"d0d0a2ad-809f-449b-a844-394f152a495d","type":"DataRange1d"},"x_scale":{"id":"35bcac08-8fd8-4559-b432-bf5c472567d6","type":"LinearScale"},"y_range":{"id":"9b09a7f3-1ec5-4d88-aebe-436cbb524b42","type":"DataRange1d"},"y_scale":{"id":"dd66efce-9227-4cdb-ae53-b5ccb364eb84","type":"LinearScale"}},"id":"267fb148-860f-46af-93c2-df54290b01db","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"37f99658-65f8-43a6-872d-e4301a8c5b27","type":"BasicTicker"},{"attributes":{},"id":"967dfb25-b451-43a0-b39c-e09379134b02","type":"PanTool"},{"attributes":{"source":{"id":"ec68de2c-a794-4df7-b5cb-33d14f3ba6e7","type":"ColumnDataSource"}},"id":"0948842c-a789-4617-8f02-3daefc045f14","type":"CDSView"},{"attributes":{},"id":"569997d3-becc-457b-801e-5d2c155f4470","type":"WheelZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"267fb148-860f-46af-93c2-df54290b01db","subtype":"Figure","type":"Plot"},"ticker":{"id":"ca9a968e-3789-413f-a8e7-fe14463ffdf7","type":"BasicTicker"}},"id":"a5375be0-a976-4bcc-a6f4-a322fef94cf7","type":"Grid"}],"root_ids":["267fb148-860f-46af-93c2-df54290b01db"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"342a37e9-b5b5-45c1-9759-ca64ee14d3f4","elementid":"2c0a606d-3184-493f-b937-e05521e814f3","modelid":"267fb148-860f-46af-93c2-df54290b01db"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
