(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("fa353a89-83a6-4b53-a4d8-7517a5364143");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'fa353a89-83a6-4b53-a4d8-7517a5364143' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"19dd5936-af10-4512-9659-a6636dcc5442":{"roots":{"references":[{"attributes":{"data_source":{"id":"c5d1aa6c-4652-492e-ab9a-9bc5253f25ae","type":"ColumnDataSource"},"glyph":{"id":"71562537-fd48-41cb-ad9c-8038707489a4","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"cc506c88-71b5-44ec-a373-b8d0a0bfbaca","type":"Circle"},"selection_glyph":null,"view":{"id":"e70ca7a2-1f02-4277-9767-a60475f21408","type":"CDSView"}},"id":"eeaa6413-8e29-4707-836f-f4b21daa5dde","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"597a7cbf-3169-4fdd-9687-0ff7f9181761","type":"LinearAxis"}],"left":[{"id":"0fb18a31-9fb4-4c33-800e-ade223ce21ad","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"597a7cbf-3169-4fdd-9687-0ff7f9181761","type":"LinearAxis"},{"id":"046f8ccb-c6c1-4a04-a731-4b52d403391a","type":"Grid"},{"id":"0fb18a31-9fb4-4c33-800e-ade223ce21ad","type":"LinearAxis"},{"id":"e2b6d67d-9e39-4909-ab08-fb8fa8272152","type":"Grid"},{"id":"608cf254-83ec-4c61-959c-68ddcf194cd5","type":"BoxAnnotation"},{"id":"eeaa6413-8e29-4707-836f-f4b21daa5dde","type":"GlyphRenderer"}],"title":{"id":"cd928e18-05f8-4d2e-9e2c-ef0574e45a87","type":"Title"},"toolbar":{"id":"68e4c0b7-1e49-476c-a387-673595610926","type":"Toolbar"},"x_range":{"id":"01d642c2-dd87-412b-9c8e-6157ea95c647","type":"DataRange1d"},"x_scale":{"id":"dea7e03b-5b6e-40b5-a298-25e7bc74478a","type":"LinearScale"},"y_range":{"id":"db13010e-8568-466a-9a30-f04c00f3f581","type":"DataRange1d"},"y_scale":{"id":"c7239088-d86e-49ed-9dfa-69763473f34b","type":"LinearScale"}},"id":"90134044-9f5b-41ed-be9f-af2b420836b5","subtype":"Figure","type":"Plot"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"cc506c88-71b5-44ec-a373-b8d0a0bfbaca","type":"Circle"},{"attributes":{},"id":"f9416732-b1e4-4542-b342-f6c3745d612c","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"a2f26951-903d-4910-845e-8998f4a75912","type":"BasicTickFormatter"},"plot":{"id":"90134044-9f5b-41ed-be9f-af2b420836b5","subtype":"Figure","type":"Plot"},"ticker":{"id":"171539c8-4cd7-4531-bd18-7ee7e095ca50","type":"BasicTicker"}},"id":"597a7cbf-3169-4fdd-9687-0ff7f9181761","type":"LinearAxis"},{"attributes":{"formatter":{"id":"8d5c6623-dc74-4bde-a9ef-05d63fdf4b22","type":"BasicTickFormatter"},"plot":{"id":"90134044-9f5b-41ed-be9f-af2b420836b5","subtype":"Figure","type":"Plot"},"ticker":{"id":"ecec2e7d-9f49-4680-b500-b4c6bff75d10","type":"BasicTicker"}},"id":"0fb18a31-9fb4-4c33-800e-ade223ce21ad","type":"LinearAxis"},{"attributes":{"plot":null,"text":"Some Title","text_color":{"value":"olive"},"text_font":"times","text_font_style":"italic"},"id":"cd928e18-05f8-4d2e-9e2c-ef0574e45a87","type":"Title"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"35747bd8-c81e-44ce-93f7-0845e88ab957","type":"PanTool"},{"id":"f9416732-b1e4-4542-b342-f6c3745d612c","type":"WheelZoomTool"},{"id":"a525c27b-2e62-4523-92a5-968ee2cbd748","type":"BoxZoomTool"},{"id":"33d73acc-320e-4818-abcd-6ad8abb888d8","type":"SaveTool"},{"id":"d540d781-355e-414d-ba04-044000a8bedf","type":"ResetTool"},{"id":"f179dd88-e3d2-4c75-a182-21fc38571553","type":"HelpTool"}]},"id":"68e4c0b7-1e49-476c-a387-673595610926","type":"Toolbar"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"71562537-fd48-41cb-ad9c-8038707489a4","type":"Circle"},{"attributes":{"callback":null},"id":"01d642c2-dd87-412b-9c8e-6157ea95c647","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"608cf254-83ec-4c61-959c-68ddcf194cd5","type":"BoxAnnotation"},{"attributes":{},"id":"35747bd8-c81e-44ce-93f7-0845e88ab957","type":"PanTool"},{"attributes":{"overlay":{"id":"608cf254-83ec-4c61-959c-68ddcf194cd5","type":"BoxAnnotation"}},"id":"a525c27b-2e62-4523-92a5-968ee2cbd748","type":"BoxZoomTool"},{"attributes":{},"id":"d540d781-355e-414d-ba04-044000a8bedf","type":"ResetTool"},{"attributes":{},"id":"f179dd88-e3d2-4c75-a182-21fc38571553","type":"HelpTool"},{"attributes":{},"id":"dea7e03b-5b6e-40b5-a298-25e7bc74478a","type":"LinearScale"},{"attributes":{"callback":null},"id":"db13010e-8568-466a-9a30-f04c00f3f581","type":"DataRange1d"},{"attributes":{"source":{"id":"c5d1aa6c-4652-492e-ab9a-9bc5253f25ae","type":"ColumnDataSource"}},"id":"e70ca7a2-1f02-4277-9767-a60475f21408","type":"CDSView"},{"attributes":{},"id":"171539c8-4cd7-4531-bd18-7ee7e095ca50","type":"BasicTicker"},{"attributes":{},"id":"33d73acc-320e-4818-abcd-6ad8abb888d8","type":"SaveTool"},{"attributes":{},"id":"ecec2e7d-9f49-4680-b500-b4c6bff75d10","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"c5d1aa6c-4652-492e-ab9a-9bc5253f25ae","type":"ColumnDataSource"},{"attributes":{},"id":"8d5c6623-dc74-4bde-a9ef-05d63fdf4b22","type":"BasicTickFormatter"},{"attributes":{},"id":"a2f26951-903d-4910-845e-8998f4a75912","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"90134044-9f5b-41ed-be9f-af2b420836b5","subtype":"Figure","type":"Plot"},"ticker":{"id":"ecec2e7d-9f49-4680-b500-b4c6bff75d10","type":"BasicTicker"}},"id":"e2b6d67d-9e39-4909-ab08-fb8fa8272152","type":"Grid"},{"attributes":{"plot":{"id":"90134044-9f5b-41ed-be9f-af2b420836b5","subtype":"Figure","type":"Plot"},"ticker":{"id":"171539c8-4cd7-4531-bd18-7ee7e095ca50","type":"BasicTicker"}},"id":"046f8ccb-c6c1-4a04-a731-4b52d403391a","type":"Grid"},{"attributes":{},"id":"c7239088-d86e-49ed-9dfa-69763473f34b","type":"LinearScale"}],"root_ids":["90134044-9f5b-41ed-be9f-af2b420836b5"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"19dd5936-af10-4512-9659-a6636dcc5442","elementid":"fa353a89-83a6-4b53-a4d8-7517a5364143","modelid":"90134044-9f5b-41ed-be9f-af2b420836b5"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
