(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("9282fb69-e879-4726-a6cc-dfbaebb261a6");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '9282fb69-e879-4726-a6cc-dfbaebb261a6' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e4bbcb83-b510-4831-b728-7d95732e0af9":{"roots":{"references":[{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"017ae938-ee57-464b-9e07-1e22f3690a51","type":"Title"},{"attributes":{},"id":"5ed5b8be-92b8-4a9b-b634-843c528a3323","type":"CategoricalScale"},{"attributes":{},"id":"1bb3cb1b-cdc6-4d15-9dfb-d1ca55b7ea81","type":"BasicTickFormatter"},{"attributes":{},"id":"84c2d291-c874-4059-90fd-13d091cbc056","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"06893460-0c1d-475c-b674-10c462fd0af2","subtype":"Figure","type":"Plot"},"ticker":{"id":"84c2d291-c874-4059-90fd-13d091cbc056","type":"BasicTicker"}},"id":"b12cadba-5c91-40ec-aaf9-157181cce678","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"57591cb6-7fd5-40cb-8e99-44a07af175a2","type":"VBar"},{"attributes":{},"id":"935b10e7-770d-459e-93d9-1302c6e2b71f","type":"CategoricalTickFormatter"},{"attributes":{"below":[{"id":"f4716bd3-57b1-4cfa-a8d5-3519213e53a2","type":"CategoricalAxis"}],"left":[{"id":"d2fde97b-6d02-4d94-92b3-c28e5d5936bc","type":"LinearAxis"}],"plot_height":350,"renderers":[{"id":"f4716bd3-57b1-4cfa-a8d5-3519213e53a2","type":"CategoricalAxis"},{"id":"73c29970-378c-4659-92b3-4a5147c7ccda","type":"Grid"},{"id":"d2fde97b-6d02-4d94-92b3-c28e5d5936bc","type":"LinearAxis"},{"id":"b12cadba-5c91-40ec-aaf9-157181cce678","type":"Grid"},{"id":"a253d699-6371-47c3-8e50-8b2e485f2dde","type":"GlyphRenderer"}],"title":{"id":"017ae938-ee57-464b-9e07-1e22f3690a51","type":"Title"},"toolbar":{"id":"98dc93b8-1f0a-472a-98ba-700e00593be3","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"ae7eddbc-9a70-40f0-8653-7a18c9df9f3b","type":"FactorRange"},"x_scale":{"id":"5ed5b8be-92b8-4a9b-b634-843c528a3323","type":"CategoricalScale"},"y_range":{"id":"f0836256-1dd9-428a-b641-2d9d271a6033","type":"DataRange1d"},"y_scale":{"id":"7cc6bd48-0997-4273-94ad-b4072fdda253","type":"LinearScale"}},"id":"06893460-0c1d-475c-b674-10c462fd0af2","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"column_names":["x","counts"],"data":{"counts":[2,5,3,1,3,2,4,3,4,3,2,4,2,4,5,4,6,3],"x":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]]}},"id":"89745d43-e9ab-4e93-b8ee-3752f9760ef3","type":"ColumnDataSource"},{"attributes":{},"id":"88b3fa85-91b4-4c4b-81c5-b64939763632","type":"CategoricalTicker"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"06893460-0c1d-475c-b674-10c462fd0af2","subtype":"Figure","type":"Plot"},"ticker":{"id":"88b3fa85-91b4-4c4b-81c5-b64939763632","type":"CategoricalTicker"}},"id":"73c29970-378c-4659-92b3-4a5147c7ccda","type":"Grid"},{"attributes":{"formatter":{"id":"935b10e7-770d-459e-93d9-1302c6e2b71f","type":"CategoricalTickFormatter"},"major_label_orientation":1,"plot":{"id":"06893460-0c1d-475c-b674-10c462fd0af2","subtype":"Figure","type":"Plot"},"ticker":{"id":"88b3fa85-91b4-4c4b-81c5-b64939763632","type":"CategoricalTicker"}},"id":"f4716bd3-57b1-4cfa-a8d5-3519213e53a2","type":"CategoricalAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"98dc93b8-1f0a-472a-98ba-700e00593be3","type":"Toolbar"},{"attributes":{"callback":null,"start":0},"id":"f0836256-1dd9-428a-b641-2d9d271a6033","type":"DataRange1d"},{"attributes":{"callback":null,"factors":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]],"range_padding":0.1},"id":"ae7eddbc-9a70-40f0-8653-7a18c9df9f3b","type":"FactorRange"},{"attributes":{},"id":"7cc6bd48-0997-4273-94ad-b4072fdda253","type":"LinearScale"},{"attributes":{"formatter":{"id":"1bb3cb1b-cdc6-4d15-9dfb-d1ca55b7ea81","type":"BasicTickFormatter"},"plot":{"id":"06893460-0c1d-475c-b674-10c462fd0af2","subtype":"Figure","type":"Plot"},"ticker":{"id":"84c2d291-c874-4059-90fd-13d091cbc056","type":"BasicTicker"}},"id":"d2fde97b-6d02-4d94-92b3-c28e5d5936bc","type":"LinearAxis"},{"attributes":{"source":{"id":"89745d43-e9ab-4e93-b8ee-3752f9760ef3","type":"ColumnDataSource"}},"id":"55e8bc8b-573c-4be0-857b-133d5b27dd60","type":"CDSView"},{"attributes":{"data_source":{"id":"89745d43-e9ab-4e93-b8ee-3752f9760ef3","type":"ColumnDataSource"},"glyph":{"id":"1ccadae6-8e3e-42ce-ae4e-855d4020fd9b","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"57591cb6-7fd5-40cb-8e99-44a07af175a2","type":"VBar"},"selection_glyph":null,"view":{"id":"55e8bc8b-573c-4be0-857b-133d5b27dd60","type":"CDSView"}},"id":"a253d699-6371-47c3-8e50-8b2e485f2dde","type":"GlyphRenderer"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"1ccadae6-8e3e-42ce-ae4e-855d4020fd9b","type":"VBar"}],"root_ids":["06893460-0c1d-475c-b674-10c462fd0af2"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e4bbcb83-b510-4831-b728-7d95732e0af9","elementid":"9282fb69-e879-4726-a6cc-dfbaebb261a6","modelid":"06893460-0c1d-475c-b674-10c462fd0af2"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
