(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("cbe3009e-4e8a-48a7-a031-5d5ad0603543");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'cbe3009e-4e8a-48a7-a031-5d5ad0603543' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"ddfc674f-6f58-4fb1-af7c-203844ef110d":{"roots":{"references":[{"attributes":{},"id":"986ace2c-8524-4444-8d11-c3fc795e8025","type":"PanTool"},{"attributes":{},"id":"65182bce-daf6-4f6c-a11c-851aabee8959","type":"SaveTool"},{"attributes":{"plot":{"id":"8f799c54-fadc-486c-9d73-6565cba81a64","subtype":"Figure","type":"Plot"},"ticker":{"id":"616abd8c-9612-41e1-961e-3217dece4b7d","type":"BasicTicker"}},"id":"9212b147-321d-495c-a0c7-eddfbf4abd3b","type":"Grid"},{"attributes":{},"id":"616abd8c-9612-41e1-961e-3217dece4b7d","type":"BasicTicker"},{"attributes":{},"id":"a2247141-89f6-4747-969f-de4b2f6c0b6e","type":"WheelZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"8f799c54-fadc-486c-9d73-6565cba81a64","subtype":"Figure","type":"Plot"},"ticker":{"id":"66fb716a-8cc0-4c4c-9419-1ac3748597e6","type":"BasicTicker"}},"id":"ab6f24a2-360c-4f57-87ce-22f9d4dc9d13","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"711af3f9-37f5-41da-8c90-f440d5d8b8d5","type":"BoxAnnotation"},{"attributes":{},"id":"66fb716a-8cc0-4c4c-9419-1ac3748597e6","type":"BasicTicker"},{"attributes":{"formatter":{"id":"7919ed0f-59c8-4187-baef-2d30e840a6b6","type":"BasicTickFormatter"},"plot":{"id":"8f799c54-fadc-486c-9d73-6565cba81a64","subtype":"Figure","type":"Plot"},"ticker":{"id":"616abd8c-9612-41e1-961e-3217dece4b7d","type":"BasicTicker"}},"id":"44ba6a50-4995-4559-958c-11bff1d77d58","type":"LinearAxis"},{"attributes":{},"id":"70689b9a-1a99-4184-b0a0-46b1cfde5569","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"38bbb4f4-e6b4-400a-aa33-084da9bb3f28","type":"ColumnDataSource"},"glyph":{"id":"d57e1839-ddcb-4867-9225-dbcfcf668c26","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e8183f08-6329-4b66-8ecd-1617df9a1fdf","type":"Circle"},"selection_glyph":null,"view":{"id":"199f9cb7-f5f3-42c9-b61e-9fe0bfe5f33a","type":"CDSView"}},"id":"677fac07-c41c-44b0-87d7-cec18e209ca1","type":"GlyphRenderer"},{"attributes":{},"id":"622b8f05-44c0-4742-95a9-aa8e7d5254aa","type":"HelpTool"},{"attributes":{},"id":"3877e4c7-ca75-443c-a048-42e080d1d0c6","type":"ResetTool"},{"attributes":{"overlay":{"id":"711af3f9-37f5-41da-8c90-f440d5d8b8d5","type":"BoxAnnotation"}},"id":"fe38ecd7-bb23-40b5-84a6-344b31c4747c","type":"BoxZoomTool"},{"attributes":{},"id":"55abb4e3-5b7e-46db-9aed-271c1491b0aa","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2],"y":[3,4]}},"id":"38bbb4f4-e6b4-400a-aa33-084da9bb3f28","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"70689b9a-1a99-4184-b0a0-46b1cfde5569","type":"BasicTickFormatter"},"plot":{"id":"8f799c54-fadc-486c-9d73-6565cba81a64","subtype":"Figure","type":"Plot"},"ticker":{"id":"66fb716a-8cc0-4c4c-9419-1ac3748597e6","type":"BasicTicker"}},"id":"6c6252a1-ff0d-4ffd-ada5-214b54dbb0cf","type":"LinearAxis"},{"attributes":{"below":[{"id":"44ba6a50-4995-4559-958c-11bff1d77d58","type":"LinearAxis"}],"left":[{"id":"6c6252a1-ff0d-4ffd-ada5-214b54dbb0cf","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"44ba6a50-4995-4559-958c-11bff1d77d58","type":"LinearAxis"},{"id":"9212b147-321d-495c-a0c7-eddfbf4abd3b","type":"Grid"},{"id":"6c6252a1-ff0d-4ffd-ada5-214b54dbb0cf","type":"LinearAxis"},{"id":"ab6f24a2-360c-4f57-87ce-22f9d4dc9d13","type":"Grid"},{"id":"711af3f9-37f5-41da-8c90-f440d5d8b8d5","type":"BoxAnnotation"},{"id":"677fac07-c41c-44b0-87d7-cec18e209ca1","type":"GlyphRenderer"}],"title":{"id":"16d9be13-3251-4856-bf50-8a9e6e813bf0","type":"Title"},"toolbar":{"id":"bee585d6-307a-4365-ada5-3d06fd8b8d3e","type":"Toolbar"},"x_range":{"id":"a40828b6-274b-4263-8036-f1c61102522e","type":"DataRange1d"},"x_scale":{"id":"55abb4e3-5b7e-46db-9aed-271c1491b0aa","type":"LinearScale"},"y_range":{"id":"be3429c0-d18f-4c0e-b6af-578618bcd927","type":"DataRange1d"},"y_scale":{"id":"6303fc88-4a53-4278-b449-6a26fba41635","type":"LinearScale"}},"id":"8f799c54-fadc-486c-9d73-6565cba81a64","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"a40828b6-274b-4263-8036-f1c61102522e","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"986ace2c-8524-4444-8d11-c3fc795e8025","type":"PanTool"},{"id":"a2247141-89f6-4747-969f-de4b2f6c0b6e","type":"WheelZoomTool"},{"id":"fe38ecd7-bb23-40b5-84a6-344b31c4747c","type":"BoxZoomTool"},{"id":"65182bce-daf6-4f6c-a11c-851aabee8959","type":"SaveTool"},{"id":"3877e4c7-ca75-443c-a048-42e080d1d0c6","type":"ResetTool"},{"id":"622b8f05-44c0-4742-95a9-aa8e7d5254aa","type":"HelpTool"}]},"id":"bee585d6-307a-4365-ada5-3d06fd8b8d3e","type":"Toolbar"},{"attributes":{},"id":"6303fc88-4a53-4278-b449-6a26fba41635","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"e8183f08-6329-4b66-8ecd-1617df9a1fdf","type":"Circle"},{"attributes":{"align":"right","background_fill_color":{"value":"#aaaaee"},"plot":null,"text":"Title With Options","text_color":{"value":"orange"},"text_font_size":{"value":"25px"}},"id":"16d9be13-3251-4856-bf50-8a9e6e813bf0","type":"Title"},{"attributes":{"source":{"id":"38bbb4f4-e6b4-400a-aa33-084da9bb3f28","type":"ColumnDataSource"}},"id":"199f9cb7-f5f3-42c9-b61e-9fe0bfe5f33a","type":"CDSView"},{"attributes":{"callback":null},"id":"be3429c0-d18f-4c0e-b6af-578618bcd927","type":"DataRange1d"},{"attributes":{},"id":"7919ed0f-59c8-4187-baef-2d30e840a6b6","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"d57e1839-ddcb-4867-9225-dbcfcf668c26","type":"Circle"}],"root_ids":["8f799c54-fadc-486c-9d73-6565cba81a64"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"ddfc674f-6f58-4fb1-af7c-203844ef110d","elementid":"cbe3009e-4e8a-48a7-a031-5d5ad0603543","modelid":"8f799c54-fadc-486c-9d73-6565cba81a64"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
