(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("f08107f3-9457-428f-9641-cbaabf76b7ac");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'f08107f3-9457-428f-9641-cbaabf76b7ac' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"dc053c23-e215-44c7-86e9-0b1413f08e62":{"roots":{"references":[{"attributes":{},"id":"9cdd636b-9e85-41fe-a635-8486a155d55a","type":"SaveTool"},{"attributes":{"dimension":1,"plot":{"id":"98a86fa6-37a0-46b2-900b-78c1da5ce7f1","subtype":"Figure","type":"Plot"},"ticker":{"id":"9cd90108-5c6f-4034-9d54-ed3cf8cba722","type":"BasicTicker"}},"id":"1835a0a0-d6fb-4ba1-b645-0f12babef334","type":"Grid"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"854fdf86-d362-4d17-9253-2aae2bed9195","type":"Circle"},{"attributes":{"callback":null},"id":"f8428bd9-fe7f-427a-9052-bf1763a24a82","type":"DataRange1d"},{"attributes":{},"id":"685661cc-c0ff-499d-8e70-5601af37da69","type":"WheelZoomTool"},{"attributes":{"source":{"id":"4dc424ac-4402-4194-ac4e-3a2170378ba3","type":"ColumnDataSource"}},"id":"436054da-11cb-4609-9863-7c84e1e5cd47","type":"CDSView"},{"attributes":{"plot":null,"text":"Left Title"},"id":"aee1e6ca-b5f8-4f31-88c2-4f14333b3b3e","type":"Title"},{"attributes":{"plot":{"id":"98a86fa6-37a0-46b2-900b-78c1da5ce7f1","subtype":"Figure","type":"Plot"},"ticker":{"id":"80ea8bb8-71fc-4afa-bd39-49babf4b0bef","type":"BasicTicker"}},"id":"1cd0c664-04ea-490d-bb18-23bee2e5033b","type":"Grid"},{"attributes":{"below":[{"id":"d33b1da5-a3a7-47c0-bd7e-75bea96a7921","type":"LinearAxis"},{"id":"b9ebc245-41e9-4a89-b6b0-505716327a7a","type":"Title"}],"left":[{"id":"b3236339-29bb-473f-b668-6f54265e5c49","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"d33b1da5-a3a7-47c0-bd7e-75bea96a7921","type":"LinearAxis"},{"id":"1cd0c664-04ea-490d-bb18-23bee2e5033b","type":"Grid"},{"id":"b3236339-29bb-473f-b668-6f54265e5c49","type":"LinearAxis"},{"id":"1835a0a0-d6fb-4ba1-b645-0f12babef334","type":"Grid"},{"id":"26b3e728-9224-4d37-ad8a-e9f92841d504","type":"BoxAnnotation"},{"id":"f89004ae-1b17-439f-9c57-0d4255af5e37","type":"GlyphRenderer"},{"id":"b9ebc245-41e9-4a89-b6b0-505716327a7a","type":"Title"}],"title":{"id":"aee1e6ca-b5f8-4f31-88c2-4f14333b3b3e","type":"Title"},"title_location":"left","toolbar":{"id":"304ab5db-ee90-4b03-aaf0-d8aa3c4ca95e","type":"Toolbar"},"x_range":{"id":"f8428bd9-fe7f-427a-9052-bf1763a24a82","type":"DataRange1d"},"x_scale":{"id":"7f133b2e-8224-40d7-9865-344109ae6fed","type":"LinearScale"},"y_range":{"id":"218b3f7c-efec-4234-9717-313bfe23e34c","type":"DataRange1d"},"y_scale":{"id":"b1836c29-27f6-4647-af7b-9f3cade76891","type":"LinearScale"}},"id":"98a86fa6-37a0-46b2-900b-78c1da5ce7f1","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2],"y":[3,4]}},"id":"4dc424ac-4402-4194-ac4e-3a2170378ba3","type":"ColumnDataSource"},{"attributes":{},"id":"7f133b2e-8224-40d7-9865-344109ae6fed","type":"LinearScale"},{"attributes":{},"id":"9cd90108-5c6f-4034-9d54-ed3cf8cba722","type":"BasicTicker"},{"attributes":{"callback":null},"id":"218b3f7c-efec-4234-9717-313bfe23e34c","type":"DataRange1d"},{"attributes":{"overlay":{"id":"26b3e728-9224-4d37-ad8a-e9f92841d504","type":"BoxAnnotation"}},"id":"0df2d6bd-3c8f-4643-8744-f4f01caa73a9","type":"BoxZoomTool"},{"attributes":{},"id":"2682d143-d23a-424e-9edc-5c1e20cb1476","type":"BasicTickFormatter"},{"attributes":{},"id":"80ea8bb8-71fc-4afa-bd39-49babf4b0bef","type":"BasicTicker"},{"attributes":{"align":"center","plot":{"id":"98a86fa6-37a0-46b2-900b-78c1da5ce7f1","subtype":"Figure","type":"Plot"},"text":"Bottom Centered Title"},"id":"b9ebc245-41e9-4a89-b6b0-505716327a7a","type":"Title"},{"attributes":{},"id":"af45937f-7cb9-456f-ab08-35c0c1e81ee3","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"5dc976dc-4007-4c87-9dfd-f2d5950942e1","type":"Circle"},{"attributes":{},"id":"1df00a29-7d5f-419b-a8d1-d1718a6752d2","type":"PanTool"},{"attributes":{"formatter":{"id":"af45937f-7cb9-456f-ab08-35c0c1e81ee3","type":"BasicTickFormatter"},"plot":{"id":"98a86fa6-37a0-46b2-900b-78c1da5ce7f1","subtype":"Figure","type":"Plot"},"ticker":{"id":"80ea8bb8-71fc-4afa-bd39-49babf4b0bef","type":"BasicTicker"}},"id":"d33b1da5-a3a7-47c0-bd7e-75bea96a7921","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"26b3e728-9224-4d37-ad8a-e9f92841d504","type":"BoxAnnotation"},{"attributes":{},"id":"c44a305b-ec8f-4c40-9af8-529406d9d175","type":"ResetTool"},{"attributes":{},"id":"b1836c29-27f6-4647-af7b-9f3cade76891","type":"LinearScale"},{"attributes":{},"id":"0b4c6169-2ef5-4e1c-bcc3-b751011233a6","type":"HelpTool"},{"attributes":{"formatter":{"id":"2682d143-d23a-424e-9edc-5c1e20cb1476","type":"BasicTickFormatter"},"plot":{"id":"98a86fa6-37a0-46b2-900b-78c1da5ce7f1","subtype":"Figure","type":"Plot"},"ticker":{"id":"9cd90108-5c6f-4034-9d54-ed3cf8cba722","type":"BasicTicker"}},"id":"b3236339-29bb-473f-b668-6f54265e5c49","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"1df00a29-7d5f-419b-a8d1-d1718a6752d2","type":"PanTool"},{"id":"685661cc-c0ff-499d-8e70-5601af37da69","type":"WheelZoomTool"},{"id":"0df2d6bd-3c8f-4643-8744-f4f01caa73a9","type":"BoxZoomTool"},{"id":"9cdd636b-9e85-41fe-a635-8486a155d55a","type":"SaveTool"},{"id":"c44a305b-ec8f-4c40-9af8-529406d9d175","type":"ResetTool"},{"id":"0b4c6169-2ef5-4e1c-bcc3-b751011233a6","type":"HelpTool"}]},"id":"304ab5db-ee90-4b03-aaf0-d8aa3c4ca95e","type":"Toolbar"},{"attributes":{"data_source":{"id":"4dc424ac-4402-4194-ac4e-3a2170378ba3","type":"ColumnDataSource"},"glyph":{"id":"854fdf86-d362-4d17-9253-2aae2bed9195","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"5dc976dc-4007-4c87-9dfd-f2d5950942e1","type":"Circle"},"selection_glyph":null,"view":{"id":"436054da-11cb-4609-9863-7c84e1e5cd47","type":"CDSView"}},"id":"f89004ae-1b17-439f-9c57-0d4255af5e37","type":"GlyphRenderer"}],"root_ids":["98a86fa6-37a0-46b2-900b-78c1da5ce7f1"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"dc053c23-e215-44c7-86e9-0b1413f08e62","elementid":"f08107f3-9457-428f-9641-cbaabf76b7ac","modelid":"98a86fa6-37a0-46b2-900b-78c1da5ce7f1"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
