(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("84faf373-4422-4227-ae7e-c272d1aed676");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '84faf373-4422-4227-ae7e-c272d1aed676' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"13638011-5753-441a-ba41-062dbc2eccb6":{"roots":{"references":[{"attributes":{"formatter":{"id":"94a9ba83-21f1-43da-9091-4b0a40e3e90c","type":"CategoricalTickFormatter"},"plot":{"id":"1bafe748-e2d3-4ede-8af6-6d6d8c6d892b","subtype":"Figure","type":"Plot"},"ticker":{"id":"bf85c428-d3fa-4991-bc4e-587d87e15372","type":"CategoricalTicker"}},"id":"218449a2-7fc1-46be-88df-9552e90d0d7c","type":"CategoricalAxis"},{"attributes":{"plot":{"id":"1401b838-bbf3-486b-8724-41c0f8365a1a","subtype":"Figure","type":"Plot"},"ticker":{"id":"e94b90d8-edbb-4a3e-a77d-5821db1cbd39","type":"BasicTicker"}},"id":"477abfd8-baaa-4c09-a9e5-6332d0ad95d6","type":"Grid"},{"attributes":{},"id":"f72db28d-769a-4871-b919-eecba09be31b","type":"BasicTickFormatter"},{"attributes":{},"id":"6a8f65af-180c-41a8-bc6c-cb90f25b64ea","type":"LinearScale"},{"attributes":{},"id":"29bc582a-3c90-42c1-aaf8-c335e47e9a64","type":"CategoricalTickFormatter"},{"attributes":{},"id":"430d236b-d6bb-40b3-bb6e-533a97939505","type":"CategoricalScale"},{"attributes":{"source":{"id":"7a8110c0-5b77-4ea5-bbbd-19f4671f975b","type":"ColumnDataSource"}},"id":"980adb42-8ba6-4170-a861-2816b8210191","type":"CDSView"},{"attributes":{},"id":"e94b90d8-edbb-4a3e-a77d-5821db1cbd39","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"1401b838-bbf3-486b-8724-41c0f8365a1a","subtype":"Figure","type":"Plot"},"ticker":{"id":"965dae67-df8d-4cd4-b56e-3a2aa1034752","type":"CategoricalTicker"}},"id":"26c4ac89-6bb4-4383-89dd-7c942cebfe19","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"1bafe748-e2d3-4ede-8af6-6d6d8c6d892b","subtype":"Figure","type":"Plot"},"ticker":{"id":"a3c3a624-1b83-482c-9d7f-86413dfecf63","type":"CategoricalTicker"}},"id":"7bc72ade-caf3-4d72-83df-f94de192a285","type":"Grid"},{"attributes":{"below":[{"id":"218449a2-7fc1-46be-88df-9552e90d0d7c","type":"CategoricalAxis"}],"left":[{"id":"1c243e32-4122-49d4-afc4-49796ddb4841","type":"CategoricalAxis"}],"renderers":[{"id":"218449a2-7fc1-46be-88df-9552e90d0d7c","type":"CategoricalAxis"},{"id":"6705bbc9-6cf8-4c17-b031-93a8519906eb","type":"Grid"},{"id":"1c243e32-4122-49d4-afc4-49796ddb4841","type":"CategoricalAxis"},{"id":"7bc72ade-caf3-4d72-83df-f94de192a285","type":"Grid"},{"id":"58967ddb-5959-4508-8659-04fd5bd1ec7f","type":"GlyphRenderer"}],"sizing_mode":"scale_width","title":{"id":"9068398c-790d-423c-ba76-87be050337e5","type":"Title"},"toolbar":{"id":"2af17d97-f5c4-42ac-add1-9e256c382112","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"b2670b83-b7fa-47c9-b2c9-186447d31fe4","type":"FactorRange"},"x_scale":{"id":"5931f3f2-f694-4a7d-9bb6-f5aab447a0f1","type":"CategoricalScale"},"y_range":{"id":"3a276b70-3eb2-419b-83e2-5622d03c2c1e","type":"FactorRange"},"y_scale":{"id":"0f8d8518-47dc-46b6-9117-8ddac6c162f8","type":"CategoricalScale"}},"id":"1bafe748-e2d3-4ede-8af6-6d6d8c6d892b","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"factors":["a","b","c","d","e","f","g","h"]},"id":"46d01789-345e-434e-b7d0-7b9ef4049480","type":"FactorRange"},{"attributes":{"data_source":{"id":"4f2f2395-76e7-403a-8b38-7658630ee829","type":"ColumnDataSource"},"glyph":{"id":"5c94fff0-6868-4038-b33b-2b23a374ebad","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"230038da-6597-40e0-a422-cebf9cfd9f25","type":"Circle"},"selection_glyph":null,"view":{"id":"d93dfe97-6a1c-47eb-bf54-6256dac7eca5","type":"CDSView"}},"id":"7fd3286f-cf25-4470-b42d-883ce7cb057f","type":"GlyphRenderer"},{"attributes":{"callback":null,"factors":["foo 123","bar:0.2","baz-10"]},"id":"b2670b83-b7fa-47c9-b2c9-186447d31fe4","type":"FactorRange"},{"attributes":{"fill_color":{"field":"fill_color"},"height":{"units":"data","value":1},"line_color":{"field":"line_color"},"width":{"units":"data","value":1},"x":{"field":"x"},"y":{"field":"y"}},"id":"927660d2-581d-42db-acd0-ef2bedcfcb38","type":"Rect"},{"attributes":{},"id":"965dae67-df8d-4cd4-b56e-3a2aa1034752","type":"CategoricalTicker"},{"attributes":{},"id":"f005fc0e-f2d5-4888-ba76-99488bfeafb5","type":"CategoricalTickFormatter"},{"attributes":{},"id":"94a9ba83-21f1-43da-9091-4b0a40e3e90c","type":"CategoricalTickFormatter"},{"attributes":{"plot":null,"text":"Categorical Heatmap"},"id":"9068398c-790d-423c-ba76-87be050337e5","type":"Title"},{"attributes":{"source":{"id":"4f2f2395-76e7-403a-8b38-7658630ee829","type":"ColumnDataSource"}},"id":"d93dfe97-6a1c-47eb-bf54-6256dac7eca5","type":"CDSView"},{"attributes":{"formatter":{"id":"f72db28d-769a-4871-b919-eecba09be31b","type":"BasicTickFormatter"},"plot":{"id":"1401b838-bbf3-486b-8724-41c0f8365a1a","subtype":"Figure","type":"Plot"},"ticker":{"id":"e94b90d8-edbb-4a3e-a77d-5821db1cbd39","type":"BasicTicker"}},"id":"a61d55e0-9401-4366-9c82-ac5344dac547","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"size":{"units":"screen","value":15},"x":{"field":"x"},"y":{"field":"y"}},"id":"230038da-6597-40e0-a422-cebf9cfd9f25","type":"Circle"},{"attributes":{"callback":null,"column_names":["y","x","line_color","fill_color"],"data":{"fill_color":["#0B486B","#79BD9A","#CFF09E","#79BD9A","#0B486B","#79BD9A","#CFF09E","#79BD9A","#0B486B"],"line_color":["#0B486B","#79BD9A","#CFF09E","#79BD9A","#0B486B","#79BD9A","#CFF09E","#79BD9A","#0B486B"],"x":["foo 123","foo 123","foo 123","bar:0.2","bar:0.2","bar:0.2","baz-10","baz-10","baz-10"],"y":["foo 123","bar:0.2","baz-10","foo 123","bar:0.2","baz-10","foo 123","bar:0.2","baz-10"]}},"id":"f97a0185-d953-425a-abe1-9e52c385c232","type":"ColumnDataSource"},{"attributes":{"fill_color":{"value":"orange"},"line_color":{"value":"green"},"line_width":{"value":3},"size":{"units":"screen","value":15},"x":{"field":"x"},"y":{"field":"y"}},"id":"5c94fff0-6868-4038-b33b-2b23a374ebad","type":"Circle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"e8281f28-faa3-49b2-8a74-eb5f42803b4a","type":"Toolbar"},{"attributes":{},"id":"5931f3f2-f694-4a7d-9bb6-f5aab447a0f1","type":"CategoricalScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"60d7d0c9-7198-401a-b0f7-54603eda24d8","type":"HoverTool"}]},"id":"2af17d97-f5c4-42ac-add1-9e256c382112","type":"Toolbar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"data","value":1},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"units":"data","value":1},"x":{"field":"x"},"y":{"field":"y"}},"id":"e629d7cc-1f0d-4014-a912-8f9973fd4719","type":"Rect"},{"attributes":{"callback":null,"end":100},"id":"a4723667-eef7-42f5-8f7c-0763c30447d6","type":"Range1d"},{"attributes":{"plot":{"id":"1bafe748-e2d3-4ede-8af6-6d6d8c6d892b","subtype":"Figure","type":"Plot"},"ticker":{"id":"bf85c428-d3fa-4991-bc4e-587d87e15372","type":"CategoricalTicker"}},"id":"6705bbc9-6cf8-4c17-b031-93a8519906eb","type":"Grid"},{"attributes":{},"id":"0f8d8518-47dc-46b6-9117-8ddac6c162f8","type":"CategoricalScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[50,40,65,10,25,37,80,60],"y":["a","b","c","d","e","f","g","h"]}},"id":"4f2f2395-76e7-403a-8b38-7658630ee829","type":"ColumnDataSource"},{"attributes":{"callback":null,"column_names":["y1","y0","x1"],"data":{"x1":[50,40,65,10,25,37,80,60],"y0":["a","b","c","d","e","f","g","h"],"y1":["a","b","c","d","e","f","g","h"]}},"id":"7a8110c0-5b77-4ea5-bbbd-19f4671f975b","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"29bc582a-3c90-42c1-aaf8-c335e47e9a64","type":"CategoricalTickFormatter"},"plot":{"id":"1401b838-bbf3-486b-8724-41c0f8365a1a","subtype":"Figure","type":"Plot"},"ticker":{"id":"965dae67-df8d-4cd4-b56e-3a2aa1034752","type":"CategoricalTicker"}},"id":"87cf6946-3453-4662-a243-41dada68ca70","type":"CategoricalAxis"},{"attributes":{"below":[{"id":"a61d55e0-9401-4366-9c82-ac5344dac547","type":"LinearAxis"}],"left":[{"id":"87cf6946-3453-4662-a243-41dada68ca70","type":"CategoricalAxis"}],"renderers":[{"id":"a61d55e0-9401-4366-9c82-ac5344dac547","type":"LinearAxis"},{"id":"477abfd8-baaa-4c09-a9e5-6332d0ad95d6","type":"Grid"},{"id":"87cf6946-3453-4662-a243-41dada68ca70","type":"CategoricalAxis"},{"id":"26c4ac89-6bb4-4383-89dd-7c942cebfe19","type":"Grid"},{"id":"cd8ce4a6-d0ee-4f04-b32e-5cc3507e3b11","type":"GlyphRenderer"},{"id":"7fd3286f-cf25-4470-b42d-883ce7cb057f","type":"GlyphRenderer"}],"sizing_mode":"scale_width","title":{"id":"89842627-c2d2-4033-89ab-d21bf91d6682","type":"Title"},"toolbar":{"id":"e8281f28-faa3-49b2-8a74-eb5f42803b4a","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"a4723667-eef7-42f5-8f7c-0763c30447d6","type":"Range1d"},"x_scale":{"id":"6a8f65af-180c-41a8-bc6c-cb90f25b64ea","type":"LinearScale"},"y_range":{"id":"46d01789-345e-434e-b7d0-7b9ef4049480","type":"FactorRange"},"y_scale":{"id":"430d236b-d6bb-40b3-bb6e-533a97939505","type":"CategoricalScale"}},"id":"1401b838-bbf3-486b-8724-41c0f8365a1a","subtype":"Figure","type":"Plot"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x0":{"value":0},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"154cf75d-d0ff-42dc-8308-1678ec01dd51","type":"Segment"},{"attributes":{"children":[{"id":"1bafe748-e2d3-4ede-8af6-6d6d8c6d892b","subtype":"Figure","type":"Plot"},{"id":"1401b838-bbf3-486b-8724-41c0f8365a1a","subtype":"Figure","type":"Plot"}],"sizing_mode":"scale_width"},"id":"453a3d10-fc3a-41a9-a71a-14ed60199ad0","type":"Row"},{"attributes":{"plot":null,"text":"Categorical Dot Plot"},"id":"89842627-c2d2-4033-89ab-d21bf91d6682","type":"Title"},{"attributes":{"data_source":{"id":"f97a0185-d953-425a-abe1-9e52c385c232","type":"ColumnDataSource"},"glyph":{"id":"927660d2-581d-42db-acd0-ef2bedcfcb38","type":"Rect"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e629d7cc-1f0d-4014-a912-8f9973fd4719","type":"Rect"},"selection_glyph":null,"view":{"id":"ac30d096-2bb3-4624-8f73-e4dab1f1b1ea","type":"CDSView"}},"id":"58967ddb-5959-4508-8659-04fd5bd1ec7f","type":"GlyphRenderer"},{"attributes":{"callback":null,"factors":["foo 123","bar:0.2","baz-10"]},"id":"3a276b70-3eb2-419b-83e2-5622d03c2c1e","type":"FactorRange"},{"attributes":{"callback":null},"id":"60d7d0c9-7198-401a-b0f7-54603eda24d8","type":"HoverTool"},{"attributes":{},"id":"bf85c428-d3fa-4991-bc4e-587d87e15372","type":"CategoricalTicker"},{"attributes":{"formatter":{"id":"f005fc0e-f2d5-4888-ba76-99488bfeafb5","type":"CategoricalTickFormatter"},"plot":{"id":"1bafe748-e2d3-4ede-8af6-6d6d8c6d892b","subtype":"Figure","type":"Plot"},"ticker":{"id":"a3c3a624-1b83-482c-9d7f-86413dfecf63","type":"CategoricalTicker"}},"id":"1c243e32-4122-49d4-afc4-49796ddb4841","type":"CategoricalAxis"},{"attributes":{"line_color":{"value":"green"},"line_width":{"value":2},"x0":{"value":0},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"205c90b4-0a7b-4d21-a09d-c836e548811e","type":"Segment"},{"attributes":{"source":{"id":"f97a0185-d953-425a-abe1-9e52c385c232","type":"ColumnDataSource"}},"id":"ac30d096-2bb3-4624-8f73-e4dab1f1b1ea","type":"CDSView"},{"attributes":{},"id":"a3c3a624-1b83-482c-9d7f-86413dfecf63","type":"CategoricalTicker"},{"attributes":{"data_source":{"id":"7a8110c0-5b77-4ea5-bbbd-19f4671f975b","type":"ColumnDataSource"},"glyph":{"id":"205c90b4-0a7b-4d21-a09d-c836e548811e","type":"Segment"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"154cf75d-d0ff-42dc-8308-1678ec01dd51","type":"Segment"},"selection_glyph":null,"view":{"id":"980adb42-8ba6-4170-a861-2816b8210191","type":"CDSView"}},"id":"cd8ce4a6-d0ee-4f04-b32e-5cc3507e3b11","type":"GlyphRenderer"}],"root_ids":["453a3d10-fc3a-41a9-a71a-14ed60199ad0"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"13638011-5753-441a-ba41-062dbc2eccb6","elementid":"84faf373-4422-4227-ae7e-c272d1aed676","modelid":"453a3d10-fc3a-41a9-a71a-14ed60199ad0"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
