(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("929da948-b324-4e3b-9798-eb0cd663c008");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '929da948-b324-4e3b-9798-eb0cd663c008' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a4a4a0fc-d7ec-45c3-8dd6-315f2f06c6a7":{"roots":{"references":[{"attributes":{},"id":"c164e52c-3f12-4d9f-a50b-7a569dc6046a","type":"LinearScale"},{"attributes":{},"id":"f32ce9bb-0a21-4f15-8fe5-72b7c7e79974","type":"BasicTicker"},{"attributes":{"end_angle":{"units":"rad","value":4.1},"fill_color":{"value":"#8888ee"},"inner_radius":{"units":"data","value":0.2},"outer_radius":{"field":"r","units":"data"},"start_angle":{"units":"rad","value":0.6},"x":{"field":"x"},"y":{"field":"y"}},"id":"3e52d1b5-6a43-4f4b-99b1-8a50c1a29e67","type":"AnnularWedge"},{"attributes":{"callback":null},"id":"b71fec84-6f08-4b53-9eb4-784191d4e8cd","type":"DataRange1d"},{"attributes":{"data_source":{"id":"ac057757-9878-4113-8a11-f0a8a3092483","type":"ColumnDataSource"},"glyph":{"id":"3e52d1b5-6a43-4f4b-99b1-8a50c1a29e67","type":"AnnularWedge"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"c960e434-9a3d-454f-911c-0bb82bdc0d96","type":"CDSView"}},"id":"275fccfa-dafc-4c54-8308-d9c44a8e6fa8","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"9708709a-e165-4539-8578-38232ed19286","type":"Toolbar"},{"attributes":{"plot":{"id":"7b19aa5f-e9be-4af3-b3c8-405df35302d9","type":"Plot"},"ticker":{"id":"d73e3473-7b1d-4e14-9457-2b0eb8250b0f","type":"BasicTicker"}},"id":"d0145200-0230-4f16-897d-4ac43677b4a6","type":"Grid"},{"attributes":{},"id":"722a61e8-a60e-4f15-b336-9a71fdabdec8","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x","r"],"data":{"r":{"__ndarray__":"393d3d3dzT+amZmZmZnRP0VERERERNQ/7+7u7u7u1j+amZmZmZnZP0VERERERNw/7+7u7u7u3j/NzMzMzMzgPyIiIiIiIuI/","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"ac057757-9878-4113-8a11-f0a8a3092483","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"9c1b4d8d-f36c-4413-b9bb-1a34513a22d9","type":"BasicTickFormatter"},"plot":{"id":"7b19aa5f-e9be-4af3-b3c8-405df35302d9","type":"Plot"},"ticker":{"id":"d73e3473-7b1d-4e14-9457-2b0eb8250b0f","type":"BasicTicker"}},"id":"f068c54e-2af8-48e2-a93e-156191d85803","type":"LinearAxis"},{"attributes":{"below":[{"id":"f068c54e-2af8-48e2-a93e-156191d85803","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"fa6657da-75cd-4e17-9ef8-a032c737e768","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"275fccfa-dafc-4c54-8308-d9c44a8e6fa8","type":"GlyphRenderer"},{"id":"f068c54e-2af8-48e2-a93e-156191d85803","type":"LinearAxis"},{"id":"fa6657da-75cd-4e17-9ef8-a032c737e768","type":"LinearAxis"},{"id":"d0145200-0230-4f16-897d-4ac43677b4a6","type":"Grid"},{"id":"e29bf12b-a0b6-4eec-b856-8624a9abdd46","type":"Grid"}],"title":null,"toolbar":{"id":"9708709a-e165-4539-8578-38232ed19286","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"27cffa44-73ca-4ec5-94df-684987e4cd3d","type":"DataRange1d"},"x_scale":{"id":"20d525bb-8ffb-4d3a-94f0-71afe7c41dd7","type":"LinearScale"},"y_range":{"id":"b71fec84-6f08-4b53-9eb4-784191d4e8cd","type":"DataRange1d"},"y_scale":{"id":"c164e52c-3f12-4d9f-a50b-7a569dc6046a","type":"LinearScale"}},"id":"7b19aa5f-e9be-4af3-b3c8-405df35302d9","type":"Plot"},{"attributes":{"dimension":1,"plot":{"id":"7b19aa5f-e9be-4af3-b3c8-405df35302d9","type":"Plot"},"ticker":{"id":"f32ce9bb-0a21-4f15-8fe5-72b7c7e79974","type":"BasicTicker"}},"id":"e29bf12b-a0b6-4eec-b856-8624a9abdd46","type":"Grid"},{"attributes":{"callback":null},"id":"27cffa44-73ca-4ec5-94df-684987e4cd3d","type":"DataRange1d"},{"attributes":{},"id":"20d525bb-8ffb-4d3a-94f0-71afe7c41dd7","type":"LinearScale"},{"attributes":{"formatter":{"id":"722a61e8-a60e-4f15-b336-9a71fdabdec8","type":"BasicTickFormatter"},"plot":{"id":"7b19aa5f-e9be-4af3-b3c8-405df35302d9","type":"Plot"},"ticker":{"id":"f32ce9bb-0a21-4f15-8fe5-72b7c7e79974","type":"BasicTicker"}},"id":"fa6657da-75cd-4e17-9ef8-a032c737e768","type":"LinearAxis"},{"attributes":{},"id":"d73e3473-7b1d-4e14-9457-2b0eb8250b0f","type":"BasicTicker"},{"attributes":{},"id":"9c1b4d8d-f36c-4413-b9bb-1a34513a22d9","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"ac057757-9878-4113-8a11-f0a8a3092483","type":"ColumnDataSource"}},"id":"c960e434-9a3d-454f-911c-0bb82bdc0d96","type":"CDSView"}],"root_ids":["7b19aa5f-e9be-4af3-b3c8-405df35302d9"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a4a4a0fc-d7ec-45c3-8dd6-315f2f06c6a7","elementid":"929da948-b324-4e3b-9798-eb0cd663c008","modelid":"7b19aa5f-e9be-4af3-b3c8-405df35302d9"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
