(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a86211b1-4c29-4aee-9614-fac1a4766f61");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a86211b1-4c29-4aee-9614-fac1a4766f61' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"98df5166-f0f2-4e3e-a766-da10af5735ae":{"roots":{"references":[{"attributes":{},"id":"c5d63435-70e1-4c81-b3e0-35eb977df5a7","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"04e264be-3dd0-4c31-b06e-dea8f7364b4c","type":"Toolbar"},{"attributes":{"callback":null},"id":"5ff6389e-6f66-4be7-bb96-78e7eb4249f0","type":"DataRange1d"},{"attributes":{"formatter":{"id":"d18875a3-8813-4c3b-bc4a-81c350c57bea","type":"BasicTickFormatter"},"plot":{"id":"db6bede0-5d40-4cfa-b252-44e8c7fca46e","type":"Plot"},"ticker":{"id":"c8123fe5-dbe2-4e2d-8911-1e7cfe7abe68","type":"BasicTicker"}},"id":"6b1f1b06-6529-4531-bb49-d3a3a650af38","type":"LinearAxis"},{"attributes":{},"id":"5763ab8e-9ae8-44bd-9b7e-f2bd4f6a7e48","type":"LinearScale"},{"attributes":{"fill_color":{"value":"#7fc97f"},"inner_radius":{"units":"data","value":0.2},"outer_radius":{"units":"data","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"c2935a98-9816-4439-b8d8-caa4e10e751a","type":"Annulus"},{"attributes":{"data_source":{"id":"0ef68120-edde-4922-b6a2-9b08991ec5b9","type":"ColumnDataSource"},"glyph":{"id":"c2935a98-9816-4439-b8d8-caa4e10e751a","type":"Annulus"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"fcf51831-b769-4341-94db-843cb48ede3f","type":"CDSView"}},"id":"b3026db2-c798-43c3-bade-33f5b18d660c","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"6b1f1b06-6529-4531-bb49-d3a3a650af38","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"81eca397-e872-4481-9700-34e9c0551ca8","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"b3026db2-c798-43c3-bade-33f5b18d660c","type":"GlyphRenderer"},{"id":"6b1f1b06-6529-4531-bb49-d3a3a650af38","type":"LinearAxis"},{"id":"81eca397-e872-4481-9700-34e9c0551ca8","type":"LinearAxis"},{"id":"d959a8d1-8018-432b-9e18-9d53d7e631b5","type":"Grid"},{"id":"7e10d276-869f-4128-8001-9aa396aa2eea","type":"Grid"}],"title":null,"toolbar":{"id":"04e264be-3dd0-4c31-b06e-dea8f7364b4c","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"5ff6389e-6f66-4be7-bb96-78e7eb4249f0","type":"DataRange1d"},"x_scale":{"id":"5763ab8e-9ae8-44bd-9b7e-f2bd4f6a7e48","type":"LinearScale"},"y_range":{"id":"8f28602d-fa66-45fa-b935-10864fcbedef","type":"DataRange1d"},"y_scale":{"id":"c5d63435-70e1-4c81-b3e0-35eb977df5a7","type":"LinearScale"}},"id":"db6bede0-5d40-4cfa-b252-44e8c7fca46e","type":"Plot"},{"attributes":{"formatter":{"id":"6cb5f7b5-ebb0-4215-aceb-118c70eac7a1","type":"BasicTickFormatter"},"plot":{"id":"db6bede0-5d40-4cfa-b252-44e8c7fca46e","type":"Plot"},"ticker":{"id":"6e022927-2b41-4465-a4f9-2f65cad17991","type":"BasicTicker"}},"id":"81eca397-e872-4481-9700-34e9c0551ca8","type":"LinearAxis"},{"attributes":{},"id":"d18875a3-8813-4c3b-bc4a-81c350c57bea","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"0ef68120-edde-4922-b6a2-9b08991ec5b9","type":"ColumnDataSource"}},"id":"fcf51831-b769-4341-94db-843cb48ede3f","type":"CDSView"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"0ef68120-edde-4922-b6a2-9b08991ec5b9","type":"ColumnDataSource"},{"attributes":{},"id":"6e022927-2b41-4465-a4f9-2f65cad17991","type":"BasicTicker"},{"attributes":{"callback":null},"id":"8f28602d-fa66-45fa-b935-10864fcbedef","type":"DataRange1d"},{"attributes":{},"id":"c8123fe5-dbe2-4e2d-8911-1e7cfe7abe68","type":"BasicTicker"},{"attributes":{},"id":"6cb5f7b5-ebb0-4215-aceb-118c70eac7a1","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"db6bede0-5d40-4cfa-b252-44e8c7fca46e","type":"Plot"},"ticker":{"id":"c8123fe5-dbe2-4e2d-8911-1e7cfe7abe68","type":"BasicTicker"}},"id":"d959a8d1-8018-432b-9e18-9d53d7e631b5","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"db6bede0-5d40-4cfa-b252-44e8c7fca46e","type":"Plot"},"ticker":{"id":"6e022927-2b41-4465-a4f9-2f65cad17991","type":"BasicTicker"}},"id":"7e10d276-869f-4128-8001-9aa396aa2eea","type":"Grid"}],"root_ids":["db6bede0-5d40-4cfa-b252-44e8c7fca46e"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"98df5166-f0f2-4e3e-a766-da10af5735ae","elementid":"a86211b1-4c29-4aee-9614-fac1a4766f61","modelid":"db6bede0-5d40-4cfa-b252-44e8c7fca46e"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
