(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("631fc6cf-d075-4454-a32f-51f4ea4b95db");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '631fc6cf-d075-4454-a32f-51f4ea4b95db' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"54c5a8f6-9b81-41be-acf7-ea4c26b6ad76":{"roots":{"references":[{"attributes":{},"id":"73c1d207-6d8e-4984-a48f-ae9ddded38d9","type":"BasicTicker"},{"attributes":{},"id":"c2b27a03-87d6-464b-b927-6f6282c16d86","type":"LinearScale"},{"attributes":{"formatter":{"id":"ba1d1d93-b609-42e6-b6f4-c13bd1232480","type":"BasicTickFormatter"},"plot":{"id":"12b25531-b0e2-4db2-8d37-a2191c5a9fcf","type":"Plot"},"ticker":{"id":"73c1d207-6d8e-4984-a48f-ae9ddded38d9","type":"BasicTicker"}},"id":"66475acc-3718-4c02-9cba-2e828b4ca8e0","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"dfe9a43e-dcb7-4e23-a9fb-e070b0c7db00","type":"Toolbar"},{"attributes":{},"id":"53bb4878-31d7-4ce0-a0e2-925c11d651f8","type":"LinearScale"},{"attributes":{"source":{"id":"430790a3-b2f0-4b4e-afdd-3ffed99b0497","type":"ColumnDataSource"}},"id":"adc6c00a-21a4-46ec-b47c-7e07a1fff6ee","type":"CDSView"},{"attributes":{},"id":"ba1d1d93-b609-42e6-b6f4-c13bd1232480","type":"BasicTickFormatter"},{"attributes":{},"id":"562b6b86-bc99-406b-8ea7-870684ff6072","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"66475acc-3718-4c02-9cba-2e828b4ca8e0","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"b3900882-766e-4735-99e2-32859bebdc8e","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"a4ff1986-ec7c-4f46-8222-dd686e97e266","type":"GlyphRenderer"},{"id":"66475acc-3718-4c02-9cba-2e828b4ca8e0","type":"LinearAxis"},{"id":"b3900882-766e-4735-99e2-32859bebdc8e","type":"LinearAxis"},{"id":"95e2a04d-b67d-4b42-8678-0bb8f68c95b1","type":"Grid"},{"id":"a9c01594-7682-4dbc-b697-c557e036561b","type":"Grid"}],"title":null,"toolbar":{"id":"dfe9a43e-dcb7-4e23-a9fb-e070b0c7db00","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"3afe3941-99c5-4763-92eb-ec04f2f2266a","type":"DataRange1d"},"x_scale":{"id":"c2b27a03-87d6-464b-b927-6f6282c16d86","type":"LinearScale"},"y_range":{"id":"e8297064-688b-473e-9202-b2f214e8d0a7","type":"DataRange1d"},"y_scale":{"id":"53bb4878-31d7-4ce0-a0e2-925c11d651f8","type":"LinearScale"}},"id":"12b25531-b0e2-4db2-8d37-a2191c5a9fcf","type":"Plot"},{"attributes":{"cx0":{"field":"xp01"},"cx1":{"field":"xm01"},"cy0":{"field":"yp01"},"cy1":{"field":"ym01"},"line_color":{"value":"#D95F02"},"line_width":{"value":2},"x0":{"field":"x"},"x1":{"field":"xp02"},"y0":{"field":"y"},"y1":{"field":"y"}},"id":"8c102e1a-fa5d-478c-8487-37fa21685506","type":"Bezier"},{"attributes":{"formatter":{"id":"562b6b86-bc99-406b-8ea7-870684ff6072","type":"BasicTickFormatter"},"plot":{"id":"12b25531-b0e2-4db2-8d37-a2191c5a9fcf","type":"Plot"},"ticker":{"id":"734fc5d6-dd2f-40a6-a8e4-1c9dd568c142","type":"BasicTicker"}},"id":"b3900882-766e-4735-99e2-32859bebdc8e","type":"LinearAxis"},{"attributes":{},"id":"734fc5d6-dd2f-40a6-a8e4-1c9dd568c142","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"12b25531-b0e2-4db2-8d37-a2191c5a9fcf","type":"Plot"},"ticker":{"id":"734fc5d6-dd2f-40a6-a8e4-1c9dd568c142","type":"BasicTicker"}},"id":"a9c01594-7682-4dbc-b697-c557e036561b","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","ym01","yp01","xm01","x","xp01","xp02"],"data":{"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"xm01":{"__ndarray__":"zczMzMzMAMCamZmZmZn5v5qZmZmZmfG/MzMzMzMz47+amZmZmZm5v5qZmZmZmdk/zczMzMzM7D9mZmZmZmb2P2ZmZmZmZv4/","dtype":"float64","shape":[9]},"xp01":{"__ndarray__":"ZmZmZmZm/r9mZmZmZmb2v83MzMzMzOy/mpmZmZmZ2b+amZmZmZm5PzMzMzMzM+M/mpmZmZmZ8T+amZmZmZn5P83MzMzMzABA","dtype":"float64","shape":[9]},"xp02":{"__ndarray__":"mpmZmZmZ+b+amZmZmZnxvzMzMzMzM+O/mJmZmZmZub+amZmZmZnZP83MzMzMzOw/ZmZmZmZm9j9mZmZmZmb+PzMzMzMzMwNA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]},"ym01":{"__ndarray__":"ZmZmZmZmDkBmZmZmZmYAQJqZmZmZmek/mJmZmZmZqT+amZmZmZnJv5iZmZmZmak/mpmZmZmZ6T9mZmZmZmYAQGZmZmZmZg5A","dtype":"float64","shape":[9]},"yp01":{"__ndarray__":"zczMzMzMEECamZmZmZkDQDMzMzMzM/M/zczMzMzM3D+amZmZmZnJP83MzMzMzNw/MzMzMzMz8z+amZmZmZkDQM3MzMzMzBBA","dtype":"float64","shape":[9]}}},"id":"430790a3-b2f0-4b4e-afdd-3ffed99b0497","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"e8297064-688b-473e-9202-b2f214e8d0a7","type":"DataRange1d"},{"attributes":{"plot":{"id":"12b25531-b0e2-4db2-8d37-a2191c5a9fcf","type":"Plot"},"ticker":{"id":"73c1d207-6d8e-4984-a48f-ae9ddded38d9","type":"BasicTicker"}},"id":"95e2a04d-b67d-4b42-8678-0bb8f68c95b1","type":"Grid"},{"attributes":{"callback":null},"id":"3afe3941-99c5-4763-92eb-ec04f2f2266a","type":"DataRange1d"},{"attributes":{"data_source":{"id":"430790a3-b2f0-4b4e-afdd-3ffed99b0497","type":"ColumnDataSource"},"glyph":{"id":"8c102e1a-fa5d-478c-8487-37fa21685506","type":"Bezier"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"adc6c00a-21a4-46ec-b47c-7e07a1fff6ee","type":"CDSView"}},"id":"a4ff1986-ec7c-4f46-8222-dd686e97e266","type":"GlyphRenderer"}],"root_ids":["12b25531-b0e2-4db2-8d37-a2191c5a9fcf"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"54c5a8f6-9b81-41be-acf7-ea4c26b6ad76","elementid":"631fc6cf-d075-4454-a32f-51f4ea4b95db","modelid":"12b25531-b0e2-4db2-8d37-a2191c5a9fcf"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
