(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("e09d51c8-b389-4c5d-a30f-4d2b059b05ca");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'e09d51c8-b389-4c5d-a30f-4d2b059b05ca' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"72f792b5-5147-4f3e-9606-6a593ad3c8df":{"roots":{"references":[{"attributes":{"formatter":{"id":"c2d9afce-2178-4b2e-a17b-de0a86f6d8be","type":"BasicTickFormatter"},"plot":{"id":"b168d74c-7d07-402a-b988-28cef1bcf796","type":"Plot"},"ticker":{"id":"60fffb94-d6cb-4eb0-8aa5-07a2dab9be36","type":"BasicTicker"}},"id":"d3ab4b23-4710-4e57-9d5d-291e38b318ee","type":"LinearAxis"},{"attributes":{"data_source":{"id":"fb62f30e-5112-4c69-8656-fc4f1ee005b1","type":"ColumnDataSource"},"glyph":{"id":"afd1a37c-148a-45a2-93e1-6145714ae62d","type":"Ellipse"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"4e5c47b1-9271-4103-a65e-b659de588d84","type":"CDSView"}},"id":"050d828e-1768-42f8-aa19-e77cb00d603a","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"9ff617c6-2ab7-4069-829d-f04338373fdf","type":"DataRange1d"},{"attributes":{"callback":null},"id":"86f776e7-b6ba-4cf2-83fa-70f681600636","type":"DataRange1d"},{"attributes":{"angle":{"units":"rad","value":-0.7},"fill_color":{"value":"#CAB2D6"},"height":{"field":"h","units":"data"},"width":{"field":"w","units":"data"},"x":{"field":"x"},"y":{"field":"y"}},"id":"afd1a37c-148a-45a2-93e1-6145714ae62d","type":"Ellipse"},{"attributes":{"source":{"id":"fb62f30e-5112-4c69-8656-fc4f1ee005b1","type":"ColumnDataSource"}},"id":"4e5c47b1-9271-4103-a65e-b659de588d84","type":"CDSView"},{"attributes":{"formatter":{"id":"48b11af8-694d-4695-b8c2-99e012d7d838","type":"BasicTickFormatter"},"plot":{"id":"b168d74c-7d07-402a-b988-28cef1bcf796","type":"Plot"},"ticker":{"id":"59da2637-be6d-485a-965a-fa9ea8b43075","type":"BasicTicker"}},"id":"343a5037-2dd0-48c6-9463-a8f63301ea62","type":"LinearAxis"},{"attributes":{"below":[{"id":"d3ab4b23-4710-4e57-9d5d-291e38b318ee","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"343a5037-2dd0-48c6-9463-a8f63301ea62","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"050d828e-1768-42f8-aa19-e77cb00d603a","type":"GlyphRenderer"},{"id":"d3ab4b23-4710-4e57-9d5d-291e38b318ee","type":"LinearAxis"},{"id":"343a5037-2dd0-48c6-9463-a8f63301ea62","type":"LinearAxis"},{"id":"a12a9615-b91e-4701-a0e8-e683b3e1b6c8","type":"Grid"},{"id":"6be916c9-644b-4847-81e1-cf3fb7e7074d","type":"Grid"}],"title":null,"toolbar":{"id":"35a498ba-c379-45d7-9800-73e41cad1a44","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"86f776e7-b6ba-4cf2-83fa-70f681600636","type":"DataRange1d"},"x_scale":{"id":"35b49f9c-97f8-482f-918e-a16e59cfa3c2","type":"LinearScale"},"y_range":{"id":"9ff617c6-2ab7-4069-829d-f04338373fdf","type":"DataRange1d"},"y_scale":{"id":"f4d0cc58-4d59-421c-83fe-b7224298d5af","type":"LinearScale"}},"id":"b168d74c-7d07-402a-b988-28cef1bcf796","type":"Plot"},{"attributes":{},"id":"f4d0cc58-4d59-421c-83fe-b7224298d5af","type":"LinearScale"},{"attributes":{},"id":"60fffb94-d6cb-4eb0-8aa5-07a2dab9be36","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","h","w","x"],"data":{"h":{"__ndarray__":"AAAAAAAA4D9mZmZmZmbaP2ZmZmZmZtY/AAAAAAAA1D8zMzMzMzPTPwAAAAAAANQ/ZmZmZmZm1j9mZmZmZmbaPwAAAAAAAOA/","dtype":"float64","shape":[9]},"w":{"__ndarray__":"VVVVVVVVxT+ZmZmZmZnJP97d3d3d3c0/ERERERER0T8zMzMzMzPTP1VVVVVVVdU/d3d3d3d31z+amZmZmZnZP7y7u7u7u9s/","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"fb62f30e-5112-4c69-8656-fc4f1ee005b1","type":"ColumnDataSource"},{"attributes":{},"id":"c2d9afce-2178-4b2e-a17b-de0a86f6d8be","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"b168d74c-7d07-402a-b988-28cef1bcf796","type":"Plot"},"ticker":{"id":"59da2637-be6d-485a-965a-fa9ea8b43075","type":"BasicTicker"}},"id":"6be916c9-644b-4847-81e1-cf3fb7e7074d","type":"Grid"},{"attributes":{"plot":{"id":"b168d74c-7d07-402a-b988-28cef1bcf796","type":"Plot"},"ticker":{"id":"60fffb94-d6cb-4eb0-8aa5-07a2dab9be36","type":"BasicTicker"}},"id":"a12a9615-b91e-4701-a0e8-e683b3e1b6c8","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"35a498ba-c379-45d7-9800-73e41cad1a44","type":"Toolbar"},{"attributes":{},"id":"59da2637-be6d-485a-965a-fa9ea8b43075","type":"BasicTicker"},{"attributes":{},"id":"35b49f9c-97f8-482f-918e-a16e59cfa3c2","type":"LinearScale"},{"attributes":{},"id":"48b11af8-694d-4695-b8c2-99e012d7d838","type":"BasicTickFormatter"}],"root_ids":["b168d74c-7d07-402a-b988-28cef1bcf796"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"72f792b5-5147-4f3e-9606-6a593ad3c8df","elementid":"e09d51c8-b389-4c5d-a30f-4d2b059b05ca","modelid":"b168d74c-7d07-402a-b988-28cef1bcf796"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
