(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("812f5258-e21d-4dc6-aad8-c1d73ef38e63");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '812f5258-e21d-4dc6-aad8-c1d73ef38e63' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"f5f801bd-1764-49f1-ae9c-79d6bb2e192a":{"roots":{"references":[{"attributes":{"callback":null,"column_names":["y","right"],"data":{"right":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]}}},"id":"16617df3-b153-438b-b502-bcd95955790d","type":"ColumnDataSource"},{"attributes":{},"id":"ba617387-1cd2-4556-9793-5ec7fa918ecd","type":"BasicTickFormatter"},{"attributes":{},"id":"1cd24abf-baf8-4bc3-a911-1e1f980c8a5b","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"4de81907-5f99-44a3-828b-8145fe234425","type":"Plot"},"ticker":{"id":"ef71bb71-c9ff-4b8a-83a2-d7eadb93bb0a","type":"BasicTicker"}},"id":"13912d99-526b-41c0-9175-4667e8f433f5","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"36adc0e9-4b3a-44c7-9998-077d0d3af1c8","type":"Toolbar"},{"attributes":{},"id":"b4d338ee-0fe9-45f4-b026-c4f2a83def3d","type":"LinearScale"},{"attributes":{},"id":"ef71bb71-c9ff-4b8a-83a2-d7eadb93bb0a","type":"BasicTicker"},{"attributes":{"below":[{"id":"3dcb74ad-1538-4dca-a13b-a85b30ce0abb","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"7e128c13-7f00-4cd0-816a-32f1817cac11","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"179fd3ea-2601-4d74-a3af-14d22eec0562","type":"GlyphRenderer"},{"id":"3dcb74ad-1538-4dca-a13b-a85b30ce0abb","type":"LinearAxis"},{"id":"7e128c13-7f00-4cd0-816a-32f1817cac11","type":"LinearAxis"},{"id":"d0f1a634-7114-4759-a9fc-70e3d4f18eb7","type":"Grid"},{"id":"13912d99-526b-41c0-9175-4667e8f433f5","type":"Grid"}],"title":null,"toolbar":{"id":"36adc0e9-4b3a-44c7-9998-077d0d3af1c8","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"bc651280-8bef-4115-a67f-6f7cb6f4e345","type":"DataRange1d"},"x_scale":{"id":"89b804c0-f9a8-45a2-ad03-d4eddd1dddb9","type":"LinearScale"},"y_range":{"id":"db5e6783-7508-46db-9a0c-977079a61c98","type":"DataRange1d"},"y_scale":{"id":"b4d338ee-0fe9-45f4-b026-c4f2a83def3d","type":"LinearScale"}},"id":"4de81907-5f99-44a3-828b-8145fe234425","type":"Plot"},{"attributes":{"source":{"id":"16617df3-b153-438b-b502-bcd95955790d","type":"ColumnDataSource"}},"id":"6b7de199-94c2-41f9-8b81-f825f65ed001","type":"CDSView"},{"attributes":{},"id":"95439cd8-76b4-4f9c-a153-f8a9b3880a75","type":"BasicTicker"},{"attributes":{"formatter":{"id":"1cd24abf-baf8-4bc3-a911-1e1f980c8a5b","type":"BasicTickFormatter"},"plot":{"id":"4de81907-5f99-44a3-828b-8145fe234425","type":"Plot"},"ticker":{"id":"95439cd8-76b4-4f9c-a153-f8a9b3880a75","type":"BasicTicker"}},"id":"3dcb74ad-1538-4dca-a13b-a85b30ce0abb","type":"LinearAxis"},{"attributes":{"callback":null},"id":"db5e6783-7508-46db-9a0c-977079a61c98","type":"DataRange1d"},{"attributes":{"data_source":{"id":"16617df3-b153-438b-b502-bcd95955790d","type":"ColumnDataSource"},"glyph":{"id":"ed9d63c2-d7ee-4485-8ca1-8566aee200ac","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"6b7de199-94c2-41f9-8b81-f825f65ed001","type":"CDSView"}},"id":"179fd3ea-2601-4d74-a3af-14d22eec0562","type":"GlyphRenderer"},{"attributes":{},"id":"89b804c0-f9a8-45a2-ad03-d4eddd1dddb9","type":"LinearScale"},{"attributes":{"plot":{"id":"4de81907-5f99-44a3-828b-8145fe234425","type":"Plot"},"ticker":{"id":"95439cd8-76b4-4f9c-a153-f8a9b3880a75","type":"BasicTicker"}},"id":"d0f1a634-7114-4759-a9fc-70e3d4f18eb7","type":"Grid"},{"attributes":{"fill_color":{"value":"#b3de69"},"height":{"value":0.5},"right":{"field":"right"},"y":{"field":"y"}},"id":"ed9d63c2-d7ee-4485-8ca1-8566aee200ac","type":"HBar"},{"attributes":{"callback":null},"id":"bc651280-8bef-4115-a67f-6f7cb6f4e345","type":"DataRange1d"},{"attributes":{"formatter":{"id":"ba617387-1cd2-4556-9793-5ec7fa918ecd","type":"BasicTickFormatter"},"plot":{"id":"4de81907-5f99-44a3-828b-8145fe234425","type":"Plot"},"ticker":{"id":"ef71bb71-c9ff-4b8a-83a2-d7eadb93bb0a","type":"BasicTicker"}},"id":"7e128c13-7f00-4cd0-816a-32f1817cac11","type":"LinearAxis"}],"root_ids":["4de81907-5f99-44a3-828b-8145fe234425"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"f5f801bd-1764-49f1-ae9c-79d6bb2e192a","elementid":"812f5258-e21d-4dc6-aad8-c1d73ef38e63","modelid":"4de81907-5f99-44a3-828b-8145fe234425"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
