(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("c7c0ea43-3308-46e2-bd90-a1cf7ffbb6d8");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'c7c0ea43-3308-46e2-bd90-a1cf7ffbb6d8' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"1a263ad4-53cf-43e1-87b9-284c7cf493d3":{"roots":{"references":[{"attributes":{},"id":"3447fa4f-4245-47a6-9dec-617b50d3e0d2","type":"LinearScale"},{"attributes":{},"id":"6e73a205-a5aa-4212-bdd5-ed4501ff78c6","type":"BasicTicker"},{"attributes":{},"id":"61e57ba5-da21-4e14-9885-fc89692f285e","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"b2fef763-1e77-49b6-987e-f019e0743272","type":"DataRange1d"},{"attributes":{},"id":"ad6c3ed7-0909-4b5d-b029-c6671f9f0f15","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"b50b90bd-f658-418c-840b-ac25f78905c3","type":"Toolbar"},{"attributes":{},"id":"343fa799-897c-492c-9bac-ff1c7e1594cf","type":"BasicTickFormatter"},{"attributes":{"angle":{"units":"rad","value":-0.7},"fill_color":{"value":"#1d91d0"},"height":{"units":"data","value":0.6},"width":{"units":"data","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"63ecf0ce-69dc-4ae8-86ef-c81fd38ec277","type":"Oval"},{"attributes":{"plot":{"id":"d3a17eab-aa6c-458c-9c8e-12360be2d8db","type":"Plot"},"ticker":{"id":"e2f22b7d-d438-4e35-911a-8bd672b37bd0","type":"BasicTicker"}},"id":"56b7ce77-7c19-41c8-a87e-2e534b5bae3c","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"d3a17eab-aa6c-458c-9c8e-12360be2d8db","type":"Plot"},"ticker":{"id":"6e73a205-a5aa-4212-bdd5-ed4501ff78c6","type":"BasicTicker"}},"id":"01341b00-3bfb-4ee1-a49b-050548a96a5c","type":"Grid"},{"attributes":{"formatter":{"id":"61e57ba5-da21-4e14-9885-fc89692f285e","type":"BasicTickFormatter"},"plot":{"id":"d3a17eab-aa6c-458c-9c8e-12360be2d8db","type":"Plot"},"ticker":{"id":"e2f22b7d-d438-4e35-911a-8bd672b37bd0","type":"BasicTicker"}},"id":"63a7f4a8-3d52-409c-bc9c-109b8a673f61","type":"LinearAxis"},{"attributes":{"callback":null},"id":"a2fd14d8-a208-4a51-9ef3-b9e555e7ae85","type":"DataRange1d"},{"attributes":{},"id":"e2f22b7d-d438-4e35-911a-8bd672b37bd0","type":"BasicTicker"},{"attributes":{"data_source":{"id":"2ad168c0-9f6f-4cca-a43a-d6082f81c60e","type":"ColumnDataSource"},"glyph":{"id":"63ecf0ce-69dc-4ae8-86ef-c81fd38ec277","type":"Oval"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"d444cb25-3014-4055-9c71-bc418ab03876","type":"CDSView"}},"id":"c953a139-0305-4758-901b-d36bd91af211","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"2ad168c0-9f6f-4cca-a43a-d6082f81c60e","type":"ColumnDataSource"},{"attributes":{"below":[{"id":"63a7f4a8-3d52-409c-bc9c-109b8a673f61","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"b43d24f9-80bf-4a95-b3ad-56815741dbe3","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"c953a139-0305-4758-901b-d36bd91af211","type":"GlyphRenderer"},{"id":"63a7f4a8-3d52-409c-bc9c-109b8a673f61","type":"LinearAxis"},{"id":"b43d24f9-80bf-4a95-b3ad-56815741dbe3","type":"LinearAxis"},{"id":"56b7ce77-7c19-41c8-a87e-2e534b5bae3c","type":"Grid"},{"id":"01341b00-3bfb-4ee1-a49b-050548a96a5c","type":"Grid"}],"title":null,"toolbar":{"id":"b50b90bd-f658-418c-840b-ac25f78905c3","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"a2fd14d8-a208-4a51-9ef3-b9e555e7ae85","type":"DataRange1d"},"x_scale":{"id":"ad6c3ed7-0909-4b5d-b029-c6671f9f0f15","type":"LinearScale"},"y_range":{"id":"b2fef763-1e77-49b6-987e-f019e0743272","type":"DataRange1d"},"y_scale":{"id":"3447fa4f-4245-47a6-9dec-617b50d3e0d2","type":"LinearScale"}},"id":"d3a17eab-aa6c-458c-9c8e-12360be2d8db","type":"Plot"},{"attributes":{"formatter":{"id":"343fa799-897c-492c-9bac-ff1c7e1594cf","type":"BasicTickFormatter"},"plot":{"id":"d3a17eab-aa6c-458c-9c8e-12360be2d8db","type":"Plot"},"ticker":{"id":"6e73a205-a5aa-4212-bdd5-ed4501ff78c6","type":"BasicTicker"}},"id":"b43d24f9-80bf-4a95-b3ad-56815741dbe3","type":"LinearAxis"},{"attributes":{"source":{"id":"2ad168c0-9f6f-4cca-a43a-d6082f81c60e","type":"ColumnDataSource"}},"id":"d444cb25-3014-4055-9c71-bc418ab03876","type":"CDSView"}],"root_ids":["d3a17eab-aa6c-458c-9c8e-12360be2d8db"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"1a263ad4-53cf-43e1-87b9-284c7cf493d3","elementid":"c7c0ea43-3308-46e2-bd90-a1cf7ffbb6d8","modelid":"d3a17eab-aa6c-458c-9c8e-12360be2d8db"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
