(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("7b59ad54-84d4-49d8-8e51-e6bf9ed48cb1");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '7b59ad54-84d4-49d8-8e51-e6bf9ed48cb1' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"2b97d67c-9eaa-4fb7-89b1-18f10d04ac2d":{"roots":{"references":[{"attributes":{},"id":"7fb46d97-0404-47d0-9fe2-595227735277","type":"LinearScale"},{"attributes":{"below":[{"id":"0fa0c1e2-a373-4f0e-90b1-f8529856c1c7","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"bb0e2098-acc1-4147-8939-cc0c5c7b2614","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"757f3086-3658-4c19-a9de-7e13a7c41059","type":"GlyphRenderer"},{"id":"0fa0c1e2-a373-4f0e-90b1-f8529856c1c7","type":"LinearAxis"},{"id":"bb0e2098-acc1-4147-8939-cc0c5c7b2614","type":"LinearAxis"},{"id":"8d6f0677-f456-491e-b6c1-0a96c816183a","type":"Grid"},{"id":"0cde6a48-47f4-46b2-8bef-e01b40720654","type":"Grid"}],"title":null,"toolbar":{"id":"498d84fa-7870-42c0-9fc5-15e8664616a8","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"9201f7d3-8409-45fe-90fa-3f2361854ca6","type":"DataRange1d"},"x_scale":{"id":"7fb46d97-0404-47d0-9fe2-595227735277","type":"LinearScale"},"y_range":{"id":"00740ee4-f5e3-4f48-bb5e-5715ae0eb5e4","type":"DataRange1d"},"y_scale":{"id":"11d93978-6fe9-46be-a248-3c4ce1f2752c","type":"LinearScale"}},"id":"b7188ff4-5a93-471d-b083-d2a01f4b04e4","type":"Plot"},{"attributes":{"callback":null},"id":"00740ee4-f5e3-4f48-bb5e-5715ae0eb5e4","type":"DataRange1d"},{"attributes":{},"id":"a0072f24-84d7-49cd-ab52-bd9b86de3095","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"91f527f3-46ec-4b2f-8a11-ca77032c0c99","type":"BasicTickFormatter"},"plot":{"id":"b7188ff4-5a93-471d-b083-d2a01f4b04e4","type":"Plot"},"ticker":{"id":"8df7df6e-c358-4194-acf8-5fe02833281c","type":"BasicTicker"}},"id":"0fa0c1e2-a373-4f0e-90b1-f8529856c1c7","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"498d84fa-7870-42c0-9fc5-15e8664616a8","type":"Toolbar"},{"attributes":{"plot":{"id":"b7188ff4-5a93-471d-b083-d2a01f4b04e4","type":"Plot"},"ticker":{"id":"8df7df6e-c358-4194-acf8-5fe02833281c","type":"BasicTicker"}},"id":"8d6f0677-f456-491e-b6c1-0a96c816183a","type":"Grid"},{"attributes":{},"id":"8df7df6e-c358-4194-acf8-5fe02833281c","type":"BasicTicker"},{"attributes":{"formatter":{"id":"a0072f24-84d7-49cd-ab52-bd9b86de3095","type":"BasicTickFormatter"},"plot":{"id":"b7188ff4-5a93-471d-b083-d2a01f4b04e4","type":"Plot"},"ticker":{"id":"2db9c7df-1779-4b7a-b46d-0bfdea14c058","type":"BasicTicker"}},"id":"bb0e2098-acc1-4147-8939-cc0c5c7b2614","type":"LinearAxis"},{"attributes":{"callback":null},"id":"9201f7d3-8409-45fe-90fa-3f2361854ca6","type":"DataRange1d"},{"attributes":{},"id":"91f527f3-46ec-4b2f-8a11-ca77032c0c99","type":"BasicTickFormatter"},{"attributes":{},"id":"11d93978-6fe9-46be-a248-3c4ce1f2752c","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x","yp01","xp01","xp02"],"data":{"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"xp01":{"__ndarray__":"ZmZmZmZm/r9mZmZmZmb2v83MzMzMzOy/mpmZmZmZ2b+amZmZmZm5PzMzMzMzM+M/mpmZmZmZ8T+amZmZmZn5P83MzMzMzABA","dtype":"float64","shape":[9]},"xp02":{"__ndarray__":"mpmZmZmZ+b+amZmZmZnxvzMzMzMzM+O/mJmZmZmZub+amZmZmZnZP83MzMzMzOw/ZmZmZmZm9j9mZmZmZmb+PzMzMzMzMwNA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]},"yp01":{"__ndarray__":"zczMzMzMEECamZmZmZkDQDMzMzMzM/M/zczMzMzM3D+amZmZmZnJP83MzMzMzNw/MzMzMzMz8z+amZmZmZkDQM3MzMzMzBBA","dtype":"float64","shape":[9]}}},"id":"7edcab2e-92f5-4283-8cec-09ae14da6773","type":"ColumnDataSource"},{"attributes":{},"id":"2db9c7df-1779-4b7a-b46d-0bfdea14c058","type":"BasicTicker"},{"attributes":{"source":{"id":"7edcab2e-92f5-4283-8cec-09ae14da6773","type":"ColumnDataSource"}},"id":"e76d57c2-52bc-4623-855a-8f415a602788","type":"CDSView"},{"attributes":{"data_source":{"id":"7edcab2e-92f5-4283-8cec-09ae14da6773","type":"ColumnDataSource"},"glyph":{"id":"ba8c047f-a502-4578-be79-e9516c967a32","type":"Quadratic"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"e76d57c2-52bc-4623-855a-8f415a602788","type":"CDSView"}},"id":"757f3086-3658-4c19-a9de-7e13a7c41059","type":"GlyphRenderer"},{"attributes":{"cx":{"field":"xp01"},"cy":{"field":"yp01"},"line_color":{"value":"#4DAF4A"},"line_width":{"value":3},"x0":{"field":"x"},"x1":{"field":"xp02"},"y0":{"field":"y"},"y1":{"field":"y"}},"id":"ba8c047f-a502-4578-be79-e9516c967a32","type":"Quadratic"},{"attributes":{"dimension":1,"plot":{"id":"b7188ff4-5a93-471d-b083-d2a01f4b04e4","type":"Plot"},"ticker":{"id":"2db9c7df-1779-4b7a-b46d-0bfdea14c058","type":"BasicTicker"}},"id":"0cde6a48-47f4-46b2-8bef-e01b40720654","type":"Grid"}],"root_ids":["b7188ff4-5a93-471d-b083-d2a01f4b04e4"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"2b97d67c-9eaa-4fb7-89b1-18f10d04ac2d","elementid":"7b59ad54-84d4-49d8-8e51-e6bf9ed48cb1","modelid":"b7188ff4-5a93-471d-b083-d2a01f4b04e4"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
