(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("47e64203-1025-460b-9eea-621715d17f49");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '47e64203-1025-460b-9eea-621715d17f49' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"9c5d7612-4a8c-48bd-94be-fde7502c1416":{"roots":{"references":[{"attributes":{"callback":null,"column_names":["xm01","y","ym01","x"],"data":{"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"xm01":{"__ndarray__":"zMzMzMzM7L+amZmZmZnrvzQzMzMzM+O/AAAAAAAAyL8zMzMzMzPTPzMzMzMzM+k/MzMzMzMz8z9nZmZmZmb3PwAAAAAAAPg/","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]},"ym01":{"__ndarray__":"ZmZmZmZmEEAzMzMzMzMEQGZmZmZmZvY/MzMzMzMz5z8AAAAAAADgPzMzMzMzM+c/ZmZmZmZm9j8zMzMzMzMEQGZmZmZmZhBA","dtype":"float64","shape":[9]}}},"id":"98d2475d-a030-4cc4-9a64-9af25fb73bf6","type":"ColumnDataSource"},{"attributes":{},"id":"50ea3e1e-e8f3-4f40-a505-e4be834d18b4","type":"BasicTicker"},{"attributes":{"below":[{"id":"b0762299-4a58-4781-a9c3-7f0831c17b80","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"f6ec9b65-dff6-41de-8c06-a4d081c74b8a","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"35538c88-6e73-4574-ab94-05e34551299b","type":"GlyphRenderer"},{"id":"b0762299-4a58-4781-a9c3-7f0831c17b80","type":"LinearAxis"},{"id":"f6ec9b65-dff6-41de-8c06-a4d081c74b8a","type":"LinearAxis"},{"id":"d04a845a-b71f-4f03-8625-82c53fd58827","type":"Grid"},{"id":"68d3a676-139f-4f36-9858-62a901a7beb5","type":"Grid"}],"title":null,"toolbar":{"id":"aed4d134-f85d-456a-b800-5b7dee307596","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"56908b3b-aca8-40a0-a422-1a50d223e089","type":"DataRange1d"},"x_scale":{"id":"c93bdb2b-6dc8-47d8-b692-b33d992e8432","type":"LinearScale"},"y_range":{"id":"5da59850-c8a1-4eaf-869e-fab5ee326e1f","type":"DataRange1d"},"y_scale":{"id":"1e02be3c-60e7-42dd-8638-31adacb78c0e","type":"LinearScale"}},"id":"1b72bbd5-a9f3-4aa5-8e11-c3f967b85f09","type":"Plot"},{"attributes":{"source":{"id":"98d2475d-a030-4cc4-9a64-9af25fb73bf6","type":"ColumnDataSource"}},"id":"9f27ec1d-81e2-4412-8af0-9a1525a05e77","type":"CDSView"},{"attributes":{"callback":null},"id":"56908b3b-aca8-40a0-a422-1a50d223e089","type":"DataRange1d"},{"attributes":{"formatter":{"id":"7bb5169e-c526-4d9b-9b16-e997a58085a6","type":"BasicTickFormatter"},"plot":{"id":"1b72bbd5-a9f3-4aa5-8e11-c3f967b85f09","type":"Plot"},"ticker":{"id":"e7a59671-f0d5-483e-b4ad-d70bc5796a85","type":"BasicTicker"}},"id":"b0762299-4a58-4781-a9c3-7f0831c17b80","type":"LinearAxis"},{"attributes":{},"id":"1e02be3c-60e7-42dd-8638-31adacb78c0e","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"1b72bbd5-a9f3-4aa5-8e11-c3f967b85f09","type":"Plot"},"ticker":{"id":"50ea3e1e-e8f3-4f40-a505-e4be834d18b4","type":"BasicTicker"}},"id":"68d3a676-139f-4f36-9858-62a901a7beb5","type":"Grid"},{"attributes":{},"id":"c93bdb2b-6dc8-47d8-b692-b33d992e8432","type":"LinearScale"},{"attributes":{},"id":"7131f05f-8281-415e-b69a-f653032f9010","type":"BasicTickFormatter"},{"attributes":{},"id":"e7a59671-f0d5-483e-b4ad-d70bc5796a85","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"aed4d134-f85d-456a-b800-5b7dee307596","type":"Toolbar"},{"attributes":{"formatter":{"id":"7131f05f-8281-415e-b69a-f653032f9010","type":"BasicTickFormatter"},"plot":{"id":"1b72bbd5-a9f3-4aa5-8e11-c3f967b85f09","type":"Plot"},"ticker":{"id":"50ea3e1e-e8f3-4f40-a505-e4be834d18b4","type":"BasicTicker"}},"id":"f6ec9b65-dff6-41de-8c06-a4d081c74b8a","type":"LinearAxis"},{"attributes":{"line_color":{"value":"#f4a582"},"line_width":{"value":3},"x0":{"field":"x"},"x1":{"field":"xm01"},"y0":{"field":"y"},"y1":{"field":"ym01"}},"id":"9db459c3-d844-48a5-8109-f9bf95c1d390","type":"Segment"},{"attributes":{"plot":{"id":"1b72bbd5-a9f3-4aa5-8e11-c3f967b85f09","type":"Plot"},"ticker":{"id":"e7a59671-f0d5-483e-b4ad-d70bc5796a85","type":"BasicTicker"}},"id":"d04a845a-b71f-4f03-8625-82c53fd58827","type":"Grid"},{"attributes":{},"id":"7bb5169e-c526-4d9b-9b16-e997a58085a6","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"98d2475d-a030-4cc4-9a64-9af25fb73bf6","type":"ColumnDataSource"},"glyph":{"id":"9db459c3-d844-48a5-8109-f9bf95c1d390","type":"Segment"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"9f27ec1d-81e2-4412-8af0-9a1525a05e77","type":"CDSView"}},"id":"35538c88-6e73-4574-ab94-05e34551299b","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"5da59850-c8a1-4eaf-869e-fab5ee326e1f","type":"DataRange1d"}],"root_ids":["1b72bbd5-a9f3-4aa5-8e11-c3f967b85f09"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"9c5d7612-4a8c-48bd-94be-fde7502c1416","elementid":"47e64203-1025-460b-9eea-621715d17f49","modelid":"1b72bbd5-a9f3-4aa5-8e11-c3f967b85f09"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
