(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("c5906431-8c20-49c4-b82c-83741e308e82");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'c5906431-8c20-49c4-b82c-83741e308e82' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"60506033-2bdb-47b9-9a7f-d049ff8179d9":{"roots":{"references":[{"attributes":{"plot":{"id":"e8433014-bf5e-467f-a7a4-06559c262a3b","type":"Plot"},"ticker":{"id":"f3966398-7ae3-4475-8b7f-64e86affee38","type":"BasicTicker"}},"id":"9f9270de-15bf-4493-ade1-27d4c9ebeec6","type":"Grid"},{"attributes":{"formatter":{"id":"4e1067ca-5933-48f4-b8d6-20da50ea0eef","type":"BasicTickFormatter"},"plot":{"id":"e8433014-bf5e-467f-a7a4-06559c262a3b","type":"Plot"},"ticker":{"id":"07f09790-4358-4d6f-b6d6-752ed53ac239","type":"BasicTicker"}},"id":"84675f0f-9372-42d4-b6a0-276851df00ea","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"e43d867a-a5ee-44b9-88fb-3a4e173de635","type":"Toolbar"},{"attributes":{"below":[{"id":"ea21eda8-4a4e-4bac-bcb3-8b18d2ca4526","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"84675f0f-9372-42d4-b6a0-276851df00ea","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"cb30a488-22e4-4edf-82fc-a3c45dd10ff7","type":"GlyphRenderer"},{"id":"ea21eda8-4a4e-4bac-bcb3-8b18d2ca4526","type":"LinearAxis"},{"id":"84675f0f-9372-42d4-b6a0-276851df00ea","type":"LinearAxis"},{"id":"9f9270de-15bf-4493-ade1-27d4c9ebeec6","type":"Grid"},{"id":"8f03ffd0-1a27-4109-80dd-31562fada5c1","type":"Grid"}],"title":null,"toolbar":{"id":"e43d867a-a5ee-44b9-88fb-3a4e173de635","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"83f22d07-127a-4a3d-88ee-28d823bc1d5c","type":"DataRange1d"},"x_scale":{"id":"435cdf0e-b437-4ce2-980d-bee6f2be138b","type":"LinearScale"},"y_range":{"id":"3a1c3ada-836e-4a2d-abb3-27f5b598d148","type":"DataRange1d"},"y_scale":{"id":"43d62574-58a0-4185-9c3c-10294e66a774","type":"LinearScale"}},"id":"e8433014-bf5e-467f-a7a4-06559c262a3b","type":"Plot"},{"attributes":{},"id":"7c2e7606-fef9-4c16-889b-14419e856d26","type":"BasicTickFormatter"},{"attributes":{},"id":"f3966398-7ae3-4475-8b7f-64e86affee38","type":"BasicTicker"},{"attributes":{"formatter":{"id":"7c2e7606-fef9-4c16-889b-14419e856d26","type":"BasicTickFormatter"},"plot":{"id":"e8433014-bf5e-467f-a7a4-06559c262a3b","type":"Plot"},"ticker":{"id":"f3966398-7ae3-4475-8b7f-64e86affee38","type":"BasicTicker"}},"id":"ea21eda8-4a4e-4bac-bcb3-8b18d2ca4526","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"e8433014-bf5e-467f-a7a4-06559c262a3b","type":"Plot"},"ticker":{"id":"07f09790-4358-4d6f-b6d6-752ed53ac239","type":"BasicTicker"}},"id":"8f03ffd0-1a27-4109-80dd-31562fada5c1","type":"Grid"},{"attributes":{},"id":"43d62574-58a0-4185-9c3c-10294e66a774","type":"LinearScale"},{"attributes":{},"id":"07f09790-4358-4d6f-b6d6-752ed53ac239","type":"BasicTicker"},{"attributes":{},"id":"435cdf0e-b437-4ce2-980d-bee6f2be138b","type":"LinearScale"},{"attributes":{"source":{"id":"96300754-dec6-48dd-9bbe-7cc09685efce","type":"ColumnDataSource"}},"id":"c721e4df-9973-4289-9bf7-f89fb1f0a186","type":"CDSView"},{"attributes":{},"id":"4e1067ca-5933-48f4-b8d6-20da50ea0eef","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"3a1c3ada-836e-4a2d-abb3-27f5b598d148","type":"DataRange1d"},{"attributes":{"callback":null},"id":"83f22d07-127a-4a3d-88ee-28d823bc1d5c","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"96300754-dec6-48dd-9bbe-7cc09685efce","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"96300754-dec6-48dd-9bbe-7cc09685efce","type":"ColumnDataSource"},"glyph":{"id":"22ad2547-5135-4309-9e40-d901cc383093","type":"Asterisk"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"c721e4df-9973-4289-9bf7-f89fb1f0a186","type":"CDSView"}},"id":"cb30a488-22e4-4edf-82fc-a3c45dd10ff7","type":"GlyphRenderer"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#f0027f"},"line_width":{"value":2},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"22ad2547-5135-4309-9e40-d901cc383093","type":"Asterisk"}],"root_ids":["e8433014-bf5e-467f-a7a4-06559c262a3b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"60506033-2bdb-47b9-9a7f-d049ff8179d9","elementid":"c5906431-8c20-49c4-b82c-83741e308e82","modelid":"e8433014-bf5e-467f-a7a4-06559c262a3b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
