(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("8ca75a4e-2f85-46c1-9849-505c0392d075");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '8ca75a4e-2f85-46c1-9849-505c0392d075' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"4852ade6-fe47-46c9-832d-cf71c1f06c9c":{"roots":{"references":[{"attributes":{"data_source":{"id":"7cb56829-6d35-4343-a6f1-c436fa5a39df","type":"ColumnDataSource"},"glyph":{"id":"4e65c772-2604-4bd1-aed7-9012199d3d0c","type":"CircleX"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"a23a9640-ac1e-4cef-827d-b4ab32861d47","type":"CDSView"}},"id":"c746828d-5759-47ae-8526-53f93950e805","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"49d00447-fd0d-4c30-91ab-f693247c3b07","type":"Plot"},"ticker":{"id":"c856acad-f144-4c8c-b15b-3be046ef46f1","type":"BasicTicker"}},"id":"9524ea9a-983a-466d-8432-763524e1a5a5","type":"Grid"},{"attributes":{"formatter":{"id":"ca274581-7bb2-4aa4-bb58-088a885e8646","type":"BasicTickFormatter"},"plot":{"id":"49d00447-fd0d-4c30-91ab-f693247c3b07","type":"Plot"},"ticker":{"id":"c856acad-f144-4c8c-b15b-3be046ef46f1","type":"BasicTicker"}},"id":"96892d08-f6ad-4fe9-949f-bd462748f225","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"49d00447-fd0d-4c30-91ab-f693247c3b07","type":"Plot"},"ticker":{"id":"fde9302b-b66f-4a75-a1f2-b2a4d7ca14ad","type":"BasicTicker"}},"id":"fde2dc24-5718-48ea-b4d4-89c6ae23f017","type":"Grid"},{"attributes":{},"id":"c856acad-f144-4c8c-b15b-3be046ef46f1","type":"BasicTicker"},{"attributes":{},"id":"cc9bd8e3-2a5a-490e-b6e7-33771ed84a90","type":"LinearScale"},{"attributes":{"formatter":{"id":"c7543dab-ed64-4b4d-9d4c-f6a422b0f62a","type":"BasicTickFormatter"},"plot":{"id":"49d00447-fd0d-4c30-91ab-f693247c3b07","type":"Plot"},"ticker":{"id":"fde9302b-b66f-4a75-a1f2-b2a4d7ca14ad","type":"BasicTicker"}},"id":"d45bbb7d-5425-406a-820f-1ba11de909bc","type":"LinearAxis"},{"attributes":{"callback":null},"id":"2fb96913-2f21-4aca-88dd-36e8b65621de","type":"DataRange1d"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#dd1c77"},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"4e65c772-2604-4bd1-aed7-9012199d3d0c","type":"CircleX"},{"attributes":{"below":[{"id":"96892d08-f6ad-4fe9-949f-bd462748f225","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"d45bbb7d-5425-406a-820f-1ba11de909bc","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"c746828d-5759-47ae-8526-53f93950e805","type":"GlyphRenderer"},{"id":"96892d08-f6ad-4fe9-949f-bd462748f225","type":"LinearAxis"},{"id":"d45bbb7d-5425-406a-820f-1ba11de909bc","type":"LinearAxis"},{"id":"9524ea9a-983a-466d-8432-763524e1a5a5","type":"Grid"},{"id":"fde2dc24-5718-48ea-b4d4-89c6ae23f017","type":"Grid"}],"title":null,"toolbar":{"id":"be55bea7-6a90-4efd-8b52-17bdf03516c1","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"7b23596b-33a9-47ba-9fcf-f413331c7d6a","type":"DataRange1d"},"x_scale":{"id":"cc9bd8e3-2a5a-490e-b6e7-33771ed84a90","type":"LinearScale"},"y_range":{"id":"2fb96913-2f21-4aca-88dd-36e8b65621de","type":"DataRange1d"},"y_scale":{"id":"a7c1d3ca-f757-421d-9f75-3de5b5871ab5","type":"LinearScale"}},"id":"49d00447-fd0d-4c30-91ab-f693247c3b07","type":"Plot"},{"attributes":{},"id":"ca274581-7bb2-4aa4-bb58-088a885e8646","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"7cb56829-6d35-4343-a6f1-c436fa5a39df","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"be55bea7-6a90-4efd-8b52-17bdf03516c1","type":"Toolbar"},{"attributes":{"source":{"id":"7cb56829-6d35-4343-a6f1-c436fa5a39df","type":"ColumnDataSource"}},"id":"a23a9640-ac1e-4cef-827d-b4ab32861d47","type":"CDSView"},{"attributes":{},"id":"fde9302b-b66f-4a75-a1f2-b2a4d7ca14ad","type":"BasicTicker"},{"attributes":{},"id":"a7c1d3ca-f757-421d-9f75-3de5b5871ab5","type":"LinearScale"},{"attributes":{"callback":null},"id":"7b23596b-33a9-47ba-9fcf-f413331c7d6a","type":"DataRange1d"},{"attributes":{},"id":"c7543dab-ed64-4b4d-9d4c-f6a422b0f62a","type":"BasicTickFormatter"}],"root_ids":["49d00447-fd0d-4c30-91ab-f693247c3b07"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"4852ade6-fe47-46c9-832d-cf71c1f06c9c","elementid":"8ca75a4e-2f85-46c1-9849-505c0392d075","modelid":"49d00447-fd0d-4c30-91ab-f693247c3b07"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
