(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("842cbbb8-ec41-4a51-a878-550d0bc304eb");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '842cbbb8-ec41-4a51-a878-550d0bc304eb' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"0698f536-684f-462d-b9e0-e3006cb1e8ed":{"roots":{"references":[{"attributes":{"plot":{"id":"f1ff407e-56cc-4fe0-9c81-c30e485edc0f","type":"Plot"},"ticker":{"id":"a5e351f1-f82d-46e9-96b4-c455bbd91e38","type":"BasicTicker"}},"id":"ddd95a4f-51cc-4809-866f-2ba60b775240","type":"Grid"},{"attributes":{},"id":"58905983-94a9-494e-a381-73b5353fbc5b","type":"BasicTicker"},{"attributes":{},"id":"c54aa7ed-8144-4458-9a96-37e7ef79305c","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"f1ff407e-56cc-4fe0-9c81-c30e485edc0f","type":"Plot"},"ticker":{"id":"58905983-94a9-494e-a381-73b5353fbc5b","type":"BasicTicker"}},"id":"9aa10bef-a8c9-46be-a477-168a299e11c7","type":"Grid"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#de2d26"},"line_width":{"value":2},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"61eed29e-a26f-4ea3-8e82-846a56bd2d93","type":"InvertedTriangle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"c8895c2c-83f5-49f4-bdad-55a924dd55c4","type":"Toolbar"},{"attributes":{},"id":"a5e351f1-f82d-46e9-96b4-c455bbd91e38","type":"BasicTicker"},{"attributes":{},"id":"7dcfc4f7-3022-4f76-b4a1-edf7700f0a48","type":"LinearScale"},{"attributes":{"source":{"id":"b65ce0ce-2e09-43a0-930b-2fd0c8f8210f","type":"ColumnDataSource"}},"id":"e0f25da6-773a-4176-822b-9c710c2f776b","type":"CDSView"},{"attributes":{"callback":null},"id":"5e93fe81-ba7c-4d5d-9843-6ec2bd23399f","type":"DataRange1d"},{"attributes":{},"id":"c3cf8be0-2a0c-4f76-8e25-4493f9cb86fb","type":"LinearScale"},{"attributes":{"callback":null},"id":"69933627-92cf-407a-bcec-88d84451cf14","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"b65ce0ce-2e09-43a0-930b-2fd0c8f8210f","type":"ColumnDataSource"},{"attributes":{},"id":"ca2c08a8-d8a6-424a-83a8-d6f583df0a1b","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"3679f165-69b7-49a2-9749-5803ad191553","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"1134a4ac-67c2-4f1a-9ff0-1c5d266a063b","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"9eac3260-fcdb-473f-af6a-8999247b5c0e","type":"GlyphRenderer"},{"id":"3679f165-69b7-49a2-9749-5803ad191553","type":"LinearAxis"},{"id":"1134a4ac-67c2-4f1a-9ff0-1c5d266a063b","type":"LinearAxis"},{"id":"ddd95a4f-51cc-4809-866f-2ba60b775240","type":"Grid"},{"id":"9aa10bef-a8c9-46be-a477-168a299e11c7","type":"Grid"}],"title":null,"toolbar":{"id":"c8895c2c-83f5-49f4-bdad-55a924dd55c4","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"69933627-92cf-407a-bcec-88d84451cf14","type":"DataRange1d"},"x_scale":{"id":"7dcfc4f7-3022-4f76-b4a1-edf7700f0a48","type":"LinearScale"},"y_range":{"id":"5e93fe81-ba7c-4d5d-9843-6ec2bd23399f","type":"DataRange1d"},"y_scale":{"id":"c3cf8be0-2a0c-4f76-8e25-4493f9cb86fb","type":"LinearScale"}},"id":"f1ff407e-56cc-4fe0-9c81-c30e485edc0f","type":"Plot"},{"attributes":{"formatter":{"id":"ca2c08a8-d8a6-424a-83a8-d6f583df0a1b","type":"BasicTickFormatter"},"plot":{"id":"f1ff407e-56cc-4fe0-9c81-c30e485edc0f","type":"Plot"},"ticker":{"id":"a5e351f1-f82d-46e9-96b4-c455bbd91e38","type":"BasicTicker"}},"id":"3679f165-69b7-49a2-9749-5803ad191553","type":"LinearAxis"},{"attributes":{"data_source":{"id":"b65ce0ce-2e09-43a0-930b-2fd0c8f8210f","type":"ColumnDataSource"},"glyph":{"id":"61eed29e-a26f-4ea3-8e82-846a56bd2d93","type":"InvertedTriangle"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"e0f25da6-773a-4176-822b-9c710c2f776b","type":"CDSView"}},"id":"9eac3260-fcdb-473f-af6a-8999247b5c0e","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"c54aa7ed-8144-4458-9a96-37e7ef79305c","type":"BasicTickFormatter"},"plot":{"id":"f1ff407e-56cc-4fe0-9c81-c30e485edc0f","type":"Plot"},"ticker":{"id":"58905983-94a9-494e-a381-73b5353fbc5b","type":"BasicTicker"}},"id":"1134a4ac-67c2-4f1a-9ff0-1c5d266a063b","type":"LinearAxis"}],"root_ids":["f1ff407e-56cc-4fe0-9c81-c30e485edc0f"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"0698f536-684f-462d-b9e0-e3006cb1e8ed","elementid":"842cbbb8-ec41-4a51-a878-550d0bc304eb","modelid":"f1ff407e-56cc-4fe0-9c81-c30e485edc0f"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
