(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("077c617e-b439-4bfd-b1a9-92929dafd5ca");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '077c617e-b439-4bfd-b1a9-92929dafd5ca' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"6ab98fe7-2277-4c83-932a-1fcc21010a5c":{"roots":{"references":[{"attributes":{"below":[{"id":"e7aca44e-1ba1-40cb-a274-b1d88c737c50","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"b57d3ed2-22c1-4b18-bc75-0987fcc9752d","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"0790c495-393d-48c8-8d86-042920de55bc","type":"GlyphRenderer"},{"id":"e7aca44e-1ba1-40cb-a274-b1d88c737c50","type":"LinearAxis"},{"id":"b57d3ed2-22c1-4b18-bc75-0987fcc9752d","type":"LinearAxis"},{"id":"e2694132-a241-48fe-b2ce-4afcb6781d30","type":"Grid"},{"id":"aa8ecfdf-4a9d-4590-9f5a-f7e3d2122dcc","type":"Grid"}],"title":null,"toolbar":{"id":"a16645fb-8649-4dfe-976f-5cdd693d0c57","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"27d61699-002f-4e2d-b96e-3221979ed692","type":"DataRange1d"},"x_scale":{"id":"a16b3d61-76eb-43cf-95f5-d423fa68c23a","type":"LinearScale"},"y_range":{"id":"f346cf3a-8b6e-48f9-b70e-b6bf95878cde","type":"DataRange1d"},"y_scale":{"id":"ad3a4efb-1ac7-460d-837f-357d39a00ad3","type":"LinearScale"}},"id":"a52f1dd4-8867-4374-bc82-2e0063dd8681","type":"Plot"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"44426a22-1987-4ae1-ac0a-233a8509352c","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"f346cf3a-8b6e-48f9-b70e-b6bf95878cde","type":"DataRange1d"},{"attributes":{"data_source":{"id":"44426a22-1987-4ae1-ac0a-233a8509352c","type":"ColumnDataSource"},"glyph":{"id":"f769dbda-0590-4ef5-a753-2d3afa55dacb","type":"Square"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"c228c344-d659-4e78-bc28-6032cfec966e","type":"CDSView"}},"id":"0790c495-393d-48c8-8d86-042920de55bc","type":"GlyphRenderer"},{"attributes":{},"id":"a16b3d61-76eb-43cf-95f5-d423fa68c23a","type":"LinearScale"},{"attributes":{},"id":"201a8965-4fa1-4356-8e03-d108c716b7f2","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"a16645fb-8649-4dfe-976f-5cdd693d0c57","type":"Toolbar"},{"attributes":{},"id":"ea1c49e5-f722-409d-8865-4a31ce190f03","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"ea1c49e5-f722-409d-8865-4a31ce190f03","type":"BasicTickFormatter"},"plot":{"id":"a52f1dd4-8867-4374-bc82-2e0063dd8681","type":"Plot"},"ticker":{"id":"e401e633-08ff-499d-86c8-ae3469108e79","type":"BasicTicker"}},"id":"e7aca44e-1ba1-40cb-a274-b1d88c737c50","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"#74add1"},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"f769dbda-0590-4ef5-a753-2d3afa55dacb","type":"Square"},{"attributes":{},"id":"e401e633-08ff-499d-86c8-ae3469108e79","type":"BasicTicker"},{"attributes":{"plot":{"id":"a52f1dd4-8867-4374-bc82-2e0063dd8681","type":"Plot"},"ticker":{"id":"e401e633-08ff-499d-86c8-ae3469108e79","type":"BasicTicker"}},"id":"e2694132-a241-48fe-b2ce-4afcb6781d30","type":"Grid"},{"attributes":{"source":{"id":"44426a22-1987-4ae1-ac0a-233a8509352c","type":"ColumnDataSource"}},"id":"c228c344-d659-4e78-bc28-6032cfec966e","type":"CDSView"},{"attributes":{},"id":"ad3a4efb-1ac7-460d-837f-357d39a00ad3","type":"LinearScale"},{"attributes":{"formatter":{"id":"34433d03-d9be-4982-a744-85b47e615f2e","type":"BasicTickFormatter"},"plot":{"id":"a52f1dd4-8867-4374-bc82-2e0063dd8681","type":"Plot"},"ticker":{"id":"201a8965-4fa1-4356-8e03-d108c716b7f2","type":"BasicTicker"}},"id":"b57d3ed2-22c1-4b18-bc75-0987fcc9752d","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"a52f1dd4-8867-4374-bc82-2e0063dd8681","type":"Plot"},"ticker":{"id":"201a8965-4fa1-4356-8e03-d108c716b7f2","type":"BasicTicker"}},"id":"aa8ecfdf-4a9d-4590-9f5a-f7e3d2122dcc","type":"Grid"},{"attributes":{"callback":null},"id":"27d61699-002f-4e2d-b96e-3221979ed692","type":"DataRange1d"},{"attributes":{},"id":"34433d03-d9be-4982-a744-85b47e615f2e","type":"BasicTickFormatter"}],"root_ids":["a52f1dd4-8867-4374-bc82-2e0063dd8681"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"6ab98fe7-2277-4c83-932a-1fcc21010a5c","elementid":"077c617e-b439-4bfd-b1a9-92929dafd5ca","modelid":"a52f1dd4-8867-4374-bc82-2e0063dd8681"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
