(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("6a9d8a16-21e1-4dc2-9eb8-d0c0a6e15898");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '6a9d8a16-21e1-4dc2-9eb8-d0c0a6e15898' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"4bc382b2-be58-4921-bd58-85d50a46c6dc":{"roots":{"references":[{"attributes":{},"id":"4ccfe450-3d1f-4698-8986-6bed729c23f3","type":"LinearScale"},{"attributes":{"plot":{"id":"b944b0f6-96cf-4ba9-a919-36d489e9d881","type":"Plot"},"ticker":{"id":"96fd5f2a-16fc-4de8-abdc-1cfd5653455c","type":"BasicTicker"}},"id":"afbb264d-de71-402a-9475-9c1c936cbc41","type":"Grid"},{"attributes":{"below":[{"id":"d10c6312-2e48-4ba0-afa6-fdd1d95fdd9c","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"b64fea44-c959-42a6-8754-25aea1ad3b94","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"96f567d0-0a19-4543-9986-496abd271902","type":"GlyphRenderer"},{"id":"d10c6312-2e48-4ba0-afa6-fdd1d95fdd9c","type":"LinearAxis"},{"id":"b64fea44-c959-42a6-8754-25aea1ad3b94","type":"LinearAxis"},{"id":"afbb264d-de71-402a-9475-9c1c936cbc41","type":"Grid"},{"id":"68b79730-098b-4a24-96aa-f50730803fb0","type":"Grid"}],"title":null,"toolbar":{"id":"a8f78376-4eeb-4976-acc6-183a2209c154","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"29a0a306-7c8a-4a78-b04f-98c4a4b2b349","type":"DataRange1d"},"x_scale":{"id":"4ccfe450-3d1f-4698-8986-6bed729c23f3","type":"LinearScale"},"y_range":{"id":"28bdd16a-f224-411a-ad14-36ac3f71e221","type":"DataRange1d"},"y_scale":{"id":"3748f579-c752-49ad-9ef7-067ca2294c81","type":"LinearScale"}},"id":"b944b0f6-96cf-4ba9-a919-36d489e9d881","type":"Plot"},{"attributes":{"callback":null},"id":"28bdd16a-f224-411a-ad14-36ac3f71e221","type":"DataRange1d"},{"attributes":{},"id":"cce30e99-9242-4df8-9179-cb7d9507cfbc","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"29a0a306-7c8a-4a78-b04f-98c4a4b2b349","type":"DataRange1d"},{"attributes":{},"id":"3748f579-c752-49ad-9ef7-067ca2294c81","type":"LinearScale"},{"attributes":{"formatter":{"id":"7a85db0e-c233-488d-ae25-11328b7a6289","type":"BasicTickFormatter"},"plot":{"id":"b944b0f6-96cf-4ba9-a919-36d489e9d881","type":"Plot"},"ticker":{"id":"96fd5f2a-16fc-4de8-abdc-1cfd5653455c","type":"BasicTicker"}},"id":"d10c6312-2e48-4ba0-afa6-fdd1d95fdd9c","type":"LinearAxis"},{"attributes":{},"id":"96fd5f2a-16fc-4de8-abdc-1cfd5653455c","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"a8f78376-4eeb-4976-acc6-183a2209c154","type":"Toolbar"},{"attributes":{"formatter":{"id":"cce30e99-9242-4df8-9179-cb7d9507cfbc","type":"BasicTickFormatter"},"plot":{"id":"b944b0f6-96cf-4ba9-a919-36d489e9d881","type":"Plot"},"ticker":{"id":"1cf8d89d-fa07-40ef-8eaa-f7cb6fe33ae6","type":"BasicTicker"}},"id":"b64fea44-c959-42a6-8754-25aea1ad3b94","type":"LinearAxis"},{"attributes":{"data_source":{"id":"4c1a7930-1958-427f-9a53-8f725b318f53","type":"ColumnDataSource"},"glyph":{"id":"c7e40549-3e69-4227-8f39-de4572bf0c3f","type":"SquareCross"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"63f6d776-dee6-48a8-ab6d-1417830bfaa2","type":"CDSView"}},"id":"96f567d0-0a19-4543-9986-496abd271902","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"4c1a7930-1958-427f-9a53-8f725b318f53","type":"ColumnDataSource"},{"attributes":{"source":{"id":"4c1a7930-1958-427f-9a53-8f725b318f53","type":"ColumnDataSource"}},"id":"63f6d776-dee6-48a8-ab6d-1417830bfaa2","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"b944b0f6-96cf-4ba9-a919-36d489e9d881","type":"Plot"},"ticker":{"id":"1cf8d89d-fa07-40ef-8eaa-f7cb6fe33ae6","type":"BasicTicker"}},"id":"68b79730-098b-4a24-96aa-f50730803fb0","type":"Grid"},{"attributes":{},"id":"1cf8d89d-fa07-40ef-8eaa-f7cb6fe33ae6","type":"BasicTicker"},{"attributes":{},"id":"7a85db0e-c233-488d-ae25-11328b7a6289","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#7fc97f"},"line_width":{"value":2},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"c7e40549-3e69-4227-8f39-de4572bf0c3f","type":"SquareCross"}],"root_ids":["b944b0f6-96cf-4ba9-a919-36d489e9d881"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"4bc382b2-be58-4921-bd58-85d50a46c6dc","elementid":"6a9d8a16-21e1-4dc2-9eb8-d0c0a6e15898","modelid":"b944b0f6-96cf-4ba9-a919-36d489e9d881"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
