(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("12000fc6-2a4a-4493-bb41-ba6cb7207723");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '12000fc6-2a4a-4493-bb41-ba6cb7207723' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"66d47213-4a14-4409-a34a-3fcf36201600":{"roots":{"references":[{"attributes":{"callback":null},"id":"b1deb702-431b-4c17-88ed-5f7b136663dc","type":"DataRange1d"},{"attributes":{"overlay":{"id":"be51ceae-5b76-4246-bba8-3544716ba42a","type":"BoxAnnotation"}},"id":"b825320b-cd04-4ac2-a689-cff3a928c48b","type":"BoxZoomTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"b6e365cd-b0b9-4715-8ebc-89b5e499f895","type":"Circle"},{"attributes":{"plot":null,"text":""},"id":"35e6c2d4-aee2-4b69-8ae8-e68f6bcd0673","type":"Title"},{"attributes":{},"id":"15c9c650-bb32-4626-9200-495edd2f461f","type":"BasicTicker"},{"attributes":{"callback":null},"id":"97ace7a0-af4e-463b-bd0a-645c4593b965","type":"DataRange1d"},{"attributes":{"overlay":{"id":"5108865d-ff1b-458c-9744-232ae55817a5","type":"BoxAnnotation"}},"id":"d81cf257-6de1-485a-b06a-e631960f0093","type":"BoxZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"b5425ba6-9405-4c66-89c3-675ad83ed678","type":"ColumnDataSource"},{"attributes":{},"id":"ecf79892-8eab-49ab-ba6f-b14f48b46bdf","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"be51ceae-5b76-4246-bba8-3544716ba42a","type":"BoxAnnotation"},{"attributes":{"child":{"id":"f3b8fc3c-4db2-4bc1-9f1d-27c1874243da","subtype":"Figure","type":"Plot"},"title":"line"},"id":"7f1eaa67-ca79-48ff-a075-a426e55e4058","type":"Panel"},{"attributes":{},"id":"c7ef0c8e-759c-4413-8ecc-6d85c1881eda","type":"PanTool"},{"attributes":{},"id":"f9d159dc-eaad-4ab2-a244-b9f45fbeb96f","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c7ef0c8e-759c-4413-8ecc-6d85c1881eda","type":"PanTool"},{"id":"0bd2f710-01f8-4a3e-9f4b-23d2f75c99ac","type":"WheelZoomTool"},{"id":"d81cf257-6de1-485a-b06a-e631960f0093","type":"BoxZoomTool"},{"id":"424b6ae5-aa42-48b9-851c-ef597302f761","type":"SaveTool"},{"id":"fbf72a54-45a6-40fe-bf41-dab075dbf01e","type":"ResetTool"},{"id":"c738f404-bad8-491d-8c44-9b09ea1d2a11","type":"HelpTool"}]},"id":"57d53496-89df-4c10-bc28-e852a53378b5","type":"Toolbar"},{"attributes":{},"id":"f13d9e2d-3986-4ca8-95c7-262cf4facd5d","type":"HelpTool"},{"attributes":{},"id":"6cf12137-0792-4738-bb20-6969a69c38b2","type":"BasicTickFormatter"},{"attributes":{},"id":"fbf72a54-45a6-40fe-bf41-dab075dbf01e","type":"ResetTool"},{"attributes":{},"id":"3ed8c34a-4a25-4238-9590-4159d98b97be","type":"LinearScale"},{"attributes":{"callback":null},"id":"d0304829-6aec-46dc-bd1c-769219f017dd","type":"DataRange1d"},{"attributes":{"callback":null,"tabs":[{"id":"d65a675a-df30-4fd5-8260-b5898387cb81","type":"Panel"},{"id":"7f1eaa67-ca79-48ff-a075-a426e55e4058","type":"Panel"}]},"id":"565f5465-5640-4986-b2a6-83d67f50a52a","type":"Tabs"},{"attributes":{},"id":"424b6ae5-aa42-48b9-851c-ef597302f761","type":"SaveTool"},{"attributes":{},"id":"98291619-5eef-4c42-a151-7cb0743da3f4","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"c3614045-c7a0-4c00-9405-937d0b1c5e46","subtype":"Figure","type":"Plot"},"ticker":{"id":"f9d159dc-eaad-4ab2-a244-b9f45fbeb96f","type":"BasicTicker"}},"id":"faa25a95-28a3-4aca-9c52-294d2b358a26","type":"Grid"},{"attributes":{},"id":"5e6c079c-554c-4084-88d3-e8ca7ecbde82","type":"ResetTool"},{"attributes":{},"id":"c738f404-bad8-491d-8c44-9b09ea1d2a11","type":"HelpTool"},{"attributes":{},"id":"5c4a78a5-d689-46b2-8b11-583e6ce1b8be","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"c3614045-c7a0-4c00-9405-937d0b1c5e46","subtype":"Figure","type":"Plot"},"ticker":{"id":"ecf79892-8eab-49ab-ba6f-b14f48b46bdf","type":"BasicTicker"}},"id":"04d74e4e-bdd5-4afd-adb9-550882de7601","type":"Grid"},{"attributes":{},"id":"5afbb1d0-d132-4345-8e05-ce5dfb880c21","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"5c4a78a5-d689-46b2-8b11-583e6ce1b8be","type":"BasicTickFormatter"},"plot":{"id":"c3614045-c7a0-4c00-9405-937d0b1c5e46","subtype":"Figure","type":"Plot"},"ticker":{"id":"ecf79892-8eab-49ab-ba6f-b14f48b46bdf","type":"BasicTicker"}},"id":"367e9e75-7656-452f-a6e3-13ac41e63e46","type":"LinearAxis"},{"attributes":{},"id":"0bd2f710-01f8-4a3e-9f4b-23d2f75c99ac","type":"WheelZoomTool"},{"attributes":{"below":[{"id":"367e9e75-7656-452f-a6e3-13ac41e63e46","type":"LinearAxis"}],"left":[{"id":"79356790-959f-41df-a4e5-a766f998fb1b","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"367e9e75-7656-452f-a6e3-13ac41e63e46","type":"LinearAxis"},{"id":"04d74e4e-bdd5-4afd-adb9-550882de7601","type":"Grid"},{"id":"79356790-959f-41df-a4e5-a766f998fb1b","type":"LinearAxis"},{"id":"faa25a95-28a3-4aca-9c52-294d2b358a26","type":"Grid"},{"id":"5108865d-ff1b-458c-9744-232ae55817a5","type":"BoxAnnotation"},{"id":"55c3f2fc-682d-461d-be2a-87b01c25f4d9","type":"GlyphRenderer"}],"title":{"id":"a1ae4658-2176-47d5-8c35-043a7f8f9b62","type":"Title"},"toolbar":{"id":"57d53496-89df-4c10-bc28-e852a53378b5","type":"Toolbar"},"x_range":{"id":"b1deb702-431b-4c17-88ed-5f7b136663dc","type":"DataRange1d"},"x_scale":{"id":"66ff45e9-bda8-4991-ba4e-cd5f5031b1f7","type":"LinearScale"},"y_range":{"id":"77ccefce-e7ee-4cd7-b89c-628d214553f4","type":"DataRange1d"},"y_scale":{"id":"82e27d4f-d716-4cba-bd8b-367f082f2f53","type":"LinearScale"}},"id":"c3614045-c7a0-4c00-9405-937d0b1c5e46","subtype":"Figure","type":"Plot"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"5108865d-ff1b-458c-9744-232ae55817a5","type":"BoxAnnotation"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"cabf68ff-d3e7-46dc-8460-ba1bfc413898","type":"ColumnDataSource"},{"attributes":{"below":[{"id":"5e1f636d-2787-453a-9b77-a7aa536ab175","type":"LinearAxis"}],"left":[{"id":"9d5e81d7-1af2-47b8-9002-ad183610420f","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"5e1f636d-2787-453a-9b77-a7aa536ab175","type":"LinearAxis"},{"id":"dfaf11c7-0fac-45d5-af66-4d62f5f98173","type":"Grid"},{"id":"9d5e81d7-1af2-47b8-9002-ad183610420f","type":"LinearAxis"},{"id":"c1a39551-31ea-4438-833c-a6e32feae214","type":"Grid"},{"id":"be51ceae-5b76-4246-bba8-3544716ba42a","type":"BoxAnnotation"},{"id":"17c90951-b853-494f-bbc6-54b1cbbfa495","type":"GlyphRenderer"}],"title":{"id":"35e6c2d4-aee2-4b69-8ae8-e68f6bcd0673","type":"Title"},"toolbar":{"id":"dde7f7aa-8fc9-4087-adb1-a5f6581c2740","type":"Toolbar"},"x_range":{"id":"d0304829-6aec-46dc-bd1c-769219f017dd","type":"DataRange1d"},"x_scale":{"id":"3ed8c34a-4a25-4238-9590-4159d98b97be","type":"LinearScale"},"y_range":{"id":"97ace7a0-af4e-463b-bd0a-645c4593b965","type":"DataRange1d"},"y_scale":{"id":"dec66939-0502-4ecb-8ee9-f20fd4fda36b","type":"LinearScale"}},"id":"f3b8fc3c-4db2-4bc1-9f1d-27c1874243da","subtype":"Figure","type":"Plot"},{"attributes":{"data_source":{"id":"b5425ba6-9405-4c66-89c3-675ad83ed678","type":"ColumnDataSource"},"glyph":{"id":"bcb177eb-fff2-4ea3-aec2-91fb984fcc87","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a3c24a85-5fa0-4f81-9c31-c67b4da4e2b5","type":"Line"},"selection_glyph":null,"view":{"id":"99e9816d-aacd-4b90-aa13-362238fa5ec9","type":"CDSView"}},"id":"17c90951-b853-494f-bbc6-54b1cbbfa495","type":"GlyphRenderer"},{"attributes":{"source":{"id":"b5425ba6-9405-4c66-89c3-675ad83ed678","type":"ColumnDataSource"}},"id":"99e9816d-aacd-4b90-aa13-362238fa5ec9","type":"CDSView"},{"attributes":{"child":{"id":"c3614045-c7a0-4c00-9405-937d0b1c5e46","subtype":"Figure","type":"Plot"},"title":"circle"},"id":"d65a675a-df30-4fd5-8260-b5898387cb81","type":"Panel"},{"attributes":{"callback":null},"id":"77ccefce-e7ee-4cd7-b89c-628d214553f4","type":"DataRange1d"},{"attributes":{"plot":null,"text":""},"id":"a1ae4658-2176-47d5-8c35-043a7f8f9b62","type":"Title"},{"attributes":{},"id":"a7663f61-6259-4285-b95a-f6eda86a5c1e","type":"PanTool"},{"attributes":{"dimension":1,"plot":{"id":"f3b8fc3c-4db2-4bc1-9f1d-27c1874243da","subtype":"Figure","type":"Plot"},"ticker":{"id":"15c9c650-bb32-4626-9200-495edd2f461f","type":"BasicTicker"}},"id":"c1a39551-31ea-4438-833c-a6e32feae214","type":"Grid"},{"attributes":{"formatter":{"id":"5f543c32-0715-4467-b7c3-bb86d88e75bc","type":"BasicTickFormatter"},"plot":{"id":"f3b8fc3c-4db2-4bc1-9f1d-27c1874243da","subtype":"Figure","type":"Plot"},"ticker":{"id":"15c9c650-bb32-4626-9200-495edd2f461f","type":"BasicTicker"}},"id":"9d5e81d7-1af2-47b8-9002-ad183610420f","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"navy"},"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"b78f0a53-58f5-4725-8598-d3061dccad06","type":"Circle"},{"attributes":{},"id":"82e27d4f-d716-4cba-bd8b-367f082f2f53","type":"LinearScale"},{"attributes":{},"id":"dec66939-0502-4ecb-8ee9-f20fd4fda36b","type":"LinearScale"},{"attributes":{"source":{"id":"cabf68ff-d3e7-46dc-8460-ba1bfc413898","type":"ColumnDataSource"}},"id":"7604d9ac-fe0f-4e63-9dfc-799a47b52ba2","type":"CDSView"},{"attributes":{},"id":"f3020286-9881-4c6a-ad6d-751ef416ae2f","type":"BasicTicker"},{"attributes":{},"id":"5f543c32-0715-4467-b7c3-bb86d88e75bc","type":"BasicTickFormatter"},{"attributes":{},"id":"66ff45e9-bda8-4991-ba4e-cd5f5031b1f7","type":"LinearScale"},{"attributes":{"formatter":{"id":"98291619-5eef-4c42-a151-7cb0743da3f4","type":"BasicTickFormatter"},"plot":{"id":"c3614045-c7a0-4c00-9405-937d0b1c5e46","subtype":"Figure","type":"Plot"},"ticker":{"id":"f9d159dc-eaad-4ab2-a244-b9f45fbeb96f","type":"BasicTicker"}},"id":"79356790-959f-41df-a4e5-a766f998fb1b","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"a7663f61-6259-4285-b95a-f6eda86a5c1e","type":"PanTool"},{"id":"5afbb1d0-d132-4345-8e05-ce5dfb880c21","type":"WheelZoomTool"},{"id":"b825320b-cd04-4ac2-a689-cff3a928c48b","type":"BoxZoomTool"},{"id":"874dfcad-d887-42f9-bfdb-e727270e063f","type":"SaveTool"},{"id":"5e6c079c-554c-4084-88d3-e8ca7ecbde82","type":"ResetTool"},{"id":"f13d9e2d-3986-4ca8-95c7-262cf4facd5d","type":"HelpTool"}]},"id":"dde7f7aa-8fc9-4087-adb1-a5f6581c2740","type":"Toolbar"},{"attributes":{"data_source":{"id":"cabf68ff-d3e7-46dc-8460-ba1bfc413898","type":"ColumnDataSource"},"glyph":{"id":"b78f0a53-58f5-4725-8598-d3061dccad06","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b6e365cd-b0b9-4715-8ebc-89b5e499f895","type":"Circle"},"selection_glyph":null,"view":{"id":"7604d9ac-fe0f-4e63-9dfc-799a47b52ba2","type":"CDSView"}},"id":"55c3f2fc-682d-461d-be2a-87b01c25f4d9","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"6cf12137-0792-4738-bb20-6969a69c38b2","type":"BasicTickFormatter"},"plot":{"id":"f3b8fc3c-4db2-4bc1-9f1d-27c1874243da","subtype":"Figure","type":"Plot"},"ticker":{"id":"f3020286-9881-4c6a-ad6d-751ef416ae2f","type":"BasicTicker"}},"id":"5e1f636d-2787-453a-9b77-a7aa536ab175","type":"LinearAxis"},{"attributes":{"plot":{"id":"f3b8fc3c-4db2-4bc1-9f1d-27c1874243da","subtype":"Figure","type":"Plot"},"ticker":{"id":"f3020286-9881-4c6a-ad6d-751ef416ae2f","type":"BasicTicker"}},"id":"dfaf11c7-0fac-45d5-af66-4d62f5f98173","type":"Grid"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"a3c24a85-5fa0-4f81-9c31-c67b4da4e2b5","type":"Line"},{"attributes":{},"id":"874dfcad-d887-42f9-bfdb-e727270e063f","type":"SaveTool"},{"attributes":{"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"bcb177eb-fff2-4ea3-aec2-91fb984fcc87","type":"Line"}],"root_ids":["565f5465-5640-4986-b2a6-83d67f50a52a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"66d47213-4a14-4409-a34a-3fcf36201600","elementid":"12000fc6-2a4a-4493-bb41-ba6cb7207723","modelid":"565f5465-5640-4986-b2a6-83d67f50a52a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
