(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("677cd6c1-7f3f-4e8a-b312-45ec014fa12c");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '677cd6c1-7f3f-4e8a-b312-45ec014fa12c' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"93e0d9e0-17c3-4980-918d-8160de486355":{"roots":{"references":[{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"b6e3fe2d-258f-496a-a465-ff01027a925a","type":"BoxAnnotation"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"8b756a2d-b79e-476e-9378-fb33a811a512","type":"ColumnDataSource"},{"attributes":{"plot":null,"text":""},"id":"70e9eadf-733e-456d-b45a-1c26884bac57","type":"Title"},{"attributes":{"callback":null},"id":"9601ce59-cfac-48a3-ad91-8ae7d9f1d16e","type":"DataRange1d"},{"attributes":{},"id":"64a51888-f7c8-40f8-8d7f-39769328bced","type":"PanTool"},{"attributes":{},"id":"f347b6e1-4661-4baa-8bcb-163c72d992b3","type":"LinearScale"},{"attributes":{"formatter":{"id":"764f6871-25c6-49aa-9cd3-b15e985dc6f5","type":"BasicTickFormatter"},"plot":{"id":"868b9386-e67e-4c0c-a92c-09982039b8d5","subtype":"Figure","type":"Plot"},"ticker":{"id":"4f47ffa8-ebeb-422d-8bc6-7541aba733cd","type":"BasicTicker"}},"id":"bf064c4e-4a48-407b-935d-5b12bb879700","type":"LinearAxis"},{"attributes":{"plot":{"id":"868b9386-e67e-4c0c-a92c-09982039b8d5","subtype":"Figure","type":"Plot"},"ticker":{"id":"4f47ffa8-ebeb-422d-8bc6-7541aba733cd","type":"BasicTicker"}},"id":"83bb3a73-fe58-41b4-b04f-e9335a6086b5","type":"Grid"},{"attributes":{},"id":"a4466329-b507-489e-b05b-b8fc89e6b472","type":"BasicTickFormatter"},{"attributes":{},"id":"6d3bd424-79e5-4da5-b241-459be235584e","type":"BasicTicker"},{"attributes":{},"id":"764f6871-25c6-49aa-9cd3-b15e985dc6f5","type":"BasicTickFormatter"},{"attributes":{},"id":"d09c3412-cf03-42bc-9cad-a6f6b93ec6a0","type":"SaveTool"},{"attributes":{"fill_color":{"value":"#F0027F"},"line_color":{"value":"#F0027F"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"1174eb98-0161-4070-a646-4d94231efab3","type":"Asterisk"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"d4df377d-f96c-48db-8c7c-9e05b6c31b68","type":"Asterisk"},{"attributes":{},"id":"44f39c76-fd29-4607-9d06-5a3162a9437d","type":"LinearScale"},{"attributes":{},"id":"298d04e5-2b62-4516-9a65-df74a2841c7a","type":"HelpTool"},{"attributes":{"data_source":{"id":"8b756a2d-b79e-476e-9378-fb33a811a512","type":"ColumnDataSource"},"glyph":{"id":"1174eb98-0161-4070-a646-4d94231efab3","type":"Asterisk"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"d4df377d-f96c-48db-8c7c-9e05b6c31b68","type":"Asterisk"},"selection_glyph":null,"view":{"id":"5846d927-2ce8-4e77-a310-4328a2a69643","type":"CDSView"}},"id":"c7788e6d-42a4-4573-a73e-f264ff224b68","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"a4466329-b507-489e-b05b-b8fc89e6b472","type":"BasicTickFormatter"},"plot":{"id":"868b9386-e67e-4c0c-a92c-09982039b8d5","subtype":"Figure","type":"Plot"},"ticker":{"id":"6d3bd424-79e5-4da5-b241-459be235584e","type":"BasicTicker"}},"id":"02da5b80-0d09-4f49-aa16-4ab3fce39463","type":"LinearAxis"},{"attributes":{},"id":"464242a0-7395-4ffc-b358-e2c972b4abe0","type":"ResetTool"},{"attributes":{"dimension":1,"plot":{"id":"868b9386-e67e-4c0c-a92c-09982039b8d5","subtype":"Figure","type":"Plot"},"ticker":{"id":"6d3bd424-79e5-4da5-b241-459be235584e","type":"BasicTicker"}},"id":"ee36cabe-5523-4d09-bb6a-57795f5e0e4c","type":"Grid"},{"attributes":{},"id":"4f47ffa8-ebeb-422d-8bc6-7541aba733cd","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"64a51888-f7c8-40f8-8d7f-39769328bced","type":"PanTool"},{"id":"d6043bb6-67d3-4846-8fd6-46b044412a95","type":"WheelZoomTool"},{"id":"735a04ac-ab6d-4699-9a8b-098e3866388e","type":"BoxZoomTool"},{"id":"d09c3412-cf03-42bc-9cad-a6f6b93ec6a0","type":"SaveTool"},{"id":"464242a0-7395-4ffc-b358-e2c972b4abe0","type":"ResetTool"},{"id":"298d04e5-2b62-4516-9a65-df74a2841c7a","type":"HelpTool"}]},"id":"7ab3d9f5-377e-4cc0-8643-3d54a3e09b24","type":"Toolbar"},{"attributes":{"below":[{"id":"bf064c4e-4a48-407b-935d-5b12bb879700","type":"LinearAxis"}],"left":[{"id":"02da5b80-0d09-4f49-aa16-4ab3fce39463","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"bf064c4e-4a48-407b-935d-5b12bb879700","type":"LinearAxis"},{"id":"83bb3a73-fe58-41b4-b04f-e9335a6086b5","type":"Grid"},{"id":"02da5b80-0d09-4f49-aa16-4ab3fce39463","type":"LinearAxis"},{"id":"ee36cabe-5523-4d09-bb6a-57795f5e0e4c","type":"Grid"},{"id":"b6e3fe2d-258f-496a-a465-ff01027a925a","type":"BoxAnnotation"},{"id":"c7788e6d-42a4-4573-a73e-f264ff224b68","type":"GlyphRenderer"}],"title":{"id":"70e9eadf-733e-456d-b45a-1c26884bac57","type":"Title"},"toolbar":{"id":"7ab3d9f5-377e-4cc0-8643-3d54a3e09b24","type":"Toolbar"},"x_range":{"id":"708d2633-c031-43c0-a744-39961c7f08ab","type":"DataRange1d"},"x_scale":{"id":"44f39c76-fd29-4607-9d06-5a3162a9437d","type":"LinearScale"},"y_range":{"id":"9601ce59-cfac-48a3-ad91-8ae7d9f1d16e","type":"DataRange1d"},"y_scale":{"id":"f347b6e1-4661-4baa-8bcb-163c72d992b3","type":"LinearScale"}},"id":"868b9386-e67e-4c0c-a92c-09982039b8d5","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"708d2633-c031-43c0-a744-39961c7f08ab","type":"DataRange1d"},{"attributes":{"overlay":{"id":"b6e3fe2d-258f-496a-a465-ff01027a925a","type":"BoxAnnotation"}},"id":"735a04ac-ab6d-4699-9a8b-098e3866388e","type":"BoxZoomTool"},{"attributes":{"source":{"id":"8b756a2d-b79e-476e-9378-fb33a811a512","type":"ColumnDataSource"}},"id":"5846d927-2ce8-4e77-a310-4328a2a69643","type":"CDSView"},{"attributes":{},"id":"d6043bb6-67d3-4846-8fd6-46b044412a95","type":"WheelZoomTool"}],"root_ids":["868b9386-e67e-4c0c-a92c-09982039b8d5"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"93e0d9e0-17c3-4980-918d-8160de486355","elementid":"677cd6c1-7f3f-4e8a-b312-45ec014fa12c","modelid":"868b9386-e67e-4c0c-a92c-09982039b8d5"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
