(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b4f73332-da9c-40a6-9713-bd3e9bb1eb57");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b4f73332-da9c-40a6-9713-bd3e9bb1eb57' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"247f92e3-e745-4b91-9126-d8fcedac7e5e":{"roots":{"references":[{"attributes":{},"id":"a90175ff-2477-43f0-9a66-5e11d6e12149","type":"SaveTool"},{"attributes":{"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"e96fd84c-9819-40b2-b036-4942669d0684","type":"Line"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"5883919d-e8b6-478d-a74f-3c3d92348275","type":"Line"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"94640174-0c7f-4758-8207-62179c856bd0","type":"ColumnDataSource"},{"attributes":{"below":[{"id":"1507f727-a9a6-4fc4-ba47-a61747bf7763","type":"LinearAxis"}],"left":[{"id":"436fb9f9-2026-433b-ba5b-825b932a821d","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"1507f727-a9a6-4fc4-ba47-a61747bf7763","type":"LinearAxis"},{"id":"2c30e983-8072-4b80-ac9d-b06804852d07","type":"Grid"},{"id":"436fb9f9-2026-433b-ba5b-825b932a821d","type":"LinearAxis"},{"id":"2fed697d-9eb4-4513-8c36-aff9ce0b5ac4","type":"Grid"},{"id":"cbb2adeb-39cb-4199-9a8d-c078f5dcf2e3","type":"BoxAnnotation"},{"id":"c3a342e0-5b1f-4c9f-93a7-0879048090b9","type":"GlyphRenderer"}],"title":{"id":"7c377d2e-b499-4f7d-87d4-76971b244831","type":"Title"},"toolbar":{"id":"07d165db-07f9-4d3f-bf1f-4c7dd5a2af82","type":"Toolbar"},"x_range":{"id":"be8b396b-e827-4d17-a458-3644e52536a0","type":"DataRange1d"},"x_scale":{"id":"4aa730b7-e708-463e-920a-0ce1c273354c","type":"LinearScale"},"y_range":{"id":"68f40bd9-9929-4e8d-abce-dace6fecb71f","type":"DataRange1d"},"y_scale":{"id":"cc328671-b050-4ae7-a183-f3bc3ca5134b","type":"LinearScale"}},"id":"cb9a28e0-a482-42e8-8234-cf2d60450971","subtype":"Figure","type":"Plot"},{"attributes":{"source":{"id":"94640174-0c7f-4758-8207-62179c856bd0","type":"ColumnDataSource"}},"id":"b82a44ce-ab84-46cf-8cc4-3e4ad65fbb99","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"626d21bf-7e5f-44f0-95ec-669bba740cdb","type":"PanTool"},{"id":"4501a2ca-a7f1-4a1e-beb7-0b1be0937d5a","type":"WheelZoomTool"},{"id":"e4683061-dd7c-43ca-bdb7-0f0fd5684d0a","type":"BoxZoomTool"},{"id":"a90175ff-2477-43f0-9a66-5e11d6e12149","type":"SaveTool"},{"id":"35087815-c2cc-4587-9fab-af9dbcd4aae8","type":"ResetTool"},{"id":"2890119a-df8b-45ae-bac2-ae14454e7d6f","type":"HelpTool"}]},"id":"07d165db-07f9-4d3f-bf1f-4c7dd5a2af82","type":"Toolbar"},{"attributes":{},"id":"4501a2ca-a7f1-4a1e-beb7-0b1be0937d5a","type":"WheelZoomTool"},{"attributes":{},"id":"4aa730b7-e708-463e-920a-0ce1c273354c","type":"LinearScale"},{"attributes":{"callback":null},"id":"68f40bd9-9929-4e8d-abce-dace6fecb71f","type":"DataRange1d"},{"attributes":{"formatter":{"id":"a86ba672-89b3-48e6-abbe-d9a67a67e920","type":"BasicTickFormatter"},"plot":{"id":"cb9a28e0-a482-42e8-8234-cf2d60450971","subtype":"Figure","type":"Plot"},"ticker":{"id":"e17c41b7-f56e-4012-bd55-91c495534c46","type":"BasicTicker"}},"id":"436fb9f9-2026-433b-ba5b-825b932a821d","type":"LinearAxis"},{"attributes":{},"id":"cc328671-b050-4ae7-a183-f3bc3ca5134b","type":"LinearScale"},{"attributes":{},"id":"9928c5d4-0ef1-47fa-8af1-b29031cc7163","type":"BasicTicker"},{"attributes":{},"id":"a86ba672-89b3-48e6-abbe-d9a67a67e920","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"cbb2adeb-39cb-4199-9a8d-c078f5dcf2e3","type":"BoxAnnotation"},{"attributes":{"plot":{"id":"cb9a28e0-a482-42e8-8234-cf2d60450971","subtype":"Figure","type":"Plot"},"ticker":{"id":"9928c5d4-0ef1-47fa-8af1-b29031cc7163","type":"BasicTicker"}},"id":"2c30e983-8072-4b80-ac9d-b06804852d07","type":"Grid"},{"attributes":{},"id":"35087815-c2cc-4587-9fab-af9dbcd4aae8","type":"ResetTool"},{"attributes":{},"id":"e17c41b7-f56e-4012-bd55-91c495534c46","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"cb9a28e0-a482-42e8-8234-cf2d60450971","subtype":"Figure","type":"Plot"},"ticker":{"id":"e17c41b7-f56e-4012-bd55-91c495534c46","type":"BasicTicker"}},"id":"2fed697d-9eb4-4513-8c36-aff9ce0b5ac4","type":"Grid"},{"attributes":{"data_source":{"id":"94640174-0c7f-4758-8207-62179c856bd0","type":"ColumnDataSource"},"glyph":{"id":"e96fd84c-9819-40b2-b036-4942669d0684","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"5883919d-e8b6-478d-a74f-3c3d92348275","type":"Line"},"selection_glyph":null,"view":{"id":"b82a44ce-ab84-46cf-8cc4-3e4ad65fbb99","type":"CDSView"}},"id":"c3a342e0-5b1f-4c9f-93a7-0879048090b9","type":"GlyphRenderer"},{"attributes":{},"id":"2890119a-df8b-45ae-bac2-ae14454e7d6f","type":"HelpTool"},{"attributes":{"callback":null},"id":"be8b396b-e827-4d17-a458-3644e52536a0","type":"DataRange1d"},{"attributes":{},"id":"626d21bf-7e5f-44f0-95ec-669bba740cdb","type":"PanTool"},{"attributes":{"plot":null,"text":"line"},"id":"7c377d2e-b499-4f7d-87d4-76971b244831","type":"Title"},{"attributes":{},"id":"bc1eaf80-1acb-4582-9090-53c2b853ebb0","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"bc1eaf80-1acb-4582-9090-53c2b853ebb0","type":"BasicTickFormatter"},"plot":{"id":"cb9a28e0-a482-42e8-8234-cf2d60450971","subtype":"Figure","type":"Plot"},"ticker":{"id":"9928c5d4-0ef1-47fa-8af1-b29031cc7163","type":"BasicTicker"}},"id":"1507f727-a9a6-4fc4-ba47-a61747bf7763","type":"LinearAxis"},{"attributes":{"overlay":{"id":"cbb2adeb-39cb-4199-9a8d-c078f5dcf2e3","type":"BoxAnnotation"}},"id":"e4683061-dd7c-43ca-bdb7-0f0fd5684d0a","type":"BoxZoomTool"}],"root_ids":["cb9a28e0-a482-42e8-8234-cf2d60450971"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"247f92e3-e745-4b91-9126-d8fcedac7e5e","elementid":"b4f73332-da9c-40a6-9713-bd3e9bb1eb57","modelid":"cb9a28e0-a482-42e8-8234-cf2d60450971"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
