(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("84ed1f8c-5293-430e-8082-ad0f5c8f1683");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '84ed1f8c-5293-430e-8082-ad0f5c8f1683' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"c1c29ec6-3ade-4314-bbde-f2ad2f2df276":{"roots":{"references":[{"attributes":{"dimension":1,"plot":{"id":"b4fc41d2-c12b-4f74-9088-c9527391a3f7","subtype":"Figure","type":"Plot"},"ticker":{"id":"320c013c-a04c-4011-a399-087d97ad8396","type":"BasicTicker"}},"id":"1568c972-0a81-44ae-8484-52883039daa0","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"d11813df-3a0a-474c-b21f-156372e60830","type":"BoxAnnotation"},{"attributes":{},"id":"201dc618-e0fd-4ee1-82e7-5a58cb788136","type":"HelpTool"},{"attributes":{},"id":"28181e02-a4c4-4caf-b7ab-0da154d301c2","type":"ResetTool"},{"attributes":{"angle":{"units":"rad","value":-0.7},"fill_color":{"value":"#1D91C0"},"height":{"units":"data","value":0.4},"line_color":{"value":"#1D91C0"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"be205a3f-2aa4-4c1d-8123-ab26d680594c","type":"Oval"},{"attributes":{},"id":"54e44f35-032c-4a7c-bf6a-857827fa872a","type":"LinearScale"},{"attributes":{},"id":"6825efa8-9855-42a5-8936-00d8768b39bf","type":"PanTool"},{"attributes":{"below":[{"id":"26c2bd38-478c-4cce-95b3-a4e7ca050175","type":"LinearAxis"}],"left":[{"id":"37f948b4-f8e6-4314-9f37-042e7624ceba","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"26c2bd38-478c-4cce-95b3-a4e7ca050175","type":"LinearAxis"},{"id":"93a9c783-5b3a-41d3-aaa4-7aebe576ab59","type":"Grid"},{"id":"37f948b4-f8e6-4314-9f37-042e7624ceba","type":"LinearAxis"},{"id":"1568c972-0a81-44ae-8484-52883039daa0","type":"Grid"},{"id":"d11813df-3a0a-474c-b21f-156372e60830","type":"BoxAnnotation"},{"id":"301b1e79-d81d-4e1e-8716-e4d6f2977543","type":"GlyphRenderer"}],"title":{"id":"008e1085-f219-41a9-8f6a-e063b9f7f8ad","type":"Title"},"toolbar":{"id":"e7c28de2-4f3b-465d-86b2-b1885a024180","type":"Toolbar"},"x_range":{"id":"0421e28f-78f3-4018-a2ec-28004029cfa9","type":"DataRange1d"},"x_scale":{"id":"54e44f35-032c-4a7c-bf6a-857827fa872a","type":"LinearScale"},"y_range":{"id":"f4b980ad-b497-4338-acca-5952c01f84a6","type":"DataRange1d"},"y_scale":{"id":"23662053-8626-4a2d-938b-8306e5b3ae46","type":"LinearScale"}},"id":"b4fc41d2-c12b-4f74-9088-c9527391a3f7","subtype":"Figure","type":"Plot"},{"attributes":{"data_source":{"id":"33f6570b-2df4-456c-b096-aa6768aaa4d5","type":"ColumnDataSource"},"glyph":{"id":"be205a3f-2aa4-4c1d-8123-ab26d680594c","type":"Oval"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c88ef746-78c6-4559-a0ba-cd891c73706a","type":"Oval"},"selection_glyph":null,"view":{"id":"a9c552e7-0e8a-448a-b415-5d8beb08eb8c","type":"CDSView"}},"id":"301b1e79-d81d-4e1e-8716-e4d6f2977543","type":"GlyphRenderer"},{"attributes":{},"id":"438413c9-4b0a-49a9-8def-8c6d67d4ad79","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"b4fc41d2-c12b-4f74-9088-c9527391a3f7","subtype":"Figure","type":"Plot"},"ticker":{"id":"b5a59f2e-364e-4263-99fe-286db6cc3c9c","type":"BasicTicker"}},"id":"93a9c783-5b3a-41d3-aaa4-7aebe576ab59","type":"Grid"},{"attributes":{"plot":null,"text":""},"id":"008e1085-f219-41a9-8f6a-e063b9f7f8ad","type":"Title"},{"attributes":{"angle":{"units":"rad","value":-0.7},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"data","value":0.4},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"c88ef746-78c6-4559-a0ba-cd891c73706a","type":"Oval"},{"attributes":{"overlay":{"id":"d11813df-3a0a-474c-b21f-156372e60830","type":"BoxAnnotation"}},"id":"3445f54c-3caa-4d38-be90-ec732edcf4c1","type":"BoxZoomTool"},{"attributes":{},"id":"01271935-6bf7-49aa-a562-f33df00af675","type":"SaveTool"},{"attributes":{"formatter":{"id":"f86b59b3-3671-40e5-9ada-f2d6c7b86607","type":"BasicTickFormatter"},"plot":{"id":"b4fc41d2-c12b-4f74-9088-c9527391a3f7","subtype":"Figure","type":"Plot"},"ticker":{"id":"b5a59f2e-364e-4263-99fe-286db6cc3c9c","type":"BasicTicker"}},"id":"26c2bd38-478c-4cce-95b3-a4e7ca050175","type":"LinearAxis"},{"attributes":{},"id":"f86b59b3-3671-40e5-9ada-f2d6c7b86607","type":"BasicTickFormatter"},{"attributes":{},"id":"b5a59f2e-364e-4263-99fe-286db6cc3c9c","type":"BasicTicker"},{"attributes":{"callback":null},"id":"0421e28f-78f3-4018-a2ec-28004029cfa9","type":"DataRange1d"},{"attributes":{},"id":"524a706b-2c67-4cfb-8997-2ae8d05a1a0d","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"f4b980ad-b497-4338-acca-5952c01f84a6","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"6825efa8-9855-42a5-8936-00d8768b39bf","type":"PanTool"},{"id":"438413c9-4b0a-49a9-8def-8c6d67d4ad79","type":"WheelZoomTool"},{"id":"3445f54c-3caa-4d38-be90-ec732edcf4c1","type":"BoxZoomTool"},{"id":"01271935-6bf7-49aa-a562-f33df00af675","type":"SaveTool"},{"id":"28181e02-a4c4-4caf-b7ab-0da154d301c2","type":"ResetTool"},{"id":"201dc618-e0fd-4ee1-82e7-5a58cb788136","type":"HelpTool"}]},"id":"e7c28de2-4f3b-465d-86b2-b1885a024180","type":"Toolbar"},{"attributes":{},"id":"320c013c-a04c-4011-a399-087d97ad8396","type":"BasicTicker"},{"attributes":{},"id":"23662053-8626-4a2d-938b-8306e5b3ae46","type":"LinearScale"},{"attributes":{"formatter":{"id":"524a706b-2c67-4cfb-8997-2ae8d05a1a0d","type":"BasicTickFormatter"},"plot":{"id":"b4fc41d2-c12b-4f74-9088-c9527391a3f7","subtype":"Figure","type":"Plot"},"ticker":{"id":"320c013c-a04c-4011-a399-087d97ad8396","type":"BasicTicker"}},"id":"37f948b4-f8e6-4314-9f37-042e7624ceba","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"33f6570b-2df4-456c-b096-aa6768aaa4d5","type":"ColumnDataSource"},{"attributes":{"source":{"id":"33f6570b-2df4-456c-b096-aa6768aaa4d5","type":"ColumnDataSource"}},"id":"a9c552e7-0e8a-448a-b415-5d8beb08eb8c","type":"CDSView"}],"root_ids":["b4fc41d2-c12b-4f74-9088-c9527391a3f7"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"c1c29ec6-3ade-4314-bbde-f2ad2f2df276","elementid":"84ed1f8c-5293-430e-8082-ad0f5c8f1683","modelid":"b4fc41d2-c12b-4f74-9088-c9527391a3f7"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
