(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("5d78bd3c-658b-41ca-9c7f-1ea66f86232a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '5d78bd3c-658b-41ca-9c7f-1ea66f86232a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"bf5f050a-b981-472b-950c-9591017103b9":{"roots":{"references":[{"attributes":{},"id":"84f9a33b-866d-4880-b7cd-78cd4cb3f256","type":"HelpTool"},{"attributes":{},"id":"a881d137-3498-4fef-9145-8847602de692","type":"BasicTicker"},{"attributes":{},"id":"7db7d93b-2d3b-467b-a70c-975cefbdc7e1","type":"LinearScale"},{"attributes":{},"id":"fa909ea5-7a09-4753-aa55-94c900824954","type":"ResetTool"},{"attributes":{},"id":"25cc6acf-b69f-4455-ad9e-cb9a09c30fa7","type":"BasicTicker"},{"attributes":{"source":{"id":"2f57bffe-e8e5-4c3d-ae66-4d5816151a14","type":"ColumnDataSource"}},"id":"fdea30b1-b7e2-44c9-8abc-d549e1858bfa","type":"CDSView"},{"attributes":{"fill_color":{"value":"#99d8c9"},"line_color":{"value":"#99d8c9"},"x":{"field":"x"},"y":{"field":"y"}},"id":"f6cd4d6c-6fe6-4d6d-a84e-d0f2352c60c3","type":"Patch"},{"attributes":{"formatter":{"id":"ab5cc078-cc42-496d-9eab-b6d69a43b0cc","type":"BasicTickFormatter"},"plot":{"id":"f0daccc2-f9d8-4b32-9f82-b04983abbedb","subtype":"Figure","type":"Plot"},"ticker":{"id":"a881d137-3498-4fef-9145-8847602de692","type":"BasicTicker"}},"id":"ed981bd3-d20b-4b86-9d01-2cae2f6693f9","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"62befe3b-6cf4-4baa-b8b2-1f908261bcd0","type":"BoxAnnotation"},{"attributes":{"plot":null,"text":""},"id":"28789ba2-c192-4f17-a024-14ae2dd01827","type":"Title"},{"attributes":{},"id":"406767b5-0a64-4ed0-81a6-6d985962ed2e","type":"WheelZoomTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c59e0b66-bfc0-432a-9662-3ab8a7b9a162","type":"PanTool"},{"id":"406767b5-0a64-4ed0-81a6-6d985962ed2e","type":"WheelZoomTool"},{"id":"a92b8a89-ccaa-455c-b878-2b12270e12c4","type":"BoxZoomTool"},{"id":"7b46c623-708e-4423-a730-e9b85fb1bfc5","type":"SaveTool"},{"id":"fa909ea5-7a09-4753-aa55-94c900824954","type":"ResetTool"},{"id":"84f9a33b-866d-4880-b7cd-78cd4cb3f256","type":"HelpTool"}]},"id":"c7d36e73-96ee-4258-93dc-95624c71f2e7","type":"Toolbar"},{"attributes":{"data_source":{"id":"2f57bffe-e8e5-4c3d-ae66-4d5816151a14","type":"ColumnDataSource"},"glyph":{"id":"f6cd4d6c-6fe6-4d6d-a84e-d0f2352c60c3","type":"Patch"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"5ff0f1f4-1f3c-4868-b7d2-a0e76a0698a7","type":"Patch"},"selection_glyph":null,"view":{"id":"fdea30b1-b7e2-44c9-8abc-d549e1858bfa","type":"CDSView"}},"id":"574b12fa-312d-49bb-be56-2859cad66b91","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1,2,3,2],"y":[6,7,2,2]}},"id":"2f57bffe-e8e5-4c3d-ae66-4d5816151a14","type":"ColumnDataSource"},{"attributes":{},"id":"c352f1db-9e26-43a7-bfca-d7435bb04aa2","type":"LinearScale"},{"attributes":{},"id":"c59e0b66-bfc0-432a-9662-3ab8a7b9a162","type":"PanTool"},{"attributes":{"dimension":1,"plot":{"id":"f0daccc2-f9d8-4b32-9f82-b04983abbedb","subtype":"Figure","type":"Plot"},"ticker":{"id":"a881d137-3498-4fef-9145-8847602de692","type":"BasicTicker"}},"id":"67cf40a7-405e-46a9-998e-49020a4b2534","type":"Grid"},{"attributes":{},"id":"ab5cc078-cc42-496d-9eab-b6d69a43b0cc","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"62befe3b-6cf4-4baa-b8b2-1f908261bcd0","type":"BoxAnnotation"}},"id":"a92b8a89-ccaa-455c-b878-2b12270e12c4","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"531d4940-a3fd-4d43-9de9-a6da2f8897da","type":"BasicTickFormatter"},"plot":{"id":"f0daccc2-f9d8-4b32-9f82-b04983abbedb","subtype":"Figure","type":"Plot"},"ticker":{"id":"25cc6acf-b69f-4455-ad9e-cb9a09c30fa7","type":"BasicTicker"}},"id":"96cf0b6b-2e42-4f1c-99e5-feab78c74176","type":"LinearAxis"},{"attributes":{},"id":"531d4940-a3fd-4d43-9de9-a6da2f8897da","type":"BasicTickFormatter"},{"attributes":{},"id":"7b46c623-708e-4423-a730-e9b85fb1bfc5","type":"SaveTool"},{"attributes":{"plot":{"id":"f0daccc2-f9d8-4b32-9f82-b04983abbedb","subtype":"Figure","type":"Plot"},"ticker":{"id":"25cc6acf-b69f-4455-ad9e-cb9a09c30fa7","type":"BasicTicker"}},"id":"5287f450-fee4-423f-9091-78c37eb9a59b","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"5ff0f1f4-1f3c-4868-b7d2-a0e76a0698a7","type":"Patch"},{"attributes":{"callback":null},"id":"66d2f486-8983-449a-8b08-d58ec7ebabf3","type":"DataRange1d"},{"attributes":{"callback":null},"id":"145dc6e4-dfb9-42f7-b4c5-795d921752f5","type":"DataRange1d"},{"attributes":{"below":[{"id":"96cf0b6b-2e42-4f1c-99e5-feab78c74176","type":"LinearAxis"}],"left":[{"id":"ed981bd3-d20b-4b86-9d01-2cae2f6693f9","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"96cf0b6b-2e42-4f1c-99e5-feab78c74176","type":"LinearAxis"},{"id":"5287f450-fee4-423f-9091-78c37eb9a59b","type":"Grid"},{"id":"ed981bd3-d20b-4b86-9d01-2cae2f6693f9","type":"LinearAxis"},{"id":"67cf40a7-405e-46a9-998e-49020a4b2534","type":"Grid"},{"id":"62befe3b-6cf4-4baa-b8b2-1f908261bcd0","type":"BoxAnnotation"},{"id":"574b12fa-312d-49bb-be56-2859cad66b91","type":"GlyphRenderer"}],"title":{"id":"28789ba2-c192-4f17-a024-14ae2dd01827","type":"Title"},"toolbar":{"id":"c7d36e73-96ee-4258-93dc-95624c71f2e7","type":"Toolbar"},"x_range":{"id":"66d2f486-8983-449a-8b08-d58ec7ebabf3","type":"DataRange1d"},"x_scale":{"id":"c352f1db-9e26-43a7-bfca-d7435bb04aa2","type":"LinearScale"},"y_range":{"id":"145dc6e4-dfb9-42f7-b4c5-795d921752f5","type":"DataRange1d"},"y_scale":{"id":"7db7d93b-2d3b-467b-a70c-975cefbdc7e1","type":"LinearScale"}},"id":"f0daccc2-f9d8-4b32-9f82-b04983abbedb","subtype":"Figure","type":"Plot"}],"root_ids":["f0daccc2-f9d8-4b32-9f82-b04983abbedb"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"bf5f050a-b981-472b-950c-9591017103b9","elementid":"5d78bd3c-658b-41ca-9c7f-1ea66f86232a","modelid":"f0daccc2-f9d8-4b32-9f82-b04983abbedb"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
