(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("982fe068-a36c-4f94-9743-60bbbd08b0b0");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '982fe068-a36c-4f94-9743-60bbbd08b0b0' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"c7200c15-c404-4036-aa00-134e77a5d3f4":{"roots":{"references":[{"attributes":{"data_source":{"id":"bb1426f8-3f20-42ea-8764-42cfe4b76cb5","type":"ColumnDataSource"},"glyph":{"id":"d67b091e-2570-4c53-9776-2e27c1262513","type":"Rect"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a18d88ba-1d1c-4245-8bba-201ed240c04d","type":"Rect"},"selection_glyph":null,"view":{"id":"e61ff45a-32da-4ed8-8176-1cb25331bae5","type":"CDSView"}},"id":"7bddcb0b-fadc-42bd-9b56-afdfacf6b357","type":"GlyphRenderer"},{"attributes":{},"id":"e73e7f65-96a0-4f70-88f4-dfc6844229ab","type":"HelpTool"},{"attributes":{},"id":"13693c77-20a5-4bdd-88f3-519f57b189ac","type":"BasicTicker"},{"attributes":{"formatter":{"id":"c43b7790-d28a-4f81-abbd-804411b1e390","type":"BasicTickFormatter"},"plot":{"id":"90b4eac6-6517-4ddd-9214-5736c809ed63","subtype":"Figure","type":"Plot"},"ticker":{"id":"13693c77-20a5-4bdd-88f3-519f57b189ac","type":"BasicTicker"}},"id":"479dcdc5-2737-48f0-b034-c572873583bb","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"#CAB2D6"},"height":{"units":"screen","value":20},"line_color":{"value":"#CAB2D6"},"width":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"d67b091e-2570-4c53-9776-2e27c1262513","type":"Rect"},{"attributes":{"plot":{"id":"90b4eac6-6517-4ddd-9214-5736c809ed63","subtype":"Figure","type":"Plot"},"ticker":{"id":"13693c77-20a5-4bdd-88f3-519f57b189ac","type":"BasicTicker"}},"id":"feca019f-5ac5-4947-8a1c-5ea1f14a1a9f","type":"Grid"},{"attributes":{},"id":"4a7e199a-8a62-4e41-8481-ab9181437ebe","type":"LinearScale"},{"attributes":{"callback":null},"id":"dfff87b4-0c87-42e0-b463-dd8dc8d3b85c","type":"DataRange1d"},{"attributes":{"source":{"id":"bb1426f8-3f20-42ea-8764-42cfe4b76cb5","type":"ColumnDataSource"}},"id":"e61ff45a-32da-4ed8-8176-1cb25331bae5","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"a053e317-fdba-4f5f-ba63-1b2dc8b27690","type":"BoxAnnotation"},{"attributes":{},"id":"073401e2-7d39-4e22-85a0-27f1052f780e","type":"WheelZoomTool"},{"attributes":{},"id":"918aa846-12ad-4d76-971f-8f02453fc9bf","type":"BasicTicker"},{"attributes":{"overlay":{"id":"a053e317-fdba-4f5f-ba63-1b2dc8b27690","type":"BoxAnnotation"}},"id":"3161ccb9-77d8-4763-adf0-a9e42d802111","type":"BoxZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"90b4eac6-6517-4ddd-9214-5736c809ed63","subtype":"Figure","type":"Plot"},"ticker":{"id":"918aa846-12ad-4d76-971f-8f02453fc9bf","type":"BasicTicker"}},"id":"4e82225e-ab39-48f2-b9a1-eae687e61a54","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"232fe8fe-98b1-44f6-a0be-4519a07d5df3","type":"PanTool"},{"id":"073401e2-7d39-4e22-85a0-27f1052f780e","type":"WheelZoomTool"},{"id":"3161ccb9-77d8-4763-adf0-a9e42d802111","type":"BoxZoomTool"},{"id":"9f09cbf3-392a-4672-bda5-da9923e2bb57","type":"SaveTool"},{"id":"ad81b553-4fac-4800-aea9-f193630c726f","type":"ResetTool"},{"id":"e73e7f65-96a0-4f70-88f4-dfc6844229ab","type":"HelpTool"}]},"id":"5d83a793-f4f8-4d80-bc15-7fbce78c262a","type":"Toolbar"},{"attributes":{},"id":"232fe8fe-98b1-44f6-a0be-4519a07d5df3","type":"PanTool"},{"attributes":{"formatter":{"id":"f264e1cb-89b3-41e1-b866-84f7202d9428","type":"BasicTickFormatter"},"plot":{"id":"90b4eac6-6517-4ddd-9214-5736c809ed63","subtype":"Figure","type":"Plot"},"ticker":{"id":"918aa846-12ad-4d76-971f-8f02453fc9bf","type":"BasicTicker"}},"id":"65685549-e7a5-48f3-90fc-a2600363cba1","type":"LinearAxis"},{"attributes":{"plot":null,"text":""},"id":"8b8ae515-e114-45f5-85f3-96dc33e26942","type":"Title"},{"attributes":{},"id":"f264e1cb-89b3-41e1-b866-84f7202d9428","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"screen","value":20},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"a18d88ba-1d1c-4245-8bba-201ed240c04d","type":"Rect"},{"attributes":{},"id":"9f09cbf3-392a-4672-bda5-da9923e2bb57","type":"SaveTool"},{"attributes":{},"id":"c43b7790-d28a-4f81-abbd-804411b1e390","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"0c506b68-8af7-4551-84ff-c47dd683da82","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"bb1426f8-3f20-42ea-8764-42cfe4b76cb5","type":"ColumnDataSource"},{"attributes":{},"id":"ad81b553-4fac-4800-aea9-f193630c726f","type":"ResetTool"},{"attributes":{},"id":"630f957c-eaea-4f60-b4df-422bd2602e26","type":"LinearScale"},{"attributes":{"below":[{"id":"479dcdc5-2737-48f0-b034-c572873583bb","type":"LinearAxis"}],"left":[{"id":"65685549-e7a5-48f3-90fc-a2600363cba1","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"479dcdc5-2737-48f0-b034-c572873583bb","type":"LinearAxis"},{"id":"feca019f-5ac5-4947-8a1c-5ea1f14a1a9f","type":"Grid"},{"id":"65685549-e7a5-48f3-90fc-a2600363cba1","type":"LinearAxis"},{"id":"4e82225e-ab39-48f2-b9a1-eae687e61a54","type":"Grid"},{"id":"a053e317-fdba-4f5f-ba63-1b2dc8b27690","type":"BoxAnnotation"},{"id":"7bddcb0b-fadc-42bd-9b56-afdfacf6b357","type":"GlyphRenderer"}],"title":{"id":"8b8ae515-e114-45f5-85f3-96dc33e26942","type":"Title"},"toolbar":{"id":"5d83a793-f4f8-4d80-bc15-7fbce78c262a","type":"Toolbar"},"x_range":{"id":"dfff87b4-0c87-42e0-b463-dd8dc8d3b85c","type":"DataRange1d"},"x_scale":{"id":"630f957c-eaea-4f60-b4df-422bd2602e26","type":"LinearScale"},"y_range":{"id":"0c506b68-8af7-4551-84ff-c47dd683da82","type":"DataRange1d"},"y_scale":{"id":"4a7e199a-8a62-4e41-8481-ab9181437ebe","type":"LinearScale"}},"id":"90b4eac6-6517-4ddd-9214-5736c809ed63","subtype":"Figure","type":"Plot"}],"root_ids":["90b4eac6-6517-4ddd-9214-5736c809ed63"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"c7200c15-c404-4036-aa00-134e77a5d3f4","elementid":"982fe068-a36c-4f94-9743-60bbbd08b0b0","modelid":"90b4eac6-6517-4ddd-9214-5736c809ed63"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
