(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("6f6451ef-43f8-40cc-97ce-411926f6699f");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '6f6451ef-43f8-40cc-97ce-411926f6699f' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"8193c9dd-5f96-452e-8cd0-bb2713c01cbd":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c252465d-e247-4913-bffe-9b6dbbe3de87","type":"PanTool"},{"id":"ec1790c0-f009-4b73-bbaa-3c77f9892dfc","type":"WheelZoomTool"},{"id":"0cd8e612-14bf-4f54-aec6-40ace6227bcd","type":"BoxZoomTool"},{"id":"b90e3b9c-6149-4eae-9148-fceed5398aa3","type":"SaveTool"},{"id":"7ec71758-b6e0-4dd2-9c3f-6533d800d9c0","type":"ResetTool"},{"id":"8c000f5e-65f7-4562-ba5a-934a5aaa9400","type":"HelpTool"}]},"id":"31fa0156-49c3-4e20-8397-e0e0bc515189","type":"Toolbar"},{"attributes":{},"id":"039a0bb4-6281-4a32-9a53-e915a1734a8e","type":"BasicTicker"},{"attributes":{"callback":null},"id":"31762ca4-20e3-424c-b776-7da68c5173ea","type":"DataRange1d"},{"attributes":{"plot":{"id":"e547a5b8-af9d-4d34-8043-824fd92de894","subtype":"Figure","type":"Plot"},"ticker":{"id":"039a0bb4-6281-4a32-9a53-e915a1734a8e","type":"BasicTicker"}},"id":"d0e46773-2ad0-43ab-8cdd-fc9907d1d337","type":"Grid"},{"attributes":{},"id":"69c4577f-56a5-4741-9feb-0b720cfbdbf5","type":"LinearScale"},{"attributes":{},"id":"c252465d-e247-4913-bffe-9b6dbbe3de87","type":"PanTool"},{"attributes":{"source":{"id":"d2bab56e-457f-4fa5-b80b-0dcbc6d659f2","type":"ColumnDataSource"}},"id":"9b50c86b-1258-482b-be3a-173ad2328ab6","type":"CDSView"},{"attributes":{},"id":"e78d3d11-15d4-4a51-a4c6-ef0fee9233c2","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"a4ed6d34-4036-4a63-81f7-beaa1b3015c4","type":"Title"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"10b86864-f80f-4d2a-9fd2-72cc42e3cb11","type":"Circle"},{"attributes":{},"id":"2ed1b309-a81e-4cb5-9fbe-82cf106d7a33","type":"LinearScale"},{"attributes":{"overlay":{"id":"4f59ff37-5f71-4a08-a279-cff9838cdc2c","type":"BoxAnnotation"}},"id":"0cd8e612-14bf-4f54-aec6-40ace6227bcd","type":"BoxZoomTool"},{"attributes":{"below":[{"id":"7fbcb415-21e6-48f9-9692-d822553b7b33","type":"LinearAxis"}],"left":[{"id":"b50db53f-1447-4183-a322-f6247dca7a50","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"7fbcb415-21e6-48f9-9692-d822553b7b33","type":"LinearAxis"},{"id":"d0e46773-2ad0-43ab-8cdd-fc9907d1d337","type":"Grid"},{"id":"b50db53f-1447-4183-a322-f6247dca7a50","type":"LinearAxis"},{"id":"ffedf340-5c35-4caa-9f64-101c9c910cca","type":"Grid"},{"id":"4f59ff37-5f71-4a08-a279-cff9838cdc2c","type":"BoxAnnotation"},{"id":"d6af1186-7060-4c3b-93fc-82e1c585eb19","type":"GlyphRenderer"}],"title":{"id":"a4ed6d34-4036-4a63-81f7-beaa1b3015c4","type":"Title"},"toolbar":{"id":"31fa0156-49c3-4e20-8397-e0e0bc515189","type":"Toolbar"},"x_range":{"id":"6cac6866-7926-4d45-b9bc-c666b1f0018b","type":"DataRange1d"},"x_scale":{"id":"69c4577f-56a5-4741-9feb-0b720cfbdbf5","type":"LinearScale"},"y_range":{"id":"31762ca4-20e3-424c-b776-7da68c5173ea","type":"DataRange1d"},"y_scale":{"id":"2ed1b309-a81e-4cb5-9fbe-82cf106d7a33","type":"LinearScale"}},"id":"e547a5b8-af9d-4d34-8043-824fd92de894","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"ada62eac-5ef4-4684-be2a-001107721f7b","type":"BasicTickFormatter"},"plot":{"id":"e547a5b8-af9d-4d34-8043-824fd92de894","subtype":"Figure","type":"Plot"},"ticker":{"id":"e78d3d11-15d4-4a51-a4c6-ef0fee9233c2","type":"BasicTicker"}},"id":"b50db53f-1447-4183-a322-f6247dca7a50","type":"LinearAxis"},{"attributes":{},"id":"ec1790c0-f009-4b73-bbaa-3c77f9892dfc","type":"WheelZoomTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"2ae96470-813b-4585-9d57-6afcc685ea33","type":"Circle"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"4f59ff37-5f71-4a08-a279-cff9838cdc2c","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"e53b3dda-5016-4bef-972f-53d4ec199603","type":"BasicTickFormatter"},"plot":{"id":"e547a5b8-af9d-4d34-8043-824fd92de894","subtype":"Figure","type":"Plot"},"ticker":{"id":"039a0bb4-6281-4a32-9a53-e915a1734a8e","type":"BasicTicker"}},"id":"7fbcb415-21e6-48f9-9692-d822553b7b33","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"e547a5b8-af9d-4d34-8043-824fd92de894","subtype":"Figure","type":"Plot"},"ticker":{"id":"e78d3d11-15d4-4a51-a4c6-ef0fee9233c2","type":"BasicTicker"}},"id":"ffedf340-5c35-4caa-9f64-101c9c910cca","type":"Grid"},{"attributes":{},"id":"7ec71758-b6e0-4dd2-9c3f-6533d800d9c0","type":"ResetTool"},{"attributes":{},"id":"ada62eac-5ef4-4684-be2a-001107721f7b","type":"BasicTickFormatter"},{"attributes":{},"id":"e53b3dda-5016-4bef-972f-53d4ec199603","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"6cac6866-7926-4d45-b9bc-c666b1f0018b","type":"DataRange1d"},{"attributes":{"data_source":{"id":"d2bab56e-457f-4fa5-b80b-0dcbc6d659f2","type":"ColumnDataSource"},"glyph":{"id":"2ae96470-813b-4585-9d57-6afcc685ea33","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"10b86864-f80f-4d2a-9fd2-72cc42e3cb11","type":"Circle"},"selection_glyph":null,"view":{"id":"9b50c86b-1258-482b-be3a-173ad2328ab6","type":"CDSView"}},"id":"d6af1186-7060-4c3b-93fc-82e1c585eb19","type":"GlyphRenderer"},{"attributes":{},"id":"8c000f5e-65f7-4562-ba5a-934a5aaa9400","type":"HelpTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"d2bab56e-457f-4fa5-b80b-0dcbc6d659f2","type":"ColumnDataSource"},{"attributes":{},"id":"b90e3b9c-6149-4eae-9148-fceed5398aa3","type":"SaveTool"}],"root_ids":["e547a5b8-af9d-4d34-8043-824fd92de894"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"8193c9dd-5f96-452e-8cd0-bb2713c01cbd","elementid":"6f6451ef-43f8-40cc-97ce-411926f6699f","modelid":"e547a5b8-af9d-4d34-8043-824fd92de894"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
