(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("280ab3ea-48b9-436c-8f2f-8fa4087f161c");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '280ab3ea-48b9-436c-8f2f-8fa4087f161c' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"94db66a9-f984-4970-b88e-eb82441b61d5":{"roots":{"references":[{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"caaaeb16-08bf-49d0-b32a-a189d050fec9","type":"BoxAnnotation"},{"attributes":{"source":{"id":"6b75688b-2bdb-401a-b8c7-fd1e1d3bb6c6","type":"ColumnDataSource"}},"id":"66720446-c766-4fdf-9bbb-aa8ddfaf1b44","type":"CDSView"},{"attributes":{"overlay":{"id":"caaaeb16-08bf-49d0-b32a-a189d050fec9","type":"BoxAnnotation"}},"id":"7d98eb96-f168-4afb-ab61-376c9e156a88","type":"BoxZoomTool"},{"attributes":{},"id":"46e6c01a-1ba7-4d73-aa8d-5d916f1de35e","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"field":"size","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"a98c445f-6ad1-4947-b113-b2569b88fa71","type":"Square"},{"attributes":{"formatter":{"id":"4e43b43e-6d1e-4d8e-ab4e-32f8565ffff7","type":"BasicTickFormatter"},"plot":{"id":"49220b02-d0d0-4fdb-bc78-c405e9929d58","subtype":"Figure","type":"Plot"},"ticker":{"id":"89eba95e-290c-44b9-8e07-1f776ae31482","type":"BasicTicker"}},"id":"92dff8f2-24f4-4a45-a7e3-17aa13d46d63","type":"LinearAxis"},{"attributes":{"callback":null},"id":"c0ee04d2-96d6-4c9c-97c4-5877981b7fe4","type":"DataRange1d"},{"attributes":{"formatter":{"id":"46e6c01a-1ba7-4d73-aa8d-5d916f1de35e","type":"BasicTickFormatter"},"plot":{"id":"49220b02-d0d0-4fdb-bc78-c405e9929d58","subtype":"Figure","type":"Plot"},"ticker":{"id":"18d57795-a607-4b07-9af7-3b82fd672100","type":"BasicTicker"}},"id":"f1c1ffd9-e1f3-484f-85f5-197417a1a2f1","type":"LinearAxis"},{"attributes":{"below":[{"id":"92dff8f2-24f4-4a45-a7e3-17aa13d46d63","type":"LinearAxis"}],"left":[{"id":"f1c1ffd9-e1f3-484f-85f5-197417a1a2f1","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"92dff8f2-24f4-4a45-a7e3-17aa13d46d63","type":"LinearAxis"},{"id":"b3e6c9f6-4855-452c-a22e-d3ea52d4865c","type":"Grid"},{"id":"f1c1ffd9-e1f3-484f-85f5-197417a1a2f1","type":"LinearAxis"},{"id":"599db4fd-04cb-4a8a-bcdf-18d8e8ed0068","type":"Grid"},{"id":"caaaeb16-08bf-49d0-b32a-a189d050fec9","type":"BoxAnnotation"},{"id":"99046eba-a4f3-4160-bbd8-fed8576e6d96","type":"GlyphRenderer"}],"title":{"id":"1e381fc1-4623-4bc0-9181-f080d3ea0b93","type":"Title"},"toolbar":{"id":"0ca23682-e767-4bd3-b653-acf4dee1459e","type":"Toolbar"},"x_range":{"id":"90380fb5-c5d6-454e-9bce-03d86cce4127","type":"DataRange1d"},"x_scale":{"id":"db41b8e1-1a7a-4fc0-a27d-bb2d1eb98462","type":"LinearScale"},"y_range":{"id":"c0ee04d2-96d6-4c9c-97c4-5877981b7fe4","type":"DataRange1d"},"y_scale":{"id":"4d2ac680-e8de-4c78-bd4c-7fc9f8f94fb2","type":"LinearScale"}},"id":"49220b02-d0d0-4fdb-bc78-c405e9929d58","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"89eba95e-290c-44b9-8e07-1f776ae31482","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"49220b02-d0d0-4fdb-bc78-c405e9929d58","subtype":"Figure","type":"Plot"},"ticker":{"id":"18d57795-a607-4b07-9af7-3b82fd672100","type":"BasicTicker"}},"id":"599db4fd-04cb-4a8a-bcdf-18d8e8ed0068","type":"Grid"},{"attributes":{},"id":"c15e10ae-a0e3-47af-94d1-969f37b1b87a","type":"PanTool"},{"attributes":{"data_source":{"id":"6b75688b-2bdb-401a-b8c7-fd1e1d3bb6c6","type":"ColumnDataSource"},"glyph":{"id":"d07717f6-a915-4580-a3a5-0a95ac1d5011","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a98c445f-6ad1-4947-b113-b2569b88fa71","type":"Square"},"selection_glyph":null,"view":{"id":"66720446-c766-4fdf-9bbb-aa8ddfaf1b44","type":"CDSView"}},"id":"99046eba-a4f3-4160-bbd8-fed8576e6d96","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"49220b02-d0d0-4fdb-bc78-c405e9929d58","subtype":"Figure","type":"Plot"},"ticker":{"id":"89eba95e-290c-44b9-8e07-1f776ae31482","type":"BasicTicker"}},"id":"b3e6c9f6-4855-452c-a22e-d3ea52d4865c","type":"Grid"},{"attributes":{},"id":"3cc4fcee-70a8-4d5e-9312-49cc5807fb03","type":"WheelZoomTool"},{"attributes":{},"id":"4e43b43e-6d1e-4d8e-ab4e-32f8565ffff7","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c15e10ae-a0e3-47af-94d1-969f37b1b87a","type":"PanTool"},{"id":"3cc4fcee-70a8-4d5e-9312-49cc5807fb03","type":"WheelZoomTool"},{"id":"7d98eb96-f168-4afb-ab61-376c9e156a88","type":"BoxZoomTool"},{"id":"827f48e9-6de4-4fb2-b18a-21788b67a551","type":"SaveTool"},{"id":"f6d7d9c0-8960-4a19-8dc7-4e9f33becc8c","type":"ResetTool"},{"id":"610ce356-6346-40a9-b593-425d7b4929f0","type":"HelpTool"}]},"id":"0ca23682-e767-4bd3-b653-acf4dee1459e","type":"Toolbar"},{"attributes":{"callback":null},"id":"90380fb5-c5d6-454e-9bce-03d86cce4127","type":"DataRange1d"},{"attributes":{"fill_color":{"value":"#74ADD1"},"line_color":{"value":"#74ADD1"},"size":{"field":"size","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"d07717f6-a915-4580-a3a5-0a95ac1d5011","type":"Square"},{"attributes":{},"id":"f6d7d9c0-8960-4a19-8dc7-4e9f33becc8c","type":"ResetTool"},{"attributes":{},"id":"610ce356-6346-40a9-b593-425d7b4929f0","type":"HelpTool"},{"attributes":{"callback":null,"column_names":["x","y","size"],"data":{"size":[10,20,30],"x":[1,2,3],"y":[1,2,3]}},"id":"6b75688b-2bdb-401a-b8c7-fd1e1d3bb6c6","type":"ColumnDataSource"},{"attributes":{},"id":"db41b8e1-1a7a-4fc0-a27d-bb2d1eb98462","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"1e381fc1-4623-4bc0-9181-f080d3ea0b93","type":"Title"},{"attributes":{},"id":"18d57795-a607-4b07-9af7-3b82fd672100","type":"BasicTicker"},{"attributes":{},"id":"4d2ac680-e8de-4c78-bd4c-7fc9f8f94fb2","type":"LinearScale"},{"attributes":{},"id":"827f48e9-6de4-4fb2-b18a-21788b67a551","type":"SaveTool"}],"root_ids":["49220b02-d0d0-4fdb-bc78-c405e9929d58"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"94db66a9-f984-4970-b88e-eb82441b61d5","elementid":"280ab3ea-48b9-436c-8f2f-8fa4087f161c","modelid":"49220b02-d0d0-4fdb-bc78-c405e9929d58"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
