(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("d0dca7a5-3e86-4398-a866-f4e8c2509905");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'd0dca7a5-3e86-4398-a866-f4e8c2509905' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"78b1b8de-8ea0-4bbd-8de4-bb785365cba0":{"roots":{"references":[{"attributes":{"dimension":1,"plot":{"id":"e87fca86-6a2a-47b4-9356-5da5950445a9","subtype":"Figure","type":"Plot"},"ticker":{"id":"3032b155-8325-4107-89f7-ba706a88c579","type":"BasicTicker"}},"id":"1aa66068-6898-4857-a1a1-0a89d4e817f9","type":"Grid"},{"attributes":{},"id":"d8cdbfc5-2080-4cac-827a-ac0e998b10f7","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"size":{"field":"size","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"d67cec17-be1f-45dd-a377-385f0b8dfa03","type":"SquareCross"},{"attributes":{},"id":"8073a533-bccb-4296-831b-b87afdc58503","type":"LinearScale"},{"attributes":{},"id":"c3bc6d4e-ce96-4060-8a64-3790bd3da1f1","type":"LinearScale"},{"attributes":{},"id":"7daa4aaf-7cc8-4ef2-bc44-ee68a38ba96b","type":"BasicTicker"},{"attributes":{},"id":"3032b155-8325-4107-89f7-ba706a88c579","type":"BasicTicker"},{"attributes":{},"id":"5594972e-01c8-4227-a17d-099ba2bb5203","type":"HelpTool"},{"attributes":{},"id":"cb6e680e-b89e-4fea-967b-80ff134ee811","type":"WheelZoomTool"},{"attributes":{"callback":null},"id":"102693f9-5652-4349-8a13-25b1386bb6d4","type":"DataRange1d"},{"attributes":{"plot":{"id":"e87fca86-6a2a-47b4-9356-5da5950445a9","subtype":"Figure","type":"Plot"},"ticker":{"id":"7daa4aaf-7cc8-4ef2-bc44-ee68a38ba96b","type":"BasicTicker"}},"id":"aa8e4bad-9f82-43ee-b2a9-0b70018e8c86","type":"Grid"},{"attributes":{},"id":"1452ff05-e4f4-49c1-ab6a-e9573d804e05","type":"ResetTool"},{"attributes":{"callback":null,"column_names":["y","x","size"],"data":{"size":[10,20,25],"x":[1,2,3],"y":[1,2,3]}},"id":"835f2377-c639-47e7-a87d-6ba05f3dcc07","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"29605cc7-1e99-49b4-8184-af84f7ab4073","type":"DataRange1d"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#7FC97F"},"line_width":{"value":2},"size":{"field":"size","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"62adab35-d1f5-4f32-b3f6-79c3111d8db7","type":"SquareCross"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"154164c6-e717-4f09-9b0d-ada428292662","type":"PanTool"},{"id":"cb6e680e-b89e-4fea-967b-80ff134ee811","type":"WheelZoomTool"},{"id":"38a55741-313f-4c1f-802d-a50d7d0649bb","type":"BoxZoomTool"},{"id":"c7afc612-4fe9-4fb7-b109-bf00d40614c0","type":"SaveTool"},{"id":"1452ff05-e4f4-49c1-ab6a-e9573d804e05","type":"ResetTool"},{"id":"5594972e-01c8-4227-a17d-099ba2bb5203","type":"HelpTool"}]},"id":"86b65815-0588-4250-96fa-399dd91f001f","type":"Toolbar"},{"attributes":{"source":{"id":"835f2377-c639-47e7-a87d-6ba05f3dcc07","type":"ColumnDataSource"}},"id":"c2aeb23c-09f4-46d2-8056-08a86fd1d7b9","type":"CDSView"},{"attributes":{},"id":"6b5ee94b-d990-4c61-9c59-c1b5ac7b5573","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"2eb0ce62-c629-48e5-8a91-37eaf3334d65","type":"LinearAxis"}],"left":[{"id":"4fa2b5b6-de69-485f-a217-fdcb0de60b46","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"2eb0ce62-c629-48e5-8a91-37eaf3334d65","type":"LinearAxis"},{"id":"aa8e4bad-9f82-43ee-b2a9-0b70018e8c86","type":"Grid"},{"id":"4fa2b5b6-de69-485f-a217-fdcb0de60b46","type":"LinearAxis"},{"id":"1aa66068-6898-4857-a1a1-0a89d4e817f9","type":"Grid"},{"id":"8fc4f7f4-8e5a-46e1-bbb5-3a9016d1e6e8","type":"BoxAnnotation"},{"id":"8a7a2c17-83b5-4097-bb39-0abf1f8ae2b8","type":"GlyphRenderer"}],"title":{"id":"acc5b5fa-4fac-43ed-b99a-ae5043109494","type":"Title"},"toolbar":{"id":"86b65815-0588-4250-96fa-399dd91f001f","type":"Toolbar"},"x_range":{"id":"102693f9-5652-4349-8a13-25b1386bb6d4","type":"DataRange1d"},"x_scale":{"id":"c3bc6d4e-ce96-4060-8a64-3790bd3da1f1","type":"LinearScale"},"y_range":{"id":"29605cc7-1e99-49b4-8184-af84f7ab4073","type":"DataRange1d"},"y_scale":{"id":"8073a533-bccb-4296-831b-b87afdc58503","type":"LinearScale"}},"id":"e87fca86-6a2a-47b4-9356-5da5950445a9","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"154164c6-e717-4f09-9b0d-ada428292662","type":"PanTool"},{"attributes":{"formatter":{"id":"d8cdbfc5-2080-4cac-827a-ac0e998b10f7","type":"BasicTickFormatter"},"plot":{"id":"e87fca86-6a2a-47b4-9356-5da5950445a9","subtype":"Figure","type":"Plot"},"ticker":{"id":"3032b155-8325-4107-89f7-ba706a88c579","type":"BasicTicker"}},"id":"4fa2b5b6-de69-485f-a217-fdcb0de60b46","type":"LinearAxis"},{"attributes":{"data_source":{"id":"835f2377-c639-47e7-a87d-6ba05f3dcc07","type":"ColumnDataSource"},"glyph":{"id":"62adab35-d1f5-4f32-b3f6-79c3111d8db7","type":"SquareCross"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"d67cec17-be1f-45dd-a377-385f0b8dfa03","type":"SquareCross"},"selection_glyph":null,"view":{"id":"c2aeb23c-09f4-46d2-8056-08a86fd1d7b9","type":"CDSView"}},"id":"8a7a2c17-83b5-4097-bb39-0abf1f8ae2b8","type":"GlyphRenderer"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"8fc4f7f4-8e5a-46e1-bbb5-3a9016d1e6e8","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"6b5ee94b-d990-4c61-9c59-c1b5ac7b5573","type":"BasicTickFormatter"},"plot":{"id":"e87fca86-6a2a-47b4-9356-5da5950445a9","subtype":"Figure","type":"Plot"},"ticker":{"id":"7daa4aaf-7cc8-4ef2-bc44-ee68a38ba96b","type":"BasicTicker"}},"id":"2eb0ce62-c629-48e5-8a91-37eaf3334d65","type":"LinearAxis"},{"attributes":{},"id":"c7afc612-4fe9-4fb7-b109-bf00d40614c0","type":"SaveTool"},{"attributes":{"overlay":{"id":"8fc4f7f4-8e5a-46e1-bbb5-3a9016d1e6e8","type":"BoxAnnotation"}},"id":"38a55741-313f-4c1f-802d-a50d7d0649bb","type":"BoxZoomTool"},{"attributes":{"plot":null,"text":""},"id":"acc5b5fa-4fac-43ed-b99a-ae5043109494","type":"Title"}],"root_ids":["e87fca86-6a2a-47b4-9356-5da5950445a9"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"78b1b8de-8ea0-4bbd-8de4-bb785365cba0","elementid":"d0dca7a5-3e86-4398-a866-f4e8c2509905","modelid":"e87fca86-6a2a-47b4-9356-5da5950445a9"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
