(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("4b74ed73-5dd2-4c38-9dfe-ba9220646e4c");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '4b74ed73-5dd2-4c38-9dfe-ba9220646e4c' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"79312357-efba-49ac-8c67-34fe47f111d4":{"roots":{"references":[{"attributes":{"formatter":{"id":"b2dc62ea-27d3-4e9c-82ca-4bb042f8a499","type":"BasicTickFormatter"},"plot":{"id":"261ed86f-08fa-4457-af86-50a6ef66b0da","subtype":"Figure","type":"Plot"},"ticker":{"id":"62199d27-eae1-4183-b250-708c35d11a73","type":"BasicTicker"}},"id":"067f7f4c-0a23-484a-b0db-5a5cde619def","type":"LinearAxis"},{"attributes":{},"id":"e28e8499-ea04-4edd-afb5-df16853ac153","type":"PanTool"},{"attributes":{"below":[{"id":"55c20a27-0fc4-49d9-a5d6-59c0429eb18a","type":"LinearAxis"}],"left":[{"id":"067f7f4c-0a23-484a-b0db-5a5cde619def","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"55c20a27-0fc4-49d9-a5d6-59c0429eb18a","type":"LinearAxis"},{"id":"e214a1f0-87e5-41d6-8083-2025a6f9915d","type":"Grid"},{"id":"067f7f4c-0a23-484a-b0db-5a5cde619def","type":"LinearAxis"},{"id":"792e0f75-e02c-4508-ae10-39eadf147ca7","type":"Grid"},{"id":"f325bc97-2bac-482f-b0eb-093ea061ed65","type":"BoxAnnotation"},{"id":"d5bdc15e-f67c-4f52-b830-5146940ff5e8","type":"GlyphRenderer"}],"title":{"id":"98915929-6873-4833-a709-1dff83b2689d","type":"Title"},"toolbar":{"id":"a109f2bc-89bf-41aa-919b-020ba0d15b4d","type":"Toolbar"},"x_range":{"id":"d6c9122a-6c6b-4695-bcbe-364e8e409d9c","type":"DataRange1d"},"x_scale":{"id":"b728aa63-5c36-4be0-a1b4-7c0fd442f379","type":"LinearScale"},"y_range":{"id":"6dab3b53-9afb-4f39-a272-f6f519d5d52f","type":"DataRange1d"},"y_scale":{"id":"39dfdd56-eb4d-4420-a886-0050cb3a0d22","type":"LinearScale"}},"id":"261ed86f-08fa-4457-af86-50a6ef66b0da","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"413f3c24-7873-4f68-81e6-7daa8687466f","type":"HelpTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"size":{"field":"size","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"a632a3fe-4734-40cc-a63b-c673f9560ece","type":"Triangle"},{"attributes":{},"id":"b2dc62ea-27d3-4e9c-82ca-4bb042f8a499","type":"BasicTickFormatter"},{"attributes":{},"id":"fdd1f80b-42f1-4428-9d19-20f53cac6829","type":"WheelZoomTool"},{"attributes":{"source":{"id":"8d83ddba-d8b9-4617-8a19-4f8fd3fd0ba9","type":"ColumnDataSource"}},"id":"e1789027-3d37-4abd-a0f5-bc293096dd80","type":"CDSView"},{"attributes":{},"id":"6a347269-9612-4958-9d1c-8c5ce9d35436","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"e28e8499-ea04-4edd-afb5-df16853ac153","type":"PanTool"},{"id":"fdd1f80b-42f1-4428-9d19-20f53cac6829","type":"WheelZoomTool"},{"id":"e39de616-d6c8-43b8-9c23-bab49f70616a","type":"BoxZoomTool"},{"id":"06665ae7-cc68-45ae-8c39-4e4a1830ba31","type":"SaveTool"},{"id":"820e313f-c58e-41e5-9393-2120b5f7bcaa","type":"ResetTool"},{"id":"413f3c24-7873-4f68-81e6-7daa8687466f","type":"HelpTool"}]},"id":"a109f2bc-89bf-41aa-919b-020ba0d15b4d","type":"Toolbar"},{"attributes":{},"id":"39dfdd56-eb4d-4420-a886-0050cb3a0d22","type":"LinearScale"},{"attributes":{"formatter":{"id":"9d309ae8-6ac3-4b64-9086-09030a44dd7e","type":"BasicTickFormatter"},"plot":{"id":"261ed86f-08fa-4457-af86-50a6ef66b0da","subtype":"Figure","type":"Plot"},"ticker":{"id":"6a347269-9612-4958-9d1c-8c5ce9d35436","type":"BasicTicker"}},"id":"55c20a27-0fc4-49d9-a5d6-59c0429eb18a","type":"LinearAxis"},{"attributes":{"callback":null},"id":"d6c9122a-6c6b-4695-bcbe-364e8e409d9c","type":"DataRange1d"},{"attributes":{},"id":"b728aa63-5c36-4be0-a1b4-7c0fd442f379","type":"LinearScale"},{"attributes":{"callback":null},"id":"6dab3b53-9afb-4f39-a272-f6f519d5d52f","type":"DataRange1d"},{"attributes":{"plot":{"id":"261ed86f-08fa-4457-af86-50a6ef66b0da","subtype":"Figure","type":"Plot"},"ticker":{"id":"6a347269-9612-4958-9d1c-8c5ce9d35436","type":"BasicTicker"}},"id":"e214a1f0-87e5-41d6-8083-2025a6f9915d","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"261ed86f-08fa-4457-af86-50a6ef66b0da","subtype":"Figure","type":"Plot"},"ticker":{"id":"62199d27-eae1-4183-b250-708c35d11a73","type":"BasicTicker"}},"id":"792e0f75-e02c-4508-ae10-39eadf147ca7","type":"Grid"},{"attributes":{},"id":"62199d27-eae1-4183-b250-708c35d11a73","type":"BasicTicker"},{"attributes":{},"id":"9d309ae8-6ac3-4b64-9086-09030a44dd7e","type":"BasicTickFormatter"},{"attributes":{},"id":"820e313f-c58e-41e5-9393-2120b5f7bcaa","type":"ResetTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"f325bc97-2bac-482f-b0eb-093ea061ed65","type":"BoxAnnotation"},{"attributes":{"plot":null,"text":""},"id":"98915929-6873-4833-a709-1dff83b2689d","type":"Title"},{"attributes":{"fill_color":{"value":"#99D594"},"line_color":{"value":"#99D594"},"line_width":{"value":2},"size":{"field":"size","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"44414b5f-51cf-4658-9dc0-ddb2e62b8064","type":"Triangle"},{"attributes":{"callback":null,"column_names":["y","x","size"],"data":{"size":[10,20,25],"x":[1,2,3],"y":[1,2,3]}},"id":"8d83ddba-d8b9-4617-8a19-4f8fd3fd0ba9","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"8d83ddba-d8b9-4617-8a19-4f8fd3fd0ba9","type":"ColumnDataSource"},"glyph":{"id":"44414b5f-51cf-4658-9dc0-ddb2e62b8064","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a632a3fe-4734-40cc-a63b-c673f9560ece","type":"Triangle"},"selection_glyph":null,"view":{"id":"e1789027-3d37-4abd-a0f5-bc293096dd80","type":"CDSView"}},"id":"d5bdc15e-f67c-4f52-b830-5146940ff5e8","type":"GlyphRenderer"},{"attributes":{"overlay":{"id":"f325bc97-2bac-482f-b0eb-093ea061ed65","type":"BoxAnnotation"}},"id":"e39de616-d6c8-43b8-9c23-bab49f70616a","type":"BoxZoomTool"},{"attributes":{},"id":"06665ae7-cc68-45ae-8c39-4e4a1830ba31","type":"SaveTool"}],"root_ids":["261ed86f-08fa-4457-af86-50a6ef66b0da"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"79312357-efba-49ac-8c67-34fe47f111d4","elementid":"4b74ed73-5dd2-4c38-9dfe-ba9220646e4c","modelid":"261ed86f-08fa-4457-af86-50a6ef66b0da"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
