(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("04476652-51ea-4b7f-a6c2-5999da17dc46");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '04476652-51ea-4b7f-a6c2-5999da17dc46' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"da1bb19e-7a37-4b03-b5ea-b365104dca7c":{"roots":{"references":[{"attributes":{"formatter":{"id":"2fffe007-db24-48b6-8bdb-0a68dd3753a5","type":"BasicTickFormatter"},"plot":{"id":"dc923bcb-5aab-412d-b898-8f93c0cd2a01","subtype":"Figure","type":"Plot"},"ticker":{"id":"c88411f0-3d28-4af7-b433-91408041f9fc","type":"BasicTicker"}},"id":"397a8143-bced-4ea7-bb9a-5bdc446c29f4","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"78bb3a06-500a-44a2-a92c-2f27aabd2283","type":"PanTool"},{"id":"9613f940-5a7a-47a1-b28e-808abc420447","type":"WheelZoomTool"},{"id":"010dd795-5079-48ea-a919-894e0c4a5002","type":"BoxZoomTool"},{"id":"c2ba2a52-f678-4027-9251-30394e503e8a","type":"SaveTool"},{"id":"e53e5c1b-7ef0-4124-a7c2-c94a0315fc94","type":"ResetTool"},{"id":"2735555c-6127-4c5d-b984-de7b7492e96c","type":"HelpTool"}]},"id":"7a9c8359-95d5-42d8-871a-905cd9bba60c","type":"Toolbar"},{"attributes":{"data_source":{"id":"001fcb4b-6b35-4fbc-8690-267fe837f1ee","type":"ColumnDataSource"},"glyph":{"id":"90cf90e4-9f23-486e-8c49-23959a66b9b6","type":"X"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"1d2e640d-6111-4f49-9839-d7a325a64127","type":"X"},"selection_glyph":null,"view":{"id":"d3f220e3-cf5b-47de-a756-4e878aafe5db","type":"CDSView"}},"id":"249b9f2a-6b28-4348-9a49-d084f52bbcc5","type":"GlyphRenderer"},{"attributes":{"source":{"id":"001fcb4b-6b35-4fbc-8690-267fe837f1ee","type":"ColumnDataSource"}},"id":"d3f220e3-cf5b-47de-a756-4e878aafe5db","type":"CDSView"},{"attributes":{},"id":"e60f8a8f-58e7-4fc2-8902-7a6d2d8774c2","type":"LinearScale"},{"attributes":{"formatter":{"id":"66822500-4e7d-4f97-88d2-f174c5ebfb9c","type":"BasicTickFormatter"},"plot":{"id":"dc923bcb-5aab-412d-b898-8f93c0cd2a01","subtype":"Figure","type":"Plot"},"ticker":{"id":"00bfeea2-a2f7-470f-99b6-eb4cf474ecde","type":"BasicTicker"}},"id":"1c390e52-3fe9-4331-8c25-2d96a5c6751d","type":"LinearAxis"},{"attributes":{},"id":"c88411f0-3d28-4af7-b433-91408041f9fc","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"c2482794-16fc-49bd-9a9a-0b43e82f7575","type":"Title"},{"attributes":{"callback":null},"id":"fc815229-1a7d-472d-9eae-102aa6d6784c","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"dc923bcb-5aab-412d-b898-8f93c0cd2a01","subtype":"Figure","type":"Plot"},"ticker":{"id":"c88411f0-3d28-4af7-b433-91408041f9fc","type":"BasicTicker"}},"id":"5b088c19-e8fc-4890-bf00-d67ac2b38af2","type":"Grid"},{"attributes":{},"id":"66822500-4e7d-4f97-88d2-f174c5ebfb9c","type":"BasicTickFormatter"},{"attributes":{},"id":"2fffe007-db24-48b6-8bdb-0a68dd3753a5","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"dc923bcb-5aab-412d-b898-8f93c0cd2a01","subtype":"Figure","type":"Plot"},"ticker":{"id":"00bfeea2-a2f7-470f-99b6-eb4cf474ecde","type":"BasicTicker"}},"id":"279d499c-44d7-4341-9012-cafe7e2d41cf","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"field":"size","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"1d2e640d-6111-4f49-9839-d7a325a64127","type":"X"},{"attributes":{"callback":null},"id":"38b66afc-81eb-4816-bcbc-9650455a2766","type":"DataRange1d"},{"attributes":{},"id":"c2ba2a52-f678-4027-9251-30394e503e8a","type":"SaveTool"},{"attributes":{},"id":"e53e5c1b-7ef0-4124-a7c2-c94a0315fc94","type":"ResetTool"},{"attributes":{},"id":"9613f940-5a7a-47a1-b28e-808abc420447","type":"WheelZoomTool"},{"attributes":{"fill_color":{"value":"#fa9fb5"},"line_color":{"value":"#fa9fb5"},"size":{"field":"size","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"90cf90e4-9f23-486e-8c49-23959a66b9b6","type":"X"},{"attributes":{},"id":"78bb3a06-500a-44a2-a92c-2f27aabd2283","type":"PanTool"},{"attributes":{"callback":null,"column_names":["x","y","size"],"data":{"size":[10,20,25],"x":[1,2,3],"y":[1,2,3]}},"id":"001fcb4b-6b35-4fbc-8690-267fe837f1ee","type":"ColumnDataSource"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"07104439-9ba8-4313-ab4d-1ebccaf58837","type":"BoxAnnotation"},{"attributes":{"below":[{"id":"1c390e52-3fe9-4331-8c25-2d96a5c6751d","type":"LinearAxis"}],"left":[{"id":"397a8143-bced-4ea7-bb9a-5bdc446c29f4","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"1c390e52-3fe9-4331-8c25-2d96a5c6751d","type":"LinearAxis"},{"id":"279d499c-44d7-4341-9012-cafe7e2d41cf","type":"Grid"},{"id":"397a8143-bced-4ea7-bb9a-5bdc446c29f4","type":"LinearAxis"},{"id":"5b088c19-e8fc-4890-bf00-d67ac2b38af2","type":"Grid"},{"id":"07104439-9ba8-4313-ab4d-1ebccaf58837","type":"BoxAnnotation"},{"id":"249b9f2a-6b28-4348-9a49-d084f52bbcc5","type":"GlyphRenderer"}],"title":{"id":"c2482794-16fc-49bd-9a9a-0b43e82f7575","type":"Title"},"toolbar":{"id":"7a9c8359-95d5-42d8-871a-905cd9bba60c","type":"Toolbar"},"x_range":{"id":"fc815229-1a7d-472d-9eae-102aa6d6784c","type":"DataRange1d"},"x_scale":{"id":"e60f8a8f-58e7-4fc2-8902-7a6d2d8774c2","type":"LinearScale"},"y_range":{"id":"38b66afc-81eb-4816-bcbc-9650455a2766","type":"DataRange1d"},"y_scale":{"id":"20d04d58-25dd-444c-a0a3-dd06da3243a7","type":"LinearScale"}},"id":"dc923bcb-5aab-412d-b898-8f93c0cd2a01","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"20d04d58-25dd-444c-a0a3-dd06da3243a7","type":"LinearScale"},{"attributes":{"overlay":{"id":"07104439-9ba8-4313-ab4d-1ebccaf58837","type":"BoxAnnotation"}},"id":"010dd795-5079-48ea-a919-894e0c4a5002","type":"BoxZoomTool"},{"attributes":{},"id":"00bfeea2-a2f7-470f-99b6-eb4cf474ecde","type":"BasicTicker"},{"attributes":{},"id":"2735555c-6127-4c5d-b984-de7b7492e96c","type":"HelpTool"}],"root_ids":["dc923bcb-5aab-412d-b898-8f93c0cd2a01"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"da1bb19e-7a37-4b03-b5ea-b365104dca7c","elementid":"04476652-51ea-4b7f-a6c2-5999da17dc46","modelid":"dc923bcb-5aab-412d-b898-8f93c0cd2a01"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
