(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("dc715d31-23ca-4ee8-9ec2-687b9137f2ef");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'dc715d31-23ca-4ee8-9ec2-687b9137f2ef' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"9afc814a-3b1b-4d06-9e57-9695310c5bf4":{"roots":{"references":[{"attributes":{},"id":"4595efd9-1fcc-4191-981c-627c56dd1728","type":"ResetTool"},{"attributes":{},"id":"5c2ece20-fa1d-43b4-bd4d-023829fb78bc","type":"LinearScale"},{"attributes":{},"id":"81a13a0e-236f-4e27-bc47-f982c1d3b927","type":"WheelZoomTool"},{"attributes":{"data_source":{"id":"40baa2f6-5ef6-4970-bcef-3cc08c8d1ce8","type":"ColumnDataSource"},"glyph":{"id":"5855f14e-48c9-4ad6-9b9a-98fe62b4bdfc","type":"CircleCross"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b52e5fde-f562-4258-a75f-c89c7917ff03","type":"CircleCross"},"selection_glyph":null,"view":{"id":"c2dd6ac9-9433-40c9-bb2f-a7ceed46504d","type":"CDSView"}},"id":"36636cf5-4d1f-4c40-b309-c5a258a70d83","type":"GlyphRenderer"},{"attributes":{},"id":"326cd79c-2d41-47ef-b857-a2aeecf9ae0f","type":"BasicTickFormatter"},{"attributes":{},"id":"4c420534-fea5-437b-a0a0-bc3ea21c1376","type":"PanTool"},{"attributes":{"plot":{"id":"750109ef-8de6-4390-b54e-b2c7402720a8","subtype":"Figure","type":"Plot"},"ticker":{"id":"d0966c60-b8dd-40e4-93c3-5aeb405ba01c","type":"BasicTicker"}},"id":"1f06fae6-a69b-46e8-b31f-cf023135f329","type":"Grid"},{"attributes":{},"id":"9f65e3b4-dd4f-4ae0-affd-bd47e2274daa","type":"SaveTool"},{"attributes":{},"id":"d0966c60-b8dd-40e4-93c3-5aeb405ba01c","type":"BasicTicker"},{"attributes":{"below":[{"id":"452e3827-522b-48f9-99bb-2da6d0af23b0","type":"LinearAxis"}],"left":[{"id":"6f931afa-0c01-4a1c-8e3e-f455d22aec62","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"452e3827-522b-48f9-99bb-2da6d0af23b0","type":"LinearAxis"},{"id":"1f06fae6-a69b-46e8-b31f-cf023135f329","type":"Grid"},{"id":"6f931afa-0c01-4a1c-8e3e-f455d22aec62","type":"LinearAxis"},{"id":"3d96a8cb-d1a1-4f1c-8652-3c282f3d9cd6","type":"Grid"},{"id":"f10fa76e-4529-4452-a109-a0be449ef073","type":"BoxAnnotation"},{"id":"36636cf5-4d1f-4c40-b309-c5a258a70d83","type":"GlyphRenderer"}],"title":{"id":"8efbbdf7-598f-481c-8c5d-ffddd2616e3b","type":"Title"},"toolbar":{"id":"8d55c2c7-9ac9-4461-9186-f9fc1ca3e731","type":"Toolbar"},"x_range":{"id":"0332f04b-24fe-4eaa-a7e8-de5e8a55dedb","type":"DataRange1d"},"x_scale":{"id":"7f9b51e6-8f6e-44b3-886e-097e9f0a232d","type":"LinearScale"},"y_range":{"id":"ee104789-ec96-4866-9b21-3d8f48fd4ef1","type":"DataRange1d"},"y_scale":{"id":"5c2ece20-fa1d-43b4-bd4d-023829fb78bc","type":"LinearScale"}},"id":"750109ef-8de6-4390-b54e-b2c7402720a8","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"88c27d32-ac04-47c6-9e29-cb81c5a7c0af","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"ee104789-ec96-4866-9b21-3d8f48fd4ef1","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[4,5,6]}},"id":"40baa2f6-5ef6-4970-bcef-3cc08c8d1ce8","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.2},"fill_color":{"value":"#FB8072"},"line_color":{"value":"#FB8072"},"line_width":{"value":2},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"5855f14e-48c9-4ad6-9b9a-98fe62b4bdfc","type":"CircleCross"},{"attributes":{},"id":"c8dff5e3-1fc3-46b3-b3c8-ab81f41c4110","type":"HelpTool"},{"attributes":{"formatter":{"id":"88c27d32-ac04-47c6-9e29-cb81c5a7c0af","type":"BasicTickFormatter"},"plot":{"id":"750109ef-8de6-4390-b54e-b2c7402720a8","subtype":"Figure","type":"Plot"},"ticker":{"id":"d0966c60-b8dd-40e4-93c3-5aeb405ba01c","type":"BasicTicker"}},"id":"452e3827-522b-48f9-99bb-2da6d0af23b0","type":"LinearAxis"},{"attributes":{"callback":null},"id":"0332f04b-24fe-4eaa-a7e8-de5e8a55dedb","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"750109ef-8de6-4390-b54e-b2c7402720a8","subtype":"Figure","type":"Plot"},"ticker":{"id":"27cf6c3c-108e-4174-9e3c-033105547444","type":"BasicTicker"}},"id":"3d96a8cb-d1a1-4f1c-8652-3c282f3d9cd6","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"4c420534-fea5-437b-a0a0-bc3ea21c1376","type":"PanTool"},{"id":"81a13a0e-236f-4e27-bc47-f982c1d3b927","type":"WheelZoomTool"},{"id":"b188cbb4-2746-44fb-a9e8-f8d0af6270a4","type":"BoxZoomTool"},{"id":"9f65e3b4-dd4f-4ae0-affd-bd47e2274daa","type":"SaveTool"},{"id":"4595efd9-1fcc-4191-981c-627c56dd1728","type":"ResetTool"},{"id":"c8dff5e3-1fc3-46b3-b3c8-ab81f41c4110","type":"HelpTool"}]},"id":"8d55c2c7-9ac9-4461-9186-f9fc1ca3e731","type":"Toolbar"},{"attributes":{"formatter":{"id":"326cd79c-2d41-47ef-b857-a2aeecf9ae0f","type":"BasicTickFormatter"},"plot":{"id":"750109ef-8de6-4390-b54e-b2c7402720a8","subtype":"Figure","type":"Plot"},"ticker":{"id":"27cf6c3c-108e-4174-9e3c-033105547444","type":"BasicTicker"}},"id":"6f931afa-0c01-4a1c-8e3e-f455d22aec62","type":"LinearAxis"},{"attributes":{"source":{"id":"40baa2f6-5ef6-4970-bcef-3cc08c8d1ce8","type":"ColumnDataSource"}},"id":"c2dd6ac9-9433-40c9-bb2f-a7ceed46504d","type":"CDSView"},{"attributes":{"plot":null,"text":""},"id":"8efbbdf7-598f-481c-8c5d-ffddd2616e3b","type":"Title"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"b52e5fde-f562-4258-a75f-c89c7917ff03","type":"CircleCross"},{"attributes":{},"id":"7f9b51e6-8f6e-44b3-886e-097e9f0a232d","type":"LinearScale"},{"attributes":{"overlay":{"id":"f10fa76e-4529-4452-a109-a0be449ef073","type":"BoxAnnotation"}},"id":"b188cbb4-2746-44fb-a9e8-f8d0af6270a4","type":"BoxZoomTool"},{"attributes":{},"id":"27cf6c3c-108e-4174-9e3c-033105547444","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"f10fa76e-4529-4452-a109-a0be449ef073","type":"BoxAnnotation"}],"root_ids":["750109ef-8de6-4390-b54e-b2c7402720a8"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"9afc814a-3b1b-4d06-9e57-9695310c5bf4","elementid":"dc715d31-23ca-4ee8-9ec2-687b9137f2ef","modelid":"750109ef-8de6-4390-b54e-b2c7402720a8"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
