(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2d1c1e5e-21a9-434a-837a-47c99760ba1c");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2d1c1e5e-21a9-434a-837a-47c99760ba1c' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"dcec594c-2758-474c-af4d-e526f164d6b5":{"roots":{"references":[{"attributes":{"formatter":{"id":"5877ff9d-f9be-440a-be96-c3e0fca89010","type":"BasicTickFormatter"},"plot":{"id":"57aa45e5-c9a6-49ff-bb02-b6f047a84aab","subtype":"Figure","type":"Plot"},"ticker":{"id":"4478c640-c2a4-46b8-97dd-912dc1019626","type":"BasicTicker"}},"id":"a6b521f7-6116-46e1-9f3b-e1d4fff19be7","type":"LinearAxis"},{"attributes":{},"id":"280cdced-a02b-4e02-89c4-a1654f78de67","type":"BasicTicker"},{"attributes":{"data_source":{"id":"8045714e-9243-45c1-8b3f-38fed1f899bb","type":"ColumnDataSource"},"glyph":{"id":"c34352d8-c790-465c-be1c-866ec12d134a","type":"CircleX"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"80a61ad9-76e9-4a62-a8ce-cb6ace02acf3","type":"CircleX"},"selection_glyph":null,"view":{"id":"4c9f05ff-3d8a-48c4-a1df-f9e15b497bb2","type":"CDSView"}},"id":"10f33842-4ffd-462c-aee3-8ce63d670728","type":"GlyphRenderer"},{"attributes":{"source":{"id":"8045714e-9243-45c1-8b3f-38fed1f899bb","type":"ColumnDataSource"}},"id":"4c9f05ff-3d8a-48c4-a1df-f9e15b497bb2","type":"CDSView"},{"attributes":{"overlay":{"id":"de93d39b-40d6-4d18-8117-8ccf79e57cc9","type":"BoxAnnotation"}},"id":"7b176831-d9af-49a8-a0b1-d6d3f4e27b8e","type":"BoxZoomTool"},{"attributes":{"fill_alpha":{"value":0.2},"fill_color":{"value":"#DD1C77"},"line_color":{"value":"#DD1C77"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"c34352d8-c790-465c-be1c-866ec12d134a","type":"CircleX"},{"attributes":{},"id":"49344353-5963-420e-91b8-0cbbdeee2ef3","type":"LinearScale"},{"attributes":{"formatter":{"id":"64fd8e89-7306-485f-a930-204c61b2ef08","type":"BasicTickFormatter"},"plot":{"id":"57aa45e5-c9a6-49ff-bb02-b6f047a84aab","subtype":"Figure","type":"Plot"},"ticker":{"id":"280cdced-a02b-4e02-89c4-a1654f78de67","type":"BasicTicker"}},"id":"df129f1f-5887-41d3-9734-b4397d1771c1","type":"LinearAxis"},{"attributes":{"plot":null,"text":""},"id":"bebf58aa-2ed2-4498-bbb3-550acb4d9006","type":"Title"},{"attributes":{},"id":"54bfa7fd-7e0c-4851-80b0-3247b96b7ae3","type":"ResetTool"},{"attributes":{"callback":null},"id":"bc6b6f39-d438-4b4d-93fc-afc9dd363955","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"de93d39b-40d6-4d18-8117-8ccf79e57cc9","type":"BoxAnnotation"},{"attributes":{},"id":"1c307542-78d3-4452-a8c7-86f292d213c1","type":"SaveTool"},{"attributes":{"plot":{"id":"57aa45e5-c9a6-49ff-bb02-b6f047a84aab","subtype":"Figure","type":"Plot"},"ticker":{"id":"280cdced-a02b-4e02-89c4-a1654f78de67","type":"BasicTicker"}},"id":"0fe8088e-7b4f-40ba-bf95-459d98c0f549","type":"Grid"},{"attributes":{},"id":"093602d9-b682-4de8-a3ea-a2e287a2491e","type":"PanTool"},{"attributes":{},"id":"4478c640-c2a4-46b8-97dd-912dc1019626","type":"BasicTicker"},{"attributes":{},"id":"d798ef80-8d92-45a0-99fd-cd30b52d69f9","type":"WheelZoomTool"},{"attributes":{"below":[{"id":"df129f1f-5887-41d3-9734-b4397d1771c1","type":"LinearAxis"}],"left":[{"id":"a6b521f7-6116-46e1-9f3b-e1d4fff19be7","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"df129f1f-5887-41d3-9734-b4397d1771c1","type":"LinearAxis"},{"id":"0fe8088e-7b4f-40ba-bf95-459d98c0f549","type":"Grid"},{"id":"a6b521f7-6116-46e1-9f3b-e1d4fff19be7","type":"LinearAxis"},{"id":"25a672d4-4b2a-4f75-9b00-9e6b58a56d6d","type":"Grid"},{"id":"de93d39b-40d6-4d18-8117-8ccf79e57cc9","type":"BoxAnnotation"},{"id":"10f33842-4ffd-462c-aee3-8ce63d670728","type":"GlyphRenderer"}],"title":{"id":"bebf58aa-2ed2-4498-bbb3-550acb4d9006","type":"Title"},"toolbar":{"id":"9e628c09-dcec-4143-9371-eee78e171200","type":"Toolbar"},"x_range":{"id":"b79721a7-f5ac-43d3-9186-342becb8ff4b","type":"DataRange1d"},"x_scale":{"id":"5091f596-61c1-42c6-8d38-221942dbc4d1","type":"LinearScale"},"y_range":{"id":"bc6b6f39-d438-4b4d-93fc-afc9dd363955","type":"DataRange1d"},"y_scale":{"id":"49344353-5963-420e-91b8-0cbbdeee2ef3","type":"LinearScale"}},"id":"57aa45e5-c9a6-49ff-bb02-b6f047a84aab","subtype":"Figure","type":"Plot"},{"attributes":{"dimension":1,"plot":{"id":"57aa45e5-c9a6-49ff-bb02-b6f047a84aab","subtype":"Figure","type":"Plot"},"ticker":{"id":"4478c640-c2a4-46b8-97dd-912dc1019626","type":"BasicTicker"}},"id":"25a672d4-4b2a-4f75-9b00-9e6b58a56d6d","type":"Grid"},{"attributes":{"callback":null},"id":"b79721a7-f5ac-43d3-9186-342becb8ff4b","type":"DataRange1d"},{"attributes":{},"id":"d2c323d4-baa2-4e44-bb72-8f9d54c9bcbf","type":"HelpTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"8045714e-9243-45c1-8b3f-38fed1f899bb","type":"ColumnDataSource"},{"attributes":{},"id":"5877ff9d-f9be-440a-be96-c3e0fca89010","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"093602d9-b682-4de8-a3ea-a2e287a2491e","type":"PanTool"},{"id":"d798ef80-8d92-45a0-99fd-cd30b52d69f9","type":"WheelZoomTool"},{"id":"7b176831-d9af-49a8-a0b1-d6d3f4e27b8e","type":"BoxZoomTool"},{"id":"1c307542-78d3-4452-a8c7-86f292d213c1","type":"SaveTool"},{"id":"54bfa7fd-7e0c-4851-80b0-3247b96b7ae3","type":"ResetTool"},{"id":"d2c323d4-baa2-4e44-bb72-8f9d54c9bcbf","type":"HelpTool"}]},"id":"9e628c09-dcec-4143-9371-eee78e171200","type":"Toolbar"},{"attributes":{},"id":"5091f596-61c1-42c6-8d38-221942dbc4d1","type":"LinearScale"},{"attributes":{},"id":"64fd8e89-7306-485f-a930-204c61b2ef08","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"80a61ad9-76e9-4a62-a8ce-cb6ace02acf3","type":"CircleX"}],"root_ids":["57aa45e5-c9a6-49ff-bb02-b6f047a84aab"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"dcec594c-2758-474c-af4d-e526f164d6b5","elementid":"2d1c1e5e-21a9-434a-837a-47c99760ba1c","modelid":"57aa45e5-c9a6-49ff-bb02-b6f047a84aab"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
