(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("19f74e1e-83c5-4025-a08a-a2cd30689668");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '19f74e1e-83c5-4025-a08a-a2cd30689668' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"14f0cc2d-d514-4873-8df0-5d34cfcb6fb5":{"roots":{"references":[{"attributes":{},"id":"76f3b0f4-6fdd-4216-8286-3a1f0e523d94","type":"HelpTool"},{"attributes":{"source":{"id":"8142e552-16fa-4ac6-b3db-6b618d3dd98d","type":"ColumnDataSource"}},"id":"86d65b3e-6e85-4bdd-9032-a3570ae8c56a","type":"CDSView"},{"attributes":{},"id":"50548575-1571-4ad4-b71d-8978d727a776","type":"ResetTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"630418df-fdbf-44fb-964d-706b3db0ef53","type":"Cross"},{"attributes":{},"id":"8a8afd8a-8df0-40ec-b1dd-9d511b9180ab","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"23384b5d-4fb0-43cf-8617-f32aee269eda","type":"BoxAnnotation"}},"id":"fa30566d-90a0-4e01-814c-1df604257ca8","type":"BoxZoomTool"},{"attributes":{},"id":"21eb512e-529d-4459-84ab-76389c9c4d8b","type":"WheelZoomTool"},{"attributes":{"fill_color":{"value":"#E6550D"},"line_color":{"value":"#E6550D"},"line_width":{"value":2},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"606f4670-5156-4bdd-a48e-a045eb0aa09d","type":"Cross"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"23384b5d-4fb0-43cf-8617-f32aee269eda","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"d448430c-9a29-4d7d-bdb2-9d5f1cdf98fb","type":"BasicTickFormatter"},"plot":{"id":"03b969f5-bc4f-4b06-ad9c-b15e724cd685","subtype":"Figure","type":"Plot"},"ticker":{"id":"08ac798b-f5ba-4168-a624-3ef63c4a1f80","type":"BasicTicker"}},"id":"c9cedd68-b685-4726-9490-88abbd8df911","type":"LinearAxis"},{"attributes":{},"id":"d448430c-9a29-4d7d-bdb2-9d5f1cdf98fb","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"8142e552-16fa-4ac6-b3db-6b618d3dd98d","type":"ColumnDataSource"},{"attributes":{},"id":"8b837dc1-2420-4088-a890-66c1c61e70ee","type":"LinearScale"},{"attributes":{"formatter":{"id":"8a8afd8a-8df0-40ec-b1dd-9d511b9180ab","type":"BasicTickFormatter"},"plot":{"id":"03b969f5-bc4f-4b06-ad9c-b15e724cd685","subtype":"Figure","type":"Plot"},"ticker":{"id":"579eee12-6096-41cc-a92f-b58fd1084096","type":"BasicTicker"}},"id":"62f1b99f-8e8f-437b-b7f3-af067793cd74","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"03b969f5-bc4f-4b06-ad9c-b15e724cd685","subtype":"Figure","type":"Plot"},"ticker":{"id":"08ac798b-f5ba-4168-a624-3ef63c4a1f80","type":"BasicTicker"}},"id":"f4cd64cf-fab4-44a1-8b6b-5b49e9acfce7","type":"Grid"},{"attributes":{"callback":null},"id":"ca3e7de4-33ba-4f0a-a45b-d42250cc641e","type":"DataRange1d"},{"attributes":{},"id":"55790695-2ba5-4129-96e7-82decd5b734d","type":"PanTool"},{"attributes":{"callback":null},"id":"41f24767-f84e-4009-a59d-83c3ffbfcf15","type":"DataRange1d"},{"attributes":{},"id":"08ac798b-f5ba-4168-a624-3ef63c4a1f80","type":"BasicTicker"},{"attributes":{},"id":"579eee12-6096-41cc-a92f-b58fd1084096","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"55790695-2ba5-4129-96e7-82decd5b734d","type":"PanTool"},{"id":"21eb512e-529d-4459-84ab-76389c9c4d8b","type":"WheelZoomTool"},{"id":"fa30566d-90a0-4e01-814c-1df604257ca8","type":"BoxZoomTool"},{"id":"4d79775e-e963-4d79-80bc-7dc1be874456","type":"SaveTool"},{"id":"50548575-1571-4ad4-b71d-8978d727a776","type":"ResetTool"},{"id":"76f3b0f4-6fdd-4216-8286-3a1f0e523d94","type":"HelpTool"}]},"id":"17586390-15b2-464d-8e17-3d2c0f67c10e","type":"Toolbar"},{"attributes":{},"id":"2179eb5a-d391-4938-9b90-a4b97b984b75","type":"LinearScale"},{"attributes":{"below":[{"id":"62f1b99f-8e8f-437b-b7f3-af067793cd74","type":"LinearAxis"}],"left":[{"id":"c9cedd68-b685-4726-9490-88abbd8df911","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"62f1b99f-8e8f-437b-b7f3-af067793cd74","type":"LinearAxis"},{"id":"3c3e2087-f82f-4da6-be7d-789ef15706ee","type":"Grid"},{"id":"c9cedd68-b685-4726-9490-88abbd8df911","type":"LinearAxis"},{"id":"f4cd64cf-fab4-44a1-8b6b-5b49e9acfce7","type":"Grid"},{"id":"23384b5d-4fb0-43cf-8617-f32aee269eda","type":"BoxAnnotation"},{"id":"08b9411c-f0e3-494f-a7ac-37abaad31f18","type":"GlyphRenderer"}],"title":{"id":"9475c5c1-4817-4fee-9306-ee00761d388c","type":"Title"},"toolbar":{"id":"17586390-15b2-464d-8e17-3d2c0f67c10e","type":"Toolbar"},"x_range":{"id":"41f24767-f84e-4009-a59d-83c3ffbfcf15","type":"DataRange1d"},"x_scale":{"id":"8b837dc1-2420-4088-a890-66c1c61e70ee","type":"LinearScale"},"y_range":{"id":"ca3e7de4-33ba-4f0a-a45b-d42250cc641e","type":"DataRange1d"},"y_scale":{"id":"2179eb5a-d391-4938-9b90-a4b97b984b75","type":"LinearScale"}},"id":"03b969f5-bc4f-4b06-ad9c-b15e724cd685","subtype":"Figure","type":"Plot"},{"attributes":{"data_source":{"id":"8142e552-16fa-4ac6-b3db-6b618d3dd98d","type":"ColumnDataSource"},"glyph":{"id":"606f4670-5156-4bdd-a48e-a045eb0aa09d","type":"Cross"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"630418df-fdbf-44fb-964d-706b3db0ef53","type":"Cross"},"selection_glyph":null,"view":{"id":"86d65b3e-6e85-4bdd-9032-a3570ae8c56a","type":"CDSView"}},"id":"08b9411c-f0e3-494f-a7ac-37abaad31f18","type":"GlyphRenderer"},{"attributes":{"plot":null,"text":""},"id":"9475c5c1-4817-4fee-9306-ee00761d388c","type":"Title"},{"attributes":{},"id":"4d79775e-e963-4d79-80bc-7dc1be874456","type":"SaveTool"},{"attributes":{"plot":{"id":"03b969f5-bc4f-4b06-ad9c-b15e724cd685","subtype":"Figure","type":"Plot"},"ticker":{"id":"579eee12-6096-41cc-a92f-b58fd1084096","type":"BasicTicker"}},"id":"3c3e2087-f82f-4da6-be7d-789ef15706ee","type":"Grid"}],"root_ids":["03b969f5-bc4f-4b06-ad9c-b15e724cd685"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"14f0cc2d-d514-4873-8df0-5d34cfcb6fb5","elementid":"19f74e1e-83c5-4025-a08a-a2cd30689668","modelid":"03b969f5-bc4f-4b06-ad9c-b15e724cd685"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
