(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("48ac6d79-82ac-4b89-ad0b-995dac4d3d52");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '48ac6d79-82ac-4b89-ad0b-995dac4d3d52' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"bc3e3ce3-599f-4367-b34a-3bb1d114bf01":{"roots":{"references":[{"attributes":{"callback":null},"id":"ec794c75-adfc-46ec-941f-7467c845d3b4","type":"DataRange1d"},{"attributes":{"overlay":{"id":"710545c2-c084-43a2-9031-d70a4299241d","type":"BoxAnnotation"}},"id":"f65a0aa5-18f5-42d4-8862-878a610359c2","type":"BoxZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"8bdea837-e6a3-4e55-8c20-97943eeb4f84","type":"ColumnDataSource"},{"attributes":{"fill_color":{"value":"#1C9099"},"line_color":{"value":"#1C9099"},"line_width":{"value":2},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"5fe95450-8f51-46d1-bd6d-bb72712ed8e0","type":"Diamond"},{"attributes":{},"id":"ff83cd69-aa17-4d8a-b3fd-3c47af6f0eff","type":"ResetTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"710545c2-c084-43a2-9031-d70a4299241d","type":"BoxAnnotation"},{"attributes":{},"id":"e65e7226-42ce-47ae-817c-f3a032e0293d","type":"LinearScale"},{"attributes":{"below":[{"id":"265c1947-6408-4d88-8bb3-dc6acf7bdef4","type":"LinearAxis"}],"left":[{"id":"1001d62b-0883-4486-8859-d520cc73a175","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"265c1947-6408-4d88-8bb3-dc6acf7bdef4","type":"LinearAxis"},{"id":"3cf4e408-46e2-4c7e-b900-6084a89a742b","type":"Grid"},{"id":"1001d62b-0883-4486-8859-d520cc73a175","type":"LinearAxis"},{"id":"67517d80-5e78-4c06-9e1e-b0faf4d38330","type":"Grid"},{"id":"710545c2-c084-43a2-9031-d70a4299241d","type":"BoxAnnotation"},{"id":"a45173ce-071f-4b0b-8dbc-f760d4b96d3f","type":"GlyphRenderer"}],"title":{"id":"cedeb8e4-418f-4cf0-9358-5b4cbcfb3177","type":"Title"},"toolbar":{"id":"894464b3-1769-4c58-af41-e80df70f0bca","type":"Toolbar"},"x_range":{"id":"ec794c75-adfc-46ec-941f-7467c845d3b4","type":"DataRange1d"},"x_scale":{"id":"fd4afe0e-af15-4ba8-ad0d-4e0c887dfc9f","type":"LinearScale"},"y_range":{"id":"47ae2cfc-bf3a-408f-b18a-c7f8fa3c505c","type":"DataRange1d"},"y_scale":{"id":"e65e7226-42ce-47ae-817c-f3a032e0293d","type":"LinearScale"}},"id":"793fc92f-8cd2-4aef-8d4b-16c5444fb097","subtype":"Figure","type":"Plot"},{"attributes":{"plot":{"id":"793fc92f-8cd2-4aef-8d4b-16c5444fb097","subtype":"Figure","type":"Plot"},"ticker":{"id":"c2d02df5-cf47-4b70-9776-f5d55ab53842","type":"BasicTicker"}},"id":"3cf4e408-46e2-4c7e-b900-6084a89a742b","type":"Grid"},{"attributes":{"data_source":{"id":"8bdea837-e6a3-4e55-8c20-97943eeb4f84","type":"ColumnDataSource"},"glyph":{"id":"5fe95450-8f51-46d1-bd6d-bb72712ed8e0","type":"Diamond"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"13f99e8e-47a2-4517-816d-a37e2a702208","type":"Diamond"},"selection_glyph":null,"view":{"id":"f877e348-8167-47ec-9ae3-3ff219fd632e","type":"CDSView"}},"id":"a45173ce-071f-4b0b-8dbc-f760d4b96d3f","type":"GlyphRenderer"},{"attributes":{"source":{"id":"8bdea837-e6a3-4e55-8c20-97943eeb4f84","type":"ColumnDataSource"}},"id":"f877e348-8167-47ec-9ae3-3ff219fd632e","type":"CDSView"},{"attributes":{},"id":"d2a98fbd-dee8-41f0-9a87-56594cfb9446","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"13f99e8e-47a2-4517-816d-a37e2a702208","type":"Diamond"},{"attributes":{},"id":"b05caa4f-7e15-4f0e-8b43-906fa38a6c88","type":"BasicTickFormatter"},{"attributes":{},"id":"e267864b-b87b-4894-9b42-a6f2dc36eea9","type":"WheelZoomTool"},{"attributes":{},"id":"c2d02df5-cf47-4b70-9776-f5d55ab53842","type":"BasicTicker"},{"attributes":{"formatter":{"id":"d2a98fbd-dee8-41f0-9a87-56594cfb9446","type":"BasicTickFormatter"},"plot":{"id":"793fc92f-8cd2-4aef-8d4b-16c5444fb097","subtype":"Figure","type":"Plot"},"ticker":{"id":"c2d02df5-cf47-4b70-9776-f5d55ab53842","type":"BasicTicker"}},"id":"265c1947-6408-4d88-8bb3-dc6acf7bdef4","type":"LinearAxis"},{"attributes":{},"id":"306504b5-09b7-4508-8f75-c5fd8c7a1176","type":"BasicTicker"},{"attributes":{"callback":null},"id":"47ae2cfc-bf3a-408f-b18a-c7f8fa3c505c","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"37244ca7-760a-43d4-b52b-bede06511f2d","type":"PanTool"},{"id":"e267864b-b87b-4894-9b42-a6f2dc36eea9","type":"WheelZoomTool"},{"id":"f65a0aa5-18f5-42d4-8862-878a610359c2","type":"BoxZoomTool"},{"id":"47e0af48-1aa5-416d-a98f-681cf56c97ed","type":"SaveTool"},{"id":"ff83cd69-aa17-4d8a-b3fd-3c47af6f0eff","type":"ResetTool"},{"id":"700ff6f9-f83d-4123-a19a-906a7cbc6f49","type":"HelpTool"}]},"id":"894464b3-1769-4c58-af41-e80df70f0bca","type":"Toolbar"},{"attributes":{},"id":"700ff6f9-f83d-4123-a19a-906a7cbc6f49","type":"HelpTool"},{"attributes":{"formatter":{"id":"b05caa4f-7e15-4f0e-8b43-906fa38a6c88","type":"BasicTickFormatter"},"plot":{"id":"793fc92f-8cd2-4aef-8d4b-16c5444fb097","subtype":"Figure","type":"Plot"},"ticker":{"id":"306504b5-09b7-4508-8f75-c5fd8c7a1176","type":"BasicTicker"}},"id":"1001d62b-0883-4486-8859-d520cc73a175","type":"LinearAxis"},{"attributes":{},"id":"fd4afe0e-af15-4ba8-ad0d-4e0c887dfc9f","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"cedeb8e4-418f-4cf0-9358-5b4cbcfb3177","type":"Title"},{"attributes":{"dimension":1,"plot":{"id":"793fc92f-8cd2-4aef-8d4b-16c5444fb097","subtype":"Figure","type":"Plot"},"ticker":{"id":"306504b5-09b7-4508-8f75-c5fd8c7a1176","type":"BasicTicker"}},"id":"67517d80-5e78-4c06-9e1e-b0faf4d38330","type":"Grid"},{"attributes":{},"id":"37244ca7-760a-43d4-b52b-bede06511f2d","type":"PanTool"},{"attributes":{},"id":"47e0af48-1aa5-416d-a98f-681cf56c97ed","type":"SaveTool"}],"root_ids":["793fc92f-8cd2-4aef-8d4b-16c5444fb097"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"bc3e3ce3-599f-4367-b34a-3bb1d114bf01","elementid":"48ac6d79-82ac-4b89-ad0b-995dac4d3d52","modelid":"793fc92f-8cd2-4aef-8d4b-16c5444fb097"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
