(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("28698096-257f-4489-85fc-e309b84e6a4a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '28698096-257f-4489-85fc-e309b84e6a4a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"783dfe77-c4d4-4f20-bad1-5a1e5cee6afa":{"roots":{"references":[{"attributes":{},"id":"2a3fecdb-1550-4f83-a008-de4bc2900080","type":"PanTool"},{"attributes":{},"id":"1454e6ae-3833-425e-84d3-b10b07bf0fe6","type":"WheelZoomTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"2a3fecdb-1550-4f83-a008-de4bc2900080","type":"PanTool"},{"id":"1454e6ae-3833-425e-84d3-b10b07bf0fe6","type":"WheelZoomTool"},{"id":"4d59a4b9-5f34-4d59-b9d0-c29e2914b828","type":"BoxZoomTool"},{"id":"d45237e0-8f80-49da-97e9-0377ba64af3e","type":"SaveTool"},{"id":"5f5734cb-aca4-47cc-8eb9-577e458f6e35","type":"ResetTool"},{"id":"60c248e6-b040-46fa-b8b0-62a7a2903c73","type":"HelpTool"}]},"id":"eec6b8fb-5e7d-42c4-8bcc-5abc97c3e958","type":"Toolbar"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#386CB0"},"line_width":{"value":2},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"f2a0866a-8126-4d17-b32f-3a7aea9d3e24","type":"DiamondCross"},{"attributes":{},"id":"bc8037f3-5f4c-466d-b75e-de6faac3a071","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"53d2a5d9-e723-4bda-a0b7-951e1f0f3e7f","type":"BoxAnnotation"},{"attributes":{"plot":null,"text":""},"id":"79ee79e1-9721-4460-84c8-c4e3f8326d05","type":"Title"},{"attributes":{},"id":"60c248e6-b040-46fa-b8b0-62a7a2903c73","type":"HelpTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"e705446b-3312-4466-9ea5-281603ae81ab","type":"ColumnDataSource"},{"attributes":{},"id":"cc93a930-f239-48d1-8911-f9ec23c04cc4","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"df167192-0ef3-4318-8620-20999deb5caa","type":"LinearAxis"}],"left":[{"id":"2c94afd7-b4f3-4d88-b943-2f337d8fcc76","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"df167192-0ef3-4318-8620-20999deb5caa","type":"LinearAxis"},{"id":"2648e629-f3bf-4525-af45-334c956274a7","type":"Grid"},{"id":"2c94afd7-b4f3-4d88-b943-2f337d8fcc76","type":"LinearAxis"},{"id":"a1b281fd-96e3-4b03-989b-ba4d45953ee7","type":"Grid"},{"id":"53d2a5d9-e723-4bda-a0b7-951e1f0f3e7f","type":"BoxAnnotation"},{"id":"22041708-dade-47f1-a96a-aa0034630f01","type":"GlyphRenderer"}],"title":{"id":"79ee79e1-9721-4460-84c8-c4e3f8326d05","type":"Title"},"toolbar":{"id":"eec6b8fb-5e7d-42c4-8bcc-5abc97c3e958","type":"Toolbar"},"x_range":{"id":"e0551f38-5c5b-48b7-a5c1-81d7ec3da3f1","type":"DataRange1d"},"x_scale":{"id":"bc8037f3-5f4c-466d-b75e-de6faac3a071","type":"LinearScale"},"y_range":{"id":"bb87516e-93b1-4f47-859e-ba30781872ac","type":"DataRange1d"},"y_scale":{"id":"bf784b48-3c39-4de9-81a0-9ee4e29c708b","type":"LinearScale"}},"id":"b3e849ba-d03e-4182-94c6-762d550e8dfd","subtype":"Figure","type":"Plot"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"d0566360-465e-4ffc-9e75-b2111880696f","type":"DiamondCross"},{"attributes":{"callback":null},"id":"bb87516e-93b1-4f47-859e-ba30781872ac","type":"DataRange1d"},{"attributes":{},"id":"bf784b48-3c39-4de9-81a0-9ee4e29c708b","type":"LinearScale"},{"attributes":{},"id":"42439e8d-bbf2-43c5-b0f2-c5efda2207cd","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"53d2a5d9-e723-4bda-a0b7-951e1f0f3e7f","type":"BoxAnnotation"}},"id":"4d59a4b9-5f34-4d59-b9d0-c29e2914b828","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"cc93a930-f239-48d1-8911-f9ec23c04cc4","type":"BasicTickFormatter"},"plot":{"id":"b3e849ba-d03e-4182-94c6-762d550e8dfd","subtype":"Figure","type":"Plot"},"ticker":{"id":"3f31bd37-a391-47a7-b16b-a412f51529e7","type":"BasicTicker"}},"id":"2c94afd7-b4f3-4d88-b943-2f337d8fcc76","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"b3e849ba-d03e-4182-94c6-762d550e8dfd","subtype":"Figure","type":"Plot"},"ticker":{"id":"3f31bd37-a391-47a7-b16b-a412f51529e7","type":"BasicTicker"}},"id":"a1b281fd-96e3-4b03-989b-ba4d45953ee7","type":"Grid"},{"attributes":{},"id":"d45237e0-8f80-49da-97e9-0377ba64af3e","type":"SaveTool"},{"attributes":{"data_source":{"id":"e705446b-3312-4466-9ea5-281603ae81ab","type":"ColumnDataSource"},"glyph":{"id":"f2a0866a-8126-4d17-b32f-3a7aea9d3e24","type":"DiamondCross"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"d0566360-465e-4ffc-9e75-b2111880696f","type":"DiamondCross"},"selection_glyph":null,"view":{"id":"b31f1a66-540d-44ff-bd16-23b692abb71e","type":"CDSView"}},"id":"22041708-dade-47f1-a96a-aa0034630f01","type":"GlyphRenderer"},{"attributes":{"source":{"id":"e705446b-3312-4466-9ea5-281603ae81ab","type":"ColumnDataSource"}},"id":"b31f1a66-540d-44ff-bd16-23b692abb71e","type":"CDSView"},{"attributes":{"plot":{"id":"b3e849ba-d03e-4182-94c6-762d550e8dfd","subtype":"Figure","type":"Plot"},"ticker":{"id":"a2844214-c5fe-4d66-9220-5bb75a9570ac","type":"BasicTicker"}},"id":"2648e629-f3bf-4525-af45-334c956274a7","type":"Grid"},{"attributes":{},"id":"a2844214-c5fe-4d66-9220-5bb75a9570ac","type":"BasicTicker"},{"attributes":{},"id":"5f5734cb-aca4-47cc-8eb9-577e458f6e35","type":"ResetTool"},{"attributes":{},"id":"3f31bd37-a391-47a7-b16b-a412f51529e7","type":"BasicTicker"},{"attributes":{"callback":null},"id":"e0551f38-5c5b-48b7-a5c1-81d7ec3da3f1","type":"DataRange1d"},{"attributes":{"formatter":{"id":"42439e8d-bbf2-43c5-b0f2-c5efda2207cd","type":"BasicTickFormatter"},"plot":{"id":"b3e849ba-d03e-4182-94c6-762d550e8dfd","subtype":"Figure","type":"Plot"},"ticker":{"id":"a2844214-c5fe-4d66-9220-5bb75a9570ac","type":"BasicTicker"}},"id":"df167192-0ef3-4318-8620-20999deb5caa","type":"LinearAxis"}],"root_ids":["b3e849ba-d03e-4182-94c6-762d550e8dfd"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"783dfe77-c4d4-4f20-bad1-5a1e5cee6afa","elementid":"28698096-257f-4489-85fc-e309b84e6a4a","modelid":"b3e849ba-d03e-4182-94c6-762d550e8dfd"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
