(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("51b8c2ea-7d98-4949-8488-ed1372ed3346");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '51b8c2ea-7d98-4949-8488-ed1372ed3346' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"c8c99201-c21b-4b40-95e6-78595cda3ac8":{"roots":{"references":[{"attributes":{},"id":"e6e045c7-69e5-4e4e-b039-178e4889d39b","type":"PanTool"},{"attributes":{"callback":null},"id":"6558ca10-85b8-479c-9d66-856dd69179cb","type":"DataRange1d"},{"attributes":{},"id":"3835bbcf-d9b5-4d97-8c97-5f2e6ab34f83","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"dfb94468-0020-4dfc-b05c-6a989a867c76","type":"ColumnDataSource"},{"attributes":{"overlay":{"id":"7748d9be-235d-4221-8502-ed706cb93795","type":"BoxAnnotation"}},"id":"d91338b3-7fcb-494d-962e-fa98c94d723a","type":"BoxZoomTool"},{"attributes":{},"id":"9e797aef-91e0-43c3-92fe-db01a9af143c","type":"LinearScale"},{"attributes":{"formatter":{"id":"3835bbcf-d9b5-4d97-8c97-5f2e6ab34f83","type":"BasicTickFormatter"},"plot":{"id":"1b106ce0-3d6b-4554-8768-5e420c08d131","subtype":"Figure","type":"Plot"},"ticker":{"id":"0f9c6c4a-b950-420c-9daf-67bf2b65b290","type":"BasicTicker"}},"id":"4f5bc86d-b20b-4e19-80e6-717509596933","type":"LinearAxis"},{"attributes":{"plot":{"id":"1b106ce0-3d6b-4554-8768-5e420c08d131","subtype":"Figure","type":"Plot"},"ticker":{"id":"0f9c6c4a-b950-420c-9daf-67bf2b65b290","type":"BasicTicker"}},"id":"bc5a8392-212b-436e-b7ae-14f757d69862","type":"Grid"},{"attributes":{"fill_color":{"value":null},"height":{"units":"data","value":20},"line_color":{"value":"#386CB0"},"line_width":{"value":2},"width":{"units":"data","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"b7824b03-4ff9-4747-aff5-b3c815dc40a0","type":"Ellipse"},{"attributes":{},"id":"42bcea35-b96b-4055-9161-34047872241b","type":"BasicTicker"},{"attributes":{"callback":null},"id":"434b653b-9cdf-452f-aede-4a7c0503406a","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"7748d9be-235d-4221-8502-ed706cb93795","type":"BoxAnnotation"},{"attributes":{},"id":"0f9c6c4a-b950-420c-9daf-67bf2b65b290","type":"BasicTicker"},{"attributes":{},"id":"e1bb1e37-f5d1-4147-a655-d71f73dbd326","type":"BasicTickFormatter"},{"attributes":{},"id":"2951ae07-bb25-4236-8629-81314410be75","type":"WheelZoomTool"},{"attributes":{},"id":"346154ce-94c7-43d2-b651-928bbb28c99c","type":"HelpTool"},{"attributes":{"formatter":{"id":"e1bb1e37-f5d1-4147-a655-d71f73dbd326","type":"BasicTickFormatter"},"plot":{"id":"1b106ce0-3d6b-4554-8768-5e420c08d131","subtype":"Figure","type":"Plot"},"ticker":{"id":"42bcea35-b96b-4055-9161-34047872241b","type":"BasicTicker"}},"id":"bfa07593-cf3e-41e8-951c-7d076f9b23fc","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"1b106ce0-3d6b-4554-8768-5e420c08d131","subtype":"Figure","type":"Plot"},"ticker":{"id":"42bcea35-b96b-4055-9161-34047872241b","type":"BasicTicker"}},"id":"b559a5f3-ad34-4d48-b1de-fd86bd4f5c83","type":"Grid"},{"attributes":{"below":[{"id":"4f5bc86d-b20b-4e19-80e6-717509596933","type":"LinearAxis"}],"left":[{"id":"bfa07593-cf3e-41e8-951c-7d076f9b23fc","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"4f5bc86d-b20b-4e19-80e6-717509596933","type":"LinearAxis"},{"id":"bc5a8392-212b-436e-b7ae-14f757d69862","type":"Grid"},{"id":"bfa07593-cf3e-41e8-951c-7d076f9b23fc","type":"LinearAxis"},{"id":"b559a5f3-ad34-4d48-b1de-fd86bd4f5c83","type":"Grid"},{"id":"7748d9be-235d-4221-8502-ed706cb93795","type":"BoxAnnotation"},{"id":"3263c586-742c-4a36-8b9e-e3e56aa5b6f0","type":"GlyphRenderer"}],"title":{"id":"2a160b95-192d-4219-8166-f7769c4226c9","type":"Title"},"toolbar":{"id":"342f47aa-2f15-4906-b365-bd3831f3906a","type":"Toolbar"},"x_range":{"id":"6558ca10-85b8-479c-9d66-856dd69179cb","type":"DataRange1d"},"x_scale":{"id":"3e50a36a-d8e4-4411-bab3-b491cecd57b2","type":"LinearScale"},"y_range":{"id":"434b653b-9cdf-452f-aede-4a7c0503406a","type":"DataRange1d"},"y_scale":{"id":"9e797aef-91e0-43c3-92fe-db01a9af143c","type":"LinearScale"}},"id":"1b106ce0-3d6b-4554-8768-5e420c08d131","subtype":"Figure","type":"Plot"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"data","value":20},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"width":{"units":"data","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"2d63c3ef-092b-45ae-b3e9-8d31e3cc6149","type":"Ellipse"},{"attributes":{"data_source":{"id":"dfb94468-0020-4dfc-b05c-6a989a867c76","type":"ColumnDataSource"},"glyph":{"id":"b7824b03-4ff9-4747-aff5-b3c815dc40a0","type":"Ellipse"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"2d63c3ef-092b-45ae-b3e9-8d31e3cc6149","type":"Ellipse"},"selection_glyph":null,"view":{"id":"bd6a1591-b39b-4ef5-926e-f43211c179f5","type":"CDSView"}},"id":"3263c586-742c-4a36-8b9e-e3e56aa5b6f0","type":"GlyphRenderer"},{"attributes":{},"id":"61d42304-ac5a-42b8-b18a-b94ba8e98d0c","type":"SaveTool"},{"attributes":{"plot":null,"text":""},"id":"2a160b95-192d-4219-8166-f7769c4226c9","type":"Title"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"e6e045c7-69e5-4e4e-b039-178e4889d39b","type":"PanTool"},{"id":"2951ae07-bb25-4236-8629-81314410be75","type":"WheelZoomTool"},{"id":"d91338b3-7fcb-494d-962e-fa98c94d723a","type":"BoxZoomTool"},{"id":"61d42304-ac5a-42b8-b18a-b94ba8e98d0c","type":"SaveTool"},{"id":"23256fb0-a880-4c26-9994-eb1b9c52957e","type":"ResetTool"},{"id":"346154ce-94c7-43d2-b651-928bbb28c99c","type":"HelpTool"}]},"id":"342f47aa-2f15-4906-b365-bd3831f3906a","type":"Toolbar"},{"attributes":{},"id":"23256fb0-a880-4c26-9994-eb1b9c52957e","type":"ResetTool"},{"attributes":{},"id":"3e50a36a-d8e4-4411-bab3-b491cecd57b2","type":"LinearScale"},{"attributes":{"source":{"id":"dfb94468-0020-4dfc-b05c-6a989a867c76","type":"ColumnDataSource"}},"id":"bd6a1591-b39b-4ef5-926e-f43211c179f5","type":"CDSView"}],"root_ids":["1b106ce0-3d6b-4554-8768-5e420c08d131"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"c8c99201-c21b-4b40-95e6-78595cda3ac8","elementid":"51b8c2ea-7d98-4949-8488-ed1372ed3346","modelid":"1b106ce0-3d6b-4554-8768-5e420c08d131"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
