(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("83d2e704-edf7-486c-9d6e-cbbdc5e07a0a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '83d2e704-edf7-486c-9d6e-cbbdc5e07a0a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"1821fe87-a068-48b2-b7c0-9f941803acd7":{"roots":{"references":[{"attributes":{"fill_color":{"value":"white"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"6c6d3b85-091b-428c-bb7e-8de765479826","type":"Circle"},{"attributes":{},"id":"ac03dda7-1704-4920-b846-51d7be2ceee5","type":"HelpTool"},{"attributes":{"source":{"id":"44256f23-e03c-42a5-8120-e1ed6e355eb7","type":"ColumnDataSource"}},"id":"d65c4538-430a-4c73-a4db-a2c20d44d5b7","type":"CDSView"},{"attributes":{},"id":"c0f9bc49-7bfb-40a8-b18c-a12538c86c3d","type":"BasicTicker"},{"attributes":{"plot":{"id":"d4767f37-25f6-412f-b72e-ca0e4ca053c5","subtype":"Figure","type":"Plot"},"ticker":{"id":"26fde5bf-d806-4061-9c17-5a6b150d0d41","type":"BasicTicker"}},"id":"f3ba4d01-83f3-4677-b722-0406f179c77e","type":"Grid"},{"attributes":{},"id":"6fa8325e-1d5e-4964-b753-3abd03c511f4","type":"SaveTool"},{"attributes":{"callback":null},"id":"d9e08928-8665-4a73-9ae5-cd5b3b876fcf","type":"DataRange1d"},{"attributes":{"source":{"id":"731e404d-5b96-4048-bc46-7dfbd31d3eb8","type":"ColumnDataSource"}},"id":"16e261ab-32b5-480e-8769-0edfe5627391","type":"CDSView"},{"attributes":{},"id":"e727efd5-b184-4677-be38-0a05921cb9f5","type":"ResetTool"},{"attributes":{"plot":null,"text":"example"},"id":"ea4a05cf-a790-4daf-9b10-b9c4a35b0abe","type":"Title"},{"attributes":{"formatter":{"id":"846ab03b-292e-429a-8ab1-9057e93543f9","type":"BasicTickFormatter"},"plot":{"id":"d4767f37-25f6-412f-b72e-ca0e4ca053c5","subtype":"Figure","type":"Plot"},"ticker":{"id":"c0f9bc49-7bfb-40a8-b18c-a12538c86c3d","type":"BasicTicker"}},"id":"ad95d9b9-a974-4291-bc2a-790fa858d890","type":"LinearAxis"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"768905d6-a0d8-4d87-a725-8cc54184e05b","type":"Line"},{"attributes":{"overlay":{"id":"0cf5823f-447b-4807-8327-f3c22ff123aa","type":"BoxAnnotation"}},"id":"d1b7ae3f-2ccd-4b06-be1a-c90328383018","type":"BoxZoomTool"},{"attributes":{},"id":"e24371bf-0176-438e-92e4-42ff5cfa73e5","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,6,4,5]}},"id":"731e404d-5b96-4048-bc46-7dfbd31d3eb8","type":"ColumnDataSource"},{"attributes":{},"id":"f3052f86-fdfd-4b22-9c5c-1d0d777d8823","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"0e2bbb5d-dad0-4ca8-8d46-fdf63e66cfc5","type":"LinearAxis"}],"left":[{"id":"ad95d9b9-a974-4291-bc2a-790fa858d890","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"0e2bbb5d-dad0-4ca8-8d46-fdf63e66cfc5","type":"LinearAxis"},{"id":"f3ba4d01-83f3-4677-b722-0406f179c77e","type":"Grid"},{"id":"ad95d9b9-a974-4291-bc2a-790fa858d890","type":"LinearAxis"},{"id":"8ad23592-066d-4e4a-a338-f694ac698fa7","type":"Grid"},{"id":"0cf5823f-447b-4807-8327-f3c22ff123aa","type":"BoxAnnotation"},{"id":"5c70e38c-3630-4821-9004-e8f31afe6f33","type":"GlyphRenderer"},{"id":"892c4749-2378-4417-9c24-340f058369f1","type":"GlyphRenderer"}],"title":{"id":"ea4a05cf-a790-4daf-9b10-b9c4a35b0abe","type":"Title"},"toolbar":{"id":"09f08dcf-6220-4490-90be-4807f2b1e5cb","type":"Toolbar"},"x_range":{"id":"d10202bf-9e3e-4b73-b643-d3f59d4d5c82","type":"DataRange1d"},"x_scale":{"id":"e24371bf-0176-438e-92e4-42ff5cfa73e5","type":"LinearScale"},"y_range":{"id":"d9e08928-8665-4a73-9ae5-cd5b3b876fcf","type":"DataRange1d"},"y_scale":{"id":"81c5cf63-347d-452d-8c9c-711e129c018e","type":"LinearScale"}},"id":"d4767f37-25f6-412f-b72e-ca0e4ca053c5","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"d10202bf-9e3e-4b73-b643-d3f59d4d5c82","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,6,4,5]}},"id":"44256f23-e03c-42a5-8120-e1ed6e355eb7","type":"ColumnDataSource"},{"attributes":{},"id":"aa9dad0a-a7f0-463a-9237-15851c25e9a7","type":"WheelZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"d4767f37-25f6-412f-b72e-ca0e4ca053c5","subtype":"Figure","type":"Plot"},"ticker":{"id":"c0f9bc49-7bfb-40a8-b18c-a12538c86c3d","type":"BasicTicker"}},"id":"8ad23592-066d-4e4a-a338-f694ac698fa7","type":"Grid"},{"attributes":{},"id":"77ec7263-2afd-4446-be5e-7e7a676d53e6","type":"PanTool"},{"attributes":{},"id":"846ab03b-292e-429a-8ab1-9057e93543f9","type":"BasicTickFormatter"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"74166dc1-ecdc-425c-9e48-62890f2ba5c1","type":"Line"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"77ec7263-2afd-4446-be5e-7e7a676d53e6","type":"PanTool"},{"id":"aa9dad0a-a7f0-463a-9237-15851c25e9a7","type":"WheelZoomTool"},{"id":"d1b7ae3f-2ccd-4b06-be1a-c90328383018","type":"BoxZoomTool"},{"id":"6fa8325e-1d5e-4964-b753-3abd03c511f4","type":"SaveTool"},{"id":"e727efd5-b184-4677-be38-0a05921cb9f5","type":"ResetTool"},{"id":"ac03dda7-1704-4920-b846-51d7be2ceee5","type":"HelpTool"}]},"id":"09f08dcf-6220-4490-90be-4807f2b1e5cb","type":"Toolbar"},{"attributes":{"data_source":{"id":"44256f23-e03c-42a5-8120-e1ed6e355eb7","type":"ColumnDataSource"},"glyph":{"id":"6c6d3b85-091b-428c-bb7e-8de765479826","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ce8f26c0-dd80-407d-9a12-f368bc268163","type":"Circle"},"selection_glyph":null,"view":{"id":"d65c4538-430a-4c73-a4db-a2c20d44d5b7","type":"CDSView"}},"id":"892c4749-2378-4417-9c24-340f058369f1","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"731e404d-5b96-4048-bc46-7dfbd31d3eb8","type":"ColumnDataSource"},"glyph":{"id":"74166dc1-ecdc-425c-9e48-62890f2ba5c1","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"768905d6-a0d8-4d87-a725-8cc54184e05b","type":"Line"},"selection_glyph":null,"view":{"id":"16e261ab-32b5-480e-8769-0edfe5627391","type":"CDSView"}},"id":"5c70e38c-3630-4821-9004-e8f31afe6f33","type":"GlyphRenderer"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"0cf5823f-447b-4807-8327-f3c22ff123aa","type":"BoxAnnotation"},{"attributes":{},"id":"26fde5bf-d806-4061-9c17-5a6b150d0d41","type":"BasicTicker"},{"attributes":{},"id":"81c5cf63-347d-452d-8c9c-711e129c018e","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"ce8f26c0-dd80-407d-9a12-f368bc268163","type":"Circle"},{"attributes":{"formatter":{"id":"f3052f86-fdfd-4b22-9c5c-1d0d777d8823","type":"BasicTickFormatter"},"plot":{"id":"d4767f37-25f6-412f-b72e-ca0e4ca053c5","subtype":"Figure","type":"Plot"},"ticker":{"id":"26fde5bf-d806-4061-9c17-5a6b150d0d41","type":"BasicTicker"}},"id":"0e2bbb5d-dad0-4ca8-8d46-fdf63e66cfc5","type":"LinearAxis"}],"root_ids":["d4767f37-25f6-412f-b72e-ca0e4ca053c5"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"1821fe87-a068-48b2-b7c0-9f941803acd7","elementid":"83d2e704-edf7-486c-9d6e-cbbdc5e07a0a","modelid":"d4767f37-25f6-412f-b72e-ca0e4ca053c5"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
