(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("032a2046-7320-4ace-9a7f-a42fedacfa23");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '032a2046-7320-4ace-9a7f-a42fedacfa23' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e4debab2-0d0d-4e32-ab1d-129c09b43799":{"roots":{"references":[{"attributes":{},"id":"c8dfde09-8bfe-417d-b0b2-12d1c639540b","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"b4810961-3276-4442-8c9c-c860efe50c84","type":"Circle"},{"attributes":{},"id":"7406b939-7ece-4bc3-b14c-b1b15fceefc3","type":"SaveTool"},{"attributes":{"dimension":1,"plot":{"id":"460e8392-94b0-45e1-afd5-5ce9ade3fa66","subtype":"Figure","type":"Plot"},"ticker":{"id":"2ecbfc88-ccb3-48d2-8a4a-b3f601bf53ad","type":"BasicTicker"}},"id":"52f213f6-44cc-4517-8fea-dceeb8aef572","type":"Grid"},{"attributes":{"plot":null,"text":"Left Title"},"id":"bf409717-9407-47d5-b431-2f60ad694fb7","type":"Title"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"9af6cd29-ee5f-46a8-a62d-5189cc8e31e1","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"21df7144-e367-4835-9791-3172c414560e","type":"BasicTickFormatter"},"plot":{"id":"460e8392-94b0-45e1-afd5-5ce9ade3fa66","subtype":"Figure","type":"Plot"},"ticker":{"id":"2ecbfc88-ccb3-48d2-8a4a-b3f601bf53ad","type":"BasicTicker"}},"id":"ed57bb2e-950f-428a-b306-6f8d2858e473","type":"LinearAxis"},{"attributes":{},"id":"61026262-5209-41c2-8192-3270170897cc","type":"PanTool"},{"attributes":{"plot":{"id":"460e8392-94b0-45e1-afd5-5ce9ade3fa66","subtype":"Figure","type":"Plot"},"ticker":{"id":"c8dfde09-8bfe-417d-b0b2-12d1c639540b","type":"BasicTicker"}},"id":"30e2f896-1759-49e2-823a-b9e98d4e860a","type":"Grid"},{"attributes":{},"id":"edde929d-b717-418a-bcb2-d8b256a46779","type":"LinearScale"},{"attributes":{},"id":"59c5dd84-0993-42a3-9a01-4bb60db1d8d7","type":"LinearScale"},{"attributes":{"below":[{"id":"267a0d59-be3b-4f46-bda9-31be4531e51d","type":"LinearAxis"}],"left":[{"id":"ed57bb2e-950f-428a-b306-6f8d2858e473","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"267a0d59-be3b-4f46-bda9-31be4531e51d","type":"LinearAxis"},{"id":"30e2f896-1759-49e2-823a-b9e98d4e860a","type":"Grid"},{"id":"ed57bb2e-950f-428a-b306-6f8d2858e473","type":"LinearAxis"},{"id":"52f213f6-44cc-4517-8fea-dceeb8aef572","type":"Grid"},{"id":"9af6cd29-ee5f-46a8-a62d-5189cc8e31e1","type":"BoxAnnotation"},{"id":"04424773-7686-42e6-9d60-0668ca6b4420","type":"GlyphRenderer"}],"title":{"id":"bf409717-9407-47d5-b431-2f60ad694fb7","type":"Title"},"title_location":"left","toolbar":{"id":"025912d6-07e1-454b-80e1-b11e9fcc98d0","type":"Toolbar"},"x_range":{"id":"a8b57219-ceee-4fab-9626-a9c85835d268","type":"DataRange1d"},"x_scale":{"id":"edde929d-b717-418a-bcb2-d8b256a46779","type":"LinearScale"},"y_range":{"id":"292b3b2e-2da3-4765-9699-5b1726d9eada","type":"DataRange1d"},"y_scale":{"id":"59c5dd84-0993-42a3-9a01-4bb60db1d8d7","type":"LinearScale"}},"id":"460e8392-94b0-45e1-afd5-5ce9ade3fa66","subtype":"Figure","type":"Plot"},{"attributes":{"source":{"id":"08127f78-fca4-4912-adc6-a0e04dd7eb45","type":"ColumnDataSource"}},"id":"08a3c941-c75d-426c-abf4-c99cebe27586","type":"CDSView"},{"attributes":{"callback":null},"id":"a8b57219-ceee-4fab-9626-a9c85835d268","type":"DataRange1d"},{"attributes":{"callback":null},"id":"292b3b2e-2da3-4765-9699-5b1726d9eada","type":"DataRange1d"},{"attributes":{"overlay":{"id":"9af6cd29-ee5f-46a8-a62d-5189cc8e31e1","type":"BoxAnnotation"}},"id":"1181b7d1-4207-4096-9e68-f710a5cf68a4","type":"BoxZoomTool"},{"attributes":{},"id":"2b074135-d3a9-423c-b9ad-f84c9a38e0f1","type":"WheelZoomTool"},{"attributes":{},"id":"199ff874-00d1-43ab-8a68-530e36ec05e0","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"199ff874-00d1-43ab-8a68-530e36ec05e0","type":"BasicTickFormatter"},"plot":{"id":"460e8392-94b0-45e1-afd5-5ce9ade3fa66","subtype":"Figure","type":"Plot"},"ticker":{"id":"c8dfde09-8bfe-417d-b0b2-12d1c639540b","type":"BasicTicker"}},"id":"267a0d59-be3b-4f46-bda9-31be4531e51d","type":"LinearAxis"},{"attributes":{},"id":"21df7144-e367-4835-9791-3172c414560e","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2],"y":[3,4]}},"id":"08127f78-fca4-4912-adc6-a0e04dd7eb45","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"61026262-5209-41c2-8192-3270170897cc","type":"PanTool"},{"id":"2b074135-d3a9-423c-b9ad-f84c9a38e0f1","type":"WheelZoomTool"},{"id":"1181b7d1-4207-4096-9e68-f710a5cf68a4","type":"BoxZoomTool"},{"id":"7406b939-7ece-4bc3-b14c-b1b15fceefc3","type":"SaveTool"},{"id":"1a4f96fd-0d10-42cf-9f85-86494e2603c0","type":"ResetTool"},{"id":"c7b1d054-d4b4-418f-9d95-65718b1f9c1d","type":"HelpTool"}]},"id":"025912d6-07e1-454b-80e1-b11e9fcc98d0","type":"Toolbar"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"4c943b60-353e-443f-a57f-2e629c7494c3","type":"Circle"},{"attributes":{"data_source":{"id":"08127f78-fca4-4912-adc6-a0e04dd7eb45","type":"ColumnDataSource"},"glyph":{"id":"4c943b60-353e-443f-a57f-2e629c7494c3","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b4810961-3276-4442-8c9c-c860efe50c84","type":"Circle"},"selection_glyph":null,"view":{"id":"08a3c941-c75d-426c-abf4-c99cebe27586","type":"CDSView"}},"id":"04424773-7686-42e6-9d60-0668ca6b4420","type":"GlyphRenderer"},{"attributes":{},"id":"c7b1d054-d4b4-418f-9d95-65718b1f9c1d","type":"HelpTool"},{"attributes":{},"id":"2ecbfc88-ccb3-48d2-8a4a-b3f601bf53ad","type":"BasicTicker"},{"attributes":{},"id":"1a4f96fd-0d10-42cf-9f85-86494e2603c0","type":"ResetTool"}],"root_ids":["460e8392-94b0-45e1-afd5-5ce9ade3fa66"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e4debab2-0d0d-4e32-ab1d-129c09b43799","elementid":"032a2046-7320-4ace-9a7f-a42fedacfa23","modelid":"460e8392-94b0-45e1-afd5-5ce9ade3fa66"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
