(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("6cdd64e2-089a-45df-b9ca-9b7f22fbf13f");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '6cdd64e2-089a-45df-b9ca-9b7f22fbf13f' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"96d593cc-0e24-4f93-b95b-679c80d0cdbd":{"roots":{"references":[{"attributes":{"dimension":1,"plot":{"id":"38273b37-555a-4752-b381-c086c933219d","subtype":"Figure","type":"Plot"},"ticker":{"id":"64280da7-6465-4183-8fae-a1f2415c2ac1","type":"BasicTicker"}},"id":"150e6484-ff4f-4a34-8bf5-f2aa6b8d5db0","type":"Grid"},{"attributes":{},"id":"b07e9001-f4a1-4576-93d2-0308b8196add","type":"LinearScale"},{"attributes":{"source":{"id":"b4a1c014-7155-40f3-8688-b357c7df348d","type":"ColumnDataSource"}},"id":"cf5ab7a8-dba6-4373-908e-2aa07b9b1c93","type":"CDSView"},{"attributes":{},"id":"64280da7-6465-4183-8fae-a1f2415c2ac1","type":"BasicTicker"},{"attributes":{"data_source":{"id":"b4a1c014-7155-40f3-8688-b357c7df348d","type":"ColumnDataSource"},"glyph":{"id":"82bf5ccf-0327-48ba-8154-6f7434cb1efb","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"859e04ed-4575-45af-a7c2-f21985236670","type":"Circle"},"selection_glyph":null,"view":{"id":"cf5ab7a8-dba6-4373-908e-2aa07b9b1c93","type":"CDSView"}},"id":"39bfa27f-45e7-4490-8ffc-323ca203aa53","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"deeabfd2-a148-4efe-9f5b-e25d4a7a7ced","type":"DataRange1d"},{"attributes":{"align":"right","background_fill_color":{"value":"#aaaaee"},"plot":null,"text":"Title With Options","text_color":{"value":"orange"},"text_font_size":{"value":"25px"}},"id":"ceaedda5-e21b-4f57-bfe6-8ee0d0426297","type":"Title"},{"attributes":{},"id":"da5ad856-508a-4628-8328-7a362ae2f2f7","type":"ResetTool"},{"attributes":{"below":[{"id":"88af884c-ef9f-48d5-a068-8cf6ea47d443","type":"LinearAxis"}],"left":[{"id":"4e8ac78b-98ab-4276-a61e-0c86cc8f4f99","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"88af884c-ef9f-48d5-a068-8cf6ea47d443","type":"LinearAxis"},{"id":"003a3e0b-9ffe-4cf5-af34-3778f56b0b11","type":"Grid"},{"id":"4e8ac78b-98ab-4276-a61e-0c86cc8f4f99","type":"LinearAxis"},{"id":"150e6484-ff4f-4a34-8bf5-f2aa6b8d5db0","type":"Grid"},{"id":"d670ff41-553a-4590-86e2-7d3f289ac9f4","type":"BoxAnnotation"},{"id":"39bfa27f-45e7-4490-8ffc-323ca203aa53","type":"GlyphRenderer"}],"title":{"id":"ceaedda5-e21b-4f57-bfe6-8ee0d0426297","type":"Title"},"toolbar":{"id":"5aa6c59f-a1dc-45a9-bd1c-6536e1964258","type":"Toolbar"},"x_range":{"id":"deeabfd2-a148-4efe-9f5b-e25d4a7a7ced","type":"DataRange1d"},"x_scale":{"id":"57c098be-b9db-40bd-9c5a-bf7591e56073","type":"LinearScale"},"y_range":{"id":"152afc92-9bcc-4f88-beb5-91b0ae363f5d","type":"DataRange1d"},"y_scale":{"id":"b07e9001-f4a1-4576-93d2-0308b8196add","type":"LinearScale"}},"id":"38273b37-555a-4752-b381-c086c933219d","subtype":"Figure","type":"Plot"},{"attributes":{"overlay":{"id":"d670ff41-553a-4590-86e2-7d3f289ac9f4","type":"BoxAnnotation"}},"id":"b210bd3c-dac8-4cf7-8ecf-db616f68a51a","type":"BoxZoomTool"},{"attributes":{},"id":"7971a176-b84b-4940-b2a3-0a0fd457a839","type":"WheelZoomTool"},{"attributes":{},"id":"882d0132-b812-453e-b5a3-1e2a7281bcff","type":"SaveTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2],"y":[3,4]}},"id":"b4a1c014-7155-40f3-8688-b357c7df348d","type":"ColumnDataSource"},{"attributes":{},"id":"94d0aed7-37b9-4e98-9fdc-7f1759006ad8","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"38273b37-555a-4752-b381-c086c933219d","subtype":"Figure","type":"Plot"},"ticker":{"id":"2288e6ff-a1ed-4b8f-83d7-213fc917089b","type":"BasicTicker"}},"id":"003a3e0b-9ffe-4cf5-af34-3778f56b0b11","type":"Grid"},{"attributes":{},"id":"57c098be-b9db-40bd-9c5a-bf7591e56073","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"859e04ed-4575-45af-a7c2-f21985236670","type":"Circle"},{"attributes":{},"id":"2288e6ff-a1ed-4b8f-83d7-213fc917089b","type":"BasicTicker"},{"attributes":{},"id":"7468928c-d95a-419e-8113-8c927661bfeb","type":"HelpTool"},{"attributes":{},"id":"268c965d-c8fa-4313-98a2-81008cf8cc14","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"94d0aed7-37b9-4e98-9fdc-7f1759006ad8","type":"BasicTickFormatter"},"plot":{"id":"38273b37-555a-4752-b381-c086c933219d","subtype":"Figure","type":"Plot"},"ticker":{"id":"2288e6ff-a1ed-4b8f-83d7-213fc917089b","type":"BasicTicker"}},"id":"88af884c-ef9f-48d5-a068-8cf6ea47d443","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"05fc9477-5f97-4e31-b90e-122d36f7d2db","type":"PanTool"},{"id":"7971a176-b84b-4940-b2a3-0a0fd457a839","type":"WheelZoomTool"},{"id":"b210bd3c-dac8-4cf7-8ecf-db616f68a51a","type":"BoxZoomTool"},{"id":"882d0132-b812-453e-b5a3-1e2a7281bcff","type":"SaveTool"},{"id":"da5ad856-508a-4628-8328-7a362ae2f2f7","type":"ResetTool"},{"id":"7468928c-d95a-419e-8113-8c927661bfeb","type":"HelpTool"}]},"id":"5aa6c59f-a1dc-45a9-bd1c-6536e1964258","type":"Toolbar"},{"attributes":{"formatter":{"id":"268c965d-c8fa-4313-98a2-81008cf8cc14","type":"BasicTickFormatter"},"plot":{"id":"38273b37-555a-4752-b381-c086c933219d","subtype":"Figure","type":"Plot"},"ticker":{"id":"64280da7-6465-4183-8fae-a1f2415c2ac1","type":"BasicTicker"}},"id":"4e8ac78b-98ab-4276-a61e-0c86cc8f4f99","type":"LinearAxis"},{"attributes":{},"id":"05fc9477-5f97-4e31-b90e-122d36f7d2db","type":"PanTool"},{"attributes":{"callback":null},"id":"152afc92-9bcc-4f88-beb5-91b0ae363f5d","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"d670ff41-553a-4590-86e2-7d3f289ac9f4","type":"BoxAnnotation"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"82bf5ccf-0327-48ba-8154-6f7434cb1efb","type":"Circle"}],"root_ids":["38273b37-555a-4752-b381-c086c933219d"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"96d593cc-0e24-4f93-b95b-679c80d0cdbd","elementid":"6cdd64e2-089a-45df-b9ca-9b7f22fbf13f","modelid":"38273b37-555a-4752-b381-c086c933219d"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
