(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("d56f5c9e-f8b5-4077-9e50-9a8ee1915c13");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'd56f5c9e-f8b5-4077-9e50-9a8ee1915c13' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a6443a5b-d0ab-46ab-a7fa-415396b36352":{"roots":{"references":[{"attributes":{},"id":"aa390361-1e67-4f4c-b9c1-e7c45e84ed98","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"f134084a-013d-4a86-ac5b-5df7e85373d8","type":"Circle"},{"attributes":{"plot":{"id":"9b3847e5-e9aa-4c01-b2a6-c5b26224e449","subtype":"Figure","type":"Plot"},"ticker":{"id":"e128f576-00c2-4595-af66-791a88806f79","type":"BasicTicker"}},"id":"61ec8f57-8e81-4be8-88f9-deb3558ab0c4","type":"Grid"},{"attributes":{},"id":"e128f576-00c2-4595-af66-791a88806f79","type":"BasicTicker"},{"attributes":{},"id":"df607ac9-9481-46b9-a02d-f00ff18f56a2","type":"LinearScale"},{"attributes":{},"id":"96771a41-2dbd-45ed-913c-adfc488e6dc3","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"c4e4f242-208d-44d6-a642-34941572d14e","type":"Circle"},{"attributes":{"formatter":{"id":"aa390361-1e67-4f4c-b9c1-e7c45e84ed98","type":"BasicTickFormatter"},"plot":{"id":"9b3847e5-e9aa-4c01-b2a6-c5b26224e449","subtype":"Figure","type":"Plot"},"ticker":{"id":"e128f576-00c2-4595-af66-791a88806f79","type":"BasicTicker"}},"id":"bc9018ac-5717-4a27-b9c1-4e6f0d891cb1","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"bdc8d6bc-2871-4c4b-9be0-ab108d0ad451","type":"PanTool"},{"id":"a92a6936-b35c-4bf3-b63a-82d9f1a8c447","type":"WheelZoomTool"},{"id":"93217669-f5c5-474d-86e6-1203678bfa03","type":"BoxZoomTool"},{"id":"5d822331-01fd-40e8-9d56-4b9e2788e725","type":"SaveTool"},{"id":"cf0fe400-0fea-4afe-9659-d6ee026db39c","type":"ResetTool"},{"id":"7d808f48-8711-4846-bd07-2bb6a67e5c15","type":"HelpTool"}]},"id":"231e3fe0-b17c-4064-9d8d-5594247e6d63","type":"Toolbar"},{"attributes":{},"id":"f0e40b0c-db64-47c5-9701-ca2dcc812995","type":"BasicTicker"},{"attributes":{"below":[{"id":"bc9018ac-5717-4a27-b9c1-4e6f0d891cb1","type":"LinearAxis"}],"left":[{"id":"e878289b-851e-49ce-a618-7605fad0fa47","type":"LinearAxis"}],"plot_height":300,"renderers":[{"id":"bc9018ac-5717-4a27-b9c1-4e6f0d891cb1","type":"LinearAxis"},{"id":"61ec8f57-8e81-4be8-88f9-deb3558ab0c4","type":"Grid"},{"id":"e878289b-851e-49ce-a618-7605fad0fa47","type":"LinearAxis"},{"id":"4e80b5ed-1db6-4aa5-a467-681d907744d4","type":"Grid"},{"id":"9771ec12-fcc1-4b71-900c-572f61aafaef","type":"BoxAnnotation"},{"id":"c079c213-d406-4afa-ba33-19235effb441","type":"GlyphRenderer"}],"title":{"id":"df6f88be-075b-4cad-9db4-31209f92743b","type":"Title"},"toolbar":{"id":"231e3fe0-b17c-4064-9d8d-5594247e6d63","type":"Toolbar"},"toolbar_location":"above","x_range":{"id":"ca6244a8-f0b3-4285-afe3-2233c5b16648","type":"DataRange1d"},"x_scale":{"id":"b93db47c-5de9-4438-9641-e129df960519","type":"LinearScale"},"y_range":{"id":"d46598a6-d3c4-4ad2-bcb0-35e16d0a2459","type":"DataRange1d"},"y_scale":{"id":"df607ac9-9481-46b9-a02d-f00ff18f56a2","type":"LinearScale"}},"id":"9b3847e5-e9aa-4c01-b2a6-c5b26224e449","subtype":"Figure","type":"Plot"},{"attributes":{"overlay":{"id":"9771ec12-fcc1-4b71-900c-572f61aafaef","type":"BoxAnnotation"}},"id":"93217669-f5c5-474d-86e6-1203678bfa03","type":"BoxZoomTool"},{"attributes":{},"id":"bdc8d6bc-2871-4c4b-9be0-ab108d0ad451","type":"PanTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"9771ec12-fcc1-4b71-900c-572f61aafaef","type":"BoxAnnotation"},{"attributes":{"dimension":1,"plot":{"id":"9b3847e5-e9aa-4c01-b2a6-c5b26224e449","subtype":"Figure","type":"Plot"},"ticker":{"id":"f0e40b0c-db64-47c5-9701-ca2dcc812995","type":"BasicTicker"}},"id":"4e80b5ed-1db6-4aa5-a467-681d907744d4","type":"Grid"},{"attributes":{"plot":null,"text":"Top Title with Toolbar"},"id":"df6f88be-075b-4cad-9db4-31209f92743b","type":"Title"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2],"y":[3,4]}},"id":"aa4e9f62-ae42-496e-80ea-6a89d7e3f460","type":"ColumnDataSource"},{"attributes":{"source":{"id":"aa4e9f62-ae42-496e-80ea-6a89d7e3f460","type":"ColumnDataSource"}},"id":"20aea8aa-a395-4cae-94e4-5b2ede801dec","type":"CDSView"},{"attributes":{"callback":null},"id":"ca6244a8-f0b3-4285-afe3-2233c5b16648","type":"DataRange1d"},{"attributes":{},"id":"cf0fe400-0fea-4afe-9659-d6ee026db39c","type":"ResetTool"},{"attributes":{"callback":null},"id":"d46598a6-d3c4-4ad2-bcb0-35e16d0a2459","type":"DataRange1d"},{"attributes":{"data_source":{"id":"aa4e9f62-ae42-496e-80ea-6a89d7e3f460","type":"ColumnDataSource"},"glyph":{"id":"c4e4f242-208d-44d6-a642-34941572d14e","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"f134084a-013d-4a86-ac5b-5df7e85373d8","type":"Circle"},"selection_glyph":null,"view":{"id":"20aea8aa-a395-4cae-94e4-5b2ede801dec","type":"CDSView"}},"id":"c079c213-d406-4afa-ba33-19235effb441","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"96771a41-2dbd-45ed-913c-adfc488e6dc3","type":"BasicTickFormatter"},"plot":{"id":"9b3847e5-e9aa-4c01-b2a6-c5b26224e449","subtype":"Figure","type":"Plot"},"ticker":{"id":"f0e40b0c-db64-47c5-9701-ca2dcc812995","type":"BasicTicker"}},"id":"e878289b-851e-49ce-a618-7605fad0fa47","type":"LinearAxis"},{"attributes":{},"id":"a92a6936-b35c-4bf3-b63a-82d9f1a8c447","type":"WheelZoomTool"},{"attributes":{},"id":"5d822331-01fd-40e8-9d56-4b9e2788e725","type":"SaveTool"},{"attributes":{},"id":"b93db47c-5de9-4438-9641-e129df960519","type":"LinearScale"},{"attributes":{},"id":"7d808f48-8711-4846-bd07-2bb6a67e5c15","type":"HelpTool"}],"root_ids":["9b3847e5-e9aa-4c01-b2a6-c5b26224e449"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a6443a5b-d0ab-46ab-a7fa-415396b36352","elementid":"d56f5c9e-f8b5-4077-9e50-9a8ee1915c13","modelid":"9b3847e5-e9aa-4c01-b2a6-c5b26224e449"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
