(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("c0ad6af1-a225-4b8a-acbe-a92ebbd69cfe");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'c0ad6af1-a225-4b8a-acbe-a92ebbd69cfe' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d031fc03-4efd-4975-ae30-91bd8602faa4":{"roots":{"references":[{"attributes":{"fill_color":{"field":"color"},"line_color":{"field":"color"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"55e4ca16-ad84-423b-8cc6-c49291a3f76c","type":"VBar"},{"attributes":{"formatter":{"id":"59326512-eb9a-49e4-bd43-79efb024eaf5","type":"CategoricalTickFormatter"},"plot":{"id":"06128caa-c62d-43a6-b7f1-5f42e13ca5d0","subtype":"Figure","type":"Plot"},"ticker":{"id":"28a12fd2-9bd6-4af9-9d2e-673ce261de2d","type":"CategoricalTicker"}},"id":"41d1995f-f4a5-44f5-a0e2-fae04b75ac83","type":"CategoricalAxis"},{"attributes":{},"id":"0ad3da4c-6c70-4ab7-87b1-fecd59ccf7ea","type":"BasicTickFormatter"},{"attributes":{},"id":"c5567326-4cbb-46e3-8a11-1df452ae78b3","type":"CategoricalScale"},{"attributes":{},"id":"8675ba37-0ebf-4f56-99d8-688a90a0754f","type":"BasicTicker"},{"attributes":{"source":{"id":"8fc82e76-b002-469e-ab6f-c9415ef19ac1","type":"ColumnDataSource"}},"id":"6808d1ec-237f-4a36-aad7-ea6e9f813900","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"77c2a48b-0791-4c54-ac05-9d8188c48e9e","type":"VBar"},{"attributes":{},"id":"59326512-eb9a-49e4-bd43-79efb024eaf5","type":"CategoricalTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"06128caa-c62d-43a6-b7f1-5f42e13ca5d0","subtype":"Figure","type":"Plot"},"ticker":{"id":"8675ba37-0ebf-4f56-99d8-688a90a0754f","type":"BasicTicker"}},"id":"f77ea1b8-32b5-4ac1-9b45-2c2b7750b052","type":"Grid"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"e3a4c6e7-ad61-4b17-a092-9faebf091c72","type":"FactorRange"},{"attributes":{},"id":"28a12fd2-9bd6-4af9-9d2e-673ce261de2d","type":"CategoricalTicker"},{"attributes":{"items":[{"id":"7a18896f-639a-49f8-8af2-d5e214924a2a","type":"LegendItem"}],"location":"top_center","orientation":"horizontal","plot":{"id":"06128caa-c62d-43a6-b7f1-5f42e13ca5d0","subtype":"Figure","type":"Plot"}},"id":"4d192e2c-8098-4758-ba7a-09b2ca717106","type":"Legend"},{"attributes":{"callback":null,"end":9},"id":"62af8130-8ff2-42c6-8d67-287b60825503","type":"Range1d"},{"attributes":{"plot":null,"text":"Fruit Counts"},"id":"909d38d7-bd1d-4706-8233-38303cfd15d8","type":"Title"},{"attributes":{"callback":null,"column_names":["color","counts","fruits"],"data":{"color":["#3288bd","#99d594","#e6f598","#fee08b","#fc8d59","#d53e4f"],"counts":[5,3,4,2,4,6],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"8fc82e76-b002-469e-ab6f-c9415ef19ac1","type":"ColumnDataSource"},{"attributes":{"below":[{"id":"41d1995f-f4a5-44f5-a0e2-fae04b75ac83","type":"CategoricalAxis"}],"left":[{"id":"1cd921fc-c171-4a81-ba9a-3d2e10434346","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"41d1995f-f4a5-44f5-a0e2-fae04b75ac83","type":"CategoricalAxis"},{"id":"f3cdf0a5-ea2e-4d78-8317-e955b2607737","type":"Grid"},{"id":"1cd921fc-c171-4a81-ba9a-3d2e10434346","type":"LinearAxis"},{"id":"f77ea1b8-32b5-4ac1-9b45-2c2b7750b052","type":"Grid"},{"id":"4d192e2c-8098-4758-ba7a-09b2ca717106","type":"Legend"},{"id":"220d18d9-1d68-44bf-b008-a2cc0ec4906d","type":"GlyphRenderer"}],"title":{"id":"909d38d7-bd1d-4706-8233-38303cfd15d8","type":"Title"},"toolbar":{"id":"2bbf8f3a-0703-438e-b0f9-6b5104c02eb8","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"e3a4c6e7-ad61-4b17-a092-9faebf091c72","type":"FactorRange"},"x_scale":{"id":"c5567326-4cbb-46e3-8a11-1df452ae78b3","type":"CategoricalScale"},"y_range":{"id":"62af8130-8ff2-42c6-8d67-287b60825503","type":"Range1d"},"y_scale":{"id":"9dfb66e4-fc35-4dcc-8dea-6a3c6ea69915","type":"LinearScale"}},"id":"06128caa-c62d-43a6-b7f1-5f42e13ca5d0","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"9dfb66e4-fc35-4dcc-8dea-6a3c6ea69915","type":"LinearScale"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"06128caa-c62d-43a6-b7f1-5f42e13ca5d0","subtype":"Figure","type":"Plot"},"ticker":{"id":"28a12fd2-9bd6-4af9-9d2e-673ce261de2d","type":"CategoricalTicker"}},"id":"f3cdf0a5-ea2e-4d78-8317-e955b2607737","type":"Grid"},{"attributes":{"label":{"field":"fruits"},"renderers":[{"id":"220d18d9-1d68-44bf-b008-a2cc0ec4906d","type":"GlyphRenderer"}]},"id":"7a18896f-639a-49f8-8af2-d5e214924a2a","type":"LegendItem"},{"attributes":{"formatter":{"id":"0ad3da4c-6c70-4ab7-87b1-fecd59ccf7ea","type":"BasicTickFormatter"},"plot":{"id":"06128caa-c62d-43a6-b7f1-5f42e13ca5d0","subtype":"Figure","type":"Plot"},"ticker":{"id":"8675ba37-0ebf-4f56-99d8-688a90a0754f","type":"BasicTicker"}},"id":"1cd921fc-c171-4a81-ba9a-3d2e10434346","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"2bbf8f3a-0703-438e-b0f9-6b5104c02eb8","type":"Toolbar"},{"attributes":{"data_source":{"id":"8fc82e76-b002-469e-ab6f-c9415ef19ac1","type":"ColumnDataSource"},"glyph":{"id":"55e4ca16-ad84-423b-8cc6-c49291a3f76c","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"77c2a48b-0791-4c54-ac05-9d8188c48e9e","type":"VBar"},"selection_glyph":null,"view":{"id":"6808d1ec-237f-4a36-aad7-ea6e9f813900","type":"CDSView"}},"id":"220d18d9-1d68-44bf-b008-a2cc0ec4906d","type":"GlyphRenderer"}],"root_ids":["06128caa-c62d-43a6-b7f1-5f42e13ca5d0"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d031fc03-4efd-4975-ae30-91bd8602faa4","elementid":"c0ad6af1-a225-4b8a-acbe-a92ebbd69cfe","modelid":"06128caa-c62d-43a6-b7f1-5f42e13ca5d0"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
