(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("0cc7fefb-dfd7-45a6-bd0d-6d3f25e4fc6c");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '0cc7fefb-dfd7-45a6-bd0d-6d3f25e4fc6c' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"9bfc4d0b-d8c7-4919-a587-774a70d47d36":{"roots":{"references":[{"attributes":{"formatter":{"id":"4cbf6e6f-04fe-4f93-8e5a-e261af5dc3c7","type":"BasicTickFormatter"},"plot":{"id":"6503b4ab-b147-4d1b-9f06-6f3a57d55740","subtype":"Figure","type":"Plot"},"ticker":{"id":"18217bda-48a5-44c3-8d25-c07d774dbad2","type":"BasicTicker"}},"id":"c8daca58-7c73-457e-9ed0-bc7b01e2b589","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["x","top"],"data":{"top":[5,3,4,2,4,6],"x":[["Apples",-0.5],["Pears",-0.2],["Nectarines",0.0],["Plums",0.3],["Grapes",0.1],["Strawberries",0.3]]}},"id":"5d97c2ca-eaf3-4895-a120-7d31d6e5ad02","type":"ColumnDataSource"},{"attributes":{},"id":"4cbf6e6f-04fe-4f93-8e5a-e261af5dc3c7","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":"Fruit Counts"},"id":"528aa8f6-186f-46d6-91f8-771566c3fbb0","type":"Title"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"6503b4ab-b147-4d1b-9f06-6f3a57d55740","subtype":"Figure","type":"Plot"},"ticker":{"id":"3e143ef5-18d5-4fb8-ac5d-6b153d527dad","type":"CategoricalTicker"}},"id":"01ceaf44-8107-4ac9-8cf7-571f66a8edf2","type":"Grid"},{"attributes":{"data_source":{"id":"5d97c2ca-eaf3-4895-a120-7d31d6e5ad02","type":"ColumnDataSource"},"glyph":{"id":"75a0ecab-00ff-4b0f-823f-59b3d85dc390","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"f0b53e8c-f84a-4211-9419-759052fa2cbc","type":"VBar"},"selection_glyph":null,"view":{"id":"37508fd5-f837-4ace-869f-a9eeba53d32d","type":"CDSView"}},"id":"8a2ff43f-aa27-4361-85d2-fe5c87e50663","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"56afbe15-ba70-40ff-b0ed-88c0e70b5756","type":"CategoricalTickFormatter"},"plot":{"id":"6503b4ab-b147-4d1b-9f06-6f3a57d55740","subtype":"Figure","type":"Plot"},"ticker":{"id":"3e143ef5-18d5-4fb8-ac5d-6b153d527dad","type":"CategoricalTicker"}},"id":"9ebeed16-02e6-4f20-a109-298b693a4b5f","type":"CategoricalAxis"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.5},"x":{"field":"x"}},"id":"75a0ecab-00ff-4b0f-823f-59b3d85dc390","type":"VBar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.5},"x":{"field":"x"}},"id":"f0b53e8c-f84a-4211-9419-759052fa2cbc","type":"VBar"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"908b91bc-ffcf-401e-81f4-97cfb0285e93","type":"Toolbar"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"6ba46b19-517f-4086-880a-bc302c9a5171","type":"FactorRange"},{"attributes":{"source":{"id":"5d97c2ca-eaf3-4895-a120-7d31d6e5ad02","type":"ColumnDataSource"}},"id":"37508fd5-f837-4ace-869f-a9eeba53d32d","type":"CDSView"},{"attributes":{"callback":null,"start":0},"id":"64e6e9d9-19ec-414f-8b73-1fd2e8adc0e9","type":"DataRange1d"},{"attributes":{},"id":"edfae6f6-238b-4567-a198-06b58373f5d6","type":"CategoricalScale"},{"attributes":{"dimension":1,"plot":{"id":"6503b4ab-b147-4d1b-9f06-6f3a57d55740","subtype":"Figure","type":"Plot"},"ticker":{"id":"18217bda-48a5-44c3-8d25-c07d774dbad2","type":"BasicTicker"}},"id":"87c0cd66-e022-4955-9872-28cb4d2871d7","type":"Grid"},{"attributes":{},"id":"18217bda-48a5-44c3-8d25-c07d774dbad2","type":"BasicTicker"},{"attributes":{},"id":"a3a797c8-34a9-423e-938c-3176f7e76873","type":"LinearScale"},{"attributes":{"below":[{"id":"9ebeed16-02e6-4f20-a109-298b693a4b5f","type":"CategoricalAxis"}],"left":[{"id":"c8daca58-7c73-457e-9ed0-bc7b01e2b589","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"9ebeed16-02e6-4f20-a109-298b693a4b5f","type":"CategoricalAxis"},{"id":"01ceaf44-8107-4ac9-8cf7-571f66a8edf2","type":"Grid"},{"id":"c8daca58-7c73-457e-9ed0-bc7b01e2b589","type":"LinearAxis"},{"id":"87c0cd66-e022-4955-9872-28cb4d2871d7","type":"Grid"},{"id":"8a2ff43f-aa27-4361-85d2-fe5c87e50663","type":"GlyphRenderer"}],"title":{"id":"528aa8f6-186f-46d6-91f8-771566c3fbb0","type":"Title"},"toolbar":{"id":"908b91bc-ffcf-401e-81f4-97cfb0285e93","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"6ba46b19-517f-4086-880a-bc302c9a5171","type":"FactorRange"},"x_scale":{"id":"edfae6f6-238b-4567-a198-06b58373f5d6","type":"CategoricalScale"},"y_range":{"id":"64e6e9d9-19ec-414f-8b73-1fd2e8adc0e9","type":"DataRange1d"},"y_scale":{"id":"a3a797c8-34a9-423e-938c-3176f7e76873","type":"LinearScale"}},"id":"6503b4ab-b147-4d1b-9f06-6f3a57d55740","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"56afbe15-ba70-40ff-b0ed-88c0e70b5756","type":"CategoricalTickFormatter"},{"attributes":{},"id":"3e143ef5-18d5-4fb8-ac5d-6b153d527dad","type":"CategoricalTicker"}],"root_ids":["6503b4ab-b147-4d1b-9f06-6f3a57d55740"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"9bfc4d0b-d8c7-4919-a587-774a70d47d36","elementid":"0cc7fefb-dfd7-45a6-bd0d-6d3f25e4fc6c","modelid":"6503b4ab-b147-4d1b-9f06-6f3a57d55740"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
