(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("0d1b9fde-6b27-4872-9394-ec84acef8f98");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '0d1b9fde-6b27-4872-9394-ec84acef8f98' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"6e0c1be8-93d8-4f63-a8ed-18c1c33792ca":{"roots":{"references":[{"attributes":{},"id":"898b177f-31d8-4a55-83b7-314c75e6f6ba","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"4525f508-fa0b-48de-a37b-2c60b6265311","type":"BoxAnnotation"},{"attributes":{"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"palette":["#3288bd","#99d594","#e6f598","#fee08b","#fc8d59","#d53e4f"]},"id":"642f9c44-c6f0-4182-aad9-d2787fa2a77d","type":"CategoricalColorMapper"},{"attributes":{},"id":"91e5e2f5-89af-4a3b-b4e8-585a199fc714","type":"WheelZoomTool"},{"attributes":{},"id":"3bc1a1cd-6817-45fa-8b7f-f32f8586cf53","type":"ResetTool"},{"attributes":{},"id":"95996b44-3e5e-44c1-b9ec-2f198a56f317","type":"BasicTickFormatter"},{"attributes":{},"id":"f757344b-4c2c-4a34-a56e-ab3a4481835c","type":"CategoricalScale"},{"attributes":{"data_source":{"id":"13437a51-6a11-48c6-b4a0-c282c7d6d106","type":"ColumnDataSource"},"glyph":{"id":"d15c4575-4bd3-47d9-8f2c-e88425b1d8f6","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c44e1699-9fbe-45cb-90d5-ff00329797d2","type":"VBar"},"selection_glyph":null,"view":{"id":"bad2460a-2a4b-4023-866d-5c108e3514d0","type":"CDSView"}},"id":"4def76ce-9799-442e-a795-c30951b87f05","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"33683c49-a2ee-4d4e-a78c-c6ac95ade648","type":"CategoricalAxis"}],"left":[{"id":"6a2994a1-2d87-4b45-a5f2-fc2ed93b38c7","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"33683c49-a2ee-4d4e-a78c-c6ac95ade648","type":"CategoricalAxis"},{"id":"7d421c17-8c37-43e2-b01f-ed614da35e98","type":"Grid"},{"id":"6a2994a1-2d87-4b45-a5f2-fc2ed93b38c7","type":"LinearAxis"},{"id":"407184f8-ee50-40c8-9ac1-ccb52eed442f","type":"Grid"},{"id":"4525f508-fa0b-48de-a37b-2c60b6265311","type":"BoxAnnotation"},{"id":"93167416-ec17-44ae-b376-a0c12646aece","type":"Legend"},{"id":"4def76ce-9799-442e-a795-c30951b87f05","type":"GlyphRenderer"}],"title":{"id":"7c50d65f-0030-4414-b7b6-f358283905b4","type":"Title"},"toolbar":{"id":"9175dfbe-e086-4282-b334-edc23e2b5049","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"91f8768b-810c-41a0-8319-0f65c215c591","type":"FactorRange"},"x_scale":{"id":"f757344b-4c2c-4a34-a56e-ab3a4481835c","type":"CategoricalScale"},"y_range":{"id":"8dd16b34-1163-422b-bfc7-381be1cb2997","type":"DataRange1d"},"y_scale":{"id":"898b177f-31d8-4a55-83b7-314c75e6f6ba","type":"LinearScale"}},"id":"a4675cf5-c45e-48d6-8de8-1ab0ca925310","subtype":"Figure","type":"Plot"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"a4675cf5-c45e-48d6-8de8-1ab0ca925310","subtype":"Figure","type":"Plot"},"ticker":{"id":"20eb42b2-2ecb-44cf-b59c-e4c77dbe9ad4","type":"CategoricalTicker"}},"id":"7d421c17-8c37-43e2-b01f-ed614da35e98","type":"Grid"},{"attributes":{"label":{"field":"fruits"},"renderers":[{"id":"4def76ce-9799-442e-a795-c30951b87f05","type":"GlyphRenderer"}]},"id":"bf901ca2-06d1-4857-ab26-c17ab6e4f6db","type":"LegendItem"},{"attributes":{"fill_color":{"field":"fruits","transform":{"id":"642f9c44-c6f0-4182-aad9-d2787fa2a77d","type":"CategoricalColorMapper"}},"line_color":{"value":"white"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"d15c4575-4bd3-47d9-8f2c-e88425b1d8f6","type":"VBar"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"91f8768b-810c-41a0-8319-0f65c215c591","type":"FactorRange"},{"attributes":{"callback":null,"end":9,"start":0},"id":"8dd16b34-1163-422b-bfc7-381be1cb2997","type":"DataRange1d"},{"attributes":{},"id":"600afe98-a88c-4fac-af3c-7655e74afe13","type":"PanTool"},{"attributes":{"callback":null,"column_names":["counts","fruits"],"data":{"counts":[5,3,4,2,4,6],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"13437a51-6a11-48c6-b4a0-c282c7d6d106","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"cc08faaa-e320-4f12-8119-8ad2e7fbede9","type":"CategoricalTickFormatter"},"plot":{"id":"a4675cf5-c45e-48d6-8de8-1ab0ca925310","subtype":"Figure","type":"Plot"},"ticker":{"id":"20eb42b2-2ecb-44cf-b59c-e4c77dbe9ad4","type":"CategoricalTicker"}},"id":"33683c49-a2ee-4d4e-a78c-c6ac95ade648","type":"CategoricalAxis"},{"attributes":{"items":[{"id":"bf901ca2-06d1-4857-ab26-c17ab6e4f6db","type":"LegendItem"}],"location":"top_center","orientation":"horizontal","plot":{"id":"a4675cf5-c45e-48d6-8de8-1ab0ca925310","subtype":"Figure","type":"Plot"}},"id":"93167416-ec17-44ae-b376-a0c12646aece","type":"Legend"},{"attributes":{"overlay":{"id":"4525f508-fa0b-48de-a37b-2c60b6265311","type":"BoxAnnotation"}},"id":"e2182ff3-77b8-4219-8df7-bb9cc861ab4c","type":"BoxZoomTool"},{"attributes":{},"id":"e42b7a04-58ab-465d-a030-223cbf8d1ea0","type":"SaveTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"600afe98-a88c-4fac-af3c-7655e74afe13","type":"PanTool"},{"id":"91e5e2f5-89af-4a3b-b4e8-585a199fc714","type":"WheelZoomTool"},{"id":"e2182ff3-77b8-4219-8df7-bb9cc861ab4c","type":"BoxZoomTool"},{"id":"e42b7a04-58ab-465d-a030-223cbf8d1ea0","type":"SaveTool"},{"id":"3bc1a1cd-6817-45fa-8b7f-f32f8586cf53","type":"ResetTool"},{"id":"32f3b8ef-2ac9-4f90-9caf-7997d61a13d8","type":"HelpTool"}]},"id":"9175dfbe-e086-4282-b334-edc23e2b5049","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"a4675cf5-c45e-48d6-8de8-1ab0ca925310","subtype":"Figure","type":"Plot"},"ticker":{"id":"92a8e06d-87be-4280-bad2-1fbf162d2fa3","type":"BasicTicker"}},"id":"407184f8-ee50-40c8-9ac1-ccb52eed442f","type":"Grid"},{"attributes":{},"id":"92a8e06d-87be-4280-bad2-1fbf162d2fa3","type":"BasicTicker"},{"attributes":{"formatter":{"id":"95996b44-3e5e-44c1-b9ec-2f198a56f317","type":"BasicTickFormatter"},"plot":{"id":"a4675cf5-c45e-48d6-8de8-1ab0ca925310","subtype":"Figure","type":"Plot"},"ticker":{"id":"92a8e06d-87be-4280-bad2-1fbf162d2fa3","type":"BasicTicker"}},"id":"6a2994a1-2d87-4b45-a5f2-fc2ed93b38c7","type":"LinearAxis"},{"attributes":{},"id":"cc08faaa-e320-4f12-8119-8ad2e7fbede9","type":"CategoricalTickFormatter"},{"attributes":{},"id":"20eb42b2-2ecb-44cf-b59c-e4c77dbe9ad4","type":"CategoricalTicker"},{"attributes":{},"id":"32f3b8ef-2ac9-4f90-9caf-7997d61a13d8","type":"HelpTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"c44e1699-9fbe-45cb-90d5-ff00329797d2","type":"VBar"},{"attributes":{"plot":null,"text":"Fruit Counts"},"id":"7c50d65f-0030-4414-b7b6-f358283905b4","type":"Title"},{"attributes":{"source":{"id":"13437a51-6a11-48c6-b4a0-c282c7d6d106","type":"ColumnDataSource"}},"id":"bad2460a-2a4b-4023-866d-5c108e3514d0","type":"CDSView"}],"root_ids":["a4675cf5-c45e-48d6-8de8-1ab0ca925310"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"6e0c1be8-93d8-4f63-a8ed-18c1c33792ca","elementid":"0d1b9fde-6b27-4872-9394-ec84acef8f98","modelid":"a4675cf5-c45e-48d6-8de8-1ab0ca925310"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
