(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("e7218f93-a498-4ef4-b269-301a9ce71457");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'e7218f93-a498-4ef4-b269-301a9ce71457' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"23485aa6-ecf6-4802-9bb5-87098e396cea":{"roots":{"references":[{"attributes":{},"id":"9e717d6a-b91f-46ae-8ef7-ba58eab91030","type":"CategoricalScale"},{"attributes":{"source":{"id":"e4b111a9-6e75-46d8-9071-55689231ad38","type":"ColumnDataSource"}},"id":"acf5a256-9693-48b6-8f0b-71273494255d","type":"CDSView"},{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"34a626bf-4cb5-45f8-806b-b5bc46a0f53b","type":"Title"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"028d257f-1fbf-4596-818d-68ad1d175eba","type":"Toolbar"},{"attributes":{"below":[{"id":"0ae82a77-c6e0-4778-86f5-9a18113c9134","type":"CategoricalAxis"}],"left":[{"id":"d2a0507b-f8ca-4859-a530-4b10655899ce","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"0ae82a77-c6e0-4778-86f5-9a18113c9134","type":"CategoricalAxis"},{"id":"ace3a0d4-cbf2-4bce-8e5d-88e430272120","type":"Grid"},{"id":"d2a0507b-f8ca-4859-a530-4b10655899ce","type":"LinearAxis"},{"id":"f643cf81-9484-47f0-8598-990c5aeb80c4","type":"Grid"},{"id":"2f355db1-70a8-4353-b300-b4c9abf86ba5","type":"GlyphRenderer"}],"title":{"id":"34a626bf-4cb5-45f8-806b-b5bc46a0f53b","type":"Title"},"toolbar":{"id":"028d257f-1fbf-4596-818d-68ad1d175eba","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"f106f4dd-8062-48f3-8a5e-b5280572f38e","type":"FactorRange"},"x_scale":{"id":"9e717d6a-b91f-46ae-8ef7-ba58eab91030","type":"CategoricalScale"},"y_range":{"id":"b564451f-fd09-4840-934f-093ec689a6e4","type":"DataRange1d"},"y_scale":{"id":"39cc7ea0-b1ed-44dc-abd5-fc7a8fc08ccd","type":"LinearScale"}},"id":"d1365946-fad4-4089-9f06-fbe8c2400c53","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"2599f057-d7ff-481b-91c8-a48c96ef7d96","type":"CategoricalTickFormatter"},{"attributes":{},"id":"8d019e39-6c05-4784-9bd7-212098d74013","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"e4b111a9-6e75-46d8-9071-55689231ad38","type":"ColumnDataSource"},"glyph":{"id":"8925c8e1-3d6b-48c5-b7f7-ac5e754f435e","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"d5ec741e-4b24-4a4c-bed8-ebfa5ac0069a","type":"VBar"},"selection_glyph":null,"view":{"id":"acf5a256-9693-48b6-8f0b-71273494255d","type":"CDSView"}},"id":"2f355db1-70a8-4353-b300-b4c9abf86ba5","type":"GlyphRenderer"},{"attributes":{},"id":"39cc7ea0-b1ed-44dc-abd5-fc7a8fc08ccd","type":"LinearScale"},{"attributes":{"formatter":{"id":"2599f057-d7ff-481b-91c8-a48c96ef7d96","type":"CategoricalTickFormatter"},"major_label_orientation":1,"plot":{"id":"d1365946-fad4-4089-9f06-fbe8c2400c53","subtype":"Figure","type":"Plot"},"ticker":{"id":"5bdc8ce1-fb15-460c-9586-310ffcb71d20","type":"CategoricalTicker"}},"id":"0ae82a77-c6e0-4778-86f5-9a18113c9134","type":"CategoricalAxis"},{"attributes":{},"id":"2a214937-22a0-441f-a83a-ce678f9b6bb7","type":"BasicTicker"},{"attributes":{},"id":"5bdc8ce1-fb15-460c-9586-310ffcb71d20","type":"CategoricalTicker"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"d1365946-fad4-4089-9f06-fbe8c2400c53","subtype":"Figure","type":"Plot"},"ticker":{"id":"5bdc8ce1-fb15-460c-9586-310ffcb71d20","type":"CategoricalTicker"}},"id":"ace3a0d4-cbf2-4bce-8e5d-88e430272120","type":"Grid"},{"attributes":{"callback":null,"column_names":["x","counts"],"data":{"counts":[2,5,3,1,3,2,4,3,4,3,2,4,2,4,5,4,6,3],"x":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]]}},"id":"e4b111a9-6e75-46d8-9071-55689231ad38","type":"ColumnDataSource"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"8925c8e1-3d6b-48c5-b7f7-ac5e754f435e","type":"VBar"},{"attributes":{"callback":null,"factors":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]],"range_padding":0.1},"id":"f106f4dd-8062-48f3-8a5e-b5280572f38e","type":"FactorRange"},{"attributes":{"dimension":1,"plot":{"id":"d1365946-fad4-4089-9f06-fbe8c2400c53","subtype":"Figure","type":"Plot"},"ticker":{"id":"2a214937-22a0-441f-a83a-ce678f9b6bb7","type":"BasicTicker"}},"id":"f643cf81-9484-47f0-8598-990c5aeb80c4","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"d5ec741e-4b24-4a4c-bed8-ebfa5ac0069a","type":"VBar"},{"attributes":{"callback":null,"start":0},"id":"b564451f-fd09-4840-934f-093ec689a6e4","type":"DataRange1d"},{"attributes":{"formatter":{"id":"8d019e39-6c05-4784-9bd7-212098d74013","type":"BasicTickFormatter"},"plot":{"id":"d1365946-fad4-4089-9f06-fbe8c2400c53","subtype":"Figure","type":"Plot"},"ticker":{"id":"2a214937-22a0-441f-a83a-ce678f9b6bb7","type":"BasicTicker"}},"id":"d2a0507b-f8ca-4859-a530-4b10655899ce","type":"LinearAxis"}],"root_ids":["d1365946-fad4-4089-9f06-fbe8c2400c53"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"23485aa6-ecf6-4802-9bb5-87098e396cea","elementid":"e7218f93-a498-4ef4-b269-301a9ce71457","modelid":"d1365946-fad4-4089-9f06-fbe8c2400c53"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
