(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("51e42478-373f-4998-b148-c7c6661ab3e8");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '51e42478-373f-4998-b148-c7c6661ab3e8' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"11891295-4675-4ecf-a60a-92a6b7711b4d":{"roots":{"references":[{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"92f0b8ed-677d-40de-bc80-c46b562d15ee","type":"PolyAnnotation"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y0"}},"id":"34895b71-22cd-4f3c-8a9f-d5d351ef1e51","type":"Circle"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y0"}},"id":"c71751eb-884d-4eec-be34-e4af2ccf0612","type":"Circle"},{"attributes":{"sizing_mode":"scale_width","toolbar_location":"above","tools":[{"id":"e34b4916-d4a8-4a6a-965c-ff8e4068714b","type":"BoxSelectTool"},{"id":"bcdadbae-a11f-4831-ad97-d6f4916dda7b","type":"LassoSelectTool"},{"id":"7452bce8-aeae-430c-90e9-3cf7d2503a79","type":"HoverTool"},{"id":"f1f2d520-3621-4b02-afa3-e78df01a913e","type":"HelpTool"},{"id":"29ee25a7-5a3b-4f69-a099-edd9433aea33","type":"BoxSelectTool"},{"id":"937b3baa-65fe-474a-8db7-6b9b977043a5","type":"LassoSelectTool"},{"id":"48d45789-ac53-421c-9030-cb289ede03cd","type":"HoverTool"},{"id":"f1c5dc56-17c8-4d97-bfb1-cba96463fd64","type":"HelpTool"}]},"id":"0a34b5b2-47d5-4b7c-bfeb-2d2f3c582dc4","type":"ToolbarBox"},{"attributes":{"callback":null},"id":"7452bce8-aeae-430c-90e9-3cf7d2503a79","type":"HoverTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"0d439db6-fda0-4461-84cc-86f66cd938ac","type":"BoxAnnotation"},{"attributes":{},"id":"8c42aca2-d683-41e9-853b-3602b886fbe3","type":"LinearScale"},{"attributes":{},"id":"7508cae4-dbae-4eac-9ef8-282540db3917","type":"BasicTickFormatter"},{"attributes":{"callback":null,"overlay":{"id":"2df7a869-3c1d-46c7-ad2e-1e4b529204d8","type":"PolyAnnotation"}},"id":"bcdadbae-a11f-4831-ad97-d6f4916dda7b","type":"LassoSelectTool"},{"attributes":{},"id":"f1f2d520-3621-4b02-afa3-e78df01a913e","type":"HelpTool"},{"attributes":{"callback":null,"overlay":{"id":"28bb3ac4-e4e9-4c15-ae91-29df89c5b4d9","type":"BoxAnnotation"},"renderers":[{"id":"608f0f2a-7104-4a20-824d-657d723b1688","type":"GlyphRenderer"}]},"id":"e34b4916-d4a8-4a6a-965c-ff8e4068714b","type":"BoxSelectTool"},{"attributes":{"children":[{"id":"d3ed0d27-36e1-459a-a478-e787922e595e","subtype":"Figure","type":"Plot"},{"id":"ce879207-ed82-4143-a1b2-8b1e896cb766","subtype":"Figure","type":"Plot"}]},"id":"9136a0bd-8d82-4dd0-b69d-31e34c21c1fe","type":"Row"},{"attributes":{"children":[{"id":"9136a0bd-8d82-4dd0-b69d-31e34c21c1fe","type":"Row"}]},"id":"600ad52a-41d6-4075-99b8-40550c9466ab","type":"Column"},{"attributes":{"booleans":[true,true,true,true,true,false,false,false,false,false,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,false,false,false,false,false,true,true,true,true,true]},"id":"81ee3a98-4e3b-402e-9a19-f89a7ffb6d1d","type":"BooleanFilter"},{"attributes":{"dimension":1,"plot":{"id":"ce879207-ed82-4143-a1b2-8b1e896cb766","subtype":"Figure","type":"Plot"},"ticker":{"id":"f12fa018-2ad2-4fb9-8a0b-54ec32c10e2b","type":"BasicTicker"}},"id":"bd0dd50f-3c01-45f2-8929-1855324b7de1","type":"Grid"},{"attributes":{"fill_color":{"value":"firebrick"},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y0"}},"id":"db42797e-dbf4-44d7-b585-2f610e5fbe88","type":"Circle"},{"attributes":{"formatter":{"id":"bb18f101-d53d-466b-84d2-96cca49b8e15","type":"BasicTickFormatter"},"plot":{"id":"d3ed0d27-36e1-459a-a478-e787922e595e","subtype":"Figure","type":"Plot"},"ticker":{"id":"dc70e1f5-9dbc-4152-b349-1d401ccc62ae","type":"BasicTicker"}},"id":"cc5fdba3-814b-4c3e-a93b-a06b210dc689","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"e34b4916-d4a8-4a6a-965c-ff8e4068714b","type":"BoxSelectTool"},{"id":"bcdadbae-a11f-4831-ad97-d6f4916dda7b","type":"LassoSelectTool"},{"id":"7452bce8-aeae-430c-90e9-3cf7d2503a79","type":"HoverTool"},{"id":"f1f2d520-3621-4b02-afa3-e78df01a913e","type":"HelpTool"}]},"id":"beb64a11-bfb1-4084-881d-d0ff0b1475f1","type":"Toolbar"},{"attributes":{"plot":{"id":"ce879207-ed82-4143-a1b2-8b1e896cb766","subtype":"Figure","type":"Plot"},"ticker":{"id":"6d8120b1-c6a2-4819-80f1-4802e0598292","type":"BasicTicker"}},"id":"d60afcaf-c239-49ed-a39d-26a84cce86f4","type":"Grid"},{"attributes":{"callback":null,"overlay":{"id":"0d439db6-fda0-4461-84cc-86f66cd938ac","type":"BoxAnnotation"},"renderers":[{"id":"e3d33975-9c24-4528-8f50-7b33aa1bc097","type":"GlyphRenderer"}]},"id":"29ee25a7-5a3b-4f69-a099-edd9433aea33","type":"BoxSelectTool"},{"attributes":{},"id":"bab9d03c-0580-4694-9103-5e35128dd4ac","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"28bb3ac4-e4e9-4c15-ae91-29df89c5b4d9","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"48d45789-ac53-421c-9030-cb289ede03cd","type":"HoverTool"},{"attributes":{"source":{"id":"45c99990-085b-4c28-83ef-9bb1c7a15bd8","type":"ColumnDataSource"}},"id":"7d628dfc-6e59-4a4d-8643-b5d91483da05","type":"CDSView"},{"attributes":{"filters":[{"id":"81ee3a98-4e3b-402e-9a19-f89a7ffb6d1d","type":"BooleanFilter"}],"source":{"id":"45c99990-085b-4c28-83ef-9bb1c7a15bd8","type":"ColumnDataSource"}},"id":"b406f765-38da-4ba7-bd03-18acc4d26571","type":"CDSView"},{"attributes":{},"id":"e6e763fc-c396-4548-969c-483a2bd46cf6","type":"LinearScale"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y1"}},"id":"cf3b33df-3ec1-45f6-bf0f-d3da2d233dad","type":"Circle"},{"attributes":{"below":[{"id":"36a67954-0aef-4171-8300-fee295489d0d","type":"LinearAxis"}],"left":[{"id":"cc5fdba3-814b-4c3e-a93b-a06b210dc689","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"36a67954-0aef-4171-8300-fee295489d0d","type":"LinearAxis"},{"id":"5244d816-6b46-4ebc-9255-66439694a865","type":"Grid"},{"id":"cc5fdba3-814b-4c3e-a93b-a06b210dc689","type":"LinearAxis"},{"id":"3acc01f1-bbf3-4c49-988c-f7730256740c","type":"Grid"},{"id":"28bb3ac4-e4e9-4c15-ae91-29df89c5b4d9","type":"BoxAnnotation"},{"id":"2df7a869-3c1d-46c7-ad2e-1e4b529204d8","type":"PolyAnnotation"},{"id":"608f0f2a-7104-4a20-824d-657d723b1688","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"beb64a11-bfb1-4084-881d-d0ff0b1475f1","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"a0dcb490-8520-486c-882e-0a798ccc04e1","type":"DataRange1d"},"x_scale":{"id":"8067b9ef-4dad-4a36-9a78-d350835dfb61","type":"LinearScale"},"y_range":{"id":"18b28124-f9eb-412d-a505-a9fc4d2fe157","type":"DataRange1d"},"y_scale":{"id":"8c42aca2-d683-41e9-853b-3602b886fbe3","type":"LinearScale"}},"id":"d3ed0d27-36e1-459a-a478-e787922e595e","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"3201f770-5166-46c6-aa65-44ba1657e5b3","type":"BasicTickFormatter"},"plot":{"id":"ce879207-ed82-4143-a1b2-8b1e896cb766","subtype":"Figure","type":"Plot"},"ticker":{"id":"6d8120b1-c6a2-4819-80f1-4802e0598292","type":"BasicTicker"}},"id":"22fcdb63-d62b-4d41-bbb2-d5d7319bd0f5","type":"LinearAxis"},{"attributes":{"formatter":{"id":"0b362265-b3c9-47e8-ba6b-51498d97e319","type":"BasicTickFormatter"},"plot":{"id":"ce879207-ed82-4143-a1b2-8b1e896cb766","subtype":"Figure","type":"Plot"},"ticker":{"id":"f12fa018-2ad2-4fb9-8a0b-54ec32c10e2b","type":"BasicTicker"}},"id":"4ff5733f-da2c-44a8-a268-2e780a0829f4","type":"LinearAxis"},{"attributes":{},"id":"08f37390-fa8a-4846-9319-eb7a16792d63","type":"BasicTicker"},{"attributes":{"data_source":{"id":"45c99990-085b-4c28-83ef-9bb1c7a15bd8","type":"ColumnDataSource"},"glyph":{"id":"cf3b33df-3ec1-45f6-bf0f-d3da2d233dad","type":"Circle"},"hover_glyph":{"id":"5e151c0c-eaf7-4760-8201-18dd47891482","type":"Circle"},"muted_glyph":null,"nonselection_glyph":{"id":"6e2e9c99-4d32-47b2-8ea2-1a97591705f1","type":"Circle"},"selection_glyph":null,"view":{"id":"b406f765-38da-4ba7-bd03-18acc4d26571","type":"CDSView"}},"id":"e3d33975-9c24-4528-8f50-7b33aa1bc097","type":"GlyphRenderer"},{"attributes":{},"id":"f1c5dc56-17c8-4d97-bfb1-cba96463fd64","type":"HelpTool"},{"attributes":{},"id":"8067b9ef-4dad-4a36-9a78-d350835dfb61","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"d3ed0d27-36e1-459a-a478-e787922e595e","subtype":"Figure","type":"Plot"},"ticker":{"id":"dc70e1f5-9dbc-4152-b349-1d401ccc62ae","type":"BasicTicker"}},"id":"3acc01f1-bbf3-4c49-988c-f7730256740c","type":"Grid"},{"attributes":{"callback":null},"id":"a0dcb490-8520-486c-882e-0a798ccc04e1","type":"DataRange1d"},{"attributes":{},"id":"0b362265-b3c9-47e8-ba6b-51498d97e319","type":"BasicTickFormatter"},{"attributes":{},"id":"6d8120b1-c6a2-4819-80f1-4802e0598292","type":"BasicTicker"},{"attributes":{"below":[{"id":"22fcdb63-d62b-4d41-bbb2-d5d7319bd0f5","type":"LinearAxis"}],"left":[{"id":"4ff5733f-da2c-44a8-a268-2e780a0829f4","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"22fcdb63-d62b-4d41-bbb2-d5d7319bd0f5","type":"LinearAxis"},{"id":"d60afcaf-c239-49ed-a39d-26a84cce86f4","type":"Grid"},{"id":"4ff5733f-da2c-44a8-a268-2e780a0829f4","type":"LinearAxis"},{"id":"bd0dd50f-3c01-45f2-8929-1855324b7de1","type":"Grid"},{"id":"0d439db6-fda0-4461-84cc-86f66cd938ac","type":"BoxAnnotation"},{"id":"92f0b8ed-677d-40de-bc80-c46b562d15ee","type":"PolyAnnotation"},{"id":"e3d33975-9c24-4528-8f50-7b33aa1bc097","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"46f32d97-0410-42e8-a5d3-b9cd822d4e9a","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"fd29c1ba-1f68-4b51-a81a-d9ed612a9733","type":"DataRange1d"},"x_scale":{"id":"bab9d03c-0580-4694-9103-5e35128dd4ac","type":"LinearScale"},"y_range":{"id":"a3421231-d2d1-4ecf-b1af-03dde9a311b8","type":"DataRange1d"},"y_scale":{"id":"e6e763fc-c396-4548-969c-483a2bd46cf6","type":"LinearScale"}},"id":"ce879207-ed82-4143-a1b2-8b1e896cb766","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"a3421231-d2d1-4ecf-b1af-03dde9a311b8","type":"DataRange1d"},{"attributes":{"callback":null},"id":"fd29c1ba-1f68-4b51-a81a-d9ed612a9733","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y1"}},"id":"6e2e9c99-4d32-47b2-8ea2-1a97591705f1","type":"Circle"},{"attributes":{},"id":"3201f770-5166-46c6-aa65-44ba1657e5b3","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"29ee25a7-5a3b-4f69-a099-edd9433aea33","type":"BoxSelectTool"},{"id":"937b3baa-65fe-474a-8db7-6b9b977043a5","type":"LassoSelectTool"},{"id":"48d45789-ac53-421c-9030-cb289ede03cd","type":"HoverTool"},{"id":"f1c5dc56-17c8-4d97-bfb1-cba96463fd64","type":"HelpTool"}]},"id":"46f32d97-0410-42e8-a5d3-b9cd822d4e9a","type":"Toolbar"},{"attributes":{},"id":"f12fa018-2ad2-4fb9-8a0b-54ec32c10e2b","type":"BasicTicker"},{"attributes":{"formatter":{"id":"7508cae4-dbae-4eac-9ef8-282540db3917","type":"BasicTickFormatter"},"plot":{"id":"d3ed0d27-36e1-459a-a478-e787922e595e","subtype":"Figure","type":"Plot"},"ticker":{"id":"08f37390-fa8a-4846-9319-eb7a16792d63","type":"BasicTicker"}},"id":"36a67954-0aef-4171-8300-fee295489d0d","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y1","y0","x"],"data":{"x":[-20,-19,-18,-17,-16,-15,-14,-13,-12,-11,-10,-9,-8,-7,-6,-5,-4,-3,-2,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"y0":[20,19,18,17,16,15,14,13,12,11,10,9,8,7,6,5,4,3,2,1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"y1":[400,361,324,289,256,225,196,169,144,121,100,81,64,49,36,25,16,9,4,1,0,1,4,9,16,25,36,49,64,81,100,121,144,169,196,225,256,289,324,361,400]}},"id":"45c99990-085b-4c28-83ef-9bb1c7a15bd8","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"2df7a869-3c1d-46c7-ad2e-1e4b529204d8","type":"PolyAnnotation"},{"attributes":{},"id":"dc70e1f5-9dbc-4152-b349-1d401ccc62ae","type":"BasicTicker"},{"attributes":{"callback":null,"overlay":{"id":"92f0b8ed-677d-40de-bc80-c46b562d15ee","type":"PolyAnnotation"}},"id":"937b3baa-65fe-474a-8db7-6b9b977043a5","type":"LassoSelectTool"},{"attributes":{},"id":"bb18f101-d53d-466b-84d2-96cca49b8e15","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":"firebrick"},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y1"}},"id":"5e151c0c-eaf7-4760-8201-18dd47891482","type":"Circle"},{"attributes":{"data_source":{"id":"45c99990-085b-4c28-83ef-9bb1c7a15bd8","type":"ColumnDataSource"},"glyph":{"id":"c71751eb-884d-4eec-be34-e4af2ccf0612","type":"Circle"},"hover_glyph":{"id":"db42797e-dbf4-44d7-b585-2f610e5fbe88","type":"Circle"},"muted_glyph":null,"nonselection_glyph":{"id":"34895b71-22cd-4f3c-8a9f-d5d351ef1e51","type":"Circle"},"selection_glyph":null,"view":{"id":"7d628dfc-6e59-4a4d-8643-b5d91483da05","type":"CDSView"}},"id":"608f0f2a-7104-4a20-824d-657d723b1688","type":"GlyphRenderer"},{"attributes":{"children":[{"id":"0a34b5b2-47d5-4b7c-bfeb-2d2f3c582dc4","type":"ToolbarBox"},{"id":"600ad52a-41d6-4075-99b8-40550c9466ab","type":"Column"}]},"id":"b1511ced-fbc8-4d1b-906d-0bcf3d3d6471","type":"Column"},{"attributes":{"callback":null},"id":"18b28124-f9eb-412d-a505-a9fc4d2fe157","type":"DataRange1d"},{"attributes":{"plot":{"id":"d3ed0d27-36e1-459a-a478-e787922e595e","subtype":"Figure","type":"Plot"},"ticker":{"id":"08f37390-fa8a-4846-9319-eb7a16792d63","type":"BasicTicker"}},"id":"5244d816-6b46-4ebc-9255-66439694a865","type":"Grid"}],"root_ids":["b1511ced-fbc8-4d1b-906d-0bcf3d3d6471"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"11891295-4675-4ecf-a60a-92a6b7711b4d","elementid":"51e42478-373f-4998-b148-c7c6661ab3e8","modelid":"b1511ced-fbc8-4d1b-906d-0bcf3d3d6471"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
