(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("c8a081a8-ac76-445a-8838-060b80b5f21e");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'c8a081a8-ac76-445a-8838-060b80b5f21e' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"3f6d239a-4223-469b-a587-8dccb9cfaa10":{"roots":{"references":[{"attributes":{"children":[{"id":"510e0dd7-6cf7-4481-a7d9-15dce1c4023c","subtype":"Figure","type":"Plot"},{"id":"0ea4c7b4-3925-4e3d-b1a3-c4af804ed8e4","subtype":"Figure","type":"Plot"}]},"id":"3c5767c2-ffa0-41e1-b858-bf524c7385d9","type":"Row"},{"attributes":{},"id":"03713c42-db10-4194-b0bc-cdd90c23c20a","type":"LinearScale"},{"attributes":{"children":[{"id":"509d8a6a-543f-4cdb-b0fb-aa66d55df2bf","type":"ToolbarBox"},{"id":"e694047d-27c5-42a5-88e5-715da9ca3aef","type":"Column"}]},"id":"b0c940ff-30ed-4d1a-b502-3d9dac9a07bf","type":"Column"},{"attributes":{},"id":"044d542f-6ee9-4c36-a1ae-85a5fb1faa8a","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[1,2,3,4,5]}},"id":"a7360287-33ab-4b45-a122-4f3d5aab629d","type":"ColumnDataSource"},{"attributes":{},"id":"090fffd6-430d-4d21-a24f-e40801635e5f","type":"BasicTicker"},{"attributes":{},"id":"3e38168f-4046-4449-a137-1210cf40f8e2","type":"BasicTickFormatter"},{"attributes":{},"id":"26cbea56-90ea-4c36-b329-860adea47492","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"b8a328d1-c226-4b1f-a739-908cc093e7fd","type":"Title"},{"attributes":{"fill_color":{"value":"red"},"line_color":{"value":"red"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"a0d4d1b4-d565-456d-abf1-a411c5e5ec5b","type":"Circle"},{"attributes":{"dimension":1,"plot":{"id":"510e0dd7-6cf7-4481-a7d9-15dce1c4023c","subtype":"Figure","type":"Plot"},"ticker":{"id":"5b5e7ea2-e037-4548-8d9e-d471896af8ff","type":"BasicTicker"}},"id":"ba12be0a-204f-4093-be69-247778d632d7","type":"Grid"},{"attributes":{"callback":null},"id":"6cab1e31-2deb-4818-8149-4aa7f7ad4128","type":"DataRange1d"},{"attributes":{},"id":"913bb591-0ef7-4d3a-9d68-91dd24056fef","type":"LinearScale"},{"attributes":{"callback":null,"overlay":{"id":"ac624111-2d90-4a33-851d-f0a46693f62c","type":"BoxAnnotation"},"renderers":[{"id":"3b0c6597-96c7-494a-b252-ced30268f568","type":"GlyphRenderer"}]},"id":"d8bf6177-a488-436a-b4f4-6b18f17e0d24","type":"BoxSelectTool"},{"attributes":{"callback":null},"id":"dfb5b8fe-1c5d-449c-b603-185e975fbbcf","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"4d7fe146-4360-4315-9ca6-56229212bff3","type":"Circle"},{"attributes":{"sizing_mode":"scale_width","toolbar_location":"above","tools":[{"id":"6309ddde-f368-496a-bfa9-781cc7cd5da0","type":"BoxSelectTool"},{"id":"c9f36bae-2c6b-41be-b41c-5181b00d8012","type":"HoverTool"},{"id":"ae8a0731-7df7-4583-8556-8284118e6c5d","type":"ResetTool"},{"id":"d8bf6177-a488-436a-b4f4-6b18f17e0d24","type":"BoxSelectTool"},{"id":"2293fbc9-0803-46d2-83ef-2712e81efafa","type":"HoverTool"},{"id":"8a6ca28a-02bf-447c-ab92-ae49534e08e1","type":"ResetTool"}]},"id":"509d8a6a-543f-4cdb-b0fb-aa66d55df2bf","type":"ToolbarBox"},{"attributes":{"filters":[{"id":"5cdb370c-0a45-4a56-8f73-a5829c6ba88b","type":"BooleanFilter"}],"source":{"id":"a7360287-33ab-4b45-a122-4f3d5aab629d","type":"ColumnDataSource"}},"id":"a2d9b2da-9e0b-4fb8-80d5-f7f5d11c67b1","type":"CDSView"},{"attributes":{"formatter":{"id":"b3afca8a-b3ca-4167-ac83-c0f8eb928fab","type":"BasicTickFormatter"},"plot":{"id":"510e0dd7-6cf7-4481-a7d9-15dce1c4023c","subtype":"Figure","type":"Plot"},"ticker":{"id":"090fffd6-430d-4d21-a24f-e40801635e5f","type":"BasicTicker"}},"id":"558f9bf7-6bc9-461a-b34f-c90a3c7ecf9e","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"6309ddde-f368-496a-bfa9-781cc7cd5da0","type":"BoxSelectTool"},{"id":"c9f36bae-2c6b-41be-b41c-5181b00d8012","type":"HoverTool"},{"id":"ae8a0731-7df7-4583-8556-8284118e6c5d","type":"ResetTool"}]},"id":"a0c09d79-90ad-4c78-a6ff-8456df1eebfe","type":"Toolbar"},{"attributes":{"formatter":{"id":"a72ac3d3-b121-484e-afec-141642a9b48e","type":"BasicTickFormatter"},"plot":{"id":"0ea4c7b4-3925-4e3d-b1a3-c4af804ed8e4","subtype":"Figure","type":"Plot"},"ticker":{"id":"3d2bb7b7-3a12-4c15-bf63-fe2a42016ca3","type":"BasicTicker"}},"id":"66f74c24-8e52-47b3-8125-76ef952ded6f","type":"LinearAxis"},{"attributes":{"children":[{"id":"3c5767c2-ffa0-41e1-b858-bf524c7385d9","type":"Row"}]},"id":"e694047d-27c5-42a5-88e5-715da9ca3aef","type":"Column"},{"attributes":{"callback":null},"id":"c9f36bae-2c6b-41be-b41c-5181b00d8012","type":"HoverTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"75976e4d-b229-4140-bbbd-9104b652cd4d","type":"BoxAnnotation"},{"attributes":{},"id":"8a6ca28a-02bf-447c-ab92-ae49534e08e1","type":"ResetTool"},{"attributes":{"callback":null,"overlay":{"id":"75976e4d-b229-4140-bbbd-9104b652cd4d","type":"BoxAnnotation"},"renderers":[{"id":"be50022e-95bf-4745-8b93-8328e494f965","type":"GlyphRenderer"}]},"id":"6309ddde-f368-496a-bfa9-781cc7cd5da0","type":"BoxSelectTool"},{"attributes":{"below":[{"id":"558f9bf7-6bc9-461a-b34f-c90a3c7ecf9e","type":"LinearAxis"}],"left":[{"id":"c7eaec67-be5c-43c7-b466-d98d67c87ebc","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"558f9bf7-6bc9-461a-b34f-c90a3c7ecf9e","type":"LinearAxis"},{"id":"1f992a74-ec45-4e4c-8477-18a2365545c8","type":"Grid"},{"id":"c7eaec67-be5c-43c7-b466-d98d67c87ebc","type":"LinearAxis"},{"id":"ba12be0a-204f-4093-be69-247778d632d7","type":"Grid"},{"id":"75976e4d-b229-4140-bbbd-9104b652cd4d","type":"BoxAnnotation"},{"id":"be50022e-95bf-4745-8b93-8328e494f965","type":"GlyphRenderer"}],"title":{"id":"b8b8a6a9-efe6-49be-b91c-111a44d922ec","type":"Title"},"toolbar":{"id":"a0c09d79-90ad-4c78-a6ff-8456df1eebfe","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"dfb5b8fe-1c5d-449c-b603-185e975fbbcf","type":"DataRange1d"},"x_scale":{"id":"913bb591-0ef7-4d3a-9d68-91dd24056fef","type":"LinearScale"},"y_range":{"id":"6cab1e31-2deb-4818-8149-4aa7f7ad4128","type":"DataRange1d"},"y_scale":{"id":"03713c42-db10-4194-b0bc-cdd90c23c20a","type":"LinearScale"}},"id":"510e0dd7-6cf7-4481-a7d9-15dce1c4023c","subtype":"Figure","type":"Plot"},{"attributes":{"data_source":{"id":"a7360287-33ab-4b45-a122-4f3d5aab629d","type":"ColumnDataSource"},"glyph":{"id":"0a266d73-2716-46a7-81c0-cd363ec83e4e","type":"Circle"},"hover_glyph":{"id":"3058ce02-85ad-45ff-8b4c-5904b547c3a6","type":"Circle"},"muted_glyph":null,"nonselection_glyph":{"id":"4d7fe146-4360-4315-9ca6-56229212bff3","type":"Circle"},"selection_glyph":null,"view":{"id":"a2d9b2da-9e0b-4fb8-80d5-f7f5d11c67b1","type":"CDSView"}},"id":"3b0c6597-96c7-494a-b252-ced30268f568","type":"GlyphRenderer"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"ac624111-2d90-4a33-851d-f0a46693f62c","type":"BoxAnnotation"},{"attributes":{"booleans":[false,false,true,true,true]},"id":"5cdb370c-0a45-4a56-8f73-a5829c6ba88b","type":"BooleanFilter"},{"attributes":{"plot":null,"text":""},"id":"b8b8a6a9-efe6-49be-b91c-111a44d922ec","type":"Title"},{"attributes":{"dimension":1,"plot":{"id":"0ea4c7b4-3925-4e3d-b1a3-c4af804ed8e4","subtype":"Figure","type":"Plot"},"ticker":{"id":"044d542f-6ee9-4c36-a1ae-85a5fb1faa8a","type":"BasicTicker"}},"id":"b0b66819-4628-4d95-bea8-c4b8ed88f00f","type":"Grid"},{"attributes":{"fill_color":{"value":"red"},"line_color":{"value":"red"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"3058ce02-85ad-45ff-8b4c-5904b547c3a6","type":"Circle"},{"attributes":{"plot":{"id":"510e0dd7-6cf7-4481-a7d9-15dce1c4023c","subtype":"Figure","type":"Plot"},"ticker":{"id":"090fffd6-430d-4d21-a24f-e40801635e5f","type":"BasicTicker"}},"id":"1f992a74-ec45-4e4c-8477-18a2365545c8","type":"Grid"},{"attributes":{"below":[{"id":"66f74c24-8e52-47b3-8125-76ef952ded6f","type":"LinearAxis"}],"left":[{"id":"339c0d3d-24fe-4b53-bdbb-1c08961dc942","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"66f74c24-8e52-47b3-8125-76ef952ded6f","type":"LinearAxis"},{"id":"fcea251b-ecae-460a-833a-f4a2a461b542","type":"Grid"},{"id":"339c0d3d-24fe-4b53-bdbb-1c08961dc942","type":"LinearAxis"},{"id":"b0b66819-4628-4d95-bea8-c4b8ed88f00f","type":"Grid"},{"id":"ac624111-2d90-4a33-851d-f0a46693f62c","type":"BoxAnnotation"},{"id":"3b0c6597-96c7-494a-b252-ced30268f568","type":"GlyphRenderer"}],"title":{"id":"b8a328d1-c226-4b1f-a739-908cc093e7fd","type":"Title"},"toolbar":{"id":"f70a3033-fbda-4724-af4f-e4a2f7bcc804","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"dfb5b8fe-1c5d-449c-b603-185e975fbbcf","type":"DataRange1d"},"x_scale":{"id":"bfe36ffd-a0ea-4e1b-9154-15368373ce1f","type":"LinearScale"},"y_range":{"id":"6cab1e31-2deb-4818-8149-4aa7f7ad4128","type":"DataRange1d"},"y_scale":{"id":"5e04524c-d69b-4f16-b4df-04b99ba2939b","type":"LinearScale"}},"id":"0ea4c7b4-3925-4e3d-b1a3-c4af804ed8e4","subtype":"Figure","type":"Plot"},{"attributes":{"data_source":{"id":"a7360287-33ab-4b45-a122-4f3d5aab629d","type":"ColumnDataSource"},"glyph":{"id":"e1fc3480-7654-4465-9201-56fa03db0591","type":"Circle"},"hover_glyph":{"id":"a0d4d1b4-d565-456d-abf1-a411c5e5ec5b","type":"Circle"},"muted_glyph":null,"nonselection_glyph":{"id":"df664a3b-2990-4f23-8e43-c3c24e08c522","type":"Circle"},"selection_glyph":null,"view":{"id":"9fbe60c1-4906-4118-bcb0-2bd808247738","type":"CDSView"}},"id":"be50022e-95bf-4745-8b93-8328e494f965","type":"GlyphRenderer"},{"attributes":{},"id":"ae8a0731-7df7-4583-8556-8284118e6c5d","type":"ResetTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"0a266d73-2716-46a7-81c0-cd363ec83e4e","type":"Circle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"d8bf6177-a488-436a-b4f4-6b18f17e0d24","type":"BoxSelectTool"},{"id":"2293fbc9-0803-46d2-83ef-2712e81efafa","type":"HoverTool"},{"id":"8a6ca28a-02bf-447c-ab92-ae49534e08e1","type":"ResetTool"}]},"id":"f70a3033-fbda-4724-af4f-e4a2f7bcc804","type":"Toolbar"},{"attributes":{"plot":{"id":"0ea4c7b4-3925-4e3d-b1a3-c4af804ed8e4","subtype":"Figure","type":"Plot"},"ticker":{"id":"3d2bb7b7-3a12-4c15-bf63-fe2a42016ca3","type":"BasicTicker"}},"id":"fcea251b-ecae-460a-833a-f4a2a461b542","type":"Grid"},{"attributes":{"formatter":{"id":"3e38168f-4046-4449-a137-1210cf40f8e2","type":"BasicTickFormatter"},"plot":{"id":"510e0dd7-6cf7-4481-a7d9-15dce1c4023c","subtype":"Figure","type":"Plot"},"ticker":{"id":"5b5e7ea2-e037-4548-8d9e-d471896af8ff","type":"BasicTicker"}},"id":"c7eaec67-be5c-43c7-b466-d98d67c87ebc","type":"LinearAxis"},{"attributes":{"source":{"id":"a7360287-33ab-4b45-a122-4f3d5aab629d","type":"ColumnDataSource"}},"id":"9fbe60c1-4906-4118-bcb0-2bd808247738","type":"CDSView"},{"attributes":{"callback":null},"id":"2293fbc9-0803-46d2-83ef-2712e81efafa","type":"HoverTool"},{"attributes":{"formatter":{"id":"26cbea56-90ea-4c36-b329-860adea47492","type":"BasicTickFormatter"},"plot":{"id":"0ea4c7b4-3925-4e3d-b1a3-c4af804ed8e4","subtype":"Figure","type":"Plot"},"ticker":{"id":"044d542f-6ee9-4c36-a1ae-85a5fb1faa8a","type":"BasicTicker"}},"id":"339c0d3d-24fe-4b53-bdbb-1c08961dc942","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"e1fc3480-7654-4465-9201-56fa03db0591","type":"Circle"},{"attributes":{},"id":"5e04524c-d69b-4f16-b4df-04b99ba2939b","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"df664a3b-2990-4f23-8e43-c3c24e08c522","type":"Circle"},{"attributes":{},"id":"5b5e7ea2-e037-4548-8d9e-d471896af8ff","type":"BasicTicker"},{"attributes":{},"id":"b3afca8a-b3ca-4167-ac83-c0f8eb928fab","type":"BasicTickFormatter"},{"attributes":{},"id":"a72ac3d3-b121-484e-afec-141642a9b48e","type":"BasicTickFormatter"},{"attributes":{},"id":"3d2bb7b7-3a12-4c15-bf63-fe2a42016ca3","type":"BasicTicker"},{"attributes":{},"id":"bfe36ffd-a0ea-4e1b-9154-15368373ce1f","type":"LinearScale"}],"root_ids":["b0c940ff-30ed-4d1a-b502-3d9dac9a07bf"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"3f6d239a-4223-469b-a587-8dccb9cfaa10","elementid":"c8a081a8-ac76-445a-8838-060b80b5f21e","modelid":"b0c940ff-30ed-4d1a-b502-3d9dac9a07bf"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
