(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ec452290-7b6f-4ed0-86a6-a367b2bd2447");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ec452290-7b6f-4ed0-86a6-a367b2bd2447' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"3b847da7-3f6c-4e33-8147-1808cff16526":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"6f941bb0-f0fc-422f-8d72-e12a1adc4213","type":"PanTool"},{"id":"5ddb2029-5622-4972-990b-7fdb585e1ce4","type":"WheelZoomTool"},{"id":"a4257314-6c67-44c4-8d4f-cb8723daed6d","type":"BoxSelectTool"}]},"id":"a9d79ecf-a3bb-481b-af36-e169abf00cc0","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["lat","lon"],"data":{"lat":[30.29,30.2,30.29],"lon":[-97.7,-97.74,-97.78]}},"id":"eb375303-c9dc-45a7-a3b2-eb6c261f5565","type":"ColumnDataSource"},{"attributes":{},"id":"6f941bb0-f0fc-422f-8d72-e12a1adc4213","type":"PanTool"},{"attributes":{"plot":null,"text":"Austin"},"id":"f6fbebd3-f4c0-41f5-a33a-abd67eec824c","type":"Title"},{"attributes":{"callback":null},"id":"ebaf3957-ab5d-42ee-95cc-04daf0dde676","type":"DataRange1d"},{"attributes":{"source":{"id":"eb375303-c9dc-45a7-a3b2-eb6c261f5565","type":"ColumnDataSource"}},"id":"5ee2224b-bb2a-4681-bdc2-2f1e61091073","type":"CDSView"},{"attributes":{"lat":30.29,"lng":-97.73,"zoom":11},"id":"d7198e5c-3686-4204-a25b-3a02d9d99e2e","type":"GMapOptions"},{"attributes":{"fill_alpha":{"value":0.8},"fill_color":{"value":"blue"},"line_color":{"value":null},"size":{"units":"screen","value":15},"x":{"field":"lon"},"y":{"field":"lat"}},"id":"501bdecb-73e4-4c7d-b7de-9d079576bf96","type":"Circle"},{"attributes":{},"id":"5c8cd1aa-76d9-494d-9c87-2a252476be64","type":"LinearScale"},{"attributes":{"callback":null,"overlay":{"id":"25adbc50-1dea-4c3d-8390-cf7d290e882e","type":"BoxAnnotation"}},"id":"a4257314-6c67-44c4-8d4f-cb8723daed6d","type":"BoxSelectTool"},{"attributes":{},"id":"35abfa07-6920-4062-bfc1-ab7b841ce946","type":"LinearScale"},{"attributes":{"api_key":"MISSING_API_KEY","map_options":{"id":"d7198e5c-3686-4204-a25b-3a02d9d99e2e","type":"GMapOptions"},"renderers":[{"id":"80398ca4-9ce4-4401-89df-333a6a816ba3","type":"GlyphRenderer"},{"id":"25adbc50-1dea-4c3d-8390-cf7d290e882e","type":"BoxAnnotation"}],"title":{"id":"f6fbebd3-f4c0-41f5-a33a-abd67eec824c","type":"Title"},"toolbar":{"id":"a9d79ecf-a3bb-481b-af36-e169abf00cc0","type":"Toolbar"},"x_range":{"id":"3fb67795-f273-4c8f-806d-e670797efdab","type":"DataRange1d"},"x_scale":{"id":"5c8cd1aa-76d9-494d-9c87-2a252476be64","type":"LinearScale"},"y_range":{"id":"ebaf3957-ab5d-42ee-95cc-04daf0dde676","type":"DataRange1d"},"y_scale":{"id":"35abfa07-6920-4062-bfc1-ab7b841ce946","type":"LinearScale"}},"id":"762a8526-5a98-4bc4-a2dc-6624e50b9525","type":"GMapPlot"},{"attributes":{"data_source":{"id":"eb375303-c9dc-45a7-a3b2-eb6c261f5565","type":"ColumnDataSource"},"glyph":{"id":"501bdecb-73e4-4c7d-b7de-9d079576bf96","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"5ee2224b-bb2a-4681-bdc2-2f1e61091073","type":"CDSView"}},"id":"80398ca4-9ce4-4401-89df-333a6a816ba3","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"3fb67795-f273-4c8f-806d-e670797efdab","type":"DataRange1d"},{"attributes":{},"id":"5ddb2029-5622-4972-990b-7fdb585e1ce4","type":"WheelZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"25adbc50-1dea-4c3d-8390-cf7d290e882e","type":"BoxAnnotation"}],"root_ids":["762a8526-5a98-4bc4-a2dc-6624e50b9525"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"3b847da7-3f6c-4e33-8147-1808cff16526","elementid":"ec452290-7b6f-4ed0-86a6-a367b2bd2447","modelid":"762a8526-5a98-4bc4-a2dc-6624e50b9525"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
