(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("f4d4ed46-33f6-4893-8b5a-2ce04a1d598f");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'f4d4ed46-33f6-4893-8b5a-2ce04a1d598f' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"c903f727-6f5b-4dd9-a939-e935ea621f2b":{"roots":{"references":[{"attributes":{"callback":null,"column_names":["start","end"],"data":{"end":[0,1,2,3,4,5,6,7],"start":[0,0,0,0,0,0,0,0]}},"id":"d5dfc34b-bc91-422b-ae89-c1f87770c67f","type":"ColumnDataSource"},{"attributes":{"source":{"id":"763f73ea-68ce-410a-8f20-589bf7444b41","type":"ColumnDataSource"}},"id":"73ec6819-6ef8-4621-a202-511ce9e77d85","type":"CDSView"},{"attributes":{"graph_layout":{"0":[1.0,0.0],"1":[0.7071067811865476,0.7071067811865475],"2":[6.123233995736766e-17,1.0],"3":[-0.7071067811865475,0.7071067811865476],"4":[-1.0,1.2246467991473532e-16],"5":[-0.7071067811865477,-0.7071067811865475],"6":[-1.8369701987210297e-16,-1.0],"7":[0.7071067811865475,-0.7071067811865477]}},"id":"bb266632-3d3a-41d4-acb5-f238f542ba1d","type":"StaticLayoutProvider"},{"attributes":{"edge_renderer":{"id":"7801ebd4-8110-4eeb-b880-6ceadd960156","type":"GlyphRenderer"},"inspection_policy":{"id":"574283c1-3a5a-41a1-876d-8e44d01ab7ff","type":"NodesOnly"},"layout_provider":{"id":"bb266632-3d3a-41d4-acb5-f238f542ba1d","type":"StaticLayoutProvider"},"node_renderer":{"id":"5b589585-eb5c-4d49-87cd-1f1516fa1dc3","type":"GlyphRenderer"},"selection_policy":{"id":"b8233042-d3a5-4f6d-8bd2-bedc4fd6747c","type":"NodesOnly"}},"id":"14d13a22-6886-4604-9eba-5952fab8436c","type":"GraphRenderer"},{"attributes":{},"id":"fc089213-e9ae-4b3b-8d96-1688bd41c4e4","type":"BasicTicker"},{"attributes":{},"id":"54b87e52-ac49-495d-8147-eb3808292ccd","type":"MultiLine"},{"attributes":{"plot":null,"text":"Graph Layout Demonstration"},"id":"64737850-d89c-4c11-944e-247fb6603cfa","type":"Title"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"da5dc71c-f680-4a00-a7db-2632a61a2f60","type":"Toolbar"},{"attributes":{"data_source":{"id":"763f73ea-68ce-410a-8f20-589bf7444b41","type":"ColumnDataSource"},"glyph":{"id":"1c6c1605-ea7b-4b4a-947a-9a0c4fa7242a","type":"Oval"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"73ec6819-6ef8-4621-a202-511ce9e77d85","type":"CDSView"}},"id":"5b589585-eb5c-4d49-87cd-1f1516fa1dc3","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["index"],"data":{"fill_color":["#3288bd","#66c2a5","#abdda4","#e6f598","#fee08b","#fdae61","#f46d43","#d53e4f"],"index":[0,1,2,3,4,5,6,7]}},"id":"763f73ea-68ce-410a-8f20-589bf7444b41","type":"ColumnDataSource"},{"attributes":{"fill_color":{"field":"fill_color"},"height":{"units":"data","value":0.1},"width":{"units":"data","value":0.2}},"id":"1c6c1605-ea7b-4b4a-947a-9a0c4fa7242a","type":"Oval"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"850f76c3-a871-40b7-9eac-a17bff6ab041","type":"Range1d"},{"attributes":{"formatter":{"id":"22e0f5d7-182b-4be6-a9eb-cdcc036e5e38","type":"BasicTickFormatter"},"plot":{"id":"a07e0229-c1e8-4ad2-b0b8-00da588372c7","subtype":"Figure","type":"Plot"},"ticker":{"id":"fc089213-e9ae-4b3b-8d96-1688bd41c4e4","type":"BasicTicker"}},"id":"0785a669-be5e-417e-a6d6-3a225397f8a8","type":"LinearAxis"},{"attributes":{},"id":"2d6aae01-2254-4bc5-a749-7c99938d04bd","type":"LinearScale"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"883921b4-0d49-483b-8199-83e74d9d1f3d","type":"Range1d"},{"attributes":{"formatter":{"id":"81e416c3-28de-4629-bba4-5d48f384ca19","type":"BasicTickFormatter"},"plot":{"id":"a07e0229-c1e8-4ad2-b0b8-00da588372c7","subtype":"Figure","type":"Plot"},"ticker":{"id":"d37cbd65-fb02-4037-9037-2dea862281e0","type":"BasicTicker"}},"id":"e189ba6f-788c-42ba-83a5-c4aa38f56dc3","type":"LinearAxis"},{"attributes":{},"id":"b8233042-d3a5-4f6d-8bd2-bedc4fd6747c","type":"NodesOnly"},{"attributes":{},"id":"1a514225-5399-4cea-b341-2217129996dc","type":"LinearScale"},{"attributes":{},"id":"574283c1-3a5a-41a1-876d-8e44d01ab7ff","type":"NodesOnly"},{"attributes":{"plot":{"id":"a07e0229-c1e8-4ad2-b0b8-00da588372c7","subtype":"Figure","type":"Plot"},"ticker":{"id":"d37cbd65-fb02-4037-9037-2dea862281e0","type":"BasicTicker"}},"id":"edf8d748-c972-4c41-91b5-208e4534773b","type":"Grid"},{"attributes":{"data_source":{"id":"d5dfc34b-bc91-422b-ae89-c1f87770c67f","type":"ColumnDataSource"},"glyph":{"id":"54b87e52-ac49-495d-8147-eb3808292ccd","type":"MultiLine"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"e8f945be-bda7-4354-ab09-f3da10baaeaf","type":"CDSView"}},"id":"7801ebd4-8110-4eeb-b880-6ceadd960156","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"a07e0229-c1e8-4ad2-b0b8-00da588372c7","subtype":"Figure","type":"Plot"},"ticker":{"id":"fc089213-e9ae-4b3b-8d96-1688bd41c4e4","type":"BasicTicker"}},"id":"2c5a5803-0b4e-4baf-abec-2c8411f13bfb","type":"Grid"},{"attributes":{"below":[{"id":"e189ba6f-788c-42ba-83a5-c4aa38f56dc3","type":"LinearAxis"}],"left":[{"id":"0785a669-be5e-417e-a6d6-3a225397f8a8","type":"LinearAxis"}],"renderers":[{"id":"e189ba6f-788c-42ba-83a5-c4aa38f56dc3","type":"LinearAxis"},{"id":"edf8d748-c972-4c41-91b5-208e4534773b","type":"Grid"},{"id":"0785a669-be5e-417e-a6d6-3a225397f8a8","type":"LinearAxis"},{"id":"2c5a5803-0b4e-4baf-abec-2c8411f13bfb","type":"Grid"},{"id":"14d13a22-6886-4604-9eba-5952fab8436c","type":"GraphRenderer"}],"title":{"id":"64737850-d89c-4c11-944e-247fb6603cfa","type":"Title"},"toolbar":{"id":"da5dc71c-f680-4a00-a7db-2632a61a2f60","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"883921b4-0d49-483b-8199-83e74d9d1f3d","type":"Range1d"},"x_scale":{"id":"1a514225-5399-4cea-b341-2217129996dc","type":"LinearScale"},"y_range":{"id":"850f76c3-a871-40b7-9eac-a17bff6ab041","type":"Range1d"},"y_scale":{"id":"2d6aae01-2254-4bc5-a749-7c99938d04bd","type":"LinearScale"}},"id":"a07e0229-c1e8-4ad2-b0b8-00da588372c7","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"22e0f5d7-182b-4be6-a9eb-cdcc036e5e38","type":"BasicTickFormatter"},{"attributes":{},"id":"81e416c3-28de-4629-bba4-5d48f384ca19","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"d5dfc34b-bc91-422b-ae89-c1f87770c67f","type":"ColumnDataSource"}},"id":"e8f945be-bda7-4354-ab09-f3da10baaeaf","type":"CDSView"},{"attributes":{},"id":"d37cbd65-fb02-4037-9037-2dea862281e0","type":"BasicTicker"}],"root_ids":["a07e0229-c1e8-4ad2-b0b8-00da588372c7"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"c903f727-6f5b-4dd9-a939-e935ea621f2b","elementid":"f4d4ed46-33f6-4893-8b5a-2ce04a1d598f","modelid":"a07e0229-c1e8-4ad2-b0b8-00da588372c7"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
