(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("cdda75ff-82b8-4b80-8045-3998ce7305ae");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'cdda75ff-82b8-4b80-8045-3998ce7305ae' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"de689df2-c5ad-413d-a655-3f684df456b0":{"roots":{"references":[{"attributes":{"fill_color":{"value":"#abdda4"},"size":{"units":"screen","value":15}},"id":"f69111a9-7e4d-43f1-befe-de01b5e1a44d","type":"Circle"},{"attributes":{},"id":"c6c54990-0104-4c15-a7b2-05fa582adee5","type":"LinearScale"},{"attributes":{"source":{"id":"16da261a-bfd7-4ef9-a82e-706b1b9a793d","type":"ColumnDataSource"}},"id":"bd4bd9b8-6dd2-4936-8ce9-e1d5f59857b3","type":"CDSView"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"8064fab6-9c63-4b58-8b61-e591967610b1","type":"Range1d"},{"attributes":{"callback":null,"tooltips":null},"id":"e1f17de1-1d6d-4dd8-9a0a-ee118423dbc9","type":"HoverTool"},{"attributes":{},"id":"8558a10b-60a1-47dd-b023-fe0d37c8b202","type":"NodesAndLinkedEdges"},{"attributes":{"line_color":{"value":"#fdae61"},"line_width":{"value":5}},"id":"9a5b6e90-e4e5-4cda-b26b-95cb365e880c","type":"MultiLine"},{"attributes":{"data_source":{"id":"16da261a-bfd7-4ef9-a82e-706b1b9a793d","type":"ColumnDataSource"},"glyph":{"id":"baddb05c-50ff-484b-91fa-9b17750dfd6e","type":"MultiLine"},"hover_glyph":{"id":"e3f8bdd1-7d0d-45cb-8197-e692d90263eb","type":"MultiLine"},"muted_glyph":null,"selection_glyph":{"id":"9a5b6e90-e4e5-4cda-b26b-95cb365e880c","type":"MultiLine"},"view":{"id":"bd4bd9b8-6dd2-4936-8ce9-e1d5f59857b3","type":"CDSView"}},"id":"68eeefcf-4056-4fd5-9fdb-f8657ac42cc3","type":"GlyphRenderer"},{"attributes":{"edge_renderer":{"id":"68eeefcf-4056-4fd5-9fdb-f8657ac42cc3","type":"GlyphRenderer"},"inspection_policy":{"id":"f4fcabb0-2db3-4a47-b044-a426ae005ed2","type":"EdgesAndLinkedNodes"},"layout_provider":{"id":"690c178a-162b-4cf7-8526-a677b159f1d0","type":"StaticLayoutProvider"},"node_renderer":{"id":"e0b8b5f3-688c-4a5e-810a-a622d07d62cb","type":"GlyphRenderer"},"selection_policy":{"id":"8558a10b-60a1-47dd-b023-fe0d37c8b202","type":"NodesAndLinkedEdges"}},"id":"240c9eae-32c8-4d8c-8480-02c2a4f3bc51","type":"GraphRenderer"},{"attributes":{"fill_color":{"value":"#2b83ba"},"size":{"units":"screen","value":15}},"id":"826f7ff9-faf4-4448-8aa1-aea166108ae5","type":"Circle"},{"attributes":{"plot":null,"text":"Graph Interaction Demonstration"},"id":"d8d78fff-bebf-4fad-9fca-f46cbfb3df5c","type":"Title"},{"attributes":{"callback":null,"overlay":{"id":"af164607-24d4-4086-8acb-bb89ea9ec880","type":"BoxAnnotation"}},"id":"1d6b8826-e14a-4764-86b1-f1a9844abae5","type":"BoxSelectTool"},{"attributes":{"callback":null,"column_names":["start","end"],"data":{"end":[1,2,3,4,5,6,7,8,10,11,12,13,17,19,21,31,2,3,7,13,17,19,21,30,3,32,7,8,9,13,27,28,7,12,13,10,6,16,10,6,16,32,30,33,33,33,32,33,32,33,32,33,33,32,33,32,33,32,25,27,29,33,25,27,31,31,33,29,33,33,31,32,33,33,32,33,32,33],"start":[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,3,3,3,4,4,5,5,5,6,8,8,8,9,13,14,14,15,15,18,18,19,20,20,22,22,23,23,23,23,23,24,24,24,25,26,26,27,28,28,29,29,30,30,31,31,32]}},"id":"16da261a-bfd7-4ef9-a82e-706b1b9a793d","type":"ColumnDataSource"},{"attributes":{"line_alpha":{"value":0.8},"line_color":{"value":"#CCCCCC"},"line_width":{"value":5}},"id":"baddb05c-50ff-484b-91fa-9b17750dfd6e","type":"MultiLine"},{"attributes":{"callback":null,"column_names":["index"],"data":{"index":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33]}},"id":"7a625429-a017-40f3-942d-3c76ecb3652d","type":"ColumnDataSource"},{"attributes":{},"id":"f4fcabb0-2db3-4a47-b044-a426ae005ed2","type":"EdgesAndLinkedNodes"},{"attributes":{"callback":null},"id":"afeecee6-87b1-4518-a50a-4a2859a85891","type":"TapTool"},{"attributes":{"fill_color":{"value":"#fdae61"},"size":{"units":"screen","value":15}},"id":"19e9292f-7cf9-4f15-a0a9-54712be9669b","type":"Circle"},{"attributes":{"data_source":{"id":"7a625429-a017-40f3-942d-3c76ecb3652d","type":"ColumnDataSource"},"glyph":{"id":"826f7ff9-faf4-4448-8aa1-aea166108ae5","type":"Circle"},"hover_glyph":{"id":"f69111a9-7e4d-43f1-befe-de01b5e1a44d","type":"Circle"},"muted_glyph":null,"selection_glyph":{"id":"19e9292f-7cf9-4f15-a0a9-54712be9669b","type":"Circle"},"view":{"id":"733f60d1-cd04-4e6d-b266-c09253ffa3ee","type":"CDSView"}},"id":"e0b8b5f3-688c-4a5e-810a-a622d07d62cb","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"e1f17de1-1d6d-4dd8-9a0a-ee118423dbc9","type":"HoverTool"},{"id":"afeecee6-87b1-4518-a50a-4a2859a85891","type":"TapTool"},{"id":"1d6b8826-e14a-4764-86b1-f1a9844abae5","type":"BoxSelectTool"}]},"id":"42eea16a-84bd-4f0c-a23b-ac72731fce68","type":"Toolbar"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"af164607-24d4-4086-8acb-bb89ea9ec880","type":"BoxAnnotation"},{"attributes":{},"id":"7a3cfa3c-5495-4d82-84a0-368d06584866","type":"LinearScale"},{"attributes":{"source":{"id":"7a625429-a017-40f3-942d-3c76ecb3652d","type":"ColumnDataSource"}},"id":"733f60d1-cd04-4e6d-b266-c09253ffa3ee","type":"CDSView"},{"attributes":{"plot_height":400,"plot_width":400,"renderers":[{"id":"af164607-24d4-4086-8acb-bb89ea9ec880","type":"BoxAnnotation"},{"id":"240c9eae-32c8-4d8c-8480-02c2a4f3bc51","type":"GraphRenderer"}],"title":{"id":"d8d78fff-bebf-4fad-9fca-f46cbfb3df5c","type":"Title"},"toolbar":{"id":"42eea16a-84bd-4f0c-a23b-ac72731fce68","type":"Toolbar"},"x_range":{"id":"8064fab6-9c63-4b58-8b61-e591967610b1","type":"Range1d"},"x_scale":{"id":"7a3cfa3c-5495-4d82-84a0-368d06584866","type":"LinearScale"},"y_range":{"id":"bf84f188-aabd-4961-803e-a7f848a39e95","type":"Range1d"},"y_scale":{"id":"c6c54990-0104-4c15-a7b2-05fa582adee5","type":"LinearScale"}},"id":"d5507b7d-618b-463d-a2b0-9ac0a9ccafca","type":"Plot"},{"attributes":{"line_color":{"value":"#abdda4"},"line_width":{"value":5}},"id":"e3f8bdd1-7d0d-45cb-8197-e692d90263eb","type":"MultiLine"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"bf84f188-aabd-4961-803e-a7f848a39e95","type":"Range1d"},{"attributes":{"graph_layout":{"0":[1.0,0.0],"1":[0.9829730996839018,0.18374951781657034],"10":[-0.2736629900720829,0.961825643172819],"11":[-0.44573835577653825,0.8951632913550623],"12":[-0.6026346363792563,0.7980172272802396],"13":[-0.739008917220659,0.6736956436465573],"14":[-0.8502171357296142,0.5264321628773557],"15":[-0.9324722294043558,0.36124166618715287],"16":[-0.9829730996839018,0.18374951781657037],"17":[-1.0,1.2246467991473532e-16],"18":[-0.9829730996839018,-0.18374951781657015],"19":[-0.9324722294043557,-0.3612416661871531],"2":[0.9324722294043558,0.3612416661871529],"20":[-0.8502171357296141,-0.5264321628773558],"21":[-0.7390089172206591,-0.6736956436465572],"22":[-0.6026346363792565,-0.7980172272802394],"23":[-0.44573835577653803,-0.8951632913550625],"24":[-0.2736629900720831,-0.961825643172819],"25":[-0.0922683594633019,-0.9957341762950346],"26":[0.09226835946330156,-0.9957341762950346],"27":[0.2736629900720828,-0.961825643172819],"28":[0.44573835577653853,-0.8951632913550622],"29":[0.6026346363792562,-0.7980172272802397],"3":[0.8502171357296142,0.5264321628773557],"30":[0.7390089172206591,-0.6736956436465571],"31":[0.850217135729614,-0.5264321628773562],"32":[0.9324722294043558,-0.361241666187153],"33":[0.9829730996839018,-0.18374951781657006],"4":[0.7390089172206591,0.6736956436465572],"5":[0.6026346363792564,0.7980172272802395],"6":[0.4457383557765383,0.8951632913550623],"7":[0.2736629900720828,0.961825643172819],"8":[0.092268359463302,0.9957341762950345],"9":[-0.09226835946330189,0.9957341762950346]}},"id":"690c178a-162b-4cf7-8526-a677b159f1d0","type":"StaticLayoutProvider"}],"root_ids":["d5507b7d-618b-463d-a2b0-9ac0a9ccafca"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"de689df2-c5ad-413d-a655-3f684df456b0","elementid":"cdda75ff-82b8-4b80-8045-3998ce7305ae","modelid":"d5507b7d-618b-463d-a2b0-9ac0a9ccafca"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
