(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("64fd112b-52c4-4f00-90d0-5c849b99a906");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '64fd112b-52c4-4f00-90d0-5c849b99a906' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"c38056eb-a346-4953-b07a-accd54fc51a5":{"roots":{"references":[{"attributes":{},"id":"113131d6-8abb-4595-bde3-0cdc45f935ab","type":"HelpTool"},{"attributes":{"children":[{"id":"da20903b-f150-4de7-a590-57354654a85f","type":"Slider"}]},"id":"3a5a5209-79ae-43c3-84e7-a8b8a3fae7a4","type":"WidgetBox"},{"attributes":{},"id":"fc3f7fa3-437c-48c4-ba70-3f287b88fe9d","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"aaf2320f-f05f-4a8a-82c7-ced9f4f01505","type":"Title"},{"attributes":{},"id":"d09e82ae-0027-416e-8733-04c77c9a9f70","type":"ResetTool"},{"attributes":{},"id":"0501561e-6ce3-4cf2-befd-ba7839d8064b","type":"BasicTicker"},{"attributes":{"callback":null},"id":"eb827eac-1ce5-4f54-aabb-24fd18857f38","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"6171d038-590e-43e0-b8a0-5bfca9bd5367","subtype":"Figure","type":"Plot"},"ticker":{"id":"0501561e-6ce3-4cf2-befd-ba7839d8064b","type":"BasicTicker"}},"id":"319ec732-d689-4112-b414-c3511c78b684","type":"Grid"},{"attributes":{"line_alpha":{"value":0.6},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"d9336fa9-b30d-4bcd-8470-ceb73fb1c821","type":"Line"},{"attributes":{"children":[{"id":"3a5a5209-79ae-43c3-84e7-a8b8a3fae7a4","type":"WidgetBox"},{"id":"6171d038-590e-43e0-b8a0-5bfca9bd5367","subtype":"Figure","type":"Plot"}]},"id":"31de5e02-8f15-431c-b0d1-d1c459dac1bf","type":"Column"},{"attributes":{},"id":"3e406459-96a2-4a5c-9d78-fc23b98ea746","type":"LinearScale"},{"attributes":{},"id":"92cf506f-2177-412f-b89c-032e45838810","type":"PanTool"},{"attributes":{},"id":"bcc85472-a2de-4666-a49e-525f1dfa0c01","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"ae969010-fc83-4705-8aab-0f0441c0d89e","type":"BoxAnnotation"}},"id":"62f079bd-9d2e-4212-9de6-0c2a8c274fb9","type":"BoxZoomTool"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"6274d76f-6c00-466b-a409-f57ca527701e","type":"Line"},{"attributes":{"args":{"source":{"id":"99756b23-239c-46ca-8efe-91a21a46e471","type":"ColumnDataSource"}},"code":"\n    var data = source.data;\n    var f = cb_obj.value\n    x = data['x']\n    y = data['y']\n    for (i = 0; i < x.length; i++) {\n        y[i] = Math.pow(x[i], f)\n    }\n    source.change.emit();\n"},"id":"d7e4608d-8ec4-4c41-a1ee-e0dceb7effba","type":"CustomJS"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"ae969010-fc83-4705-8aab-0f0441c0d89e","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"5681f479-c108-4989-b321-d7f9b6192c36","type":"BasicTickFormatter"},"plot":{"id":"6171d038-590e-43e0-b8a0-5bfca9bd5367","subtype":"Figure","type":"Plot"},"ticker":{"id":"0501561e-6ce3-4cf2-befd-ba7839d8064b","type":"BasicTicker"}},"id":"9f6651e8-9e56-451d-817d-b47a78412744","type":"LinearAxis"},{"attributes":{},"id":"d49e2da8-16f3-42bf-842d-508552a8eacc","type":"WheelZoomTool"},{"attributes":{"callback":null,"end":4,"js_property_callbacks":{"change:value":[{"id":"d7e4608d-8ec4-4c41-a1ee-e0dceb7effba","type":"CustomJS"}]},"start":0.1,"step":0.1,"title":"power","value":1},"id":"da20903b-f150-4de7-a590-57354654a85f","type":"Slider"},{"attributes":{"formatter":{"id":"bcc85472-a2de-4666-a49e-525f1dfa0c01","type":"BasicTickFormatter"},"plot":{"id":"6171d038-590e-43e0-b8a0-5bfca9bd5367","subtype":"Figure","type":"Plot"},"ticker":{"id":"d0a95add-17d1-48fb-a17e-2f7305345856","type":"BasicTicker"}},"id":"32c6b2bd-8a9b-432e-9114-5177f1ea7266","type":"LinearAxis"},{"attributes":{},"id":"5681f479-c108-4989-b321-d7f9b6192c36","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"99756b23-239c-46ca-8efe-91a21a46e471","type":"ColumnDataSource"},"glyph":{"id":"d9336fa9-b30d-4bcd-8470-ceb73fb1c821","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"6274d76f-6c00-466b-a409-f57ca527701e","type":"Line"},"selection_glyph":null,"view":{"id":"27e859b8-d85a-48ea-9e78-288343804898","type":"CDSView"}},"id":"75f6eff2-2e6d-4e63-8d8a-35988977ad5c","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995],"y":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995]}},"id":"99756b23-239c-46ca-8efe-91a21a46e471","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"92cf506f-2177-412f-b89c-032e45838810","type":"PanTool"},{"id":"d49e2da8-16f3-42bf-842d-508552a8eacc","type":"WheelZoomTool"},{"id":"62f079bd-9d2e-4212-9de6-0c2a8c274fb9","type":"BoxZoomTool"},{"id":"d20515d0-4710-407c-ba3b-cf4f8e33a2dd","type":"SaveTool"},{"id":"d09e82ae-0027-416e-8733-04c77c9a9f70","type":"ResetTool"},{"id":"113131d6-8abb-4595-bde3-0cdc45f935ab","type":"HelpTool"}]},"id":"0af0ff31-2a42-4723-b40c-284c955becf1","type":"Toolbar"},{"attributes":{},"id":"d0a95add-17d1-48fb-a17e-2f7305345856","type":"BasicTicker"},{"attributes":{"source":{"id":"99756b23-239c-46ca-8efe-91a21a46e471","type":"ColumnDataSource"}},"id":"27e859b8-d85a-48ea-9e78-288343804898","type":"CDSView"},{"attributes":{"plot":{"id":"6171d038-590e-43e0-b8a0-5bfca9bd5367","subtype":"Figure","type":"Plot"},"ticker":{"id":"d0a95add-17d1-48fb-a17e-2f7305345856","type":"BasicTicker"}},"id":"837b8583-c4e9-4ea4-b45d-6477ff106e42","type":"Grid"},{"attributes":{"callback":null},"id":"e7687e08-e971-49bc-8881-d46299aca3c1","type":"DataRange1d"},{"attributes":{},"id":"d20515d0-4710-407c-ba3b-cf4f8e33a2dd","type":"SaveTool"},{"attributes":{"below":[{"id":"32c6b2bd-8a9b-432e-9114-5177f1ea7266","type":"LinearAxis"}],"left":[{"id":"9f6651e8-9e56-451d-817d-b47a78412744","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"32c6b2bd-8a9b-432e-9114-5177f1ea7266","type":"LinearAxis"},{"id":"837b8583-c4e9-4ea4-b45d-6477ff106e42","type":"Grid"},{"id":"9f6651e8-9e56-451d-817d-b47a78412744","type":"LinearAxis"},{"id":"319ec732-d689-4112-b414-c3511c78b684","type":"Grid"},{"id":"ae969010-fc83-4705-8aab-0f0441c0d89e","type":"BoxAnnotation"},{"id":"75f6eff2-2e6d-4e63-8d8a-35988977ad5c","type":"GlyphRenderer"}],"title":{"id":"aaf2320f-f05f-4a8a-82c7-ced9f4f01505","type":"Title"},"toolbar":{"id":"0af0ff31-2a42-4723-b40c-284c955becf1","type":"Toolbar"},"x_range":{"id":"eb827eac-1ce5-4f54-aabb-24fd18857f38","type":"DataRange1d"},"x_scale":{"id":"fc3f7fa3-437c-48c4-ba70-3f287b88fe9d","type":"LinearScale"},"y_range":{"id":"e7687e08-e971-49bc-8881-d46299aca3c1","type":"DataRange1d"},"y_scale":{"id":"3e406459-96a2-4a5c-9d78-fc23b98ea746","type":"LinearScale"}},"id":"6171d038-590e-43e0-b8a0-5bfca9bd5367","subtype":"Figure","type":"Plot"}],"root_ids":["31de5e02-8f15-431c-b0d1-d1c459dac1bf"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"c38056eb-a346-4953-b07a-accd54fc51a5","elementid":"64fd112b-52c4-4f00-90d0-5c849b99a906","modelid":"31de5e02-8f15-431c-b0d1-d1c459dac1bf"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
