(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("3514b009-3d3c-42b5-a546-f51d3a5663a7");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '3514b009-3d3c-42b5-a546-f51d3a5663a7' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"6672eadf-42d5-4255-8f83-723b105e4251":{"roots":{"references":[{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"9bbb2495-b95a-4e99-bf56-1f60572a2daf","type":"PolyAnnotation"},{"attributes":{"plot":null,"text":"Select Here"},"id":"bae0d2eb-f52c-4cde-86eb-76164b71797b","type":"Title"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"bcb3475a-cd97-4c95-b4ed-0a3a2299a956","type":"Circle"},{"attributes":{"data_source":{"id":"1dc0e366-90a9-4b96-b96d-59a1d863f08c","type":"ColumnDataSource"},"glyph":{"id":"3ec0f109-d591-49d4-a079-05578b6c4273","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"27412f34-5e8a-495b-b96d-7fee1ad120cf","type":"Line"},"selection_glyph":null,"view":{"id":"4636ad9d-f33a-4dfc-9fad-0e58f7e320d8","type":"CDSView"}},"id":"eff08573-7b14-48b0-be6f-d561651cb69d","type":"GlyphRenderer"},{"attributes":{},"id":"9666a57a-9f46-4c5c-96b0-d6a1c9eca1a0","type":"BasicTickFormatter"},{"attributes":{"line_alpha":{"value":0.6},"line_color":{"value":"orange"},"line_width":{"value":5},"x":{"field":"x"},"y":{"field":"ym"}},"id":"3ec0f109-d591-49d4-a079-05578b6c4273","type":"Line"},{"attributes":{"callback":null,"overlay":{"id":"9bbb2495-b95a-4e99-bf56-1f60572a2daf","type":"PolyAnnotation"}},"id":"da5d9ac5-4b07-460b-b692-812967f1d2b1","type":"LassoSelectTool"},{"attributes":{"formatter":{"id":"9666a57a-9f46-4c5c-96b0-d6a1c9eca1a0","type":"BasicTickFormatter"},"plot":{"id":"1f8c9f45-b1c0-4773-97cc-d5c1a719f600","subtype":"Figure","type":"Plot"},"ticker":{"id":"a65c4acb-b875-4d7a-bd1d-80bd3aa3c175","type":"BasicTicker"}},"id":"a02d70f2-707a-4b38-a486-8a2a083bfdf4","type":"LinearAxis"},{"attributes":{"data_source":{"id":"17d8bb78-04c8-4a97-bf1d-e488b46955bc","type":"ColumnDataSource"},"glyph":{"id":"42141de4-dd32-4194-8bbe-01df8604ba07","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"bcb3475a-cd97-4c95-b4ed-0a3a2299a956","type":"Circle"},"selection_glyph":null,"view":{"id":"93dde991-6de4-407d-b8a6-bff008d2312c","type":"CDSView"}},"id":"10ce062b-7f74-4e48-b58e-4e0bd9c29ee7","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"1f8c9f45-b1c0-4773-97cc-d5c1a719f600","subtype":"Figure","type":"Plot"},"ticker":{"id":"d5bef104-5526-4de1-b4a3-12e568139ca4","type":"BasicTicker"}},"id":"7bbe3fb6-ee9b-4bd3-86a8-e4f6d5926f8d","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"da5d9ac5-4b07-460b-b692-812967f1d2b1","type":"LassoSelectTool"}]},"id":"e6e1a7e6-fc83-451c-8a5b-c06a0fceeffb","type":"Toolbar"},{"attributes":{"plot":{"id":"1f8c9f45-b1c0-4773-97cc-d5c1a719f600","subtype":"Figure","type":"Plot"},"ticker":{"id":"a65c4acb-b875-4d7a-bd1d-80bd3aa3c175","type":"BasicTicker"}},"id":"4b86dc7b-7176-4d4a-9373-1c0f480e2979","type":"Grid"},{"attributes":{},"id":"bc888855-f89b-4af0-a70e-3f7c96aca990","type":"LinearScale"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":5},"x":{"field":"x"},"y":{"field":"ym"}},"id":"27412f34-5e8a-495b-b96d-7fee1ad120cf","type":"Line"},{"attributes":{},"id":"2672e3c3-e194-4652-91be-b6cf67a24dde","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"7b93a901-58ce-4412-bbbc-72aa14777c4d","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.4},"fill_color":{"field":"color"},"line_alpha":{"value":0.4},"line_color":{"field":"color"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"42141de4-dd32-4194-8bbe-01df8604ba07","type":"Circle"},{"attributes":{},"id":"a65c4acb-b875-4d7a-bd1d-80bd3aa3c175","type":"BasicTicker"},{"attributes":{"formatter":{"id":"2672e3c3-e194-4652-91be-b6cf67a24dde","type":"BasicTickFormatter"},"plot":{"id":"1f8c9f45-b1c0-4773-97cc-d5c1a719f600","subtype":"Figure","type":"Plot"},"ticker":{"id":"d5bef104-5526-4de1-b4a3-12e568139ca4","type":"BasicTicker"}},"id":"5a1c75e3-7aba-4ffa-adc7-9e820bfe269b","type":"LinearAxis"},{"attributes":{"source":{"id":"1dc0e366-90a9-4b96-b96d-59a1d863f08c","type":"ColumnDataSource"}},"id":"4636ad9d-f33a-4dfc-9fad-0e58f7e320d8","type":"CDSView"},{"attributes":{"below":[{"id":"a02d70f2-707a-4b38-a486-8a2a083bfdf4","type":"LinearAxis"}],"left":[{"id":"5a1c75e3-7aba-4ffa-adc7-9e820bfe269b","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"a02d70f2-707a-4b38-a486-8a2a083bfdf4","type":"LinearAxis"},{"id":"4b86dc7b-7176-4d4a-9373-1c0f480e2979","type":"Grid"},{"id":"5a1c75e3-7aba-4ffa-adc7-9e820bfe269b","type":"LinearAxis"},{"id":"7bbe3fb6-ee9b-4bd3-86a8-e4f6d5926f8d","type":"Grid"},{"id":"9bbb2495-b95a-4e99-bf56-1f60572a2daf","type":"PolyAnnotation"},{"id":"10ce062b-7f74-4e48-b58e-4e0bd9c29ee7","type":"GlyphRenderer"},{"id":"eff08573-7b14-48b0-be6f-d561651cb69d","type":"GlyphRenderer"}],"title":{"id":"bae0d2eb-f52c-4cde-86eb-76164b71797b","type":"Title"},"toolbar":{"id":"e6e1a7e6-fc83-451c-8a5b-c06a0fceeffb","type":"Toolbar"},"x_range":{"id":"43cae2e7-fccd-4a41-94ee-8e0da0cf0d00","type":"DataRange1d"},"x_scale":{"id":"6180d9ae-5ca2-4785-826b-1155a77abd41","type":"LinearScale"},"y_range":{"id":"7b93a901-58ce-4412-bbbc-72aa14777c4d","type":"DataRange1d"},"y_scale":{"id":"bc888855-f89b-4af0-a70e-3f7c96aca990","type":"LinearScale"}},"id":"1f8c9f45-b1c0-4773-97cc-d5c1a719f600","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"43cae2e7-fccd-4a41-94ee-8e0da0cf0d00","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["x","ym"],"data":{"x":[0,1],"ym":[0.5,0.5]}},"id":"1dc0e366-90a9-4b96-b96d-59a1d863f08c","type":"ColumnDataSource"},{"attributes":{"source":{"id":"17d8bb78-04c8-4a97-bf1d-e488b46955bc","type":"ColumnDataSource"}},"id":"93dde991-6de4-407d-b8a6-bff008d2312c","type":"CDSView"},{"attributes":{},"id":"d5bef104-5526-4de1-b4a3-12e568139ca4","type":"BasicTicker"},{"attributes":{"args":{"s2":{"id":"1dc0e366-90a9-4b96-b96d-59a1d863f08c","type":"ColumnDataSource"}},"code":"\n        var inds = cb_obj.selected['1d'].indices;\n        var d = cb_obj.data;\n        var ym = 0\n\n        if (inds.length == 0) { return; }\n\n        for (i = 0; i < d['color'].length; i++) {\n            d['color'][i] = \"navy\"\n        }\n        for (i = 0; i < inds.length; i++) {\n            d['color'][inds[i]] = \"firebrick\"\n            ym += d['y'][inds[i]]\n        }\n\n        ym /= inds.length\n        s2.data['ym'] = [ym, ym]\n\n        cb_obj.change.emit();\n        s2.change.emit();\n    "},"id":"e3bfcb13-8163-40b3-8bda-cdb3a7a6c4e1","type":"CustomJS"},{"attributes":{"callback":{"id":"e3bfcb13-8163-40b3-8bda-cdb3a7a6c4e1","type":"CustomJS"},"column_names":["color","y","x"],"data":{"color":["navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy"],"x":[0.5653858567997042,0.026432018211865915,0.023072794718714706,0.7097390665717065,0.8221109427571994,0.7002631669282783,0.528910251045371,0.06404799634042158,0.195212683680143,0.23232115801638598,0.1206931778333169,0.8088323422223428,0.17078553823731846,0.11779429441293177,0.7402516276387541,0.9743249666113913,0.6532798798303772,0.3075288013123324,0.6325344689265702,0.8495884279333165,0.5816457780321383,0.5224589958088235,0.45256064222360126,0.9308052018702585,0.31126442296476176,0.38129675958753784,0.47305521778570847,0.8815854208888516,0.1826990773592152,0.8764003455717078,0.27388709980420245,0.2971134066797254,0.3232980169828049,0.8027836114275482,0.4798096014178044,0.3262584104787183,0.9726610227591802,0.1242341328266845,0.5766242850375327,0.8149026895140695,0.7570622809395066,0.5724570006482446,0.43262229005384156,0.840747489319682,0.582754980798846,0.24049623113308605,0.8725906769507427,0.6322976594106027,0.026539891091132417,0.21092885594368838,0.7113981500191989,0.2935567839755119,0.19481265781832557,0.2844363539111182,0.01466616291090772,0.2594200457371951,0.230905482079936,0.9991123744186302,0.007462623274145375,0.010731694344546572,0.43399398527945754,0.17086342493948348,0.6012120016384795,0.8514453189808583,0.6631233215149172,0.38970399083933005,0.7976040400641325,0.6028708295994079,0.5328404382464876,0.3618689162161487,0.6839904484091536,0.2970761188329768,0.5740557140294865,0.570479524819434,0.7057133704998517,0.2849560711900331,0.0753431209815868,0.9690090893849843,0.8066674114949476,0.7788839694465749,0.36571544624869556,0.10320986379011554,0.1945789082349474,0.48694921732427887,0.34738610313477325,0.6490735634574313,0.561324748259644,0.0763269793232364,0.32874292680608663,0.9187661344592948,0.14166868970040225,0.7581622678726985,0.7671956536711,0.8549718613986504,0.8515446933846066,0.6493310133225579,0.809234916698437,0.1435080391203034,0.12439018724874007,0.35671845002107927,0.23180685026645342,0.4927988930719239,0.5981283810769801,0.057710662712890604,0.9786987432754921,0.7829729824086208,0.4715203132311565,0.10464372979006509,0.015171628445354579,0.6008300239558051,0.9618271226152739,0.9919606478890077,0.6326712946633472,0.08743178905633642,0.7372171203556647,0.591051981909765,0.16919643354954184,0.5694581131427516,0.708249616391489,0.44108658752247143,0.6124101283605855,0.8098006160849129,0.23537421264987468,0.24047028353542488,0.6297547136826472,0.04269094364868553,0.09163013758807059,0.23290115222853602,0.6304920909331561,0.5436536114670366,0.5321702302280316,0.9869437823571675,0.9471766962428642,0.3997022741699576,0.8671032223905442,0.08965766367731065,0.6922589513207701,0.8585689911747504,0.38435262274521864,0.7359168937665693,0.6546479298531587,0.1033186347236622,0.7054964310220014,0.7089110355059834,0.9582554055840798,0.22842390494757603,0.6663986639101809,0.7343525151102134,0.7622296880964926,0.7704626135647711,0.0565248908494157,0.32687756933309897,0.4106310242103922,0.3795968705635283,0.056048654408117904,0.26701406614485634,0.4230420590583226,0.469733116396446,0.903820821169332,0.477027761986056,0.5965716027146271,0.16893241428585826,0.9001808561713484,0.9535914656400459,0.376599338711765,0.7978837485375492,0.20877484303394456,0.8952455963608009,0.49466640261700634,0.5637706365575847,0.263325724875616,0.5115516620283351,0.6916454244908562,0.25517423192882627,0.04452614145827216,0.8694293718204259,0.7401451480164195,0.8601863078800592,0.870069477714099,0.32919232764848083,0.585519481807446,0.5662666272348762,0.0011291264394107658,0.6002333228336316,0.9756048078255096,0.6021318193170291,0.7225815835504232,0.18505840049333688,0.5126997604086674,0.7837759452332047,0.9530116251467953,0.922981699726643,0.939239710285655,0.7643502139890882,0.14500626407036332,0.952262898617853,0.27506681440208103,0.5161311032693379,0.957686475568154,0.45069871045098386,0.4118943601326145,0.5532099246497766,0.0028700222041871948,0.3166046651029052,0.8494264198937018,0.6786614461107554,0.9539142614244043,0.09593177186095858,0.13889321052912462,0.4150026769260279,0.8702464464583358,0.8883331196987376,0.4088803893723859,0.5611995220548148,0.20529504912227658,0.6342031958923665,0.37750748181888427,0.2396512884621148,0.7113217422961828,0.1541821640663087,0.5116384876924449,0.07772481552135924,0.46933864604029685,0.2810494946859453,0.9115437372617063,0.6402572609976233,0.5598239998664102,0.20432751838184637,0.8753037911191245,0.818190808983863,0.6040981647417792,0.973526288881221,0.24019843002948582,0.3469023781689802,0.19906515335030417,0.13166957516064948,0.1848849384891732,0.7792422910593265,0.767064840466839,0.3040745686003652,0.061672615747107806,0.9540053224452949,0.5768946436143827,0.9895353931359958,0.729999704219457,0.45091086306900385,0.9948155252478766,0.2654370578468096,0.3565079117547333,0.6743067774679891,0.30760882099830866,0.6908933011141775,0.0928720975723657,0.8536887694026388,0.26050672513665596,0.33796486352742705,0.5927000285903014,0.1073662925273311,0.30332728145844545,0.5095868247974552,0.42531347442384837,0.8971906553111035,0.5752277197447986,0.005864980099279937,0.2871592032359537,0.7762724376814554,0.02425540106013302,0.13908204177926742,0.33410535441384126,0.029763185974364004,0.937223081556897,0.7849824081952766,0.2347675501533273,0.27136875669599736,0.9237763406579135,0.2613230433292697,0.8855477531521156,0.9518671054295362,0.5668454035036548,0.5633135909176024,0.8360179060490939,0.4061481072627501,0.2661106620195355,0.2520169353752403,0.1721916828136566,0.9871281330349413,0.3952764410870797,0.5722830352735442,0.3351659115466715,0.10606344355514663,0.46364504025079867,0.8304287261034414,0.3316245428391179,0.4828600508698674,0.4088200736344937,0.6101026303042563,0.33177854601177914,0.9373472543965046,0.21254233244842602,0.3395894230238514,0.7878590530964001,0.2026854679011072,0.12039916569066145,0.8200694178828943,0.47582952502558373,0.6656222294620623,0.3899725997554111,0.009408661102068838,0.560742740969033,0.8942034882059474,0.720596186195054,0.19774030761886263,0.730999472100634,0.5364163854769854,0.021295622847062656,0.05741116643765454,0.8647879037624672,0.850020432667703,0.1693196294088456,0.18302604391979627,0.7898709015658367,0.4504892599323258,0.7219621545187875,0.13177314278431596,0.3273174948451113,0.7975804746228983,0.32601662333324766,0.8806473124215619,0.9523299997653297,0.14210764962317446,0.7142544080110789,0.34244179112771744,0.15574238807331708,0.030342334739513754,0.24723586641125606,0.5969705327547187,0.44070969940586946,0.037675718788435786,0.28821805449927895,0.3891727193169895,0.8076268430082066,0.56512994667384,0.10098825276326573,0.7802948965438479,0.8187482360781596,0.16743052211226883,0.6921998755846184,0.2717493131549453,0.33111886466752205,0.2928255012251788,0.3346752080802966,0.29256985924727175,0.09297041016922514,0.6266041098482258,0.28981299623038614,0.6492762668552526,0.5381466718854,0.030227679693114795,0.5227121976660213,0.6207404817146838,0.05610189113617148,0.8939343244272276,0.35669751208369915,0.3336752932243714,0.581425513412557,0.04868536053319572,0.31077226750550246,0.8811607670053963,0.20766068882771183,0.5364402809602198,0.8302319429984067,0.7646614617455744,0.40532488140414813,0.16004323037857593,0.8540854680493891,0.32803364418820646,0.7895929678891869,0.3575244320201705,0.3876936767883121,0.6330422575629256,0.5652133761162764,0.964298108748499,0.5639852848474171,0.867961476123653,0.09047945216808972,0.3592199686059575,0.38524286935804575,0.29823860812585545,0.5794023836925416,0.03808030311150001,0.6557450422913661,0.40983824025842996,0.46766862448741575,0.9977642037283146,0.47413945594879126,0.192779813982891,0.6007247347616763,0.29197216167462225,0.22973195918219225,0.3501658656656522,0.04706386394111761,0.3511386890967223,0.573566634205992,0.3569202770226886,0.4707268186955572,0.6694995599375922,0.20868417233377246,0.3784173921226238,0.7522328972363702,0.5920698414168658,0.7240831488911584,0.6313472382510558,0.8051100506357598,0.9613709489132121,0.006730460168036578,0.8217954782862166,0.6968609554118439,0.3401690756495318,0.3042797895861947,0.6642013679069644,0.3993718427358087,0.6342956351843593,0.32977094203939983,0.3516264960733966,0.9100335279360379,0.2535091303822733,0.6624752522182566,0.09639512090907587,0.5679188514225442,0.4429047016169343,0.7916979217431621,0.05929891482926519,0.5505781198708503,0.163108823773228,0.5806400264036476,0.35660624288133935,0.761298331129452,0.2000016056312065,0.08627320054739196,0.666054563342444,0.2703916249215028,0.7555352619439413,0.5965240781928229,0.8704057189562929,0.11694067132580444,0.6311455469534808,0.7238188868447647,0.9307698922527419,0.482193820669395,0.2040488906715331,0.313064049897092,0.9391547731755533,0.15392527581298787,0.6286827727263236,0.12804155040671095,0.5389386907778134,0.5021286578046465,0.15897504492634928,0.653571675845565,0.03834839999896411,0.43557084581551153,0.1597068190621198,0.4031273535930552,0.975742967825969,0.8743699897333109,0.12417889917846137,0.4956727225767139,0.6693199152976467,0.649276648981723,0.40607392168596657,0.1085222628361493,0.4397734716263725,0.39591522641888854,0.5223580594019986,0.9180533274281422,0.7166567678321935,0.7018314597631411,0.6665091623616551,0.014194089035786006,0.1446001027569731,0.12836242715527468,0.31052875424551496,0.17234094688837154,0.4164891944677823,0.34570408156080856,0.4282756188240042,0.5802124117461352,0.7576417317208436,0.19203378484795186,0.8774473873442532,0.39635728280414784,0.6394622716552553,0.38020863128358595,0.6356008176460802,0.843861979592058,0.022461024251003936,0.05394064950522448,0.45437067539084885,0.4056723516975723,0.2647881794450454],"y":[0.33218484988065233,0.22023487524002616,0.39106915096474903,0.8475655925040585,0.18801609938041708,0.22160255231340675,0.6906244478969404,0.423910055479647,0.8814398129136825,0.7482613028145396,0.44386870346084184,0.46780252377274223,0.19748533345992803,0.894130152227531,0.8687507725929449,0.6798704435893427,0.32379834142201214,0.6762273809540085,0.8130822460152574,0.5600904139928735,0.7707157455205947,0.46148088798248754,0.7147111770626546,0.7722361962632232,0.20007528968397692,0.6220646122325658,0.14571278985568092,0.05438509054635954,0.9320001623616307,0.6876741028579892,0.5676653430797907,0.3720956416460237,0.7832504901671062,0.1024259991169374,0.8714556470673432,0.34622546343285066,0.745158276604686,0.2812599241092608,0.4603080816239985,0.10056651688509821,0.5228916517399673,0.4924999337167115,0.7301466532525579,0.5829359160958432,0.8935504981753131,0.2086876215034934,0.4595347146597639,0.3242054785795161,0.9925213585089757,0.5975713868230069,0.7586270993372162,0.8753089572220869,0.24762765418275445,0.29956448864117635,0.590228545510055,0.004197096192173788,0.2636310649706367,0.3558086450928277,0.6510394263030874,0.9687260176960959,0.8047407732031796,0.26493143862758073,0.7946102705552286,0.7189436234439429,0.055492758383481555,0.0810147736576029,0.07075645867249025,0.7872960987497558,0.6421581801109374,0.5867220372744174,0.11256960008024808,0.02265503286337578,0.35818189467249584,0.8742519510756112,0.6039351097905913,0.07094582427922635,0.16069079355895588,0.04500996935870616,0.5996665817157442,0.35993592314952605,0.3619378319133232,0.1933662919116994,0.34883388840959617,0.36568424712560343,0.5241549049741948,0.05176781153850618,0.8077102376842948,0.10216824774597055,0.3288464278004971,0.750757406719323,0.6208016739774849,0.4431146410049439,0.3441460763769354,0.33980359171039287,0.5625228617000134,0.3633079143470478,0.6914597813370296,0.5843120706324773,0.5639871381358776,0.5503190105174555,0.08573486580017553,0.15119411429489538,0.0981632416240602,0.2783631364727003,0.9288992200431632,0.5623266315373814,0.29689805031929317,0.8176330948697034,0.204631057443873,0.5575050941602121,0.7528954369197415,0.15771905149144472,0.20852942679526376,0.8143046983600132,0.7118516283130913,0.7289125562714507,0.6675341245587249,0.9766700738581897,0.29949479460745043,0.627976390106124,0.6561243198915687,0.3023738713999573,0.9876443367832325,0.8658450369730648,0.7976122939288778,0.8488123933643288,0.5845496151367326,0.4894604877325568,0.06193871668784834,0.45600261138707276,0.600513539261387,0.25154165829344366,0.7754374601088097,0.6423309100288647,0.9235343168930398,0.5966453451078555,0.1394224652276077,0.9874194240491663,0.8208198378878822,0.49857837147197037,0.6237561644494307,0.2923570391369019,0.30152726389661544,0.36557650252619944,0.06683338961295404,0.49799474587170833,0.9025082105428751,0.6137939050705896,0.14042953290528037,0.20455984307582165,0.16402920388475728,0.004311996033231735,0.1070835502591918,0.5383551942733878,0.322158009789701,0.21344289772018687,0.7770464778309568,0.6165252151570942,0.06291257435856501,0.20056716201926594,0.4516030542770628,0.018078022522422854,0.5261365518372052,0.05650292647356259,0.9677627917894328,0.6930653609306946,0.1459949779227232,0.06324607502529966,0.5154998435222077,0.7483109718981079,0.2980545892556956,0.7166630139323383,0.43682775245222094,0.1869512110932059,0.8471682543399848,0.337189050423216,0.5742164411320493,0.1820634933368086,0.9944376393819376,0.15176794831618357,0.6896163960481172,0.3640454835404151,0.9547291860473236,0.8406339358431261,0.7571998553175536,0.003782012987964878,0.3700853481366895,0.2111781447086123,0.9167519269856469,0.2542789097445751,0.6592618289299039,0.3579080657229492,0.8934111143556479,0.06641882488364947,0.9094821415130576,0.9016722499367227,0.8768725287854796,0.992963789645894,0.9432292451258378,0.03571857755576735,0.10181960985528926,0.9409094210863617,0.0638559760540004,0.7196508804753811,0.363769661520972,0.22044138645760336,0.812199216393594,0.28670690100294705,0.10462922160001253,0.008403428140525748,0.32738244999205,0.9666775316755818,0.2720139455992576,0.14779869706337323,0.20877556230082317,0.1330508315406479,0.27953413195564236,0.2886253281216722,0.678661122835971,0.6537015906275119,0.6618819350233636,0.2172300381478015,0.8771838425643088,0.5388925016806304,0.9048517045474798,0.6361348575516433,0.14276076867749743,0.2828874206463068,0.26058089188555245,0.027937458013163274,0.37603513674641253,0.015203133464047336,0.15592358873873868,0.01156483666166841,0.4847340077359287,0.9407652360924894,0.6192358758100348,0.5425119993606445,0.8126426057564443,0.44083629844064764,0.2700589124687178,0.5870022745888138,0.3863269430853423,0.6402121160708033,0.700884907168417,0.2408425019288748,0.7351422104812766,0.40892315800197765,0.12435740089359537,0.16034246120697127,0.10100479124270967,0.6200711292702373,0.2657354050809898,0.07386724384911869,0.402953598402194,0.419954431716443,0.7669580112548533,0.8396688787578053,0.807295983197161,0.7957717677826613,0.05025985710624514,0.7316142360317398,0.46949654451579126,0.49498021111957946,0.21886820117718364,0.24800875491898122,0.702042370063677,0.8971355315867514,0.17335684571690013,0.18152696680506708,0.3109284143697144,0.6528155904817005,0.6687125670781062,0.005032798088968948,0.09686981082324786,0.6740666049895524,0.3362350735519294,0.828058906079011,0.47086765229164274,0.5235274619912098,0.898761120961579,0.252123550103456,0.4633920730271798,0.6931277185659462,0.02585747672417238,0.3915662871721485,0.2899969002535847,0.3301656369286353,0.42001138297087603,0.7942018607013105,0.6731350928798774,0.16368576375630628,0.4898447450499468,0.43137110824719027,0.1769768456964831,0.9451726536185489,0.3633232750024934,0.9497409413486426,0.7002175709961584,0.9938910879124663,0.16417093685164852,0.08496335996703697,0.5999616963146862,0.8889481920611004,0.34537056762227414,0.6399018058155203,0.14594233948424162,0.7185028357084067,0.13493595440210215,0.763333485638871,0.15418382490175142,0.5693791503529393,0.7427138679705337,0.9668108987810154,0.9735511012660397,0.34009233817150986,0.5028417017861225,0.32867011447841243,0.6598080084903554,0.635893367106551,0.5386184858412457,0.37868045331825106,0.034481617105444284,0.09576500201155602,0.8284751821572324,0.4309089197909932,0.431672880230378,0.644970034592867,0.9754128848121904,0.3543139014074548,0.5075340562408117,0.49070845096266735,0.7823961302686531,0.4229401465645889,0.18683481547796432,0.03668484184651166,0.5778668631073044,0.8892103840162607,0.40011684712035667,0.8110855934675781,0.6310945198819987,0.08710568134515062,0.057825420536273375,0.15477840302450663,0.13033854585879667,0.5176576355955358,0.15191314041290715,0.7239225780632381,0.6185811826492568,0.5284796844529223,0.960082881044581,0.5859258969031911,0.08144812946685831,0.6313906614307069,0.32522588649525397,0.8644140978927474,0.8167617308973251,0.988322541339719,0.28132266593863386,0.48997199928937274,0.8651510449816499,0.33241080987084104,0.13780531886102754,0.3462643416731209,0.7178447753531727,0.5419878471593946,0.5855595083586141,0.21305108978369336,0.4351047037544227,0.8430991281455793,0.23632166451802794,0.6375165839969335,0.048509209385968255,0.47505467066263507,0.08115758317482169,0.6608353265792737,0.28293994623426955,0.9542127704473784,0.4186005985398734,0.06433561469776217,0.52791439189165,0.4791719934541985,0.830613256017002,0.916607914107016,0.3087843976181529,0.33979433110587964,0.5267142396722434,0.45052868670145507,0.4572327221597823,0.3019780690014876,0.15406219002599397,0.18621106662342368,0.7510615545397925,0.3109257422536238,0.7202170690051869,0.6635321066168133,0.18449991922599396,0.5889515852635059,0.486359070368902,0.29207469262731434,0.49960226989742906,0.19712629250890623,0.03279248221464326,0.821172185464774,0.3618390449961938,0.32379357827520705,0.8152488353696676,0.7887309861380977,0.6341463716546965,0.1701567650585154,0.8293575838988109,0.04466073032682505,0.810590063447113,0.6188476708172108,0.0417551437853001,0.8715075353401713,0.2700481127672303,0.6830009988965103,0.26569569011123484,0.35956784960637134,0.9520199565223947,0.8993810454974576,0.24184158443313664,0.9898709995790556,0.02175855666629667,0.40070056233661777,0.5165237292227799,0.49365944127323513,0.1146165853959894,0.4125840733363867,0.777862417910715,0.986892898452212,0.09099437603538618,0.13287003102066974,0.40586139110838315,0.5501884288376925,0.4763951146421658,0.17749992105727874,0.4863779708962095,0.6809837830536071,0.7108911950407605,0.2090980908974066,0.29216667090566084,0.6558245692613437,0.8140296095447576,0.15456345390340964,0.08703210867800615,0.9251643825877877,0.32310043154684276,0.21491770710802105,0.645279719792017,0.6074627173354502,0.8549451300805283,0.04364972788306831,0.2862946749644767,0.3518725161303251,0.44099569788171167,0.3217189623934953,0.9755422507605255,0.39986158642175273,0.16280741801249388,0.8051202823435433,0.5345922662284323,0.2693433284902548,0.04602363777454499,0.7900088631591526,0.606962033056475,0.6559905518814496,0.11784415653337954,0.7732078369846823,0.6335172292863938,0.2639102915717635,0.49909955145083473,0.047727861000611105,0.9893713804722865,0.5950610705671471,0.09136091404492519,0.18156041080664753,0.7198985049871616,0.1549000964022268,0.5104387060525388,0.4735602433310945,0.5760415671573498,0.15359288791416936,0.3796086908203108,0.5042545097947012,0.08946128192884495,0.29960299722390393,0.9782435694540996,0.7627710492389884,0.15830561800081389,0.9964109598109474,0.07571853963767106,0.8071801304831551,0.1145920870686653,0.10527559380199658,0.16263943061567765,0.4945794117372283,0.43267905699699416,0.10086344663194358]}},"id":"17d8bb78-04c8-4a97-bf1d-e488b46955bc","type":"ColumnDataSource"},{"attributes":{},"id":"6180d9ae-5ca2-4785-826b-1155a77abd41","type":"LinearScale"}],"root_ids":["1f8c9f45-b1c0-4773-97cc-d5c1a719f600"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"6672eadf-42d5-4255-8f83-723b105e4251","elementid":"3514b009-3d3c-42b5-a546-f51d3a5663a7","modelid":"1f8c9f45-b1c0-4773-97cc-d5c1a719f600"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
