(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ecc81a62-efb4-44be-a200-2bd3c451bb73");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ecc81a62-efb4-44be-a200-2bd3c451bb73' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"5bd9dea8-60f6-4660-a504-ef05cc22ab5d":{"roots":{"references":[{"attributes":{},"id":"8b0cca6f-e516-4a5b-ad45-855f7d549f6c","type":"ResetTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995],"y":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995]}},"id":"c369b545-bc7c-4c6d-888c-d81a583814d4","type":"ColumnDataSource"},{"attributes":{},"id":"ec73d4ae-ba93-4d32-bbe0-3d133467af5b","type":"BasicTicker"},{"attributes":{"children":[{"id":"fc86bb10-4507-4cdb-a48f-a7f2516311a7","type":"WidgetBox"},{"id":"21ed848c-20b5-4c1d-be95-2597bd37b3d6","subtype":"Figure","type":"Plot"}]},"id":"f4064ce0-04e5-496b-b0dd-bb96a735776d","type":"Column"},{"attributes":{"overlay":{"id":"fc5e5ef9-a775-4cea-a297-8c7e2a301739","type":"BoxAnnotation"}},"id":"28fe84bb-7969-4945-a792-6a5533d403bd","type":"BoxZoomTool"},{"attributes":{},"id":"2b8debf7-1525-4722-a56c-1c5bcdb8da7d","type":"LinearScale"},{"attributes":{"formatter":{"id":"3ef340ec-5933-4dd9-a69c-52f6c9dd8423","type":"BasicTickFormatter"},"plot":{"id":"21ed848c-20b5-4c1d-be95-2597bd37b3d6","subtype":"Figure","type":"Plot"},"ticker":{"id":"ec73d4ae-ba93-4d32-bbe0-3d133467af5b","type":"BasicTicker"}},"id":"3a5a42bd-8739-4f03-a7e6-471f4a6f2298","type":"LinearAxis"},{"attributes":{},"id":"b5837ea8-99d7-474c-9264-6ac8c3fc6a1a","type":"HelpTool"},{"attributes":{},"id":"e26d6298-8b36-402e-b839-aea55a15f5a5","type":"SaveTool"},{"attributes":{"children":[{"id":"27ff02ed-f104-4dfd-9742-e6bcef5c4576","type":"Slider"}]},"id":"fc86bb10-4507-4cdb-a48f-a7f2516311a7","type":"WidgetBox"},{"attributes":{},"id":"9ef77c2c-7ebd-40f2-8a68-8a2c237e9dcd","type":"LinearScale"},{"attributes":{"formatter":{"id":"7950a84d-c844-49dd-ba62-dfc6adc1e22f","type":"BasicTickFormatter"},"plot":{"id":"21ed848c-20b5-4c1d-be95-2597bd37b3d6","subtype":"Figure","type":"Plot"},"ticker":{"id":"6c35cc93-9571-4d61-a2e0-4cf4a9ac747a","type":"BasicTicker"}},"id":"1175d3d9-1c7e-4a06-b8a8-a910676c2c33","type":"LinearAxis"},{"attributes":{"plot":{"id":"21ed848c-20b5-4c1d-be95-2597bd37b3d6","subtype":"Figure","type":"Plot"},"ticker":{"id":"6c35cc93-9571-4d61-a2e0-4cf4a9ac747a","type":"BasicTicker"}},"id":"a0b70891-84ba-4fc9-aa35-1602dd4851dd","type":"Grid"},{"attributes":{},"id":"3ef340ec-5933-4dd9-a69c-52f6c9dd8423","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"c369b545-bc7c-4c6d-888c-d81a583814d4","type":"ColumnDataSource"},"glyph":{"id":"399d154a-5c6d-479f-adc7-ffb40696902c","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"8ff45017-f0e9-4cbe-9f30-f5ead68c9e86","type":"Line"},"selection_glyph":null,"view":{"id":"64e79f77-52e4-4dfe-90c1-e91cf9162d57","type":"CDSView"}},"id":"a730b73f-81ae-4714-87db-4264eedf9db5","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"76ebe7fa-574e-4e6e-8175-fd458b758c76","type":"DataRange1d"},{"attributes":{"line_alpha":{"value":0.6},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"399d154a-5c6d-479f-adc7-ffb40696902c","type":"Line"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"fc5e5ef9-a775-4cea-a297-8c7e2a301739","type":"BoxAnnotation"},{"attributes":{"plot":null,"text":""},"id":"aa5ca462-5f51-4678-83aa-06271c81a17b","type":"Title"},{"attributes":{},"id":"3e1d650e-a8d3-4ee9-b332-ea4975fa536b","type":"PanTool"},{"attributes":{"args":{"source":{"id":"c369b545-bc7c-4c6d-888c-d81a583814d4","type":"ColumnDataSource"}},"code":"\n        var data = source.data;\n        var f = cb_obj.value\n        x = data['x']\n        y = data['y']\n        for (i = 0; i < x.length; i++) {\n            y[i] = Math.pow(x[i], f)\n        }\n        source.change.emit();\n    "},"id":"01e5db36-a170-42e1-a0f9-c2946ca8fa0c","type":"CustomJS"},{"attributes":{"callback":{"id":"01e5db36-a170-42e1-a0f9-c2946ca8fa0c","type":"CustomJS"},"end":4,"start":0.1,"step":0.1,"title":"power","value":1},"id":"27ff02ed-f104-4dfd-9742-e6bcef5c4576","type":"Slider"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"3e1d650e-a8d3-4ee9-b332-ea4975fa536b","type":"PanTool"},{"id":"72d1e005-6fcc-459d-b0f3-710bb34c7c6d","type":"WheelZoomTool"},{"id":"28fe84bb-7969-4945-a792-6a5533d403bd","type":"BoxZoomTool"},{"id":"e26d6298-8b36-402e-b839-aea55a15f5a5","type":"SaveTool"},{"id":"8b0cca6f-e516-4a5b-ad45-855f7d549f6c","type":"ResetTool"},{"id":"b5837ea8-99d7-474c-9264-6ac8c3fc6a1a","type":"HelpTool"}]},"id":"bbdadc41-b804-4faa-b1e8-ee7cce09c636","type":"Toolbar"},{"attributes":{"below":[{"id":"1175d3d9-1c7e-4a06-b8a8-a910676c2c33","type":"LinearAxis"}],"left":[{"id":"3a5a42bd-8739-4f03-a7e6-471f4a6f2298","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"1175d3d9-1c7e-4a06-b8a8-a910676c2c33","type":"LinearAxis"},{"id":"a0b70891-84ba-4fc9-aa35-1602dd4851dd","type":"Grid"},{"id":"3a5a42bd-8739-4f03-a7e6-471f4a6f2298","type":"LinearAxis"},{"id":"25859350-2aea-45db-9a42-b27e3ccf6a50","type":"Grid"},{"id":"fc5e5ef9-a775-4cea-a297-8c7e2a301739","type":"BoxAnnotation"},{"id":"a730b73f-81ae-4714-87db-4264eedf9db5","type":"GlyphRenderer"}],"title":{"id":"aa5ca462-5f51-4678-83aa-06271c81a17b","type":"Title"},"toolbar":{"id":"bbdadc41-b804-4faa-b1e8-ee7cce09c636","type":"Toolbar"},"x_range":{"id":"ae84c941-bab3-449c-b961-d3e6ec0554d6","type":"DataRange1d"},"x_scale":{"id":"2b8debf7-1525-4722-a56c-1c5bcdb8da7d","type":"LinearScale"},"y_range":{"id":"76ebe7fa-574e-4e6e-8175-fd458b758c76","type":"DataRange1d"},"y_scale":{"id":"9ef77c2c-7ebd-40f2-8a68-8a2c237e9dcd","type":"LinearScale"}},"id":"21ed848c-20b5-4c1d-be95-2597bd37b3d6","subtype":"Figure","type":"Plot"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"8ff45017-f0e9-4cbe-9f30-f5ead68c9e86","type":"Line"},{"attributes":{"source":{"id":"c369b545-bc7c-4c6d-888c-d81a583814d4","type":"ColumnDataSource"}},"id":"64e79f77-52e4-4dfe-90c1-e91cf9162d57","type":"CDSView"},{"attributes":{},"id":"72d1e005-6fcc-459d-b0f3-710bb34c7c6d","type":"WheelZoomTool"},{"attributes":{},"id":"7950a84d-c844-49dd-ba62-dfc6adc1e22f","type":"BasicTickFormatter"},{"attributes":{},"id":"6c35cc93-9571-4d61-a2e0-4cf4a9ac747a","type":"BasicTicker"},{"attributes":{"callback":null},"id":"ae84c941-bab3-449c-b961-d3e6ec0554d6","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"21ed848c-20b5-4c1d-be95-2597bd37b3d6","subtype":"Figure","type":"Plot"},"ticker":{"id":"ec73d4ae-ba93-4d32-bbe0-3d133467af5b","type":"BasicTicker"}},"id":"25859350-2aea-45db-9a42-b27e3ccf6a50","type":"Grid"}],"root_ids":["f4064ce0-04e5-496b-b0dd-bb96a735776d"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"5bd9dea8-60f6-4660-a504-ef05cc22ab5d","elementid":"ecc81a62-efb4-44be-a200-2bd3c451bb73","modelid":"f4064ce0-04e5-496b-b0dd-bb96a735776d"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
