(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("1a95f3b7-1622-401e-b92a-d772b3248789");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '1a95f3b7-1622-401e-b92a-d772b3248789' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"ca4c4643-8ca8-4b2b-82e7-6233e42f683a":{"roots":{"references":[{"attributes":{},"id":"3c6f79ed-4b91-4459-98fc-74ab45b37512","type":"BasicTickFormatter"},{"attributes":{},"id":"ff36eec2-e86c-41f8-ab0e-b00ec533f5cd","type":"BasicTickFormatter"},{"attributes":{"children":[{"id":"dcf71079-4a74-4c85-bd34-7eb669f566f4","type":"Row"}]},"id":"dd37ddf0-2761-4bba-8544-aa4d0e9b2868","type":"Column"},{"attributes":{},"id":"4d753844-dce2-4dc6-8492-79106e3443a5","type":"SaveTool"},{"attributes":{"below":[{"id":"5e1f8689-dd06-463e-a321-44c06a5bcf49","type":"LinearAxis"}],"left":[{"id":"7ef490c9-959f-4517-a1ce-b6546ea4a570","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"5e1f8689-dd06-463e-a321-44c06a5bcf49","type":"LinearAxis"},{"id":"2902196c-0dfe-478f-85ae-e31f559114dd","type":"Grid"},{"id":"7ef490c9-959f-4517-a1ce-b6546ea4a570","type":"LinearAxis"},{"id":"6a6c610b-b060-4a32-bf38-8c4e1738c43b","type":"Grid"},{"id":"ea245a3d-5823-40d9-bb50-954bf314405f","type":"BoxAnnotation"},{"id":"931c9804-e445-4995-8cd5-ed83eaf90f22","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"b32fe2e0-be2e-4abe-8c97-7f8a3f34e861","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"b753b641-e594-457e-aca3-87bd0e0a187f","type":"DataRange1d"},"x_scale":{"id":"ea66c741-b320-4317-82ba-cc7a45e92672","type":"LinearScale"},"y_range":{"id":"ca0096bc-a371-4567-a040-10d6eab1a868","type":"DataRange1d"},"y_scale":{"id":"666f6f9e-fd16-442f-813a-70f11dd00641","type":"LinearScale"}},"id":"d2562470-cf5a-4dc4-90d1-2bfe9852b13c","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"dc72a3e3-720a-47ea-83dd-9673135afeb3","type":"WheelZoomTool"},{"attributes":{},"id":"6976c3da-1254-45c9-9a60-e18b90eca653","type":"LinearScale"},{"attributes":{"source":{"id":"20e6d85c-18e1-46c3-be62-4dfd8cbc4934","type":"ColumnDataSource"}},"id":"41d3f1ac-444f-4c5f-8ef8-83a921fd80d0","type":"CDSView"},{"attributes":{},"id":"ea66c741-b320-4317-82ba-cc7a45e92672","type":"LinearScale"},{"attributes":{"below":[{"id":"3cef8f80-aa09-4f19-8779-c02f8816db7b","type":"LinearAxis"}],"left":[{"id":"9c76d6c2-ef41-4145-bcc7-ba725cb04771","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"3cef8f80-aa09-4f19-8779-c02f8816db7b","type":"LinearAxis"},{"id":"6b90f6ee-4722-444b-94f8-47388038f388","type":"Grid"},{"id":"9c76d6c2-ef41-4145-bcc7-ba725cb04771","type":"LinearAxis"},{"id":"9475addf-265e-4510-846d-438c028daaa6","type":"Grid"},{"id":"7e498cb4-857a-4fd2-ad7a-70cfe9830f1c","type":"BoxAnnotation"},{"id":"dcda95ee-f3d9-499f-be84-eb287665efc7","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"4b98067a-4be6-4edf-b00e-f1a3925a1ed3","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"b753b641-e594-457e-aca3-87bd0e0a187f","type":"DataRange1d"},"x_scale":{"id":"20f7575f-fd61-474d-bd62-b53bed876bed","type":"LinearScale"},"y_range":{"id":"3d32b898-fc08-44bb-9777-562740fae637","type":"DataRange1d"},"y_scale":{"id":"6976c3da-1254-45c9-9a60-e18b90eca653","type":"LinearScale"}},"id":"0b0891d4-b83e-4b35-af19-ccb38a0b14ee","subtype":"Figure","type":"Plot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"63e54951-5c84-460b-a1a4-61da3dc24421","type":"PanTool"},{"id":"4cb7ad5b-a36f-4dfe-a3ea-313a785c05d1","type":"WheelZoomTool"},{"id":"3b48cec8-aa4d-4be1-8c3e-ebceb98a25a8","type":"BoxZoomTool"},{"id":"59d68167-09a2-41bc-b1cf-b155062c8cbd","type":"SaveTool"},{"id":"e2ca11ec-ec54-4721-8f76-88e2b079a2e6","type":"ResetTool"},{"id":"c26b9cb4-665b-4a54-bef2-aa5547719f07","type":"HelpTool"}]},"id":"55384c6e-02f8-41bd-ae86-c8029b99d2d3","type":"Toolbar"},{"attributes":{},"id":"e2ca11ec-ec54-4721-8f76-88e2b079a2e6","type":"ResetTool"},{"attributes":{"callback":null},"id":"ca0096bc-a371-4567-a040-10d6eab1a868","type":"DataRange1d"},{"attributes":{},"id":"4cb7ad5b-a36f-4dfe-a3ea-313a785c05d1","type":"WheelZoomTool"},{"attributes":{"source":{"id":"68205e44-f873-4bba-ba64-35565d603733","type":"ColumnDataSource"}},"id":"ca85e7d0-6098-4507-b11a-3ed6dff03899","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"d2562470-cf5a-4dc4-90d1-2bfe9852b13c","subtype":"Figure","type":"Plot"},"ticker":{"id":"6d56c148-5f22-4d7b-933d-2427524ce892","type":"BasicTicker"}},"id":"6a6c610b-b060-4a32-bf38-8c4e1738c43b","type":"Grid"},{"attributes":{"formatter":{"id":"376169f2-b129-4b54-b4d3-0497214cbd87","type":"BasicTickFormatter"},"plot":{"id":"0b0891d4-b83e-4b35-af19-ccb38a0b14ee","subtype":"Figure","type":"Plot"},"ticker":{"id":"0fb2e816-08ce-4bd1-98bc-7c0e297c2d8c","type":"BasicTicker"}},"id":"3cef8f80-aa09-4f19-8779-c02f8816db7b","type":"LinearAxis"},{"attributes":{"source":{"id":"f123fd51-38ab-489c-a0ea-ef7eeb308837","type":"ColumnDataSource"}},"id":"ed101271-5dfd-4338-9f01-d721ccd8d2ee","type":"CDSView"},{"attributes":{},"id":"a41ec069-7641-4740-a902-10993c80e88b","type":"BasicTickFormatter"},{"attributes":{},"id":"56810e30-0e76-470d-8e8e-a0c089ad07ab","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"68205e44-f873-4bba-ba64-35565d603733","type":"ColumnDataSource"},"glyph":{"id":"b2fa0775-f30f-4883-99d1-2b54ffe39abc","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"42039754-8320-4186-ad2d-0b5f3cfcdf13","type":"Circle"},"selection_glyph":null,"view":{"id":"ca85e7d0-6098-4507-b11a-3ed6dff03899","type":"CDSView"}},"id":"1166e29f-effb-4b77-8672-eb8bfe1dc7a7","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"3d32b898-fc08-44bb-9777-562740fae637","type":"DataRange1d"},{"attributes":{},"id":"a2b6c074-817b-448d-ba5a-31c71dbd5627","type":"HelpTool"},{"attributes":{},"id":"8e038bf5-a7d2-44fe-9b18-fbe0cecf330f","type":"HelpTool"},{"attributes":{},"id":"fab06314-9b51-4d7e-8f3d-28476578b310","type":"ResetTool"},{"attributes":{"below":[{"id":"3a57ac00-fa2c-4236-86d1-eca3c5119c3a","type":"LinearAxis"}],"left":[{"id":"df922191-5f8f-4935-bfb7-a6a25aaa446c","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"3a57ac00-fa2c-4236-86d1-eca3c5119c3a","type":"LinearAxis"},{"id":"2133c739-ef66-4852-b302-cb0f686c8a0e","type":"Grid"},{"id":"df922191-5f8f-4935-bfb7-a6a25aaa446c","type":"LinearAxis"},{"id":"b7cdd40e-5339-47dd-83bd-5f078ba79cfe","type":"Grid"},{"id":"5331f14d-c13a-407b-a7f4-06fe44242548","type":"BoxAnnotation"},{"id":"1166e29f-effb-4b77-8672-eb8bfe1dc7a7","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"55384c6e-02f8-41bd-ae86-c8029b99d2d3","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"b753b641-e594-457e-aca3-87bd0e0a187f","type":"DataRange1d"},"x_scale":{"id":"45026355-58f9-4a20-8ab6-99733c14e9e8","type":"LinearScale"},"y_range":{"id":"3d32b898-fc08-44bb-9777-562740fae637","type":"DataRange1d"},"y_scale":{"id":"2aea2e0c-4d5a-4c65-a2e6-f9f09d312c16","type":"LinearScale"}},"id":"245f1a96-653e-401a-bd64-74e667930bd9","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"13ed4875-deba-4524-8568-cfa408dd67cc","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c56dcc48-b3c6-405d-917c-dfa5e89d9f45","type":"PanTool"},{"id":"dc72a3e3-720a-47ea-83dd-9673135afeb3","type":"WheelZoomTool"},{"id":"46eacc0f-d09b-4780-aed1-4fcf35eb1bf8","type":"BoxZoomTool"},{"id":"4d753844-dce2-4dc6-8492-79106e3443a5","type":"SaveTool"},{"id":"460e7d82-ddfc-4cd5-9d84-0f178412e2b8","type":"ResetTool"},{"id":"a2b6c074-817b-448d-ba5a-31c71dbd5627","type":"HelpTool"}]},"id":"4b98067a-4be6-4edf-b00e-f1a3925a1ed3","type":"Toolbar"},{"attributes":{"children":[{"id":"245f1a96-653e-401a-bd64-74e667930bd9","subtype":"Figure","type":"Plot"},{"id":"0b0891d4-b83e-4b35-af19-ccb38a0b14ee","subtype":"Figure","type":"Plot"},{"id":"d2562470-cf5a-4dc4-90d1-2bfe9852b13c","subtype":"Figure","type":"Plot"}]},"id":"dcf71079-4a74-4c85-bd34-7eb669f566f4","type":"Row"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"42039754-8320-4186-ad2d-0b5f3cfcdf13","type":"Circle"},{"attributes":{"formatter":{"id":"3c6f79ed-4b91-4459-98fc-74ab45b37512","type":"BasicTickFormatter"},"plot":{"id":"d2562470-cf5a-4dc4-90d1-2bfe9852b13c","subtype":"Figure","type":"Plot"},"ticker":{"id":"13ed4875-deba-4524-8568-cfa408dd67cc","type":"BasicTicker"}},"id":"5e1f8689-dd06-463e-a321-44c06a5bcf49","type":"LinearAxis"},{"attributes":{"overlay":{"id":"7e498cb4-857a-4fd2-ad7a-70cfe9830f1c","type":"BoxAnnotation"}},"id":"46eacc0f-d09b-4780-aed1-4fcf35eb1bf8","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"a41ec069-7641-4740-a902-10993c80e88b","type":"BasicTickFormatter"},"plot":{"id":"d2562470-cf5a-4dc4-90d1-2bfe9852b13c","subtype":"Figure","type":"Plot"},"ticker":{"id":"6d56c148-5f22-4d7b-933d-2427524ce892","type":"BasicTicker"}},"id":"7ef490c9-959f-4517-a1ce-b6546ea4a570","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[10,9,8,7,6,5,4,3,2,1,0]}},"id":"20e6d85c-18e1-46c3-be62-4dfd8cbc4934","type":"ColumnDataSource"},{"attributes":{},"id":"666f6f9e-fd16-442f-813a-70f11dd00641","type":"LinearScale"},{"attributes":{"data_source":{"id":"20e6d85c-18e1-46c3-be62-4dfd8cbc4934","type":"ColumnDataSource"},"glyph":{"id":"8a513d7e-1cb8-451f-8db4-98fb912c7ffc","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"0c1c6869-3bef-4946-bd51-713467f52b8e","type":"Triangle"},"selection_glyph":null,"view":{"id":"41d3f1ac-444f-4c5f-8ef8-83a921fd80d0","type":"CDSView"}},"id":"dcda95ee-f3d9-499f-be84-eb287665efc7","type":"GlyphRenderer"},{"attributes":{},"id":"c56dcc48-b3c6-405d-917c-dfa5e89d9f45","type":"PanTool"},{"attributes":{},"id":"20f7575f-fd61-474d-bd62-b53bed876bed","type":"LinearScale"},{"attributes":{"plot":{"id":"d2562470-cf5a-4dc4-90d1-2bfe9852b13c","subtype":"Figure","type":"Plot"},"ticker":{"id":"13ed4875-deba-4524-8568-cfa408dd67cc","type":"BasicTicker"}},"id":"2902196c-0dfe-478f-85ae-e31f559114dd","type":"Grid"},{"attributes":{},"id":"bfcef276-f156-4268-b3b9-ee7d245333df","type":"BasicTicker"},{"attributes":{},"id":"59d68167-09a2-41bc-b1cf-b155062c8cbd","type":"SaveTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[0,1,2,3,4,5,6,7,8,9,10]}},"id":"68205e44-f873-4bba-ba64-35565d603733","type":"ColumnDataSource"},{"attributes":{},"id":"375016a8-19d3-45e8-aaac-e591616f4f02","type":"WheelZoomTool"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"olive"},"line_alpha":{"value":0.5},"line_color":{"value":"olive"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"dfa01a3d-78f3-472a-b160-9dabb8e3dd0e","type":"Square"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"firebrick"},"line_alpha":{"value":0.5},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"8a513d7e-1cb8-451f-8db4-98fb912c7ffc","type":"Triangle"},{"attributes":{"formatter":{"id":"ff36eec2-e86c-41f8-ab0e-b00ec533f5cd","type":"BasicTickFormatter"},"plot":{"id":"0b0891d4-b83e-4b35-af19-ccb38a0b14ee","subtype":"Figure","type":"Plot"},"ticker":{"id":"bfcef276-f156-4268-b3b9-ee7d245333df","type":"BasicTicker"}},"id":"9c76d6c2-ef41-4145-bcc7-ba725cb04771","type":"LinearAxis"},{"attributes":{"formatter":{"id":"56810e30-0e76-470d-8e8e-a0c089ad07ab","type":"BasicTickFormatter"},"plot":{"id":"245f1a96-653e-401a-bd64-74e667930bd9","subtype":"Figure","type":"Plot"},"ticker":{"id":"a46f5419-3312-4a73-9c52-5c8a514dc96f","type":"BasicTicker"}},"id":"3a57ac00-fa2c-4236-86d1-eca3c5119c3a","type":"LinearAxis"},{"attributes":{},"id":"2aea2e0c-4d5a-4c65-a2e6-f9f09d312c16","type":"LinearScale"},{"attributes":{"callback":null},"id":"b753b641-e594-457e-aca3-87bd0e0a187f","type":"DataRange1d"},{"attributes":{},"id":"c2ad9fb9-2215-4748-b959-6af90534a470","type":"BasicTicker"},{"attributes":{"plot":{"id":"245f1a96-653e-401a-bd64-74e667930bd9","subtype":"Figure","type":"Plot"},"ticker":{"id":"a46f5419-3312-4a73-9c52-5c8a514dc96f","type":"BasicTicker"}},"id":"2133c739-ef66-4852-b302-cb0f686c8a0e","type":"Grid"},{"attributes":{},"id":"45026355-58f9-4a20-8ab6-99733c14e9e8","type":"LinearScale"},{"attributes":{"plot":{"id":"0b0891d4-b83e-4b35-af19-ccb38a0b14ee","subtype":"Figure","type":"Plot"},"ticker":{"id":"0fb2e816-08ce-4bd1-98bc-7c0e297c2d8c","type":"BasicTicker"}},"id":"6b90f6ee-4722-444b-94f8-47388038f388","type":"Grid"},{"attributes":{"formatter":{"id":"0edc1f7b-1382-4333-ad58-e99533f0e00b","type":"BasicTickFormatter"},"plot":{"id":"245f1a96-653e-401a-bd64-74e667930bd9","subtype":"Figure","type":"Plot"},"ticker":{"id":"c2ad9fb9-2215-4748-b959-6af90534a470","type":"BasicTicker"}},"id":"df922191-5f8f-4935-bfb7-a6a25aaa446c","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"0c1c6869-3bef-4946-bd51-713467f52b8e","type":"Triangle"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[5,4,3,2,1,0,1,2,3,4,5]}},"id":"f123fd51-38ab-489c-a0ea-ef7eeb308837","type":"ColumnDataSource"},{"attributes":{},"id":"376169f2-b129-4b54-b4d3-0497214cbd87","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"ea245a3d-5823-40d9-bb50-954bf314405f","type":"BoxAnnotation"}},"id":"3dd7b4ca-ccc3-4ac0-af72-7c968aa680f3","type":"BoxZoomTool"},{"attributes":{},"id":"97b6362b-4fb5-414a-8e03-e24d44085d0e","type":"PanTool"},{"attributes":{"dimension":1,"plot":{"id":"245f1a96-653e-401a-bd64-74e667930bd9","subtype":"Figure","type":"Plot"},"ticker":{"id":"c2ad9fb9-2215-4748-b959-6af90534a470","type":"BasicTicker"}},"id":"b7cdd40e-5339-47dd-83bd-5f078ba79cfe","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"7e498cb4-857a-4fd2-ad7a-70cfe9830f1c","type":"BoxAnnotation"},{"attributes":{},"id":"63e54951-5c84-460b-a1a4-61da3dc24421","type":"PanTool"},{"attributes":{"dimension":1,"plot":{"id":"0b0891d4-b83e-4b35-af19-ccb38a0b14ee","subtype":"Figure","type":"Plot"},"ticker":{"id":"bfcef276-f156-4268-b3b9-ee7d245333df","type":"BasicTicker"}},"id":"9475addf-265e-4510-846d-438c028daaa6","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"ea245a3d-5823-40d9-bb50-954bf314405f","type":"BoxAnnotation"},{"attributes":{},"id":"8ab7676a-a447-4c8b-91ce-25ae23b3c769","type":"SaveTool"},{"attributes":{},"id":"c26b9cb4-665b-4a54-bef2-aa5547719f07","type":"HelpTool"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"navy"},"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"b2fa0775-f30f-4883-99d1-2b54ffe39abc","type":"Circle"},{"attributes":{},"id":"460e7d82-ddfc-4cd5-9d84-0f178412e2b8","type":"ResetTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"3aaac3da-ceaa-40a0-a6e2-1a21545a3ae2","type":"Square"},{"attributes":{"overlay":{"id":"5331f14d-c13a-407b-a7f4-06fe44242548","type":"BoxAnnotation"}},"id":"3b48cec8-aa4d-4be1-8c3e-ebceb98a25a8","type":"BoxZoomTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"97b6362b-4fb5-414a-8e03-e24d44085d0e","type":"PanTool"},{"id":"375016a8-19d3-45e8-aaac-e591616f4f02","type":"WheelZoomTool"},{"id":"3dd7b4ca-ccc3-4ac0-af72-7c968aa680f3","type":"BoxZoomTool"},{"id":"8ab7676a-a447-4c8b-91ce-25ae23b3c769","type":"SaveTool"},{"id":"fab06314-9b51-4d7e-8f3d-28476578b310","type":"ResetTool"},{"id":"8e038bf5-a7d2-44fe-9b18-fbe0cecf330f","type":"HelpTool"}]},"id":"b32fe2e0-be2e-4abe-8c97-7f8a3f34e861","type":"Toolbar"},{"attributes":{},"id":"a46f5419-3312-4a73-9c52-5c8a514dc96f","type":"BasicTicker"},{"attributes":{},"id":"0fb2e816-08ce-4bd1-98bc-7c0e297c2d8c","type":"BasicTicker"},{"attributes":{"data_source":{"id":"f123fd51-38ab-489c-a0ea-ef7eeb308837","type":"ColumnDataSource"},"glyph":{"id":"dfa01a3d-78f3-472a-b160-9dabb8e3dd0e","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"3aaac3da-ceaa-40a0-a6e2-1a21545a3ae2","type":"Square"},"selection_glyph":null,"view":{"id":"ed101271-5dfd-4338-9f01-d721ccd8d2ee","type":"CDSView"}},"id":"931c9804-e445-4995-8cd5-ed83eaf90f22","type":"GlyphRenderer"},{"attributes":{},"id":"0edc1f7b-1382-4333-ad58-e99533f0e00b","type":"BasicTickFormatter"},{"attributes":{},"id":"6d56c148-5f22-4d7b-933d-2427524ce892","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"5331f14d-c13a-407b-a7f4-06fe44242548","type":"BoxAnnotation"}],"root_ids":["dd37ddf0-2761-4bba-8544-aa4d0e9b2868"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"ca4c4643-8ca8-4b2b-82e7-6233e42f683a","elementid":"1a95f3b7-1622-401e-b92a-d772b3248789","modelid":"dd37ddf0-2761-4bba-8544-aa4d0e9b2868"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
