(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("56c29e3e-555e-4053-b8dc-678b4c093767");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '56c29e3e-555e-4053-b8dc-678b4c093767' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"8fc6a10e-64d8-4743-921f-4893b95f5ce7":{"roots":{"references":[{"attributes":{},"id":"006615fe-877b-4692-8d91-c001cd47f8b2","type":"LinearScale"},{"attributes":{},"id":"fd9f960f-5e68-41a5-b5e8-d9657c0a5d7c","type":"BasicTickFormatter"},{"attributes":{},"id":"d14e1bd0-fd07-4ad3-bc8b-9df1022859f1","type":"BasicTickFormatter"},{"attributes":{"children":[{"id":"654c0d82-ebec-4f67-b237-5a704b12d768","subtype":"Figure","type":"Plot"},{"id":"6ad4a3d1-ffed-4fa7-ab2c-59d2b73b1296","subtype":"Figure","type":"Plot"}]},"id":"fb09ee61-091a-47cd-8eef-bd1a465eaa74","type":"Row"},{"attributes":{"formatter":{"id":"b9f85e13-daaf-4c50-b471-739e11a96870","type":"BasicTickFormatter"},"plot":{"id":"654c0d82-ebec-4f67-b237-5a704b12d768","subtype":"Figure","type":"Plot"},"ticker":{"id":"63850917-7195-4750-9466-039846aa325a","type":"BasicTicker"}},"id":"c28c2b2f-6913-498e-919b-b4b5b8ba38e3","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y0"}},"id":"60058053-0e2d-4da5-b6e6-4fee57f77196","type":"Circle"},{"attributes":{},"id":"8debbb4d-b00f-45b8-918a-129979ea39e1","type":"HelpTool"},{"attributes":{"plot":{"id":"6ad4a3d1-ffed-4fa7-ab2c-59d2b73b1296","subtype":"Figure","type":"Plot"},"ticker":{"id":"4158078e-7b95-488d-88f9-43f8e715525e","type":"BasicTicker"}},"id":"eb08e9dd-1ffe-4526-bf9f-9a72a04abe10","type":"Grid"},{"attributes":{"plot":{"id":"654c0d82-ebec-4f67-b237-5a704b12d768","subtype":"Figure","type":"Plot"},"ticker":{"id":"7b102c69-9515-41fd-93c4-adbcef191c02","type":"BasicTicker"}},"id":"731fd080-f2f8-4dc4-9560-87ac7a5d6a09","type":"Grid"},{"attributes":{},"id":"4158078e-7b95-488d-88f9-43f8e715525e","type":"BasicTicker"},{"attributes":{},"id":"b78088d4-d56a-4ab0-b7d5-31620264a2f5","type":"BasicTicker"},{"attributes":{},"id":"61626d41-651b-49f9-8482-1e61bbaf7adf","type":"BasicTickFormatter"},{"attributes":{},"id":"1a912f8c-8d11-4a7b-86ae-1db9d2239e25","type":"LinearScale"},{"attributes":{"callback":null},"id":"ca26eb76-0dd4-4499-a690-8ed78f3982e4","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"1f93f05e-42fe-4d2d-a653-f221cc60977b","type":"BoxSelectTool"},{"id":"8f48938f-1dae-4ff6-bb69-7071bb868bb7","type":"LassoSelectTool"},{"id":"8d532d29-e5c4-470f-911e-2581ec74ec11","type":"HelpTool"}]},"id":"1e7b4ef4-da3b-4d57-b883-a086d11d0c49","type":"Toolbar"},{"attributes":{},"id":"d0a34707-27aa-4952-83e2-882ec83b63bd","type":"LinearScale"},{"attributes":{"callback":null,"overlay":{"id":"9401c0fe-0f78-4487-9d83-0d1ef8d76e7b","type":"BoxAnnotation"},"renderers":[{"id":"c4c8ad47-f18c-4ad7-878a-b49a510e767f","type":"GlyphRenderer"}]},"id":"1f93f05e-42fe-4d2d-a653-f221cc60977b","type":"BoxSelectTool"},{"attributes":{"source":{"id":"6de5ed0c-cf9a-496b-87c0-ca81e7f26c07","type":"ColumnDataSource"}},"id":"1afd561f-c6ef-471e-94b8-198afe36ded7","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"2d9112d7-7984-4420-b5aa-216037fc92c1","type":"BoxSelectTool"},{"id":"0fdb2232-79b7-4ec7-a5d1-a1bf14680335","type":"LassoSelectTool"},{"id":"8debbb4d-b00f-45b8-918a-129979ea39e1","type":"HelpTool"}]},"id":"cae208da-7fa5-4f1b-a930-55bbd5b50043","type":"Toolbar"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"75cce186-04ce-4a94-b0e6-44fcfbd7799c","type":"BoxAnnotation"},{"attributes":{},"id":"ba0c401b-1011-40ea-b0a8-fd7d7b3d08bf","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"0fa1b0a3-ba6d-45a5-b556-833ff8476bdf","type":"PolyAnnotation"},{"attributes":{"below":[{"id":"e3aeff05-2e1a-4075-92a7-813418d71ee1","type":"LinearAxis"}],"left":[{"id":"0b094627-c698-401d-8288-04a01a882c80","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"e3aeff05-2e1a-4075-92a7-813418d71ee1","type":"LinearAxis"},{"id":"eb08e9dd-1ffe-4526-bf9f-9a72a04abe10","type":"Grid"},{"id":"0b094627-c698-401d-8288-04a01a882c80","type":"LinearAxis"},{"id":"cd88aae8-cd5e-4c4a-b686-c0579ec10c9a","type":"Grid"},{"id":"9401c0fe-0f78-4487-9d83-0d1ef8d76e7b","type":"BoxAnnotation"},{"id":"0fa1b0a3-ba6d-45a5-b556-833ff8476bdf","type":"PolyAnnotation"},{"id":"c4c8ad47-f18c-4ad7-878a-b49a510e767f","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"1e7b4ef4-da3b-4d57-b883-a086d11d0c49","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"67f657d2-0d61-46d6-b680-70732741992c","type":"DataRange1d"},"x_scale":{"id":"ba0c401b-1011-40ea-b0a8-fd7d7b3d08bf","type":"LinearScale"},"y_range":{"id":"87a0f85a-ccf4-456e-8c50-8a6954aad1d5","type":"DataRange1d"},"y_scale":{"id":"d0a34707-27aa-4952-83e2-882ec83b63bd","type":"LinearScale"}},"id":"6ad4a3d1-ffed-4fa7-ab2c-59d2b73b1296","subtype":"Figure","type":"Plot"},{"attributes":{"dimension":1,"plot":{"id":"6ad4a3d1-ffed-4fa7-ab2c-59d2b73b1296","subtype":"Figure","type":"Plot"},"ticker":{"id":"b78088d4-d56a-4ab0-b7d5-31620264a2f5","type":"BasicTicker"}},"id":"cd88aae8-cd5e-4c4a-b686-c0579ec10c9a","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"654c0d82-ebec-4f67-b237-5a704b12d768","subtype":"Figure","type":"Plot"},"ticker":{"id":"63850917-7195-4750-9466-039846aa325a","type":"BasicTicker"}},"id":"516ab301-b144-4d94-97e6-28cc3d5e80e8","type":"Grid"},{"attributes":{"callback":null,"overlay":{"id":"bed39e1c-a36b-4838-ab98-0ebeeab137e0","type":"PolyAnnotation"}},"id":"0fdb2232-79b7-4ec7-a5d1-a1bf14680335","type":"LassoSelectTool"},{"attributes":{"callback":null,"overlay":{"id":"0fa1b0a3-ba6d-45a5-b556-833ff8476bdf","type":"PolyAnnotation"}},"id":"8f48938f-1dae-4ff6-bb69-7071bb868bb7","type":"LassoSelectTool"},{"attributes":{"callback":null},"id":"87a0f85a-ccf4-456e-8c50-8a6954aad1d5","type":"DataRange1d"},{"attributes":{"children":[{"id":"fb09ee61-091a-47cd-8eef-bd1a465eaa74","type":"Row"}]},"id":"a9e9c2a4-febb-4ba2-bb39-f5bd40a87f50","type":"Column"},{"attributes":{"data_source":{"id":"6de5ed0c-cf9a-496b-87c0-ca81e7f26c07","type":"ColumnDataSource"},"glyph":{"id":"98139260-e5b8-4e63-836d-f40b5e002074","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"38899af5-44f1-42dd-891f-9aecfbfcdec8","type":"Circle"},"selection_glyph":null,"view":{"id":"f8a8d709-155f-4701-9a64-63f88b891627","type":"CDSView"}},"id":"c4c8ad47-f18c-4ad7-878a-b49a510e767f","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"67f657d2-0d61-46d6-b680-70732741992c","type":"DataRange1d"},{"attributes":{"source":{"id":"6de5ed0c-cf9a-496b-87c0-ca81e7f26c07","type":"ColumnDataSource"}},"id":"f8a8d709-155f-4701-9a64-63f88b891627","type":"CDSView"},{"attributes":{},"id":"7b102c69-9515-41fd-93c4-adbcef191c02","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"bed39e1c-a36b-4838-ab98-0ebeeab137e0","type":"PolyAnnotation"},{"attributes":{"below":[{"id":"466e4294-eafd-4a35-b30a-3c9a6ff77e22","type":"LinearAxis"}],"left":[{"id":"c28c2b2f-6913-498e-919b-b4b5b8ba38e3","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"466e4294-eafd-4a35-b30a-3c9a6ff77e22","type":"LinearAxis"},{"id":"731fd080-f2f8-4dc4-9560-87ac7a5d6a09","type":"Grid"},{"id":"c28c2b2f-6913-498e-919b-b4b5b8ba38e3","type":"LinearAxis"},{"id":"516ab301-b144-4d94-97e6-28cc3d5e80e8","type":"Grid"},{"id":"75cce186-04ce-4a94-b0e6-44fcfbd7799c","type":"BoxAnnotation"},{"id":"bed39e1c-a36b-4838-ab98-0ebeeab137e0","type":"PolyAnnotation"},{"id":"ae82ea11-1c9c-414d-860f-d4fd068cdb10","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"cae208da-7fa5-4f1b-a930-55bbd5b50043","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"ca26eb76-0dd4-4499-a690-8ed78f3982e4","type":"DataRange1d"},"x_scale":{"id":"1a912f8c-8d11-4a7b-86ae-1db9d2239e25","type":"LinearScale"},"y_range":{"id":"07a6ca43-8f03-4220-836c-6358c5dc800d","type":"DataRange1d"},"y_scale":{"id":"006615fe-877b-4692-8d91-c001cd47f8b2","type":"LinearScale"}},"id":"654c0d82-ebec-4f67-b237-5a704b12d768","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"07a6ca43-8f03-4220-836c-6358c5dc800d","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y1"}},"id":"38899af5-44f1-42dd-891f-9aecfbfcdec8","type":"Circle"},{"attributes":{},"id":"63850917-7195-4750-9466-039846aa325a","type":"BasicTicker"},{"attributes":{"callback":null,"overlay":{"id":"75cce186-04ce-4a94-b0e6-44fcfbd7799c","type":"BoxAnnotation"},"renderers":[{"id":"ae82ea11-1c9c-414d-860f-d4fd068cdb10","type":"GlyphRenderer"}]},"id":"2d9112d7-7984-4420-b5aa-216037fc92c1","type":"BoxSelectTool"},{"attributes":{"formatter":{"id":"fd9f960f-5e68-41a5-b5e8-d9657c0a5d7c","type":"BasicTickFormatter"},"plot":{"id":"6ad4a3d1-ffed-4fa7-ab2c-59d2b73b1296","subtype":"Figure","type":"Plot"},"ticker":{"id":"b78088d4-d56a-4ab0-b7d5-31620264a2f5","type":"BasicTicker"}},"id":"0b094627-c698-401d-8288-04a01a882c80","type":"LinearAxis"},{"attributes":{},"id":"b9f85e13-daaf-4c50-b471-739e11a96870","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y0"}},"id":"765df5b6-1cac-479d-b4b0-da7f6f6a392a","type":"Circle"},{"attributes":{},"id":"8d532d29-e5c4-470f-911e-2581ec74ec11","type":"HelpTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"9401c0fe-0f78-4487-9d83-0d1ef8d76e7b","type":"BoxAnnotation"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y1"}},"id":"98139260-e5b8-4e63-836d-f40b5e002074","type":"Circle"},{"attributes":{"formatter":{"id":"61626d41-651b-49f9-8482-1e61bbaf7adf","type":"BasicTickFormatter"},"plot":{"id":"6ad4a3d1-ffed-4fa7-ab2c-59d2b73b1296","subtype":"Figure","type":"Plot"},"ticker":{"id":"4158078e-7b95-488d-88f9-43f8e715525e","type":"BasicTicker"}},"id":"e3aeff05-2e1a-4075-92a7-813418d71ee1","type":"LinearAxis"},{"attributes":{"formatter":{"id":"d14e1bd0-fd07-4ad3-bc8b-9df1022859f1","type":"BasicTickFormatter"},"plot":{"id":"654c0d82-ebec-4f67-b237-5a704b12d768","subtype":"Figure","type":"Plot"},"ticker":{"id":"7b102c69-9515-41fd-93c4-adbcef191c02","type":"BasicTicker"}},"id":"466e4294-eafd-4a35-b30a-3c9a6ff77e22","type":"LinearAxis"},{"attributes":{"data_source":{"id":"6de5ed0c-cf9a-496b-87c0-ca81e7f26c07","type":"ColumnDataSource"},"glyph":{"id":"60058053-0e2d-4da5-b6e6-4fee57f77196","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"765df5b6-1cac-479d-b4b0-da7f6f6a392a","type":"Circle"},"selection_glyph":null,"view":{"id":"1afd561f-c6ef-471e-94b8-198afe36ded7","type":"CDSView"}},"id":"ae82ea11-1c9c-414d-860f-d4fd068cdb10","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["y1","y0","x"],"data":{"x":[-20,-19,-18,-17,-16,-15,-14,-13,-12,-11,-10,-9,-8,-7,-6,-5,-4,-3,-2,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"y0":[20,19,18,17,16,15,14,13,12,11,10,9,8,7,6,5,4,3,2,1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"y1":[400,361,324,289,256,225,196,169,144,121,100,81,64,49,36,25,16,9,4,1,0,1,4,9,16,25,36,49,64,81,100,121,144,169,196,225,256,289,324,361,400]}},"id":"6de5ed0c-cf9a-496b-87c0-ca81e7f26c07","type":"ColumnDataSource"},{"attributes":{"sizing_mode":"scale_width","toolbar_location":"above","tools":[{"id":"2d9112d7-7984-4420-b5aa-216037fc92c1","type":"BoxSelectTool"},{"id":"0fdb2232-79b7-4ec7-a5d1-a1bf14680335","type":"LassoSelectTool"},{"id":"8debbb4d-b00f-45b8-918a-129979ea39e1","type":"HelpTool"},{"id":"1f93f05e-42fe-4d2d-a653-f221cc60977b","type":"BoxSelectTool"},{"id":"8f48938f-1dae-4ff6-bb69-7071bb868bb7","type":"LassoSelectTool"},{"id":"8d532d29-e5c4-470f-911e-2581ec74ec11","type":"HelpTool"}]},"id":"32f1b824-0d8a-43a0-91d2-4a07ccdd7b8a","type":"ToolbarBox"},{"attributes":{"children":[{"id":"32f1b824-0d8a-43a0-91d2-4a07ccdd7b8a","type":"ToolbarBox"},{"id":"a9e9c2a4-febb-4ba2-bb39-f5bd40a87f50","type":"Column"}]},"id":"1a5bc024-b86a-4b84-9f3c-c8cd8722380a","type":"Column"}],"root_ids":["1a5bc024-b86a-4b84-9f3c-c8cd8722380a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"8fc6a10e-64d8-4743-921f-4893b95f5ce7","elementid":"56c29e3e-555e-4053-b8dc-678b4c093767","modelid":"1a5bc024-b86a-4b84-9f3c-c8cd8722380a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
