(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("7b3be251-8350-4e86-b2fd-d9b7ae821e1f");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '7b3be251-8350-4e86-b2fd-d9b7ae821e1f' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a25cb37a-b881-4c0e-a8c9-9c93edba37b8":{"roots":{"references":[{"attributes":{"children":[{"id":"0a37c788-91d8-4d10-afcb-820b8912cf04","type":"DataTable"}]},"id":"8fe39bab-7b6c-4a6c-82db-6bd94136115b","type":"WidgetBox"},{"attributes":{"columns":[{"id":"5d0d333e-491b-4ebe-b1f9-6d95a6d233eb","type":"TableColumn"},{"id":"a3238f58-6ca3-4b11-a8ff-3dd4677a4c33","type":"TableColumn"}],"height":280,"source":{"id":"3fdef8f7-ebf9-4154-90c1-723918ae32b7","type":"ColumnDataSource"},"view":{"id":"8af46ae4-c18f-472e-a249-76f0ab05f095","type":"CDSView"},"width":400},"id":"0a37c788-91d8-4d10-afcb-820b8912cf04","type":"DataTable"},{"attributes":{"editor":{"id":"7014a09e-3eea-4c94-ad38-4234735d3222","type":"StringEditor"},"field":"dates","formatter":{"id":"1f7eae6d-8314-4b57-8fc9-4e2b7fe3e14d","type":"DateFormatter"},"title":"Date"},"id":"5d0d333e-491b-4ebe-b1f9-6d95a6d233eb","type":"TableColumn"},{"attributes":{},"id":"7014a09e-3eea-4c94-ad38-4234735d3222","type":"StringEditor"},{"attributes":{},"id":"49306c95-e3d5-411b-8671-51369d818b17","type":"StringFormatter"},{"attributes":{"callback":null,"column_names":["downloads","dates"],"data":{"dates":[1393632000000.0,1393718400000.0,1393804800000.0,1393891200000.0,1393977600000.0,1394064000000.0,1394150400000.0,1394236800000.0,1394323200000.0,1394409600000.0],"downloads":[82,7,12,86,67,99,8,38,12,13]}},"id":"3fdef8f7-ebf9-4154-90c1-723918ae32b7","type":"ColumnDataSource"},{"attributes":{"source":{"id":"3fdef8f7-ebf9-4154-90c1-723918ae32b7","type":"ColumnDataSource"}},"id":"8af46ae4-c18f-472e-a249-76f0ab05f095","type":"CDSView"},{"attributes":{},"id":"1f7eae6d-8314-4b57-8fc9-4e2b7fe3e14d","type":"DateFormatter"},{"attributes":{},"id":"9c9cb2d1-cf29-4e7e-ba31-30a5bde8ddd8","type":"StringEditor"},{"attributes":{"editor":{"id":"9c9cb2d1-cf29-4e7e-ba31-30a5bde8ddd8","type":"StringEditor"},"field":"downloads","formatter":{"id":"49306c95-e3d5-411b-8671-51369d818b17","type":"StringFormatter"},"title":"Downloads"},"id":"a3238f58-6ca3-4b11-a8ff-3dd4677a4c33","type":"TableColumn"}],"root_ids":["8fe39bab-7b6c-4a6c-82db-6bd94136115b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a25cb37a-b881-4c0e-a8c9-9c93edba37b8","elementid":"7b3be251-8350-4e86-b2fd-d9b7ae821e1f","modelid":"8fe39bab-7b6c-4a6c-82db-6bd94136115b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
