(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("4358aaad-8713-4914-ab9a-1376bdd36b0a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '4358aaad-8713-4914-ab9a-1376bdd36b0a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"1309c09b-d1eb-46a4-9e3b-3c9b9c51a876":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"487020b6-a15e-495d-95a2-959d14cb490f","type":"PanTool"},{"id":"e9756dca-fa61-4364-be09-c9ea6c07dcfb","type":"WheelZoomTool"},{"id":"1397a2b4-f1c0-4f7f-9bf4-6678d10e2329","type":"BoxZoomTool"},{"id":"09b8f12b-1c54-4834-96e7-17d55edd22e4","type":"SaveTool"},{"id":"12510be8-dec0-4166-b277-ae1eb182afc9","type":"ResetTool"},{"id":"529f81a5-4385-4820-8fe0-c0a081d5076b","type":"HelpTool"}]},"id":"c355e4eb-7e36-41f5-8546-4db090c57ef3","type":"Toolbar"},{"attributes":{"children":[{"id":"8e7c30a1-53cc-4ee5-8fa1-1860e9e3c654","type":"ToolbarBox"},{"id":"b3f5ae50-263d-43fe-b34a-aae97d4dc04e","type":"Column"}]},"id":"839fe078-6c8a-4eec-969c-7ba24e8964b9","type":"Column"},{"attributes":{"callback":null},"id":"6ff5cb57-c77a-4a3a-a163-d8c4ce6db0c2","type":"DataRange1d"},{"attributes":{},"id":"e6d5a080-d4dc-4cf0-a24f-d8c9e109708a","type":"BasicTicker"},{"attributes":{},"id":"5c8e5f60-0ab2-4658-8660-1287ac9b5860","type":"LinearScale"},{"attributes":{"data_source":{"id":"ab019a62-841b-4282-a3b5-6df409e05af0","type":"ColumnDataSource"},"glyph":{"id":"1e2e112d-56c3-496a-85aa-fe231cd2e56b","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"2f25d2e1-a6a6-42b7-aeb7-d7aeaa7c1932","type":"Triangle"},"selection_glyph":null,"view":{"id":"b33b2f1d-caae-4419-8ece-ebf96fd9abce","type":"CDSView"}},"id":"e9170534-0328-492e-90d3-763f4d9a27b6","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"7fafddf5-0681-413d-9cef-52069156bb24","type":"DataRange1d"},{"attributes":{"below":[{"id":"f982cc18-1eb2-4070-8253-523d8cf88988","type":"LinearAxis"}],"left":[{"id":"0914f72e-8ddb-4910-af0f-1e5ee3630411","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"f982cc18-1eb2-4070-8253-523d8cf88988","type":"LinearAxis"},{"id":"375c7dc9-8069-47f3-a2f2-6338ec116dac","type":"Grid"},{"id":"0914f72e-8ddb-4910-af0f-1e5ee3630411","type":"LinearAxis"},{"id":"6e14816e-0f9c-4ce8-9de2-3bcb8ad4e7b0","type":"Grid"},{"id":"6199ed94-7e19-4f93-8415-3a0059048fb4","type":"BoxAnnotation"},{"id":"e9170534-0328-492e-90d3-763f4d9a27b6","type":"GlyphRenderer"}],"title":{"id":"c48be84a-428c-40af-a18b-349bb0690b9a","type":"Title"},"toolbar":{"id":"974b8ca9-f8e4-4aa5-aae8-67ad5814388a","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"8ff2d950-c793-4d3d-9f0c-25ad5ae63835","type":"DataRange1d"},"x_scale":{"id":"6f26d35f-2457-4681-9267-867a15e9db9f","type":"LinearScale"},"y_range":{"id":"76bc00c0-8034-4a34-bbe2-fc2de384bf72","type":"DataRange1d"},"y_scale":{"id":"21ed1204-fbfc-4cfc-9ba7-3cf006fd1964","type":"LinearScale"}},"id":"7285c56d-f771-45f6-9ea4-35c966429f8e","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"eca143eb-35f7-43b3-9967-b3c40f58db5c","type":"BasicTickFormatter"},{"attributes":{},"id":"d9bef5b0-b05f-486e-addc-3ea047e96da6","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"c30e6e70-a957-4ebf-9857-d9771805ed17","type":"BoxAnnotation"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"a973f109-3f42-4969-96b0-da206c8e32c8","type":"Circle"},{"attributes":{"callback":null},"id":"8ff2d950-c793-4d3d-9f0c-25ad5ae63835","type":"DataRange1d"},{"attributes":{},"id":"a524642e-cb4b-4a5b-be5a-5c1b9bf728f9","type":"LinearScale"},{"attributes":{},"id":"2905bb03-5476-4b87-8d67-96fb5beb295d","type":"BasicTicker"},{"attributes":{"plot":{"id":"c2b8477c-b9b5-48de-9b70-b194c0f4db00","subtype":"Figure","type":"Plot"},"ticker":{"id":"7df24be1-8cc4-4a83-aff0-2b12248555db","type":"BasicTicker"}},"id":"74039dcf-d67d-4334-a22c-ccdc749847e5","type":"Grid"},{"attributes":{"fill_color":{"value":"#208F8C"},"line_color":{"value":"#208F8C"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"1e2e112d-56c3-496a-85aa-fe231cd2e56b","type":"Triangle"},{"attributes":{},"id":"a0eb2e1f-273c-4495-a7cc-381757ab73a6","type":"WheelZoomTool"},{"attributes":{},"id":"e9756dca-fa61-4364-be09-c9ea6c07dcfb","type":"WheelZoomTool"},{"attributes":{"source":{"id":"ab019a62-841b-4282-a3b5-6df409e05af0","type":"ColumnDataSource"}},"id":"b33b2f1d-caae-4419-8ece-ebf96fd9abce","type":"CDSView"},{"attributes":{},"id":"2f3ad7a7-d610-42f0-bd31-852a2e98731c","type":"LinearScale"},{"attributes":{},"id":"d9c0cd5a-8a4e-481b-8ad1-a67994e1c139","type":"WheelZoomTool"},{"attributes":{},"id":"e1241cfd-ba75-4b75-a009-ebfb067eb7d5","type":"ResetTool"},{"attributes":{"formatter":{"id":"8dee7cd5-ccb8-4154-8525-8a4c57cf81cd","type":"BasicTickFormatter"},"plot":{"id":"2c473be2-92eb-487d-93d6-d3bf7718caa0","subtype":"Figure","type":"Plot"},"ticker":{"id":"d9bef5b0-b05f-486e-addc-3ea047e96da6","type":"BasicTicker"}},"id":"a8323c2f-cc0e-4570-89c5-bb51ccf35a97","type":"LinearAxis"},{"attributes":{"children":[{"id":"e065ed23-1ff1-454d-822a-a56da1775c47","type":"Row"},{"id":"f87009e0-b300-4255-a49c-d002483ba1fa","type":"Row"}]},"id":"b3f5ae50-263d-43fe-b34a-aae97d4dc04e","type":"Column"},{"attributes":{},"id":"6f26d35f-2457-4681-9267-867a15e9db9f","type":"LinearScale"},{"attributes":{},"id":"487020b6-a15e-495d-95a2-959d14cb490f","type":"PanTool"},{"attributes":{"below":[{"id":"a8384e81-69d3-4239-ae4a-e0ff45d14b33","type":"LinearAxis"}],"left":[{"id":"cb52952a-4e8c-4f9e-b353-3f2440e75eea","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"a8384e81-69d3-4239-ae4a-e0ff45d14b33","type":"LinearAxis"},{"id":"74039dcf-d67d-4334-a22c-ccdc749847e5","type":"Grid"},{"id":"cb52952a-4e8c-4f9e-b353-3f2440e75eea","type":"LinearAxis"},{"id":"df0f4071-0be7-408c-aaf3-27ebb39228c0","type":"Grid"},{"id":"c30e6e70-a957-4ebf-9857-d9771805ed17","type":"BoxAnnotation"},{"id":"1edd6ab5-9812-4bf4-9127-97ed7b21c3d3","type":"GlyphRenderer"}],"title":{"id":"386819fb-83f3-45a4-ad5f-28c0b35e97fc","type":"Title"},"toolbar":{"id":"f151cc4e-b53d-4f40-a175-895c006327a3","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"90634693-599d-458d-bf4a-daeeb2b476de","type":"DataRange1d"},"x_scale":{"id":"801a4a65-2331-4049-b545-ad8e4e68094a","type":"LinearScale"},"y_range":{"id":"6ff5cb57-c77a-4a3a-a163-d8c4ce6db0c2","type":"DataRange1d"},"y_scale":{"id":"a524642e-cb4b-4a5b-be5a-5c1b9bf728f9","type":"LinearScale"}},"id":"c2b8477c-b9b5-48de-9b70-b194c0f4db00","subtype":"Figure","type":"Plot"},{"attributes":{"children":[{"id":"2c473be2-92eb-487d-93d6-d3bf7718caa0","subtype":"Figure","type":"Plot"},{"id":"7285c56d-f771-45f6-9ea4-35c966429f8e","subtype":"Figure","type":"Plot"}]},"id":"e065ed23-1ff1-454d-822a-a56da1775c47","type":"Row"},{"attributes":{},"id":"6373a1ea-a0e1-429a-81dd-295123bf72db","type":"PanTool"},{"attributes":{"callback":null},"id":"90634693-599d-458d-bf4a-daeeb2b476de","type":"DataRange1d"},{"attributes":{"overlay":{"id":"6199ed94-7e19-4f93-8415-3a0059048fb4","type":"BoxAnnotation"}},"id":"04629279-d6dc-40df-b31a-0f7e4373a5f2","type":"BoxZoomTool"},{"attributes":{},"id":"7df24be1-8cc4-4a83-aff0-2b12248555db","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"4ffcb03f-a846-4616-83d8-660b283b731a","type":"Square"},{"attributes":{"dimension":1,"plot":{"id":"7285c56d-f771-45f6-9ea4-35c966429f8e","subtype":"Figure","type":"Plot"},"ticker":{"id":"36ed4c45-fab5-4e2d-8643-40a40b71f0dd","type":"BasicTicker"}},"id":"6e14816e-0f9c-4ce8-9de2-3bcb8ad4e7b0","type":"Grid"},{"attributes":{"plot":{"id":"2c473be2-92eb-487d-93d6-d3bf7718caa0","subtype":"Figure","type":"Plot"},"ticker":{"id":"2905bb03-5476-4b87-8d67-96fb5beb295d","type":"BasicTicker"}},"id":"098ec74b-35ed-4c45-a572-3d56bdabec6f","type":"Grid"},{"attributes":{},"id":"38fdc7a1-d4d4-42cc-8eed-17a253030de5","type":"BasicTickFormatter"},{"attributes":{},"id":"492482d7-e46b-4cc1-a2a1-3cbd35013c8f","type":"HelpTool"},{"attributes":{"formatter":{"id":"eca143eb-35f7-43b3-9967-b3c40f58db5c","type":"BasicTickFormatter"},"plot":{"id":"c2b8477c-b9b5-48de-9b70-b194c0f4db00","subtype":"Figure","type":"Plot"},"ticker":{"id":"7df24be1-8cc4-4a83-aff0-2b12248555db","type":"BasicTicker"}},"id":"a8384e81-69d3-4239-ae4a-e0ff45d14b33","type":"LinearAxis"},{"attributes":{},"id":"801a4a65-2331-4049-b545-ad8e4e68094a","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[0,1,2,3,4,5,6,7,8,9,10]}},"id":"57546370-3ab8-4b04-b3ad-3e29c1982d64","type":"ColumnDataSource"},{"attributes":{},"id":"cb96597f-a1d1-4e12-96d2-2ab7e0e084bf","type":"ResetTool"},{"attributes":{"overlay":{"id":"c30e6e70-a957-4ebf-9857-d9771805ed17","type":"BoxAnnotation"}},"id":"d3fa0223-18b8-4533-b71d-9c82a7904d9d","type":"BoxZoomTool"},{"attributes":{"source":{"id":"27ba0f50-6ef3-409e-8bb9-460d9304fabe","type":"ColumnDataSource"}},"id":"83a897af-26be-43f1-8856-f3f6689d61f2","type":"CDSView"},{"attributes":{},"id":"8dee7cd5-ccb8-4154-8525-8a4c57cf81cd","type":"BasicTickFormatter"},{"attributes":{},"id":"09b8f12b-1c54-4834-96e7-17d55edd22e4","type":"SaveTool"},{"attributes":{},"id":"0d5c16cb-ea96-49bb-a1c5-0bf022b33fb3","type":"SaveTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"6373a1ea-a0e1-429a-81dd-295123bf72db","type":"PanTool"},{"id":"a0eb2e1f-273c-4495-a7cc-381757ab73a6","type":"WheelZoomTool"},{"id":"d3fa0223-18b8-4533-b71d-9c82a7904d9d","type":"BoxZoomTool"},{"id":"0d5c16cb-ea96-49bb-a1c5-0bf022b33fb3","type":"SaveTool"},{"id":"e1241cfd-ba75-4b75-a009-ebfb067eb7d5","type":"ResetTool"},{"id":"a6721c2a-2557-4e67-a024-3fe82e8dd3dc","type":"HelpTool"}]},"id":"f151cc4e-b53d-4f40-a175-895c006327a3","type":"Toolbar"},{"attributes":{},"id":"36ed4c45-fab5-4e2d-8643-40a40b71f0dd","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[5,4,3,2,1,0,1,2,3,4,5]}},"id":"27ba0f50-6ef3-409e-8bb9-460d9304fabe","type":"ColumnDataSource"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"e0dd68cb-3d2e-478e-80e5-b599df10c510","type":"BoxAnnotation"},{"attributes":{},"id":"e7311697-470c-4cdc-8cf3-5c1f2b7306a3","type":"BasicTickFormatter"},{"attributes":{},"id":"529f81a5-4385-4820-8fe0-c0a081d5076b","type":"HelpTool"},{"attributes":{"fill_color":{"value":"#440154"},"line_color":{"value":"#440154"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"093115af-c8a4-4162-9d30-1361fed2a3bd","type":"Circle"},{"attributes":{"formatter":{"id":"38fdc7a1-d4d4-42cc-8eed-17a253030de5","type":"BasicTickFormatter"},"plot":{"id":"7285c56d-f771-45f6-9ea4-35c966429f8e","subtype":"Figure","type":"Plot"},"ticker":{"id":"483648c8-29e8-4650-b42e-374c8890fd34","type":"BasicTicker"}},"id":"f982cc18-1eb2-4070-8253-523d8cf88988","type":"LinearAxis"},{"attributes":{},"id":"483648c8-29e8-4650-b42e-374c8890fd34","type":"BasicTicker"},{"attributes":{},"id":"8dc8d347-e374-4fc2-9532-9b7dd794537c","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":"#FDE724"},"line_color":{"value":"#FDE724"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"78494c73-14a3-4a96-989f-8e5bf0fa96f2","type":"Square"},{"attributes":{"data_source":{"id":"27ba0f50-6ef3-409e-8bb9-460d9304fabe","type":"ColumnDataSource"},"glyph":{"id":"78494c73-14a3-4a96-989f-8e5bf0fa96f2","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"4ffcb03f-a846-4616-83d8-660b283b731a","type":"Square"},"selection_glyph":null,"view":{"id":"83a897af-26be-43f1-8856-f3f6689d61f2","type":"CDSView"}},"id":"1edd6ab5-9812-4bf4-9127-97ed7b21c3d3","type":"GlyphRenderer"},{"attributes":{},"id":"21ed1204-fbfc-4cfc-9ba7-3cf006fd1964","type":"LinearScale"},{"attributes":{"plot":{"id":"7285c56d-f771-45f6-9ea4-35c966429f8e","subtype":"Figure","type":"Plot"},"ticker":{"id":"483648c8-29e8-4650-b42e-374c8890fd34","type":"BasicTicker"}},"id":"375c7dc9-8069-47f3-a2f2-6338ec116dac","type":"Grid"},{"attributes":{},"id":"a6721c2a-2557-4e67-a024-3fe82e8dd3dc","type":"HelpTool"},{"attributes":{"plot":null,"text":""},"id":"c48be84a-428c-40af-a18b-349bb0690b9a","type":"Title"},{"attributes":{"formatter":{"id":"8dc8d347-e374-4fc2-9532-9b7dd794537c","type":"BasicTickFormatter"},"plot":{"id":"c2b8477c-b9b5-48de-9b70-b194c0f4db00","subtype":"Figure","type":"Plot"},"ticker":{"id":"e6d5a080-d4dc-4cf0-a24f-d8c9e109708a","type":"BasicTicker"}},"id":"cb52952a-4e8c-4f9e-b353-3f2440e75eea","type":"LinearAxis"},{"attributes":{},"id":"18b4a34c-ec0a-40d9-8928-a2e88aedfa74","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"76bc00c0-8034-4a34-bbe2-fc2de384bf72","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"2c473be2-92eb-487d-93d6-d3bf7718caa0","subtype":"Figure","type":"Plot"},"ticker":{"id":"d9bef5b0-b05f-486e-addc-3ea047e96da6","type":"BasicTicker"}},"id":"dd23af43-6931-458b-bdc3-e81441fc6e0d","type":"Grid"},{"attributes":{"plot":null,"text":""},"id":"20ecc066-a320-4b50-8202-ada3d5b7e4c9","type":"Title"},{"attributes":{},"id":"1385b010-7ace-44ca-9523-72bd073d575e","type":"SaveTool"},{"attributes":{},"id":"7f776d6f-3a9e-47c6-a899-9bbd38598614","type":"PanTool"},{"attributes":{"below":[{"id":"3af7d12a-ffa1-4c67-9eaa-dbedb882a207","type":"LinearAxis"}],"left":[{"id":"a8323c2f-cc0e-4570-89c5-bb51ccf35a97","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"3af7d12a-ffa1-4c67-9eaa-dbedb882a207","type":"LinearAxis"},{"id":"098ec74b-35ed-4c45-a572-3d56bdabec6f","type":"Grid"},{"id":"a8323c2f-cc0e-4570-89c5-bb51ccf35a97","type":"LinearAxis"},{"id":"dd23af43-6931-458b-bdc3-e81441fc6e0d","type":"Grid"},{"id":"e0dd68cb-3d2e-478e-80e5-b599df10c510","type":"BoxAnnotation"},{"id":"d45d4596-cff5-43b2-96d4-1049af020593","type":"GlyphRenderer"}],"title":{"id":"20ecc066-a320-4b50-8202-ada3d5b7e4c9","type":"Title"},"toolbar":{"id":"c355e4eb-7e36-41f5-8546-4db090c57ef3","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"5c44c30c-af4f-4123-a7d8-90fa0adc7e77","type":"DataRange1d"},"x_scale":{"id":"5c8e5f60-0ab2-4658-8660-1287ac9b5860","type":"LinearScale"},"y_range":{"id":"7fafddf5-0681-413d-9cef-52069156bb24","type":"DataRange1d"},"y_scale":{"id":"2f3ad7a7-d610-42f0-bd31-852a2e98731c","type":"LinearScale"}},"id":"2c473be2-92eb-487d-93d6-d3bf7718caa0","subtype":"Figure","type":"Plot"},{"attributes":{"children":[{"id":"c2b8477c-b9b5-48de-9b70-b194c0f4db00","subtype":"Figure","type":"Plot"}]},"id":"f87009e0-b300-4255-a49c-d002483ba1fa","type":"Row"},{"attributes":{"formatter":{"id":"18b4a34c-ec0a-40d9-8928-a2e88aedfa74","type":"BasicTickFormatter"},"plot":{"id":"7285c56d-f771-45f6-9ea4-35c966429f8e","subtype":"Figure","type":"Plot"},"ticker":{"id":"36ed4c45-fab5-4e2d-8643-40a40b71f0dd","type":"BasicTicker"}},"id":"0914f72e-8ddb-4910-af0f-1e5ee3630411","type":"LinearAxis"},{"attributes":{"sizing_mode":"scale_width","toolbar_location":"above","tools":[{"id":"487020b6-a15e-495d-95a2-959d14cb490f","type":"PanTool"},{"id":"e9756dca-fa61-4364-be09-c9ea6c07dcfb","type":"WheelZoomTool"},{"id":"1397a2b4-f1c0-4f7f-9bf4-6678d10e2329","type":"BoxZoomTool"},{"id":"09b8f12b-1c54-4834-96e7-17d55edd22e4","type":"SaveTool"},{"id":"12510be8-dec0-4166-b277-ae1eb182afc9","type":"ResetTool"},{"id":"529f81a5-4385-4820-8fe0-c0a081d5076b","type":"HelpTool"},{"id":"7f776d6f-3a9e-47c6-a899-9bbd38598614","type":"PanTool"},{"id":"d9c0cd5a-8a4e-481b-8ad1-a67994e1c139","type":"WheelZoomTool"},{"id":"04629279-d6dc-40df-b31a-0f7e4373a5f2","type":"BoxZoomTool"},{"id":"1385b010-7ace-44ca-9523-72bd073d575e","type":"SaveTool"},{"id":"cb96597f-a1d1-4e12-96d2-2ab7e0e084bf","type":"ResetTool"},{"id":"492482d7-e46b-4cc1-a2a1-3cbd35013c8f","type":"HelpTool"},{"id":"6373a1ea-a0e1-429a-81dd-295123bf72db","type":"PanTool"},{"id":"a0eb2e1f-273c-4495-a7cc-381757ab73a6","type":"WheelZoomTool"},{"id":"d3fa0223-18b8-4533-b71d-9c82a7904d9d","type":"BoxZoomTool"},{"id":"0d5c16cb-ea96-49bb-a1c5-0bf022b33fb3","type":"SaveTool"},{"id":"e1241cfd-ba75-4b75-a009-ebfb067eb7d5","type":"ResetTool"},{"id":"a6721c2a-2557-4e67-a024-3fe82e8dd3dc","type":"HelpTool"}]},"id":"8e7c30a1-53cc-4ee5-8fa1-1860e9e3c654","type":"ToolbarBox"},{"attributes":{"dimension":1,"plot":{"id":"c2b8477c-b9b5-48de-9b70-b194c0f4db00","subtype":"Figure","type":"Plot"},"ticker":{"id":"e6d5a080-d4dc-4cf0-a24f-d8c9e109708a","type":"BasicTicker"}},"id":"df0f4071-0be7-408c-aaf3-27ebb39228c0","type":"Grid"},{"attributes":{"formatter":{"id":"e7311697-470c-4cdc-8cf3-5c1f2b7306a3","type":"BasicTickFormatter"},"plot":{"id":"2c473be2-92eb-487d-93d6-d3bf7718caa0","subtype":"Figure","type":"Plot"},"ticker":{"id":"2905bb03-5476-4b87-8d67-96fb5beb295d","type":"BasicTicker"}},"id":"3af7d12a-ffa1-4c67-9eaa-dbedb882a207","type":"LinearAxis"},{"attributes":{"plot":null,"text":""},"id":"386819fb-83f3-45a4-ad5f-28c0b35e97fc","type":"Title"},{"attributes":{"callback":null},"id":"5c44c30c-af4f-4123-a7d8-90fa0adc7e77","type":"DataRange1d"},{"attributes":{"overlay":{"id":"e0dd68cb-3d2e-478e-80e5-b599df10c510","type":"BoxAnnotation"}},"id":"1397a2b4-f1c0-4f7f-9bf4-6678d10e2329","type":"BoxZoomTool"},{"attributes":{"data_source":{"id":"57546370-3ab8-4b04-b3ad-3e29c1982d64","type":"ColumnDataSource"},"glyph":{"id":"093115af-c8a4-4162-9d30-1361fed2a3bd","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a973f109-3f42-4969-96b0-da206c8e32c8","type":"Circle"},"selection_glyph":null,"view":{"id":"eb2cd1fc-c420-4832-b53d-4ff97e00f004","type":"CDSView"}},"id":"d45d4596-cff5-43b2-96d4-1049af020593","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[10,9,8,7,6,5,4,3,2,1,0]}},"id":"ab019a62-841b-4282-a3b5-6df409e05af0","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"2f25d2e1-a6a6-42b7-aeb7-d7aeaa7c1932","type":"Triangle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"7f776d6f-3a9e-47c6-a899-9bbd38598614","type":"PanTool"},{"id":"d9c0cd5a-8a4e-481b-8ad1-a67994e1c139","type":"WheelZoomTool"},{"id":"04629279-d6dc-40df-b31a-0f7e4373a5f2","type":"BoxZoomTool"},{"id":"1385b010-7ace-44ca-9523-72bd073d575e","type":"SaveTool"},{"id":"cb96597f-a1d1-4e12-96d2-2ab7e0e084bf","type":"ResetTool"},{"id":"492482d7-e46b-4cc1-a2a1-3cbd35013c8f","type":"HelpTool"}]},"id":"974b8ca9-f8e4-4aa5-aae8-67ad5814388a","type":"Toolbar"},{"attributes":{},"id":"12510be8-dec0-4166-b277-ae1eb182afc9","type":"ResetTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"6199ed94-7e19-4f93-8415-3a0059048fb4","type":"BoxAnnotation"},{"attributes":{"source":{"id":"57546370-3ab8-4b04-b3ad-3e29c1982d64","type":"ColumnDataSource"}},"id":"eb2cd1fc-c420-4832-b53d-4ff97e00f004","type":"CDSView"}],"root_ids":["839fe078-6c8a-4eec-969c-7ba24e8964b9"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"1309c09b-d1eb-46a4-9e3b-3c9b9c51a876","elementid":"4358aaad-8713-4914-ab9a-1376bdd36b0a","modelid":"839fe078-6c8a-4eec-969c-7ba24e8964b9"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
