(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("9ef793e0-8625-44f6-80d8-18f3c3a2f327");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '9ef793e0-8625-44f6-80d8-18f3c3a2f327' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a12a04f1-c59e-4789-9e8c-3a39da295d7a":{"roots":{"references":[{"attributes":{"below":[{"id":"b1546471-9e9f-43d1-b518-b12387e58b79","type":"LinearAxis"}],"left":[{"id":"50d3b4d5-f8e4-49e9-be17-f87e93322a72","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"b1546471-9e9f-43d1-b518-b12387e58b79","type":"LinearAxis"},{"id":"b9a8f605-3397-4220-acad-6864ab6d04b5","type":"Grid"},{"id":"50d3b4d5-f8e4-49e9-be17-f87e93322a72","type":"LinearAxis"},{"id":"62b50eaf-597f-41dc-b0e0-7c2faa25a8df","type":"Grid"},{"id":"5f81e07f-26c4-4c68-b32b-456180f7c341","type":"BoxAnnotation"},{"id":"d0118ef1-0b2f-41fa-99ec-43ccd5685cf6","type":"GlyphRenderer"}],"title":{"id":"cd3c6ed6-2142-4a3b-8b53-ac4e4f070a6d","type":"Title"},"toolbar":{"id":"b538e6f1-a714-41ed-a270-32017327f155","type":"Toolbar"},"x_range":{"id":"1a8d977a-c28f-46bd-bd13-ad318625a260","type":"DataRange1d"},"x_scale":{"id":"9bb5d96d-6c64-4bc1-b8f2-bd86a20600d4","type":"LinearScale"},"y_range":{"id":"f0124b00-de1b-4b59-94c8-e7d74582cda9","type":"DataRange1d"},"y_scale":{"id":"abee9dff-aefe-4f52-abf6-3477bf2fe97a","type":"LinearScale"}},"id":"fa97040f-23a2-401e-82d6-a2ed37f139f9","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"f520e860-edc1-4a08-9900-ad47887eae5b","type":"HelpTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,"NaN",4,5,6],"y":[6,7,5,"NaN",7,3,6]}},"id":"5c3ab3a0-6e91-485f-ab93-4969e6698287","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"bc89a27c-1f2e-499e-8c9d-3da8a36f3916","type":"BasicTickFormatter"},"plot":{"id":"fa97040f-23a2-401e-82d6-a2ed37f139f9","subtype":"Figure","type":"Plot"},"ticker":{"id":"df6d4d6d-4841-444c-9491-064684f17a55","type":"BasicTicker"}},"id":"50d3b4d5-f8e4-49e9-be17-f87e93322a72","type":"LinearAxis"},{"attributes":{},"id":"87fc2204-1e4b-495d-8493-7e47df228cbd","type":"SaveTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"71d60a0d-1568-4415-8402-77f8ff0054d5","type":"PanTool"},{"id":"b640c3e0-611b-4f7d-b6ee-e77548ead142","type":"WheelZoomTool"},{"id":"d9554988-a268-4801-901f-5f83c1fcbe90","type":"BoxZoomTool"},{"id":"87fc2204-1e4b-495d-8493-7e47df228cbd","type":"SaveTool"},{"id":"0cbd57c9-eee7-4efa-8645-d32bf6a0b8f3","type":"ResetTool"},{"id":"f520e860-edc1-4a08-9900-ad47887eae5b","type":"HelpTool"}]},"id":"b538e6f1-a714-41ed-a270-32017327f155","type":"Toolbar"},{"attributes":{"overlay":{"id":"5f81e07f-26c4-4c68-b32b-456180f7c341","type":"BoxAnnotation"}},"id":"d9554988-a268-4801-901f-5f83c1fcbe90","type":"BoxZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"5f81e07f-26c4-4c68-b32b-456180f7c341","type":"BoxAnnotation"},{"attributes":{"plot":null,"text":""},"id":"cd3c6ed6-2142-4a3b-8b53-ac4e4f070a6d","type":"Title"},{"attributes":{},"id":"0cbd57c9-eee7-4efa-8645-d32bf6a0b8f3","type":"ResetTool"},{"attributes":{"data_source":{"id":"5c3ab3a0-6e91-485f-ab93-4969e6698287","type":"ColumnDataSource"},"glyph":{"id":"3821bad0-093d-4fff-a780-3620812f22e5","type":"Patch"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"4183a296-840b-4e69-ab30-0d8f62d2638d","type":"Patch"},"selection_glyph":null,"view":{"id":"c4c472f9-a168-4035-bb74-88f7cfc948aa","type":"CDSView"}},"id":"d0118ef1-0b2f-41fa-99ec-43ccd5685cf6","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"4183a296-840b-4e69-ab30-0d8f62d2638d","type":"Patch"},{"attributes":{},"id":"71d60a0d-1568-4415-8402-77f8ff0054d5","type":"PanTool"},{"attributes":{"formatter":{"id":"ea59ae2d-4746-4050-a1aa-6ced69e8cd92","type":"BasicTickFormatter"},"plot":{"id":"fa97040f-23a2-401e-82d6-a2ed37f139f9","subtype":"Figure","type":"Plot"},"ticker":{"id":"79e0c22e-199e-46f5-a2ac-e9d231039a03","type":"BasicTicker"}},"id":"b1546471-9e9f-43d1-b518-b12387e58b79","type":"LinearAxis"},{"attributes":{},"id":"abee9dff-aefe-4f52-abf6-3477bf2fe97a","type":"LinearScale"},{"attributes":{},"id":"bc89a27c-1f2e-499e-8c9d-3da8a36f3916","type":"BasicTickFormatter"},{"attributes":{},"id":"b640c3e0-611b-4f7d-b6ee-e77548ead142","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"fa97040f-23a2-401e-82d6-a2ed37f139f9","subtype":"Figure","type":"Plot"},"ticker":{"id":"79e0c22e-199e-46f5-a2ac-e9d231039a03","type":"BasicTicker"}},"id":"b9a8f605-3397-4220-acad-6864ab6d04b5","type":"Grid"},{"attributes":{"source":{"id":"5c3ab3a0-6e91-485f-ab93-4969e6698287","type":"ColumnDataSource"}},"id":"c4c472f9-a168-4035-bb74-88f7cfc948aa","type":"CDSView"},{"attributes":{"callback":null},"id":"f0124b00-de1b-4b59-94c8-e7d74582cda9","type":"DataRange1d"},{"attributes":{"callback":null},"id":"1a8d977a-c28f-46bd-bd13-ad318625a260","type":"DataRange1d"},{"attributes":{},"id":"79e0c22e-199e-46f5-a2ac-e9d231039a03","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"fa97040f-23a2-401e-82d6-a2ed37f139f9","subtype":"Figure","type":"Plot"},"ticker":{"id":"df6d4d6d-4841-444c-9491-064684f17a55","type":"BasicTicker"}},"id":"62b50eaf-597f-41dc-b0e0-7c2faa25a8df","type":"Grid"},{"attributes":{},"id":"df6d4d6d-4841-444c-9491-064684f17a55","type":"BasicTicker"},{"attributes":{},"id":"ea59ae2d-4746-4050-a1aa-6ced69e8cd92","type":"BasicTickFormatter"},{"attributes":{},"id":"9bb5d96d-6c64-4bc1-b8f2-bd86a20600d4","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.5},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"3821bad0-093d-4fff-a780-3620812f22e5","type":"Patch"}],"root_ids":["fa97040f-23a2-401e-82d6-a2ed37f139f9"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a12a04f1-c59e-4789-9e8c-3a39da295d7a","elementid":"9ef793e0-8625-44f6-80d8-18f3c3a2f327","modelid":"fa97040f-23a2-401e-82d6-a2ed37f139f9"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
