(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("3dba8233-3f9c-41b9-942a-9c56e2b8395e");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '3dba8233-3f9c-41b9-942a-9c56e2b8395e' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"6a36e994-9086-4b03-982c-fafbeba130c2":{"roots":{"references":[{"attributes":{"callback":null},"id":"90e9e097-0928-4de8-bfcc-d49519976dbc","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"eedc8d75-9c4a-4176-97ed-571f4c74307e","type":"PanTool"},{"id":"6318a619-4589-439d-98f4-08dc2f126c15","type":"WheelZoomTool"},{"id":"9c935b44-b783-4ed3-a0b8-27624c68f0ef","type":"BoxZoomTool"},{"id":"ee6b381a-0973-4711-b33d-36bd9efea91e","type":"SaveTool"},{"id":"ac6c0d34-5f6c-4940-b536-ac0d81569d49","type":"ResetTool"},{"id":"78597e95-99aa-4c5c-8697-f9801c2cea17","type":"HelpTool"}]},"id":"d2699e92-410f-4a6a-8f70-2b01f6201a94","type":"Toolbar"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"data","value":0.3},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"field":"width","units":"data"},"x":{"field":"x"},"y":{"field":"y"}},"id":"95801a4f-8ea5-4192-b76a-a2640a5099fd","type":"Ellipse"},{"attributes":{"data_source":{"id":"abeec37b-0275-426c-b123-c28c55adfcaa","type":"ColumnDataSource"},"glyph":{"id":"a3bbffcb-84b4-4020-8bb1-deaf8bfb3824","type":"Ellipse"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"95801a4f-8ea5-4192-b76a-a2640a5099fd","type":"Ellipse"},"selection_glyph":null,"view":{"id":"7ff37e49-ba80-4518-868b-1e45a5f446f8","type":"CDSView"}},"id":"a8a792f7-437e-4e70-bb0e-8e1be25d6620","type":"GlyphRenderer"},{"attributes":{},"id":"247315c0-4764-4197-98d5-84084467561e","type":"LinearScale"},{"attributes":{},"id":"ac6c0d34-5f6c-4940-b536-ac0d81569d49","type":"ResetTool"},{"attributes":{"overlay":{"id":"f1ae988f-36cd-4ad6-884f-1ba6995905d1","type":"BoxAnnotation"}},"id":"9c935b44-b783-4ed3-a0b8-27624c68f0ef","type":"BoxZoomTool"},{"attributes":{},"id":"084f276f-7d4d-4a3d-89a0-a78be24a0ace","type":"LinearScale"},{"attributes":{"below":[{"id":"ba97c95a-26a5-4e46-8a07-a3600b457ac3","type":"LinearAxis"}],"left":[{"id":"9f3645b1-6f16-4bf6-b2fe-1d25e61e82e7","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"ba97c95a-26a5-4e46-8a07-a3600b457ac3","type":"LinearAxis"},{"id":"b64a0555-208f-4962-a4ac-8225e7e23197","type":"Grid"},{"id":"9f3645b1-6f16-4bf6-b2fe-1d25e61e82e7","type":"LinearAxis"},{"id":"37562a82-9053-48b6-8195-725b4572180a","type":"Grid"},{"id":"f1ae988f-36cd-4ad6-884f-1ba6995905d1","type":"BoxAnnotation"},{"id":"a8a792f7-437e-4e70-bb0e-8e1be25d6620","type":"GlyphRenderer"}],"title":{"id":"d1c83280-e8f3-4d47-865d-08f62cfcd4f3","type":"Title"},"toolbar":{"id":"d2699e92-410f-4a6a-8f70-2b01f6201a94","type":"Toolbar"},"x_range":{"id":"9638ba44-81e3-4ff7-bbf3-84d8b4d708cb","type":"DataRange1d"},"x_scale":{"id":"084f276f-7d4d-4a3d-89a0-a78be24a0ace","type":"LinearScale"},"y_range":{"id":"90e9e097-0928-4de8-bfcc-d49519976dbc","type":"DataRange1d"},"y_scale":{"id":"247315c0-4764-4197-98d5-84084467561e","type":"LinearScale"}},"id":"f6bc4328-4bae-4e97-86bf-efb1f38b5597","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"78597e95-99aa-4c5c-8697-f9801c2cea17","type":"HelpTool"},{"attributes":{},"id":"f20bd9ba-4183-4124-9e19-9aa18a22365c","type":"BasicTickFormatter"},{"attributes":{},"id":"6318a619-4589-439d-98f4-08dc2f126c15","type":"WheelZoomTool"},{"attributes":{"plot":null,"text":""},"id":"d1c83280-e8f3-4d47-865d-08f62cfcd4f3","type":"Title"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_color":{"value":"#CAB2D6"},"height":{"units":"data","value":0.3},"line_color":{"value":"#CAB2D6"},"width":{"field":"width","units":"data"},"x":{"field":"x"},"y":{"field":"y"}},"id":"a3bbffcb-84b4-4020-8bb1-deaf8bfb3824","type":"Ellipse"},{"attributes":{"dimension":1,"plot":{"id":"f6bc4328-4bae-4e97-86bf-efb1f38b5597","subtype":"Figure","type":"Plot"},"ticker":{"id":"40dd7fd6-754b-484f-97b0-f00af5f1237e","type":"BasicTicker"}},"id":"37562a82-9053-48b6-8195-725b4572180a","type":"Grid"},{"attributes":{"source":{"id":"abeec37b-0275-426c-b123-c28c55adfcaa","type":"ColumnDataSource"}},"id":"7ff37e49-ba80-4518-868b-1e45a5f446f8","type":"CDSView"},{"attributes":{"plot":{"id":"f6bc4328-4bae-4e97-86bf-efb1f38b5597","subtype":"Figure","type":"Plot"},"ticker":{"id":"f3429807-b3dc-4b86-a744-1faf8ef27b0a","type":"BasicTicker"}},"id":"b64a0555-208f-4962-a4ac-8225e7e23197","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"f1ae988f-36cd-4ad6-884f-1ba6995905d1","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"f20bd9ba-4183-4124-9e19-9aa18a22365c","type":"BasicTickFormatter"},"plot":{"id":"f6bc4328-4bae-4e97-86bf-efb1f38b5597","subtype":"Figure","type":"Plot"},"ticker":{"id":"f3429807-b3dc-4b86-a744-1faf8ef27b0a","type":"BasicTicker"}},"id":"ba97c95a-26a5-4e46-8a07-a3600b457ac3","type":"LinearAxis"},{"attributes":{},"id":"40dd7fd6-754b-484f-97b0-f00af5f1237e","type":"BasicTicker"},{"attributes":{},"id":"f3429807-b3dc-4b86-a744-1faf8ef27b0a","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["width","y","x"],"data":{"width":[0.2,0.3,0.1],"x":[1,2,3],"y":[1,2,3]}},"id":"abeec37b-0275-426c-b123-c28c55adfcaa","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"9638ba44-81e3-4ff7-bbf3-84d8b4d708cb","type":"DataRange1d"},{"attributes":{},"id":"de2f172d-8507-434f-96a1-28f4d36ba284","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"de2f172d-8507-434f-96a1-28f4d36ba284","type":"BasicTickFormatter"},"plot":{"id":"f6bc4328-4bae-4e97-86bf-efb1f38b5597","subtype":"Figure","type":"Plot"},"ticker":{"id":"40dd7fd6-754b-484f-97b0-f00af5f1237e","type":"BasicTicker"}},"id":"9f3645b1-6f16-4bf6-b2fe-1d25e61e82e7","type":"LinearAxis"},{"attributes":{},"id":"ee6b381a-0973-4711-b33d-36bd9efea91e","type":"SaveTool"},{"attributes":{},"id":"eedc8d75-9c4a-4176-97ed-571f4c74307e","type":"PanTool"}],"root_ids":["f6bc4328-4bae-4e97-86bf-efb1f38b5597"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"6a36e994-9086-4b03-982c-fafbeba130c2","elementid":"3dba8233-3f9c-41b9-942a-9c56e2b8395e","modelid":"f6bc4328-4bae-4e97-86bf-efb1f38b5597"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
