(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("f5e7a21f-720a-4665-87d0-44abd66af2f5");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'f5e7a21f-720a-4665-87d0-44abd66af2f5' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"f6b10bbe-92c7-4fcc-8795-9d2223b7562b":{"roots":{"references":[{"attributes":{"below":[{"id":"cccdea47-63af-4b46-9cd4-c7eecc2dd330","type":"LinearAxis"}],"left":[{"id":"a7154aec-f4d7-4529-8778-5bc221b962d3","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"cccdea47-63af-4b46-9cd4-c7eecc2dd330","type":"LinearAxis"},{"id":"a0e3894a-2b5e-493e-8659-9e6beb5175e7","type":"Grid"},{"id":"a7154aec-f4d7-4529-8778-5bc221b962d3","type":"LinearAxis"},{"id":"450838b9-1180-4d77-bb47-ad641dcd9582","type":"Grid"},{"id":"cc20c1ee-7b6d-4b58-a8d3-9fed1a08b94a","type":"BoxAnnotation"},{"id":"d2ad0d49-76b6-4889-85fa-29a34e347cb1","type":"GlyphRenderer"}],"title":{"id":"947d377b-c4ca-4e64-a006-9f45bac2f724","type":"Title"},"toolbar":{"id":"b90ae8da-a705-4ea5-a506-017578e3b9c7","type":"Toolbar"},"x_range":{"id":"9e356c63-fc54-4e7f-af1e-f05b7c308578","type":"DataRange1d"},"x_scale":{"id":"572e6dfe-dbd4-430f-bb36-d66bca7677dc","type":"LinearScale"},"y_range":{"id":"62d03d2c-f165-488f-b040-1204f644873a","type":"DataRange1d"},"y_scale":{"id":"a39659a9-2163-495c-901c-99831a781e05","type":"LinearScale"}},"id":"cfaf1d90-c296-4a46-9d76-59fff89f73bc","subtype":"Figure","type":"Plot"},{"attributes":{"plot":null,"text":""},"id":"947d377b-c4ca-4e64-a006-9f45bac2f724","type":"Title"},{"attributes":{},"id":"4b54a183-9d79-4121-b4af-71af5052e774","type":"PanTool"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"8ee4709e-e06d-48ae-bb8e-7b73bc5e33a9","type":"Segment"},{"attributes":{"data_source":{"id":"4f3cc5d1-25fc-40ad-91ba-3784c215e3a7","type":"ColumnDataSource"},"glyph":{"id":"903e99b0-1751-4c2a-8e96-f35bad5dc72f","type":"Segment"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"8ee4709e-e06d-48ae-bb8e-7b73bc5e33a9","type":"Segment"},"selection_glyph":null,"view":{"id":"aec3f9c2-6a6b-4095-a6b8-f9ef2cd5374c","type":"CDSView"}},"id":"d2ad0d49-76b6-4889-85fa-29a34e347cb1","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"1ededc84-3e6f-4ac7-a6f8-ea85b79b0c2f","type":"BasicTickFormatter"},"plot":{"id":"cfaf1d90-c296-4a46-9d76-59fff89f73bc","subtype":"Figure","type":"Plot"},"ticker":{"id":"ee94a7eb-08e0-4bb0-855c-d51a1af37f30","type":"BasicTicker"}},"id":"a7154aec-f4d7-4529-8778-5bc221b962d3","type":"LinearAxis"},{"attributes":{},"id":"2182a391-5c8d-46e2-973a-35986f533c66","type":"HelpTool"},{"attributes":{"dimension":1,"plot":{"id":"cfaf1d90-c296-4a46-9d76-59fff89f73bc","subtype":"Figure","type":"Plot"},"ticker":{"id":"ee94a7eb-08e0-4bb0-855c-d51a1af37f30","type":"BasicTicker"}},"id":"450838b9-1180-4d77-bb47-ad641dcd9582","type":"Grid"},{"attributes":{},"id":"572e6dfe-dbd4-430f-bb36-d66bca7677dc","type":"LinearScale"},{"attributes":{},"id":"2d9df0ba-543a-413e-8fce-02b38e0dacf5","type":"ResetTool"},{"attributes":{"overlay":{"id":"cc20c1ee-7b6d-4b58-a8d3-9fed1a08b94a","type":"BoxAnnotation"}},"id":"c789ba6b-5c54-4553-8d47-4cc26ab53acd","type":"BoxZoomTool"},{"attributes":{},"id":"e5d2ddf4-c1ef-4892-ab84-382b17a51b65","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y1","y0","x0","x1"],"data":{"x0":[1,2,3],"x1":[1.2,2.4,3.1],"y0":[1,2,3],"y1":[1.2,2.5,3.7]}},"id":"4f3cc5d1-25fc-40ad-91ba-3784c215e3a7","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"62d03d2c-f165-488f-b040-1204f644873a","type":"DataRange1d"},{"attributes":{},"id":"910e3c02-1020-4783-ae5b-d862906ff9e7","type":"BasicTicker"},{"attributes":{},"id":"a39659a9-2163-495c-901c-99831a781e05","type":"LinearScale"},{"attributes":{"plot":{"id":"cfaf1d90-c296-4a46-9d76-59fff89f73bc","subtype":"Figure","type":"Plot"},"ticker":{"id":"910e3c02-1020-4783-ae5b-d862906ff9e7","type":"BasicTicker"}},"id":"a0e3894a-2b5e-493e-8659-9e6beb5175e7","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"cc20c1ee-7b6d-4b58-a8d3-9fed1a08b94a","type":"BoxAnnotation"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"4b54a183-9d79-4121-b4af-71af5052e774","type":"PanTool"},{"id":"1e7339cf-bbd8-497f-af6d-cd69f2027ed7","type":"WheelZoomTool"},{"id":"c789ba6b-5c54-4553-8d47-4cc26ab53acd","type":"BoxZoomTool"},{"id":"edd61819-fabd-44c3-9889-f9f683a5d1a1","type":"SaveTool"},{"id":"2d9df0ba-543a-413e-8fce-02b38e0dacf5","type":"ResetTool"},{"id":"2182a391-5c8d-46e2-973a-35986f533c66","type":"HelpTool"}]},"id":"b90ae8da-a705-4ea5-a506-017578e3b9c7","type":"Toolbar"},{"attributes":{},"id":"ee94a7eb-08e0-4bb0-855c-d51a1af37f30","type":"BasicTicker"},{"attributes":{},"id":"1ededc84-3e6f-4ac7-a6f8-ea85b79b0c2f","type":"BasicTickFormatter"},{"attributes":{"line_color":{"value":"#F4A582"},"line_width":{"value":3},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"903e99b0-1751-4c2a-8e96-f35bad5dc72f","type":"Segment"},{"attributes":{},"id":"edd61819-fabd-44c3-9889-f9f683a5d1a1","type":"SaveTool"},{"attributes":{},"id":"1e7339cf-bbd8-497f-af6d-cd69f2027ed7","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"e5d2ddf4-c1ef-4892-ab84-382b17a51b65","type":"BasicTickFormatter"},"plot":{"id":"cfaf1d90-c296-4a46-9d76-59fff89f73bc","subtype":"Figure","type":"Plot"},"ticker":{"id":"910e3c02-1020-4783-ae5b-d862906ff9e7","type":"BasicTicker"}},"id":"cccdea47-63af-4b46-9cd4-c7eecc2dd330","type":"LinearAxis"},{"attributes":{"source":{"id":"4f3cc5d1-25fc-40ad-91ba-3784c215e3a7","type":"ColumnDataSource"}},"id":"aec3f9c2-6a6b-4095-a6b8-f9ef2cd5374c","type":"CDSView"},{"attributes":{"callback":null},"id":"9e356c63-fc54-4e7f-af1e-f05b7c308578","type":"DataRange1d"}],"root_ids":["cfaf1d90-c296-4a46-9d76-59fff89f73bc"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"f6b10bbe-92c7-4fcc-8795-9d2223b7562b","elementid":"f5e7a21f-720a-4665-87d0-44abd66af2f5","modelid":"cfaf1d90-c296-4a46-9d76-59fff89f73bc"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
