(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("cc9a1be9-8eaa-442a-b41d-295e8aeac65f");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'cc9a1be9-8eaa-442a-b41d-295e8aeac65f' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e4ca1caa-aa36-42bd-a275-6c7be5a4dda6":{"roots":{"references":[{"attributes":{"plot":{"id":"248877a9-d51d-4622-9ebe-d6b2f69e5ee9","subtype":"Figure","type":"Plot"},"ticker":{"id":"ed80232f-d019-4be3-967c-f7f38524ed47","type":"BasicTicker"}},"id":"7ba06d0f-5d89-445d-b97e-86b41cbcb07f","type":"Grid"},{"attributes":{},"id":"7f94098b-c0a6-402e-9a9a-3748754c4618","type":"WheelZoomTool"},{"attributes":{},"id":"1182462b-33b4-4c06-b24c-26f27dadbc31","type":"PanTool"},{"attributes":{"below":[{"id":"92a921a2-457e-4225-acda-6dcba16fee85","type":"LinearAxis"}],"left":[{"id":"ce8e6630-3aeb-4ae3-afe1-237ec8beebd8","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"92a921a2-457e-4225-acda-6dcba16fee85","type":"LinearAxis"},{"id":"7ba06d0f-5d89-445d-b97e-86b41cbcb07f","type":"Grid"},{"id":"ce8e6630-3aeb-4ae3-afe1-237ec8beebd8","type":"LinearAxis"},{"id":"3d671612-0755-4b40-935e-f7ddaf4457fa","type":"Grid"},{"id":"86dde472-74e0-4576-bd4d-06a7960adedf","type":"BoxAnnotation"},{"id":"1b874eae-80ab-4337-9279-ef264ab1e1da","type":"GlyphRenderer"}],"title":{"id":"4e119004-de8d-4288-aec0-55412d52d383","type":"Title"},"toolbar":{"id":"51c2a2a1-ca4d-435a-aa71-b377fd207ebe","type":"Toolbar"},"x_range":{"id":"a1b9b687-57e3-4475-8697-5d08650bb738","type":"DataRange1d"},"x_scale":{"id":"5c50b30f-25cf-41ef-9702-05fa7e7bd9a7","type":"LinearScale"},"y_range":{"id":"a5af3206-0844-489c-aecb-bb00f6a987df","type":"DataRange1d"},"y_scale":{"id":"bc8c3e35-8880-47d0-9f3e-5aa7ffa73b4e","type":"LinearScale"}},"id":"248877a9-d51d-4622-9ebe-d6b2f69e5ee9","subtype":"Figure","type":"Plot"},{"attributes":{"angle":{"field":"angle","units":"deg"},"length":{"units":"data","value":45},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"ad4f922b-2e16-400d-b0d2-77c05d4bb8af","type":"Ray"},{"attributes":{"callback":null},"id":"a1b9b687-57e3-4475-8697-5d08650bb738","type":"DataRange1d"},{"attributes":{"overlay":{"id":"86dde472-74e0-4576-bd4d-06a7960adedf","type":"BoxAnnotation"}},"id":"80b60254-f6c3-47e4-9197-e6477b957c7f","type":"BoxZoomTool"},{"attributes":{},"id":"1e9a3880-ed78-4982-8779-a450c43e7980","type":"ResetTool"},{"attributes":{},"id":"ed80232f-d019-4be3-967c-f7f38524ed47","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["angle","y","x"],"data":{"angle":[30,45,60],"x":[1,2,3],"y":[1,2,3]}},"id":"8bfdaf02-b8f1-4049-b25f-82178141040d","type":"ColumnDataSource"},{"attributes":{"plot":null,"text":""},"id":"4e119004-de8d-4288-aec0-55412d52d383","type":"Title"},{"attributes":{"dimension":1,"plot":{"id":"248877a9-d51d-4622-9ebe-d6b2f69e5ee9","subtype":"Figure","type":"Plot"},"ticker":{"id":"a8f56180-44d6-4245-844d-26edc1943d22","type":"BasicTicker"}},"id":"3d671612-0755-4b40-935e-f7ddaf4457fa","type":"Grid"},{"attributes":{},"id":"7130efb1-6e02-4cc2-a6f7-e3e719ef20f9","type":"HelpTool"},{"attributes":{"formatter":{"id":"87473e87-122d-4987-9a08-8ba610235491","type":"BasicTickFormatter"},"plot":{"id":"248877a9-d51d-4622-9ebe-d6b2f69e5ee9","subtype":"Figure","type":"Plot"},"ticker":{"id":"a8f56180-44d6-4245-844d-26edc1943d22","type":"BasicTicker"}},"id":"ce8e6630-3aeb-4ae3-afe1-237ec8beebd8","type":"LinearAxis"},{"attributes":{},"id":"87473e87-122d-4987-9a08-8ba610235491","type":"BasicTickFormatter"},{"attributes":{},"id":"5c50b30f-25cf-41ef-9702-05fa7e7bd9a7","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"86dde472-74e0-4576-bd4d-06a7960adedf","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"381c1098-3245-458a-bf4b-f30060efd1e4","type":"BasicTickFormatter"},"plot":{"id":"248877a9-d51d-4622-9ebe-d6b2f69e5ee9","subtype":"Figure","type":"Plot"},"ticker":{"id":"ed80232f-d019-4be3-967c-f7f38524ed47","type":"BasicTicker"}},"id":"92a921a2-457e-4225-acda-6dcba16fee85","type":"LinearAxis"},{"attributes":{},"id":"381c1098-3245-458a-bf4b-f30060efd1e4","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"8bfdaf02-b8f1-4049-b25f-82178141040d","type":"ColumnDataSource"}},"id":"544f0a2f-8c9b-490c-95c2-e0e9786c21d3","type":"CDSView"},{"attributes":{"data_source":{"id":"8bfdaf02-b8f1-4049-b25f-82178141040d","type":"ColumnDataSource"},"glyph":{"id":"8cc0a81a-00a7-4b3e-b0b4-2a7b176ea997","type":"Ray"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ad4f922b-2e16-400d-b0d2-77c05d4bb8af","type":"Ray"},"selection_glyph":null,"view":{"id":"544f0a2f-8c9b-490c-95c2-e0e9786c21d3","type":"CDSView"}},"id":"1b874eae-80ab-4337-9279-ef264ab1e1da","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"1182462b-33b4-4c06-b24c-26f27dadbc31","type":"PanTool"},{"id":"7f94098b-c0a6-402e-9a9a-3748754c4618","type":"WheelZoomTool"},{"id":"80b60254-f6c3-47e4-9197-e6477b957c7f","type":"BoxZoomTool"},{"id":"538a054f-35ef-4eb2-b661-3c77127ff402","type":"SaveTool"},{"id":"1e9a3880-ed78-4982-8779-a450c43e7980","type":"ResetTool"},{"id":"7130efb1-6e02-4cc2-a6f7-e3e719ef20f9","type":"HelpTool"}]},"id":"51c2a2a1-ca4d-435a-aa71-b377fd207ebe","type":"Toolbar"},{"attributes":{"callback":null},"id":"a5af3206-0844-489c-aecb-bb00f6a987df","type":"DataRange1d"},{"attributes":{},"id":"bc8c3e35-8880-47d0-9f3e-5aa7ffa73b4e","type":"LinearScale"},{"attributes":{},"id":"538a054f-35ef-4eb2-b661-3c77127ff402","type":"SaveTool"},{"attributes":{"angle":{"field":"angle","units":"deg"},"length":{"units":"data","value":45},"line_color":{"value":"#FB8072"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"8cc0a81a-00a7-4b3e-b0b4-2a7b176ea997","type":"Ray"},{"attributes":{},"id":"a8f56180-44d6-4245-844d-26edc1943d22","type":"BasicTicker"}],"root_ids":["248877a9-d51d-4622-9ebe-d6b2f69e5ee9"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e4ca1caa-aa36-42bd-a275-6c7be5a4dda6","elementid":"cc9a1be9-8eaa-442a-b41d-295e8aeac65f","modelid":"248877a9-d51d-4622-9ebe-d6b2f69e5ee9"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
