(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2886b34d-c1af-4c30-abde-9beadffc8762");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2886b34d-c1af-4c30-abde-9beadffc8762' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"7f092293-4f35-4adb-9a1e-6ec826474ed6":{"roots":{"references":[{"attributes":{},"id":"73aa9137-57b5-4d5f-9480-a871743af48e","type":"BasicTickFormatter"},{"attributes":{},"id":"0da7ef51-6169-45ab-85fd-220d5d36030f","type":"WheelZoomTool"},{"attributes":{},"id":"4c293483-a525-474b-af50-dabcfc885884","type":"BasicTicker"},{"attributes":{"formatter":{"id":"73aa9137-57b5-4d5f-9480-a871743af48e","type":"BasicTickFormatter"},"plot":{"id":"ba8c0a30-5b87-41b4-befa-e7d36a0d502b","subtype":"Figure","type":"Plot"},"ticker":{"id":"4c293483-a525-474b-af50-dabcfc885884","type":"BasicTicker"}},"id":"01186534-535f-4952-b936-801bf49f553d","type":"LinearAxis"},{"attributes":{},"id":"df4f5773-cce5-4482-b55c-fe4392084c15","type":"PanTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"d9ad04f9-bc8b-47d7-af52-ed5c651a4ab1","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"df4f5773-cce5-4482-b55c-fe4392084c15","type":"PanTool"},{"id":"0da7ef51-6169-45ab-85fd-220d5d36030f","type":"WheelZoomTool"},{"id":"a23bf76e-f90a-4597-b25a-a6b1e00e9aee","type":"BoxZoomTool"},{"id":"273a8bc7-8ddb-41fb-9293-d4cf70dd6b8d","type":"SaveTool"},{"id":"44092ec8-b611-4c9d-9f79-e5d690ccd250","type":"ResetTool"},{"id":"5bb512ab-55f6-4bad-8c5c-1abdf7d4bf83","type":"HelpTool"}]},"id":"5b9fc4ab-2f80-48e8-8750-aafafeab331e","type":"Toolbar"},{"attributes":{"plot":{"id":"ba8c0a30-5b87-41b4-befa-e7d36a0d502b","subtype":"Figure","type":"Plot"},"ticker":{"id":"4c293483-a525-474b-af50-dabcfc885884","type":"BasicTicker"}},"id":"26177164-6ea9-4fd8-bcee-2d2c95e1451d","type":"Grid"},{"attributes":{"formatter":{"id":"dbb1324e-908a-490f-a531-254ad79cea55","type":"BasicTickFormatter"},"plot":{"id":"ba8c0a30-5b87-41b4-befa-e7d36a0d502b","subtype":"Figure","type":"Plot"},"ticker":{"id":"62d5026c-c1d2-4467-b761-8bcdd18bbdd6","type":"BasicTicker"}},"id":"e2f7dec2-77bc-4c8f-9fa0-3a15c33e0f61","type":"LinearAxis"},{"attributes":{},"id":"4926690a-8d0d-464e-8521-74edb227aa16","type":"LinearScale"},{"attributes":{},"id":"81b1564a-712b-4ef1-92cb-126c986275d6","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"e1cbc41f-a0e7-4559-80ab-dc6f439e9d7d","type":"BoxAnnotation"},{"attributes":{},"id":"273a8bc7-8ddb-41fb-9293-d4cf70dd6b8d","type":"SaveTool"},{"attributes":{},"id":"dbb1324e-908a-490f-a531-254ad79cea55","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"d9ad04f9-bc8b-47d7-af52-ed5c651a4ab1","type":"ColumnDataSource"}},"id":"838e5c5f-8c64-4d54-8455-46d6da449fad","type":"CDSView"},{"attributes":{"callback":null},"id":"49604421-fc7b-4de8-a1f8-eacd15a335b1","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"ba8c0a30-5b87-41b4-befa-e7d36a0d502b","subtype":"Figure","type":"Plot"},"ticker":{"id":"62d5026c-c1d2-4467-b761-8bcdd18bbdd6","type":"BasicTicker"}},"id":"fc05259b-ec60-47cb-aed4-998c4a2da6b6","type":"Grid"},{"attributes":{"data_source":{"id":"d9ad04f9-bc8b-47d7-af52-ed5c651a4ab1","type":"ColumnDataSource"},"glyph":{"id":"ad92fcfb-ee8e-4aa4-a9ce-5adec59d4892","type":"Wedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"fa0d5cb2-7852-4620-8963-34df2311ee76","type":"Wedge"},"selection_glyph":null,"view":{"id":"838e5c5f-8c64-4d54-8455-46d6da449fad","type":"CDSView"}},"id":"44a4fddf-59d1-480c-b050-e93a3dbf4eea","type":"GlyphRenderer"},{"attributes":{},"id":"62d5026c-c1d2-4467-b761-8bcdd18bbdd6","type":"BasicTicker"},{"attributes":{"overlay":{"id":"e1cbc41f-a0e7-4559-80ab-dc6f439e9d7d","type":"BoxAnnotation"}},"id":"a23bf76e-f90a-4597-b25a-a6b1e00e9aee","type":"BoxZoomTool"},{"attributes":{"direction":"clock","end_angle":{"units":"rad","value":4.8},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.2},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"fa0d5cb2-7852-4620-8963-34df2311ee76","type":"Wedge"},{"attributes":{"callback":null},"id":"1ea13a4a-d725-4b36-8c60-1324fdc35169","type":"DataRange1d"},{"attributes":{},"id":"44092ec8-b611-4c9d-9f79-e5d690ccd250","type":"ResetTool"},{"attributes":{"plot":null,"text":""},"id":"a6282d43-a14b-4f99-875d-949166139eff","type":"Title"},{"attributes":{},"id":"5bb512ab-55f6-4bad-8c5c-1abdf7d4bf83","type":"HelpTool"},{"attributes":{"below":[{"id":"01186534-535f-4952-b936-801bf49f553d","type":"LinearAxis"}],"left":[{"id":"e2f7dec2-77bc-4c8f-9fa0-3a15c33e0f61","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"01186534-535f-4952-b936-801bf49f553d","type":"LinearAxis"},{"id":"26177164-6ea9-4fd8-bcee-2d2c95e1451d","type":"Grid"},{"id":"e2f7dec2-77bc-4c8f-9fa0-3a15c33e0f61","type":"LinearAxis"},{"id":"fc05259b-ec60-47cb-aed4-998c4a2da6b6","type":"Grid"},{"id":"e1cbc41f-a0e7-4559-80ab-dc6f439e9d7d","type":"BoxAnnotation"},{"id":"44a4fddf-59d1-480c-b050-e93a3dbf4eea","type":"GlyphRenderer"}],"title":{"id":"a6282d43-a14b-4f99-875d-949166139eff","type":"Title"},"toolbar":{"id":"5b9fc4ab-2f80-48e8-8750-aafafeab331e","type":"Toolbar"},"x_range":{"id":"49604421-fc7b-4de8-a1f8-eacd15a335b1","type":"DataRange1d"},"x_scale":{"id":"4926690a-8d0d-464e-8521-74edb227aa16","type":"LinearScale"},"y_range":{"id":"1ea13a4a-d725-4b36-8c60-1324fdc35169","type":"DataRange1d"},"y_scale":{"id":"81b1564a-712b-4ef1-92cb-126c986275d6","type":"LinearScale"}},"id":"ba8c0a30-5b87-41b4-befa-e7d36a0d502b","subtype":"Figure","type":"Plot"},{"attributes":{"direction":"clock","end_angle":{"units":"rad","value":4.8},"fill_alpha":{"value":0.6},"fill_color":{"value":"firebrick"},"line_alpha":{"value":0.6},"line_color":{"value":"firebrick"},"radius":{"units":"data","value":0.2},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"ad92fcfb-ee8e-4aa4-a9ce-5adec59d4892","type":"Wedge"}],"root_ids":["ba8c0a30-5b87-41b4-befa-e7d36a0d502b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"7f092293-4f35-4adb-9a1e-6ec826474ed6","elementid":"2886b34d-c1af-4c30-abde-9beadffc8762","modelid":"ba8c0a30-5b87-41b4-befa-e7d36a0d502b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
