(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("977417b4-f88f-4b81-98b4-513039260a95");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '977417b4-f88f-4b81-98b4-513039260a95' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"39feee8b-552a-4ee3-84c3-264ebcea830a":{"roots":{"references":[{"attributes":{"plot":{"id":"59c999d9-c97e-4cd4-b223-cc8cab93d746","subtype":"Figure","type":"Plot"},"ticker":{"id":"b15bf212-5a8d-4bba-bd70-bfc5ec69c565","type":"BasicTicker"}},"id":"519d02a4-a16d-4133-857e-f7ffa2bfc1c0","type":"Grid"},{"attributes":{"formatter":{"id":"73934f6b-6198-4dde-8715-5f10f41f0ce9","type":"CategoricalTickFormatter"},"plot":{"id":"59c999d9-c97e-4cd4-b223-cc8cab93d746","subtype":"Figure","type":"Plot"},"ticker":{"id":"716ba684-02fc-4e1d-b658-8468800837cb","type":"CategoricalTicker"}},"id":"454a1926-5c95-4149-a02d-931ab796b7ed","type":"CategoricalAxis"},{"attributes":{},"id":"716ba684-02fc-4e1d-b658-8468800837cb","type":"CategoricalTicker"},{"attributes":{},"id":"783a0ac9-d53d-48e3-9f92-537aed5a4132","type":"HelpTool"},{"attributes":{},"id":"4cc17c28-bc78-41ac-95d0-78d53982fce3","type":"WheelZoomTool"},{"attributes":{"callback":null},"id":"577866d1-50a7-49f7-993c-519679678cee","type":"DataRange1d"},{"attributes":{},"id":"66bc15e8-a1c6-40ce-8a3f-644f9025a2f4","type":"SaveTool"},{"attributes":{"formatter":{"id":"d9a39b59-a8ed-420b-9370-c5c94f7c1681","type":"BasicTickFormatter"},"plot":{"id":"59c999d9-c97e-4cd4-b223-cc8cab93d746","subtype":"Figure","type":"Plot"},"ticker":{"id":"b15bf212-5a8d-4bba-bd70-bfc5ec69c565","type":"BasicTicker"}},"id":"6958a612-fdbb-4e21-be29-619f23c7ed81","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"orange"},"line_color":{"value":"green"},"line_width":{"value":3},"size":{"units":"screen","value":15},"x":{"field":"x"},"y":{"field":"y"}},"id":"2b2f7c5f-5a40-4ee1-b2c2-5340007a5491","type":"Circle"},{"attributes":{},"id":"dc9e36c6-ad86-498f-a7e6-2757384400cf","type":"CategoricalScale"},{"attributes":{"callback":null,"factors":["a","b","c","d","e","f","g","h"]},"id":"3f3dd14a-cf2b-48c1-9f9e-46cb42bdf616","type":"FactorRange"},{"attributes":{"overlay":{"id":"a952d533-8542-403b-ab3a-eb1e4bd25140","type":"BoxAnnotation"}},"id":"7466e124-dcff-4fb8-b665-ba612e1f7691","type":"BoxZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"a952d533-8542-403b-ab3a-eb1e4bd25140","type":"BoxAnnotation"},{"attributes":{},"id":"9ed743ee-31ef-4991-810d-447c713c537d","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"3dc70449-68f0-4004-90a8-8391b0ea3b52","type":"Title"},{"attributes":{"data_source":{"id":"cf88b403-a03b-4521-8243-451770e4af8e","type":"ColumnDataSource"},"glyph":{"id":"2b2f7c5f-5a40-4ee1-b2c2-5340007a5491","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"1d38ed2c-4248-4ea6-b10b-9ec945f103a7","type":"Circle"},"selection_glyph":null,"view":{"id":"0b9836b0-bcaf-430c-b86a-8ebf32ac9d05","type":"CDSView"}},"id":"ca08958b-8ed8-4bb6-bb61-5327839190cf","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"size":{"units":"screen","value":15},"x":{"field":"x"},"y":{"field":"y"}},"id":"1d38ed2c-4248-4ea6-b10b-9ec945f103a7","type":"Circle"},{"attributes":{},"id":"30f9387b-e11c-49de-bf3e-c6d1a98d697a","type":"ResetTool"},{"attributes":{"dimension":1,"plot":{"id":"59c999d9-c97e-4cd4-b223-cc8cab93d746","subtype":"Figure","type":"Plot"},"ticker":{"id":"716ba684-02fc-4e1d-b658-8468800837cb","type":"CategoricalTicker"}},"id":"e45509b0-2eb8-46d9-8b9a-2089655eb2e0","type":"Grid"},{"attributes":{},"id":"73934f6b-6198-4dde-8715-5f10f41f0ce9","type":"CategoricalTickFormatter"},{"attributes":{"source":{"id":"cf88b403-a03b-4521-8243-451770e4af8e","type":"ColumnDataSource"}},"id":"0b9836b0-bcaf-430c-b86a-8ebf32ac9d05","type":"CDSView"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[50,40,65,10,25,37,80,60],"y":["a","b","c","d","e","f","g","h"]}},"id":"cf88b403-a03b-4521-8243-451770e4af8e","type":"ColumnDataSource"},{"attributes":{},"id":"b15bf212-5a8d-4bba-bd70-bfc5ec69c565","type":"BasicTicker"},{"attributes":{},"id":"d9a39b59-a8ed-420b-9370-c5c94f7c1681","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"6958a612-fdbb-4e21-be29-619f23c7ed81","type":"LinearAxis"}],"left":[{"id":"454a1926-5c95-4149-a02d-931ab796b7ed","type":"CategoricalAxis"}],"renderers":[{"id":"6958a612-fdbb-4e21-be29-619f23c7ed81","type":"LinearAxis"},{"id":"519d02a4-a16d-4133-857e-f7ffa2bfc1c0","type":"Grid"},{"id":"454a1926-5c95-4149-a02d-931ab796b7ed","type":"CategoricalAxis"},{"id":"e45509b0-2eb8-46d9-8b9a-2089655eb2e0","type":"Grid"},{"id":"a952d533-8542-403b-ab3a-eb1e4bd25140","type":"BoxAnnotation"},{"id":"ca08958b-8ed8-4bb6-bb61-5327839190cf","type":"GlyphRenderer"}],"title":{"id":"3dc70449-68f0-4004-90a8-8391b0ea3b52","type":"Title"},"toolbar":{"id":"2767072f-48b7-4c35-bce5-a61039c84f75","type":"Toolbar"},"x_range":{"id":"577866d1-50a7-49f7-993c-519679678cee","type":"DataRange1d"},"x_scale":{"id":"9ed743ee-31ef-4991-810d-447c713c537d","type":"LinearScale"},"y_range":{"id":"3f3dd14a-cf2b-48c1-9f9e-46cb42bdf616","type":"FactorRange"},"y_scale":{"id":"dc9e36c6-ad86-498f-a7e6-2757384400cf","type":"CategoricalScale"}},"id":"59c999d9-c97e-4cd4-b223-cc8cab93d746","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"27db4fb3-30db-49d6-a01f-7f46f819e4ec","type":"PanTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"27db4fb3-30db-49d6-a01f-7f46f819e4ec","type":"PanTool"},{"id":"4cc17c28-bc78-41ac-95d0-78d53982fce3","type":"WheelZoomTool"},{"id":"7466e124-dcff-4fb8-b665-ba612e1f7691","type":"BoxZoomTool"},{"id":"66bc15e8-a1c6-40ce-8a3f-644f9025a2f4","type":"SaveTool"},{"id":"30f9387b-e11c-49de-bf3e-c6d1a98d697a","type":"ResetTool"},{"id":"783a0ac9-d53d-48e3-9f92-537aed5a4132","type":"HelpTool"}]},"id":"2767072f-48b7-4c35-bce5-a61039c84f75","type":"Toolbar"}],"root_ids":["59c999d9-c97e-4cd4-b223-cc8cab93d746"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"39feee8b-552a-4ee3-84c3-264ebcea830a","elementid":"977417b4-f88f-4b81-98b4-513039260a95","modelid":"59c999d9-c97e-4cd4-b223-cc8cab93d746"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
