(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("d8c98c4f-9beb-4b47-b242-3b31c5a22edd");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'd8c98c4f-9beb-4b47-b242-3b31c5a22edd' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"ba7e78ac-365f-4ecf-9d57-4095bd221004":{"roots":{"references":[{"attributes":{"fill_color":{"value":"white"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"d3662720-92e4-4f4e-b066-c16089a3cbcf","type":"Circle"},{"attributes":{"formatter":{"id":"25eabf1b-d754-477c-ba2a-35a81ef5d4bf","type":"LogTickFormatter"},"plot":{"id":"fa22abc5-0cc8-40f8-b654-ac9e27f68d6a","subtype":"Figure","type":"Plot"},"ticker":{"id":"412f4f9c-a83b-4d77-b118-b388ded0f59d","type":"LogTicker"}},"id":"9bddc856-e813-4cb8-828e-7660487ad314","type":"LogAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"68e24a5e-a374-4948-886d-a62655f5f8e9","type":"Circle"},{"attributes":{},"id":"f332032d-2909-406e-9976-b213713c7c56","type":"SaveTool"},{"attributes":{},"id":"f95f2b7e-2503-4d6e-8c1b-ecb22cba77dd","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"fa22abc5-0cc8-40f8-b654-ac9e27f68d6a","subtype":"Figure","type":"Plot"},"ticker":{"id":"412f4f9c-a83b-4d77-b118-b388ded0f59d","type":"LogTicker"}},"id":"f954d41f-59b3-4f58-84a1-a9aa289eb6c7","type":"Grid"},{"attributes":{"plot":{"id":"fa22abc5-0cc8-40f8-b654-ac9e27f68d6a","subtype":"Figure","type":"Plot"},"ticker":{"id":"0054c25d-3e6d-4a1e-bfaa-25ed9ea912ce","type":"BasicTicker"}},"id":"084e79c2-cb68-40c2-9044-f25483b7821e","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.1,0.5,1.0,1.5,2.0,2.5,3.0],"y":[1.2589254117941673,3.1622776601683795,10.0,31.622776601683793,100.0,316.22776601683796,1000.0]}},"id":"ea384303-ad4c-40dc-a5da-8d272e6a01f7","type":"ColumnDataSource"},{"attributes":{},"id":"b57d3f28-1f09-4241-948a-e33d6d8c2d5a","type":"PanTool"},{"attributes":{"callback":null},"id":"b1447e46-20a9-49f9-8564-604982676ff7","type":"DataRange1d"},{"attributes":{"data_source":{"id":"ea384303-ad4c-40dc-a5da-8d272e6a01f7","type":"ColumnDataSource"},"glyph":{"id":"c864ab30-4df4-4760-a540-d4d9beb3ce48","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"9ec663e2-443d-46f7-8a80-e87c0f82ed55","type":"Line"},"selection_glyph":null,"view":{"id":"03ef5bae-284b-4c03-bc5f-23a1ad29323b","type":"CDSView"}},"id":"50deb334-899f-4fbb-a02c-a948f5832529","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"f6d05a15-1ba9-4914-b36b-942f5807e879","type":"ColumnDataSource"},"glyph":{"id":"d3662720-92e4-4f4e-b066-c16089a3cbcf","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"68e24a5e-a374-4948-886d-a62655f5f8e9","type":"Circle"},"selection_glyph":null,"view":{"id":"a8a8c374-5029-4832-a008-35313425eca1","type":"CDSView"}},"id":"0f9e8dee-315a-4a49-bf1d-5ea2f06561c0","type":"GlyphRenderer"},{"attributes":{"overlay":{"id":"be9c3efd-7efc-4440-9a15-cc6150da58c4","type":"BoxAnnotation"}},"id":"4daea692-ee19-4b2d-ad5c-e79c43fbb28f","type":"BoxZoomTool"},{"attributes":{"plot":null,"text":""},"id":"c9a34280-6650-4177-a706-07af4a7f63ba","type":"Title"},{"attributes":{},"id":"f7899ae7-2182-4129-9bc6-455a1069ecb5","type":"WheelZoomTool"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"c864ab30-4df4-4760-a540-d4d9beb3ce48","type":"Line"},{"attributes":{"ticker":null},"id":"25eabf1b-d754-477c-ba2a-35a81ef5d4bf","type":"LogTickFormatter"},{"attributes":{"source":{"id":"f6d05a15-1ba9-4914-b36b-942f5807e879","type":"ColumnDataSource"}},"id":"a8a8c374-5029-4832-a008-35313425eca1","type":"CDSView"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"9ec663e2-443d-46f7-8a80-e87c0f82ed55","type":"Line"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"be9c3efd-7efc-4440-9a15-cc6150da58c4","type":"BoxAnnotation"},{"attributes":{},"id":"55fc298d-9aa7-439a-b06f-76498d548457","type":"LogScale"},{"attributes":{"callback":null},"id":"7c8c1206-beee-4eae-aba3-b734a3ba582e","type":"DataRange1d"},{"attributes":{"formatter":{"id":"ffe38f83-2105-4fc9-9195-1777596307d0","type":"BasicTickFormatter"},"plot":{"id":"fa22abc5-0cc8-40f8-b654-ac9e27f68d6a","subtype":"Figure","type":"Plot"},"ticker":{"id":"0054c25d-3e6d-4a1e-bfaa-25ed9ea912ce","type":"BasicTicker"}},"id":"826a5134-89d1-423b-ac8f-cd4e60cc151c","type":"LinearAxis"},{"attributes":{},"id":"ffe38f83-2105-4fc9-9195-1777596307d0","type":"BasicTickFormatter"},{"attributes":{},"id":"0054c25d-3e6d-4a1e-bfaa-25ed9ea912ce","type":"BasicTicker"},{"attributes":{"num_minor_ticks":10},"id":"412f4f9c-a83b-4d77-b118-b388ded0f59d","type":"LogTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.1,0.5,1.0,1.5,2.0,2.5,3.0],"y":[1.2589254117941673,3.1622776601683795,10.0,31.622776601683793,100.0,316.22776601683796,1000.0]}},"id":"f6d05a15-1ba9-4914-b36b-942f5807e879","type":"ColumnDataSource"},{"attributes":{"source":{"id":"ea384303-ad4c-40dc-a5da-8d272e6a01f7","type":"ColumnDataSource"}},"id":"03ef5bae-284b-4c03-bc5f-23a1ad29323b","type":"CDSView"},{"attributes":{},"id":"b6c98f99-b226-459f-9212-bef9e2205611","type":"ResetTool"},{"attributes":{"below":[{"id":"826a5134-89d1-423b-ac8f-cd4e60cc151c","type":"LinearAxis"}],"left":[{"id":"9bddc856-e813-4cb8-828e-7660487ad314","type":"LogAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"826a5134-89d1-423b-ac8f-cd4e60cc151c","type":"LinearAxis"},{"id":"084e79c2-cb68-40c2-9044-f25483b7821e","type":"Grid"},{"id":"9bddc856-e813-4cb8-828e-7660487ad314","type":"LogAxis"},{"id":"f954d41f-59b3-4f58-84a1-a9aa289eb6c7","type":"Grid"},{"id":"be9c3efd-7efc-4440-9a15-cc6150da58c4","type":"BoxAnnotation"},{"id":"50deb334-899f-4fbb-a02c-a948f5832529","type":"GlyphRenderer"},{"id":"0f9e8dee-315a-4a49-bf1d-5ea2f06561c0","type":"GlyphRenderer"}],"title":{"id":"c9a34280-6650-4177-a706-07af4a7f63ba","type":"Title"},"toolbar":{"id":"a2b8a4c7-7e87-4dc5-b572-c8d1702adfd7","type":"Toolbar"},"x_range":{"id":"7c8c1206-beee-4eae-aba3-b734a3ba582e","type":"DataRange1d"},"x_scale":{"id":"f95f2b7e-2503-4d6e-8c1b-ecb22cba77dd","type":"LinearScale"},"y_range":{"id":"b1447e46-20a9-49f9-8564-604982676ff7","type":"DataRange1d"},"y_scale":{"id":"55fc298d-9aa7-439a-b06f-76498d548457","type":"LogScale"}},"id":"fa22abc5-0cc8-40f8-b654-ac9e27f68d6a","subtype":"Figure","type":"Plot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"b57d3f28-1f09-4241-948a-e33d6d8c2d5a","type":"PanTool"},{"id":"f7899ae7-2182-4129-9bc6-455a1069ecb5","type":"WheelZoomTool"},{"id":"4daea692-ee19-4b2d-ad5c-e79c43fbb28f","type":"BoxZoomTool"},{"id":"f332032d-2909-406e-9976-b213713c7c56","type":"SaveTool"},{"id":"b6c98f99-b226-459f-9212-bef9e2205611","type":"ResetTool"},{"id":"f51b255f-a7ad-4606-bcd2-bda3133d5509","type":"HelpTool"}]},"id":"a2b8a4c7-7e87-4dc5-b572-c8d1702adfd7","type":"Toolbar"},{"attributes":{},"id":"f51b255f-a7ad-4606-bcd2-bda3133d5509","type":"HelpTool"}],"root_ids":["fa22abc5-0cc8-40f8-b654-ac9e27f68d6a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"ba7e78ac-365f-4ecf-9d57-4095bd221004","elementid":"d8c98c4f-9beb-4b47-b242-3b31c5a22edd","modelid":"fa22abc5-0cc8-40f8-b654-ac9e27f68d6a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
