(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b134ce17-320b-415b-b0e2-7507fa275a93");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b134ce17-320b-415b-b0e2-7507fa275a93' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"9732a3ce-74c1-4500-ad10-e6df572d5aea":{"roots":{"references":[{"attributes":{"source":{"id":"bfb600b7-ba12-4f83-9739-58eb632c1aaf","type":"ColumnDataSource"}},"id":"bc219ca8-0922-4af2-8d1e-7e9178895c61","type":"CDSView"},{"attributes":{},"id":"ebc201c3-c5da-46eb-9331-0696f8163acd","type":"PanTool"},{"attributes":{"plot":null,"text":""},"id":"48cf43b2-897a-4bbf-a97b-a5b491f1baf2","type":"Title"},{"attributes":{},"id":"b2cdf0d8-9c4e-4337-8211-2e5e8819c8ce","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"b2cdf0d8-9c4e-4337-8211-2e5e8819c8ce","type":"BasicTickFormatter"},"plot":{"id":"307afa24-cd8a-4fa0-afd2-321c2775c38a","subtype":"Figure","type":"Plot"},"ticker":{"id":"f5e56957-f9a1-49c4-a593-6c4057183336","type":"BasicTicker"}},"id":"3c03adf4-fba1-4bdd-b3d6-2104c5071949","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["top","right","left","bottom"],"data":{"bottom":[1,2,3],"left":[1,2,3],"right":[1.2,2.5,3.7],"top":[2,3,4]}},"id":"bfb600b7-ba12-4f83-9739-58eb632c1aaf","type":"ColumnDataSource"},{"attributes":{},"id":"83dc5bc6-39f6-4ff9-b150-03d6e9fea14a","type":"HelpTool"},{"attributes":{},"id":"8413c225-da60-4670-8c37-51efd0c5dbfd","type":"SaveTool"},{"attributes":{"plot":{"id":"307afa24-cd8a-4fa0-afd2-321c2775c38a","subtype":"Figure","type":"Plot"},"ticker":{"id":"042e83d4-fa50-447d-9ca5-e3a1e68103c3","type":"BasicTicker"}},"id":"fd676be3-3edf-4c7a-ba6c-9372c012738a","type":"Grid"},{"attributes":{},"id":"600fd456-c6ee-4a21-8d04-fb1d2ec43cc5","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"ebc201c3-c5da-46eb-9331-0696f8163acd","type":"PanTool"},{"id":"75940af5-1ea4-4ed7-980e-fceb5da37b08","type":"WheelZoomTool"},{"id":"bfe4b5f2-cf8e-46b0-b5f1-d69d67524879","type":"BoxZoomTool"},{"id":"8413c225-da60-4670-8c37-51efd0c5dbfd","type":"SaveTool"},{"id":"9cc58225-9c18-4575-b8a6-e0fde2170367","type":"ResetTool"},{"id":"83dc5bc6-39f6-4ff9-b150-03d6e9fea14a","type":"HelpTool"}]},"id":"7b0ac720-712a-47c3-9cbf-7f13ac98cd88","type":"Toolbar"},{"attributes":{"data_source":{"id":"bfb600b7-ba12-4f83-9739-58eb632c1aaf","type":"ColumnDataSource"},"glyph":{"id":"6ac005d5-469c-49b3-96e2-c31c245de510","type":"Quad"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"9cfb31ea-bfd7-4c10-b5ac-f044aff89443","type":"Quad"},"selection_glyph":null,"view":{"id":"bc219ca8-0922-4af2-8d1e-7e9178895c61","type":"CDSView"}},"id":"eb08fd70-0450-47dd-8971-9369b23e7ebe","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"307afa24-cd8a-4fa0-afd2-321c2775c38a","subtype":"Figure","type":"Plot"},"ticker":{"id":"f5e56957-f9a1-49c4-a593-6c4057183336","type":"BasicTicker"}},"id":"637efb0b-241e-4673-836e-14c0c09c9de5","type":"Grid"},{"attributes":{},"id":"042e83d4-fa50-447d-9ca5-e3a1e68103c3","type":"BasicTicker"},{"attributes":{"callback":null},"id":"f0556952-34f5-4113-b354-17541a6b6dc0","type":"DataRange1d"},{"attributes":{"below":[{"id":"e235e9f7-fc65-4ead-a021-fa9c4db72daf","type":"LinearAxis"}],"left":[{"id":"3c03adf4-fba1-4bdd-b3d6-2104c5071949","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"e235e9f7-fc65-4ead-a021-fa9c4db72daf","type":"LinearAxis"},{"id":"fd676be3-3edf-4c7a-ba6c-9372c012738a","type":"Grid"},{"id":"3c03adf4-fba1-4bdd-b3d6-2104c5071949","type":"LinearAxis"},{"id":"637efb0b-241e-4673-836e-14c0c09c9de5","type":"Grid"},{"id":"0ed1fc43-a38f-4508-9e86-2ba89bc75bdb","type":"BoxAnnotation"},{"id":"eb08fd70-0450-47dd-8971-9369b23e7ebe","type":"GlyphRenderer"}],"title":{"id":"48cf43b2-897a-4bbf-a97b-a5b491f1baf2","type":"Title"},"toolbar":{"id":"7b0ac720-712a-47c3-9cbf-7f13ac98cd88","type":"Toolbar"},"x_range":{"id":"51bd402a-d8f8-47ef-9961-c98b04a84488","type":"DataRange1d"},"x_scale":{"id":"c5782bda-4e43-4b7c-8472-d49a0cef8705","type":"LinearScale"},"y_range":{"id":"f0556952-34f5-4113-b354-17541a6b6dc0","type":"DataRange1d"},"y_scale":{"id":"600fd456-c6ee-4a21-8d04-fb1d2ec43cc5","type":"LinearScale"}},"id":"307afa24-cd8a-4fa0-afd2-321c2775c38a","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"9cc58225-9c18-4575-b8a6-e0fde2170367","type":"ResetTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"0ed1fc43-a38f-4508-9e86-2ba89bc75bdb","type":"BoxAnnotation"},{"attributes":{},"id":"03df1d42-2215-44f4-99d1-d9ab54b663bd","type":"BasicTickFormatter"},{"attributes":{},"id":"f5e56957-f9a1-49c4-a593-6c4057183336","type":"BasicTicker"},{"attributes":{},"id":"c5782bda-4e43-4b7c-8472-d49a0cef8705","type":"LinearScale"},{"attributes":{"bottom":{"field":"bottom"},"fill_color":{"value":"#B3DE69"},"left":{"field":"left"},"line_color":{"value":"#B3DE69"},"right":{"field":"right"},"top":{"field":"top"}},"id":"6ac005d5-469c-49b3-96e2-c31c245de510","type":"Quad"},{"attributes":{"formatter":{"id":"03df1d42-2215-44f4-99d1-d9ab54b663bd","type":"BasicTickFormatter"},"plot":{"id":"307afa24-cd8a-4fa0-afd2-321c2775c38a","subtype":"Figure","type":"Plot"},"ticker":{"id":"042e83d4-fa50-447d-9ca5-e3a1e68103c3","type":"BasicTicker"}},"id":"e235e9f7-fc65-4ead-a021-fa9c4db72daf","type":"LinearAxis"},{"attributes":{"bottom":{"field":"bottom"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"left":{"field":"left"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"field":"right"},"top":{"field":"top"}},"id":"9cfb31ea-bfd7-4c10-b5ac-f044aff89443","type":"Quad"},{"attributes":{},"id":"75940af5-1ea4-4ed7-980e-fceb5da37b08","type":"WheelZoomTool"},{"attributes":{"overlay":{"id":"0ed1fc43-a38f-4508-9e86-2ba89bc75bdb","type":"BoxAnnotation"}},"id":"bfe4b5f2-cf8e-46b0-b5f1-d69d67524879","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"51bd402a-d8f8-47ef-9961-c98b04a84488","type":"DataRange1d"}],"root_ids":["307afa24-cd8a-4fa0-afd2-321c2775c38a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"9732a3ce-74c1-4500-ad10-e6df572d5aea","elementid":"b134ce17-320b-415b-b0e2-7507fa275a93","modelid":"307afa24-cd8a-4fa0-afd2-321c2775c38a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
