(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("961b9d9c-a078-4958-ab53-96b6d4bbdafa");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '961b9d9c-a078-4958-ab53-96b6d4bbdafa' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a1bf12e6-a653-4c03-a59e-24e793296646":{"roots":{"references":[{"attributes":{},"id":"ea555926-b93b-4bf8-84c7-d9f858110460","type":"BasicTicker"},{"attributes":{},"id":"98ff8038-43f0-4de3-a4f5-6542c20e5185","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"124e35ef-461f-4340-bcbe-971118ec10b7","type":"Title"},{"attributes":{},"id":"76d27af7-04cf-4c4d-9b52-536d8d5cf495","type":"BasicTickFormatter"},{"attributes":{},"id":"0a98d34c-aafa-465f-b64a-0e5edb79b6e9","type":"LinearScale"},{"attributes":{"formatter":{"id":"76d27af7-04cf-4c4d-9b52-536d8d5cf495","type":"BasicTickFormatter"},"plot":{"id":"c9340dc8-2f67-4694-8728-0e4e2061f1c2","subtype":"Figure","type":"Plot"},"ticker":{"id":"ea555926-b93b-4bf8-84c7-d9f858110460","type":"BasicTicker"}},"id":"c4eabbc7-99cb-4d98-b13f-92e249f662f6","type":"LinearAxis"},{"attributes":{},"id":"00e6df7e-c657-408a-9dfc-735bc5008254","type":"PanTool"},{"attributes":{"callback":null,"column_names":["x","top"],"data":{"top":[1.2,2.5,3.7],"x":[1,2,3]}},"id":"1aa6dd83-4df0-4748-bb23-8082c2288942","type":"ColumnDataSource"},{"attributes":{},"id":"cdda3434-d52c-4b12-806c-fd839075bf99","type":"HelpTool"},{"attributes":{},"id":"5df50e25-768f-49f5-9532-a79943084109","type":"BasicTicker"},{"attributes":{"plot":{"id":"c9340dc8-2f67-4694-8728-0e4e2061f1c2","subtype":"Figure","type":"Plot"},"ticker":{"id":"5df50e25-768f-49f5-9532-a79943084109","type":"BasicTicker"}},"id":"cd652c30-cf8c-423f-b5f0-450810465c9f","type":"Grid"},{"attributes":{"callback":null},"id":"80e9e9b0-7b10-4cb9-b3f8-d9beb100f792","type":"DataRange1d"},{"attributes":{"data_source":{"id":"1aa6dd83-4df0-4748-bb23-8082c2288942","type":"ColumnDataSource"},"glyph":{"id":"8b8d1382-1066-420b-a1e4-b4d6030c0748","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c0443a2e-7051-43d3-b0ad-0707d9f01feb","type":"VBar"},"selection_glyph":null,"view":{"id":"c7c8f626-0d5f-4f83-a728-9215e18e00c0","type":"CDSView"}},"id":"8fa93e3d-1646-436b-a240-087744de8615","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"e5f7f208-c203-4720-a59b-00cf47e9054d","type":"BasicTickFormatter"},"plot":{"id":"c9340dc8-2f67-4694-8728-0e4e2061f1c2","subtype":"Figure","type":"Plot"},"ticker":{"id":"5df50e25-768f-49f5-9532-a79943084109","type":"BasicTicker"}},"id":"8f03a1d6-434d-4645-9e0d-e70aac3d3f6b","type":"LinearAxis"},{"attributes":{"overlay":{"id":"0e0f847b-200f-4447-996c-f7297d9968df","type":"BoxAnnotation"}},"id":"e9f7a485-5ceb-4e92-98f0-dd62140dd2d2","type":"BoxZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"c9340dc8-2f67-4694-8728-0e4e2061f1c2","subtype":"Figure","type":"Plot"},"ticker":{"id":"ea555926-b93b-4bf8-84c7-d9f858110460","type":"BasicTicker"}},"id":"4071f6e2-0db4-4165-b713-beb7af79bd61","type":"Grid"},{"attributes":{"fill_color":{"value":"firebrick"},"line_color":{"value":"firebrick"},"top":{"field":"top"},"width":{"value":0.5},"x":{"field":"x"}},"id":"8b8d1382-1066-420b-a1e4-b4d6030c0748","type":"VBar"},{"attributes":{},"id":"e5f7f208-c203-4720-a59b-00cf47e9054d","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"1aa6dd83-4df0-4748-bb23-8082c2288942","type":"ColumnDataSource"}},"id":"c7c8f626-0d5f-4f83-a728-9215e18e00c0","type":"CDSView"},{"attributes":{},"id":"a7c60d73-f4eb-4b0c-98d1-c5a89980aeac","type":"ResetTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.5},"x":{"field":"x"}},"id":"c0443a2e-7051-43d3-b0ad-0707d9f01feb","type":"VBar"},{"attributes":{},"id":"aee7d6c4-97b3-4eac-a860-a873d0070ecb","type":"SaveTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"00e6df7e-c657-408a-9dfc-735bc5008254","type":"PanTool"},{"id":"8fb9a1aa-badf-4f99-9ac6-0a274fc486ae","type":"WheelZoomTool"},{"id":"e9f7a485-5ceb-4e92-98f0-dd62140dd2d2","type":"BoxZoomTool"},{"id":"aee7d6c4-97b3-4eac-a860-a873d0070ecb","type":"SaveTool"},{"id":"a7c60d73-f4eb-4b0c-98d1-c5a89980aeac","type":"ResetTool"},{"id":"cdda3434-d52c-4b12-806c-fd839075bf99","type":"HelpTool"}]},"id":"8d4ac751-9414-4165-a1b3-90acabb41a49","type":"Toolbar"},{"attributes":{},"id":"8fb9a1aa-badf-4f99-9ac6-0a274fc486ae","type":"WheelZoomTool"},{"attributes":{"callback":null},"id":"d3794f30-5546-4c75-b3f1-0546b086d030","type":"DataRange1d"},{"attributes":{"below":[{"id":"8f03a1d6-434d-4645-9e0d-e70aac3d3f6b","type":"LinearAxis"}],"left":[{"id":"c4eabbc7-99cb-4d98-b13f-92e249f662f6","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"8f03a1d6-434d-4645-9e0d-e70aac3d3f6b","type":"LinearAxis"},{"id":"cd652c30-cf8c-423f-b5f0-450810465c9f","type":"Grid"},{"id":"c4eabbc7-99cb-4d98-b13f-92e249f662f6","type":"LinearAxis"},{"id":"4071f6e2-0db4-4165-b713-beb7af79bd61","type":"Grid"},{"id":"0e0f847b-200f-4447-996c-f7297d9968df","type":"BoxAnnotation"},{"id":"8fa93e3d-1646-436b-a240-087744de8615","type":"GlyphRenderer"}],"title":{"id":"124e35ef-461f-4340-bcbe-971118ec10b7","type":"Title"},"toolbar":{"id":"8d4ac751-9414-4165-a1b3-90acabb41a49","type":"Toolbar"},"x_range":{"id":"80e9e9b0-7b10-4cb9-b3f8-d9beb100f792","type":"DataRange1d"},"x_scale":{"id":"0a98d34c-aafa-465f-b64a-0e5edb79b6e9","type":"LinearScale"},"y_range":{"id":"d3794f30-5546-4c75-b3f1-0546b086d030","type":"DataRange1d"},"y_scale":{"id":"98ff8038-43f0-4de3-a4f5-6542c20e5185","type":"LinearScale"}},"id":"c9340dc8-2f67-4694-8728-0e4e2061f1c2","subtype":"Figure","type":"Plot"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"0e0f847b-200f-4447-996c-f7297d9968df","type":"BoxAnnotation"}],"root_ids":["c9340dc8-2f67-4694-8728-0e4e2061f1c2"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a1bf12e6-a653-4c03-a59e-24e793296646","elementid":"961b9d9c-a078-4958-ab53-96b6d4bbdafa","modelid":"c9340dc8-2f67-4694-8728-0e4e2061f1c2"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
