(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("59f3763f-d1c0-42cf-94d7-33e70a7510a2");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '59f3763f-d1c0-42cf-94d7-33e70a7510a2' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"dedb4ecc-14d4-42ed-b93a-36d2071faa1d":{"roots":{"references":[{"attributes":{"callback":null,"column_names":["y","right"],"data":{"right":[1.2,2.5,3.7],"y":[1,2,3]}},"id":"699b2985-e07f-4890-8a76-c86ac08a9dd9","type":"ColumnDataSource"},{"attributes":{},"id":"c30626f2-da8c-4d79-9fbc-9d89e7ff12ab","type":"PanTool"},{"attributes":{},"id":"f668daeb-7111-45cf-9105-e6d745f8932b","type":"BasicTickFormatter"},{"attributes":{},"id":"b2b796d6-3d6d-479d-a5a2-9f6bbd6adf2c","type":"WheelZoomTool"},{"attributes":{},"id":"48bc6413-0962-4515-8671-72a48d119e58","type":"ResetTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"1eda986e-0f4e-449a-b000-97edee3f9a37","type":"BoxAnnotation"},{"attributes":{},"id":"03c9586a-63c4-4038-9d70-ed8d4c7c7fa7","type":"LinearScale"},{"attributes":{"callback":null},"id":"88cf33b8-1ddf-4ae4-9522-90635747a69e","type":"DataRange1d"},{"attributes":{"overlay":{"id":"1eda986e-0f4e-449a-b000-97edee3f9a37","type":"BoxAnnotation"}},"id":"58584e5f-7404-41e9-a88f-ac3747c979ea","type":"BoxZoomTool"},{"attributes":{},"id":"1ed75fb3-dbfb-46cb-a332-1e5336e4733a","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"184f04ce-bb0d-4947-8e46-1226bb19ff24","subtype":"Figure","type":"Plot"},"ticker":{"id":"52a0384f-3b52-4ea1-9f0e-82a74e8e9630","type":"BasicTicker"}},"id":"c81fcf8b-fd9a-47b7-bdd9-62557433c4a3","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c30626f2-da8c-4d79-9fbc-9d89e7ff12ab","type":"PanTool"},{"id":"b2b796d6-3d6d-479d-a5a2-9f6bbd6adf2c","type":"WheelZoomTool"},{"id":"58584e5f-7404-41e9-a88f-ac3747c979ea","type":"BoxZoomTool"},{"id":"e2568a15-3282-4b17-aded-54d792e5ecc5","type":"SaveTool"},{"id":"48bc6413-0962-4515-8671-72a48d119e58","type":"ResetTool"},{"id":"dfd82eb4-33f9-4bfb-8558-4d88cb23135d","type":"HelpTool"}]},"id":"28b21ad7-67c6-4902-b643-09939f062954","type":"Toolbar"},{"attributes":{},"id":"52a0384f-3b52-4ea1-9f0e-82a74e8e9630","type":"BasicTicker"},{"attributes":{},"id":"a9aa7a13-2b57-43a3-9418-4724ed190fd2","type":"LinearScale"},{"attributes":{"plot":{"id":"184f04ce-bb0d-4947-8e46-1226bb19ff24","subtype":"Figure","type":"Plot"},"ticker":{"id":"d0a130b3-a612-4fe4-85f5-1090c95e095b","type":"BasicTicker"}},"id":"b0c11c79-5dd2-48f9-9c43-59c2f59e76dd","type":"Grid"},{"attributes":{"callback":null},"id":"5fbf92f6-d12f-425c-9e87-99e11be3d67f","type":"DataRange1d"},{"attributes":{"below":[{"id":"6b370643-8c7a-4f6a-813e-076e360c3f02","type":"LinearAxis"}],"left":[{"id":"ec480fd3-24c8-4ad3-8c6b-d1e53f30f8b9","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"6b370643-8c7a-4f6a-813e-076e360c3f02","type":"LinearAxis"},{"id":"b0c11c79-5dd2-48f9-9c43-59c2f59e76dd","type":"Grid"},{"id":"ec480fd3-24c8-4ad3-8c6b-d1e53f30f8b9","type":"LinearAxis"},{"id":"c81fcf8b-fd9a-47b7-bdd9-62557433c4a3","type":"Grid"},{"id":"1eda986e-0f4e-449a-b000-97edee3f9a37","type":"BoxAnnotation"},{"id":"a1963968-2494-4563-a6db-e5fac13b15c2","type":"GlyphRenderer"}],"title":{"id":"68bb17c8-9287-4e5c-a792-cca466f6a7e2","type":"Title"},"toolbar":{"id":"28b21ad7-67c6-4902-b643-09939f062954","type":"Toolbar"},"x_range":{"id":"88cf33b8-1ddf-4ae4-9522-90635747a69e","type":"DataRange1d"},"x_scale":{"id":"a9aa7a13-2b57-43a3-9418-4724ed190fd2","type":"LinearScale"},"y_range":{"id":"5fbf92f6-d12f-425c-9e87-99e11be3d67f","type":"DataRange1d"},"y_scale":{"id":"03c9586a-63c4-4038-9d70-ed8d4c7c7fa7","type":"LinearScale"}},"id":"184f04ce-bb0d-4947-8e46-1226bb19ff24","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"f668daeb-7111-45cf-9105-e6d745f8932b","type":"BasicTickFormatter"},"plot":{"id":"184f04ce-bb0d-4947-8e46-1226bb19ff24","subtype":"Figure","type":"Plot"},"ticker":{"id":"52a0384f-3b52-4ea1-9f0e-82a74e8e9630","type":"BasicTicker"}},"id":"ec480fd3-24c8-4ad3-8c6b-d1e53f30f8b9","type":"LinearAxis"},{"attributes":{"data_source":{"id":"699b2985-e07f-4890-8a76-c86ac08a9dd9","type":"ColumnDataSource"},"glyph":{"id":"d6a22e39-a70a-4c26-91b1-1721cbadbcf8","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"bc051c6d-4fef-4536-88fd-aff297b58aa7","type":"HBar"},"selection_glyph":null,"view":{"id":"db289942-e9e6-44d9-9dd4-8bda14d3f7bf","type":"CDSView"}},"id":"a1963968-2494-4563-a6db-e5fac13b15c2","type":"GlyphRenderer"},{"attributes":{"plot":null,"text":""},"id":"68bb17c8-9287-4e5c-a792-cca466f6a7e2","type":"Title"},{"attributes":{},"id":"dfd82eb4-33f9-4bfb-8558-4d88cb23135d","type":"HelpTool"},{"attributes":{"fill_color":{"value":"navy"},"height":{"value":0.5},"line_color":{"value":"navy"},"right":{"field":"right"},"y":{"field":"y"}},"id":"d6a22e39-a70a-4c26-91b1-1721cbadbcf8","type":"HBar"},{"attributes":{"formatter":{"id":"1ed75fb3-dbfb-46cb-a332-1e5336e4733a","type":"BasicTickFormatter"},"plot":{"id":"184f04ce-bb0d-4947-8e46-1226bb19ff24","subtype":"Figure","type":"Plot"},"ticker":{"id":"d0a130b3-a612-4fe4-85f5-1090c95e095b","type":"BasicTicker"}},"id":"6b370643-8c7a-4f6a-813e-076e360c3f02","type":"LinearAxis"},{"attributes":{},"id":"d0a130b3-a612-4fe4-85f5-1090c95e095b","type":"BasicTicker"},{"attributes":{"source":{"id":"699b2985-e07f-4890-8a76-c86ac08a9dd9","type":"ColumnDataSource"}},"id":"db289942-e9e6-44d9-9dd4-8bda14d3f7bf","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.5},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"field":"right"},"y":{"field":"y"}},"id":"bc051c6d-4fef-4536-88fd-aff297b58aa7","type":"HBar"},{"attributes":{},"id":"e2568a15-3282-4b17-aded-54d792e5ecc5","type":"SaveTool"}],"root_ids":["184f04ce-bb0d-4947-8e46-1226bb19ff24"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"dedb4ecc-14d4-42ed-b93a-36d2071faa1d","elementid":"59f3763f-d1c0-42cf-94d7-33e70a7510a2","modelid":"184f04ce-bb0d-4947-8e46-1226bb19ff24"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
