(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("142f1ccc-b9e4-4f08-8f44-b5946c32c456");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '142f1ccc-b9e4-4f08-8f44-b5946c32c456' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"5b68090f-9801-47e0-bc65-3f2a9b850816":{"roots":{"references":[{"attributes":{},"id":"6ff355f2-311d-4328-ae8a-c5b9a3939910","type":"LogScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.1,0.5,1.0,1.5,2.0,2.5,3.0],"y":[0.1,0.5,1.0,1.5,2.0,2.5,3.0]}},"id":"e6990005-15c3-4c21-aaeb-1307a00f529e","type":"ColumnDataSource"},{"attributes":{"source":{"id":"e6990005-15c3-4c21-aaeb-1307a00f529e","type":"ColumnDataSource"}},"id":"bcdfc3c7-4102-4824-9f1a-e5976be59ff1","type":"CDSView"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"dc1d55ff-99ba-4d11-a5d5-6c5e38e63c6d","type":"Line"},{"attributes":{"callback":null},"id":"c374f08e-53b5-4ada-8bff-737627ed2667","type":"DataRange1d"},{"attributes":{"line_color":{"value":"orange"},"line_dash":[4,4],"x":{"field":"x"},"y":{"field":"y"}},"id":"3c7d8fec-c93e-41f7-8f14-aeb3b919dd0f","type":"Line"},{"attributes":{"ticker":null},"id":"9dc7d07a-42ad-436d-9a7e-cdaa4db84407","type":"LogTickFormatter"},{"attributes":{"label":{"value":"y=10^x"},"renderers":[{"id":"4184ce25-f2e0-48d3-9aab-7ab7cbc9dbcf","type":"GlyphRenderer"},{"id":"7ce52574-9258-4e2e-a527-13c4fd6bffb2","type":"GlyphRenderer"}]},"id":"20226eae-33d8-44bf-8968-f9886ed4109c","type":"LegendItem"},{"attributes":{"data_source":{"id":"fe3c9c70-5c89-48d2-ad6a-f423eb00c3c0","type":"ColumnDataSource"},"glyph":{"id":"9a413479-62a9-43ca-9168-30d218967e65","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"58572a4b-30ed-42a7-8c8e-12432c84d81b","type":"Line"},"selection_glyph":null,"view":{"id":"91120359-b4d9-44cf-b33b-d9978c7bae13","type":"CDSView"}},"id":"56a66fc2-a13b-4023-b5ca-42b57d6f29b0","type":"GlyphRenderer"},{"attributes":{"axis_label":"particles","formatter":{"id":"9dc7d07a-42ad-436d-9a7e-cdaa4db84407","type":"LogTickFormatter"},"plot":{"id":"e17d2f92-dbc7-4abe-bdcf-73381b41ff72","subtype":"Figure","type":"Plot"},"ticker":{"id":"11738598-8507-4204-98b6-6ba1e4e7e5d3","type":"LogTicker"}},"id":"c675bb61-622a-4337-8de1-44b850742764","type":"LogAxis"},{"attributes":{},"id":"663034b5-4cb8-4c0d-8876-670f2909a783","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0.1,0.5,1.0,1.5,2.0,2.5,3.0],"y":[1.2589254117941673,3.1622776601683795,10.0,31.622776601683793,100.0,316.22776601683796,1000.0]}},"id":"ae4768a2-d31f-475a-b2fa-18f01689e8b0","type":"ColumnDataSource"},{"attributes":{},"id":"08c33370-f597-4f38-948c-a470efbcc239","type":"SaveTool"},{"attributes":{"data_source":{"id":"8bd9bba4-57a2-413d-9ec1-36b359e59f97","type":"ColumnDataSource"},"glyph":{"id":"a7f31f3f-c481-4b8b-b4a3-ad8c980918c0","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"9d48e437-f089-4d98-99e8-842d1e158803","type":"Circle"},"selection_glyph":null,"view":{"id":"f9d3b2cf-8446-4fa6-b1cb-15d3dfa45c64","type":"CDSView"}},"id":"7ce52574-9258-4e2e-a527-13c4fd6bffb2","type":"GlyphRenderer"},{"attributes":{"label":{"value":"y=x"},"renderers":[{"id":"a0dd5f2b-b474-40f9-b5fe-2c60f27751ba","type":"GlyphRenderer"},{"id":"4e8f68cf-e9a6-4d73-b068-8b3c1632ce79","type":"GlyphRenderer"}]},"id":"f111294f-bf96-445b-9c79-13e4783fa6bb","type":"LegendItem"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0.1,0.5,1.0,1.5,2.0,2.5,3.0],"y":[1.023292992280754,1.7782794100389228,10.0,177.82794100389228,10000.0,1778279.410038923,1000000000.0]}},"id":"0a99052d-1820-4c9c-b692-81678fc12d6a","type":"ColumnDataSource"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"848dc8ec-d4d1-471f-a44d-a9a06a2b2d39","type":"Line"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"0ab03de0-eab3-4db7-a506-ba1c944ea08e","type":"PanTool"},{"id":"bf381dd4-c0a4-48ba-8955-e19972880d92","type":"BoxZoomTool"},{"id":"f411d9c4-47f5-4add-a6f8-c143576a9e69","type":"ResetTool"},{"id":"08c33370-f597-4f38-948c-a470efbcc239","type":"SaveTool"}]},"id":"92e4dbd4-7697-4951-afea-bbb923477505","type":"Toolbar"},{"attributes":{"source":{"id":"ae4768a2-d31f-475a-b2fa-18f01689e8b0","type":"ColumnDataSource"}},"id":"6af90bbb-5339-4213-b70d-3362f5901489","type":"CDSView"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"9a413479-62a9-43ca-9168-30d218967e65","type":"Line"},{"attributes":{"line_color":{"value":"red"},"x":{"field":"x"},"y":{"field":"y"}},"id":"f4ed926a-b2d6-47e6-acfc-a41d96017a5a","type":"Line"},{"attributes":{"below":[{"id":"5f0cc3cf-8603-4609-a56b-001915fd19cd","type":"LinearAxis"}],"left":[{"id":"c675bb61-622a-4337-8de1-44b850742764","type":"LogAxis"}],"renderers":[{"id":"5f0cc3cf-8603-4609-a56b-001915fd19cd","type":"LinearAxis"},{"id":"24cba9c4-a6dd-41df-85d7-ad4b9e280ffb","type":"Grid"},{"id":"c675bb61-622a-4337-8de1-44b850742764","type":"LogAxis"},{"id":"74a68867-f4d2-4303-b346-01f316fc5da9","type":"Grid"},{"id":"d92bb18d-062d-4259-a10b-1c68a4b17d1f","type":"BoxAnnotation"},{"id":"cad4cf69-93fc-46f6-8ea0-70109b3029f7","type":"Legend"},{"id":"a0dd5f2b-b474-40f9-b5fe-2c60f27751ba","type":"GlyphRenderer"},{"id":"4e8f68cf-e9a6-4d73-b068-8b3c1632ce79","type":"GlyphRenderer"},{"id":"56a66fc2-a13b-4023-b5ca-42b57d6f29b0","type":"GlyphRenderer"},{"id":"4184ce25-f2e0-48d3-9aab-7ab7cbc9dbcf","type":"GlyphRenderer"},{"id":"7ce52574-9258-4e2e-a527-13c4fd6bffb2","type":"GlyphRenderer"},{"id":"f9e030cd-06d4-4b5b-9670-104d09668c82","type":"GlyphRenderer"}],"title":{"id":"4d61a703-12df-499c-949f-e4acb5fe184e","type":"Title"},"toolbar":{"id":"92e4dbd4-7697-4951-afea-bbb923477505","type":"Toolbar"},"x_range":{"id":"c374f08e-53b5-4ada-8bff-737627ed2667","type":"DataRange1d"},"x_scale":{"id":"663034b5-4cb8-4c0d-8876-670f2909a783","type":"LinearScale"},"y_range":{"id":"5622a9b7-e7db-482b-b5e5-397964ffd5d5","type":"Range1d"},"y_scale":{"id":"6ff355f2-311d-4328-ae8a-c5b9a3939910","type":"LogScale"}},"id":"e17d2f92-dbc7-4abe-bdcf-73381b41ff72","subtype":"Figure","type":"Plot"},{"attributes":{"overlay":{"id":"d92bb18d-062d-4259-a10b-1c68a4b17d1f","type":"BoxAnnotation"}},"id":"bf381dd4-c0a4-48ba-8955-e19972880d92","type":"BoxZoomTool"},{"attributes":{"source":{"id":"0a99052d-1820-4c9c-b692-81678fc12d6a","type":"ColumnDataSource"}},"id":"ad34c090-18d9-48e4-85db-27e6db1e5dc7","type":"CDSView"},{"attributes":{"source":{"id":"fe3c9c70-5c89-48d2-ad6a-f423eb00c3c0","type":"ColumnDataSource"}},"id":"91120359-b4d9-44cf-b33b-d9978c7bae13","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":6},"x":{"field":"x"},"y":{"field":"y"}},"id":"9d48e437-f089-4d98-99e8-842d1e158803","type":"Circle"},{"attributes":{"source":{"id":"320d576d-e3b3-44b5-ab6a-768597f4817b","type":"ColumnDataSource"}},"id":"71a563c3-944c-427e-852c-28947cce050a","type":"CDSView"},{"attributes":{"items":[{"id":"f111294f-bf96-445b-9c79-13e4783fa6bb","type":"LegendItem"},{"id":"4f6f8bab-b6b4-45f9-a73f-8b07acd2d0db","type":"LegendItem"},{"id":"20226eae-33d8-44bf-8968-f9886ed4109c","type":"LegendItem"},{"id":"53aec6e0-b20d-4d69-8dd9-b5fc1ff522cc","type":"LegendItem"}],"plot":{"id":"e17d2f92-dbc7-4abe-bdcf-73381b41ff72","subtype":"Figure","type":"Plot"}},"id":"cad4cf69-93fc-46f6-8ea0-70109b3029f7","type":"Legend"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_dash":[4,4],"x":{"field":"x"},"y":{"field":"y"}},"id":"c5d331d9-5220-4941-a246-b7d0ec2d7596","type":"Line"},{"attributes":{},"id":"f411d9c4-47f5-4add-a6f8-c143576a9e69","type":"ResetTool"},{"attributes":{"source":{"id":"8bd9bba4-57a2-413d-9ec1-36b359e59f97","type":"ColumnDataSource"}},"id":"f9d3b2cf-8446-4fa6-b1cb-15d3dfa45c64","type":"CDSView"},{"attributes":{"label":{"value":"y=x^2"},"renderers":[{"id":"56a66fc2-a13b-4023-b5ca-42b57d6f29b0","type":"GlyphRenderer"}]},"id":"4f6f8bab-b6b4-45f9-a73f-8b07acd2d0db","type":"LegendItem"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"8b9cfa16-a244-45b5-8084-e1345546720e","type":"Circle"},{"attributes":{"fill_color":{"value":"red"},"line_color":{"value":"red"},"size":{"units":"screen","value":6},"x":{"field":"x"},"y":{"field":"y"}},"id":"a7f31f3f-c481-4b8b-b4a3-ad8c980918c0","type":"Circle"},{"attributes":{"plot":null,"text":"log axis example"},"id":"4d61a703-12df-499c-949f-e4acb5fe184e","type":"Title"},{"attributes":{"axis_label":"sections","formatter":{"id":"eb82e2fa-7c3a-47e1-9388-77a60145e6e0","type":"BasicTickFormatter"},"plot":{"id":"e17d2f92-dbc7-4abe-bdcf-73381b41ff72","subtype":"Figure","type":"Plot"},"ticker":{"id":"ea448634-159c-4611-a112-683ce3d10d67","type":"BasicTicker"}},"id":"5f0cc3cf-8603-4609-a56b-001915fd19cd","type":"LinearAxis"},{"attributes":{"callback":null,"end":100000000000,"start":0.001},"id":"5622a9b7-e7db-482b-b5e5-397964ffd5d5","type":"Range1d"},{"attributes":{"num_minor_ticks":10},"id":"11738598-8507-4204-98b6-6ba1e4e7e5d3","type":"LogTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.1,0.5,1.0,1.5,2.0,2.5,3.0],"y":[1.2589254117941673,3.1622776601683795,10.0,31.622776601683793,100.0,316.22776601683796,1000.0]}},"id":"8bd9bba4-57a2-413d-9ec1-36b359e59f97","type":"ColumnDataSource"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"d92bb18d-062d-4259-a10b-1c68a4b17d1f","type":"BoxAnnotation"},{"attributes":{},"id":"0ab03de0-eab3-4db7-a506-ba1c944ea08e","type":"PanTool"},{"attributes":{"data_source":{"id":"e6990005-15c3-4c21-aaeb-1307a00f529e","type":"ColumnDataSource"},"glyph":{"id":"be755673-e863-4b59-ae8e-fbbdd34b1e89","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"8b9cfa16-a244-45b5-8084-e1345546720e","type":"Circle"},"selection_glyph":null,"view":{"id":"bcdfc3c7-4102-4824-9f1a-e5976be59ff1","type":"CDSView"}},"id":"4e8f68cf-e9a6-4d73-b068-8b3c1632ce79","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"e17d2f92-dbc7-4abe-bdcf-73381b41ff72","subtype":"Figure","type":"Plot"},"ticker":{"id":"11738598-8507-4204-98b6-6ba1e4e7e5d3","type":"LogTicker"}},"id":"74a68867-f4d2-4303-b346-01f316fc5da9","type":"Grid"},{"attributes":{"data_source":{"id":"0a99052d-1820-4c9c-b692-81678fc12d6a","type":"ColumnDataSource"},"glyph":{"id":"3c7d8fec-c93e-41f7-8f14-aeb3b919dd0f","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c5d331d9-5220-4941-a246-b7d0ec2d7596","type":"Line"},"selection_glyph":null,"view":{"id":"ad34c090-18d9-48e4-85db-27e6db1e5dc7","type":"CDSView"}},"id":"f9e030cd-06d4-4b5b-9670-104d09668c82","type":"GlyphRenderer"},{"attributes":{"fill_color":{"value":"white"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"be755673-e863-4b59-ae8e-fbbdd34b1e89","type":"Circle"},{"attributes":{"label":{"value":"y=10^x^2"},"renderers":[{"id":"f9e030cd-06d4-4b5b-9670-104d09668c82","type":"GlyphRenderer"}]},"id":"53aec6e0-b20d-4d69-8dd9-b5fc1ff522cc","type":"LegendItem"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"58572a4b-30ed-42a7-8c8e-12432c84d81b","type":"Line"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.1,0.5,1.0,1.5,2.0,2.5,3.0],"y":[0.010000000000000002,0.25,1.0,2.25,4.0,6.25,9.0]}},"id":"fe3c9c70-5c89-48d2-ad6a-f423eb00c3c0","type":"ColumnDataSource"},{"attributes":{},"id":"ea448634-159c-4611-a112-683ce3d10d67","type":"BasicTicker"},{"attributes":{"plot":{"id":"e17d2f92-dbc7-4abe-bdcf-73381b41ff72","subtype":"Figure","type":"Plot"},"ticker":{"id":"ea448634-159c-4611-a112-683ce3d10d67","type":"BasicTicker"}},"id":"24cba9c4-a6dd-41df-85d7-ad4b9e280ffb","type":"Grid"},{"attributes":{"data_source":{"id":"320d576d-e3b3-44b5-ab6a-768597f4817b","type":"ColumnDataSource"},"glyph":{"id":"9ecc540c-eefa-41d6-b863-673475af6229","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"848dc8ec-d4d1-471f-a44d-a9a06a2b2d39","type":"Line"},"selection_glyph":null,"view":{"id":"71a563c3-944c-427e-852c-28947cce050a","type":"CDSView"}},"id":"a0dd5f2b-b474-40f9-b5fe-2c60f27751ba","type":"GlyphRenderer"},{"attributes":{"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"9ecc540c-eefa-41d6-b863-673475af6229","type":"Line"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.1,0.5,1.0,1.5,2.0,2.5,3.0],"y":[0.1,0.5,1.0,1.5,2.0,2.5,3.0]}},"id":"320d576d-e3b3-44b5-ab6a-768597f4817b","type":"ColumnDataSource"},{"attributes":{},"id":"eb82e2fa-7c3a-47e1-9388-77a60145e6e0","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"ae4768a2-d31f-475a-b2fa-18f01689e8b0","type":"ColumnDataSource"},"glyph":{"id":"f4ed926a-b2d6-47e6-acfc-a41d96017a5a","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"dc1d55ff-99ba-4d11-a5d5-6c5e38e63c6d","type":"Line"},"selection_glyph":null,"view":{"id":"6af90bbb-5339-4213-b70d-3362f5901489","type":"CDSView"}},"id":"4184ce25-f2e0-48d3-9aab-7ab7cbc9dbcf","type":"GlyphRenderer"}],"root_ids":["e17d2f92-dbc7-4abe-bdcf-73381b41ff72"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"5b68090f-9801-47e0-bc65-3f2a9b850816","elementid":"142f1ccc-b9e4-4f08-8f44-b5946c32c456","modelid":"e17d2f92-dbc7-4abe-bdcf-73381b41ff72"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
