(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("323ed68a-4763-4b82-b43f-9a649b8b9539");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '323ed68a-4763-4b82-b43f-9a649b8b9539' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"603a842b-5077-4f72-bcc2-7685badea5ec":{"roots":{"references":[{"attributes":{"callback":null},"id":"1ee5dbb7-3fd8-456b-ac0b-6e44693d35c3","type":"TapTool"},{"attributes":{"data_source":{"id":"7481e757-0f72-4454-ad39-1e8f9604928c","type":"ColumnDataSource"},"glyph":{"id":"cdeb715e-aee1-4b45-8916-f4979880a3c0","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"1bd360e6-63e2-4218-9f7c-480404a50107","type":"Circle"},"selection_glyph":{"id":"b6bdd5c2-ccbe-497d-8441-c9a06d2547e9","type":"Circle"},"view":{"id":"a7097a3c-3e70-4422-ae17-84e97cd1b25a","type":"CDSView"}},"id":"a23d6fc7-fa98-4254-9cbc-c106948e5211","type":"GlyphRenderer"},{"attributes":{},"id":"704d1cba-f4f9-4fd4-868b-3ca0eb16e677","type":"BasicTicker"},{"attributes":{"fill_color":{"value":"firebrick"},"line_color":{"value":null}},"id":"b6bdd5c2-ccbe-497d-8441-c9a06d2547e9","type":"Circle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"1ee5dbb7-3fd8-456b-ac0b-6e44693d35c3","type":"TapTool"}]},"id":"42e0de9a-36c6-45cd-bd6e-8da067d72f67","type":"Toolbar"},{"attributes":{"below":[{"id":"32150a68-8941-4d53-9c74-9dd4ed6d4032","type":"LinearAxis"}],"left":[{"id":"74b7c946-e3e3-4a0c-af8a-af396c47bac7","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"32150a68-8941-4d53-9c74-9dd4ed6d4032","type":"LinearAxis"},{"id":"c2acd18b-55b6-4951-a01c-ff57b098c1ff","type":"Grid"},{"id":"74b7c946-e3e3-4a0c-af8a-af396c47bac7","type":"LinearAxis"},{"id":"ffea7991-eaab-4a0d-96d6-929d344b49ce","type":"Grid"},{"id":"a23d6fc7-fa98-4254-9cbc-c106948e5211","type":"GlyphRenderer"}],"title":{"id":"59b2d42a-be31-4206-b6f3-d937e6eaee6d","type":"Title"},"toolbar":{"id":"42e0de9a-36c6-45cd-bd6e-8da067d72f67","type":"Toolbar"},"x_range":{"id":"faa6f9ab-2f6c-4753-905c-74e703c0ef97","type":"DataRange1d"},"x_scale":{"id":"e4976b84-3fd0-46fa-bab8-f0ec4ee3081e","type":"LinearScale"},"y_range":{"id":"5d02a478-b91d-4d41-b44d-5b8d71d3b991","type":"DataRange1d"},"y_scale":{"id":"70f716f4-a3cd-4667-949d-9951a6484e9f","type":"LinearScale"}},"id":"2c7ce8e2-293a-4461-aa38-26946ab42073","subtype":"Figure","type":"Plot"},{"attributes":{"fill_alpha":{"value":0.2},"fill_color":{"value":"blue"},"line_color":{"value":"firebrick"}},"id":"1bd360e6-63e2-4218-9f7c-480404a50107","type":"Circle"},{"attributes":{"plot":{"id":"2c7ce8e2-293a-4461-aa38-26946ab42073","subtype":"Figure","type":"Plot"},"ticker":{"id":"b11774ae-cb65-4634-93a6-a1aa50804509","type":"BasicTicker"}},"id":"c2acd18b-55b6-4951-a01c-ff57b098c1ff","type":"Grid"},{"attributes":{"callback":null},"id":"faa6f9ab-2f6c-4753-905c-74e703c0ef97","type":"DataRange1d"},{"attributes":{"formatter":{"id":"b4f4ce2e-297b-47aa-8cee-f6f1547f4449","type":"BasicTickFormatter"},"plot":{"id":"2c7ce8e2-293a-4461-aa38-26946ab42073","subtype":"Figure","type":"Plot"},"ticker":{"id":"704d1cba-f4f9-4fd4-868b-3ca0eb16e677","type":"BasicTicker"}},"id":"74b7c946-e3e3-4a0c-af8a-af396c47bac7","type":"LinearAxis"},{"attributes":{"plot":null,"text":"Select a circle"},"id":"59b2d42a-be31-4206-b6f3-d937e6eaee6d","type":"Title"},{"attributes":{"dimension":1,"plot":{"id":"2c7ce8e2-293a-4461-aa38-26946ab42073","subtype":"Figure","type":"Plot"},"ticker":{"id":"704d1cba-f4f9-4fd4-868b-3ca0eb16e677","type":"BasicTicker"}},"id":"ffea7991-eaab-4a0d-96d6-929d344b49ce","type":"Grid"},{"attributes":{},"id":"b4f4ce2e-297b-47aa-8cee-f6f1547f4449","type":"BasicTickFormatter"},{"attributes":{},"id":"fd67cbb7-1675-4e5f-9677-c3038b6c5285","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"7481e757-0f72-4454-ad39-1e8f9604928c","type":"ColumnDataSource"},{"attributes":{},"id":"e4976b84-3fd0-46fa-bab8-f0ec4ee3081e","type":"LinearScale"},{"attributes":{},"id":"70f716f4-a3cd-4667-949d-9951a6484e9f","type":"LinearScale"},{"attributes":{"callback":null},"id":"5d02a478-b91d-4d41-b44d-5b8d71d3b991","type":"DataRange1d"},{"attributes":{"formatter":{"id":"fd67cbb7-1675-4e5f-9677-c3038b6c5285","type":"BasicTickFormatter"},"plot":{"id":"2c7ce8e2-293a-4461-aa38-26946ab42073","subtype":"Figure","type":"Plot"},"ticker":{"id":"b11774ae-cb65-4634-93a6-a1aa50804509","type":"BasicTicker"}},"id":"32150a68-8941-4d53-9c74-9dd4ed6d4032","type":"LinearAxis"},{"attributes":{},"id":"b11774ae-cb65-4634-93a6-a1aa50804509","type":"BasicTicker"},{"attributes":{"source":{"id":"7481e757-0f72-4454-ad39-1e8f9604928c","type":"ColumnDataSource"}},"id":"a7097a3c-3e70-4422-ae17-84e97cd1b25a","type":"CDSView"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":50},"x":{"field":"x"},"y":{"field":"y"}},"id":"cdeb715e-aee1-4b45-8916-f4979880a3c0","type":"Circle"}],"root_ids":["2c7ce8e2-293a-4461-aa38-26946ab42073"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"603a842b-5077-4f72-bcc2-7685badea5ec","elementid":"323ed68a-4763-4b82-b43f-9a649b8b9539","modelid":"2c7ce8e2-293a-4461-aa38-26946ab42073"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
