(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("92f122a8-afe5-4b10-be20-48ea4e8952ba");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '92f122a8-afe5-4b10-be20-48ea4e8952ba' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"36a3c8d5-8e34-4989-8126-d5a6adb8ca76":{"roots":{"references":[{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"81c3226f-0653-4f36-898e-0ca49cdd388a","type":"ColumnDataSource"},{"attributes":{"plot":{"id":"4aff5b59-c21c-486d-a875-1ecc5bd5ad19","subtype":"Figure","type":"Plot"},"ticker":{"id":"94871c2c-efe1-40a9-80be-2062f9a9d248","type":"BasicTicker"}},"id":"428caab9-197f-41d7-ab4c-fc0aa37aed54","type":"Grid"},{"attributes":{},"id":"4f36562f-6491-431a-b8a6-f40ae89ad8b5","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"7c84642f-93df-455a-b7ab-7f8815db4680","type":"TapTool"},{"attributes":{"fill_alpha":{"value":0.2},"fill_color":{"value":"blue"},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":50},"x":{"field":"x"},"y":{"field":"y"}},"id":"e403d3c8-8ee4-4299-bba1-6c63dab5b573","type":"Circle"},{"attributes":{"plot":null,"text":"Select a circle"},"id":"fb54c150-29aa-488f-ac18-595a90bf5359","type":"Title"},{"attributes":{"callback":null},"id":"a4c799fd-abbf-48ed-9e43-0394d5224904","type":"DataRange1d"},{"attributes":{"data_source":{"id":"81c3226f-0653-4f36-898e-0ca49cdd388a","type":"ColumnDataSource"},"glyph":{"id":"9968e257-3eb7-4bba-b300-46e194328381","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e403d3c8-8ee4-4299-bba1-6c63dab5b573","type":"Circle"},"selection_glyph":{"id":"5a1a5c88-392f-49bf-8c68-531f548f86ba","type":"Circle"},"view":{"id":"f4d612a3-d5c5-4ffc-97b6-00f524218296","type":"CDSView"}},"id":"31945277-422b-4428-bce8-82520c1e1cf4","type":"GlyphRenderer"},{"attributes":{"fill_color":{"value":"firebrick"},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":50},"x":{"field":"x"},"y":{"field":"y"}},"id":"5a1a5c88-392f-49bf-8c68-531f548f86ba","type":"Circle"},{"attributes":{"dimension":1,"plot":{"id":"4aff5b59-c21c-486d-a875-1ecc5bd5ad19","subtype":"Figure","type":"Plot"},"ticker":{"id":"61f0f92f-7979-4b59-b305-f4db416fc16d","type":"BasicTicker"}},"id":"9faa2165-08e5-4f18-b648-c178c162df06","type":"Grid"},{"attributes":{"source":{"id":"81c3226f-0653-4f36-898e-0ca49cdd388a","type":"ColumnDataSource"}},"id":"f4d612a3-d5c5-4ffc-97b6-00f524218296","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"7c84642f-93df-455a-b7ab-7f8815db4680","type":"TapTool"}]},"id":"fc62f8d8-5d4b-48be-bc61-e78b1ad23c0c","type":"Toolbar"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":50},"x":{"field":"x"},"y":{"field":"y"}},"id":"9968e257-3eb7-4bba-b300-46e194328381","type":"Circle"},{"attributes":{"below":[{"id":"82673883-b896-4ef8-bb78-5b2de2fa06db","type":"LinearAxis"}],"left":[{"id":"baeb31f2-440a-4889-b465-c438abd2a4d2","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"82673883-b896-4ef8-bb78-5b2de2fa06db","type":"LinearAxis"},{"id":"428caab9-197f-41d7-ab4c-fc0aa37aed54","type":"Grid"},{"id":"baeb31f2-440a-4889-b465-c438abd2a4d2","type":"LinearAxis"},{"id":"9faa2165-08e5-4f18-b648-c178c162df06","type":"Grid"},{"id":"31945277-422b-4428-bce8-82520c1e1cf4","type":"GlyphRenderer"}],"title":{"id":"fb54c150-29aa-488f-ac18-595a90bf5359","type":"Title"},"toolbar":{"id":"fc62f8d8-5d4b-48be-bc61-e78b1ad23c0c","type":"Toolbar"},"x_range":{"id":"a4c799fd-abbf-48ed-9e43-0394d5224904","type":"DataRange1d"},"x_scale":{"id":"e10cf093-1e8d-4524-9fae-77c731b18897","type":"LinearScale"},"y_range":{"id":"98a6e39c-4c58-4803-9724-fdaf32c2720f","type":"DataRange1d"},"y_scale":{"id":"96ae257d-e612-481c-a8ef-f24b991a5add","type":"LinearScale"}},"id":"4aff5b59-c21c-486d-a875-1ecc5bd5ad19","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"e10cf093-1e8d-4524-9fae-77c731b18897","type":"LinearScale"},{"attributes":{},"id":"61f0f92f-7979-4b59-b305-f4db416fc16d","type":"BasicTicker"},{"attributes":{},"id":"96ae257d-e612-481c-a8ef-f24b991a5add","type":"LinearScale"},{"attributes":{"callback":null},"id":"98a6e39c-4c58-4803-9724-fdaf32c2720f","type":"DataRange1d"},{"attributes":{"formatter":{"id":"e9f1175e-7dde-453c-adb2-1599010b3520","type":"BasicTickFormatter"},"plot":{"id":"4aff5b59-c21c-486d-a875-1ecc5bd5ad19","subtype":"Figure","type":"Plot"},"ticker":{"id":"94871c2c-efe1-40a9-80be-2062f9a9d248","type":"BasicTicker"}},"id":"82673883-b896-4ef8-bb78-5b2de2fa06db","type":"LinearAxis"},{"attributes":{"formatter":{"id":"4f36562f-6491-431a-b8a6-f40ae89ad8b5","type":"BasicTickFormatter"},"plot":{"id":"4aff5b59-c21c-486d-a875-1ecc5bd5ad19","subtype":"Figure","type":"Plot"},"ticker":{"id":"61f0f92f-7979-4b59-b305-f4db416fc16d","type":"BasicTicker"}},"id":"baeb31f2-440a-4889-b465-c438abd2a4d2","type":"LinearAxis"},{"attributes":{},"id":"94871c2c-efe1-40a9-80be-2062f9a9d248","type":"BasicTicker"},{"attributes":{},"id":"e9f1175e-7dde-453c-adb2-1599010b3520","type":"BasicTickFormatter"}],"root_ids":["4aff5b59-c21c-486d-a875-1ecc5bd5ad19"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"36a3c8d5-8e34-4989-8126-d5a6adb8ca76","elementid":"92f122a8-afe5-4b10-be20-48ea4e8952ba","modelid":"4aff5b59-c21c-486d-a875-1ecc5bd5ad19"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
