(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("0eaa7244-076b-470a-8861-ea4561f9becd");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '0eaa7244-076b-470a-8861-ea4561f9becd' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"6cc60eea-9315-46a8-b920-fffa93eeda2b":{"roots":{"references":[{"attributes":{},"id":"666b73e5-91ac-43cd-93d9-605b3c2913f1","type":"BasicTicker"},{"attributes":{"source":{"id":"b3ef5815-68d0-4222-966a-e238b22cf192","type":"ColumnDataSource"}},"id":"166b5b04-0076-4ce6-b42a-23b01da852c4","type":"CDSView"},{"attributes":{},"id":"743b0e3a-bb46-4473-ab04-38b0fc5d5ef1","type":"WheelZoomTool"},{"attributes":{},"id":"07dfb5b8-cf99-4abe-849e-48b8370cb0b9","type":"HelpTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"b3ef5815-68d0-4222-966a-e238b22cf192","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"b3ef5815-68d0-4222-966a-e238b22cf192","type":"ColumnDataSource"},"glyph":{"id":"3a8c6482-3b44-4d95-b697-bfc4e756966f","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7db53674-a94f-4ec8-9c94-a13c38db1530","type":"Circle"},"selection_glyph":null,"view":{"id":"166b5b04-0076-4ce6-b42a-23b01da852c4","type":"CDSView"}},"id":"5a5f80d4-fb46-4581-a928-2269e53db7bb","type":"GlyphRenderer"},{"attributes":{"plot":null,"text":""},"id":"cc64d83b-1efa-437e-8964-ce8023dfd7cd","type":"Title"},{"attributes":{},"id":"60cd9cdb-1d93-4884-a9a9-eb76333413c4","type":"BasicTickFormatter"},{"attributes":{},"id":"3e9a683e-61f5-49ac-a21a-839711324851","type":"BasicTickFormatter"},{"attributes":{"axis_label":"Lot Number","axis_label_standoff":30,"axis_label_text_color":{"value":"#aa6666"},"formatter":{"id":"3e9a683e-61f5-49ac-a21a-839711324851","type":"BasicTickFormatter"},"plot":{"id":"bb61d784-223d-4bea-b70e-87fc68e93519","subtype":"Figure","type":"Plot"},"ticker":{"id":"6b55e547-07ad-40db-9135-09425dc9f0b1","type":"BasicTicker"}},"id":"22b1cc7a-0df8-403a-8c1d-b623fe29ed14","type":"LinearAxis"},{"attributes":{},"id":"d141bfec-3fc7-4d08-b826-f06da4b1d251","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"9fa72037-46f8-433d-9168-eda7ce0d4d6a","type":"PanTool"},{"id":"743b0e3a-bb46-4473-ab04-38b0fc5d5ef1","type":"WheelZoomTool"},{"id":"c01dfcf6-8939-4f17-848f-a19b51a3817b","type":"BoxZoomTool"},{"id":"d233b71c-ff8e-469b-8704-d4bfcb965bc2","type":"SaveTool"},{"id":"c046f92a-46d6-4e28-a426-9c37e95074d1","type":"ResetTool"},{"id":"07dfb5b8-cf99-4abe-849e-48b8370cb0b9","type":"HelpTool"}]},"id":"b0d4a3b7-37f9-4e5f-ab23-b2c6e008620c","type":"Toolbar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"7db53674-a94f-4ec8-9c94-a13c38db1530","type":"Circle"},{"attributes":{},"id":"c046f92a-46d6-4e28-a426-9c37e95074d1","type":"ResetTool"},{"attributes":{"below":[{"id":"22b1cc7a-0df8-403a-8c1d-b623fe29ed14","type":"LinearAxis"}],"left":[{"id":"3042c785-3ad9-432e-926f-d19e9a6c1e9a","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"22b1cc7a-0df8-403a-8c1d-b623fe29ed14","type":"LinearAxis"},{"id":"23559ead-a93a-4565-9a37-c2324dd9656b","type":"Grid"},{"id":"3042c785-3ad9-432e-926f-d19e9a6c1e9a","type":"LinearAxis"},{"id":"b5451c49-8b9f-4392-9337-8af035f6611e","type":"Grid"},{"id":"02c437b6-c611-4c27-8c02-cd804e80d381","type":"BoxAnnotation"},{"id":"5a5f80d4-fb46-4581-a928-2269e53db7bb","type":"GlyphRenderer"}],"title":{"id":"cc64d83b-1efa-437e-8964-ce8023dfd7cd","type":"Title"},"toolbar":{"id":"b0d4a3b7-37f9-4e5f-ab23-b2c6e008620c","type":"Toolbar"},"x_range":{"id":"89ea94f2-176d-4654-bda8-e12fbea76a2d","type":"DataRange1d"},"x_scale":{"id":"4208d0d6-7103-45bc-9f76-ad3134cba21a","type":"LinearScale"},"y_range":{"id":"15d02608-832a-4de4-bafa-60a5f13ec0ed","type":"DataRange1d"},"y_scale":{"id":"d141bfec-3fc7-4d08-b826-f06da4b1d251","type":"LinearScale"}},"id":"bb61d784-223d-4bea-b70e-87fc68e93519","subtype":"Figure","type":"Plot"},{"attributes":{"dimension":1,"plot":{"id":"bb61d784-223d-4bea-b70e-87fc68e93519","subtype":"Figure","type":"Plot"},"ticker":{"id":"666b73e5-91ac-43cd-93d9-605b3c2913f1","type":"BasicTicker"}},"id":"b5451c49-8b9f-4392-9337-8af035f6611e","type":"Grid"},{"attributes":{"overlay":{"id":"02c437b6-c611-4c27-8c02-cd804e80d381","type":"BoxAnnotation"}},"id":"c01dfcf6-8939-4f17-848f-a19b51a3817b","type":"BoxZoomTool"},{"attributes":{"axis_label":"Bin Count","formatter":{"id":"60cd9cdb-1d93-4884-a9a9-eb76333413c4","type":"BasicTickFormatter"},"plot":{"id":"bb61d784-223d-4bea-b70e-87fc68e93519","subtype":"Figure","type":"Plot"},"ticker":{"id":"666b73e5-91ac-43cd-93d9-605b3c2913f1","type":"BasicTicker"}},"id":"3042c785-3ad9-432e-926f-d19e9a6c1e9a","type":"LinearAxis"},{"attributes":{"callback":null},"id":"89ea94f2-176d-4654-bda8-e12fbea76a2d","type":"DataRange1d"},{"attributes":{},"id":"6b55e547-07ad-40db-9135-09425dc9f0b1","type":"BasicTicker"},{"attributes":{},"id":"9fa72037-46f8-433d-9168-eda7ce0d4d6a","type":"PanTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"3a8c6482-3b44-4d95-b697-bfc4e756966f","type":"Circle"},{"attributes":{},"id":"d233b71c-ff8e-469b-8704-d4bfcb965bc2","type":"SaveTool"},{"attributes":{"callback":null},"id":"15d02608-832a-4de4-bafa-60a5f13ec0ed","type":"DataRange1d"},{"attributes":{"plot":{"id":"bb61d784-223d-4bea-b70e-87fc68e93519","subtype":"Figure","type":"Plot"},"ticker":{"id":"6b55e547-07ad-40db-9135-09425dc9f0b1","type":"BasicTicker"}},"id":"23559ead-a93a-4565-9a37-c2324dd9656b","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"02c437b6-c611-4c27-8c02-cd804e80d381","type":"BoxAnnotation"},{"attributes":{},"id":"4208d0d6-7103-45bc-9f76-ad3134cba21a","type":"LinearScale"}],"root_ids":["bb61d784-223d-4bea-b70e-87fc68e93519"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"6cc60eea-9315-46a8-b920-fffa93eeda2b","elementid":"0eaa7244-076b-470a-8861-ea4561f9becd","modelid":"bb61d784-223d-4bea-b70e-87fc68e93519"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
