(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("65e7433b-98c5-4d62-b840-af9f22585e0a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '65e7433b-98c5-4d62-b840-af9f22585e0a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"db4cc339-ef26-4572-aea1-fe676534ea71":{"roots":{"references":[{"attributes":{"bounds":[2,4],"formatter":{"id":"2bd31dca-6ee3-4566-b535-8c0587bcb0ab","type":"BasicTickFormatter"},"plot":{"id":"7fd0f045-7eda-4a9f-b750-45c03c511e25","subtype":"Figure","type":"Plot"},"ticker":{"id":"ca375618-3511-4532-9669-c4cb8448a21d","type":"BasicTicker"}},"id":"a7742294-9117-4398-ba84-7dbaa9eb9835","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"7fd0f045-7eda-4a9f-b750-45c03c511e25","subtype":"Figure","type":"Plot"},"ticker":{"id":"3ce4b5ae-7772-4386-8e2f-71c0e937b3fb","type":"BasicTicker"}},"id":"69ee0efd-0587-43b5-8295-8c8f2de4b610","type":"Grid"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"f57b5150-d8bc-438b-a073-8975217b8f9d","type":"Circle"},{"attributes":{},"id":"ca375618-3511-4532-9669-c4cb8448a21d","type":"BasicTicker"},{"attributes":{},"id":"89a5dad9-2c57-4221-beb0-c166510d1807","type":"HelpTool"},{"attributes":{"callback":null},"id":"f7cbec55-6158-4e0d-ad37-8478b4e3d1bb","type":"DataRange1d"},{"attributes":{},"id":"5d4214bc-7ba6-416f-9d93-e20f15b4329d","type":"WheelZoomTool"},{"attributes":{"plot":null,"text":""},"id":"6e991959-0410-4464-ac4e-b539a41f7844","type":"Title"},{"attributes":{"callback":null},"id":"f69584b7-0d06-46f0-8d5f-44dfab2d12fe","type":"DataRange1d"},{"attributes":{},"id":"d5b3b5b1-1f26-4714-96c2-459d2589f636","type":"LinearScale"},{"attributes":{},"id":"c2689f98-6886-4090-a108-575065de58a8","type":"PanTool"},{"attributes":{"formatter":{"id":"80a420c0-957b-4baf-8ba6-fc6b2a530b2e","type":"BasicTickFormatter"},"plot":{"id":"7fd0f045-7eda-4a9f-b750-45c03c511e25","subtype":"Figure","type":"Plot"},"ticker":{"id":"3ce4b5ae-7772-4386-8e2f-71c0e937b3fb","type":"BasicTicker"}},"id":"ffd64b71-6851-4e82-8cb9-37ff882a7001","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"1f1a1610-695e-4a5e-bd39-6d0c5d6a0c89","type":"Circle"},{"attributes":{},"id":"2a2929f9-dab5-43e7-b9ba-8a4a339a0a76","type":"ResetTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c2689f98-6886-4090-a108-575065de58a8","type":"PanTool"},{"id":"5d4214bc-7ba6-416f-9d93-e20f15b4329d","type":"WheelZoomTool"},{"id":"4dedc173-0e95-42b4-8e2d-c477e1ed324c","type":"BoxZoomTool"},{"id":"ea372246-0aba-4a3e-aad1-40ef9847f047","type":"SaveTool"},{"id":"2a2929f9-dab5-43e7-b9ba-8a4a339a0a76","type":"ResetTool"},{"id":"89a5dad9-2c57-4221-beb0-c166510d1807","type":"HelpTool"}]},"id":"a35ac401-d173-4b17-97e3-cfa3f2fa0453","type":"Toolbar"},{"attributes":{"data_source":{"id":"768236bc-daef-46ad-8e5b-a2b11bb6a37f","type":"ColumnDataSource"},"glyph":{"id":"f57b5150-d8bc-438b-a073-8975217b8f9d","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"1f1a1610-695e-4a5e-bd39-6d0c5d6a0c89","type":"Circle"},"selection_glyph":null,"view":{"id":"712bac3c-075f-488b-9d42-dc3df6c74589","type":"CDSView"}},"id":"765ade60-6706-482b-a109-4e4a259d3bcf","type":"GlyphRenderer"},{"attributes":{},"id":"2bd31dca-6ee3-4566-b535-8c0587bcb0ab","type":"BasicTickFormatter"},{"attributes":{},"id":"80a420c0-957b-4baf-8ba6-fc6b2a530b2e","type":"BasicTickFormatter"},{"attributes":{},"id":"ea372246-0aba-4a3e-aad1-40ef9847f047","type":"SaveTool"},{"attributes":{},"id":"3ce4b5ae-7772-4386-8e2f-71c0e937b3fb","type":"BasicTicker"},{"attributes":{"below":[{"id":"a7742294-9117-4398-ba84-7dbaa9eb9835","type":"LinearAxis"}],"left":[{"id":"ffd64b71-6851-4e82-8cb9-37ff882a7001","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"a7742294-9117-4398-ba84-7dbaa9eb9835","type":"LinearAxis"},{"id":"cc64e24b-1f06-40cc-909a-7739b708a148","type":"Grid"},{"id":"ffd64b71-6851-4e82-8cb9-37ff882a7001","type":"LinearAxis"},{"id":"69ee0efd-0587-43b5-8295-8c8f2de4b610","type":"Grid"},{"id":"c6cc2f4a-747d-4dd8-995e-37fcbb080e3a","type":"BoxAnnotation"},{"id":"765ade60-6706-482b-a109-4e4a259d3bcf","type":"GlyphRenderer"}],"title":{"id":"6e991959-0410-4464-ac4e-b539a41f7844","type":"Title"},"toolbar":{"id":"a35ac401-d173-4b17-97e3-cfa3f2fa0453","type":"Toolbar"},"x_range":{"id":"f69584b7-0d06-46f0-8d5f-44dfab2d12fe","type":"DataRange1d"},"x_scale":{"id":"250aea30-845c-4a9b-8850-183b1b624fd9","type":"LinearScale"},"y_range":{"id":"f7cbec55-6158-4e0d-ad37-8478b4e3d1bb","type":"DataRange1d"},"y_scale":{"id":"d5b3b5b1-1f26-4714-96c2-459d2589f636","type":"LinearScale"}},"id":"7fd0f045-7eda-4a9f-b750-45c03c511e25","subtype":"Figure","type":"Plot"},{"attributes":{"overlay":{"id":"c6cc2f4a-747d-4dd8-995e-37fcbb080e3a","type":"BoxAnnotation"}},"id":"4dedc173-0e95-42b4-8e2d-c477e1ed324c","type":"BoxZoomTool"},{"attributes":{},"id":"250aea30-845c-4a9b-8850-183b1b624fd9","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"768236bc-daef-46ad-8e5b-a2b11bb6a37f","type":"ColumnDataSource"},{"attributes":{"source":{"id":"768236bc-daef-46ad-8e5b-a2b11bb6a37f","type":"ColumnDataSource"}},"id":"712bac3c-075f-488b-9d42-dc3df6c74589","type":"CDSView"},{"attributes":{"plot":{"id":"7fd0f045-7eda-4a9f-b750-45c03c511e25","subtype":"Figure","type":"Plot"},"ticker":{"id":"ca375618-3511-4532-9669-c4cb8448a21d","type":"BasicTicker"}},"id":"cc64e24b-1f06-40cc-909a-7739b708a148","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"c6cc2f4a-747d-4dd8-995e-37fcbb080e3a","type":"BoxAnnotation"}],"root_ids":["7fd0f045-7eda-4a9f-b750-45c03c511e25"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"db4cc339-ef26-4572-aea1-fe676534ea71","elementid":"65e7433b-98c5-4d62-b840-af9f22585e0a","modelid":"7fd0f045-7eda-4a9f-b750-45c03c511e25"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
