(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("c6a460d6-e01a-453b-ad7c-9cac5b248fb4");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'c6a460d6-e01a-453b-ad7c-9cac5b248fb4' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"b9b56d41-2f1c-4a1c-afed-67437dcecb82":{"roots":{"references":[{"attributes":{"format":"%5.3f mu"},"id":"af87d46f-c2b1-48e3-97e2-14c69962179a","type":"PrintfTickFormatter"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"ee1e818f-3470-4e40-829b-23d9fa7068c7","type":"Circle"},{"attributes":{},"id":"42a9d99a-741c-494e-91aa-e2b898c63fb5","type":"SaveTool"},{"attributes":{},"id":"86d3d70b-2d3a-4e8f-8525-fb5b358c3701","type":"PanTool"},{"attributes":{},"id":"6558b3fb-86e1-441a-8f33-993a29f072ff","type":"HelpTool"},{"attributes":{"callback":null},"id":"a1d210c7-1bf3-46ab-b384-ae4d78524a60","type":"DataRange1d"},{"attributes":{},"id":"7a8945ae-5472-4f0c-acb0-27680bf16e67","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"3cf42273-0a39-4780-b7d7-2b08470c7da8","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"d6f06476-f6e3-429c-b1cc-9a68253fec88","type":"DataRange1d"},{"attributes":{"source":{"id":"3cf42273-0a39-4780-b7d7-2b08470c7da8","type":"ColumnDataSource"}},"id":"472728a5-6179-4897-a8bd-51e2990f6f8e","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"075d21b6-ada6-428e-b861-be9ef31665b3","type":"Circle"},{"attributes":{"data_source":{"id":"3cf42273-0a39-4780-b7d7-2b08470c7da8","type":"ColumnDataSource"},"glyph":{"id":"ee1e818f-3470-4e40-829b-23d9fa7068c7","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"075d21b6-ada6-428e-b861-be9ef31665b3","type":"Circle"},"selection_glyph":null,"view":{"id":"472728a5-6179-4897-a8bd-51e2990f6f8e","type":"CDSView"}},"id":"f0a45bbf-f4ed-492d-bfe6-6d9a0a9c4d82","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"af87d46f-c2b1-48e3-97e2-14c69962179a","type":"PrintfTickFormatter"},"plot":{"id":"a5ccba28-1a3f-4744-9130-3cecdc6d0251","subtype":"Figure","type":"Plot"},"ticker":{"id":"378a44e3-48f3-4108-813a-5ed118bbc405","type":"BasicTicker"}},"id":"6c63dcbb-44db-4961-a12f-bbaf354e82a1","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"86d3d70b-2d3a-4e8f-8525-fb5b358c3701","type":"PanTool"},{"id":"5f5f81f6-a9b9-4439-976f-21d919b8908c","type":"WheelZoomTool"},{"id":"a53e6dc8-7e64-4283-a73d-30650316ae29","type":"BoxZoomTool"},{"id":"42a9d99a-741c-494e-91aa-e2b898c63fb5","type":"SaveTool"},{"id":"29bebfe7-a707-44f9-a3ae-bf9ef5864249","type":"ResetTool"},{"id":"6558b3fb-86e1-441a-8f33-993a29f072ff","type":"HelpTool"}]},"id":"0ed70cae-e43c-4f43-aafc-2c6a7b4d54ce","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"a5ccba28-1a3f-4744-9130-3cecdc6d0251","subtype":"Figure","type":"Plot"},"ticker":{"id":"378a44e3-48f3-4108-813a-5ed118bbc405","type":"BasicTicker"}},"id":"92718cb1-bce3-4345-96e8-def15eb9b33b","type":"Grid"},{"attributes":{},"id":"7cbec56e-6ddc-4575-9377-687e02a90f5b","type":"LinearScale"},{"attributes":{},"id":"278bd8e4-78e9-44fb-9c47-7ebf98b70010","type":"BasicTicker"},{"attributes":{},"id":"378a44e3-48f3-4108-813a-5ed118bbc405","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"70241192-3f54-457f-8f6c-02ee6395700b","type":"BoxAnnotation"},{"attributes":{},"id":"5f5f81f6-a9b9-4439-976f-21d919b8908c","type":"WheelZoomTool"},{"attributes":{},"id":"29bebfe7-a707-44f9-a3ae-bf9ef5864249","type":"ResetTool"},{"attributes":{"overlay":{"id":"70241192-3f54-457f-8f6c-02ee6395700b","type":"BoxAnnotation"}},"id":"a53e6dc8-7e64-4283-a73d-30650316ae29","type":"BoxZoomTool"},{"attributes":{"plot":{"id":"a5ccba28-1a3f-4744-9130-3cecdc6d0251","subtype":"Figure","type":"Plot"},"ticker":{"id":"278bd8e4-78e9-44fb-9c47-7ebf98b70010","type":"BasicTicker"}},"id":"24cd1856-51d5-42d9-9d2d-45add4ca851e","type":"Grid"},{"attributes":{"plot":null,"text":""},"id":"f6bdaa97-5361-4da8-932f-cdf0e415df5a","type":"Title"},{"attributes":{"below":[{"id":"d894296d-03ae-4cf2-b524-be3b783055b9","type":"LinearAxis"}],"left":[{"id":"6c63dcbb-44db-4961-a12f-bbaf354e82a1","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"d894296d-03ae-4cf2-b524-be3b783055b9","type":"LinearAxis"},{"id":"24cd1856-51d5-42d9-9d2d-45add4ca851e","type":"Grid"},{"id":"6c63dcbb-44db-4961-a12f-bbaf354e82a1","type":"LinearAxis"},{"id":"92718cb1-bce3-4345-96e8-def15eb9b33b","type":"Grid"},{"id":"70241192-3f54-457f-8f6c-02ee6395700b","type":"BoxAnnotation"},{"id":"f0a45bbf-f4ed-492d-bfe6-6d9a0a9c4d82","type":"GlyphRenderer"}],"title":{"id":"f6bdaa97-5361-4da8-932f-cdf0e415df5a","type":"Title"},"toolbar":{"id":"0ed70cae-e43c-4f43-aafc-2c6a7b4d54ce","type":"Toolbar"},"x_range":{"id":"d6f06476-f6e3-429c-b1cc-9a68253fec88","type":"DataRange1d"},"x_scale":{"id":"7a8945ae-5472-4f0c-acb0-27680bf16e67","type":"LinearScale"},"y_range":{"id":"a1d210c7-1bf3-46ab-b384-ae4d78524a60","type":"DataRange1d"},"y_scale":{"id":"7cbec56e-6ddc-4575-9377-687e02a90f5b","type":"LinearScale"}},"id":"a5ccba28-1a3f-4744-9130-3cecdc6d0251","subtype":"Figure","type":"Plot"},{"attributes":{"format":"%4.1e"},"id":"1f1c25a2-e547-4e23-a6d2-ac61aa99633d","type":"PrintfTickFormatter"},{"attributes":{"formatter":{"id":"1f1c25a2-e547-4e23-a6d2-ac61aa99633d","type":"PrintfTickFormatter"},"plot":{"id":"a5ccba28-1a3f-4744-9130-3cecdc6d0251","subtype":"Figure","type":"Plot"},"ticker":{"id":"278bd8e4-78e9-44fb-9c47-7ebf98b70010","type":"BasicTicker"}},"id":"d894296d-03ae-4cf2-b524-be3b783055b9","type":"LinearAxis"}],"root_ids":["a5ccba28-1a3f-4744-9130-3cecdc6d0251"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"b9b56d41-2f1c-4a1c-afed-67437dcecb82","elementid":"c6a460d6-e01a-453b-ad7c-9cac5b248fb4","modelid":"a5ccba28-1a3f-4744-9130-3cecdc6d0251"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
