(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("9229d947-1aae-4d93-a432-0aceb461cb0d");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '9229d947-1aae-4d93-a432-0aceb461cb0d' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"1a856d25-e24f-4228-8856-7f2fc810f3ae":{"roots":{"references":[{"attributes":{},"id":"fbacbc8d-54b6-4442-9d6b-5f2dd5454b44","type":"BasicTicker"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"aa7e0462-0db6-4cad-a0a5-33fa0dec9d44","type":"Circle"},{"attributes":{},"id":"a6b95a30-815b-4681-9deb-5b449ae42dc6","type":"SaveTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"433ff49e-9ee1-455a-a08a-29d81052de0b","type":"BoxAnnotation"},{"attributes":{},"id":"165314a3-3f35-4c82-aa8b-808dff159749","type":"ResetTool"},{"attributes":{"dimension":1,"plot":{"id":"cbee45e1-87d0-490c-8546-21392519aa6e","subtype":"Figure","type":"Plot"},"ticker":{"id":"fbacbc8d-54b6-4442-9d6b-5f2dd5454b44","type":"BasicTicker"}},"id":"939f319b-ed8d-4f10-9c4c-5cb42d25165b","type":"Grid"},{"attributes":{},"id":"a92c8063-c146-4938-ae3c-e7f61b6e0cca","type":"LinearScale"},{"attributes":{"plot":{"id":"cbee45e1-87d0-490c-8546-21392519aa6e","subtype":"Figure","type":"Plot"},"ticker":{"id":"495a6aa5-f425-4bc8-942a-a42308b69ea3","type":"BasicTicker"}},"id":"04885b26-33ef-43d3-a550-c5ad49e85d4e","type":"Grid"},{"attributes":{},"id":"937b6480-5b7c-4539-94d1-66c1e0a001d1","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"711a3b06-fb8c-4173-8959-c0696f1830ac","type":"Circle"},{"attributes":{"callback":null},"id":"6f2bdd38-fb58-4b77-be4f-c7a52ffd61c3","type":"DataRange1d"},{"attributes":{"callback":null},"id":"ebda55e2-fdb3-42ed-867a-2a626728c7da","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"c9adebec-e018-49b7-8381-0d971687e1df","type":"ColumnDataSource"},{"attributes":{"source":{"id":"c9adebec-e018-49b7-8381-0d971687e1df","type":"ColumnDataSource"}},"id":"4f347abc-5db2-4cb3-8689-598b955ed3ab","type":"CDSView"},{"attributes":{"overlay":{"id":"433ff49e-9ee1-455a-a08a-29d81052de0b","type":"BoxAnnotation"}},"id":"c7ea4dd9-74ec-47f3-9bd3-b0683694a8da","type":"BoxZoomTool"},{"attributes":{},"id":"495a6aa5-f425-4bc8-942a-a42308b69ea3","type":"BasicTicker"},{"attributes":{},"id":"d091efd1-5393-4593-8aec-0d0c624c9d3d","type":"BasicTickFormatter"},{"attributes":{},"id":"c8834946-4d5a-4785-9bc0-f2475374bb67","type":"WheelZoomTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"dd43518c-491f-4cf3-9321-49434669eb40","type":"PanTool"},{"id":"c8834946-4d5a-4785-9bc0-f2475374bb67","type":"WheelZoomTool"},{"id":"c7ea4dd9-74ec-47f3-9bd3-b0683694a8da","type":"BoxZoomTool"},{"id":"a6b95a30-815b-4681-9deb-5b449ae42dc6","type":"SaveTool"},{"id":"165314a3-3f35-4c82-aa8b-808dff159749","type":"ResetTool"},{"id":"920ce30d-c6aa-4123-b292-250fd532d329","type":"HelpTool"}]},"id":"cd586ee8-af06-47f8-a02e-de7d992dd5b7","type":"Toolbar"},{"attributes":{"formatter":{"id":"d091efd1-5393-4593-8aec-0d0c624c9d3d","type":"BasicTickFormatter"},"major_label_orientation":"vertical","plot":{"id":"cbee45e1-87d0-490c-8546-21392519aa6e","subtype":"Figure","type":"Plot"},"ticker":{"id":"fbacbc8d-54b6-4442-9d6b-5f2dd5454b44","type":"BasicTicker"}},"id":"4b3e2d27-40a3-4177-bb2c-05986d71ad74","type":"LinearAxis"},{"attributes":{},"id":"d58fac9f-5adf-4764-89b8-5072478359ec","type":"LinearScale"},{"attributes":{},"id":"dd43518c-491f-4cf3-9321-49434669eb40","type":"PanTool"},{"attributes":{"formatter":{"id":"937b6480-5b7c-4539-94d1-66c1e0a001d1","type":"BasicTickFormatter"},"major_label_orientation":0.7853981633974483,"plot":{"id":"cbee45e1-87d0-490c-8546-21392519aa6e","subtype":"Figure","type":"Plot"},"ticker":{"id":"495a6aa5-f425-4bc8-942a-a42308b69ea3","type":"BasicTicker"}},"id":"13fc40a6-966c-471a-808a-e97c56721d75","type":"LinearAxis"},{"attributes":{"below":[{"id":"13fc40a6-966c-471a-808a-e97c56721d75","type":"LinearAxis"}],"left":[{"id":"4b3e2d27-40a3-4177-bb2c-05986d71ad74","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"13fc40a6-966c-471a-808a-e97c56721d75","type":"LinearAxis"},{"id":"04885b26-33ef-43d3-a550-c5ad49e85d4e","type":"Grid"},{"id":"4b3e2d27-40a3-4177-bb2c-05986d71ad74","type":"LinearAxis"},{"id":"939f319b-ed8d-4f10-9c4c-5cb42d25165b","type":"Grid"},{"id":"433ff49e-9ee1-455a-a08a-29d81052de0b","type":"BoxAnnotation"},{"id":"d0ed8ccf-8eef-4f12-8c62-ed308a0b9c72","type":"GlyphRenderer"}],"title":{"id":"e040a528-a29d-4b4d-b8af-fab5bab54032","type":"Title"},"toolbar":{"id":"cd586ee8-af06-47f8-a02e-de7d992dd5b7","type":"Toolbar"},"x_range":{"id":"6f2bdd38-fb58-4b77-be4f-c7a52ffd61c3","type":"DataRange1d"},"x_scale":{"id":"d58fac9f-5adf-4764-89b8-5072478359ec","type":"LinearScale"},"y_range":{"id":"ebda55e2-fdb3-42ed-867a-2a626728c7da","type":"DataRange1d"},"y_scale":{"id":"a92c8063-c146-4938-ae3c-e7f61b6e0cca","type":"LinearScale"}},"id":"cbee45e1-87d0-490c-8546-21392519aa6e","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"920ce30d-c6aa-4123-b292-250fd532d329","type":"HelpTool"},{"attributes":{"data_source":{"id":"c9adebec-e018-49b7-8381-0d971687e1df","type":"ColumnDataSource"},"glyph":{"id":"aa7e0462-0db6-4cad-a0a5-33fa0dec9d44","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"711a3b06-fb8c-4173-8959-c0696f1830ac","type":"Circle"},"selection_glyph":null,"view":{"id":"4f347abc-5db2-4cb3-8689-598b955ed3ab","type":"CDSView"}},"id":"d0ed8ccf-8eef-4f12-8c62-ed308a0b9c72","type":"GlyphRenderer"},{"attributes":{"plot":null,"text":""},"id":"e040a528-a29d-4b4d-b8af-fab5bab54032","type":"Title"}],"root_ids":["cbee45e1-87d0-490c-8546-21392519aa6e"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"1a856d25-e24f-4228-8856-7f2fc810f3ae","elementid":"9229d947-1aae-4d93-a432-0aceb461cb0d","modelid":"cbee45e1-87d0-490c-8546-21392519aa6e"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
