(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("4a4b7389-3352-4bb0-9cdf-39a2242889f3");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '4a4b7389-3352-4bb0-9cdf-39a2242889f3' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"14cc97d6-ed70-4a22-a2ee-6c204351937a":{"roots":{"references":[{"attributes":{"callback":null},"id":"2410349f-a8b8-47fd-be7c-fb8097446c50","type":"DataRange1d"},{"attributes":{},"id":"e6e87aea-ea54-4529-ab53-04b04be384e9","type":"HelpTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"170ca45b-cfb4-44d5-b5b2-40404df45499","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"c876a89f-65db-42a1-a899-f9662e54c4b4","type":"BasicTickFormatter"},"plot":{"id":"e2ba2088-8635-4797-962a-328498bf8121","subtype":"Figure","type":"Plot"},"ticker":{"id":"8c134e8b-d450-4f19-a4fa-05afb0081aee","type":"BasicTicker"}},"id":"07dafa99-2552-4fd6-815e-08e242f7f2f8","type":"LinearAxis"},{"attributes":{},"id":"7e8461a3-a857-42e2-9539-7d8233c7a5dd","type":"BasicTicker"},{"attributes":{},"id":"c876a89f-65db-42a1-a899-f9662e54c4b4","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"90857d68-caa0-4a96-a1a1-08e90a994ca3","type":"BasicTickFormatter"},"plot":{"id":"e2ba2088-8635-4797-962a-328498bf8121","subtype":"Figure","type":"Plot"},"ticker":{"id":"7e8461a3-a857-42e2-9539-7d8233c7a5dd","type":"BasicTicker"}},"id":"42fb406f-4612-4c94-a0ad-c8faa3d67765","type":"LinearAxis"},{"attributes":{},"id":"90857d68-caa0-4a96-a1a1-08e90a994ca3","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"170ca45b-cfb4-44d5-b5b2-40404df45499","type":"ColumnDataSource"},"glyph":{"id":"988665a7-1d24-44ca-be89-72cd2a70f4e5","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b23ca433-3294-4702-bc08-c6f833709ec8","type":"Circle"},"selection_glyph":null,"view":{"id":"dadd7944-e42f-4d74-a231-707d2b3c3b4e","type":"CDSView"}},"id":"058318b8-f4f7-4ad8-a69c-35728b26c696","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"ad2a398c-834c-4c2a-9f8f-0056b2cc2606","type":"PanTool"},{"id":"2d7b470a-73c7-49f8-9954-4f03b2d05bdc","type":"WheelZoomTool"},{"id":"7400c1e9-42c8-441c-a929-c2e2a69a0d7d","type":"BoxZoomTool"},{"id":"38803096-b6d6-4865-a596-4d7fe41ffa14","type":"SaveTool"},{"id":"f782392d-7793-48fd-80b0-0be160d63f22","type":"ResetTool"},{"id":"e6e87aea-ea54-4529-ab53-04b04be384e9","type":"HelpTool"}]},"id":"407b1f75-9c87-448e-8461-199141c828a0","type":"Toolbar"},{"attributes":{"plot":null,"text":""},"id":"6c4b78ed-99c3-43b7-acf8-c3c0ca3e86ed","type":"Title"},{"attributes":{},"id":"f782392d-7793-48fd-80b0-0be160d63f22","type":"ResetTool"},{"attributes":{"plot":{"id":"e2ba2088-8635-4797-962a-328498bf8121","subtype":"Figure","type":"Plot"},"ticker":{"id":"7e8461a3-a857-42e2-9539-7d8233c7a5dd","type":"BasicTicker"}},"id":"b36fd55a-966a-44ef-9623-1ade92734e86","type":"Grid"},{"attributes":{"dimension":1,"minor_grid_line_alpha":{"value":0.1},"minor_grid_line_color":{"value":"navy"},"plot":{"id":"e2ba2088-8635-4797-962a-328498bf8121","subtype":"Figure","type":"Plot"},"ticker":{"id":"8c134e8b-d450-4f19-a4fa-05afb0081aee","type":"BasicTicker"}},"id":"22f1cda3-4e32-4951-88d6-ebe4bc5cd521","type":"Grid"},{"attributes":{"below":[{"id":"42fb406f-4612-4c94-a0ad-c8faa3d67765","type":"LinearAxis"}],"left":[{"id":"07dafa99-2552-4fd6-815e-08e242f7f2f8","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"42fb406f-4612-4c94-a0ad-c8faa3d67765","type":"LinearAxis"},{"id":"b36fd55a-966a-44ef-9623-1ade92734e86","type":"Grid"},{"id":"07dafa99-2552-4fd6-815e-08e242f7f2f8","type":"LinearAxis"},{"id":"22f1cda3-4e32-4951-88d6-ebe4bc5cd521","type":"Grid"},{"id":"31c0e68d-aa97-4aae-9247-ed21a0ebfc99","type":"BoxAnnotation"},{"id":"058318b8-f4f7-4ad8-a69c-35728b26c696","type":"GlyphRenderer"}],"title":{"id":"6c4b78ed-99c3-43b7-acf8-c3c0ca3e86ed","type":"Title"},"toolbar":{"id":"407b1f75-9c87-448e-8461-199141c828a0","type":"Toolbar"},"x_range":{"id":"2410349f-a8b8-47fd-be7c-fb8097446c50","type":"DataRange1d"},"x_scale":{"id":"8362cceb-936c-4196-9f15-50da40018c4c","type":"LinearScale"},"y_range":{"id":"f602034e-b7ae-404e-87b0-a7bb6ae309da","type":"DataRange1d"},"y_scale":{"id":"dd4f3caa-82b6-4d50-b0ad-ad782dbe58a0","type":"LinearScale"}},"id":"e2ba2088-8635-4797-962a-328498bf8121","subtype":"Figure","type":"Plot"},{"attributes":{"source":{"id":"170ca45b-cfb4-44d5-b5b2-40404df45499","type":"ColumnDataSource"}},"id":"dadd7944-e42f-4d74-a231-707d2b3c3b4e","type":"CDSView"},{"attributes":{},"id":"dd4f3caa-82b6-4d50-b0ad-ad782dbe58a0","type":"LinearScale"},{"attributes":{},"id":"2d7b470a-73c7-49f8-9954-4f03b2d05bdc","type":"WheelZoomTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"988665a7-1d24-44ca-be89-72cd2a70f4e5","type":"Circle"},{"attributes":{"callback":null},"id":"f602034e-b7ae-404e-87b0-a7bb6ae309da","type":"DataRange1d"},{"attributes":{},"id":"8c134e8b-d450-4f19-a4fa-05afb0081aee","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"31c0e68d-aa97-4aae-9247-ed21a0ebfc99","type":"BoxAnnotation"},{"attributes":{},"id":"38803096-b6d6-4865-a596-4d7fe41ffa14","type":"SaveTool"},{"attributes":{"overlay":{"id":"31c0e68d-aa97-4aae-9247-ed21a0ebfc99","type":"BoxAnnotation"}},"id":"7400c1e9-42c8-441c-a929-c2e2a69a0d7d","type":"BoxZoomTool"},{"attributes":{},"id":"ad2a398c-834c-4c2a-9f8f-0056b2cc2606","type":"PanTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"b23ca433-3294-4702-bc08-c6f833709ec8","type":"Circle"},{"attributes":{},"id":"8362cceb-936c-4196-9f15-50da40018c4c","type":"LinearScale"}],"root_ids":["e2ba2088-8635-4797-962a-328498bf8121"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"14cc97d6-ed70-4a22-a2ee-6c204351937a","elementid":"4a4b7389-3352-4bb0-9cdf-39a2242889f3","modelid":"e2ba2088-8635-4797-962a-328498bf8121"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
