(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b683cabb-8a12-4945-b53d-eca83aa5c565");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b683cabb-8a12-4945-b53d-eca83aa5c565' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a5ebe97f-8a73-4f54-b2a9-efc5334c8dd8":{"roots":{"references":[{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"5d930b85-a941-4727-9af6-e47b7589064b","type":"BoxAnnotation"},{"attributes":{"overlay":{"id":"5d930b85-a941-4727-9af6-e47b7589064b","type":"BoxAnnotation"}},"id":"55b5fcaa-fa89-43f1-87f1-00fa13f0a06c","type":"BoxZoomTool"},{"attributes":{},"id":"1c4b3e8e-2037-454e-9110-30c915720696","type":"BasicTickFormatter"},{"attributes":{},"id":"c22b04fa-0e1e-4891-a5d5-63f9f50fd850","type":"LinearScale"},{"attributes":{},"id":"ba5e275f-6acc-4131-ae69-b94ec98fdf73","type":"BasicTicker"},{"attributes":{},"id":"4ea7d7c2-72e5-4eb0-882e-c0d0287be3ed","type":"LinearScale"},{"attributes":{"callback":null},"id":"a3e5adab-cf1c-4c5d-9e6a-fa06fdc687ec","type":"DataRange1d"},{"attributes":{},"id":"6474ee28-1119-49ac-ae40-e3064bdf9805","type":"SaveTool"},{"attributes":{"formatter":{"id":"50273054-3ec8-4081-9592-cc27a9215b18","type":"BasicTickFormatter"},"plot":{"id":"4ae2f7da-4255-4ef4-8548-442025a2a66d","subtype":"Figure","type":"Plot"},"ticker":{"id":"b9bd6414-f1d3-49df-b5e5-1d1a1dc72ef8","type":"BasicTicker"}},"id":"3e7b1443-fa09-467b-b1a9-e1f9073f1fde","type":"LinearAxis"},{"attributes":{},"id":"39e6f8ab-68f1-4071-b64c-cb2a36fca024","type":"ResetTool"},{"attributes":{},"id":"0c239fc9-98d5-444e-a0fe-5ca86c4e2298","type":"PanTool"},{"attributes":{},"id":"ba5681d8-9179-435c-a3b1-99eb64e771b9","type":"HelpTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"0c239fc9-98d5-444e-a0fe-5ca86c4e2298","type":"PanTool"},{"id":"b56e80fe-ade7-4382-a805-b7c3032c6481","type":"WheelZoomTool"},{"id":"55b5fcaa-fa89-43f1-87f1-00fa13f0a06c","type":"BoxZoomTool"},{"id":"6474ee28-1119-49ac-ae40-e3064bdf9805","type":"SaveTool"},{"id":"39e6f8ab-68f1-4071-b64c-cb2a36fca024","type":"ResetTool"},{"id":"ba5681d8-9179-435c-a3b1-99eb64e771b9","type":"HelpTool"}]},"id":"6a47b55f-9c43-4b71-b020-b65ba2380ad6","type":"Toolbar"},{"attributes":{},"id":"b56e80fe-ade7-4382-a805-b7c3032c6481","type":"WheelZoomTool"},{"attributes":{"bounds":[2,4],"plot":{"id":"4ae2f7da-4255-4ef4-8548-442025a2a66d","subtype":"Figure","type":"Plot"},"ticker":{"id":"ba5e275f-6acc-4131-ae69-b94ec98fdf73","type":"BasicTicker"}},"id":"23f38141-fbc6-4e24-922c-e21df2112bf6","type":"Grid"},{"attributes":{"callback":null},"id":"930a8232-e14b-49a9-95a7-1076c2d35302","type":"DataRange1d"},{"attributes":{"formatter":{"id":"1c4b3e8e-2037-454e-9110-30c915720696","type":"BasicTickFormatter"},"plot":{"id":"4ae2f7da-4255-4ef4-8548-442025a2a66d","subtype":"Figure","type":"Plot"},"ticker":{"id":"ba5e275f-6acc-4131-ae69-b94ec98fdf73","type":"BasicTicker"}},"id":"c6891507-678e-496a-b72f-96d15f204868","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"bbfc0913-c145-4323-b698-fbc703555098","type":"Circle"},{"attributes":{"below":[{"id":"c6891507-678e-496a-b72f-96d15f204868","type":"LinearAxis"}],"left":[{"id":"3e7b1443-fa09-467b-b1a9-e1f9073f1fde","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"c6891507-678e-496a-b72f-96d15f204868","type":"LinearAxis"},{"id":"23f38141-fbc6-4e24-922c-e21df2112bf6","type":"Grid"},{"id":"3e7b1443-fa09-467b-b1a9-e1f9073f1fde","type":"LinearAxis"},{"id":"2bb14ddc-9aaf-4948-aafa-298e5dee1081","type":"Grid"},{"id":"5d930b85-a941-4727-9af6-e47b7589064b","type":"BoxAnnotation"},{"id":"4823a90c-4ee9-4f4b-b799-944791a0eff4","type":"GlyphRenderer"}],"title":{"id":"0c5f2cec-c197-495c-8a99-b711383e79a7","type":"Title"},"toolbar":{"id":"6a47b55f-9c43-4b71-b020-b65ba2380ad6","type":"Toolbar"},"x_range":{"id":"930a8232-e14b-49a9-95a7-1076c2d35302","type":"DataRange1d"},"x_scale":{"id":"4ea7d7c2-72e5-4eb0-882e-c0d0287be3ed","type":"LinearScale"},"y_range":{"id":"a3e5adab-cf1c-4c5d-9e6a-fa06fdc687ec","type":"DataRange1d"},"y_scale":{"id":"c22b04fa-0e1e-4891-a5d5-63f9f50fd850","type":"LinearScale"}},"id":"4ae2f7da-4255-4ef4-8548-442025a2a66d","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"b9bd6414-f1d3-49df-b5e5-1d1a1dc72ef8","type":"BasicTicker"},{"attributes":{},"id":"50273054-3ec8-4081-9592-cc27a9215b18","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"1be912c8-fca4-4fb2-919f-c8607f51f137","type":"Circle"},{"attributes":{"bounds":[2,4],"dimension":1,"plot":{"id":"4ae2f7da-4255-4ef4-8548-442025a2a66d","subtype":"Figure","type":"Plot"},"ticker":{"id":"b9bd6414-f1d3-49df-b5e5-1d1a1dc72ef8","type":"BasicTicker"}},"id":"2bb14ddc-9aaf-4948-aafa-298e5dee1081","type":"Grid"},{"attributes":{"source":{"id":"f89649b2-efac-4da3-9946-312342b4ec22","type":"ColumnDataSource"}},"id":"12fd2fab-ffce-49a7-ad61-99d9d198c158","type":"CDSView"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"f89649b2-efac-4da3-9946-312342b4ec22","type":"ColumnDataSource"},{"attributes":{"plot":null,"text":""},"id":"0c5f2cec-c197-495c-8a99-b711383e79a7","type":"Title"},{"attributes":{"data_source":{"id":"f89649b2-efac-4da3-9946-312342b4ec22","type":"ColumnDataSource"},"glyph":{"id":"1be912c8-fca4-4fb2-919f-c8607f51f137","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"bbfc0913-c145-4323-b698-fbc703555098","type":"Circle"},"selection_glyph":null,"view":{"id":"12fd2fab-ffce-49a7-ad61-99d9d198c158","type":"CDSView"}},"id":"4823a90c-4ee9-4f4b-b799-944791a0eff4","type":"GlyphRenderer"}],"root_ids":["4ae2f7da-4255-4ef4-8548-442025a2a66d"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a5ebe97f-8a73-4f54-b2a9-efc5334c8dd8","elementid":"b683cabb-8a12-4945-b53d-eca83aa5c565","modelid":"4ae2f7da-4255-4ef4-8548-442025a2a66d"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
