(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("191ae69e-6b86-476e-9eb9-f409e49d1ce6");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '191ae69e-6b86-476e-9eb9-f409e49d1ce6' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"efedfb41-b27d-4481-aab7-dd2708bf6346":{"roots":{"references":[{"attributes":{"callback":null},"id":"1cbf9dfc-613e-40f1-8e03-708981357b0a","type":"Range1d"},{"attributes":{"end":{"id":"de4054ab-9ad0-4665-8910-6a9e60883ed2","type":"VeeHead"},"plot":{"id":"8038756a-1549-4d0a-b590-6832cbcb272e","type":"Plot"},"source":null,"start":null,"x_end":{"value":0.2},"x_start":{"value":0.2},"y_end":{"value":2},"y_start":{"value":2}},"id":"0271b596-4012-499f-9dfb-5d74dd04287e","type":"Arrow"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"c79aa298-cb26-494b-a45c-4a9e3174aaaa","type":"Toolbar"},{"attributes":{"plot":null},"id":"dae57db0-0803-407c-a81c-e7d35cb4666f","type":"OpenHead"},{"attributes":{},"id":"9bc25229-5485-497b-8b60-b886c665187e","type":"LinearScale"},{"attributes":{"plot":null},"id":"de4054ab-9ad0-4665-8910-6a9e60883ed2","type":"VeeHead"},{"attributes":{"end":{"id":"dae57db0-0803-407c-a81c-e7d35cb4666f","type":"OpenHead"},"plot":{"id":"8038756a-1549-4d0a-b590-6832cbcb272e","type":"Plot"},"source":null,"start":null,"x_end":{"value":0.2},"x_start":{"value":0.2},"y_end":{"value":0},"y_start":{"value":0}},"id":"d89eef89-f347-4056-98a2-f18b30656bce","type":"Arrow"},{"attributes":{"plot":null},"id":"f60ab66a-2728-4db9-b145-091f18676c8a","type":"NormalHead"},{"attributes":{"plot":{"id":"8038756a-1549-4d0a-b590-6832cbcb272e","type":"Plot"},"text":"VeeHead","text_baseline":"middle","x":0.2,"x_offset":20,"y":2},"id":"3064c483-4e53-421f-9b74-eacdfd80b30a","type":"Label"},{"attributes":{"min_border_bottom":0,"min_border_left":0,"min_border_right":0,"min_border_top":0,"outline_line_color":{"value":null},"plot_height":105,"plot_width":150,"renderers":[{"id":"d89eef89-f347-4056-98a2-f18b30656bce","type":"Arrow"},{"id":"1faff0df-4f55-4147-9d20-5a49f3bd9bee","type":"Label"},{"id":"de2fbc65-ab6e-4505-addf-144f1cdf1a44","type":"Arrow"},{"id":"7e1ea9b3-53b0-448c-a627-f39c6887b0c4","type":"Label"},{"id":"0271b596-4012-499f-9dfb-5d74dd04287e","type":"Arrow"},{"id":"3064c483-4e53-421f-9b74-eacdfd80b30a","type":"Label"}],"title":{"id":"15a6de91-aaaa-43c5-a50d-cedaec7a4cfa","type":"Title"},"toolbar":{"id":"c79aa298-cb26-494b-a45c-4a9e3174aaaa","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"1cbf9dfc-613e-40f1-8e03-708981357b0a","type":"Range1d"},"x_scale":{"id":"bccdbf63-26c5-4dd6-9f91-94b0b88d03e4","type":"LinearScale"},"y_range":{"id":"bb845eaf-7974-4982-aea1-692259ff731e","type":"Range1d"},"y_scale":{"id":"9bc25229-5485-497b-8b60-b886c665187e","type":"LinearScale"}},"id":"8038756a-1549-4d0a-b590-6832cbcb272e","type":"Plot"},{"attributes":{"plot":{"id":"8038756a-1549-4d0a-b590-6832cbcb272e","type":"Plot"},"text":"OpenHead","text_baseline":"middle","x":0.2,"x_offset":20,"y":0},"id":"1faff0df-4f55-4147-9d20-5a49f3bd9bee","type":"Label"},{"attributes":{"plot":{"id":"8038756a-1549-4d0a-b590-6832cbcb272e","type":"Plot"},"text":"NormalHead","text_baseline":"middle","x":0.2,"x_offset":20,"y":1},"id":"7e1ea9b3-53b0-448c-a627-f39c6887b0c4","type":"Label"},{"attributes":{"end":{"id":"f60ab66a-2728-4db9-b145-091f18676c8a","type":"NormalHead"},"plot":{"id":"8038756a-1549-4d0a-b590-6832cbcb272e","type":"Plot"},"source":null,"start":null,"x_end":{"value":0.2},"x_start":{"value":0.2},"y_end":{"value":1},"y_start":{"value":1}},"id":"de2fbc65-ab6e-4505-addf-144f1cdf1a44","type":"Arrow"},{"attributes":{},"id":"bccdbf63-26c5-4dd6-9f91-94b0b88d03e4","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"15a6de91-aaaa-43c5-a50d-cedaec7a4cfa","type":"Title"},{"attributes":{"callback":null,"end":2.5,"start":-0.5},"id":"bb845eaf-7974-4982-aea1-692259ff731e","type":"Range1d"}],"root_ids":["8038756a-1549-4d0a-b590-6832cbcb272e"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"efedfb41-b27d-4481-aab7-dd2708bf6346","elementid":"191ae69e-6b86-476e-9eb9-f409e49d1ce6","modelid":"8038756a-1549-4d0a-b590-6832cbcb272e"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
