(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("96b0a2d1-73e7-43b3-9436-b2892a256d36");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '96b0a2d1-73e7-43b3-9436-b2892a256d36' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"9d5da002-96f9-441b-b25e-3000a26478a0":{"roots":{"references":[{"attributes":{"below":[{"id":"643291c9-35ec-44f7-89f3-542723c37751","type":"LinearAxis"}],"left":[{"id":"16231a43-741f-41b4-a669-2fcfca17d257","type":"LinearAxis"}],"outline_line_alpha":{"value":0.3},"outline_line_color":{"value":"navy"},"outline_line_width":{"value":7},"plot_height":400,"plot_width":400,"renderers":[{"id":"643291c9-35ec-44f7-89f3-542723c37751","type":"LinearAxis"},{"id":"bb3992f5-f39d-4ae0-b85f-4a7f415229ef","type":"Grid"},{"id":"16231a43-741f-41b4-a669-2fcfca17d257","type":"LinearAxis"},{"id":"2bb065c9-3d74-4004-bc91-3c6594fe2b48","type":"Grid"},{"id":"626e8ab5-7d0b-43b6-9cf0-9194dbaffe98","type":"BoxAnnotation"},{"id":"e724b7e5-dc54-4c0a-bace-4db4eae3e1f9","type":"GlyphRenderer"}],"title":{"id":"4543b461-2500-416f-892a-34896f29aa46","type":"Title"},"toolbar":{"id":"ab74d7a8-044d-4fe1-8f09-c48c74802369","type":"Toolbar"},"x_range":{"id":"dd211292-64bc-4ddf-9bd2-d35d84133037","type":"DataRange1d"},"x_scale":{"id":"26db10a0-a63b-475f-a010-805361de00e9","type":"LinearScale"},"y_range":{"id":"dacbbad8-2b9a-42f7-9a6d-fa594192c259","type":"DataRange1d"},"y_scale":{"id":"740d91b8-e025-4253-b995-f19cb275b8d4","type":"LinearScale"}},"id":"efa2731d-e03d-486a-a3ad-7fe52e7ca7d6","subtype":"Figure","type":"Plot"},{"attributes":{"overlay":{"id":"626e8ab5-7d0b-43b6-9cf0-9194dbaffe98","type":"BoxAnnotation"}},"id":"f6a9340d-265d-4500-a4f1-13765b01f33b","type":"BoxZoomTool"},{"attributes":{},"id":"aadd2f4b-18bf-4cc9-a99f-ee2f101bb903","type":"ResetTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"1b89d125-e802-4b42-99de-e483a32024a7","type":"PanTool"},{"id":"254bad8c-0fb5-48a9-bcad-03e69602b032","type":"WheelZoomTool"},{"id":"f6a9340d-265d-4500-a4f1-13765b01f33b","type":"BoxZoomTool"},{"id":"5ec4f00f-c3bb-4cbe-a718-3f3f9823928a","type":"SaveTool"},{"id":"aadd2f4b-18bf-4cc9-a99f-ee2f101bb903","type":"ResetTool"},{"id":"25436375-b7f1-44c1-aa2f-3a13dd32d8d5","type":"HelpTool"}]},"id":"ab74d7a8-044d-4fe1-8f09-c48c74802369","type":"Toolbar"},{"attributes":{"plot":null,"text":""},"id":"4543b461-2500-416f-892a-34896f29aa46","type":"Title"},{"attributes":{"data_source":{"id":"7e0e80fc-22ae-433b-8ff9-93299a281df2","type":"ColumnDataSource"},"glyph":{"id":"5881b094-5328-44e2-9588-1835410676d5","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c0327a5f-8bdd-4689-8119-0adc47ade01b","type":"Circle"},"selection_glyph":null,"view":{"id":"89076388-ec4a-448f-969b-542d31f3e2ab","type":"CDSView"}},"id":"e724b7e5-dc54-4c0a-bace-4db4eae3e1f9","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"7e0e80fc-22ae-433b-8ff9-93299a281df2","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"b8e88611-18dd-40d8-8a61-fddea6a82696","type":"BasicTickFormatter"},"plot":{"id":"efa2731d-e03d-486a-a3ad-7fe52e7ca7d6","subtype":"Figure","type":"Plot"},"ticker":{"id":"a228dc67-0b9b-44e7-93b8-e43329dd7f6c","type":"BasicTicker"}},"id":"16231a43-741f-41b4-a669-2fcfca17d257","type":"LinearAxis"},{"attributes":{"plot":{"id":"efa2731d-e03d-486a-a3ad-7fe52e7ca7d6","subtype":"Figure","type":"Plot"},"ticker":{"id":"b2d5e8c3-a28c-49b9-846f-2f307ca7c8f5","type":"BasicTicker"}},"id":"bb3992f5-f39d-4ae0-b85f-4a7f415229ef","type":"Grid"},{"attributes":{},"id":"26db10a0-a63b-475f-a010-805361de00e9","type":"LinearScale"},{"attributes":{"callback":null},"id":"dacbbad8-2b9a-42f7-9a6d-fa594192c259","type":"DataRange1d"},{"attributes":{},"id":"b8e88611-18dd-40d8-8a61-fddea6a82696","type":"BasicTickFormatter"},{"attributes":{},"id":"740d91b8-e025-4253-b995-f19cb275b8d4","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"c0327a5f-8bdd-4689-8119-0adc47ade01b","type":"Circle"},{"attributes":{},"id":"b2d5e8c3-a28c-49b9-846f-2f307ca7c8f5","type":"BasicTicker"},{"attributes":{},"id":"a228dc67-0b9b-44e7-93b8-e43329dd7f6c","type":"BasicTicker"},{"attributes":{"callback":null},"id":"dd211292-64bc-4ddf-9bd2-d35d84133037","type":"DataRange1d"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"5881b094-5328-44e2-9588-1835410676d5","type":"Circle"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"626e8ab5-7d0b-43b6-9cf0-9194dbaffe98","type":"BoxAnnotation"},{"attributes":{},"id":"5091131d-0354-4db8-88f6-43d004b44dc4","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"efa2731d-e03d-486a-a3ad-7fe52e7ca7d6","subtype":"Figure","type":"Plot"},"ticker":{"id":"a228dc67-0b9b-44e7-93b8-e43329dd7f6c","type":"BasicTicker"}},"id":"2bb065c9-3d74-4004-bc91-3c6594fe2b48","type":"Grid"},{"attributes":{},"id":"5ec4f00f-c3bb-4cbe-a718-3f3f9823928a","type":"SaveTool"},{"attributes":{"formatter":{"id":"5091131d-0354-4db8-88f6-43d004b44dc4","type":"BasicTickFormatter"},"plot":{"id":"efa2731d-e03d-486a-a3ad-7fe52e7ca7d6","subtype":"Figure","type":"Plot"},"ticker":{"id":"b2d5e8c3-a28c-49b9-846f-2f307ca7c8f5","type":"BasicTicker"}},"id":"643291c9-35ec-44f7-89f3-542723c37751","type":"LinearAxis"},{"attributes":{},"id":"1b89d125-e802-4b42-99de-e483a32024a7","type":"PanTool"},{"attributes":{},"id":"25436375-b7f1-44c1-aa2f-3a13dd32d8d5","type":"HelpTool"},{"attributes":{},"id":"254bad8c-0fb5-48a9-bcad-03e69602b032","type":"WheelZoomTool"},{"attributes":{"source":{"id":"7e0e80fc-22ae-433b-8ff9-93299a281df2","type":"ColumnDataSource"}},"id":"89076388-ec4a-448f-969b-542d31f3e2ab","type":"CDSView"}],"root_ids":["efa2731d-e03d-486a-a3ad-7fe52e7ca7d6"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"9d5da002-96f9-441b-b25e-3000a26478a0","elementid":"96b0a2d1-73e7-43b3-9436-b2892a256d36","modelid":"efa2731d-e03d-486a-a3ad-7fe52e7ca7d6"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
