(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2f100e57-20c4-4c01-82d3-87ee84364e52");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2f100e57-20c4-4c01-82d3-87ee84364e52' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"bcb92a9a-d62b-42a4-857f-5153c9a6c241":{"roots":{"references":[{"attributes":{},"id":"0b705ab4-2213-4ba9-9226-f58075e033ae","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"a3ad5a80-89e5-4a69-a713-622f2e5f8241","type":"DataRange1d"},{"attributes":{"data_source":{"id":"cbd62a1f-580b-465c-a04d-816104dedcdd","type":"ColumnDataSource"},"glyph":{"id":"a52ae151-2394-4e49-93fd-4076a96c7874","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"becbc574-3f00-4b91-a0d6-9468797cf202","type":"Circle"},"selection_glyph":null,"view":{"id":"885cc6ce-54a9-4ee1-894d-dc1cb5452191","type":"CDSView"}},"id":"86d8bc71-eaf4-4c9e-8757-78f33c2aac7a","type":"GlyphRenderer"},{"attributes":{},"id":"db07a5c0-0e94-4ee7-a356-a8cf7a028566","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"a52ae151-2394-4e49-93fd-4076a96c7874","type":"Circle"},{"attributes":{"formatter":{"id":"db07a5c0-0e94-4ee7-a356-a8cf7a028566","type":"BasicTickFormatter"},"plot":{"id":"a77ea434-e988-4692-b9bf-2ad631895594","subtype":"Figure","type":"Plot"},"ticker":{"id":"73c8182e-3e0a-4db0-b183-96073e931c09","type":"BasicTicker"}},"id":"90936d41-9d16-4b37-aaf4-9dd76f635911","type":"LinearAxis"},{"attributes":{},"id":"eab80702-471a-423b-a00b-0a29d8564e24","type":"LinearScale"},{"attributes":{"below":[{"id":"71ab026e-844b-4d4b-af61-2f33eeb641cb","type":"LinearAxis"}],"left":[{"id":"90936d41-9d16-4b37-aaf4-9dd76f635911","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"71ab026e-844b-4d4b-af61-2f33eeb641cb","type":"LinearAxis"},{"id":"a1dd65ee-39d1-4aba-8aef-581410b43bf0","type":"Grid"},{"id":"90936d41-9d16-4b37-aaf4-9dd76f635911","type":"LinearAxis"},{"id":"bcc506f6-1c5b-4f55-b554-29680b819ab9","type":"Grid"},{"id":"86d8bc71-eaf4-4c9e-8757-78f33c2aac7a","type":"GlyphRenderer"}],"title":{"id":"ce5582d9-5a73-45e6-be88-d9283d487c52","type":"Title"},"toolbar":{"id":"f47f8c0b-9c93-432b-bfd2-bb5b7be16f1a","type":"Toolbar"},"x_range":{"id":"0d2d0394-1ef2-4983-8c87-e4ab048cfd81","type":"DataRange1d"},"x_scale":{"id":"42342368-75b5-42e9-a67d-14e0fffdb613","type":"LinearScale"},"y_range":{"id":"a3ad5a80-89e5-4a69-a713-622f2e5f8241","type":"DataRange1d"},"y_scale":{"id":"eab80702-471a-423b-a00b-0a29d8564e24","type":"LinearScale"}},"id":"a77ea434-e988-4692-b9bf-2ad631895594","subtype":"Figure","type":"Plot"},{"attributes":{"source":{"id":"cbd62a1f-580b-465c-a04d-816104dedcdd","type":"ColumnDataSource"}},"id":"885cc6ce-54a9-4ee1-894d-dc1cb5452191","type":"CDSView"},{"attributes":{"plot":null,"text":"Mouse over the dots"},"id":"ce5582d9-5a73-45e6-be88-d9283d487c52","type":"Title"},{"attributes":{},"id":"7ae7132a-a83b-4126-867f-64930a5b8fa8","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x","desc"],"data":{"desc":["A","b","C","d","E"],"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"cbd62a1f-580b-465c-a04d-816104dedcdd","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"0d2d0394-1ef2-4983-8c87-e4ab048cfd81","type":"DataRange1d"},{"attributes":{"formatter":{"id":"0b705ab4-2213-4ba9-9226-f58075e033ae","type":"BasicTickFormatter"},"plot":{"id":"a77ea434-e988-4692-b9bf-2ad631895594","subtype":"Figure","type":"Plot"},"ticker":{"id":"7ae7132a-a83b-4126-867f-64930a5b8fa8","type":"BasicTicker"}},"id":"71ab026e-844b-4d4b-af61-2f33eeb641cb","type":"LinearAxis"},{"attributes":{"callback":null,"tooltips":[["index","$index"],["(x,y)","($x, $y)"],["desc","@desc"]]},"id":"3fca6fbe-2857-4f80-a7cd-7a5b733c85c0","type":"HoverTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"becbc574-3f00-4b91-a0d6-9468797cf202","type":"Circle"},{"attributes":{},"id":"42342368-75b5-42e9-a67d-14e0fffdb613","type":"LinearScale"},{"attributes":{"plot":{"id":"a77ea434-e988-4692-b9bf-2ad631895594","subtype":"Figure","type":"Plot"},"ticker":{"id":"7ae7132a-a83b-4126-867f-64930a5b8fa8","type":"BasicTicker"}},"id":"a1dd65ee-39d1-4aba-8aef-581410b43bf0","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"3fca6fbe-2857-4f80-a7cd-7a5b733c85c0","type":"HoverTool"}]},"id":"f47f8c0b-9c93-432b-bfd2-bb5b7be16f1a","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"a77ea434-e988-4692-b9bf-2ad631895594","subtype":"Figure","type":"Plot"},"ticker":{"id":"73c8182e-3e0a-4db0-b183-96073e931c09","type":"BasicTicker"}},"id":"bcc506f6-1c5b-4f55-b554-29680b819ab9","type":"Grid"},{"attributes":{},"id":"73c8182e-3e0a-4db0-b183-96073e931c09","type":"BasicTicker"}],"root_ids":["a77ea434-e988-4692-b9bf-2ad631895594"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"bcb92a9a-d62b-42a4-857f-5153c9a6c241","elementid":"2f100e57-20c4-4c01-82d3-87ee84364e52","modelid":"a77ea434-e988-4692-b9bf-2ad631895594"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
