(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("709755fb-3eb2-4486-b53d-d82988cd509c");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '709755fb-3eb2-4486-b53d-d82988cd509c' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"b5b43cd4-5644-4384-919f-3645a761b44c":{"roots":{"references":[{"attributes":{"callback":null},"id":"f6ba0f34-23c9-4b0b-b1b4-be10c6d37cde","type":"DataRange1d"},{"attributes":{},"id":"532f9bf4-7a85-40b7-9d20-d8b6b64a88f0","type":"BasicTicker"},{"attributes":{"end_angle":{"units":"rad","value":4.8},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"inner_radius":{"units":"data","value":0.1},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"outer_radius":{"units":"data","value":0.25},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"218d37bc-615e-407c-8d64-489474c46c14","type":"AnnularWedge"},{"attributes":{"formatter":{"id":"0e527a0d-741c-4328-8233-f12f33b6d8c1","type":"BasicTickFormatter"},"plot":{"id":"51b04287-db4a-4376-a644-696d0e1398f1","subtype":"Figure","type":"Plot"},"ticker":{"id":"532f9bf4-7a85-40b7-9d20-d8b6b64a88f0","type":"BasicTicker"}},"id":"0d5cbebb-0cac-43a7-b923-2aa8518b0e63","type":"LinearAxis"},{"attributes":{},"id":"3fbba802-35e4-4876-b47d-ce61a1396e2b","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"8794571b-8ef6-4fa8-8a66-7946b2b20ca8","type":"BoxAnnotation"},{"attributes":{},"id":"37a8cc1d-f4e7-4c79-92c4-9916d0f4f587","type":"SaveTool"},{"attributes":{"dimension":1,"plot":{"id":"51b04287-db4a-4376-a644-696d0e1398f1","subtype":"Figure","type":"Plot"},"ticker":{"id":"570e1d8d-361c-4af3-99da-1db574b7660a","type":"BasicTicker"}},"id":"591b12c4-1191-4660-8235-bfb804761918","type":"Grid"},{"attributes":{},"id":"c46dac5e-a890-4193-8541-928f0cb89313","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"8794571b-8ef6-4fa8-8a66-7946b2b20ca8","type":"BoxAnnotation"}},"id":"9ff999d3-17dd-4f1e-bd07-22c6a234baad","type":"BoxZoomTool"},{"attributes":{},"id":"0e527a0d-741c-4328-8233-f12f33b6d8c1","type":"BasicTickFormatter"},{"attributes":{},"id":"53df2622-ec26-4bb2-a6a5-822981a5162c","type":"ResetTool"},{"attributes":{"formatter":{"id":"c46dac5e-a890-4193-8541-928f0cb89313","type":"BasicTickFormatter"},"plot":{"id":"51b04287-db4a-4376-a644-696d0e1398f1","subtype":"Figure","type":"Plot"},"ticker":{"id":"570e1d8d-361c-4af3-99da-1db574b7660a","type":"BasicTicker"}},"id":"dc7c79cd-f7c0-4379-9c32-dc215318f28f","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"8d192b4e-5316-4d60-b1b7-018aa600da30","type":"ColumnDataSource"},{"attributes":{},"id":"be9527f1-5b29-4a9c-b153-50e3391d497b","type":"PanTool"},{"attributes":{},"id":"b7fda179-3038-45a1-9008-6a7e71a9b2d6","type":"HelpTool"},{"attributes":{},"id":"e38da589-908a-44cd-b372-dbab75e2adb1","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"16d60eca-3931-4391-8f87-c441de67da39","type":"Title"},{"attributes":{"callback":null},"id":"7f592a37-1878-4430-8f78-1752b27cf36f","type":"DataRange1d"},{"attributes":{},"id":"862e3442-8d27-4a9e-bb24-3e6684ae9e05","type":"WheelZoomTool"},{"attributes":{"end_angle":{"units":"rad","value":4.8},"fill_alpha":{"value":0.6},"fill_color":{"value":"green"},"inner_radius":{"units":"data","value":0.1},"line_alpha":{"value":0.6},"line_color":{"value":"green"},"outer_radius":{"units":"data","value":0.25},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"23db9db9-ebc6-447f-a247-498273f54331","type":"AnnularWedge"},{"attributes":{"data_source":{"id":"8d192b4e-5316-4d60-b1b7-018aa600da30","type":"ColumnDataSource"},"glyph":{"id":"23db9db9-ebc6-447f-a247-498273f54331","type":"AnnularWedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"218d37bc-615e-407c-8d64-489474c46c14","type":"AnnularWedge"},"selection_glyph":null,"view":{"id":"422c7cf7-da0f-462e-97e3-c1a3facb905b","type":"CDSView"}},"id":"9efc8306-44a3-4bc3-bef3-5f89c6b14caf","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"0d5cbebb-0cac-43a7-b923-2aa8518b0e63","type":"LinearAxis"}],"left":[{"id":"dc7c79cd-f7c0-4379-9c32-dc215318f28f","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"0d5cbebb-0cac-43a7-b923-2aa8518b0e63","type":"LinearAxis"},{"id":"e20eaa8a-a7c3-48b6-8dd8-98e0d3f0468e","type":"Grid"},{"id":"dc7c79cd-f7c0-4379-9c32-dc215318f28f","type":"LinearAxis"},{"id":"591b12c4-1191-4660-8235-bfb804761918","type":"Grid"},{"id":"8794571b-8ef6-4fa8-8a66-7946b2b20ca8","type":"BoxAnnotation"},{"id":"9efc8306-44a3-4bc3-bef3-5f89c6b14caf","type":"GlyphRenderer"}],"title":{"id":"16d60eca-3931-4391-8f87-c441de67da39","type":"Title"},"toolbar":{"id":"b9718459-834b-4b82-b27f-98eee17c6605","type":"Toolbar"},"x_range":{"id":"f6ba0f34-23c9-4b0b-b1b4-be10c6d37cde","type":"DataRange1d"},"x_scale":{"id":"e38da589-908a-44cd-b372-dbab75e2adb1","type":"LinearScale"},"y_range":{"id":"7f592a37-1878-4430-8f78-1752b27cf36f","type":"DataRange1d"},"y_scale":{"id":"3fbba802-35e4-4876-b47d-ce61a1396e2b","type":"LinearScale"}},"id":"51b04287-db4a-4376-a644-696d0e1398f1","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"570e1d8d-361c-4af3-99da-1db574b7660a","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"be9527f1-5b29-4a9c-b153-50e3391d497b","type":"PanTool"},{"id":"862e3442-8d27-4a9e-bb24-3e6684ae9e05","type":"WheelZoomTool"},{"id":"9ff999d3-17dd-4f1e-bd07-22c6a234baad","type":"BoxZoomTool"},{"id":"37a8cc1d-f4e7-4c79-92c4-9916d0f4f587","type":"SaveTool"},{"id":"53df2622-ec26-4bb2-a6a5-822981a5162c","type":"ResetTool"},{"id":"b7fda179-3038-45a1-9008-6a7e71a9b2d6","type":"HelpTool"}]},"id":"b9718459-834b-4b82-b27f-98eee17c6605","type":"Toolbar"},{"attributes":{"source":{"id":"8d192b4e-5316-4d60-b1b7-018aa600da30","type":"ColumnDataSource"}},"id":"422c7cf7-da0f-462e-97e3-c1a3facb905b","type":"CDSView"},{"attributes":{"plot":{"id":"51b04287-db4a-4376-a644-696d0e1398f1","subtype":"Figure","type":"Plot"},"ticker":{"id":"532f9bf4-7a85-40b7-9d20-d8b6b64a88f0","type":"BasicTicker"}},"id":"e20eaa8a-a7c3-48b6-8dd8-98e0d3f0468e","type":"Grid"}],"root_ids":["51b04287-db4a-4376-a644-696d0e1398f1"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"b5b43cd4-5644-4384-919f-3645a761b44c","elementid":"709755fb-3eb2-4486-b53d-d82988cd509c","modelid":"51b04287-db4a-4376-a644-696d0e1398f1"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
