(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("186aeee4-6350-4dd7-9f20-cd8bb4d9dc72");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '186aeee4-6350-4dd7-9f20-cd8bb4d9dc72' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"041fa950-4202-4d7a-9f25-da35f020041f":{"roots":{"references":[{"attributes":{},"id":"19f3b8b1-c402-435b-ad27-b6cd3446daed","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"4ebbe47f-5eed-4d25-ae90-86e416f18767","subtype":"Figure","type":"Plot"},"ticker":{"id":"61ad820b-9d72-4620-acb3-61edd896c706","type":"BasicTicker"}},"id":"a1c2cfa7-10a0-4400-b4ce-cc446c749eff","type":"Grid"},{"attributes":{"callback":null},"id":"4d9d1b78-1df0-4fee-a53d-11236daf7afd","type":"DataRange1d"},{"attributes":{"plot":{"id":"4ebbe47f-5eed-4d25-ae90-86e416f18767","subtype":"Figure","type":"Plot"},"ticker":{"id":"a961c485-63e9-4bf8-a491-24408809c495","type":"BasicTicker"}},"id":"20f3bd7e-6398-475c-a06b-0c8f6ed0fc28","type":"Grid"},{"attributes":{},"id":"61ad820b-9d72-4620-acb3-61edd896c706","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"e485f791-5fd5-4433-bda7-311df5c51995","type":"BoxAnnotation"},{"attributes":{"callback":null,"column_names":["width","y","x"],"data":{"width":[0.2,0.3,0.1],"x":[1,2,3],"y":[1,2,3]}},"id":"dacff495-ebbe-4550-917b-15d23126b9c5","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"cfaada3c-43c7-4f8c-9c5c-ce734efe3a87","type":"BasicTickFormatter"},"plot":{"id":"4ebbe47f-5eed-4d25-ae90-86e416f18767","subtype":"Figure","type":"Plot"},"ticker":{"id":"a961c485-63e9-4bf8-a491-24408809c495","type":"BasicTicker"}},"id":"1a2fa970-be95-42e8-9a6d-8a76b006ace6","type":"LinearAxis"},{"attributes":{"overlay":{"id":"e485f791-5fd5-4433-bda7-311df5c51995","type":"BoxAnnotation"}},"id":"d6f2dabe-cc3d-4f5e-8e53-7030ecf6ec46","type":"BoxZoomTool"},{"attributes":{},"id":"a2792702-5f07-4031-97f3-1cb7af3cb4ee","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"1a2fa970-be95-42e8-9a6d-8a76b006ace6","type":"LinearAxis"}],"left":[{"id":"32ddd8f5-e1dc-40d6-a0ce-dbb115569ee2","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"1a2fa970-be95-42e8-9a6d-8a76b006ace6","type":"LinearAxis"},{"id":"20f3bd7e-6398-475c-a06b-0c8f6ed0fc28","type":"Grid"},{"id":"32ddd8f5-e1dc-40d6-a0ce-dbb115569ee2","type":"LinearAxis"},{"id":"a1c2cfa7-10a0-4400-b4ce-cc446c749eff","type":"Grid"},{"id":"e485f791-5fd5-4433-bda7-311df5c51995","type":"BoxAnnotation"},{"id":"4321a975-89f8-4f62-a86e-39d8bb9d5f49","type":"GlyphRenderer"}],"title":{"id":"12159d33-9bcc-4bab-b784-557d74d56fd0","type":"Title"},"toolbar":{"id":"f3e18e6d-ccfa-4195-b344-d47a82d465ce","type":"Toolbar"},"x_range":{"id":"4d9d1b78-1df0-4fee-a53d-11236daf7afd","type":"DataRange1d"},"x_scale":{"id":"6994142e-3708-4478-a510-ec1738e821f9","type":"LinearScale"},"y_range":{"id":"306cedab-e5bc-4d52-801e-46ec38cd500b","type":"DataRange1d"},"y_scale":{"id":"19f3b8b1-c402-435b-ad27-b6cd3446daed","type":"LinearScale"}},"id":"4ebbe47f-5eed-4d25-ae90-86e416f18767","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"48c50cbd-cfaf-439f-ba1e-e987362848da","type":"HelpTool"},{"attributes":{"data_source":{"id":"dacff495-ebbe-4550-917b-15d23126b9c5","type":"ColumnDataSource"},"glyph":{"id":"2dd69bd6-3c8e-4361-80c6-e3929e7100c9","type":"Ellipse"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"91dcc175-724f-43f5-bd07-73513006c630","type":"Ellipse"},"selection_glyph":null,"view":{"id":"e0e4e67b-8d17-4cd0-bb09-72ce3f6f28b9","type":"CDSView"}},"id":"4321a975-89f8-4f62-a86e-39d8bb9d5f49","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"306cedab-e5bc-4d52-801e-46ec38cd500b","type":"DataRange1d"},{"attributes":{},"id":"d16685d8-7889-4baa-b132-efdb106e2e99","type":"ResetTool"},{"attributes":{},"id":"cfaada3c-43c7-4f8c-9c5c-ce734efe3a87","type":"BasicTickFormatter"},{"attributes":{},"id":"0cca0766-4121-4430-8bdd-2d458b65646e","type":"SaveTool"},{"attributes":{"plot":null,"text":""},"id":"12159d33-9bcc-4bab-b784-557d74d56fd0","type":"Title"},{"attributes":{"source":{"id":"dacff495-ebbe-4550-917b-15d23126b9c5","type":"ColumnDataSource"}},"id":"e0e4e67b-8d17-4cd0-bb09-72ce3f6f28b9","type":"CDSView"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"data","value":0.3},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"field":"width","units":"data"},"x":{"field":"x"},"y":{"field":"y"}},"id":"91dcc175-724f-43f5-bd07-73513006c630","type":"Ellipse"},{"attributes":{},"id":"35dbfc4e-3c08-41a9-a7df-82411cb64f30","type":"WheelZoomTool"},{"attributes":{},"id":"85883b26-7f75-47f7-ad6b-1734fc271b56","type":"PanTool"},{"attributes":{},"id":"a961c485-63e9-4bf8-a491-24408809c495","type":"BasicTicker"},{"attributes":{},"id":"6994142e-3708-4478-a510-ec1738e821f9","type":"LinearScale"},{"attributes":{"formatter":{"id":"a2792702-5f07-4031-97f3-1cb7af3cb4ee","type":"BasicTickFormatter"},"plot":{"id":"4ebbe47f-5eed-4d25-ae90-86e416f18767","subtype":"Figure","type":"Plot"},"ticker":{"id":"61ad820b-9d72-4620-acb3-61edd896c706","type":"BasicTicker"}},"id":"32ddd8f5-e1dc-40d6-a0ce-dbb115569ee2","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"85883b26-7f75-47f7-ad6b-1734fc271b56","type":"PanTool"},{"id":"35dbfc4e-3c08-41a9-a7df-82411cb64f30","type":"WheelZoomTool"},{"id":"d6f2dabe-cc3d-4f5e-8e53-7030ecf6ec46","type":"BoxZoomTool"},{"id":"0cca0766-4121-4430-8bdd-2d458b65646e","type":"SaveTool"},{"id":"d16685d8-7889-4baa-b132-efdb106e2e99","type":"ResetTool"},{"id":"48c50cbd-cfaf-439f-ba1e-e987362848da","type":"HelpTool"}]},"id":"f3e18e6d-ccfa-4195-b344-d47a82d465ce","type":"Toolbar"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_color":{"value":"#CAB2D6"},"height":{"units":"data","value":0.3},"line_color":{"value":"#CAB2D6"},"width":{"field":"width","units":"data"},"x":{"field":"x"},"y":{"field":"y"}},"id":"2dd69bd6-3c8e-4361-80c6-e3929e7100c9","type":"Ellipse"}],"root_ids":["4ebbe47f-5eed-4d25-ae90-86e416f18767"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"041fa950-4202-4d7a-9f25-da35f020041f","elementid":"186aeee4-6350-4dd7-9f20-cd8bb4d9dc72","modelid":"4ebbe47f-5eed-4d25-ae90-86e416f18767"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
