(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2f7a02e3-35c9-4aca-8a6e-4f0e9e88725b");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2f7a02e3-35c9-4aca-8a6e-4f0e9e88725b' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"c2eec3fe-aec0-42ff-9bad-ada5471a63c7":{"roots":{"references":[{"attributes":{"callback":null,"column_names":["start","end"],"data":{"end":[1,2,3,4,5,6,7,8,10,11,12,13,17,19,21,31,2,3,7,13,17,19,21,30,3,32,7,8,9,13,27,28,7,12,13,10,6,16,10,6,16,32,30,33,33,33,32,33,32,33,32,33,33,32,33,32,33,32,25,27,29,33,25,27,31,31,33,29,33,33,31,32,33,33,32,33,32,33],"start":[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,3,3,3,4,4,5,5,5,6,8,8,8,9,13,14,14,15,15,18,18,19,20,20,22,22,23,23,23,23,23,24,24,24,25,26,26,27,28,28,29,29,30,30,31,31,32]}},"id":"eb889dd6-75f3-47c8-b689-ccb9750046ac","type":"ColumnDataSource"},{"attributes":{"callback":null,"tooltips":null},"id":"d5cb03da-30c6-4264-a641-a2e3182d398c","type":"HoverTool"},{"attributes":{"source":{"id":"0a54533e-fbfd-4054-ae59-565a018d94ed","type":"ColumnDataSource"}},"id":"152db282-58a6-40fe-ba1e-2751221861b4","type":"CDSView"},{"attributes":{"data_source":{"id":"0a54533e-fbfd-4054-ae59-565a018d94ed","type":"ColumnDataSource"},"glyph":{"id":"9b6e20cd-c15f-4e07-a298-6823c71b4a22","type":"Circle"},"hover_glyph":{"id":"d9ff6149-0f3d-4e25-95ef-9bb5fd70474f","type":"Circle"},"muted_glyph":null,"selection_glyph":{"id":"cce00ebb-b6bf-4d79-b066-e85ec64990d5","type":"Circle"},"view":{"id":"152db282-58a6-40fe-ba1e-2751221861b4","type":"CDSView"}},"id":"d41765e4-3aff-468c-b348-481598c557e9","type":"GlyphRenderer"},{"attributes":{},"id":"c7cb87be-a27f-4bcf-a948-2212c63bd189","type":"LinearScale"},{"attributes":{"edge_renderer":{"id":"a4e8ab1f-d7cd-4ea5-88d2-8999afe7b8e6","type":"GlyphRenderer"},"inspection_policy":{"id":"14287c64-84f2-4521-afd6-48f2ff9c4b58","type":"EdgesAndLinkedNodes"},"layout_provider":{"id":"85e4bc9f-0927-45e8-af65-87c37daebf2e","type":"StaticLayoutProvider"},"node_renderer":{"id":"d41765e4-3aff-468c-b348-481598c557e9","type":"GlyphRenderer"},"selection_policy":{"id":"25bce761-6666-45ff-ba54-ed3fe36a4b2d","type":"NodesAndLinkedEdges"}},"id":"ff6b145a-fc21-47e3-aa38-06b194033954","type":"GraphRenderer"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"a31df706-60eb-4c86-83a8-bfe596ec3dc6","type":"Range1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"e4c66a65-1963-401d-8f3c-b85e2891ad18","type":"BoxAnnotation"},{"attributes":{"fill_color":{"value":"#fdae61"},"size":{"units":"screen","value":15}},"id":"cce00ebb-b6bf-4d79-b066-e85ec64990d5","type":"Circle"},{"attributes":{},"id":"14287c64-84f2-4521-afd6-48f2ff9c4b58","type":"EdgesAndLinkedNodes"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"3ce8e72b-ed8a-404d-9d69-75070664d691","type":"Range1d"},{"attributes":{"callback":null},"id":"7b16afa2-ef1c-4300-a877-11cc40cb04ce","type":"TapTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"d5cb03da-30c6-4264-a641-a2e3182d398c","type":"HoverTool"},{"id":"7b16afa2-ef1c-4300-a877-11cc40cb04ce","type":"TapTool"},{"id":"6d5c3c4a-f7ed-4c98-aac1-06f7ee40945b","type":"BoxSelectTool"}]},"id":"bc1c6ffe-7d00-40a1-9c0c-2d492449d28a","type":"Toolbar"},{"attributes":{"fill_color":{"value":"#2b83ba"},"size":{"units":"screen","value":15}},"id":"9b6e20cd-c15f-4e07-a298-6823c71b4a22","type":"Circle"},{"attributes":{"source":{"id":"eb889dd6-75f3-47c8-b689-ccb9750046ac","type":"ColumnDataSource"}},"id":"69a7dec0-bc37-4257-af5d-3bb7e26508f3","type":"CDSView"},{"attributes":{"callback":null,"column_names":["index"],"data":{"index":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33]}},"id":"0a54533e-fbfd-4054-ae59-565a018d94ed","type":"ColumnDataSource"},{"attributes":{"plot":null,"text":"Graph Interaction Demonstration"},"id":"86e141dc-135f-49ba-9e9b-f2f90a0c538a","type":"Title"},{"attributes":{"plot_height":400,"plot_width":400,"renderers":[{"id":"e4c66a65-1963-401d-8f3c-b85e2891ad18","type":"BoxAnnotation"},{"id":"ff6b145a-fc21-47e3-aa38-06b194033954","type":"GraphRenderer"}],"title":{"id":"86e141dc-135f-49ba-9e9b-f2f90a0c538a","type":"Title"},"toolbar":{"id":"bc1c6ffe-7d00-40a1-9c0c-2d492449d28a","type":"Toolbar"},"x_range":{"id":"3ce8e72b-ed8a-404d-9d69-75070664d691","type":"Range1d"},"x_scale":{"id":"c7cb87be-a27f-4bcf-a948-2212c63bd189","type":"LinearScale"},"y_range":{"id":"a31df706-60eb-4c86-83a8-bfe596ec3dc6","type":"Range1d"},"y_scale":{"id":"b079a904-4007-4558-b515-b9ac50c73007","type":"LinearScale"}},"id":"77ffb0ae-3166-49ea-b114-395b1048ff9b","type":"Plot"},{"attributes":{"line_alpha":{"value":0.8},"line_color":{"value":"#CCCCCC"},"line_width":{"value":5}},"id":"5b7cdb70-48e7-43db-967d-df22f85af8de","type":"MultiLine"},{"attributes":{"data_source":{"id":"eb889dd6-75f3-47c8-b689-ccb9750046ac","type":"ColumnDataSource"},"glyph":{"id":"5b7cdb70-48e7-43db-967d-df22f85af8de","type":"MultiLine"},"hover_glyph":{"id":"c27ed544-1998-4bfe-b2f5-c5fd387a7348","type":"MultiLine"},"muted_glyph":null,"selection_glyph":{"id":"d545a729-d4a4-484b-b150-6a4abcdd90e5","type":"MultiLine"},"view":{"id":"69a7dec0-bc37-4257-af5d-3bb7e26508f3","type":"CDSView"}},"id":"a4e8ab1f-d7cd-4ea5-88d2-8999afe7b8e6","type":"GlyphRenderer"},{"attributes":{},"id":"b079a904-4007-4558-b515-b9ac50c73007","type":"LinearScale"},{"attributes":{},"id":"25bce761-6666-45ff-ba54-ed3fe36a4b2d","type":"NodesAndLinkedEdges"},{"attributes":{"fill_color":{"value":"#abdda4"},"size":{"units":"screen","value":15}},"id":"d9ff6149-0f3d-4e25-95ef-9bb5fd70474f","type":"Circle"},{"attributes":{"line_color":{"value":"#fdae61"},"line_width":{"value":5}},"id":"d545a729-d4a4-484b-b150-6a4abcdd90e5","type":"MultiLine"},{"attributes":{"line_color":{"value":"#abdda4"},"line_width":{"value":5}},"id":"c27ed544-1998-4bfe-b2f5-c5fd387a7348","type":"MultiLine"},{"attributes":{"graph_layout":{"0":[1.0,0.0],"1":[0.9829730996839018,0.18374951781657034],"10":[-0.2736629900720829,0.961825643172819],"11":[-0.44573835577653825,0.8951632913550623],"12":[-0.6026346363792563,0.7980172272802396],"13":[-0.739008917220659,0.6736956436465573],"14":[-0.8502171357296142,0.5264321628773557],"15":[-0.9324722294043558,0.36124166618715287],"16":[-0.9829730996839018,0.18374951781657037],"17":[-1.0,1.2246467991473532e-16],"18":[-0.9829730996839018,-0.18374951781657015],"19":[-0.9324722294043557,-0.3612416661871531],"2":[0.9324722294043558,0.3612416661871529],"20":[-0.8502171357296141,-0.5264321628773558],"21":[-0.7390089172206591,-0.6736956436465572],"22":[-0.6026346363792565,-0.7980172272802394],"23":[-0.44573835577653803,-0.8951632913550625],"24":[-0.2736629900720831,-0.961825643172819],"25":[-0.0922683594633019,-0.9957341762950346],"26":[0.09226835946330156,-0.9957341762950346],"27":[0.2736629900720828,-0.961825643172819],"28":[0.44573835577653853,-0.8951632913550622],"29":[0.6026346363792562,-0.7980172272802397],"3":[0.8502171357296142,0.5264321628773557],"30":[0.7390089172206591,-0.6736956436465571],"31":[0.850217135729614,-0.5264321628773562],"32":[0.9324722294043558,-0.361241666187153],"33":[0.9829730996839018,-0.18374951781657006],"4":[0.7390089172206591,0.6736956436465572],"5":[0.6026346363792564,0.7980172272802395],"6":[0.4457383557765383,0.8951632913550623],"7":[0.2736629900720828,0.961825643172819],"8":[0.092268359463302,0.9957341762950345],"9":[-0.09226835946330189,0.9957341762950346]}},"id":"85e4bc9f-0927-45e8-af65-87c37daebf2e","type":"StaticLayoutProvider"},{"attributes":{"callback":null,"overlay":{"id":"e4c66a65-1963-401d-8f3c-b85e2891ad18","type":"BoxAnnotation"}},"id":"6d5c3c4a-f7ed-4c98-aac1-06f7ee40945b","type":"BoxSelectTool"}],"root_ids":["77ffb0ae-3166-49ea-b114-395b1048ff9b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"c2eec3fe-aec0-42ff-9bad-ada5471a63c7","elementid":"2f7a02e3-35c9-4aca-8a6e-4f0e9e88725b","modelid":"77ffb0ae-3166-49ea-b114-395b1048ff9b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
