(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b4d273b1-604a-4cf0-bc67-8cf209a09dff");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b4d273b1-604a-4cf0-bc67-8cf209a09dff' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"3badad0f-0031-487c-8f64-c279ec6fced3":{"roots":{"references":[{"attributes":{"fields":["2015"]},"id":"46ff899a-60ba-47d4-a3ff-7f223f624f7e","type":"Stack"},{"attributes":{"data_source":{"id":"c0160153-96fe-4804-8424-2ae37734a7e4","type":"ColumnDataSource"},"glyph":{"id":"fcccdc62-6899-46d9-aa8b-891a230bf94a","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ce417db2-f0a2-4b4d-85d6-95c09e3f8255","type":"VBar"},"selection_glyph":null,"view":{"id":"e2941846-84d9-411f-a803-1d72f3bcc8a6","type":"CDSView"}},"id":"89d2f033-ea01-4f08-970b-a8543beeee8a","type":"GlyphRenderer"},{"attributes":{"source":{"id":"c0160153-96fe-4804-8424-2ae37734a7e4","type":"ColumnDataSource"}},"id":"83203da9-f806-4b66-91d2-2993d0512b86","type":"CDSView"},{"attributes":{"bottom":{"expr":{"id":"7aadb2b2-8b14-454a-a29c-efe15b51e21f","type":"Stack"}},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"expr":{"id":"46ff899a-60ba-47d4-a3ff-7f223f624f7e","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"ce417db2-f0a2-4b4d-85d6-95c09e3f8255","type":"VBar"},{"attributes":{"dimension":1,"plot":{"id":"ab448e18-7d73-441d-8bce-34d33d2f7306","subtype":"Figure","type":"Plot"},"ticker":{"id":"37056539-fcc1-4626-8331-44797ea094d2","type":"BasicTicker"}},"id":"7be8afd2-19f5-43f2-99b4-b5f7571f754e","type":"Grid"},{"attributes":{},"id":"f64eb946-ccb9-4447-abc3-a3a0eb3b8216","type":"CategoricalScale"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"ab448e18-7d73-441d-8bce-34d33d2f7306","subtype":"Figure","type":"Plot"},"ticker":{"id":"1d5e6fe5-d999-4551-a1d1-dd9f6a0b8024","type":"CategoricalTicker"}},"id":"07316129-0b14-40f2-94c0-e7089f9981d2","type":"Grid"},{"attributes":{"formatter":{"id":"0cc2e2a7-15d1-4756-89d1-24770db10425","type":"CategoricalTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"ab448e18-7d73-441d-8bce-34d33d2f7306","subtype":"Figure","type":"Plot"},"ticker":{"id":"1d5e6fe5-d999-4551-a1d1-dd9f6a0b8024","type":"CategoricalTicker"}},"id":"2567de53-dc11-4c13-90e1-285da19915b9","type":"CategoricalAxis"},{"attributes":{},"id":"37056539-fcc1-4626-8331-44797ea094d2","type":"BasicTicker"},{"attributes":{"bottom":{"expr":{"id":"5b11a45f-9593-4980-a35f-7f1396d46076","type":"Stack"}},"fill_color":{"value":"#718dbf"},"line_color":{"value":"#718dbf"},"top":{"expr":{"id":"0819ee74-eb66-492e-ba87-cf8fc9727be7","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"f9866e88-8136-48bc-9c08-049d04777d0f","type":"VBar"},{"attributes":{"data_source":{"id":"c0160153-96fe-4804-8424-2ae37734a7e4","type":"ColumnDataSource"},"glyph":{"id":"f9866e88-8136-48bc-9c08-049d04777d0f","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"d47a86b7-2348-4c48-aaa3-fe683b9c8636","type":"VBar"},"selection_glyph":null,"view":{"id":"632fa7f7-ace9-44ad-901e-beadde304290","type":"CDSView"}},"id":"00223602-7617-4382-8422-8adae8d30072","type":"GlyphRenderer"},{"attributes":{},"id":"0cc2e2a7-15d1-4756-89d1-24770db10425","type":"CategoricalTickFormatter"},{"attributes":{"label":{"value":"2016"},"renderers":[{"id":"00223602-7617-4382-8422-8adae8d30072","type":"GlyphRenderer"}]},"id":"940bd14e-c62a-43bc-af4d-b36e778f014c","type":"LegendItem"},{"attributes":{"bottom":{"expr":{"id":"7aadb2b2-8b14-454a-a29c-efe15b51e21f","type":"Stack"}},"fill_color":{"value":"#c9d9d3"},"line_color":{"value":"#c9d9d3"},"top":{"expr":{"id":"46ff899a-60ba-47d4-a3ff-7f223f624f7e","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"fcccdc62-6899-46d9-aa8b-891a230bf94a","type":"VBar"},{"attributes":{},"id":"e7ece9af-c452-41f3-a22a-8083b298f2b1","type":"BasicTickFormatter"},{"attributes":{"items":[{"id":"51ea22e1-87b8-46da-9be8-3fe6d7476314","type":"LegendItem"},{"id":"940bd14e-c62a-43bc-af4d-b36e778f014c","type":"LegendItem"},{"id":"e7d363a4-5804-4582-a1f8-3c0576e382cf","type":"LegendItem"}],"location":"top_left","orientation":"horizontal","plot":{"id":"ab448e18-7d73-441d-8bce-34d33d2f7306","subtype":"Figure","type":"Plot"}},"id":"7563a2e3-d4b0-4daa-9e9a-c4725307b697","type":"Legend"},{"attributes":{"source":{"id":"c0160153-96fe-4804-8424-2ae37734a7e4","type":"ColumnDataSource"}},"id":"e2941846-84d9-411f-a803-1d72f3bcc8a6","type":"CDSView"},{"attributes":{"fields":["2015","2016"]},"id":"1b868024-60a6-4715-aeb4-9bb64357dce2","type":"Stack"},{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[2,1,4,3,2,4],"2016":[5,3,4,2,4,6],"2017":[3,2,4,4,5,3],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"c0160153-96fe-4804-8424-2ae37734a7e4","type":"ColumnDataSource"},{"attributes":{"bottom":{"expr":{"id":"5b11a45f-9593-4980-a35f-7f1396d46076","type":"Stack"}},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"expr":{"id":"0819ee74-eb66-492e-ba87-cf8fc9727be7","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"d47a86b7-2348-4c48-aaa3-fe683b9c8636","type":"VBar"},{"attributes":{"bottom":{"expr":{"id":"1b868024-60a6-4715-aeb4-9bb64357dce2","type":"Stack"}},"fill_color":{"value":"#e84d60"},"line_color":{"value":"#e84d60"},"top":{"expr":{"id":"abef3894-6e76-46d9-8cc7-465df7c7351d","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"7499b5c7-07bb-43ee-9438-5082447fe290","type":"VBar"},{"attributes":{"formatter":{"id":"e7ece9af-c452-41f3-a22a-8083b298f2b1","type":"BasicTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"ab448e18-7d73-441d-8bce-34d33d2f7306","subtype":"Figure","type":"Plot"},"ticker":{"id":"37056539-fcc1-4626-8331-44797ea094d2","type":"BasicTicker"}},"id":"ad80c92f-27da-4f1e-b4b3-10661fc3d5e2","type":"LinearAxis"},{"attributes":{"fields":["2015"]},"id":"5b11a45f-9593-4980-a35f-7f1396d46076","type":"Stack"},{"attributes":{"fields":["2015","2016"]},"id":"0819ee74-eb66-492e-ba87-cf8fc9727be7","type":"Stack"},{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"1ee17918-b375-4c40-b118-5f2492010c5f","type":"Title"},{"attributes":{"bottom":{"expr":{"id":"1b868024-60a6-4715-aeb4-9bb64357dce2","type":"Stack"}},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"expr":{"id":"abef3894-6e76-46d9-8cc7-465df7c7351d","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"5779b73a-0fb6-4916-ac76-e08260653a53","type":"VBar"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"b66e9249-7e71-4e60-9160-7cdfe5a8d61f","type":"Toolbar"},{"attributes":{"fields":[]},"id":"7aadb2b2-8b14-454a-a29c-efe15b51e21f","type":"Stack"},{"attributes":{"label":{"value":"2015"},"renderers":[{"id":"89d2f033-ea01-4f08-970b-a8543beeee8a","type":"GlyphRenderer"}]},"id":"51ea22e1-87b8-46da-9be8-3fe6d7476314","type":"LegendItem"},{"attributes":{},"id":"1d5e6fe5-d999-4551-a1d1-dd9f6a0b8024","type":"CategoricalTicker"},{"attributes":{"source":{"id":"c0160153-96fe-4804-8424-2ae37734a7e4","type":"ColumnDataSource"}},"id":"632fa7f7-ace9-44ad-901e-beadde304290","type":"CDSView"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"range_padding":0.1},"id":"ab555e5a-48c9-40e5-bc61-fac88fcc2eef","type":"FactorRange"},{"attributes":{"fields":["2015","2016","2017"]},"id":"abef3894-6e76-46d9-8cc7-465df7c7351d","type":"Stack"},{"attributes":{"below":[{"id":"2567de53-dc11-4c13-90e1-285da19915b9","type":"CategoricalAxis"}],"left":[{"id":"ad80c92f-27da-4f1e-b4b3-10661fc3d5e2","type":"LinearAxis"}],"outline_line_color":{"value":null},"plot_height":350,"renderers":[{"id":"2567de53-dc11-4c13-90e1-285da19915b9","type":"CategoricalAxis"},{"id":"07316129-0b14-40f2-94c0-e7089f9981d2","type":"Grid"},{"id":"ad80c92f-27da-4f1e-b4b3-10661fc3d5e2","type":"LinearAxis"},{"id":"7be8afd2-19f5-43f2-99b4-b5f7571f754e","type":"Grid"},{"id":"7563a2e3-d4b0-4daa-9e9a-c4725307b697","type":"Legend"},{"id":"89d2f033-ea01-4f08-970b-a8543beeee8a","type":"GlyphRenderer"},{"id":"00223602-7617-4382-8422-8adae8d30072","type":"GlyphRenderer"},{"id":"92af73fe-65a7-4e57-8b41-8c628dee64ff","type":"GlyphRenderer"}],"title":{"id":"1ee17918-b375-4c40-b118-5f2492010c5f","type":"Title"},"toolbar":{"id":"b66e9249-7e71-4e60-9160-7cdfe5a8d61f","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"ab555e5a-48c9-40e5-bc61-fac88fcc2eef","type":"FactorRange"},"x_scale":{"id":"f64eb946-ccb9-4447-abc3-a3a0eb3b8216","type":"CategoricalScale"},"y_range":{"id":"ccc455b3-846e-41b4-88eb-ebc65545a2db","type":"DataRange1d"},"y_scale":{"id":"6f7f70fb-b427-4c4b-8ec3-65341b36f8ea","type":"LinearScale"}},"id":"ab448e18-7d73-441d-8bce-34d33d2f7306","subtype":"Figure","type":"Plot"},{"attributes":{"data_source":{"id":"c0160153-96fe-4804-8424-2ae37734a7e4","type":"ColumnDataSource"},"glyph":{"id":"7499b5c7-07bb-43ee-9438-5082447fe290","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"5779b73a-0fb6-4916-ac76-e08260653a53","type":"VBar"},"selection_glyph":null,"view":{"id":"83203da9-f806-4b66-91d2-2993d0512b86","type":"CDSView"}},"id":"92af73fe-65a7-4e57-8b41-8c628dee64ff","type":"GlyphRenderer"},{"attributes":{"label":{"value":"2017"},"renderers":[{"id":"92af73fe-65a7-4e57-8b41-8c628dee64ff","type":"GlyphRenderer"}]},"id":"e7d363a4-5804-4582-a1f8-3c0576e382cf","type":"LegendItem"},{"attributes":{"callback":null,"start":0},"id":"ccc455b3-846e-41b4-88eb-ebc65545a2db","type":"DataRange1d"},{"attributes":{},"id":"6f7f70fb-b427-4c4b-8ec3-65341b36f8ea","type":"LinearScale"}],"root_ids":["ab448e18-7d73-441d-8bce-34d33d2f7306"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"3badad0f-0031-487c-8f64-c279ec6fced3","elementid":"b4d273b1-604a-4cf0-bc67-8cf209a09dff","modelid":"ab448e18-7d73-441d-8bce-34d33d2f7306"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
