(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ce51d947-b87e-4541-8226-3c48b9dc26ae");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ce51d947-b87e-4541-8226-3c48b9dc26ae' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"faa2100a-7600-474a-8db0-4ce560c94115":{"roots":{"references":[{"attributes":{"source":{"id":"b7434d33-168c-4806-9c53-242366c6d5d4","type":"ColumnDataSource"}},"id":"859dc698-4cf6-498d-b914-8776cb9019d1","type":"CDSView"},{"attributes":{},"id":"f8c4fb2f-7280-4fa5-82af-00b958eb3368","type":"StringEditor"},{"attributes":{"callback":null,"column_names":["downloads","dates"],"data":{"dates":[1393632000000.0,1393718400000.0,1393804800000.0,1393891200000.0,1393977600000.0,1394064000000.0,1394150400000.0,1394236800000.0,1394323200000.0,1394409600000.0],"downloads":[91,7,44,71,19,54,97,60,93,80]}},"id":"b7434d33-168c-4806-9c53-242366c6d5d4","type":"ColumnDataSource"},{"attributes":{"editor":{"id":"f8c4fb2f-7280-4fa5-82af-00b958eb3368","type":"StringEditor"},"field":"dates","formatter":{"id":"a65c6aeb-3e51-4a34-b6bd-eadd2d21855e","type":"DateFormatter"},"title":"Date"},"id":"90c5c2f5-2bfa-4375-8e6c-ab5bf6acf52b","type":"TableColumn"},{"attributes":{"columns":[{"id":"90c5c2f5-2bfa-4375-8e6c-ab5bf6acf52b","type":"TableColumn"},{"id":"ee02f5f5-2909-45e5-b647-55b09756eca5","type":"TableColumn"}],"height":280,"source":{"id":"b7434d33-168c-4806-9c53-242366c6d5d4","type":"ColumnDataSource"},"view":{"id":"859dc698-4cf6-498d-b914-8776cb9019d1","type":"CDSView"},"width":400},"id":"584beb68-37cb-4de1-af79-b4fc4a805cc6","type":"DataTable"},{"attributes":{},"id":"6d3c7ed2-435d-4c98-82df-d5d9dcc990e7","type":"StringFormatter"},{"attributes":{},"id":"a65c6aeb-3e51-4a34-b6bd-eadd2d21855e","type":"DateFormatter"},{"attributes":{},"id":"8219c56b-7f5b-4030-979c-fb13e2e7a849","type":"StringEditor"},{"attributes":{"children":[{"id":"584beb68-37cb-4de1-af79-b4fc4a805cc6","type":"DataTable"}]},"id":"042c5312-47e7-47b8-89f9-4c35fb71c2ed","type":"WidgetBox"},{"attributes":{"editor":{"id":"8219c56b-7f5b-4030-979c-fb13e2e7a849","type":"StringEditor"},"field":"downloads","formatter":{"id":"6d3c7ed2-435d-4c98-82df-d5d9dcc990e7","type":"StringFormatter"},"title":"Downloads"},"id":"ee02f5f5-2909-45e5-b647-55b09756eca5","type":"TableColumn"}],"root_ids":["042c5312-47e7-47b8-89f9-4c35fb71c2ed"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"faa2100a-7600-474a-8db0-4ce560c94115","elementid":"ce51d947-b87e-4541-8226-3c48b9dc26ae","modelid":"042c5312-47e7-47b8-89f9-4c35fb71c2ed"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
