(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("7e31277c-a142-4f79-af8a-8473ced15b06");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '7e31277c-a142-4f79-af8a-8473ced15b06' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"7e4e55ab-eac9-4e44-8c1e-59421d2ad33f":{"roots":{"references":[{"attributes":{},"id":"37038343-d970-4985-8ffc-8b4172bc8009","type":"BasicTicker"},{"attributes":{},"id":"e2a80fb9-1818-45a4-a36b-b421816a85fc","type":"WheelZoomTool"},{"attributes":{"overlay":{"id":"779e7e63-94a5-4f32-a38b-69391403d62f","type":"BoxAnnotation"}},"id":"b93ea7ca-0dcb-4af8-8e0a-8094d2b22599","type":"BoxZoomTool"},{"attributes":{},"id":"fe196dd1-1a02-4ef7-9098-132430b725ad","type":"WheelZoomTool"},{"attributes":{},"id":"8e8960f6-4f5a-4522-bf69-5f8363b14fd5","type":"BasicTickFormatter"},{"attributes":{},"id":"6bde100a-a002-49a4-9cfe-c5f4b962937a","type":"ResetTool"},{"attributes":{"callback":null},"id":"9bb6aa07-36e4-46ac-a0f2-8abc0287dfcf","type":"DataRange1d"},{"attributes":{"callback":null},"id":"bb2211b4-e7e0-47ee-97a1-4ea3476caab0","type":"DataRange1d"},{"attributes":{"source":{"id":"a41f835e-6060-4bd5-ab55-2bf42b1116c0","type":"ColumnDataSource"}},"id":"4e5e08f3-2e12-4e0c-beaa-df3326ef6af2","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"779e7e63-94a5-4f32-a38b-69391403d62f","type":"BoxAnnotation"},{"attributes":{},"id":"c01de84f-a71f-425b-8406-4bf8e97555f2","type":"HelpTool"},{"attributes":{"plot":{"id":"c1398adc-0c03-45f8-97e3-bc81e8ffc02e","subtype":"Figure","type":"Plot"},"ticker":{"id":"e5541826-c91d-44bd-8f08-2f8f823f2ccc","type":"BasicTicker"}},"id":"ae21b938-ac4c-46ec-8fcc-dcc1b912416e","type":"Grid"},{"attributes":{},"id":"b384553f-f146-4e6f-b432-5cf34325c930","type":"BasicTicker"},{"attributes":{"callback":null},"id":"46dc4f59-a2a2-4ce3-a8de-82b80487b6a2","type":"DataRange1d"},{"attributes":{"children":[{"id":"6a358510-dbf9-4fc7-b86c-e6a49c6710d7","type":"ToolbarBox"},{"id":"3468d13e-dda2-4747-b9e5-d5b318e5e9fb","type":"Column"}]},"id":"7a343b06-8045-4046-bede-116e670dbf84","type":"Column"},{"attributes":{"sizing_mode":"scale_width","toolbar_location":"above","tools":[{"id":"9af54ec1-6415-4bc3-89b6-d18bf811cfa8","type":"PanTool"},{"id":"c4fd403e-2210-495e-a8b2-43abf25272b0","type":"WheelZoomTool"},{"id":"b93ea7ca-0dcb-4af8-8e0a-8094d2b22599","type":"BoxZoomTool"},{"id":"ab0bd51a-09a1-47b6-9f20-fa46d7d9311c","type":"SaveTool"},{"id":"325526a3-35b8-4135-81c1-dd86b374a861","type":"ResetTool"},{"id":"4e838a2f-ca6b-4d63-8415-0e2d8ed38ccf","type":"HelpTool"},{"id":"e49478fb-32a7-4f08-8a69-418b1b876026","type":"PanTool"},{"id":"e2a80fb9-1818-45a4-a36b-b421816a85fc","type":"WheelZoomTool"},{"id":"e4526aed-ed37-4c31-9aee-466c9c94d16d","type":"BoxZoomTool"},{"id":"d5fb228a-7f6a-406e-b5ef-b057bd40f76d","type":"SaveTool"},{"id":"b70da877-1668-4fac-a47b-d7df8f068dbf","type":"ResetTool"},{"id":"a788d965-da1e-4c1f-9b83-a1ca05aebce4","type":"HelpTool"},{"id":"3d7f5193-167f-49d4-97e3-fcb2b4237140","type":"PanTool"},{"id":"fe196dd1-1a02-4ef7-9098-132430b725ad","type":"WheelZoomTool"},{"id":"7df0626a-ece9-44c5-9e43-51bda0eab872","type":"BoxZoomTool"},{"id":"fef067a4-9b70-403f-b828-b8599fb6149b","type":"SaveTool"},{"id":"6bde100a-a002-49a4-9cfe-c5f4b962937a","type":"ResetTool"},{"id":"c01de84f-a71f-425b-8406-4bf8e97555f2","type":"HelpTool"}]},"id":"6a358510-dbf9-4fc7-b86c-e6a49c6710d7","type":"ToolbarBox"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"82d995a1-6782-44f1-90d5-c8bfdc45c208","type":"BoxAnnotation"},{"attributes":{},"id":"e49478fb-32a7-4f08-8a69-418b1b876026","type":"PanTool"},{"attributes":{},"id":"23352d1b-c6b7-4f8c-b8d6-30b3d336bcaf","type":"LinearScale"},{"attributes":{},"id":"78d99fb4-7e1f-44d0-94e7-555b56b3e64a","type":"BasicTickFormatter"},{"attributes":{},"id":"5ff3dc4f-cab3-43cd-86fe-c70a963ea8c9","type":"LinearScale"},{"attributes":{"plot":{"id":"5530e612-7fe2-4910-8626-9de1a17bbfe7","subtype":"Figure","type":"Plot"},"ticker":{"id":"602b1e9f-288b-43df-a503-286d0f6154d4","type":"BasicTicker"}},"id":"87792ced-3fb6-44e7-8969-3cd86bc5e98e","type":"Grid"},{"attributes":{},"id":"d00216bf-9793-49bf-969d-1aacc058b93f","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"1440837f-d1cd-40ea-8e8e-6273c96b3bae","type":"LinearAxis"}],"left":[{"id":"471639ee-966f-401f-986f-a398f5929014","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"1440837f-d1cd-40ea-8e8e-6273c96b3bae","type":"LinearAxis"},{"id":"87792ced-3fb6-44e7-8969-3cd86bc5e98e","type":"Grid"},{"id":"471639ee-966f-401f-986f-a398f5929014","type":"LinearAxis"},{"id":"f7fa04f9-0925-4069-8bc9-6b1da58b7083","type":"Grid"},{"id":"82d995a1-6782-44f1-90d5-c8bfdc45c208","type":"BoxAnnotation"},{"id":"a340d35a-b9c6-49e2-aa99-343cc9548eeb","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"cde77a55-4d85-4c03-96cb-1b8766dbd74c","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"46dc4f59-a2a2-4ce3-a8de-82b80487b6a2","type":"DataRange1d"},"x_scale":{"id":"70e800f8-5517-4564-9c23-dfb09c90750f","type":"LinearScale"},"y_range":{"id":"9bb6aa07-36e4-46ac-a0f2-8abc0287dfcf","type":"DataRange1d"},"y_scale":{"id":"5ff3dc4f-cab3-43cd-86fe-c70a963ea8c9","type":"LinearScale"}},"id":"5530e612-7fe2-4910-8626-9de1a17bbfe7","subtype":"Figure","type":"Plot"},{"attributes":{"fill_color":{"value":"#440154"},"line_color":{"value":"#440154"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"0d0a065f-1aaa-472e-a9cd-9543a0b43185","type":"Circle"},{"attributes":{"source":{"id":"ac619e9d-23a0-4e6f-b608-d918e86c5020","type":"ColumnDataSource"}},"id":"853f525f-a6e2-4d5e-b5d8-555b58178c3c","type":"CDSView"},{"attributes":{},"id":"70e800f8-5517-4564-9c23-dfb09c90750f","type":"LinearScale"},{"attributes":{},"id":"bce871fc-3bd7-466c-92f1-c628c7e48532","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"5530e612-7fe2-4910-8626-9de1a17bbfe7","subtype":"Figure","type":"Plot"},"ticker":{"id":"d9be12c7-a2b8-4f5c-9f95-2297df4f32b9","type":"BasicTicker"}},"id":"f7fa04f9-0925-4069-8bc9-6b1da58b7083","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"3d7f5193-167f-49d4-97e3-fcb2b4237140","type":"PanTool"},{"id":"fe196dd1-1a02-4ef7-9098-132430b725ad","type":"WheelZoomTool"},{"id":"7df0626a-ece9-44c5-9e43-51bda0eab872","type":"BoxZoomTool"},{"id":"fef067a4-9b70-403f-b828-b8599fb6149b","type":"SaveTool"},{"id":"6bde100a-a002-49a4-9cfe-c5f4b962937a","type":"ResetTool"},{"id":"c01de84f-a71f-425b-8406-4bf8e97555f2","type":"HelpTool"}]},"id":"cde77a55-4d85-4c03-96cb-1b8766dbd74c","type":"Toolbar"},{"attributes":{},"id":"325526a3-35b8-4135-81c1-dd86b374a861","type":"ResetTool"},{"attributes":{"callback":null},"id":"12f41b23-f86a-4495-8b18-abb9beb7f44c","type":"DataRange1d"},{"attributes":{},"id":"671c7bba-6b43-4b9d-b3a5-41183d9a46f0","type":"BasicTickFormatter"},{"attributes":{},"id":"c4fd403e-2210-495e-a8b2-43abf25272b0","type":"WheelZoomTool"},{"attributes":{},"id":"fef067a4-9b70-403f-b828-b8599fb6149b","type":"SaveTool"},{"attributes":{"formatter":{"id":"91b7934e-ff0f-4659-a2e7-2756cf82dd23","type":"BasicTickFormatter"},"plot":{"id":"c1398adc-0c03-45f8-97e3-bc81e8ffc02e","subtype":"Figure","type":"Plot"},"ticker":{"id":"37038343-d970-4985-8ffc-8b4172bc8009","type":"BasicTicker"}},"id":"d269b13e-e003-4639-b31f-268afd89175e","type":"LinearAxis"},{"attributes":{"callback":null},"id":"febd5ca1-70e0-408e-a4a2-d87df78324c7","type":"DataRange1d"},{"attributes":{"formatter":{"id":"5b3420f3-b74f-4edf-8608-e70c9391287f","type":"BasicTickFormatter"},"plot":{"id":"5530e612-7fe2-4910-8626-9de1a17bbfe7","subtype":"Figure","type":"Plot"},"ticker":{"id":"d9be12c7-a2b8-4f5c-9f95-2297df4f32b9","type":"BasicTicker"}},"id":"471639ee-966f-401f-986f-a398f5929014","type":"LinearAxis"},{"attributes":{"formatter":{"id":"78d99fb4-7e1f-44d0-94e7-555b56b3e64a","type":"BasicTickFormatter"},"plot":{"id":"2c4802b1-1620-40ca-9354-97de7dfc2a0e","subtype":"Figure","type":"Plot"},"ticker":{"id":"b384553f-f146-4e6f-b432-5cf34325c930","type":"BasicTicker"}},"id":"6d67d41d-3eb7-41a1-963c-f90d4c9ec46e","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"1d5e9c97-c9fb-4610-b528-e22d6ec364e0","type":"Triangle"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[10,9,8,7,6,5,4,3,2,1,0]}},"id":"b6051108-4f62-4e0f-87dc-ba90b0636fa9","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"2c4802b1-1620-40ca-9354-97de7dfc2a0e","subtype":"Figure","type":"Plot"},"ticker":{"id":"b384553f-f146-4e6f-b432-5cf34325c930","type":"BasicTicker"}},"id":"b2f68188-49f6-4637-a6db-5aca97119fd3","type":"Grid"},{"attributes":{},"id":"ab0bd51a-09a1-47b6-9f20-fa46d7d9311c","type":"SaveTool"},{"attributes":{"source":{"id":"b6051108-4f62-4e0f-87dc-ba90b0636fa9","type":"ColumnDataSource"}},"id":"c2e25dc4-171f-43d2-b898-771b6dc20846","type":"CDSView"},{"attributes":{"height":250,"width":250},"id":"78a12a4c-df19-4488-9180-c428804a388d","type":"Spacer"},{"attributes":{},"id":"e0378d50-1295-48e4-b498-bed106c574c2","type":"LinearScale"},{"attributes":{"children":[{"id":"78a12a4c-df19-4488-9180-c428804a388d","type":"Spacer"},{"id":"5530e612-7fe2-4910-8626-9de1a17bbfe7","subtype":"Figure","type":"Plot"}]},"id":"c6a8e41c-9996-40c8-a86f-3fadb750cd39","type":"Row"},{"attributes":{"below":[{"id":"190920d8-4e1b-499c-82d4-77c7699124cc","type":"LinearAxis"}],"left":[{"id":"d269b13e-e003-4639-b31f-268afd89175e","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"190920d8-4e1b-499c-82d4-77c7699124cc","type":"LinearAxis"},{"id":"ae21b938-ac4c-46ec-8fcc-dcc1b912416e","type":"Grid"},{"id":"d269b13e-e003-4639-b31f-268afd89175e","type":"LinearAxis"},{"id":"7fcd70a3-17ae-4145-98c9-136ef0c72b17","type":"Grid"},{"id":"32b82c71-5be6-4964-b059-58dc70917523","type":"BoxAnnotation"},{"id":"e1ebd38d-a405-49bd-82c2-f72945e2436b","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"9e74dff3-cc3e-4890-b709-6ea29ac12049","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"dd231aeb-309a-45aa-841a-4d4d56647e83","type":"DataRange1d"},"x_scale":{"id":"b0eff9a7-e69a-46a0-8097-18c98e67ec67","type":"LinearScale"},"y_range":{"id":"12f41b23-f86a-4495-8b18-abb9beb7f44c","type":"DataRange1d"},"y_scale":{"id":"23352d1b-c6b7-4f8c-b8d6-30b3d336bcaf","type":"LinearScale"}},"id":"c1398adc-0c03-45f8-97e3-bc81e8ffc02e","subtype":"Figure","type":"Plot"},{"attributes":{"dimension":1,"plot":{"id":"c1398adc-0c03-45f8-97e3-bc81e8ffc02e","subtype":"Figure","type":"Plot"},"ticker":{"id":"37038343-d970-4985-8ffc-8b4172bc8009","type":"BasicTicker"}},"id":"7fcd70a3-17ae-4145-98c9-136ef0c72b17","type":"Grid"},{"attributes":{},"id":"a11b4b11-7935-499f-90db-acfd107e25f8","type":"LinearScale"},{"attributes":{},"id":"d9be12c7-a2b8-4f5c-9f95-2297df4f32b9","type":"BasicTicker"},{"attributes":{},"id":"602b1e9f-288b-43df-a503-286d0f6154d4","type":"BasicTicker"},{"attributes":{"formatter":{"id":"671c7bba-6b43-4b9d-b3a5-41183d9a46f0","type":"BasicTickFormatter"},"plot":{"id":"5530e612-7fe2-4910-8626-9de1a17bbfe7","subtype":"Figure","type":"Plot"},"ticker":{"id":"602b1e9f-288b-43df-a503-286d0f6154d4","type":"BasicTicker"}},"id":"1440837f-d1cd-40ea-8e8e-6273c96b3bae","type":"LinearAxis"},{"attributes":{"formatter":{"id":"d00216bf-9793-49bf-969d-1aacc058b93f","type":"BasicTickFormatter"},"plot":{"id":"2c4802b1-1620-40ca-9354-97de7dfc2a0e","subtype":"Figure","type":"Plot"},"ticker":{"id":"bce871fc-3bd7-466c-92f1-c628c7e48532","type":"BasicTicker"}},"id":"b512ea02-28ed-4f2f-a8e5-325fc17e6d70","type":"LinearAxis"},{"attributes":{"children":[{"id":"549edab3-0ab0-492f-a292-2fc339add47e","type":"Row"},{"id":"c6a8e41c-9996-40c8-a86f-3fadb750cd39","type":"Row"}]},"id":"3468d13e-dda2-4747-b9e5-d5b318e5e9fb","type":"Column"},{"attributes":{"fill_color":{"value":"#208F8C"},"line_color":{"value":"#208F8C"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"ec2c162d-a062-4875-9810-233d711e4af7","type":"Triangle"},{"attributes":{"plot":{"id":"2c4802b1-1620-40ca-9354-97de7dfc2a0e","subtype":"Figure","type":"Plot"},"ticker":{"id":"bce871fc-3bd7-466c-92f1-c628c7e48532","type":"BasicTicker"}},"id":"519a55ff-0a08-4780-932c-6361a632f187","type":"Grid"},{"attributes":{},"id":"e5541826-c91d-44bd-8f08-2f8f823f2ccc","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[0,1,2,3,4,5,6,7,8,9,10]}},"id":"ac619e9d-23a0-4e6f-b608-d918e86c5020","type":"ColumnDataSource"},{"attributes":{},"id":"5b3420f3-b74f-4edf-8608-e70c9391287f","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":"#FDE724"},"line_color":{"value":"#FDE724"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"f9145e8b-8591-482e-bbc3-9dd514c4d754","type":"Square"},{"attributes":{},"id":"4e838a2f-ca6b-4d63-8415-0e2d8ed38ccf","type":"HelpTool"},{"attributes":{},"id":"b0eff9a7-e69a-46a0-8097-18c98e67ec67","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"e3cc1b0f-f067-4457-9830-4dcc88f40bfb","type":"Circle"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"31501743-42ea-4922-af3c-8d8740e7766f","type":"Square"},{"attributes":{"overlay":{"id":"32b82c71-5be6-4964-b059-58dc70917523","type":"BoxAnnotation"}},"id":"e4526aed-ed37-4c31-9aee-466c9c94d16d","type":"BoxZoomTool"},{"attributes":{"below":[{"id":"b512ea02-28ed-4f2f-a8e5-325fc17e6d70","type":"LinearAxis"}],"left":[{"id":"6d67d41d-3eb7-41a1-963c-f90d4c9ec46e","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"b512ea02-28ed-4f2f-a8e5-325fc17e6d70","type":"LinearAxis"},{"id":"519a55ff-0a08-4780-932c-6361a632f187","type":"Grid"},{"id":"6d67d41d-3eb7-41a1-963c-f90d4c9ec46e","type":"LinearAxis"},{"id":"b2f68188-49f6-4637-a6db-5aca97119fd3","type":"Grid"},{"id":"779e7e63-94a5-4f32-a38b-69391403d62f","type":"BoxAnnotation"},{"id":"f70c336a-b0d5-4151-bfa3-8fcda2db946d","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"bb30b4c5-ab51-4925-affc-f4ea39c55a8c","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"febd5ca1-70e0-408e-a4a2-d87df78324c7","type":"DataRange1d"},"x_scale":{"id":"a11b4b11-7935-499f-90db-acfd107e25f8","type":"LinearScale"},"y_range":{"id":"bb2211b4-e7e0-47ee-97a1-4ea3476caab0","type":"DataRange1d"},"y_scale":{"id":"e0378d50-1295-48e4-b498-bed106c574c2","type":"LinearScale"}},"id":"2c4802b1-1620-40ca-9354-97de7dfc2a0e","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"a788d965-da1e-4c1f-9b83-a1ca05aebce4","type":"HelpTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"32b82c71-5be6-4964-b059-58dc70917523","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"8e8960f6-4f5a-4522-bf69-5f8363b14fd5","type":"BasicTickFormatter"},"plot":{"id":"c1398adc-0c03-45f8-97e3-bc81e8ffc02e","subtype":"Figure","type":"Plot"},"ticker":{"id":"e5541826-c91d-44bd-8f08-2f8f823f2ccc","type":"BasicTicker"}},"id":"190920d8-4e1b-499c-82d4-77c7699124cc","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"e49478fb-32a7-4f08-8a69-418b1b876026","type":"PanTool"},{"id":"e2a80fb9-1818-45a4-a36b-b421816a85fc","type":"WheelZoomTool"},{"id":"e4526aed-ed37-4c31-9aee-466c9c94d16d","type":"BoxZoomTool"},{"id":"d5fb228a-7f6a-406e-b5ef-b057bd40f76d","type":"SaveTool"},{"id":"b70da877-1668-4fac-a47b-d7df8f068dbf","type":"ResetTool"},{"id":"a788d965-da1e-4c1f-9b83-a1ca05aebce4","type":"HelpTool"}]},"id":"9e74dff3-cc3e-4890-b709-6ea29ac12049","type":"Toolbar"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"9af54ec1-6415-4bc3-89b6-d18bf811cfa8","type":"PanTool"},{"id":"c4fd403e-2210-495e-a8b2-43abf25272b0","type":"WheelZoomTool"},{"id":"b93ea7ca-0dcb-4af8-8e0a-8094d2b22599","type":"BoxZoomTool"},{"id":"ab0bd51a-09a1-47b6-9f20-fa46d7d9311c","type":"SaveTool"},{"id":"325526a3-35b8-4135-81c1-dd86b374a861","type":"ResetTool"},{"id":"4e838a2f-ca6b-4d63-8415-0e2d8ed38ccf","type":"HelpTool"}]},"id":"bb30b4c5-ab51-4925-affc-f4ea39c55a8c","type":"Toolbar"},{"attributes":{},"id":"91b7934e-ff0f-4659-a2e7-2756cf82dd23","type":"BasicTickFormatter"},{"attributes":{},"id":"9af54ec1-6415-4bc3-89b6-d18bf811cfa8","type":"PanTool"},{"attributes":{},"id":"3d7f5193-167f-49d4-97e3-fcb2b4237140","type":"PanTool"},{"attributes":{"children":[{"id":"2c4802b1-1620-40ca-9354-97de7dfc2a0e","subtype":"Figure","type":"Plot"},{"id":"c1398adc-0c03-45f8-97e3-bc81e8ffc02e","subtype":"Figure","type":"Plot"}]},"id":"549edab3-0ab0-492f-a292-2fc339add47e","type":"Row"},{"attributes":{"data_source":{"id":"b6051108-4f62-4e0f-87dc-ba90b0636fa9","type":"ColumnDataSource"},"glyph":{"id":"ec2c162d-a062-4875-9810-233d711e4af7","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"1d5e9c97-c9fb-4610-b528-e22d6ec364e0","type":"Triangle"},"selection_glyph":null,"view":{"id":"c2e25dc4-171f-43d2-b898-771b6dc20846","type":"CDSView"}},"id":"e1ebd38d-a405-49bd-82c2-f72945e2436b","type":"GlyphRenderer"},{"attributes":{},"id":"d5fb228a-7f6a-406e-b5ef-b057bd40f76d","type":"SaveTool"},{"attributes":{"data_source":{"id":"ac619e9d-23a0-4e6f-b608-d918e86c5020","type":"ColumnDataSource"},"glyph":{"id":"0d0a065f-1aaa-472e-a9cd-9543a0b43185","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e3cc1b0f-f067-4457-9830-4dcc88f40bfb","type":"Circle"},"selection_glyph":null,"view":{"id":"853f525f-a6e2-4d5e-b5d8-555b58178c3c","type":"CDSView"}},"id":"f70c336a-b0d5-4151-bfa3-8fcda2db946d","type":"GlyphRenderer"},{"attributes":{},"id":"b70da877-1668-4fac-a47b-d7df8f068dbf","type":"ResetTool"},{"attributes":{"callback":null},"id":"dd231aeb-309a-45aa-841a-4d4d56647e83","type":"DataRange1d"},{"attributes":{"overlay":{"id":"82d995a1-6782-44f1-90d5-c8bfdc45c208","type":"BoxAnnotation"}},"id":"7df0626a-ece9-44c5-9e43-51bda0eab872","type":"BoxZoomTool"},{"attributes":{"data_source":{"id":"a41f835e-6060-4bd5-ab55-2bf42b1116c0","type":"ColumnDataSource"},"glyph":{"id":"f9145e8b-8591-482e-bbc3-9dd514c4d754","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"31501743-42ea-4922-af3c-8d8740e7766f","type":"Square"},"selection_glyph":null,"view":{"id":"4e5e08f3-2e12-4e0c-beaa-df3326ef6af2","type":"CDSView"}},"id":"a340d35a-b9c6-49e2-aa99-343cc9548eeb","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[5,4,3,2,1,0,1,2,3,4,5]}},"id":"a41f835e-6060-4bd5-ab55-2bf42b1116c0","type":"ColumnDataSource"}],"root_ids":["7a343b06-8045-4046-bede-116e670dbf84"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"7e4e55ab-eac9-4e44-8c1e-59421d2ad33f","elementid":"7e31277c-a142-4f79-af8a-8473ced15b06","modelid":"7a343b06-8045-4046-bede-116e670dbf84"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
