(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("d2833724-a5e4-4a3f-9578-f0cd7b0b5088");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'd2833724-a5e4-4a3f-9578-f0cd7b0b5088' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"419470e9-4413-44f0-bdb5-a2356d11e5d1":{"roots":{"references":[{"attributes":{},"id":"1d714ca7-c293-4a10-91e4-1bb0d8ba3147","type":"CategoricalScale"},{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[2,1,4,3,2,4],"2016":[5,3,3,2,4,6],"2017":[3,2,4,4,5,3],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"fa261775-1071-42cf-9a48-acf3312f0b81","type":"ColumnDataSource"},{"attributes":{"range":{"id":"007bd783-9e35-48c0-8453-ce69dbd390bf","type":"FactorRange"}},"id":"de624f29-87c4-4380-83b3-cdcdd4b07900","type":"Dodge"},{"attributes":{},"id":"6aa4eacd-c439-4038-a8c0-cd48f4c68f50","type":"BasicTicker"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"d0fc116f-691f-4e3d-8ab8-85bdc59e18ef","subtype":"Figure","type":"Plot"},"ticker":{"id":"f14476a1-9e93-4300-9294-8cd927252f9b","type":"CategoricalTicker"}},"id":"588e8316-7355-460a-9375-4d1196222b47","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"2017"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"d27c1e11-f457-4811-9561-dc8fb18cba5f","type":"Dodge"}}},"id":"db2f5f4f-2972-4162-99b5-7d136d658945","type":"VBar"},{"attributes":{"fill_color":{"value":"#e84d60"},"line_color":{"value":"#e84d60"},"top":{"field":"2017"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"d27c1e11-f457-4811-9561-dc8fb18cba5f","type":"Dodge"}}},"id":"8156e48e-0249-4913-ba09-13b01b70f814","type":"VBar"},{"attributes":{"formatter":{"id":"588dcd3a-158a-4b1b-9f4f-7dd30bb5b849","type":"CategoricalTickFormatter"},"plot":{"id":"d0fc116f-691f-4e3d-8ab8-85bdc59e18ef","subtype":"Figure","type":"Plot"},"ticker":{"id":"f14476a1-9e93-4300-9294-8cd927252f9b","type":"CategoricalTicker"}},"id":"b7ace2a4-31e6-449e-8d2e-cb77ecf5f5c7","type":"CategoricalAxis"},{"attributes":{"range":{"id":"007bd783-9e35-48c0-8453-ce69dbd390bf","type":"FactorRange"},"value":-0.25},"id":"f402b7ce-3015-4354-8dd7-f5bc21120e43","type":"Dodge"},{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"7857a216-5321-40c6-9bb5-bd1ad5c5f6d9","type":"Title"},{"attributes":{"below":[{"id":"b7ace2a4-31e6-449e-8d2e-cb77ecf5f5c7","type":"CategoricalAxis"}],"left":[{"id":"da8bb9e4-70c8-47ab-bff1-39dc0ef02562","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"b7ace2a4-31e6-449e-8d2e-cb77ecf5f5c7","type":"CategoricalAxis"},{"id":"588e8316-7355-460a-9375-4d1196222b47","type":"Grid"},{"id":"da8bb9e4-70c8-47ab-bff1-39dc0ef02562","type":"LinearAxis"},{"id":"4e92c2a0-5afc-4f1f-ad31-e96a49568bfb","type":"Grid"},{"id":"ede32c83-0522-49ab-8361-ddaf6b1872a1","type":"Legend"},{"id":"6deb6eb1-b7ff-4724-b9a2-b7cae7d28e7d","type":"GlyphRenderer"},{"id":"25347c9c-aff4-4122-8ee4-319e7338b222","type":"GlyphRenderer"},{"id":"5e5373fa-899f-4efe-ba71-0b17173aa452","type":"GlyphRenderer"}],"title":{"id":"7857a216-5321-40c6-9bb5-bd1ad5c5f6d9","type":"Title"},"toolbar":{"id":"ae25ee80-8478-4fd9-8fbe-d0c9c4799f31","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"007bd783-9e35-48c0-8453-ce69dbd390bf","type":"FactorRange"},"x_scale":{"id":"1d714ca7-c293-4a10-91e4-1bb0d8ba3147","type":"CategoricalScale"},"y_range":{"id":"80148aed-ed5a-46f4-a69a-b131716eb882","type":"Range1d"},"y_scale":{"id":"1beb384b-4f1e-4479-b175-7f8e6636bb96","type":"LinearScale"}},"id":"d0fc116f-691f-4e3d-8ab8-85bdc59e18ef","subtype":"Figure","type":"Plot"},{"attributes":{"data_source":{"id":"fa261775-1071-42cf-9a48-acf3312f0b81","type":"ColumnDataSource"},"glyph":{"id":"837667c0-0eee-4a5b-a7ac-034a717d745f","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"30006a71-fe61-4519-8a52-adc5692b9648","type":"VBar"},"selection_glyph":null,"view":{"id":"c58ac8fa-a5fd-454f-a258-0643e9312e6c","type":"CDSView"}},"id":"6deb6eb1-b7ff-4724-b9a2-b7cae7d28e7d","type":"GlyphRenderer"},{"attributes":{"label":{"value":"2015"},"renderers":[{"id":"6deb6eb1-b7ff-4724-b9a2-b7cae7d28e7d","type":"GlyphRenderer"}]},"id":"a5b3eec3-1529-4a5a-a5b0-e4e350d1dbc0","type":"LegendItem"},{"attributes":{"formatter":{"id":"aa2799d1-029e-4599-b9fa-853b39b70aaf","type":"BasicTickFormatter"},"plot":{"id":"d0fc116f-691f-4e3d-8ab8-85bdc59e18ef","subtype":"Figure","type":"Plot"},"ticker":{"id":"6aa4eacd-c439-4038-a8c0-cd48f4c68f50","type":"BasicTicker"}},"id":"da8bb9e4-70c8-47ab-bff1-39dc0ef02562","type":"LinearAxis"},{"attributes":{},"id":"f14476a1-9e93-4300-9294-8cd927252f9b","type":"CategoricalTicker"},{"attributes":{"callback":null,"end":10},"id":"80148aed-ed5a-46f4-a69a-b131716eb882","type":"Range1d"},{"attributes":{},"id":"588dcd3a-158a-4b1b-9f4f-7dd30bb5b849","type":"CategoricalTickFormatter"},{"attributes":{"range":{"id":"007bd783-9e35-48c0-8453-ce69dbd390bf","type":"FactorRange"},"value":0.25},"id":"d27c1e11-f457-4811-9561-dc8fb18cba5f","type":"Dodge"},{"attributes":{},"id":"aa2799d1-029e-4599-b9fa-853b39b70aaf","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"fa261775-1071-42cf-9a48-acf3312f0b81","type":"ColumnDataSource"},"glyph":{"id":"771d8ca0-4586-490c-be8c-b8852c227a55","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"34a7e681-1b3d-49d5-9d11-3e38c0af1227","type":"VBar"},"selection_glyph":null,"view":{"id":"f423697c-e817-4b3a-947c-d728457e6b93","type":"CDSView"}},"id":"25347c9c-aff4-4122-8ee4-319e7338b222","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"fa261775-1071-42cf-9a48-acf3312f0b81","type":"ColumnDataSource"},"glyph":{"id":"8156e48e-0249-4913-ba09-13b01b70f814","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"db2f5f4f-2972-4162-99b5-7d136d658945","type":"VBar"},"selection_glyph":null,"view":{"id":"4f89ecb9-d153-4319-85a5-935b644b0797","type":"CDSView"}},"id":"5e5373fa-899f-4efe-ba71-0b17173aa452","type":"GlyphRenderer"},{"attributes":{"label":{"value":"2016"},"renderers":[{"id":"25347c9c-aff4-4122-8ee4-319e7338b222","type":"GlyphRenderer"}]},"id":"d5131028-22ad-4ec8-a66e-21366c1720bf","type":"LegendItem"},{"attributes":{"fill_color":{"value":"#718dbf"},"line_color":{"value":"#718dbf"},"top":{"field":"2016"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"de624f29-87c4-4380-83b3-cdcdd4b07900","type":"Dodge"}}},"id":"771d8ca0-4586-490c-be8c-b8852c227a55","type":"VBar"},{"attributes":{"items":[{"id":"a5b3eec3-1529-4a5a-a5b0-e4e350d1dbc0","type":"LegendItem"},{"id":"d5131028-22ad-4ec8-a66e-21366c1720bf","type":"LegendItem"},{"id":"57f1847f-1ecb-44d3-b550-87e1b42b0873","type":"LegendItem"}],"location":"top_left","orientation":"horizontal","plot":{"id":"d0fc116f-691f-4e3d-8ab8-85bdc59e18ef","subtype":"Figure","type":"Plot"}},"id":"ede32c83-0522-49ab-8361-ddaf6b1872a1","type":"Legend"},{"attributes":{"source":{"id":"fa261775-1071-42cf-9a48-acf3312f0b81","type":"ColumnDataSource"}},"id":"f423697c-e817-4b3a-947c-d728457e6b93","type":"CDSView"},{"attributes":{"source":{"id":"fa261775-1071-42cf-9a48-acf3312f0b81","type":"ColumnDataSource"}},"id":"c58ac8fa-a5fd-454f-a258-0643e9312e6c","type":"CDSView"},{"attributes":{"label":{"value":"2017"},"renderers":[{"id":"5e5373fa-899f-4efe-ba71-0b17173aa452","type":"GlyphRenderer"}]},"id":"57f1847f-1ecb-44d3-b550-87e1b42b0873","type":"LegendItem"},{"attributes":{"fill_color":{"value":"#c9d9d3"},"line_color":{"value":"#c9d9d3"},"top":{"field":"2015"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"f402b7ce-3015-4354-8dd7-f5bc21120e43","type":"Dodge"}}},"id":"837667c0-0eee-4a5b-a7ac-034a717d745f","type":"VBar"},{"attributes":{"dimension":1,"plot":{"id":"d0fc116f-691f-4e3d-8ab8-85bdc59e18ef","subtype":"Figure","type":"Plot"},"ticker":{"id":"6aa4eacd-c439-4038-a8c0-cd48f4c68f50","type":"BasicTicker"}},"id":"4e92c2a0-5afc-4f1f-ad31-e96a49568bfb","type":"Grid"},{"attributes":{"source":{"id":"fa261775-1071-42cf-9a48-acf3312f0b81","type":"ColumnDataSource"}},"id":"4f89ecb9-d153-4319-85a5-935b644b0797","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"2016"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"de624f29-87c4-4380-83b3-cdcdd4b07900","type":"Dodge"}}},"id":"34a7e681-1b3d-49d5-9d11-3e38c0af1227","type":"VBar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"2015"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"f402b7ce-3015-4354-8dd7-f5bc21120e43","type":"Dodge"}}},"id":"30006a71-fe61-4519-8a52-adc5692b9648","type":"VBar"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"ae25ee80-8478-4fd9-8fbe-d0c9c4799f31","type":"Toolbar"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"range_padding":0.1},"id":"007bd783-9e35-48c0-8453-ce69dbd390bf","type":"FactorRange"},{"attributes":{},"id":"1beb384b-4f1e-4479-b175-7f8e6636bb96","type":"LinearScale"}],"root_ids":["d0fc116f-691f-4e3d-8ab8-85bdc59e18ef"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"419470e9-4413-44f0-bdb5-a2356d11e5d1","elementid":"d2833724-a5e4-4a3f-9578-f0cd7b0b5088","modelid":"d0fc116f-691f-4e3d-8ab8-85bdc59e18ef"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
