(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("83c776fe-3925-47b1-8081-98784c67ac9a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '83c776fe-3925-47b1-8081-98784c67ac9a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e9069650-ded3-400e-99c7-6672534ae0b9":{"roots":{"references":[{"attributes":{},"id":"ef371357-f74c-450b-8cc2-09fbb1e88153","type":"PanTool"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.5},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"ef279ee6-96f1-41bf-8876-0eb57ebfc067","type":"Patch"},{"attributes":{"callback":null},"id":"647bcbae-236b-444c-881d-05ed6bb7beca","type":"DataRange1d"},{"attributes":{"formatter":{"id":"aa9c1b17-0c35-4bca-98e2-b802709d8ee7","type":"BasicTickFormatter"},"plot":{"id":"09f5699e-02c1-4240-a290-c1aee477fac7","subtype":"Figure","type":"Plot"},"ticker":{"id":"68c06a45-113d-41ff-85f4-a11c10041c7b","type":"BasicTicker"}},"id":"96792fd4-ad75-420f-8fd7-d7cfa17cd2e6","type":"LinearAxis"},{"attributes":{},"id":"68c06a45-113d-41ff-85f4-a11c10041c7b","type":"BasicTicker"},{"attributes":{},"id":"9eda099f-aa38-4826-81fd-f42809ab6520","type":"LinearScale"},{"attributes":{"overlay":{"id":"0c758a85-c0b3-4994-beb5-15b793fcb291","type":"BoxAnnotation"}},"id":"8dbd48d1-ce62-4965-ab34-b3d1cfa5cdb9","type":"BoxZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,"NaN",4,5,6],"y":[6,7,5,"NaN",7,3,6]}},"id":"d042024b-15bb-4bfa-acb1-974f79ec9f13","type":"ColumnDataSource"},{"attributes":{},"id":"c5d6db44-f71c-446b-ab8c-ad74db821252","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"5f08da0c-d45c-4627-8f8d-0bdb18b15f9d","type":"Patch"},{"attributes":{},"id":"e4033ab8-99f4-42b2-aacd-9e2f473bab24","type":"LinearScale"},{"attributes":{"callback":null},"id":"ea58029c-c3f3-4d57-a9bb-7a386016d4af","type":"DataRange1d"},{"attributes":{"plot":{"id":"09f5699e-02c1-4240-a290-c1aee477fac7","subtype":"Figure","type":"Plot"},"ticker":{"id":"c5d6db44-f71c-446b-ab8c-ad74db821252","type":"BasicTicker"}},"id":"7141e251-018e-4a0c-9fae-6d6f1916b8ef","type":"Grid"},{"attributes":{"formatter":{"id":"95eb3fd3-a158-485d-9527-138080061e0c","type":"BasicTickFormatter"},"plot":{"id":"09f5699e-02c1-4240-a290-c1aee477fac7","subtype":"Figure","type":"Plot"},"ticker":{"id":"c5d6db44-f71c-446b-ab8c-ad74db821252","type":"BasicTicker"}},"id":"0339dd09-f63c-4035-ade8-71345efa5060","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"ef371357-f74c-450b-8cc2-09fbb1e88153","type":"PanTool"},{"id":"52807d01-1be5-4b1a-a23f-dde04a8dfc22","type":"WheelZoomTool"},{"id":"8dbd48d1-ce62-4965-ab34-b3d1cfa5cdb9","type":"BoxZoomTool"},{"id":"ed9456de-7fd7-4fb9-910a-f5de248c3ae3","type":"SaveTool"},{"id":"8cd172ac-e886-4fa6-b9a8-18858704b6c5","type":"ResetTool"},{"id":"033d52a3-a820-4604-a180-3551a93b3b10","type":"HelpTool"}]},"id":"d4744e84-e284-4870-a19f-b8992dac15ef","type":"Toolbar"},{"attributes":{},"id":"95eb3fd3-a158-485d-9527-138080061e0c","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"0339dd09-f63c-4035-ade8-71345efa5060","type":"LinearAxis"}],"left":[{"id":"96792fd4-ad75-420f-8fd7-d7cfa17cd2e6","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"0339dd09-f63c-4035-ade8-71345efa5060","type":"LinearAxis"},{"id":"7141e251-018e-4a0c-9fae-6d6f1916b8ef","type":"Grid"},{"id":"96792fd4-ad75-420f-8fd7-d7cfa17cd2e6","type":"LinearAxis"},{"id":"785e5ef2-0baf-4665-b4f2-d6dd546b549b","type":"Grid"},{"id":"0c758a85-c0b3-4994-beb5-15b793fcb291","type":"BoxAnnotation"},{"id":"14367ecb-9b20-4027-aea9-188463f3ac8f","type":"GlyphRenderer"}],"title":{"id":"dfcc29b3-9ee9-41b4-a355-6f5a8003d0f0","type":"Title"},"toolbar":{"id":"d4744e84-e284-4870-a19f-b8992dac15ef","type":"Toolbar"},"x_range":{"id":"ea58029c-c3f3-4d57-a9bb-7a386016d4af","type":"DataRange1d"},"x_scale":{"id":"9eda099f-aa38-4826-81fd-f42809ab6520","type":"LinearScale"},"y_range":{"id":"647bcbae-236b-444c-881d-05ed6bb7beca","type":"DataRange1d"},"y_scale":{"id":"e4033ab8-99f4-42b2-aacd-9e2f473bab24","type":"LinearScale"}},"id":"09f5699e-02c1-4240-a290-c1aee477fac7","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"ed9456de-7fd7-4fb9-910a-f5de248c3ae3","type":"SaveTool"},{"attributes":{},"id":"8cd172ac-e886-4fa6-b9a8-18858704b6c5","type":"ResetTool"},{"attributes":{"source":{"id":"d042024b-15bb-4bfa-acb1-974f79ec9f13","type":"ColumnDataSource"}},"id":"d51c85d8-dd12-44ef-b064-b5bf056182f3","type":"CDSView"},{"attributes":{},"id":"52807d01-1be5-4b1a-a23f-dde04a8dfc22","type":"WheelZoomTool"},{"attributes":{},"id":"aa9c1b17-0c35-4bca-98e2-b802709d8ee7","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"dfcc29b3-9ee9-41b4-a355-6f5a8003d0f0","type":"Title"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"0c758a85-c0b3-4994-beb5-15b793fcb291","type":"BoxAnnotation"},{"attributes":{"dimension":1,"plot":{"id":"09f5699e-02c1-4240-a290-c1aee477fac7","subtype":"Figure","type":"Plot"},"ticker":{"id":"68c06a45-113d-41ff-85f4-a11c10041c7b","type":"BasicTicker"}},"id":"785e5ef2-0baf-4665-b4f2-d6dd546b549b","type":"Grid"},{"attributes":{"data_source":{"id":"d042024b-15bb-4bfa-acb1-974f79ec9f13","type":"ColumnDataSource"},"glyph":{"id":"ef279ee6-96f1-41bf-8876-0eb57ebfc067","type":"Patch"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"5f08da0c-d45c-4627-8f8d-0bdb18b15f9d","type":"Patch"},"selection_glyph":null,"view":{"id":"d51c85d8-dd12-44ef-b064-b5bf056182f3","type":"CDSView"}},"id":"14367ecb-9b20-4027-aea9-188463f3ac8f","type":"GlyphRenderer"},{"attributes":{},"id":"033d52a3-a820-4604-a180-3551a93b3b10","type":"HelpTool"}],"root_ids":["09f5699e-02c1-4240-a290-c1aee477fac7"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e9069650-ded3-400e-99c7-6672534ae0b9","elementid":"83c776fe-3925-47b1-8081-98784c67ac9a","modelid":"09f5699e-02c1-4240-a290-c1aee477fac7"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
