(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("71a00489-cc17-4bb6-afdc-1f54a1fa95f9");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '71a00489-cc17-4bb6-afdc-1f54a1fa95f9' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"29f163c3-1ffc-4601-b4fc-29106c0d4045":{"roots":{"references":[{"attributes":{},"id":"35914738-587e-4fb9-90d5-9828064fe3b2","type":"HelpTool"},{"attributes":{},"id":"28f12316-c1e7-4a62-b868-eaf1833de533","type":"LinearScale"},{"attributes":{"callback":null},"id":"636b3b0f-197b-45e1-9801-7c605b4ab4c0","type":"DataRange1d"},{"attributes":{"overlay":{"id":"ed0766b9-ba27-4b27-ae58-0c012333d52e","type":"BoxAnnotation"}},"id":"0356f02b-674d-48f1-8061-5d004337e7f6","type":"BoxZoomTool"},{"attributes":{},"id":"53f82320-bea3-4718-b581-7397822c6306","type":"BasicTicker"},{"attributes":{},"id":"3830d2c3-366b-4299-8c49-9cabb1303af0","type":"BasicTickFormatter"},{"attributes":{},"id":"b270345c-cbae-41f8-a4ca-7ed1c159c448","type":"HelpTool"},{"attributes":{"dimension":1,"plot":{"id":"f62c1d0b-49cf-4939-a649-6d5f6ca68b81","subtype":"Figure","type":"Plot"},"ticker":{"id":"7b7cf6a3-505e-4022-bf4a-2b5dd0609519","type":"BasicTicker"}},"id":"9b30fe7c-5e4e-428b-b041-4e1bfa3a4f52","type":"Grid"},{"attributes":{},"id":"ec047f91-ea90-4dd7-924c-20feb5145c62","type":"BasicTickFormatter"},{"attributes":{},"id":"eac09ed5-4514-403c-92e6-2cdca1183aec","type":"PanTool"},{"attributes":{},"id":"243b3dab-476f-490d-918f-3e665f13bb48","type":"BasicTicker"},{"attributes":{},"id":"bf01a7b5-c90c-4f62-8ebc-94062583a1b1","type":"ResetTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"22f97de2-fc6a-4171-8c64-7ab338ddd967","type":"Square"},{"attributes":{"data_source":{"id":"45ea768b-2c77-43e6-b76e-633ff195cad2","type":"ColumnDataSource"},"glyph":{"id":"b36af051-910b-4980-a670-7a2151bc8254","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"6c37ea5d-0a07-486b-99ef-2203f5b9bc4c","type":"Triangle"},"selection_glyph":null,"view":{"id":"c02844af-bd33-4376-b930-1b628af54751","type":"CDSView"}},"id":"1a27de5f-b639-4c7e-942d-c02329bee85f","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"f8333a48-1a96-432d-96dd-6532fa9435fc","type":"ColumnDataSource"},"glyph":{"id":"23637c1d-1baf-4272-912a-c0a8f281f433","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"22f97de2-fc6a-4171-8c64-7ab338ddd967","type":"Square"},"selection_glyph":null,"view":{"id":"795c2b3d-69b5-4394-9e32-5da09b0ae40e","type":"CDSView"}},"id":"b64b2374-a3b7-4a87-948c-c236bef8e7f4","type":"GlyphRenderer"},{"attributes":{},"id":"361aac2d-881b-4df5-88f5-a18c7887f9bb","type":"SaveTool"},{"attributes":{},"id":"6ca54081-c22f-4016-828e-a491799e8858","type":"BasicTicker"},{"attributes":{"callback":null},"id":"d7988399-f5df-4256-8259-f771fc7001c5","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"6c37ea5d-0a07-486b-99ef-2203f5b9bc4c","type":"Triangle"},{"attributes":{"source":{"id":"45ea768b-2c77-43e6-b76e-633ff195cad2","type":"ColumnDataSource"}},"id":"c02844af-bd33-4376-b930-1b628af54751","type":"CDSView"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[0,1,2,3,4,5,6,7,8,9,10]}},"id":"252c56ea-4ca1-4fcc-a3e8-637206b44416","type":"ColumnDataSource"},{"attributes":{},"id":"8c51ed9a-c45c-45b3-8610-a9e1a747a863","type":"ResetTool"},{"attributes":{"below":[{"id":"413ccdf0-56f4-4235-90d0-bb3befd7ce42","type":"LinearAxis"}],"left":[{"id":"3d94c21a-6b79-405a-8a43-65fd31cf725f","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"413ccdf0-56f4-4235-90d0-bb3befd7ce42","type":"LinearAxis"},{"id":"9ed2d171-267c-42ed-901f-b8142e7f0740","type":"Grid"},{"id":"3d94c21a-6b79-405a-8a43-65fd31cf725f","type":"LinearAxis"},{"id":"22aeeb86-20be-47c6-a53f-1280a039d3ca","type":"Grid"},{"id":"ed0766b9-ba27-4b27-ae58-0c012333d52e","type":"BoxAnnotation"},{"id":"6e0ecb0b-b1ce-4890-8bda-e61e1532eadc","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"3accf268-3cf5-49b3-b7ca-42da469c4036","type":"Toolbar"},"x_range":{"id":"1b999802-2771-49f8-9215-6cc2127427ee","type":"DataRange1d"},"x_scale":{"id":"795162e9-c96f-4e67-a77c-82f65f20c682","type":"LinearScale"},"y_range":{"id":"636b3b0f-197b-45e1-9801-7c605b4ab4c0","type":"DataRange1d"},"y_scale":{"id":"f9a5019e-8be3-4d1f-868a-b3d25fe73c1e","type":"LinearScale"}},"id":"308dd857-5c1e-4b6f-bff7-3702c033bcc7","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"04183bdf-0bea-4cbb-825c-3b29eb486c8b","type":"ResetTool"},{"attributes":{"plot":{"id":"68d26062-fa97-40d8-8757-73c2361ab5c6","subtype":"Figure","type":"Plot"},"ticker":{"id":"473eb900-db2e-4f54-8335-823204604955","type":"BasicTicker"}},"id":"c84ceb1f-f389-4fe2-ae1d-dc0d89704625","type":"Grid"},{"attributes":{"children":[{"id":"308dd857-5c1e-4b6f-bff7-3702c033bcc7","subtype":"Figure","type":"Plot"},{"id":"68d26062-fa97-40d8-8757-73c2361ab5c6","subtype":"Figure","type":"Plot"},{"id":"f62c1d0b-49cf-4939-a649-6d5f6ca68b81","subtype":"Figure","type":"Plot"}]},"id":"5bf78c3f-a103-46cc-b905-36b9ff65c6e5","type":"Column"},{"attributes":{},"id":"8a27401a-9ff1-4308-a160-ac0991a71490","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"504c02a0-2ea6-4ab7-b9d8-c7cdd3380ac2","type":"PanTool"},{"id":"2076e8bc-6234-48c3-a163-fe5206afeaf9","type":"WheelZoomTool"},{"id":"0356f02b-674d-48f1-8061-5d004337e7f6","type":"BoxZoomTool"},{"id":"e44e71ca-d86c-4d21-9a41-3c50fd4c230f","type":"SaveTool"},{"id":"8c51ed9a-c45c-45b3-8610-a9e1a747a863","type":"ResetTool"},{"id":"35914738-587e-4fb9-90d5-9828064fe3b2","type":"HelpTool"}]},"id":"3accf268-3cf5-49b3-b7ca-42da469c4036","type":"Toolbar"},{"attributes":{"formatter":{"id":"53bd6e20-622c-4324-9e99-41cc236ab421","type":"BasicTickFormatter"},"plot":{"id":"68d26062-fa97-40d8-8757-73c2361ab5c6","subtype":"Figure","type":"Plot"},"ticker":{"id":"16894108-51ed-4752-8e62-7692c0efb0af","type":"BasicTicker"}},"id":"d7af79b1-51fd-4edb-bf3a-338dc03a5166","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"53f17358-7abe-4bcf-9026-ea6b7e05c931","type":"Circle"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"olive"},"line_alpha":{"value":0.5},"line_color":{"value":"olive"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"23637c1d-1baf-4272-912a-c0a8f281f433","type":"Square"},{"attributes":{"source":{"id":"f8333a48-1a96-432d-96dd-6532fa9435fc","type":"ColumnDataSource"}},"id":"795c2b3d-69b5-4394-9e32-5da09b0ae40e","type":"CDSView"},{"attributes":{},"id":"db51ec4a-19e1-488a-adc8-94546fc5d09e","type":"WheelZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[5,4,3,2,1,0,1,2,3,4,5]}},"id":"f8333a48-1a96-432d-96dd-6532fa9435fc","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"027cfbdc-af1c-46b3-9078-13a082544cea","type":"DataRange1d"},{"attributes":{"formatter":{"id":"3f2e1bd7-6f6e-45be-bb81-f1f5b98d5c09","type":"BasicTickFormatter"},"plot":{"id":"f62c1d0b-49cf-4939-a649-6d5f6ca68b81","subtype":"Figure","type":"Plot"},"ticker":{"id":"243b3dab-476f-490d-918f-3e665f13bb48","type":"BasicTicker"}},"id":"15359b67-2879-45a1-986e-6579e281cead","type":"LinearAxis"},{"attributes":{"formatter":{"id":"3830d2c3-366b-4299-8c49-9cabb1303af0","type":"BasicTickFormatter"},"plot":{"id":"308dd857-5c1e-4b6f-bff7-3702c033bcc7","subtype":"Figure","type":"Plot"},"ticker":{"id":"53f82320-bea3-4718-b581-7397822c6306","type":"BasicTicker"}},"id":"413ccdf0-56f4-4235-90d0-bb3befd7ce42","type":"LinearAxis"},{"attributes":{},"id":"3f2e1bd7-6f6e-45be-bb81-f1f5b98d5c09","type":"BasicTickFormatter"},{"attributes":{},"id":"795162e9-c96f-4e67-a77c-82f65f20c682","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"a73b568c-ecc2-462c-a5b0-a56f2e3ce974","type":"BoxAnnotation"},{"attributes":{},"id":"5f396847-111a-4ddd-bf16-05d4f9021f6c","type":"PanTool"},{"attributes":{"formatter":{"id":"f40bb98d-c27d-4a8e-9383-87d7177812bf","type":"BasicTickFormatter"},"plot":{"id":"68d26062-fa97-40d8-8757-73c2361ab5c6","subtype":"Figure","type":"Plot"},"ticker":{"id":"473eb900-db2e-4f54-8335-823204604955","type":"BasicTicker"}},"id":"a7f3b491-e550-4ee3-b2d5-d10ffa423f22","type":"LinearAxis"},{"attributes":{"below":[{"id":"a7f3b491-e550-4ee3-b2d5-d10ffa423f22","type":"LinearAxis"}],"left":[{"id":"d7af79b1-51fd-4edb-bf3a-338dc03a5166","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"a7f3b491-e550-4ee3-b2d5-d10ffa423f22","type":"LinearAxis"},{"id":"c84ceb1f-f389-4fe2-ae1d-dc0d89704625","type":"Grid"},{"id":"d7af79b1-51fd-4edb-bf3a-338dc03a5166","type":"LinearAxis"},{"id":"865cfd8c-28c1-49c3-8b0f-ce67bd230974","type":"Grid"},{"id":"ad3dac85-e785-4b22-a06f-18bf50238f9c","type":"BoxAnnotation"},{"id":"1a27de5f-b639-4c7e-942d-c02329bee85f","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"f1d16106-4dde-4980-8dd1-b3e82b06167d","type":"Toolbar"},"x_range":{"id":"d7988399-f5df-4256-8259-f771fc7001c5","type":"DataRange1d"},"x_scale":{"id":"3cb1645c-8f0e-4230-920e-d82ef1dd05b6","type":"LinearScale"},"y_range":{"id":"d002c9be-a08c-467d-b06e-0aa1ddbbd2f7","type":"DataRange1d"},"y_scale":{"id":"8a27401a-9ff1-4308-a160-ac0991a71490","type":"LinearScale"}},"id":"68d26062-fa97-40d8-8757-73c2361ab5c6","subtype":"Figure","type":"Plot"},{"attributes":{"overlay":{"id":"a73b568c-ecc2-462c-a5b0-a56f2e3ce974","type":"BoxAnnotation"}},"id":"ccbbdeb2-8b76-4c44-a3c3-9f7009b6e33b","type":"BoxZoomTool"},{"attributes":{},"id":"53bd6e20-622c-4324-9e99-41cc236ab421","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"eac09ed5-4514-403c-92e6-2cdca1183aec","type":"PanTool"},{"id":"db51ec4a-19e1-488a-adc8-94546fc5d09e","type":"WheelZoomTool"},{"id":"ccbbdeb2-8b76-4c44-a3c3-9f7009b6e33b","type":"BoxZoomTool"},{"id":"361aac2d-881b-4df5-88f5-a18c7887f9bb","type":"SaveTool"},{"id":"bf01a7b5-c90c-4f62-8ebc-94062583a1b1","type":"ResetTool"},{"id":"f6ab3c6c-4387-4e56-9970-ca2d4a3988a8","type":"HelpTool"}]},"id":"23d66f9b-0397-4240-88bf-6ce2d0dce486","type":"Toolbar"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"5f396847-111a-4ddd-bf16-05d4f9021f6c","type":"PanTool"},{"id":"e2002046-8771-4c67-aa1a-e5e554f49ab8","type":"WheelZoomTool"},{"id":"7cc5678c-89d7-4c63-b4f3-f1f5f1f610c4","type":"BoxZoomTool"},{"id":"9184d7ed-30e8-4b74-a486-2e2f0b842ae5","type":"SaveTool"},{"id":"04183bdf-0bea-4cbb-825c-3b29eb486c8b","type":"ResetTool"},{"id":"b270345c-cbae-41f8-a4ca-7ed1c159c448","type":"HelpTool"}]},"id":"f1d16106-4dde-4980-8dd1-b3e82b06167d","type":"Toolbar"},{"attributes":{"callback":null},"id":"d002c9be-a08c-467d-b06e-0aa1ddbbd2f7","type":"DataRange1d"},{"attributes":{"plot":{"id":"308dd857-5c1e-4b6f-bff7-3702c033bcc7","subtype":"Figure","type":"Plot"},"ticker":{"id":"53f82320-bea3-4718-b581-7397822c6306","type":"BasicTicker"}},"id":"9ed2d171-267c-42ed-901f-b8142e7f0740","type":"Grid"},{"attributes":{},"id":"504c02a0-2ea6-4ab7-b9d8-c7cdd3380ac2","type":"PanTool"},{"attributes":{"source":{"id":"252c56ea-4ca1-4fcc-a3e8-637206b44416","type":"ColumnDataSource"}},"id":"f2c2df4c-23b2-4b83-aca2-17f37bed2f35","type":"CDSView"},{"attributes":{"callback":null},"id":"49e70cd3-8a48-4be0-970f-aaede39aa936","type":"DataRange1d"},{"attributes":{},"id":"7b7cf6a3-505e-4022-bf4a-2b5dd0609519","type":"BasicTicker"},{"attributes":{"callback":null},"id":"1b999802-2771-49f8-9215-6cc2127427ee","type":"DataRange1d"},{"attributes":{},"id":"2076e8bc-6234-48c3-a163-fe5206afeaf9","type":"WheelZoomTool"},{"attributes":{},"id":"3cb1645c-8f0e-4230-920e-d82ef1dd05b6","type":"LinearScale"},{"attributes":{},"id":"f6ab3c6c-4387-4e56-9970-ca2d4a3988a8","type":"HelpTool"},{"attributes":{"plot":{"id":"f62c1d0b-49cf-4939-a649-6d5f6ca68b81","subtype":"Figure","type":"Plot"},"ticker":{"id":"243b3dab-476f-490d-918f-3e665f13bb48","type":"BasicTicker"}},"id":"e35ffee5-2b2d-4dd9-a8de-edc388e5ff66","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"firebrick"},"line_alpha":{"value":0.5},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"b36af051-910b-4980-a670-7a2151bc8254","type":"Triangle"},{"attributes":{},"id":"9184d7ed-30e8-4b74-a486-2e2f0b842ae5","type":"SaveTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"ed0766b9-ba27-4b27-ae58-0c012333d52e","type":"BoxAnnotation"},{"attributes":{},"id":"e2002046-8771-4c67-aa1a-e5e554f49ab8","type":"WheelZoomTool"},{"attributes":{},"id":"e44e71ca-d86c-4d21-9a41-3c50fd4c230f","type":"SaveTool"},{"attributes":{"formatter":{"id":"2d425bb5-421f-408d-8820-f6d757b3b55b","type":"BasicTickFormatter"},"plot":{"id":"f62c1d0b-49cf-4939-a649-6d5f6ca68b81","subtype":"Figure","type":"Plot"},"ticker":{"id":"7b7cf6a3-505e-4022-bf4a-2b5dd0609519","type":"BasicTicker"}},"id":"aa46a660-9c9e-42d9-bb59-ef47adda086d","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"308dd857-5c1e-4b6f-bff7-3702c033bcc7","subtype":"Figure","type":"Plot"},"ticker":{"id":"6ca54081-c22f-4016-828e-a491799e8858","type":"BasicTicker"}},"id":"22aeeb86-20be-47c6-a53f-1280a039d3ca","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"68d26062-fa97-40d8-8757-73c2361ab5c6","subtype":"Figure","type":"Plot"},"ticker":{"id":"16894108-51ed-4752-8e62-7692c0efb0af","type":"BasicTicker"}},"id":"865cfd8c-28c1-49c3-8b0f-ce67bd230974","type":"Grid"},{"attributes":{"below":[{"id":"15359b67-2879-45a1-986e-6579e281cead","type":"LinearAxis"}],"left":[{"id":"aa46a660-9c9e-42d9-bb59-ef47adda086d","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"15359b67-2879-45a1-986e-6579e281cead","type":"LinearAxis"},{"id":"e35ffee5-2b2d-4dd9-a8de-edc388e5ff66","type":"Grid"},{"id":"aa46a660-9c9e-42d9-bb59-ef47adda086d","type":"LinearAxis"},{"id":"9b30fe7c-5e4e-428b-b041-4e1bfa3a4f52","type":"Grid"},{"id":"a73b568c-ecc2-462c-a5b0-a56f2e3ce974","type":"BoxAnnotation"},{"id":"b64b2374-a3b7-4a87-948c-c236bef8e7f4","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"23d66f9b-0397-4240-88bf-6ce2d0dce486","type":"Toolbar"},"x_range":{"id":"49e70cd3-8a48-4be0-970f-aaede39aa936","type":"DataRange1d"},"x_scale":{"id":"3df542cc-eeb0-496f-90c4-7c49b198c90a","type":"LinearScale"},"y_range":{"id":"027cfbdc-af1c-46b3-9078-13a082544cea","type":"DataRange1d"},"y_scale":{"id":"28f12316-c1e7-4a62-b868-eaf1833de533","type":"LinearScale"}},"id":"f62c1d0b-49cf-4939-a649-6d5f6ca68b81","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"2d425bb5-421f-408d-8820-f6d757b3b55b","type":"BasicTickFormatter"},{"attributes":{},"id":"473eb900-db2e-4f54-8335-823204604955","type":"BasicTicker"},{"attributes":{"overlay":{"id":"ad3dac85-e785-4b22-a06f-18bf50238f9c","type":"BoxAnnotation"}},"id":"7cc5678c-89d7-4c63-b4f3-f1f5f1f610c4","type":"BoxZoomTool"},{"attributes":{},"id":"f9a5019e-8be3-4d1f-868a-b3d25fe73c1e","type":"LinearScale"},{"attributes":{},"id":"3df542cc-eeb0-496f-90c4-7c49b198c90a","type":"LinearScale"},{"attributes":{},"id":"16894108-51ed-4752-8e62-7692c0efb0af","type":"BasicTicker"},{"attributes":{"data_source":{"id":"252c56ea-4ca1-4fcc-a3e8-637206b44416","type":"ColumnDataSource"},"glyph":{"id":"f6866cb2-509d-4b3e-b4dd-1f6dc8f5c2fc","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"53f17358-7abe-4bcf-9026-ea6b7e05c931","type":"Circle"},"selection_glyph":null,"view":{"id":"f2c2df4c-23b2-4b83-aca2-17f37bed2f35","type":"CDSView"}},"id":"6e0ecb0b-b1ce-4890-8bda-e61e1532eadc","type":"GlyphRenderer"},{"attributes":{},"id":"f40bb98d-c27d-4a8e-9383-87d7177812bf","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[10,9,8,7,6,5,4,3,2,1,0]}},"id":"45ea768b-2c77-43e6-b76e-633ff195cad2","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"navy"},"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"f6866cb2-509d-4b3e-b4dd-1f6dc8f5c2fc","type":"Circle"},{"attributes":{"formatter":{"id":"ec047f91-ea90-4dd7-924c-20feb5145c62","type":"BasicTickFormatter"},"plot":{"id":"308dd857-5c1e-4b6f-bff7-3702c033bcc7","subtype":"Figure","type":"Plot"},"ticker":{"id":"6ca54081-c22f-4016-828e-a491799e8858","type":"BasicTicker"}},"id":"3d94c21a-6b79-405a-8a43-65fd31cf725f","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"ad3dac85-e785-4b22-a06f-18bf50238f9c","type":"BoxAnnotation"}],"root_ids":["5bf78c3f-a103-46cc-b905-36b9ff65c6e5"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"29f163c3-1ffc-4601-b4fc-29106c0d4045","elementid":"71a00489-cc17-4bb6-afdc-1f54a1fa95f9","modelid":"5bf78c3f-a103-46cc-b905-36b9ff65c6e5"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
