(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("202e6fc4-f6f3-4027-8554-864974a9ce93");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '202e6fc4-f6f3-4027-8554-864974a9ce93' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"f4173673-1e53-47a3-b902-6900dac44343":{"roots":{"references":[{"attributes":{"callback":null},"id":"6310e4b4-0ba5-4f0b-82a3-6b5796f9a167","type":"DataRange1d"},{"attributes":{},"id":"d360428a-5f2a-43dd-8bb5-6f42795afd8a","type":"BasicTicker"},{"attributes":{},"id":"d910ebaf-5d41-43fb-870d-96a2a5b7225d","type":"LinearScale"},{"attributes":{"source":{"id":"2a21562e-f670-4c0d-9d9a-bb2be9d9068d","type":"ColumnDataSource"}},"id":"c30a19f0-e6b9-4f5e-b13e-adf86db64569","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"e04a932b-2ebe-4b48-9d36-bc581d16428d","type":"PanTool"},{"id":"fd659fb5-bc91-4fae-a2ab-1cf63c7ccee1","type":"WheelZoomTool"},{"id":"6f12d944-b0d0-4300-8f2b-41c548e24ba0","type":"BoxZoomTool"},{"id":"e05de713-b460-49da-8bc3-63ac4e7f12e9","type":"SaveTool"},{"id":"a43573a5-2e9a-4e3a-9d03-4c05b8ed6338","type":"ResetTool"},{"id":"c850ded2-5e83-4863-93de-6846cd033705","type":"HelpTool"}]},"id":"d564e396-c861-45f2-b4bb-56673f45ed0f","type":"Toolbar"},{"attributes":{},"id":"c846d105-46b7-48f4-b602-021dadc681ed","type":"LinearScale"},{"attributes":{},"id":"fd659fb5-bc91-4fae-a2ab-1cf63c7ccee1","type":"WheelZoomTool"},{"attributes":{"data_source":{"id":"2a21562e-f670-4c0d-9d9a-bb2be9d9068d","type":"ColumnDataSource"},"glyph":{"id":"50ddbc9d-6d0f-4374-a35f-c81db8a10220","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"390b6d5a-6c95-4441-be0b-481265379cec","type":"Circle"},"selection_glyph":null,"view":{"id":"c30a19f0-e6b9-4f5e-b13e-adf86db64569","type":"CDSView"}},"id":"b7199f3c-d36a-4cdc-ba81-d49befc8897b","type":"GlyphRenderer"},{"attributes":{},"id":"a43573a5-2e9a-4e3a-9d03-4c05b8ed6338","type":"ResetTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"2a21562e-f670-4c0d-9d9a-bb2be9d9068d","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"390b6d5a-6c95-4441-be0b-481265379cec","type":"Circle"},{"attributes":{"formatter":{"id":"9546f90d-31f4-4ca3-8419-0eb0096d400c","type":"BasicTickFormatter"},"plot":{"id":"8d275f0d-8aaf-401e-81b4-8a5d31ed7d00","subtype":"Figure","type":"Plot"},"ticker":{"id":"d360428a-5f2a-43dd-8bb5-6f42795afd8a","type":"BasicTicker"}},"id":"57bbfbdc-68cd-48cf-9ad2-ae743bab382f","type":"LinearAxis"},{"attributes":{"formatter":{"id":"c6e6b10a-e31d-46a5-b184-55d3d37d2841","type":"BasicTickFormatter"},"plot":{"id":"8d275f0d-8aaf-401e-81b4-8a5d31ed7d00","subtype":"Figure","type":"Plot"},"ticker":{"id":"2c3d8739-a681-41b1-8b4b-c837b2e4c8fd","type":"BasicTicker"}},"id":"9b25d76d-e9a0-4fc1-9f4e-8eba1c0428fa","type":"LinearAxis"},{"attributes":{"bounds":[2,4],"plot":{"id":"8d275f0d-8aaf-401e-81b4-8a5d31ed7d00","subtype":"Figure","type":"Plot"},"ticker":{"id":"2c3d8739-a681-41b1-8b4b-c837b2e4c8fd","type":"BasicTicker"}},"id":"35d7ab95-01e2-40ae-9e72-c635d6191f91","type":"Grid"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"50ddbc9d-6d0f-4374-a35f-c81db8a10220","type":"Circle"},{"attributes":{"below":[{"id":"9b25d76d-e9a0-4fc1-9f4e-8eba1c0428fa","type":"LinearAxis"}],"left":[{"id":"57bbfbdc-68cd-48cf-9ad2-ae743bab382f","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"9b25d76d-e9a0-4fc1-9f4e-8eba1c0428fa","type":"LinearAxis"},{"id":"35d7ab95-01e2-40ae-9e72-c635d6191f91","type":"Grid"},{"id":"57bbfbdc-68cd-48cf-9ad2-ae743bab382f","type":"LinearAxis"},{"id":"8aadc83f-53dc-4314-bc3f-052cfde230ac","type":"Grid"},{"id":"e94f75be-908a-4a13-981b-04bedf1dea71","type":"BoxAnnotation"},{"id":"b7199f3c-d36a-4cdc-ba81-d49befc8897b","type":"GlyphRenderer"}],"title":{"id":"d30be881-1daa-4e28-89ff-b610ab135372","type":"Title"},"toolbar":{"id":"d564e396-c861-45f2-b4bb-56673f45ed0f","type":"Toolbar"},"x_range":{"id":"fc47c669-72ad-4031-bfe3-b2e692e7654c","type":"DataRange1d"},"x_scale":{"id":"c846d105-46b7-48f4-b602-021dadc681ed","type":"LinearScale"},"y_range":{"id":"6310e4b4-0ba5-4f0b-82a3-6b5796f9a167","type":"DataRange1d"},"y_scale":{"id":"d910ebaf-5d41-43fb-870d-96a2a5b7225d","type":"LinearScale"}},"id":"8d275f0d-8aaf-401e-81b4-8a5d31ed7d00","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"9546f90d-31f4-4ca3-8419-0eb0096d400c","type":"BasicTickFormatter"},{"attributes":{},"id":"e05de713-b460-49da-8bc3-63ac4e7f12e9","type":"SaveTool"},{"attributes":{"plot":null,"text":""},"id":"d30be881-1daa-4e28-89ff-b610ab135372","type":"Title"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"e94f75be-908a-4a13-981b-04bedf1dea71","type":"BoxAnnotation"},{"attributes":{"overlay":{"id":"e94f75be-908a-4a13-981b-04bedf1dea71","type":"BoxAnnotation"}},"id":"6f12d944-b0d0-4300-8f2b-41c548e24ba0","type":"BoxZoomTool"},{"attributes":{},"id":"2c3d8739-a681-41b1-8b4b-c837b2e4c8fd","type":"BasicTicker"},{"attributes":{},"id":"e04a932b-2ebe-4b48-9d36-bc581d16428d","type":"PanTool"},{"attributes":{},"id":"c850ded2-5e83-4863-93de-6846cd033705","type":"HelpTool"},{"attributes":{},"id":"c6e6b10a-e31d-46a5-b184-55d3d37d2841","type":"BasicTickFormatter"},{"attributes":{"bounds":[2,4],"dimension":1,"plot":{"id":"8d275f0d-8aaf-401e-81b4-8a5d31ed7d00","subtype":"Figure","type":"Plot"},"ticker":{"id":"d360428a-5f2a-43dd-8bb5-6f42795afd8a","type":"BasicTicker"}},"id":"8aadc83f-53dc-4314-bc3f-052cfde230ac","type":"Grid"},{"attributes":{"callback":null},"id":"fc47c669-72ad-4031-bfe3-b2e692e7654c","type":"DataRange1d"}],"root_ids":["8d275f0d-8aaf-401e-81b4-8a5d31ed7d00"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"f4173673-1e53-47a3-b902-6900dac44343","elementid":"202e6fc4-f6f3-4027-8554-864974a9ce93","modelid":"8d275f0d-8aaf-401e-81b4-8a5d31ed7d00"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
